;MyLSTOFF
;***************************************************************************************************************
;* DL1err.i  Display Library 1 InputOutputLibrary . Include                                                    *
;*                                                                                                             *
;* Wolfgang  Renner            Creation Date = 22. May 2014                                                    *
;* Gimbacher Weg 34            Creation Time = 11:45:00:000                                                    *
;*                                                                                                             *
;* D-65779 Kelkheim            Changing Last = 15. Jul 2015                                                    *
;* Germany / Hessen            Changing Time = 00:00:00:000                                                    *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus Assembler                                                            *
;*=============================================================================================================*
;* DL1sys38.asm  enthaelt alte COPSTR,MyRMChar,MyWMChar funktionen !                                           *
;* DL1sys39.asm  enthaelt alte ADDSTR,DIVSTR            functionen !                                           *
;***************************************************************************************************************
EStMatLib     equ  -201       ; Error: SetMatLib failed
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;AIsNoNum     equ  -128       ; Error: Argument is Not a Number
;ASgInfMi     equ  -127       ; Error: Argument is Signed Infinity Minus
;ASgInfPl     equ  -126       ; Error: Argument is Signed Infinity Plus
;RtoBigMi     equ  -125       ; Error: Result   is to Big Minus
;RtoBigPl     equ  -124       ; Error: Result   is to Big Plus
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;UnderFlw     equ  -123       ; Error: Computation gives Under Flow
;OverFlow     equ  -122       ; Error: Computation gives Over  Flow
;nOutDef      equ  -121       ; Error: input is Out of Definition range
;nDivBy0      equ  -120       ; Error: Computation has Divide By Zero

EnUnFlow      equ  +123       ; Error: Computation gives Under Flow
EnOvFlow      equ  +122       ; Error: Computation gives Over  Flow
EnOutDef      equ  +121       ; Error: input is Out of Definition range
EnDivBy0      equ  +120       ; Error: Computation has Divide By Zero
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;MLMystic     equ  -111       ; Error: MatLib Mystic problem
;NoFunImp     equ  -112       ; Error: No Function Implemented
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;nViAllc  equ  -1104       ; db  'VirtualAlloc',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnBadPrc  equ  +109        ; db  'Bad Precision',0
EnBadARG  equ  +110        ; db  'Bad ARGument',0
EnIA2CVT  equ  +150        ; db  'Bad IA2CVT',0
EnSatMin  equ  +151        ; db  'Saturation to Minimum',0
EnSatMax  equ  +152        ; db  'Saturation to Maximum',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ERtoSmlMi     equ  -3         ; Error: Result is to Small Minus
;ERtoSmlPl     equ  -2         ; Error: Result is to Small Plus
;ERisOkMi      equ  -1         ; Error: Result is Ok Minus
;;RisZero      equ   0         ; Error: Result is Ok Zero
;ERisOkPl      equ   1         ; Error: Result is OK Plus
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;EBadFName     equ   -11111    ; Error: Bad File Name
;*##########################################################################

;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################

;*==========================================================================
EnConRec  equ   +200  ; db  'GetConsoleScreenBufferInfo ==> SMALL_RECT',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnGtCSBI  equ   +201  ; db  'GetConsoleScreenBufferInfo',0
EnGCoTit  equ   +202  ; db  'GetConsoleTitleA|W',0
EnSCoTit  equ   +203  ; db  'SetConsoleTitleA|W',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnFCoChr  equ   +204  ; db  'FillConsoleOutputCharacterA|W',0
EnFCoAtt  equ   +205  ; db  'FillConsoleOutputAttribute',0
EnSCCPos  equ   +206  ; db  'SetConsoleCursorPosition',0
EnSCCInf  equ   +207  ; db  'SetConsoleCursorInfo',0
EnGCCInf  equ   +208  ; db  'GetConsoleCursorInfo',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnGLaSiz  equ   +209  ; db  'GetLargestConsoleWindowSize',0
EnSCBSiz  equ   +210  ; db  'SetConsoleScreenBufferSize',0
EnSCWInf  equ   +211  ; db  'SetConsoleWindowInfo',0
EnSCTAtt  equ   +212  ; db  'SetConsoleTextAttribute',0
EnScrCSB  equ   +213  ; db  'ScrollConsoleScreenBufferA|W',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnWrtCon  equ   +214  ; db  'WriteConsoleA|W',0
EnWCoAtt  equ   +215  ; db  'WriteConsoleOutputAttribute',0
EnWCoChr  equ   +216  ; db  'WriteConsoleOutputCharacterA|W',0
EnFluCon  equ   +217  ; db  'FlushConsoleInputBuffer',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnBadPla  equ   +218  ; db  'Bad Placing',0
EnRCoInp  equ   +219  ; db  'ReadConsoleInputA|W',0
EnReaCon  equ   +220  ; db  'ReadConsoleA|W',0
EnGCoMod  equ   +221  ; db  'GetConsoleMode',0
EnSCoMod  equ   +222  ; db  'SetConsoleMode',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnWndCon  equ   +223  ; db  'hWndConsole wrong',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnMuExcl  equ   +233  ; db  'My own MutualExclude',0

;*--------------------------------------------------------------------------
EnBMPNUM  equ   +250  ; db  'BMPNUM wrong',0
EnBMPWDT  equ   +251  ; db  'BMPWDT wrong',0
EnBMPHGT  equ   +252  ; db  'BMPHGT wrong',0
EnBMPTYP  equ   +253  ; db  'BMPTYP wrong',0
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -


;*--------------------------------------------------------------------------
EnMinMax  equ   +260  ; db  'Minimum or Maximum',0
EnPagSiz  equ   +261  ; db  'PageSize',0
EnSliVal  equ   +262  ; db  'SlideValue',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnSETTIC  equ   +270  ; db  'TBM_SETTIC',0


;*==========================================================================
EnNotOpn  equ   +301  ; db  'Not Open',0
EnNohWnd  equ   +302  ; db  'No hWnd',0
EnMenOrd  equ   +303  ; 
EnItmOrd  equ   +304  ; 
EnItmFul  equ   +305  ; 
EnShwRad  equ   +306  ; 
EnMystic  equ   +307  ; 
EnItmTyp  equ   +308  ; 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnFILNUM  equ   +328  ;
;*--------------------------------------------------------------------------
EnIsOpen  equ   +308  ; OPNWIN
EnNoFree  equ   +309  ; OPNWIN
EnPenBMP  equ   +310  ; db  'RGBFUN into PenBitMaP'
;*==========================================================================
EnDSPWIN  equ   +400  ; SETABM,
EnOpnNum  equ   +401  ; 'WINNUM,DSPNUM,BMPNUM,PXMNUM wrong'
EnClsNum  equ   +402  ; 'WINNUM,DSPNUM,BMPNUM,PXMNUM wrong'
EnOpnMem  equ   +403  ; 'Open Memory failed'
EnDesSiz  equ   +404  ; OPNBMP
EnBadDES  equ   +405  ;
;nBadSRC  equ   +406  ;
EnOpnChn  equ   +407  ; OPNBMP
EnClsMem  equ   +408  ;
EnMemSiz  equ   +409  ;
EnFntNum  equ   +410  ; FontPntr
EnFntSty  equ   +411  ; FontStyle
;*--------------------------------------------------------------------------
EnDV12EQ  equ   +420  ; db  'DVal12 is EQual !"
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;nViAllc  equ  +1107       ; db  'VirtualAlloc',0
EnIA2STO  equ   +430       ; db  'Bad IA2STO',0
;*==========================================================================
EnIA1FMT  equ   +500  ; db  'Bad IA1FMT',0
EnIA2FMT  equ   +501  ; db  'Bad IA2FMT',0
;nIA3FMT  equ   +502  ; db  'Bad IA3FMT',0
EnIA2BAS  equ   +503  ; db  'Bad IA2BAS',0
EnMENITM  equ   +504  ; db  'BUTNUM,MENNUM,..,FRMNUM wrong !',0
EnENABLE  equ   +504  ; db  'ENABLE is wrong !',0
EnCHECKS  equ   +505  ; db  'CHKSTA is wrong !',0
EnDRWMOD  equ   +506  ; db  'DRWMOD is wrong !',0
EnSyntax  equ   +507  ; db  'Syntax is wrong !',0
EnZerEnd  equ   +508  ; db  'Zero Ended File !',0
;nLinLen  equ   +509  ; db  'LinLen is wrong !',0
;nPosiXY  equ   +510  ; db  'PositionXY is wrong !',0
EnTokLen  equ   +511  ; db  'ButtonXY is wrong !',0
;*--------------------------------------------------------------------------
EnPAGLEV  equ   +512  ; db  'PAGLEV is wrong !',0
EnAclStr  equ   +515  ; db  'AccelString is wrong !',0
EnAclFul  equ   +516  ; db  'AccelTable is Full !',0
;*==========================================================================
EnWmdPtr  equ   +600  ; db  'Bad wmb_ Pointer',0
EnWmbPtr  equ   +601  ; db  'Bad wmd_ Pointer',0
EnChlPtr  equ   +602  ; db  'Bad chl_ Pointer',0
EnItmPtr  equ   +603  ; db  'Bad itm_ Pointer',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnWLDisp  equ   +610  ; db  'Bad WinLong Disp',0
EnWLWind  equ   +611  ; db  'Bad WinLong Wind',0
EnWLChld  equ   +612  ; db  'Bad WinLong Chld',0
EnWLItem  equ   +613  ; db  'Bad WinLong Item',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnDWiMIt  equ   +614  ; db  'Bad WinLong <DWiC MItP>',0
EnWLDWiC  equ   +615  ; db  'Bad WinLong <DWiC>     ',0
EnWLMItm  equ   +616  ; db  'Bad WinLong      <MIt> ',0
EnWLPart  equ   +617  ; db  'Bad WinLong         <P>',0
;nChkTyp  equ   +618  ; db  'Bad CheckType',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnMenHnd  equ   +620  ; db  'Bad MenuHandle',0    wpr01.asm  weg !?
EnhWMain  equ   +621  ; db  'Bad hWnd Main',0
EnhWChld  equ   +622  ; db  'Bad hWnd Chld',0
EnhWItem  equ   +623  ; db  'Bad hWnd Main',0
;*--------------------------------------------------------------------------
EnEnaSta  equ   +703  ; db  'Bad EnableState',0
EnChkSta  equ   +704  ; db  'Bad CheckState',0
EnStrLen  equ   +705  ; db  'String Length',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnCtrFun  equ   +709  ; db  'Bad CTRFUN',0
EnCtrBas  equ   +710  ; db  'Bad CTRBAS',0
;nCtrPrc  equ   +711  ; db  'Bad CTRPRC',0
;nCtrStp  equ   +712  ; db  'Bad CTRSTP',0
;nCtrEnd  equ   +713  ; db  'Bad CTREND',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

;*==========================================================================
EnChngDC  equ   +777  ; db  'Changed DC',0



;*==========================================================================
EnGetDC   equ  +2000  ; db  'GetDC',0
EnGetWDC  equ  +2001  ; db  'GetWindowDC',0
EnRelDC   equ  +2002  ; db  'ReleaseDC',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnShwWin  equ  +2003  ; db  'ShowWindow',0
;nGStock  equ  +2004  ; db  'GetStockObject',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnMoveTo  equ  +2100  ; db  'MoveToEx',0
EnLineTo  equ  +2101  ; db  'LineTo',0
EnGetPxl  equ  +2102  ; db  'GetPixel',0
EnSetPxV  equ  +2103  ; db  'SetPixelV',0
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
EnGFgWin  equ  +2104  ; db  'GetForegroundWindow',0
EnSFgWin  equ  +2105  ; db  'SetForegroundWindow',0
EnWToTop  equ  +2106  ; db  'BringWindowToTop',0


;*==========================================================================
EnHLgCtr  equ   +901  ;
EnFunNum  equ   +902  ;
EnArgNum  equ   +903  ;
EnCBVNum  equ   +904  ;
EnOpnMbk  equ   +905  ;

EnOpnCls  equ   +911  ; OpnClsRW  'Open an already open File',0
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;*CreFil  equ  -1000  ; 'Windows function CreateFileA|W failed !',0
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
EnCreFil  equ  +1000  ; db  'CreateFileA|W',0
EnClsHnd  equ  +1001  ; db  'CloseHandle',0
EnReaFil  equ  +1002  ; db  'ReadFile',0            ; WINBASE.H KERNEL32.LIB
EnWrtFil  equ  +1003  ; db  'WriteFile',0
EnCreMen  equ  +1004  ; db  'CreateMenu',0
EnCrPoMe  equ  +1005  ; db  'CreatePopupMenu',0
EnCrPuMe  equ  +1005  ; db  'CreatePopupMenu',0
EnAppMen  equ  +1006  ; db  'AppendMenu',0
EnDesWin  equ  +1007  ; db  'DestroyWindow',0
EnSetMen  equ  +1008  ; db  'SetMenu',0
EnDrMBar  equ  +1009  ; db  'DrawMenuBar',0

EnUpdWin  equ  +1100  ; db  'UpdateWindow',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnDesMen  equ  +1010  ; db  'DestroyMenu',0
EnDesAcl  equ  +1011  ; db  'DestroyAcceleratorTable',0
EnCreAcl  equ  +1012  ; db  'CreateAcceleratorTable',0
EnCreWin  equ  +1013  ; db  'CreateWindowExA|W',0
EnCreDIB  equ  +1014  ; db  'CreateDIBSection',0
EnCreCDC  equ  +1015  ; db  'CreateCompatibleDC',0
EnSelObj  equ  +1016  ; db  'SelectObject',0
EnDeleDC  equ  +1017  ; db  'DeleteDC',0
EnDelObj  equ  +1018  ; db  'DeleteObject',0
EnCreFnt  equ  +1019  ; db  'CreateFontIndirectA|W',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnTxtFac  equ  +1020  ; db  'GetTextFaceA|W',0
EnTxtMet  equ  +1021  ; db  'GetTextMetricsA|W',0
EnGetObj  equ  +1022  ; db  'GetStockObject',0
EnGTxE32  equ  +1023  ; db  'GetTextExtentPoint32A|W',0
EnSTxCol  equ  +1024  ; db  'SetTextColor',0
EnSBkCol  equ  +1025  ; db  'SetBkColor',0
EnSBkMod  equ  +1026  ; db  'SetBkMode',0
EnTxtOut  equ  +1027  ; db  'TextOutA|W',0
EnMsgBox  equ  +1028  ; db  'MessageBoxA|W',0
EnFmtMsg  equ  +1029  ; db  'FormatMessageA|W',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnGetTim  equ  +1030  ; db  'GetSystemTime/GetLocalTime failed !',0
EnSWText  equ  +1031  ; db  'SetWindowTextA|W',0
EnGWText  equ  +1032  ; db  'GetWindowTextA|W',0
EnStdHnd  equ  +1033  ; db  'GetStdHandle',0

;nGMeSta  equ  +1034  ; db  'GetMenuState',0
EnCMeItm  equ  +1035  ; db  'CheckMenuItem',0
EnChMRIt  equ  +1036  ; db  'CheckMenuRadioItem',0

EnIsDlBC  equ  +1037  ; db  'IsDlgButtonChecked',0
EnChDlBu  equ  +1038  ; db  'CheckDlgButton',0
EnChRaBu  equ  +1039  ; db  'CheckRadioButton',0

EnTraMsg  equ  +1040  ; db  'TranslateMessage',0
;nTraAcl  equ  +1041  ; db  'TranslateAccelaratorA|W',0
EnBgnPai  equ  +1042  ; db  'BeginPaint',0
EnEndPai  equ  +7042  ; db  'EndPaint',0

EnShwScr  equ  +1043  ; db  'ShowScrollBar',0
EnGetScr  equ  +1044  ; db  'GetScrollInfo',0
EnRgWMsg  equ  +1045  ; db  'RegisterWindowMessageA|W',0

EnPosMsg  equ  +1046  ; db  'PostMessageA|W',0
EnPThMsg  equ  +1047  ; db  'PostThreadMessageA|W',0
EnSenMsg  equ  +1048  ; db  'SendMessageA|W',0

;*ResThr  equ  +1049  ; db  'ResumeThread',0
;*SusThr  equ  +1050  ; db  'SuspendThread',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnGWRect  equ  +1051  ; db  'GetWindowRect',0
EnGCRect  equ  +1052  ; db  'GetClientRect',0

EnGWLong  equ  +1053  ; db  'GetWindowLong',0
EnSWLong  equ  +1054  ; db  'SetWindowLong',0

EnGetFoc  equ  +1055  ; db  'GetFocus',0
EnSetFoc  equ  +1056  ; db  'SetFocus',0
EnMovWin  equ  +1057  ; db  'MoveWindow',0
EnSWiPos  equ  +1058  ; db  'SetWindowPos',0

EnCrePen  equ  +1059  ; db  'CreatePen',0
EnSetRP2  equ  +1060  ; db  'SetROP2',0

EnCSBrsh  equ  +1061  ; db  'CreateSolidBrush',0
EnCHBrsh  equ  +1062  ; db  'CreateHatchBrush',0
EnCPBrsh  equ  +1063  ; db  'CreatePatternBrush',0

EnCreBmp  equ  +1064  ; db  'CreateBitmap',0
EnFilRec  equ  +1065  ; db  'FillRect',0

EnSTxAln  equ  +1066  ; db  'SetTextAlign',0
EnSMpFlg  equ  +1067  ; db  'SetMapperFlag',0
EnRectan  equ  +1068  ; db  'Rectangle',0
EnRndRec  equ  +1069  ; db  'RoundRect',0

EnEllips  equ  +1070  ; db  'Ellipse',0
EnSysPie  equ  +1071  ; db  'Pie',0
EnSChord  equ  +1072  ; db  'Chord',0
EnPolgon  equ  +1073  ; db  'Polygon',0
EnSPFMod  equ  +1074  ; db  'SetPolyFillMode',0
EnGPFMod  equ  +1075  ; db  'GetPolyFillMode',0

EnSysArc  equ  +1076  ; db  'Arc',0
EnSArDir  equ  +1077  ; db  'SetArcDirection',0
EnGArDir  equ  +1078  ; db  'GetArcDirection',0
EnPolLin  equ  +1079  ; db  'Polyline',0
EnPolBez  equ  +1080  ; db  'PolyBezier',0

EnDrwEdg  equ  +1081  ; db  'DrawEdge',0
EnDrFrCt  equ  +1082  ; db  'DrawFrameControl',0
EnFrmRec  equ  +1083  ; db  'FrameRect',0

EnGSyMet  equ  +1084  ; db  'GetSystemMetrics',0
EnLodCur  equ  +1085  ; db  'LoadCursorA|W',0
EnCreCur  equ  +1086  ; db  'CreateCursor',0
EnSetCur  equ  +1087  ; db  'SetCursor',0
EnSSyCur  equ  +1088  ; db  'SetSystemCursor',0
EnClpCur  equ  +1089  ; db  'ClipCursor',0
EnGCuPos  equ  +1090  ; db  'GetCursorPos',0
EnSCuPos  equ  +1091  ; db  'SetCursorPos',0
EnDesCur  equ  +1092  ; db  'DestroyCursor',0
EnCopCur  equ  +1093  ; db  'CopyCursor',0

EnGetCap  equ  +1094  ; db  'GetCapture',0
EnSetCap  equ  +1095  ; db  'SetCapture',0
EnRelCap  equ  +1096  ; db  'ReleaseCapture',0

EnScrlDC  equ  +1097  ; db  'ScrollDC',0
EnScrWin  equ  +1098  ; db  'ScrollWindow',0
EnScrWEx  equ  +1099  ; db  'ScrollWindowEx',0

EnBitBlt  equ  +1100       ; db  'BitBlt',0
EnStrBlt  equ  +1101       ; db  'StretchBlt',0
EnSSBMod  equ  +1102       ; db  'SetStretchBltMode',0
EnIVaRec  equ  +1103       ; db  'InvalidateRect',0
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
EnGlAllc  equ  +1104       ; db  'GlobalAlloc',0
EnGlHndl  equ  +1105       ; db  'GlobalHandle',0
EnGlFree  equ  +1106       ; db  'GlobalFree',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnViAllc  equ  +1107       ; db  'VirtualAlloc',0
EnViQuer  equ  +1108       ; db  'VirtualQuery',0
EnViFree  equ  +1109       ; db  'VirtualFree',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnMsBeep  equ  +1110       ; db  'MessageBeep',0
EnGWiPla  equ  +1111       ; db  'GetWindowPlacement',0
EnSWiPla  equ  +1112       ; db  'SetWindowPlacement',0

EnLodIco  equ  +1113       ; db  'LoadIconA|W',0
EnRegCla  equ  +1114       ; db  'RegisterClassA|W',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnBegDWP  equ  +1115       ; db  'BeginDeferWindowPos',0
EnDefWPo  equ  +1116       ; db  'DeferWindowPos',0
EnEndDWP  equ  +1117       ; db  'EndDeferWindowPos',0
EnRdrWin  equ  +1118       ; db  'RedrawWindow',0
EnGetPar  equ  +1119       ; db  'GetParent',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnGMeSta  equ  +1120       ; db  'GetMenuState',0
EnTB_ENA  equ  +1121       ; db  'TB_ENABLEBUTTON',0
EnTB_CHK  equ  +1122       ; db  'TB_CHECKBUTTON',0
EnTB_SET  equ  +1123       ; db  'TB_SETSTATE',0
EnTB_IBE  equ  +1124       ; db  'TB_ISBUTTONENABLED',0
EnTB_GET  equ  +1125       ; db  'TB_GETSTATE',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnSetMII  equ  +1133       ; db  'SetMenuItemInfo',0
EnGetMII  equ  +1134       ; db  'GetMenuItemInfo',0
EnEnaMIt  equ  +1135       ; db  'EnableMenuItem',0
EnChkMIt  equ  +1136       ; db  'CheckMenuItem',0
EnBM_SET  equ  +1137       ; db  'BM_SETCHECK',0
EnBM_GET  equ  +1138       ; db  'BM_GETCHECK',0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EnEnaWin  equ  +1140       ; db  'EnableWindow',0
EnIWnEna  equ  +1141       ; db  'IsWindowEnabled',0
;*--------------------------------------------------------------------------
EnLodLib  equ  +1142       ; db  'LoadLibraryA|W',0
EnFreLib  equ  +1143       ; db  'FreeLibrary',0
EnSMeInf  equ  +1144       ; db  'SetMenuInfo',0
EnGMeInf  equ  +1145       ; db  'GetMenuInfo',0
;*==========================================================================
EnAThInp  equ  +1200       ; db  'AttachThreadInput@12',0
EnCreThr  equ  +1201       ; db  'CreateThread@24',0
EnExiThr  equ  +1202       ; db  'ExitThread@4',0
EnGCuThr  equ  +1203       ; db  'GetCurrentThread@0',0
EnGCuTId  equ  +1204       ; db  'GetCurrentThreadId@0',0
;* -     -     -     -     -     -     -     -     -     -     -     -     -
EnGECThr  equ  +1205       ; db  'GetExitCodeThread@8',0
EnGThPri  equ  +1206       ; db  'GetThreadPriority@4',0
EnResThr  equ  +1207       ; db  'ResumeThread@4',0
EnSTAMsk  equ  +1208       ; db  'SetThreadAffinityMask@8',0
EnSThPri  equ  +1209       ; db  'SetThreadPriority@8',0
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
EnSusThr  equ  +1210       ; db  'SuspendThread@4',0
EnTrmThr  equ  +1211       ; db  'TerminateThread@8',0
EnSetTim  equ  +1212       ; db  'SetTimer@16',0
EnKilTim  equ  +1213       ; db  'KillTimer@8',0
EnQPeCnt  equ  +1214       ; db  'QueryPerformanceCounter@4',0
EnQPeFrq  equ  +1215       ; db  'QueryPerformanceFrequence@4',0
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
EnGlLock  equ  +2000       ; db  'GlobalLock',00



;###############################################################################################################


;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################



;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;*==========================================================================
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*--------------------------------------------------------------------------
;EnLongMs  equ  -9999 ; '12345678901234567890123456789012345678901234567890'
;LongMs1A  db         ; '123456789012345678901234567890123456789012345678',0
;LongMs2A  db         ; '123456789012345678901234567890123456789012345678',0
;***************************************************************************
;*##########################################################################
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;*==========================================================================
;*--------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;MyLISTON
