;MyLSTOFF
;***************************************************************************************************************
;* Z9RichEdit.i    AssemblerVersion1( RichEdit.h )   Include file                                              *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Apr 2016                                              *
;* Gimbacher Weg 34                  Creation Time = 00:00:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Apr 2016                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.H                                       ; /* GetSystemMetrics() codes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SM_CXSCREEN                       equ          0  ; #define   SM_CXSCREEN               0
;SM_CYSCREEN                       equ          1  ; #define   SM_CYSCREEN               1
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###########################################################################
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% RICHEDIT.H                          ; /* Window Styles */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Purpose:  RICHEDIT v2.0/3.0/4.0 public definitions functionality avail-
;* able for  v2.0 and 3.0 that is not in the original Windows 95 release.
;* #ifdef   _WIN32 #include <pshpack4.h>
;* #elif     !defined(RC_INVOKED) #pragma pack(4) #endif
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* // To mimic older RichEdit behavior, set _RICHEDIT_VER to appropriate
;* //                      Version 1.0             0x0100          Value
;* //                      Version 2.0             0x0200 
;* //                      Version 2.1             0x0210 
;* #ifndef _RICHEDIT_VER   #define _RICHEDIT_VER   0x0300  #endif
;*
;* #define cchTextLimitDefault 32767
;*
;* #define MSFTEDIT_CLASS          L"RICHEDIT50W"
;* NOTE:  MSFTEDIT.DLL only registers MSFTEDIT_CLASS.  If an application
;* wants to use the following Richedit classes, it needs to load the
;* riched20.dll. Otherwise, CreateWindow with RICHEDIT_CLASS would fail.
;* This also applies to any dialog that uses RICHEDIT_CLASS,
;*
;* // RichEdit 2.0 Window Class 
;* // On Windows CE, avoid possible conflicts on Win95
;*
;* #define CERICHEDIT_CLASSA       "RichEditCEA"
;* #define CERICHEDIT_CLASSW       L"RichEditCEW"
;*
;* #define RICHEDIT_CLASSA         "RichEdit20A"
;* #define RICHEDIT_CLASS10A       "RICHEDIT"          // Richedit 1.0
;*
;* #ifndef MACPORT
;* #define RICHEDIT_CLASSW         L"RichEdit20W"
;* #else   //----------------------MACPORT 
;* #define RICHEDIT_CLASSW         TEXT("RichEdit20W")    // MACPORT change
;* #endif // MACPORT  
;*
;* #if (_RICHEDIT_VER >= 0x0200 )
;* #ifdef UNICODE
;* #define RICHEDIT_CLASS          RICHEDIT_CLASSW
;* #else
;* #define RICHEDIT_CLASS          RICHEDIT_CLASSA
;* #endif // UNICODE 
;* #else
;* #define RICHEDIT_CLASS          RICHEDIT_CLASS10A
;* #endif // _RICHEDIT_VER >= 0x0200 
;*
;*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* RichEdit.h                          ; //  New edit control styles 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ES_DISABLENOSCROLL     equ  000002000h ; #def ES_DISABLENOSCROLL  0x00002000
ES_SUNKEN              equ  000004000h ; #def ES_SUNKEN           0x00004000
ES_SAVESEL             equ  000008000h ; #def ES_SAVESEL          0x00008000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;*// Same as ES_UPPERCASE, but re-used to completely disable OLE drag'n'drop 
ES_NOOLEDRAGDROP       equ  000000008h ; #def ES_NOOLEDRAGDROP    0x00000008
;*// Same as WS_MAXIMIZE, but that doesn't make sense so we re-use the value 
ES_SELECTIONBAR        equ  001000000h ; #def ES_SELECTIONBAR     0x01000000
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; These flags are used in FE Windows
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ES_SELFIME            equ  000040000h ; #define ES_SELFIME      0x00040000h
;ES_NOIME              equ  000080000h ; #define ES_NOIME        0x00080000h
;ES_VERTICAL           equ  000400000h ; #define ES_VERTICAL     0x00400000h
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // Richedit Extended style masks
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SES_EMULATESYSEDIT     equ  000000001h ; #def SES_EMULATESYSEDIT           1
SES_BEEPONMAXTEXT      equ  000000002h ; #def SES_BEEPONMAXTEXT            2
SES_EXTENDBACKCOLOR    equ  000000004h ; #def SES_EXTENDBACKCOLOR          4
SES_MAPCPS             equ  000000008h ; #def SES_MAPCPS                   8
;* -     -     -     -     -     -     -     -     -     -     -     -     -
SES_EMULATE10          equ  000000010h ; #def SES_EMULATE10               16
SES_USECRLF            equ  000000020h ; #def SES_USECRLF                 32
SES_USEAIMM            equ  000000040h ; #def SES_USEAIMM                 64
SES_NOIME              equ  000000080h ; #def SES_NOIME                  128
;* -     -     -     -     -     -     -     -     -     -     -     -     -
SES_ALLOWBEEPS         equ  000000100h ; #def SES_ALLOWBEEPS             256
SES_UPPERCASE          equ  000000200h ; #def SES_UPPERCASE              512
SES_LOWERCASE          equ  000000400h ; #def SES_LOWERCASE             1024
SES_NOINPUTSEQUENCECHK equ  000000800h ; #def SES_NOINPUTSEQUENCECHK    2048
;* -     -     -     -     -     -     -     -     -     -     -     -     -
SES_BIDI               equ  000001000h ; #def SES_BIDI                  4096
SES_SCROLLONKILLFOCUS  equ  000002000h ; #def SES_SCROLLONKILLFOCUS     8192
SES_XLTCRCRLFTOCR      equ  000004000h ; #def SES_XLTCRCRLFTOCR        16384
SES_DRAFTMODE          equ  000008000h ; #def SES_DRAFTMODE            32768
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
SES_USECTF             equ  000010000h ; #def SES_USECTF           0x0010000
SES_HIDEGRIDLINES      equ  000020000h ; #def SES_HIDEGRIDLINES    0x0020000
SES_USEATFONT          equ  000040000h ; #def SES_USEATFONT        0x0040000
SES_CUSTOMLOOK         equ  000080000h ; #def SES_CUSTOMLOOK       0x0080000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
SES_LBSCROLLNOTIFY     equ  000100000h ; #def SES_LBSCROLLNOTIFY   0x0100000
SES_CTFALLOWEMBED      equ  000200000h ; #def SES_CTFALLOWEMBED    0x0200000
SES_CTFALLOWSMARTTAG   equ  000400000h ; #def SES_CTFALLOWSMARTTAG 0x0400000
SES_CTFALLOWPROOFING   equ  000800000h ; #def SES_CTFALLOWPROOFING 0x0800000
;*==========================================================================
;* RichEdit.h                          ; // Event notification masks 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ENM_NONE               equ  000000000h ; #def ENM_NONE            0x00000000
ENM_CHANGE             equ  000000001h ; #def ENM_CHANGE          0x00000001
ENM_UPDATE             equ  000000002h ; #def ENM_UPDATE          0x00000002
ENM_SCROLL             equ  000000004h ; #def ENM_SCROLL          0x00000004
ENM_SCROLLEVENTS       equ  000000008h ; #def ENM_SCROLLEVENTS    0x00000008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
ENM_DRAGDROPDONE       equ  000000010h ; #def ENM_DRAGDROPDONE    0x00000010
ENM_PARAGRAPHEXPANDED  equ  000000020h ; #def ENM_PARAGRAPHEXPANDED 00000020
ENM_PAGECHANGE         equ  000000040h ; #def ENM_PAGECHANGE      0x00000040
;* -     -     -     -     -     -     -     -     -     -     -     -     -
ENM_KEYEVENTS          equ  000010000h ; #def ENM_KEYEVENTS       0x00010000
ENM_MOUSEEVENTS        equ  000020000h ; #def ENM_MOUSEEVENTS     0x00020000
ENM_REQUESTRESIZE      equ  000040000h ; #def ENM_REQUESTRESIZE   0x00040000
ENM_SELCHANGE          equ  000080000h ; #def ENM_SELCHANGE       0x00080000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
ENM_DROPFILES          equ  000100000h ; #def ENM_DROPFILES       0x00100000
ENM_PROTECTED          equ  000200000h ; #def ENM_PROTECTED       0x00200000
ENM_CORRECTTEXT        equ  000400000h ; #def ENM_CORRECTTEXT     0x00400000
ENM_IMECHANGE          equ  000800000h ; #def ENM_IMECHANGE       0x00800000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
ENM_LANGCHANGE         equ  001000000h ; #def ENM_LANGCHANGE      0x01000000
ENM_OBJECTPOSITIONS    equ  002000000h ; #def ENM_OBJECTPOSITIONS 0x02000000
ENM_LINK               equ  004000000h ; #def ENM_LINK            0x04000000
ENM_LOWFIRTF           equ  008000000h ; #def ENM_LOWFIRTF        0x08000000
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // Edit control options 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ECO_AUTOWORDSELECTION  equ  000000001h ; #def ECO_AUTOWORDSELECTION 00000001
ECO_AUTOVSCROLL        equ  000000040h ; #def ECO_AUTOVSCROLL       00000040
ECO_AUTOHSCROLL        equ  000000080h ; #def ECO_AUTOHSCROLL     0x00000080
ECO_NOHIDESEL          equ  000000100h ; #def ECO_NOHIDESEL       0x00000100
ECO_READONLY           equ  000000800h ; #def ECO_READONLY        0x00000800
ECO_WANTRETURN         equ  000001000h ; #def ECO_WANTRETURN      0x00001000
ECO_SAVESEL            equ  000008000h ; #def ECO_SAVESEL         0x00008000
ECO_SELECTIONBAR       equ  001000000h ; #def ECO_SELECTIONBAR    0x01000000
ECO_VERTICAL           equ  000400000h ; #def ECO_VERTICAL        0x00400000
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*                                     ; // ECO operations 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ECOOP_SET              equ      00001h ; #def ECOOP_SET               0x0001
ECOOP_OR               equ      00002h ; #def ECOOP_OR                0x0002
ECOOP_AND              equ      00003h ; #def ECOOP_AND               0x0003
ECOOP_XOR              equ      00004h ; #def ECOOP_XOR               0x0004
;*--------------------------------------------------------------------------
;*// enum for use with EM_GET/SETTEXTMODE typedef enum tagTextMode{}TEXTMODE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TM_PLAINTEXT           equ   1 ; TM_PLAINTEXT       = 1,
TM_RICHTEXT            equ   2 ; TM_RICHTEXT        = 2, // Default behavior
TM_SINGLELEVELUNDO     equ   4 ; TM_SINGLELEVELUNDO = 4,
TM_MULTILEVELUNDO      equ   8 ; TM_MULTILEVELUNDO  = 8, // Default behavior
TM_SINGLECODEPAGE      equ  16 ; TM_SINGLECODEPAGE  = 16,
TM_MULTICODEPAGE       equ  32 ; TM_MULTICODEPAGE   = 32 // Default behavior
;*--------------------------------------------------------------------------
;* // Options for EM_SETLANGOPTIONS and EM_GETLANGOPTIONS 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;IMF_AUTOKEYBOARD          equ  00001h ; #def IMF_AUTOKEYBOARD        0x0001
;IMF_AUTOFONT              equ  00002h ; #def IMF_AUTOFONT            0x0002
;IMF_IMECANCELCOMPLETE     equ  00004h ; #def IMF_IMECANCELCOMPLETE   0x0004
;IMF_IMEALWAYSSENDNOTIFY   equ  00008h ; #def IMF_IMEALWAYSSENDNOTIFY 0x0008
;IMF_AUTOFONTSIZEADJUST    equ  00010h ; #def IMF_AUTOFONTSIZEADJUST  0x0010
;IMF_UIFONTS               equ  00020h ; #def IMF_UIFONTS             0x0020
;IMF_DUALFONT              equ  00080h ; #def IMF_DUALFONT            0x0080
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* // Values for EM_GETIMECOMPMODE 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ICM_NOTOPEN               equ  00000h ; #def ICM_NOTOPEN             0x0000
;ICM_LEVEL3                equ  00001h ; #def ICM_LEVEL3              0x0001
;ICM_LEVEL2                equ  00002h ; #def ICM_LEVEL2              0x0002
;ICM_LEVEL2_5              equ  00003h ; #def ICM_LEVEL2_5            0x0003
;ICM_LEVEL2_SUI            equ  00004h ; #def ICM_LEVEL2_SUI          0x0004
;ICM_CTF                   equ  00005h ; #def ICM_CTF                 0x0005
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* // Options for EM_SETTYPOGRAPHYOPTIONS 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;TO_ADVANCEDTYPOGRAPHY     equ      1  ; #def TO_ADVANCEDTYPOGRAPHY     1
;TO_SIMPLELINEBREAK        equ      2  ; #def TO_SIMPLELINEBREAK        2
;TO_DISABLECUSTOMTEXTOUT   equ      4  ; #def TO_DISABLECUSTOMTEXTOUT   4
;TO_ADVANCEDLAYOUT         equ      8  ; #def TO_ADVANCEDLAYOUT         8
;*==========================================================================
;* RichEdit.h                          ; //   RichEdit messages
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;M_CONTEXTMENU         equ     0007Bh  ; #def WM_CONTEXTMENU          0x007B
WM_UNICHAR             equ     00109h  ; #def WM_UNICHAR              0x0109
;M_PRINTCLIENT         equ     00318h  ; #def WM_PRINTCLIENT          0x0318
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
REM_GETLIMITTEXT       equ  WM_USER+37 ; #def EM_GETLIMITTEXT   (WM_USER+37)
REM_POSFROMCHAR        equ  WM_USER+38 ; #def EM_POSFROMCHAR    (WM_USER+38)
REM_CHARFROMPOS        equ  WM_USER+39 ; #def EM_CHARFROMPOS    (WM_USER+39)
REM_SCROLLCARET        equ  WM_USER+49 ; #def EM_SCROLLCARET    (WM_USER+49)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
REM_CANPASTE           equ  WM_USER+50 ; #def EM_CANPASTE       (WM_USER+50)
REM_DISPLAYBAND        equ  WM_USER+51 ; #def EM_DISPLAYBAND    (WM_USER+51)
REM_EXGETSEL           equ  WM_USER+52 ; #def EM_EXGETSEL       (WM_USER+52)
REM_EXLIMITTEXT        equ  WM_USER+53 ; #def EM_EXLIMITTEXT       (USER+53)
REM_EXLINEFROMCHAR     equ  WM_USER+54 ; #def EM_EXLINEFROMCHAR    (USER+54)
REM_EXSETSEL           equ  WM_USER+55 ; #def EM_EXSETSEL          (USER+55)
REM_FINDTEXT           equ  WM_USER+56 ; #def EM_FINDTEXT          (USER+56)
REM_FORMATRANGE        equ  WM_USER+57 ; #def EM_FORMATRANGE       (USER+57)
REM_GETCHARFORMAT      equ  WM_USER+58 ; #def EM_GETCHARFORMAT     (USER+58)
REM_GETEVENTMASK       equ  WM_USER+59 ; #def EM_GETEVENTMASK      (USER+59)
REM_GETOLEINTERFACE    equ  WM_USER+60 ; #def EM_GETOLEINTERFACE   (USER+60)
REM_GETPARAFORMAT      equ  WM_USER+61 ; #def EM_GETPARAFORMAT     (USER+61)
REM_GETSELTEXT         equ  WM_USER+62 ; #def EM_GETSELTEXT        (USER+62)
REM_HIDESELECTION      equ  WM_USER+63 ; #def EM_HIDESELECTION     (USER+63)
REM_PASTESPECIAL       equ  WM_USER+64 ; #def EM_PASTESPECIAL      (USER+64)
REM_REQUESTRESIZE      equ  WM_USER+65 ; #def EM_REQUESTRESIZE     (USER+65)
REM_SELECTIONTYPE      equ  WM_USER+66 ; #def EM_SELECTIONTYPE     (USER+66)
REM_SETBKGNDCOLOR      equ  WM_USER+67 ; #def EM_SETBKGNDCOLOR     (USER+67)
REM_SETCHARFORMAT      equ  WM_USER+68 ; #def EM_SETCHARFORMAT     (USER+68)
REM_SETEVENTMASK       equ  WM_USER+69 ; #def EM_SETEVENTMASK      (USER+69)
REM_SETOLECALLBACK     equ  WM_USER+70 ; #def EM_SETOLECALLBACK    (USER+70)
REM_SETPARAFORMAT      equ  WM_USER+71 ; #def EM_SETPARAFORMAT     (USER+71)
REM_SETTARGETDEVICE    equ  WM_USER+72 ; #def EM_SETTARGETDEVICE   (USER+72)
REM_STREAMIN           equ  WM_USER+73 ; #def EM_STREAMIN          (USER+73)
REM_STREAMOUT          equ  WM_USER+74 ; #def EM_STREAMOUT         (USER+74)
REM_GETTEXTRANGE       equ  WM_USER+75 ; #def EM_GETTEXTRANGE      (USER+75)
REM_FINDWORDBREAK      equ  WM_USER+76 ; #def EM_FINDWORDBREAK     (USER+76)
REM_SETOPTIONS         equ  WM_USER+77 ; #def EM_SETOPTIONS        (USER+77)
REM_GETOPTIONS         equ  WM_USER+78 ; #def EM_GETOPTIONS        (USER+78)
REM_FINDTEXTEX         equ  WM_USER+79 ; #def EM_FINDTEXTEX        (USER+79)
REM_GETWORDBREAKPROCEX equ  WM_USER+80 ; #def EM_GETWORDBREAKPROCEX(USER+80)
REM_SETWORDBREAKPROCEX equ  WM_USER+81 ; #def EM_SETWORDBREAKPROCEX(USER+81)
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // RichEdit 2.0 messages 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
REM_SETUNDOLIMIT       equ  WM_USER+82 ; #def EM_SETUNDOLIMIT   (WM_USER+82)
REM_REDO               equ  WM_USER+84 ; #def EM_REDO           (WM_USER+84)
REM_CANREDO            equ  WM_USER+85 ; #def EM_CANREDO        (WM_USER+85)
REM_GETUNDONAME        equ  WM_USER+86 ; #def EM_GETUNDONAME    (WM_USER+86)
REM_GETREDONAME        equ  WM_USER+87 ; #def EM_GETREDONAME       (USER+87)
REM_STOPGROUPTYPING    equ  WM_USER+88 ; #def EM_STOPGROUPTYPING   (USER+88)
REM_SETTEXTMODE        equ  WM_USER+89 ; #def EM_SETTEXTMODE       (USER+89)
REM_GETTEXTMODE        equ  WM_USER+90 ; #def EM_GETTEXTMODE       (USER+90)
REM_AUTOURLDETECT      equ  WM_USER+91 ; #def EM_AUTOURLDETECT     (USER+91)
REM_GETAUTOURLDETECT   equ  WM_USER+92 ; #def EM_GETAUTOURLDETECT  (USER+92)
REM_SETPALETTE         equ  WM_USER+93 ; #def EM_SETPALETTE        (USER+93)
REM_GETTEXTEX          equ  WM_USER+94 ; #def EM_GETTEXTEX         (USER+94)
REM_GETTEXTLENGTHEX    equ  WM_USER+95 ; #def EM_GETTEXTLENGTHEX   (USER+95)
REM_SHOWSCROLLBAR      equ  WM_USER+96 ; #def EM_SHOWSCROLLBAR     (USER+96)
REM_SETTEXTEX          equ  WM_USER+97 ; #def EM_SETTEXTEX         (USER+97)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* RichEdit.h                          ; // East Asia specific messages 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
REM_SETPUNCTUATION     equ WM_USER+100 ; #def EM_SETPUNCTUATION   (USER+100)
REM_GETPUNCTUATION     equ WM_USER+101 ; #def EM_GETPUNCTUATION   (USER+101)
REM_SETWORDWRAPMODE    equ WM_USER+102 ; #def EM_SETWORDWRAPMODE  (USER+102)
REM_GETWORDWRAPMODE    equ WM_USER+103 ; #def EM_GETWORDWRAPMODE  (USER+103)
REM_SETIMECOLOR        equ WM_USER+104 ; #def EM_SETIMECOLOR      (USER+104)
REM_GETIMECOLOR        equ WM_USER+105 ; #def EM_GETIMECOLOR      (USER+105)
REM_SETIMEOPTIONS      equ WM_USER+106 ; #def EM_SETIMEOPTIONS    (USER+106)
REM_GETIMEOPTIONS      equ WM_USER+107 ; #def EM_GETIMEOPTIONS    (USER+107)
REM_CONVPOSITION       equ WM_USER+108 ; #def EM_CONVPOSITION     (USER+108)
REM_SETLANGOPTIONS     equ WM_USER+120 ; #def EM_SETLANGOPTIONS   (USER+120)
REM_GETLANGOPTIONS     equ WM_USER+121 ; #def EM_GETLANGOPTIONS   (USER+121)
REM_GETIMECOMPMODE     equ WM_USER+122 ; #def EM_GETIMECOMPMODE   (USER+122)
REM_FINDTEXTW          equ WM_USER+123 ; #def EM_FINDTEXTW        (USER+123)
REM_FINDTEXTEXW        equ WM_USER+124 ; #def EM_FINDTEXTEXW      (USER+124)
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // RichEdit 3.0 FE messages 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
REM_RECONVERSION       equ WM_USER+125 ; #def EM_RECONVERSION     (USER+125)
REM_SETIMEMODEBIAS     equ WM_USER+126 ; #def EM_SETIMEMODEBIAS   (USER+126) 
REM_GETIMEMODEBIAS     equ WM_USER+127 ; #def EM_GETIMEMODEBIAS   (USER+127)
                                       ; // BiDi specific messages 
REM_SETBIDIOPTIONS     equ WM_USER+200 ; #def EM_SETBIDIOPTIONS   (USER+200)
REM_GETBIDIOPTIONS     equ WM_USER+201 ; #def EM_GETBIDIOPTIONS   (USER+201)
;EM_SETTYPOGRAPHYOPTIONS = WM_USER+202 ; #def EM_SETTYPOGRAPHYOPTIONS (+202)
;EM_GETTYPOGRAPHYOPTIONS = WM_USER+203 ; #def EM_GETTYPOGRAPHYOPTIONS (+203)
                                       ; ExtendedEditstyle specific messages
REM_SETEDITSTYLE       equ WM_USER+204 ; #def EM_SETEDITSTYLE  (WM_USER+204)
REM_GETEDITSTYLE       equ WM_USER+205 ; #def EM_GETEDITSTYLE  (WM_USER+205)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* RichEdit.h                      // Pegasus outline mode messages (RE 3.0)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;*                         // Outline mode message
REM_OUTLINE            equ WM_USER+220 ; #def EM_OUTLINE       (WM_USER+220)
;*                         // Message for getting and restoring scroll pos
REM_GETSCROLLPOS       equ WM_USER+221 ; #def EM_GETSCROLLPOS  (WM_USER+221)
REM_SETSCROLLPOS       equ WM_USER+222 ; #def EM_SETSCROLLPOS  (WM_USER+222)
;*                         // Change fontsize in current selection by wParam
REM_SETFONTSIZE        equ WM_USER+223 ; #def EM_SETFONTSIZE   (WM_USER+223)
REM_GETZOOM            equ WM_USER+224 ; #def EM_GETZOOM       (WM_USER+224)
REM_SETZOOM            equ WM_USER+225 ; #def EM_SETZOOM       (WM_USER+225)
REM_GETVIEWKIND        equ WM_USER+226 ; #def EM_GETVIEWKIND   (WM_USER+226)
REM_SETVIEWKIND        equ WM_USER+227 ; #def EM_SETVIEWKIND   (WM_USER+227)
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // RichEdit 4.0 messages
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;REM_GETPAGE           equ WM_USER+228 ; #def EM_GETPAGE       (WM_USER+228)
;REM_SETPAGE           equ WM_USER+229 ; #def EM_SETPAGE          (USER+229)
;REM_GETHYPHENATEINFO  equ WM_USER+230 ; #def EM_GETHYPHENATEINFO (USER+230)
;REM_SETHYPHENATEINFO  equ WM_USER+231 ; #def EM_SETHYPHENATEINFO (USER+231)
;REM_GETPAGEROTATE     equ WM_USER+235 ; #def EM_GETPAGEROTATE    (USER+235)
;REM_SETPAGEROTATE     equ WM_USER+236 ; #def EM_SETPAGEROTATE    (USER+236)
;REM_GETCTFMODEBIAS    equ WM_USER+237 ; #def EM_GETCTFMODEBIAS   (USER+237)
;REM_SETCTFMODEBIAS    equ WM_USER+238 ; #def EM_SETCTFMODEBIAS   (USER+238)
;REM_GETCTFOPENSTATUS  equ WM_USER+240 ; #def EM_GETCTFOPENSTATUS (USER+240)
;REM_SETCTFOPENSTATUS  equ WM_USER+241 ; #def EM_SETCTFOPENSTATUS (USER+241)
;REM_GETIMECOMPTEXT    equ WM_USER+242 ; #def EM_GETIMECOMPTEXT   (USER+242)
;REM_ISIME             equ WM_USER+243 ; #def EM_ISIME            (USER+243)
;REM_GETIMEPROPERTY    equ WM_USER+244 ; #def EM_GETIMEPROPERTY   (USER+244)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* // EM_SETCTFMODEBIAS wparam values
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;CTFMODEBIAS_DEFAULT       equ  00000h ; #def CTFMODEBIAS_DEFAULT     0x0000
;CTFMODEBIAS_FILENAME      equ  00001h ; #def CTFMODEBIAS_FILENAME    0x0001
;CTFMODEBIAS_NAME          equ  00002h ; #def CTFMODEBIAS_NAME        0x0002
;CTFMODEBIAS_READING       equ  00003h ; #def CTFMODEBIAS_READING     0x0003
;CTFMODEBIAS_DATETIME      equ  00004h ; #def CTFMODEBIAS_DATETIME    0x0004
;CTFMODEBIAS_CONVERSATION  equ  00005h ; #def CTFMODEBIAS_CONVERSATION x0005
;CTFMODEBIAS_NUMERIC       equ  00006h ; #def CTFMODEBIAS_NUMERIC     0x0006
;CTFMODEBIAS_HIRAGANA      equ  00007h ; #def CTFMODEBIAS_HIRAGANA    0x0007
;CTFMODEBIAS_KATAKANA      equ  00008h ; #def CTFMODEBIAS_KATAKANA    0x0008
;CTFMODEBIAS_HANGUL        equ  00009h ; #def CTFMODEBIAS_HANGUL      0x0009
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;CTFMODEBIAS_HALFWIDTHKATAKANA      equ  0000Ah
;CTFMODEBIAS_FULLWIDTHALPHANUMERIC  equ  0000Bh
;CTFMODEBIAS_HALFWIDTHALPHANUMERIC  equ  0000Ch
;*==========================================================================
;* RichEdit                            ; // CHARFORMAT masks 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CFM_BOLD               equ  000000001h ; #def CFM_BOLD            0x00000001
CFM_ITALIC             equ  000000002h ; #def CFM_ITALIC          0x00000002
CFM_UNDERLINE          equ  000000004h ; #def CFM_UNDERLINE       0x00000004
CFM_STRIKEOUT          equ  000000008h ; #def CFM_STRIKEOUT       0x00000008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFM_PROTECTED          equ  000000010h ; #def CFM_PROTECTED       0x00000010
CFM_LINK               equ  000000020h ; #def CFM_LINK            0x00000020
CFM_SMALLCAPS          equ  000000040h ; #def CFM_SMALLCAPS       0x00000040                  // (*) 
CFM_ALLCAPS            equ  000000080h ; #def CFM_ALLCAPS         0x00000080                  // Displayed by 3.0 
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFM_HIDDEN             equ  000000100h ; #def CFM_HIDDEN          0x00000100                  // Hidden by 3.0 
CFM_OUTLINE            equ  000000200h ; #def CFM_OUTLINE         0x00000200                  // (*) 
CFM_SHADOW             equ  000000400h ; #def CFM_SHADOW          0x00000400                  // (*) 
CFM_EMBOSS             equ  000000800h ; #def CFM_EMBOSS          0x00000800                  // (*) 
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFM_IMPRINT            equ  000001000h ; #def CFM_IMPRINT         0x00001000                  // (*) 
CFM_DISABLED           equ  000002000h ; #def CFM_DISABLED        0x00002000
CFM_REVISED            equ  000004000h ; #def CFM_REVISED         0x00004000
CFM_REVAUTHOR          equ  000008000h ; #def CFM_REVAUTHOR       0x00008000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFE_SUBSCRIPT          equ  000010000h ; #def CFE_SUBSCRIPT       0x00010000              // Superscript and subscript are 
CFE_SUPERSCRIPT        equ  000020000h ; #def CFE_SUPERSCRIPT     0x00020000              //  mutually exclusive                   
CFM_ANIMATION          equ  000040000h ; #def CFM_ANIMATION       0x00040000              // (*) 
CFM_STYLE              equ  000080000h ; #def CFM_STYLE           0x00080000              // (*) 
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFM_KERNING            equ  000100000h ; #def CFM_KERNING         0x00100000              // (*) 
CFM_SPACING            equ  000200000h ; #def CFM_SPACING         0x00200000              // Displayed by 3.0 
CFM_WEIGHT             equ  000400000h ; #def CFM_WEIGHT          0x00400000
CFM_UNDERLINETYPE      equ  000800000h ; #def CFM_UNDERLINETYPE   0x00800000              // Many displayed by 3.0 
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFM_LCID               equ  002000000h ; #def CFM_LCID            0x02000000
CFM_BACKCOLOR          equ  004000000h ; #def CFM_BACKCOLOR       0x04000000
CFM_CHARSET            equ  008000000h ; #def CFM_CHARSET         0x08000000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFM_OFFSET             equ  010000000h ; #def CFM_OFFSET          0x10000000
CFM_FACE               equ  020000000h ; #def CFM_FACE            0x20000000
CFM_COLOR              equ  040000000h ; #def CFM_COLOR           0x40000000
CFM_SIZE               equ  080000000h ; #def CFM_SIZE            0x80000000
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* // Masks and effects defined for CHARFORMAT2 -- an (*) indicates
;* // that the data is stored by RichEdit 2.0/3.0, but not displayed
;*
;* #define CFM_SUBSCRIPT           CFE_SUBSCRIPT | CFE_SUPERSCRIPT
;* #define CFM_SUPERSCRIPT         CFM_SUBSCRIPT
;*--------------------------------------------------------------------------
;* // CHARFORMAT "ALL" masks
;*
;* #define CFM_EFFECTS  ( CFM_BOLD    | CFM_ITALIC    | CFM_UNDERLINE
;*                      | CFM_COLOR   | CFM_STRIKEOUT | CFE_PROTECTED
;*                      | CFM_LINK    )
;*
;* #define CFM_ALL      ( CFM_EFFECTS | CFM_SIZE | CFM_FACE | CFM_OFFSET
;*                      | CFM_CHARSET )
;* 
;* #define CFM_EFFECTS2 ( CFM_EFFECTS     | CFM_DISABLED  | CFM_SMALLCAPS
;*                      | CFM_ALLCAPS     | CFM_HIDDEN    | CFM_OUTLINE
;*                      | CFM_SHADOW      | CFM_EMBOSS    | CFM_IMPRINT
;*                      | CFM_DISABLED    | CFM_REVISED   | CFM_SUBSCRIPT
;*                      | CFM_SUPERSCRIPT | CFM_BACKCOLOR )
;*
;* #define CFM_ALL2     ( CFM_ALL       | CFM_EFFECTS2      | CFM_BACKCOLOR
;*                      | CFM_LCID      | CFM_UNDERLINETYPE | CFM_WEIGHT
;*                      | CFM_REVAUTHOR | CFM_SPACING       | CFM_KERNING
;*                      | CFM_STYLE     | CFM_ANIMATION )
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // CHARFORMAT effects
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CFE_BOLD               equ  000000001h ; #def CFE_BOLD          0x00000001
CFE_ITALIC             equ  000000002h ; #def CFE_ITALIC        0x00000002
CFE_UNDERLINE          equ  000000004h ; #def CFE_UNDERLINE     0x00000004
CFE_STRIKEOUT          equ  000000008h ; #def CFE_STRIKEOUT     0x00000008
CFE_PROTECTED          equ  000000010h ; #def CFE_PROTECTED     0x00000010
CFE_LINK               equ  000000020h ; #def CFE_LINK          0x00000020
CFE_AUTOCOLOR          equ  040000000h ; #def CFE_AUTOCOLOR     0x40000000
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CFE_SMALLCAPS      equ   CFM_SMALLCAPS ; #def CFE_SMALLCAPS    CFM_SMALLCAPS
CFE_ALLCAPS        equ   CFM_ALLCAPS   ; #def CFE_ALLCAPS      CFM_ALLCAPS
CFE_HIDDEN         equ   CFM_HIDDEN    ; #def CFE_HIDDEN       CFM_HIDDEN
CFE_OUTLINE        equ   CFM_OUTLINE   ; #def CFE_OUTLINE      CFM_OUTLINE
CFE_SHADOW         equ   CFM_SHADOW    ; #def CFE_SHADOW       CFM_SHADOW
CFE_EMBOSS         equ   CFM_EMBOSS    ; #def CFE_EMBOSS       CFM_EMBOSS
CFE_IMPRINT        equ   CFM_IMPRINT   ; #def CFE_IMPRINT      CFM_IMPRINT
CFE_DISABLED       equ   CFM_DISABLED  ; #def CFE_DISABLED     CFM_DISABLED
CFE_REVISED        equ   CFM_REVISED   ; #def CFE_REVISED      CFM_REVISED
CFE_AUTOBACKCOLOR  equ   CFM_BACKCOLOR ; #def CFE_AUTOBACKCOLOR FM_BACKCOLOR
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*  // CFE_AUTOCOLOR and CFE_AUTOBACKCOLOR correspond to CFM_COLOR and
;*  // CFM_BACKCOLOR, respectively, which control them
;*  // CFM_COLOR mirrors CFE_AUTOCOLOR, a little hack to easily deal
;*  // with autocolor
;*--------------------------------------------------------------------------
;* RichEdit.h        // Underline types. RE 1.0 displays only CFU_UNDERLINE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CFU_UNDERLINENONE              equ  00 ; #def CFU_UNDERLINENONE            0
CFU_UNDERLINE                  equ  01 ; #def CFU_UNDERLINE                1
CFU_UNDERLINEWORD              equ  02 ; #def CFU_UNDERLINEWORD            2
CFU_UNDERLINEDOUBLE            equ  03 ; #def CFU_UNDERLINEDOUBLE          3
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFU_UNDERLINEDOTTED            equ  04 ; #def CFU_UNDERLINEDOTTED          4
CFU_UNDERLINEDASH              equ  05 ; #def CFU_UNDERLINEDASH            5
CFU_UNDERLINEDASHDOT           equ  06 ; #def CFU_UNDERLINEDASHDOT         6
CFU_UNDERLINEDASHDOTDOT        equ  07 ; #def CFU_UNDERLINEDASHDOTDOT      7
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFU_UNDERLINEWAVE              equ  08 ; #def CFU_UNDERLINEWAVE            8
CFU_UNDERLINETHICK             equ  09 ; #def CFU_UNDERLINETHICK           9
CFU_UNDERLINEHAIRLINE          equ  10 ; #def CFU_UNDERLINEHAIRLINE       10
CFU_UNDERLINEDOUBLEWAVE        equ  11 ; #def CFU_UNDERLINEDOUBLEWAVE     11
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFU_UNDERLINEHEAVYWAVE         equ  12 ; #def CFU_UNDERLINEHEAVYWAVE      12
CFU_UNDERLINELONGDASH          equ  13 ; #def CFU_UNDERLINELONGDASH       13
CFU_UNDERLINETHICKDASH         equ  14 ; #def CFU_UNDERLINETHICKDASH      14
CFU_UNDERLINETHICKDASHDOT      equ  15 ; #def CFU_UNDERLINETHICKDASHDOT   15
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFU_UNDERLINETHICKDASHDOTDOT   equ  16 ; #def CFU_UNDERLINETHICKDASHDOTDOT16
CFU_UNDERLINETHICKDOTTED       equ  17 ; #def CFU_UNDERLINETHICKDOTTED    17
CFU_UNDERLINETHICKLONGDASH     equ  18 ; #def CFU_UNDERLINETHICKLONGDASH  18
;* -     -     -     -     -     -     -     -     -     -     -     -     -
CFU_INVERT                   equ  0FEh ; #def CFU_INVERT                0xFE
CFU_CF1UNDERLINE             equ  0FFh ; #def CFU_CF1UNDERLINE          0xFF
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
yHeightCharPtsMost           equ  1638 ; #def yHeightCharPtsMost        1638
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; //   EM_SETCHARFORMAT wParam masks 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SCF_DEFAULT                equ  00000h ; #define SCF_DEFAULT          0x0000
SCF_SELECTION              equ  00001h ; #define SCF_SELECTION        0x0001
SCF_WORD                   equ  00002h ; #define SCF_WORD             0x0002
SCF_ALL                    equ  00004h ; #define SCF_ALL              0x0004
SCF_USEUIRULES             equ  00008h ; #define SCF_USEUIRULES       0x0008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
SCF_ASSOCIATEFONT          equ  00010h ; #define SCF_ASSOCIATEFONT    0x0010
SCF_NOKBUPDATE             equ  00020h ; #define SCF_NOKBUPDATE       0x0020
SCF_ASSOCIATEFONT2         equ  00040h ; #define SCF_ASSOCIATEFONT2   0x0040
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;#define SCF_DEFAULT         0x0000  // Set default charformat or paraformat
;#define SCF_ALL             0x0004  // Not valid with SCF_SELECTION or SCF_WORD
;#define SCF_USEUIRULES      0x0008  // Modifier for SCF_SELECTION; says that
;                                    //  format came from a toolbar, etc., and
;                                    //  hence UI formatting rules should be
;                                    //  used instead of literal formatting
;#define SCF_ASSOCIATEFONT   0x0010  // Associate fontname with bCharSet (one
;                                    //  possible for each of Western, ME, FE,
;                                    //  Thai)
;#define SCF_NOKBUPDATE      0x0020  // Do not update KB layput for this change
;                                    //  even if autokeyboard is on
;#define SCF_ASSOCIATEFONT2  0x0040  // Associate plane-2 (surrogate) font
;*==========================================================================
;* WinGDI.h                            ; /* Logical Font */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
LF_FACESIZE            equ         32  ; #define LF_FACESIZE              32
MAX_TAB_STOPS          equ         32  ; #define MAX_TAB_STOPS            32
lDefaultTab            equ        720  ; #define lDefaultTab             720
MAX_TABLE_CELLS        equ         63  ; #define MAX_TABLE_CELLS          63
;*==========================================================================
;* RichEdit.h                          ; // PARAFORMAT mask values 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PFM_STARTINDENT        equ  000000001h ; #def PFM_STARTINDENT     0x00000001
PFM_RIGHTINDENT        equ  000000002h ; #def PFM_RIGHTINDENT     0x00000002
PFM_OFFSET             equ  000000004h ; #def PFM_OFFSET          0x00000004
PFM_ALIGNMENT          equ  000000008h ; #def PFM_ALIGNMENT       0x00000008
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFM_TABSTOPS           equ  000000010h ; #def PFM_TABSTOPS        0x00000010
PFM_NUMBERING          equ  000000020h ; #def PFM_NUMBERING       0x00000020
PFM_SPACEBEFORE        equ  000000040h ; #def PFM_SPACEBEFORE     0x00000040
PFM_SPACEAFTER         equ  000000080h ; #def PFM_SPACEAFTER      0x00000080
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFM_LINESPACING        equ  000000100h ; #def PFM_LINESPACING     0x00000100
PFM_STYLE              equ  000000400h ; #def PFM_STYLE           0x00000400
PFM_BORDER             equ  000000800h ; #def PFM_BORDER          0x00000800
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFM_SHADING            equ  000001000h ; #def PFM_SHADING         0x00001000
PFM_NUMBERINGSTYLE     equ  000002000h ; #def PFM_NUMBERINGSTYLE  0x00002000
PFM_NUMBERINGTAB       equ  000004000h ; #def PFM_NUMBERINGTAB    0x00004000
PFM_NUMBERINGSTART     equ  000008000h ; #def PFM_NUMBERINGSTART  0x00008000
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
PFM_RTLPARA            equ  000010000h ; #def PFM_RTLPARA         0x00010000
PFM_KEEP               equ  000020000h ; #def PFM_KEEP            0x00020000
PFM_KEEPNEXT           equ  000040000h ; #def PFM_KEEPNEXT        0x00040000
PFM_PAGEBREAKBEFORE    equ  000080000h ; #def PFM_PAGEBREAKBEFORE 0x00080000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFM_NOLINENUMBER       equ  000100000h ; #def PFM_NOLINENUMBER    0x00100000
PFM_NOWIDOWCONTROL     equ  000200000h ; #def PFM_NOWIDOWCONTROL  0x00200000
PFM_DONOTHYPHEN        equ  000400000h ; #def PFM_DONOTHYPHEN     0x00400000
PFM_SIDEBYSIDE         equ  000800000h ; #def PFM_SIDEBYSIDE      0x00800000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFM_COLLAPSED          equ  001000000h ; #def PFM_COLLAPSED       0x01000000
PFM_OUTLINELEVEL       equ  002000000h ; #def PFM_OUTLINELEVEL    0x02000000
PFM_BOX                equ  004000000h ; #def PFM_BOX             0x04000000
PFM_RESERVED2          equ  008000000h ; #def PFM_RESERVED2       0x08000000
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFM_TABLEROWDELIMITER  equ  010000000h ; #def PFM_TABLEROWDELIMITER 10000000
PFM_TEXTWRAPPINGBREAK  equ  020000000h ; #def PFM_TEXTWRAPPINGBREAK 20000000
PFM_TABLE              equ  040000000h ; #def PFM_TABLE           0x40000000
PFM_OFFSETINDENT       equ  080000000h ; #def PFM_OFFSETINDENT    0x80000000
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // PARAFORMAT "ALL" masks
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* #def PFM_ALL      ( PFM_STARTINDENT | PFM_RIGHTINDENT | PFM_OFFSET
;*                   | PFM_ALIGNMENT   | PFM_TABSTOPS    | PFM_NUMBERING
;*                   | PFM_OFFSETINDENT| PFM_RTLPARA)
;*
;* #def PFM_EFFECTS  ( PFM_RTLPARA | PFM_KEEP | PFM_KEEPNEXT | PFM_TABLE
;*                   | PFM_PAGEBREAKBEFORE        | PFM_NOLINENUMBER
;*                   | PFM_NOWIDOWCONTROL         | PFM_DONOTHYPHEN
;*                   | PFM_SIDEBYSIDE | PFM_TABLE | PFM_TABLEROWDELIMITER )
;*
;* #def PFM_ALL2     ( PFM_ALL        | PFM_EFFECTS     | PFM_SPACEBEFORE
;*                   | PFM_SPACEAFTER | PFM_LINESPACING | PFM_STYLE
;*                   | PFM_SHADING    | PFM_BORDER      | PFM_NUMBERINGTAB
;*                   | PFM_NUMBERINGSTART | PFM_NUMBERINGSTYLE)
;*==========================================================================
;* RichEdit.h                          ; // PARAFORMAT Effect values 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PFE_RTLPARA            equ      00001h ;PFE_RTLPARA    (PFM_RTLPARA   >> 16)
PFE_KEEP               equ      00002h ;PFE_KEEP       (PFM_KEEP      >> 16)
PFE_KEEPNEXT           equ      00004h ;PFE_KEEPNEXT   (PFM_KEEPNEXT  >> 16)
PFE_PAGEBREAKBEFORE    equ      00008h ;PFE_PAGEBREAKBEFORE PFMBEFORE >> 16)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFE_NOLINENUMBER       equ      00010h ;PFE_NOLINENUMBER   (PFM_UMBER >> 16)
PFE_NOWIDOWCONTROL     equ      00020h ;PFE_NOWIDOWCONTROL (PFM_NTROL >> 16)
PFE_DONOTHYPHEN        equ      00040h ;PFE_DONOTHYPHEN    (PFM_YPHEN >> 16)
PFE_SIDEBYSIDE         equ      00080h ;PFE_SIDEBYSIDE (PFM_SIDEBYSID >> 16)
;* -     -     -     -     -     -     -     -     -     -     -     -     -
PFE_COLLAPSED          equ      00100h ;PFE_COLLAPSED  (PFM_COLLAPSED >> 16)
PFE_BOX                equ      00400h ;PFE_BOX              (PFM_BOX >> 16)
PFE_TABLEROWDELIMITER  equ      01000h ;PFE_TABLEROWDELIMITER(PFM_TER >> 16)
PFE_TEXTWRAPPINGBREAK  equ      02000h ;PFE_TEXTWRAPPINGBREAK(PFM_EAK >> 16)
PFE_TABLE              equ      04000h ;PFE_TABLE      (PFM_TABLE     >> 16)
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // PARAFORMAT numbering options 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PFN_BULLET             equ          1  ; #define PFN_BULLET              1
PFN_ARABIC             equ          2  ; #define PFN_ARABIC              2
PFN_LCLETTER           equ          3  ; #define PFN_LCLETTER            3
PFN_UCLETTER           equ          4  ; #define PFN_UCLETTER            4
PFN_LCROMAN            equ          5  ; #define PFN_LCROMAN             5
PFN_UCROMAN            equ          6  ; #define PFN_UCROMAN             6
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; PARAFORMAT2 wNumberingStyle options 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PFNS_PAREN             equ      00000h ; #define PFNS_PAREN           0x0000
PFNS_PARENS            equ      00100h ; #define PFNS_PARENS          0x0100
PFNS_PERIOD            equ      00200h ; #define PFNS_PERIOD          0x0200
PFNS_PLAIN             equ      00300h ; #define PFNS_PLAIN           0x0300
PFNS_NONUMBER          equ      00400h ; #define PFNS_NONUMBER        0x0400
PFNS_NEWNUMBER         equ      08000h ; #define PFNS_NEWNUMBER       0x8000
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; // PARAFORMAT alignment options 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PFA_LEFT               equ          1  ; #define PFA_LEFT               1
PFA_RIGHT              equ          2  ; #define PFA_RIGHT              2
PFA_CENTER             equ          3  ; #define PFA_CENTER             3
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
PFA_JUSTIFY            equ          4  ; #define PFA_JUSTIFY            4
PFA_FULL_INTERWORD     equ          4  ; #define PFA_FULL_INTERWORD     4
PFA_FULL_INTERLETTER   equ          5  ; #define PFA_FULL_INTERLETTER   5
PFA_FULL_SCALED        equ          6  ; #define PFA_FULL_SCALED        6
PFA_FULL_GLYPHS        equ          7  ; #define PFA_FULL_GLYPHS        7
PFA_SNAP_GRID          equ          8  ; #define PFA_SNAP_GRID          8
;*==========================================================================
;* RichEdit.h                          ; Stream formats. Flags in low word
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SF_TEXT                equ      00001h ; #define SF_TEXT              0x0001
SF_RTF                 equ      00002h ; #define SF_RTF               0x0002
SF_RTFNOOBJS           equ      00003h ; #define SF_RTFNOOBJS         0x0003
SF_TEXTIZED            equ      00004h ; #define SF_TEXTIZED          0x0004
;* -     -     -     -     -     -     -     -     -     -     -     -     -
SF_UNICODE             equ      00010h ; #define SF_UNICODE           0x0010
SF_USECODEPAGE         equ      00020h ; #define SF_USECODEPAGE       0x0020
SF_NCRFORNONASCII      equ      00040h ; #define SF_NCRFORNONASCII    0x0040
SF_RTFVAL              equ      00700h ; #define SF_RTFVAL            0x0700
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SFF_WRITEXTRAPAR       equ      00080h ; #define SFF_WRITEXTRAPAR     0x0080
SFF_PWD                equ      00800h ; #define SFF_PWD              0x0800
;* -     -     -     -     -     -     -     -     -     -     -     -     -
SFF_KEEPDOCINFO        equ      01000h ; #define SFF_KEEPDOCINFO      0x1000
SFF_PERSISTVIEWSCALE   equ      02000h ; #define SFF_PERSISTVIEWSCALE 0x2000
SFF_PLAINRTF           equ      04000h ; #define SFF_PLAINRTF         0x4000
SFF_SELECTION          equ      08000h ; #define SFF_SELECTION        0x8000
;*==========================================================================
;* RichEdit.h                          ; Flags for the SETEXTEX data struct.
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ST_DEFAULT             equ          0  ; #define ST_DEFAULT              0
ST_KEEPUNDO            equ          1  ; #define ST_KEEPUNDO             1
ST_SELECTION           equ          2  ; #define ST_SELECTION            2
ST_NEWCHARS            equ          4  ; #define ST_NEWCHARS             4
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; Flags for the GETEXTEX data struct. 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
GT_DEFAULT             equ          0  ; #define GT_DEFAULT              0
GT_USECRLF             equ          1  ; #define GT_USECRLF              1
GT_SELECTION           equ          2  ; #define GT_SELECTION            2
GT_RAWTEXT             equ          4  ; #define GT_RAWTEXT              4
GT_NOHIDDENTEXT        equ          8  ; #define GT_NOHIDDENTEXT         8
;*--------------------------------------------------------------------------
;* RichEdit.h                          ; Flags for the GETEXTLENGTHEX struct
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
GTL_DEFAULT            equ          0  ; #define GTL_DEFAULT             0
GTL_USECRLF            equ          1  ; #define GTL_USECRLF             1
GTL_PRECISE            equ          2  ; #define GTL_PRECISE             2
GTL_CLOSE              equ          4  ; #define GTL_CLOSE               4
GTL_NUMCHARS           equ          8  ; #define GTL_NUMCHARS            8
GTL_NUMBYTES           equ         16  ; #define GTL_NUMBYTES           16
;*==========================================================================
;* RichEdit.h                          ; // Additional EM_FINDTEXT[EX] flags 
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FR_MATCHDIAC           equ  020000000h ; #define FR_MATCHDIAC     0x20000000
FR_MATCHKASHIDA        equ  040000000h ; #define FR_MATCHKASHIDA  0x40000000
FR_MATCHALEFHAMZA      equ  080000000h ; #define FR_MATCHALEFHAMZA x80000000
;*==========================================================================
;* RichEdit.h                          ; // New word break function actions
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;WB_CLASSIFY           equ          3  ; #define WB_CLASSIFY         3
;WB_MOVEWORDLEFT       equ          4  ; #define WB_MOVEWORDLEFT     4
;WB_MOVEWORDRIGHT      equ          5  ; #define WB_MOVEWORDRIGHT    5
;WB_LEFTBREAK          equ          6  ; #define WB_LEFTBREAK        6
;WB_RIGHTBREAK         equ          7  ; #define WB_RIGHTBREAK       7
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* RichEdit.h                          ; // East Asia specific flags 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;WB_MOVEWORDPREV       equ          4  ; #define WB_MOVEWORDPREV     4
;WB_MOVEWORDNEXT       equ          5  ; #define WB_MOVEWORDNEXT     5
;WB_PREVBREAK          equ          6  ; #define WB_PREVBREAK        6
;WB_NEXTBREAK          equ          7  ; #define WB_NEXTBREAK        7
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;PC_FOLLOWING          equ          1  ; #define PC_FOLLOWING        1
;PC_LEADING            equ          2  ; #define PC_LEADING          2
;PC_OVERFLOW           equ          3  ; #define PC_OVERFLOW         3
;PC_DELIMITER          equ          4  ; #define PC_DELIMITER        4
;* -     -     -     -     -     -     -     -     -     -     -     -     -
;WBF_WORDWRAP          equ       0010h ; #define WBF_WORDWRAP        0x0010h
;WBF_WORDBREAK         equ       0020h ; #define WBF_WORDBREAK       0x0020h
;WBF_OVERFLOW          equ       0040h ; #define WBF_OVERFLOW        0x0040h 
;WBF_LEVEL1            equ       0080h ; #define WBF_LEVEL1          0x0080h
;WBF_LEVEL2            equ       0100h ; #define WBF_LEVEL2          0x0100h
;WBF_CUSTOM            equ       0200h ; #define WBF_CUSTOM          0x0200h
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* RichEdit.h                          ;// East Asia specific flags
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;IMF_FORCENONE          equ     00001h ; #def IMF_FORCENONE          0x0001h
;IMF_FORCEENABLE        equ     00002h ; #def IMF_FORCEENABLE        0x0002h
;IMF_FORCEDISABLE       equ     00004h ; #def IMF_FORCEDISABLE       0x0004h
;IMF_CLOSESTATUSWINDOW  equ     00008h ; #def IMF_CLOSESTATUSWINDOW  0x0008h
;IMF_VERTICAL           equ     00020h ; #def IMF_VERTICAL           0x0020h
;IMF_FORCEACTIVE        equ     00040h ; #def IMF_FORCEACTIVE        0x0040h
;IMF_FORCEINACTIVE      equ     00080h ; #def IMF_FORCEINACTIVE      0x0080h
;IMF_FORCEREMEMBER      equ     00100h ; #def IMF_FORCEREMEMBER      0x0100h
;IMF_MULTIPLEEDIT       equ     00400h ; #def IMF_MULTIPLEEDIT       0x0400h
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* RichEdit                     ;// Word break flags (used with WB_CLASSIFY) 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;WBF_CLASS              equ       00Fh ; #def WBF_CLASS        ((BYTE) 0x0F)
;WBF_ISWHITE            equ       010h ; #def WBF_ISWHITE      ((BYTE) 0x10)
;WBF_BREAKLINE          equ       020h ; #def WBF_BREAKLINE    ((BYTE) 0x20)
;WBF_BREAKAFTER         equ       040h ; #def WBF_BREAKAFTER   ((BYTE) 0x40)
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890  equ  012345678h ;#def 12345678901234567890 0x12345678
;###########################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.H                                       ; /* GetSystemMetrics() codes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SM_CXSCREEN                       equ          0  ; #define   SM_CXSCREEN               0
;SM_CYSCREEN                       equ          1  ; #define   SM_CYSCREEN               1
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################

;###########################################################################
;234567890_1234567890  equ  1234567890_1234567890+LS ; 000 000 000 HINSTANCE
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% RichEdit.h          CHARFORMATA                   ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
cf1a_cbSize            equ  0000                     ; 000 000 000 UINT
cf1a_dwMask            equ  cf1a_cbSize+04           ; 004 004 004 DWORD
cf1a_dwEffects         equ  cf1a_dwMask+04           ; 008 008 008 DWORD
cf1a_yHeight           equ  cf1a_dwEffects+04        ; 012 012 012 LONG
cf1a_yOffset           equ  cf1a_yHeight+04          ; 016 016 016 LONG
cf1a_crTextColor       equ  cf1a_yOffset+04          ; 020 020 020 COLORREF
cf1a_bCharSet          equ  cf1a_crTextColor+04      ; 024 024 024 BYTE
cf1a_bPitchAndFamily   equ  cf1a_bCharSet+01         ; 025 025 025 BYTE
cf1a_szFaceName        equ  cf1a_bPitchAndFamily+01  ; 026 026 026 ACHAR[32]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CF1Ansi                equ  cf1a_szFaceName+32       ; 058 058 058 W95,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          CHARFORMATW                   ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
cf1w_cbSize            equ  0000                     ; 000 000 000 UINT
cf1w_dwMask            equ  cf1w_cbSize+04           ; 004 004 004 DWORD
cf1w_dwEffects         equ  cf1w_dwMask+04           ; 008 008 008 DWORD
cf1w_yHeight           equ  cf1w_dwEffects+04        ; 012 012 012 LONG
cf1w_yOffset           equ  cf1w_yHeight+04          ; 016 016 016 LONG
cf1w_crTextColor       equ  cf1w_yOffset+04          ; 020 020 020 COLORREF
cf1w_bCharSet          equ  cf1w_crTextColor+04      ; 024 024 024 BYTE
cf1w_bPitchAndFamily   equ  cf1w_bCharSet+01         ; 025 025 025 BYTE
cf1w_szFaceName        equ  cf1w_bPitchAndFamily+01  ; 026 026 026 WCHAR[32]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CF1Wide                equ  cf1w_szFaceName+64       ; 090 090 090 W95,NT4.0
;*==========================================================================
;* RichEdit.h          CHARFORMAT2A                  ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
cf2a_cbSize            equ  0000                     ; 000 000 000 UINT
cf2a_dwMask            equ  cf2a_cbSize+04           ; 004 004 004 DWORD
cf2a_dwEffects         equ  cf2a_dwMask+04           ; 008 008 008 DWORD
cf2a_yHeight           equ  cf2a_dwEffects+04        ; 012 012 012 LONG
cf2a_yOffset           equ  cf2a_yHeight+04          ; 016 016 016 LONG
cf2a_crTextColor       equ  cf2a_yOffset+04          ; 020 020 020 COLORREF
cf2a_bCharSet          equ  cf2a_crTextColor+04      ; 024 024 024 BYTE
cf2a_bPitchAndFamily   equ  cf2a_bCharSet+01         ; 025 025 025 BYTE
cf2a_szFaceName        equ  cf2a_bPitchAndFamily+01  ; 026 026 026 WCHAR[32]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
CF1A                   equ  cf2a_szFaceName+32       ; 058 058 058 W95,NT4.0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
cf2a_wWeight           equ  cf2a_szFaceName+32       ; 058 058 058 WORD
cf2a_sSpacing          equ  cf2a_wWeight+02          ; 060 060 060 SHORT
cf2a_crBackColor       equ  cf2a_sSpacing+04         ; 064 064 064 COLORREF
cf2a_lcid              equ  cf2a_crBackColor+04      ; 068 068 068 LCID
cf2a_dwReserved        equ  cf2a_lcid+04             ; 072 072 072 DWORD
cf2a_sStyle            equ  cf2a_dwReserved+04       ; 076 076 076 SHORT
cf2a_wKerning          equ  cf2a_sStyle+02           ; 078 078 078 WORD
cf2a_bUnderlineType    equ  cf2a_wKerning+02         ; 080 080 080 BYTE
cf2a_bAnimation        equ  cf2a_bUnderlineType+01   ; 081 081 081 BYTE
cf2a_bRevAuthor        equ  cf2a_bAnimation+01       ; 082 082 082 BYTE
cf2a_bReserved1        equ  cf2a_bRevAuthor+01       ; 083 083 083 BYTE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CF2A                   equ  cf2a_bReserved1+01       ; 084 084 084 W98,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          CHARFORMAT2W                  ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
cf2w_cbSize            equ  0000                     ; 000 000 000 UINT
cf2w_dwMask            equ  cf2w_cbSize+04           ; 004 004 004 DWORD
cf2w_dwEffects         equ  cf2w_dwMask+04           ; 008 008 008 DWORD
cf2w_yHeight           equ  cf2w_dwEffects+04        ; 012 012 012 LONG
cf2w_yOffset           equ  cf2w_yHeight+04          ; 016 016 016 LONG
cf2w_crTextColor       equ  cf2w_yOffset+04          ; 020 020 020 COLORREF
cf2w_bCharSet          equ  cf2w_crTextColor+04      ; 024 024 024 BYTE
cf2w_bPitchAndFamily   equ  cf2w_bCharSet+01         ; 025 025 025 BYTE
cf2w_szFaceName        equ  cf2w_bPitchAndFamily+01  ; 026 026 026 WCHAR[32]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
CF1W                   equ  cf2w_szFaceName+64       ; 090 090 090 W95,NT4.0
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
cf2w_wWeight           equ  cf2w_szFaceName+64       ; 090 090 090 WORD
cf2w_sSpacing          equ  cf2w_wWeight+02          ; 092 092 092 SHORT
cf2w_crBackColor       equ  cf2w_sSpacing+04         ; 096 096 096 COLORREF
cf2w_lcid              equ  cf2w_crBackColor+04      ; 100 100 100 LCID
cf2w_dwReserved        equ  cf2w_lcid+04             ; 104 104 104 DWORD
cf2w_sStyle            equ  cf2w_dwReserved+04       ; 108 108 108 SHORT
cf2w_wKerning          equ  cf2w_sStyle+02           ; 110 110 110 WORD
cf2w_bUnderlineType    equ  cf2w_wKerning+02         ; 112 112 112 BYTE
cf2w_bAnimation        equ  cf2w_bUnderlineType+01   ; 113 113 113 BYTE
cf2w_bRevAuthor        equ  cf2w_bAnimation+01       ; 114 114 114 BYTE
cf2w_bReserved1        equ  cf2w_bRevAuthor+01       ; 115 115 115 BYTE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CF2W                   equ  cf2w_bReserved1+01       ; 116 116 116 W98,NT4.0
;*==========================================================================
;* RichEdit.h          PARAFORMAT                    ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
pfmt_cbSize            equ  0000                     ; 000 000 000 UINT
pfmt_dwMask            equ  pfmt_cbSize+04           ; 004 004 004 DWORD
pfmt_wNumbering        equ  pfmt_dwMask+04           ; 008 008 008 WORD
pfmt_wEffects          equ  pfmt_wNumbering+02       ; 010 010 010 WORD
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
pfmt_dxStartIndent     equ  pfmt_wEffects+02         ; 012 012 012 LONG
pfmt_dxRightIndent     equ  pfmt_dxStartIndent+04    ; 016 016 016 LONG
pfmt_dxOffset          equ  pfmt_dxRightIndent+04    ; 020 020 020 LONG
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
pfmt_wAlignment        equ  pfmt_dxOffset+04         ; 024 024 024 WORD
pfmt_cTabCount         equ  pfmt_wAlignment+02       ; 026 026 026 SHORT
pfmt_rgxTabs           equ  pfmt_cTabCount+02        ; 028 028 028 LONG[32]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PFMT                   equ  pfmt_rgxTabs+128         ; 156 156 156 W95,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          PARAFORMAT2                   ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
pfm2_dySpaceBefore     equ  pfmt_rgxTabs+128         ; 156 156 156 LONG
pfm2_dySpaceAfter      equ  pfm2_dySpaceBefore+04    ; 160 160 160 LONG
pfm2_dyLineSpacing     equ  pfm2_dySpaceAfter+04     ; 164 164 164 LONG
pfm2_sStyle            equ  pfm2_dyLineSpacing+04    ; 168 168 168 SHORT
pfm2_bLineSpacingRule  equ  pfm2_sStyle+02           ; 170 170 170 BYTE
pfm2_bOutlineLevel     equ  pfm2_bLineSpacingRule+01 ; 171 171 171 BYTE
pfm2_wShadingWeight    equ  pfm2_bOutlineLevel+01    ; 172 172 172 WORD
pfm2_wShadingStyle     equ  pfm2_wShadingWeight+02   ; 174 174 174 WORD
pfm2_wNumberingStart   equ  pfm2_wShadingStyle+02    ; 176 176 176 WORD
pfm2_wNumberingStyle   equ  pfm2_wNumberingStart+02  ; 178 178 178 WORD
pfm2_wNumberingTab     equ  pfm2_wNumberingStyle+02  ; 180 180 180 WORD
pfm2_wBorderSpace      equ  pfm2_wNumberingTab+02    ; 182 182 182 WORD
pfm2_wBorderWidth      equ  pfm2_wBorderSpace+02     ; 184 184 184 WORD
pfm2_wBorders          equ  pfm2_wBorderWidth+02     ; 186 186 186 WORD
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
PFM2                   equ  pfm2_wBorders+02         ; 188 188 188 W98,NT4.0
;*==========================================================================
;* RichEdit.h          CHARRANGE                     ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
chrrng_cpMin           equ  000000                   ; 000 000 000 LONG
chrrng_cpMax           equ  chrrng_cpMin+04          ; 004 004 004 LONG
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
CHARRANGE              equ  chrrng_cpMax+04          ; 008 008 008 W95,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          TEXTRANGE(A)                  ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
txtrng_chrg_cpMin      equ  000000                   ; 000 000 000 CHARRANGE
txtrng_chrg_cpMax      equ  txtrng_chrg_cpMin+04     ; 004 004 004 CHARRANGE
txtrng_lpstrText       equ  txtrng_chrg_cpMax+04     ; 008 008 ?16 LPSTR
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TEXTRANGE              equ  txtrng_lpstrText+LV      ; 012 016 ?32 W95,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          TEXTRANGE_W                   ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
txtrngw_chrg_cpMin     equ  00000                    ; 000 000 000 CHARRANGE
txtrngw_chrg_cpMax     equ  txtrngw_chrg_cpMin+04    ; 004 004 004 CHARRANGE
txtrngw_lpstrText      equ  txtrngw_chrg_cpMax+04    ; 008 008 008 LPWSTR
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TEXTRANGEW             equ  txtrngw_lpstrText+LV     ; 012 016 ?32 W95,NT4.0
;*==========================================================================
;* RichEdit.h          FORMATRANGE                   ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
fmtrng_hdc             equ  000000                   ; 000 000 000 HDC
fmtrng_hdcTarget       equ  fmtrng_hdc+LV            ; 004 008 016 HDC
;* -   -   -   -   -   -   -   -   -   -   -   -   - ; -   -   -   -   -   -
fmtrng_rc_Lft          equ  fmtrng_hdcTarget+LV      ; 008 016 032 RECT_Left
fmtrng_rc_Top          equ  fmtrng_rc_Lft+04         ; 012 020 036 RECT_Topp
fmtrng_rc_Rgt          equ  fmtrng_rc_Top+04         ; 016 024 040 RECT_Rght
fmtrng_rc_Bot          equ  fmtrng_rc_Rgt+04         ; 020 028 044 RECT_Bott
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
fmtrng_rcPage_Lft      equ  fmtrng_rc_Bot+04         ; 024 032 048 RECT_Left
fmtrng_rcPage_Top      equ  fmtrng_rcPage_Lft+04     ; 028 036 052 RECT_Topp
fmtrng_rcPage_Rgt      equ  fmtrng_rcPage_Top+04     ; 032 040 056 RECT_Rght
fmtrng_rcPage_Bot      equ  fmtrng_rcPage_Rgt+04     ; 036 044 060 RECT_Bott
;* -   -   -   -   -   -   -   -   -   -   -   -   - ; -   -   -   -   -   -
fmtrng_chrg_cpMin      equ  fmtrng_rcPage_Bot+04     ; 040 048 064 CHARRANGE
fmtrng_chrg_cpMax      equ  fmtrng_chrg_cpMin+04     ; 044 052 068 CHARRANGE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FMTRNG                 equ  fmtrng_chrg_cpMax+04     ; 048 056 072 W95,NT4.0
;*==========================================================================
;* RichEdit.h          FINDTEXT(A)                   ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
fndtxt_chrg_cpMin      equ  000000                   ; 000 000 000 CHARRANGE
fndtxt_chrg_cpMax      equ  fndtxt_chrg_cpMin+04     ; 004 004 004 CHARRANGE
fndtxt_lpstrText       equ  fndtxt_chrg_cpMax+04     ; 008 008 ?16 LPCSTR
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FINDTEXT               equ  fndtxt_lpstrText+LV      ; 012 016 ?32 W95,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          FINDTEXT_W                    ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
fndtxtw_chrg_cpMin     equ  00000                    ; 000 000 000 CHARRANGE
fndtxtw_chrg_cpMax     equ  fndtxtw_chrg_cpMin+04    ; 004 004 004 CHARRANGE
fndtxtw_lpstrText      equ  fndtxtw_chrg_cpMax+04    ; 008 008 ?16 LPCWSTR
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FNDTXTW                equ  fndtxtw_lpstrText+LV     ; 012 016 ?32 W95,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          FINDTEXTEX(A)                 ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
fndtxtex_chrg_cpMin    equ  00000                    ; 000 000 000 CHARRANGE
fndtxtex_chrg_cpMax    equ  fndtxtex_chrg_cpMin+04   ; 004 004 004 CHARRANGE
fndtxtex_lpstrText     equ  fndtxtex_chrg_cpMax+04   ; 008 008 ?16 LPCSTR
fndtxtex_chrg_TxMin    equ  fndtxtex_lpstrText+LV    ; 012 016 ?32 CHARRANGE
fndtxtex_chrg_TxMax    equ  fndtxtex_chrg_TxMin+04   ; 016 020 ?36 CHARRANGE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FINDTEXTEX             equ  fndtxtex_chrg_TxMax+04   ; 020 024 ?40 W95,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          FINDTEXTEX_W                  ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
fndtxtexw_chrg_cpMin   equ  00000                    ; 000 000 000 CHARRANGE
fndtxtexw_chrg_cpMax   equ  fndtxtexw_chrg_cpMin+04  ; 004 004 004 CHARRANGE
fndtxtexw_lpstrText    equ  fndtxtexw_chrg_cpMax+04  ; 008 008 ?16 LPCWSTR
fndtxtexw_chrg_TxMin   equ  fndtxtexw_lpstrText+LV   ; 012 016 ?32 CHARRANGE
fndtxtexw_chrg_TxMax   equ  fndtxtexw_chrg_TxMin+04  ; 016 020 ?36 CHARRANGE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
FINDTEXTEXW            equ  fndtxtexw_chrg_TxMax+04  ; 020 024 ?40 W95,NT4.0
;*==========================================================================
;* RichEdit.h          SETTEXTEX                     ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
stex_flags             equ  00000                    ; 000 000 000 DWORD   
stex_codepage          equ  stex_flags+04            ; 004 004 004 UINT
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SETTEXTEX              equ  stex_codepage+04         ; 008 008 008 W98,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          GETTEXTEX                     ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gtex_cb                equ  0000                     ; 000 000 000 DWORD
gtex_flags             equ  gtex_cb+04               ; 004 004 004 DWORD
gtex_codepage          equ  gtex_flags+04            ; 008 008 008 UINT
gtex_lpDefaultChar     equ  gtex_codepage+DV         ; 012 016 016 LPCSTR
gtex_lpUsedDefChar     equ  gtex_lpDefaultChar+LV    ; 016 024 032 LPBOOL
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
GETTEXTEX              equ  gtex_lpUsedDefChar+LV    ; 020 032 048 W98,NT4.0
;*--------------------------------------------------------------------------
;* RichEdit.h          GETTEXTLENGTHEX               ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gtlex_flags            equ  00000                    ; 000 000 000 DWORD   
gtlex_codepage         equ  gtlex_flags+04           ; 004 004 004 UINT
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
GETTEXTLENGTHEX        equ  gtlex_codepage+04        ; 008 008 008 W98,NT4.0
;*==========================================================================
;* RichEdit.h          EDITSTREAM                    ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
edistr_dwCookie        equ  000000                   ; 000 000 000 DWORD_PTR
edistr_dwError         equ  edistr_dwCookie+LV       ; 004 008 ?16 DWORD
edistr_pfnCallback     equ  edistr_dwError+LV        ; 008 ?16 ?32 EDSTRCBCK
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
EDITSTREAM             equ  edistr_pfnCallback+LV    ; 012 ?24 ?48 W95,NT4.0
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.h           MDI  NEXT  MENU               ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;2345678_123456789012  equ  12345678_123456789012+LV ; 000 000 000 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LV ; 004 008 016 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LV ; 008 016 032 HINSTANCE
;###########################################################################

;###########################################################################
;2345678_123456789012  equ  12345678_123456789012+LV ; 000 000 000 HINSTANCE
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.h           SCROLLINFO  (extended)        ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
scrinf_cSize           equ  000000                   ; 000 000 000 UINT
scrinf_fMask           equ  scrinf_cSize+4           ; 004 004 004 UINT
scrinf_nMini           equ  scrinf_fMask+4           ; 008 008 008 int
scrinf_nMaxi           equ  scrinf_nMini+4           ; 012 012 012 int
scrinf_nPage           equ  scrinf_nMaxi+4           ; 016 016 016 UINT
scrinf_nPosi           equ  scrinf_nPage+4           ; 020 020 020 int
scrinf_nTrck           equ  scrinf_nPosi+4           ; 024 024 024 int
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SCRINF                 equ  scrinf_nTrck+4           ; 028 028 028 sizeof();
;*--------------------------------------------------------------------------
;*rimf_nLine           equ  scrinf_nTrackPos+4       ; 028 028 028 UINT
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
scrimf_iPage           equ  032                      ; 032 032 032 UINT
scrimf_iLine           equ  scrimf_iPage+4           ; 036 036 036 UINT
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
SCRIMF                 equ  scrimf_iLine+4           ; 040 040 040 sizeof();
;*==========================================================================
;* WINUSER.h           MeSSaGe                       ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mssg_hWnd             equ  0                        ; 000 000 000 HWND
;mssg_message          equ  mssg_hWnd+LV             ; 004 008 016 UINT
;* -     -     -     -     -     -     -     -     - ;   -     -     -     -
;mssg_wParam           equ  mssg_message+LV          ; 008 016 032 WPARAM !?
;mssg_lParam           equ  mssg_wParam+LV           ; 012 024 048 LPARAM !?
;* -   -   -   -   -   -   -   -   -   -   -   -   - ; -   -   -   -   -   -
;mssg_time             equ  mssg_lParam+LV           ; 016 032 064 DWORD
;mssg_ptX              equ  mssg_time+4              ; 020 036 068 DWORD
;mssg_ptY              equ  mssg_ptX+4               ; 024 040 072 DWORD
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;MSSG                  equ  mssg_ptY+4               ; 028 044 076 sizeof():
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.h           MDI  NEXT  MENU               ; I32 A64 128 CPP-TYPE:
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;2345678_123456789012  equ  12345678_123456789012+LS ; 000 000 000 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LS ; 004 008 016 HINSTANCE
;2345678_123456789012  equ  12345678_123456789012+LS ; 008 016 032 HINSTANCE
;###########################################################################

;###############################################################################################################
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% WINUSER.H                                       ; /* GetSystemMetrics() codes */
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SM_CXSCREEN                       equ          0  ; #define   SM_CXSCREEN               0
;SM_CYSCREEN                       equ          1  ; #define   SM_CYSCREEN               1
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;###############################################################################################################



;###############################################################################################################
;2345678_1234567890123456  equ  12345678_1234567890123456+LSIZ ; SIZE: CPP-TYPE  [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;indStrc_Variable01        equ  00000000                       ; BINT:     BYTE  [00000 00000 00000 00000 00000]
;indStrc_Variable02        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00001 00001 00001 00001 00001]
;indStrc_Variable03        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00002 00002 00002 00002 00002]
;indStrc_Variable04        equ  WindStrc_Variable01+01         ; BINT:     BYTE  [00003 00003 00003 00003 00003]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable05        equ  WindStrc_Variable01+01         ; WINT:     WORD  [00004 00004 00004 00004 00004]
;indStrc_Variable06        equ  WindStrc_Variable01+02         ; WINT:     SHORT [00006 00006 00006 00006 00006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;indStrc_Variable07        equ  WindStrc_Variable01+02         ; SINT:     LONG  [00008 00008 00008 00008 00008]
;indStrc_Variable08        equ  WindStrc_Variable01+04         ; SINT:     DWORD [00012 00012 00012 00012 00012]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;indStrc_Variable09        equ  WindStrc_Variable01+04         ; DINT:  LONGLONG [00016 00016 00016 00016 00016]
;indStrc_Variable10        equ  WindStrc_Variable01+DV         ; DINT:     QWORD [00020 00024 00024 00032 00024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;indStrc_Variable11        equ  WindStrc_Variable01+DV         ; QINT:    HANDLE [00024 00032 00032 00032 00032]
;indStrc_Variable12        equ  WindStrc_Variable01+QV         ; QINT:   POINTER [00028 00040 00048 00048 00048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -   - - - - -
;indStrc_Variable13        equ  WindStrc_Variable01+QV         ; UINT:   POINTER [00032 00048 00064 00064 00064]
;indStrc_Variable14        equ  WindStrc_Variable01+GV         ; UINT:   POINTER [00036 00056 00080 00096 00096]
;*--------------------------------------------------------------------------------------------------------------
;indStrc_Variable15        equ  WindStrc_Variable01+GV         ; VINT:   POINTER [00040 00064 00096 00128 00128]
;indStrc_Variable16        equ  WindStrc_Variable01+PV         ; VINT:   POINTER [00044 00072 00112 00160 00192]
;*==============================================================================================================
;indStrc_Variable17        equ  WindStrc_Variable01+PV         ; LINT:   POINTER [00048 00080 00128 00192 00256]
;indStrc_Variable18        equ  WindStrc_Variable01+LZ         ; LINT:   POINTER [00052 00088 00144 00224 00320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2345678_1234567890123456  equ  12345678_1234567890123456+XSIZ ; SIZE: PARAMETER [00056 00096 00160 00256 00384]
;###############################################################################################################

;;###############################################################################################################
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;* WINNT.HH                                        ; /* Virtal Memory Flags */
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;SECTION_QUERY                      equ      00001h ; #define   SECTION_QUERY                             0x0001h
;SECTION_MAP_WRITE                  equ      00002h ; #define   SECTION_MAP_WRITE                         0x0002h
;SECTION_MAP_READ                   equ      00004h ; #define   SECTION_MAP_READ                          0x0004h
;SECTION_MAP_EXECUTE                equ      00008h ; #define   SECTION_MAP_EXECUTE                       0x0008h
;SECTION_EXTEND_SIZE                equ      00010h ; #define   SECTION_EXTEND_SIZE                       0x0010h
;;*--------------------------------------------------------------------------------------------------------------
;PAGE_NOACCESS                      equ      00001h ; #define   PAGE_NOACCESS                             0x0001h
;PAGE_READONLY                      equ      00002h ; #define   PAGE_READONLY                             0x0002h
;PAGE_READWRITE                     equ      00004h ; #define   PAGE_READWRITE                            0x0004h
;PAGE_WRITECOPY                     equ      00008h ; #define   PAGE_WRITECOPY                            0x0008h
;PAGE_EXECUTE                       equ      00010h ; #define   PAGE_EXECUTE                              0x0010h
;PAGE_EXECUTE_READ                  equ      00020h ; #define   PAGE_EXECUTE_READ                         0x0020h
;PAGE_EXECUTE_READWRITE             equ      00040h ; #define   PAGE_EXECUTE_READWRITE                    0x0040h
;PAGE_EXECUTE_WRITECOPY             equ      00080h ; #define   PAGE_EXECUTE_WRITECOPY                    0x0080h
;PAGE_GUARD                         equ      00100h ; #define   PAGE_GUARD                                0x0100h
;PAGE_NOCACHE                       equ      00200h ; #define   PAGE_NOCACHE                              0x0200h
;;*--------------------------------------------------------------------------------------------------------------
;MEM_COMMIT                         equ  000001000h ; #define   MEM_COMMIT                            0x00001000h
;MEM_RESERVE                        equ  000002000h ; #define   MEM_RESERVE                           0x00002000h
;MEM_DECOMMIT                       equ  000004000h ; #define   MEM_DECOMMIT                          0x00004000h
;MEM_RELEASE                        equ  000008000h ; #define   MEM_RELEASE                           0x00008000h
;MEM_FREE                           equ  000010000h ; #define   MEM_FREE                              0x00010000h
;MEM_PRIVATE                        equ  000020000h ; #define   MEM_PRIVATE                           0x00020000h
;MEM_MAPPED                         equ  000040000h ; #define   MEM_MAPPED                            0x00040000h
;MEM_RESET                          equ  000080000h ; #define   MEM_RESET                             0x00080000h
;MEM_TOP_DOWN                       equ  000100000h ; #define   MEM_TOP_DOWN                          0x00100000h
;;*--------------------------------------------------------------------------------------------------------------
;SEC_FILE                           equ  000800000h ; #define   SEC_FILE                              0x00800000h
;SEC_IMAGE                          equ  001000000h ; #define   SEC_IMAGE                             0x01000000h
;SEC_RESERVE                        equ  004000000h ; #define   SEC_RESERVE                           0x04000000h
;SEC_COMMIT                         equ  008000000h ; #define   SEC_COMMIT                            0x08000000h
;SEC_NOCACHE                        equ  010000000h ; #define   SEC_NOCACHE                           0x10000000h
;;MEM_IMAGE                         equ   SEC_IMAGE ; #define   MEM_IMAGE              SEC_IMAGE
;;*==============================================================================================================
;;#define SECTION_ALL_ACCESS (STANDARD_RIGHTS_REQUIRED|SECTION_QUERY|\
;;                            SECTION_MAP_WRITE |      \
;;                            SECTION_MAP_READ |       \
;;                            SECTION_MAP_EXECUTE |    \
;;                            SECTION_EXTEND_SIZE)
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;;12345678901234567890123456789012  equ  012345678h ; #define   12345678901234567890123456789012h      0x12345678
;;###############################################################################################################



;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON


