;MyLSTOFF
;***************************************************************************************************************
;* DL1iol.i  Display Library 1 InputOutputLibrary . Include                                                    *
;*                                                                                                             *
;* Wolfgang  Renner            Creation Date = 22. May 2014                                                    *
;* Gimbacher Weg 34            Creation Time = 11:45:00:000                                                    *
;*                                                                                                             *
;* D-65779 Kelkheim            Changing Last = 15. Jul 2015                                                    *
;* Germany / Hessen            Changing Time = 00:00:00:000                                                    *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus Assembler                                                            *
;*=============================================================================================================*
;* DL1sys38.asm  enthaelt alte COPSTR,MyRMChar,MyWMChar funktionen !                                           *
;* DL1sys39.asm  enthaelt alte ADDSTR,DIVSTR            functionen !
;***************************************************************************************************************

;###############################################################################################################
;## ValFIXED       (J)np(O)ut(L)ibry   ; SVAL: Internal Non scaling Variables    [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
jol_FIX       equ  tmm_JOL+1024*0000   ; PARA: (J)nput(O)utput(L)ibrary_BEGin    [%0000 %0000 %0000 %0000 %0000]
jol_LNG       equ  jol_FIX+1024*0008   ; PARA: (J)nput(O)utput(L)ibrary_LoNG     [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu0000  equ  jol_FIX+0000+000    ; XVAL: Internal Part00 Non scaling Value [%0000 %0000 %0000 %0000 %0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu0000  equ  jol_BEG+0000+000    ; SVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;ol_Valu0001  equ  jol_Valu0000+04     ; SVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  jol_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
jol_ByteSwap  equ  jol_FIX+2048+000    ; SVAL: Input Or Write                    [+0008 +0008 +0008 +0008 +0008]
;*==============================================================================================================
jol_EvHEXFMT  equ  jol_FIX+2048+028    ; SVAL: <ByLeng|RegsNumb|NEBT:MSiz:LFun>b [#0128 #0256 #0256 #0256 #0256]
iol_EvHEXFMT  equ  jol_FIX+2048+028    ; SVAL: <ByLeng|RegsNumb|NEBT:MSiz:LFun>b [#0128 #0256 #0256 #0256 #0256]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
jol_HFmFunct  equ  jol_FIX+2048+032    ; SVAL: HexFormat Function   :    :<Fun>b [+0000 +0000 +0000 +0000 +0000]
jol_HFmNLine  equ  jol_HFmFunct+04     ; SVAL: HexFormat New Line   :    <L>     [+0004 +0004 +0004 +0004 +0004]
jol_HFmRSize  equ  jol_HFmNLine+04     ; SVAL: HexFormat Reg Size   :<Siz>       [+0008 +0008 +0008 +0008 +0008]
jol_HFmMonoc  equ  jol_HFmRSize+04     ; SVAL: HexFormat Monochrome <M>  :       [+0012 +0012 +0012 +0012 +0012]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
jol_HFmToken  equ  jol_HFmMonoc+04     ; SVAL: HexFmt TokenEnd |  <T>            [+0016 +0016 +0016 +0016 +0016]
jol_HFmBlock  equ  jol_HFmToken+04     ; SVAL: HexFmt Blocking | <B>:            [+0020 +0020 +0020 +0020 +0020]
jol_HFmEqual  equ  jol_HFmBlock+04     ; SVAL: HexFmt Equal     <E> :            [+0024 +0024 +0024 +0024 +0024]
jol_HFmNames  equ  jol_HFmEqual+04     ; SVAL: HexFmt Naming   <N>  :            [+0028 +0028 +0028 +0028 +0028]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* _HFmRNumb  equ  jol_HFmNames+04     ; SVAL:        <RegsNumb> RegisterNumber  [+0032 +0032 +0032 +0032 +0032]
;* _HFmBLeng  equ  jol_HFmRNumb+04     ; SVAL: <ByLeng>        | StrcByteLength  [+0036 +0036 +0036 +0036 +0036]
;*==============================================================================================================

;*==============================================================================================================
jol_WrNamAtt  equ  jol_FIX+2048+128    ; SVAL: Write Name  part       Attribute  [#0032 #0032 #0032 #0032 #0032]
jol_WrEquAtt  equ  jol_WrNamAtt+04     ; SVAL: Write Equal Character =     Attr  [+0004 +0012 +0012 +0012 +0036]
jol_WrMrkAtt  equ  jol_WrEquAtt+04     ; SVAL: Write Quotation Mark  " "   Attr  [+0008 +0016 +0016 +0016 +0040]
jol_WrTokAtt  equ  jol_WrMrkAtt+04     ; SVAL: Write TokenEndChars   , ;   Attr  [+0012 +0048 +0048 +0048 +0044]
jol_WrComAtt  equ  jol_WrTokAtt+04     ; SVAL: Write CommentString   ! C   Attr  [+0016 +0020 +0020 +0020 +0048]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
jol_WrGVaAtt  equ  jol_WrComAtt+04     ; SVAL: Write General Values  Attributes  [+0020 +0024 +0024 +0024 +0052]
jol_WrIVaAtt  equ  jol_WrGVaAtt+04     ; SVAL: Write Integer Values  Attributes  [+0024 +0024 +0024 +0024 +0056]  Das ist Unfertig !
jol_WrFVaAtt  equ  jol_WrIVaAtt+04     ; SVAL: Write Integer Values  Attributes  [+0028 +0024 +0024 +0024 +0060]
jol_WrSVaAtt  equ  jol_WrFVaAtt+04     ; SVAL: Write Integer Values  Attributes  [+0032 +0024 +0024 +0024 +0064]  Jedoch verschwinden
jol_WrTVaAtt  equ  jol_WrSVaAtt+04     ; SVAL: Write Integer Values  Attributes  [+0036 +0024 +0024 +0024 +0068]  alle Attribute nach
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
jol_WrNChAtt  equ  jol_WrTVaAtt+04     ; SVAL: Write NewLine Character &n  Attr  [+0040 +0028 +0028 +0028 +0072]  ios_W##NaAtt  usw !?
jol_WrNFiAtt  equ  jol_WrNChAtt+04     ; SVAL: Write NewLine Filling   ..  Attr  [+0044 +0032 +0032 +0032 +0076]
jol_WrStpAtt  equ  jol_WrNFiAtt+04     ; SVAL: Write Stop    Character @   Attr  [+0048 +0036 +0036 +0036 +0080]  Oder sie muessen hier
jol_WrZChAtt  equ  jol_WrStpAtt+04     ; SVAL: Write ZeroEnd Character &z  Attr  [+0052 +0040 +0040 +0040 +0084]  hin kopiert werden.
jol_WrZFiAtt  equ  jol_WrZChAtt+04     ; SVAL: Write ZeroEnd Filling   ..  Attr  [+0056 +0044 +0044 +0044 +0088]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  von CONNUM ausgehend
jol_WrLinAtt  equ  jol_WrZFiAtt+04     ; SVAL: Write Separation Line  Attribute  [+0060 +0640 +0640 +0640 +0092]
jol_WrHLgAtt  equ  jol_WrLinAtt+04     ; SVAL: Write High Language    Attribute  [+0064 +0004 +0004 +0004 +0096]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
jol_WrMenAtt  equ  jol_WrHLgAtt+04     ; SVAL: Write Menu  (Input)    Attribute  [+0068 +0024 +0024 +0024 +0100]
jol_WrValAtt  equ  jol_WrMenAtt+04     ; SVAL: Write Value            Attribute  [+0072 +0024 +0024 +0024 +0104]
jol_WrMonAtt  equ  jol_WrValAtt+04     ; SVAL: Write Mono   Color     Attribute  [+0076 +0024 +0024 +0024 +0108]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
jol_WrChrAtt  equ  jol_WrMonAtt+04     ; SVAL: Writes Character Attr             [+0080 +0052 +0052 +0052 +0112]
;*--------------------------------------------------------------------------------------------------------------
jol_IsChrAtt  equ  jol_WrChrAtt+04     ; SVAL: Is now Char Attribute             [+0084 +0056 +0056 +0056 +0116]
jol_InComent  equ  jol_IsChrAtt+04     ; SVAL: Read&Writes InsideCom             [+0088 +0064 +0064 +0064 +0120]
jol_MarkChar  equ  jol_InComent+04     ; SVAL: Quot Mark Character '"            [+0092 +0008 +0008 +0008 +0124]
;*==============================================================================================================

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu0000  equ  jol_FIX+1024*000    ; XVAL: Internal Part00 Non scaling Value [%0000 %0000 %0000 %0000 %0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  jol_FIX+1024*001    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  jol_FIX+1024*002    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu3072  equ  jol_FIX+3072+000    ; XVAL: Internal Part03 Non scaling Value [%3072 %3072 %3072 %3072 %3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu4096  equ  jol_FIX+4096+000    ; XVAL: Internal Part04 Non scaling Value [%4096 %4096 %4096 %4096 %4096]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu5120  equ  jol_FIX+5120+000    ; XVAL: Internal Part05 Non scaling Value [%5120 %5120 %5120 %5120 %5120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu6144  equ  jol_FIX+6144+000    ; XVAL: Internal Part06 Non scaling Value [%6144 %6144 %6144 %6144 %6144]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu7168  equ  jol_FIX+7168+000    ; XVAL: Internal Part07 Non scaling Value [%7168 %7168 %7168 %7168 %7168]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu8192  equ  jol_FIX+8192+000    ; XVAL: Internal Part08 Non scaling Value [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu9216  equ  jol_FIX+9216+000    ; XVAL: Internal Part09 Non scaling Value [%9216 %9216 %9216 %9216 %9216]
;###############################################################################################################
;## ValuLONG  (Q)utPut(L)ibary(S)tat   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
jol_PnTmmBas  equ  jol_LNG+LVSZ*0000   ; PNTR: Internal Pnter.QutPuLibStatic.Bas [#0000 #0000 #0000 #0000 #0000]
jol_PnTmmTop  equ  jol_PnTmmBas+LVSZ   ; PNTR: Internal Pnter.QutPuLibStatic.Top [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================

;###############################################################################################################
jol_ExFILNUM  equ  jol_LNG+LVSZ*0128   ; LVAL: Extern FILNUN  000,001,002...0031 [#0064 #0128 #0256 #0512 #1024]
jol_InFILNUM  equ  jol_ExFILNUM+LVSZ   ; LVAL: Intern FILNUN  000,001,002...0031 [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
jol_L1FILNUM  equ  jol_InFILNUM+LVSZ   ; LVAL: 0001 * FILNUN  000,001,002...0031 [+0008 +0016 +0032 +0064 +0128]
jol_L2FILNUM  equ  jol_L1FILNUM+LVSZ   ; LVAL: 0002 * FILNUM  000,002,004...0062 [+0012 +0024 +0048 +0096 +0192]
jol_L4FILNUM  equ  jol_L2FILNUM+LVSZ   ; LVAL: 0004 * FILNUM  000,004,008...0124 [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
jol_L8FILNUM  equ  jol_L4FILNUM+LVSZ   ; LVAL: 0008 * FILNUM  000,008,016...0248 [+0020 +0040 +0080 +0160 +0320]
jol_L6FILNUM  equ  jol_L8FILNUM+LVSZ   ; LVAL: 0016 * FILNUM  000,016,032...0496 [+0024 +0048 +0096 +0192 +0384]
jol_L9FILNUM  equ  jol_L6FILNUM+LVSZ   ; LVAL: LVSZ * FILNUM  000,064,128...1984 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
jol_ExREGNU7  equ  jol_LNG+LVSZ*0136   ; LVAL: Extern FILNUN  000,001,002...0031 [#0064 #0128 #0256 #0512 #1024]
jol_InREGNU7  equ  jol_ExREGNU7+LVSZ   ; LVAL: Intern FILNUN  000,001,002...0031 [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
jol_L1REGNUM  equ  jol_InREGNU7+LVSZ   ; LVAL: 0001 * FILNUN  000,001,002...0031 [+0008 +0016 +0032 +0064 +0128]
jol_L2REGNU7  equ  jol_L1REGNUM+LVSZ   ; LVAL: 0002 * FILNUM  000,002,004...0062 [+0012 +0024 +0048 +0096 +0192]
jol_L4REGNUM  equ  jol_L2REGNU7+LVSZ   ; LVAL: 0004 * FILNUM  000,004,008...0124 [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_L8REGNUM  equ  jol_L4REGNUM+LVSZ   ; LVAL: 0008 * FILNUM  000,008,016...0248 [+0020 +0040 +0080 +0160 +0320]
;ol_L6REGNUM  equ  jol_L8REGNUM+LVSZ   ; LVAL: 0016 * FILNUM  000,016,032...0496 [+0024 +0048 +0096 +0192 +0384]
;ol_L9REGNUM  equ  jol_L6REGNUM+LVSZ   ; LVAL: LVSZ * FILNUM  000,064,128...1984 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_L1REGNUM  equ  jol_LNG+LVSZ*0138   ; LVAL: 0001 * FILNUN  000,001,002...0031 [+0008 +0016 +0032 +0064 +0128]
iol_L2REGNU7  equ  iol_L1REGNUM+LVSZ   ; LVAL: 0002 * FILNUM  000,002,004...0062 [+0012 +0024 +0048 +0096 +0192]
iol_L4REGNUM  equ  iol_L2REGNU7+LVSZ   ; LVAL: 0004 * FILNUM  000,004,008...0124 [+0016 +0032 +0064 +0128 +0256]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;mm_RmStrPtr  equ  jol_LNG+LVSZ*0024   ; PNTR: QutPutLib Read  String   Pointer  [#0096 #0192 #0384 #0768 #1536]
;mm_RmBytSiz  equ  jol_RmStrPtr+LVSZ   ; LVAL: QutPutLib Read  Memory   BytSize  [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mm_RmBegCnt  equ  jol_RmBytSiz+LVSZ   ; LVAL: QutPutLib Read  Begin    Counter  [+0008 +0016 +0032 +0064 +0128]
;mm_RmEndCnt  equ  jol_RmBegCnt+LVSZ   ; LVAL: QutPutLib Read  End      Counter  [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;mm_RmLinCnt  equ  jol_RmEndCnt+LVSZ   ; LVAL: QutPutLib Read  Line     Counter  [+0016 +0032 +0064 +0128 +0256]
;mm_RmColCnt  equ  jol_RmLinCnt+LVSZ   ; LVAL: QutPutLib Read  Column   Counter  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mm_RmChrCnt  equ  jol_RmColCnt+LVSZ   ; LVAL: QutPutLib Read  Character Countr  [+0024 +0048 +0096 +0192 +0384]
;mm_RmChrOff  equ  jol_RmChrCnt+LVSZ   ; LVAL: QutPutLib Read  Character Offset  [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
;mm_WmStrPtr  equ  jol_LNG+LVSZ*0032   ; PNTR: QutPutLib Write String   Pointer  [#0128 #0256 #0512 #1024 #2048]
;mm_WmBytSiz  equ  jol_WmStpCnt+LVSZ   ; LVAL: QutPutLib Write Memory   BytSize  [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mm_WmBegCnt  equ  jol_WmFreSiz+LVSZ   ; LVAL: QutPutLib Write Begin    Counter  [+0008 +0016 +0032 +0064 +0128]
;mm_WmEndCnt  equ  jol_WmBegCnt+LVSZ   ; LVAL: QutPutLib Write End      Counter  [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;mm_WmLinCnt  equ  jol_WmEndCnt+LVSZ   ; LVAL: QutPutLib Write Line     Counter  [+0016 +0032 +0064 +0128 +0256]
;mm_WmColCnt  equ  jol_WmLinCnt+LVSZ   ; LVAL: QutPutLib Write Column   Counter  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mm_WmChrCnt  equ  jol_WmColCnt+LVSZ   ; LVAL: QutPutLib Write Character Countr  [+0024 +0048 +0096 +0192 +0384]
;mm_WmChrOff  equ  jol_WmChrCnt+LVSZ   ; LVAL: QutPutLib Write Character Offset  [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
;mm_RmStpOff  equ  jol_LNG+LVSZ*0040   ; LVAL: QutPutLib Read  Stop     Offset   [#0160 #0320 #0640 #1280 #2560]
;mm_RmStpCnt  equ  jol_RmStpOff+LVSZ   ; LVAL: QutPutLib Read  Stop    Counter   [+0004 +0008 +0016 +0032 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mm_RmExiCnt  equ  jol_RmStpCnt+LVSZ   ; PNTR: QutPutLib Read  Exit    Count     [+0008 +0016 +0032 +0064 +0128]
;mm_WmExiCnt  equ  jol_WmAnyOff+LVSZ   ; LVAL: QutPutLib Write Exit    Count     [+0012 +0024 +0048 +0096 +0192]
;*--------------------------------------------------------------------------------------------------------------
;mm_WmStpOff  equ  jol_WmExiCnt+LVSZ   ; LVAL: Write Memory    Stop    Offset    [+0016 +0032 +0064 +0128 +0256]
;mm_WmStpCnt  equ  jol_WmStpOff+LVSZ   ; LVAL: Write Memory    Stop    Counter   [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;mm_WmNulSiz  equ  jol_WmBytSiz+LVSZ   ; LVAL: Write Memory    Null    byteSize  [+0024 +0048 +0096 +0192 +0384]
;mm_WmFreSiz  equ  jol_WmStrPtr+LVSZ   ; LVAL: Write Memory    Free    byteSize  [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
jol_LineOffs  equ  jol_LNG+LVSZ*0144   ; LVAL: Writ RegisterOutput Line  Offset  [#0192 #0384 #0768 #1536 #3072]
jol_ColmOffs  equ  jol_LineOffs+LVSZ   ; LVAL: Writ RegisterOutput Colum Offset  [+0004 +0008 +0016 +0032 +0064]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
jol_LineCntr  equ  jol_ColmOffs+LVSZ   ; LVAL: Test Console Line        Counter  [+0008 +0016 +0032 +0064 +0128]
jol_ColmCntr  equ  jol_LineCntr+LVSZ   ; LVAL: Test Console Column      Counter  [+0012 +0024 +0048 +0096 +0192]
;*--------------------------------------------------------------------------------------------------------------
jol_CharCntr  equ  jol_ColmCntr+LVSZ   ; LVAL: Test Console Character   Counter  [+0016 +0032 +0064 +0128 +0256]
jol_CharMaxi  equ  jol_CharCntr+LVSZ   ; LVAL: Test Console Character   Counter  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
jol_WmAnyOff  equ  jol_CharMaxi+LVSZ   ; LVAL: QutPutLib Write Free     BytSize  [+0024 +0048 +0096 +0192 +0384]
;OL_I3BoxTit  equ  jol_WmExiCnt+LVSZ   ; LVAL: WLChar(LAX,LBP,LBX)               [+0028 +0056 +0112 +0224 +0448]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
jol_HFmRNumb  equ  jol_LNG+LVSZ*0192   ; LVAL: Hexa Format Register Number       [#0352 #0704 #1408 #2816 #5632]
jol_HFmBLeng  equ  jol_HFmRNumb+LVSZ   ; LVAL: Hexa Format Byte     Length       [+0004 +0008 +0016 +0032 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
jol_NameOffs  equ  jol_HFmBLeng+LVSZ   ; LVAL: Name String 'EAX@'   Offset       [+0008 +0016 +0032 +0064 +0128]
jol_WriteVAL  equ  jol_NameOffs+LVSZ   ; LVAL: Write VALue                       [+0012 +0024 +0048 +0096 +0192]
;*--------------------------------------------------------------------------------------------------------------
jol_PnInpREG  equ  jol_LNG+LVSZ*0200   ; PNTR: Internal Input REGister Memory    [+0016 +0032 +0064 +0128 +0256]
tmm_PnInpREG  equ  jol_LNG+LVSZ*0200   ; PNTR: Internal Input REGister Memory    [+0016 +0032 +0064 +0128 +0256]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;mm_LvInpREG  equ  jol_PnInpREG+LVSZ   ; LVAL: Internal Input REGister Memory    [+0020 +0040 +0080 +0160 +0320]
;*--------------------------------------------------------------------------------------------------------------
;mm_ExpCntWi  equ  jol_LNG+LVSZ*0242   ; PNTR: Exponent Cntr Wished              [+0024 +0048 +0096 +0192 +0384]
;mm_ExpCntWi  equ  jol_LNG+LVSZ*0242   ; PNTR: Exponent Cntr Wished              [+0028 +0056 +0112 +0224 +0448]
;###############################################################################################################
jol_DwStdHdl  equ  jol_LNG+LVSZ*0240   ; LVAL: GetStdHandle    nStdHandle        [#0352 #0704 #1408 #2816 #5632]
jol_HnStdOut  equ  jol_DwStdHdl+LVSZ   ; HNDL: GetStdHandle    Handle.Std.Output [+0004 +0008 +0016 +0032 +0064]
;ol_HnStdInp  equ  jol_HnStdOut+LVSZ   ; HNDL: GetStdHandle    Handle.Std.Input  [+0008 +0016 +0032 +0064 +0128]
;ol_HnStdErr  equ  jol_HnStdInp+LVSZ   ; HNDL: GetStdHandle    Handle.Std.Error  [+0012 +0024 +0048 +0096 +0192]
;*--------------------------------------------------------------------------------------------------------------
jol_PnCSBInf  equ  jol_LNG+LVSZ*0244   ; PNTR: lpScrollConsoleScreenBufferInfo   [+0016 +0032 +0064 +0128 +0256]
jol_FillChar  equ  jol_PnCSBInf+LVSZ   ; LVAL: Filling Character                 [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
jol_DwMilSec  equ  jol_FillChar+LVSZ   ; LVAL: Sleep           dwMIlliSeconds    [+0024 +0048 +0096 +0192 +0384]
;ol_BeepType  equ  jol_PnCrtSec+LVSZ   ; LVAL: MessageBeep           uType       [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
;ol_STRCSIZ6  equ  jol_LNG+LVSZ*0256   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;TMM1         equ  jol_STRCSIZ6+0128   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
;TMM2         equ  jol_STRCSIZ6+0256   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;###############################################################################################################
;## ValFIXED       (I)np(O)ut(L)ibry   ; SVAL: Internal Non scaling Variables    [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
iol_FIX       equ  tmm_IOL+1024*0000   ; PARA: (J)nput(O)utput(L)ibrary_BEGin    [%0000 %0000 %0000 %0000 %0000]
iol_LNG_new   equ  iol_FIX+1024*0008   ; PARA: (J)nput(O)utput(L)ibrary_LoNG     [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu0000  equ  iol_FIX+0000+000    ; XVAL: Internal Part00 Non scaling Value [%0000 %0000 %0000 %0000 %0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu0000  equ  iol_BEG+0000+000    ; SVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;ol_Valu0001  equ  iol_Valu0000+04     ; SVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu0000  equ  iol_FIX+1024*000    ; XVAL: Internal Part00 Non scaling Value [%0000 %0000 %0000 %0000 %0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  iol_FIX+1024*001    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  iol_FIX+1024*002    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu3072  equ  iol_FIX+3072+000    ; XVAL: Internal Part03 Non scaling Value [%3072 %3072 %3072 %3072 %3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu4096  equ  iol_FIX+4096+000    ; XVAL: Internal Part04 Non scaling Value [%4096 %4096 %4096 %4096 %4096]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu5120  equ  iol_FIX+5120+000    ; XVAL: Internal Part05 Non scaling Value [%5120 %5120 %5120 %5120 %5120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu6144  equ  iol_FIX+6144+000    ; XVAL: Internal Part06 Non scaling Value [%6144 %6144 %6144 %6144 %6144]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu7168  equ  iol_FIX+7168+000    ; XVAL: Internal Part07 Non scaling Value [%7168 %7168 %7168 %7168 %7168]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu8192  equ  iol_FIX+8192+000    ; XVAL: Internal Part08 Non scaling Value [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu9216  equ  iol_FIX+9216+000    ; XVAL: Internal Part09 Non scaling Value [%9216 %9216 %9216 %9216 %9216]
;###############################################################################################################
;## ValuLONG       (I)np(O)ut(L)ibry   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
iol_PnTmmBas  equ  iol_LNG+LVSZ*0000   ; PNTR: Internal Pnter.QutPuLibStatic.Bas [#0000 #0000 #0000 #0000 #0000]
iol_PnTmmTop  equ  iol_PnTmmBas+LVSZ   ; PNTR: Internal Pnter.QutPuLibStatic.Top [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================


;###############################################################################################################
;## MEMORY    Input.Output.Library_    ; EVAL: Fixed Non scaling Memory Strings  [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
iol_WcBufMem  equ  000+00000000+0000   ; STRG:                                   [00000 00000 00000 00000 00000]
;###############################################################################################################
;## Siz | Reg  Memo | Reg : Integers  : Floatings : IEEE | Reg   : Integers  : Floatings      |                #
;## ----#-----------#-----+-----------+-----------+------#-------+-----------+----------------#----            #
;## 000 | HAX  BVAL | ST0 : U01V I01V : F01V T10V : TEMP | BM01  : U01M I01M : F01M T01M      |                #
;## 001 | BAX  BVAL | ST0 : U02V I02V : F02V T04V :      | WM01  : U02M I02M : F02M T02M      |                #
;## 002 | WAX  WVAL | ST0 : U04V I04V : F04V T08V : SNGL | EM01  : U04M I04M : F04M T08M S04M |                #
;## 003 | EAX  EVAL | ST0 : U08V I08V : F08V T12V : DBLE | RM01  : U08M I08M : F08M T12M D08M |                #
;## 004 | RAX  RVAL | ST0 : U16V I16V : F16V T20V : QUAD | QM01  : U16M I16M : F16M T20M Q16M |                #
;## 005 | QAX  QVAL | ST0 : U32V I32V : F32V T36V : OCTA | PM01  : U32M I32M : F32M T36M O32M |                #
;## 006 | GAX  GVAL | ST0 : U64V I64V : F64V T68V : HEXA |       : U64M I64M : F64M T68M H64M |                #
;## 007 | PAX  PVAL | ST0 : U128 I128 : F128 T132 :      |       : U28M I28M : F06M T06M      |                #
;## ----#-----------#-----+-----------+-----------+------#-------+-----------+----------------#----            #
;## MAX | LAX  LVAL | ST0 : UVAL IVAL : FVAL TVAL : ???? |       : UMED IMED : FMED TMED                       #
;###############################################################################################################
;## InputREG  Input.Output.Library_    ; XVAL:                                   [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;LVSZ(0)      equ  000+00000000+001    ; PARA: IntegX86 Register ByteSIZe UnUsed [00001>00008 00016 00032 00064]
;LVSZ(1)      equ  000+00000000+001    ; PARA: IntegX86 Register ByteSIZe UnUsed [00001>00008 00016 00032 00064]
;LVSZ(2)      equ  000+00000000+002    ; PARA: IntegX86 Register ByteSIZe UnUsed [00002>00008 00016 00032 00064]
;*--------------------------------------------------------------------------------------------------------------
;LVSZ(3)      equ  000+00000000+004    ; PARA: IntegX86 Register ByteSIZe Maxima [00004)00008 00016 00032 00064]
;LVSZ(4)      equ  000+00000000+008    ; PARA: IntegX86 Register ByteSIZe Maxima [00004(00008)00016 00032 00064]
;LVSZ(5)      equ  000+00000000+016    ; PARA: IntegX86 Register ByteSIZe Maxima [00004 00008(00016)00032 00064]
;LVSZ(6)      equ  000+00000000+032    ; PARA: IntegX86 Register ByteSIZe Maxima [00004 00008 00016(00032)00064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;LVSZ(7)      equ  000+00000000+064    ; PARA: IntegX86 Register ByteSIZe Maxima [00004 00008 00016 00032(00064]
;*==============================================================================================================
iol_InputLAX  equ  iol_WcBufMem+10240  ; LVAL: Internal InputFrame Register: L00 [#10KB #10KB #10KB #10KB #10KB]
iol_InputLDX  equ  iol_InputLAX+LVSZ   ; LVAL: Internal InputFrame Register: L01 [+0004 +0008 +0016 +0032 +0064]
iol_InputLCX  equ  iol_InputLDX+LVSZ   ; LVAL: Internal InputFrame Register: L02 [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InputLDI  equ  iol_InputLCX+LVSZ   ; LVAL: Internal InputFrame Register: L03 [+0012 +0024 +0048 +0096 +0192]
iol_InputLSI  equ  iol_InputLDI+LVSZ   ; LVAL: Internal InputFrame Register: L04 [+0016 +0032 +0064 +0128 +0256]
iol_InputLBX  equ  iol_InputLSI+LVSZ   ; LVAL: Internal InputFrame Register: L05 [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_InputLBP  equ  iol_InputLBX+LVSZ   ; LVAL: Internal InputFrame Register: L06 [+0024 +0048 +0096 +0192 +0384]
iol_InputLSP  equ  iol_InputLBP+LVSZ   ; LVAL: Internal InputFrame Register: L07 [+0028 +0056 +0112 +0224 +0448]
;*--------------------------------------------------------------------------------------------------------------
iol_InputL08  equ  iol_InputLSP+LVSZ   ; LVAL: Internal InputFrame Register: L08 [+0032 +0064 +0128 +0256 +0512]
iol_InputL09  equ  iol_InputL08+LVSZ   ; LVAL: Internal InputFrame Register: L09 [+0036 +0072 +0144 +0288 +0576]
iol_InputL10  equ  iol_InputL09+LVSZ   ; LVAL: Internal InputFrame Register: L10 [+0040 +0080 +0160 +0320 +0640]
iol_InputL11  equ  iol_InputL10+LVSZ   ; LVAL: Internal InputFrame Register: L11 [+0044 +0088 +0176 +0352 +0704]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InputL12  equ  iol_InputL11+LVSZ   ; LVAL: Internal InputFrame Register: L12 [+0048 +0096 +0192 +0384 +0768]
iol_InputL13  equ  iol_InputL12+LVSZ   ; LVAL: Internal InputFrame Register: L13 [+0052 +0104 +0208 +0416 +0832]
iol_InputL14  equ  iol_InputL13+LVSZ   ; LVAL: Internal InputFrame Register: L14 [+0056 +0112 +0224 +0448 +0896]
iol_InputL15  equ  iol_InputL14+LVSZ   ; LVAL: Internal InputFrame Register: L15 [+0060 +0120 +0240 +0480 +0960]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_InputL16  equ  iol_InputL15+LVSZ   ; LVAL: Internal InputFrame Register: L16 [+0064 +0128 +0256 +0512 +1024]
iol_InputL17  equ  iol_InputL16+LVSZ   ; LVAL: Internal InputFrame Register: L17 [+0068 +0136 +0272 +0544 +1088]
iol_InputL18  equ  iol_InputL17+LVSZ   ; LVAL: Internal InputFrame Register: L18 [+0072 +0144 +0288 +0576 +1152]
iol_InputL19  equ  iol_InputL18+LVSZ   ; LVAL: Internal InputFrame Register: L19 [+0076 +0152 +0304 +0608 +1216]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InputL20  equ  iol_InputL19+LVSZ   ; LVAL: Internal InputFrame Register: L20 [+0080 +0160 +0320 +0640 +1280]
iol_InputL21  equ  iol_InputL20+LVSZ   ; LVAL: Internal InputFrame Register: L21 [+0084 +0168 +0336 +0672 +1344]
iol_InputL22  equ  iol_InputL21+LVSZ   ; LVAL: Internal InputFrame Register: L22 [+0088 +0176 +0352 +0704 +1408]
iol_InputL23  equ  iol_InputL22+LVSZ   ; LVAL: Internal InputFrame Register: L23 [+0092 +0184 +0368 +0736 +1472]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_InputL24  equ  iol_InputL23+LVSZ   ; LVAL: Internal InputFrame Register: L24 [+0096 +0192 +0384 +0768 +1536]
iol_InputL25  equ  iol_InputL24+LVSZ   ; LVAL: Internal InputFrame Register: L25 [+0100 +0200 +0400 +0800 +1600]
iol_InputL26  equ  iol_InputL25+LVSZ   ; LVAL: Internal InputFrame Register: L26 [+0104 +0208 +0416 +0832 +1664]
iol_InputL27  equ  iol_InputL26+LVSZ   ; LVAL: Internal InputFrame Register: L27 [+0108 +0216 +0432 +0864 +1728]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InputL28  equ  iol_InputL27+LVSZ   ; LVAL: Internal InputFrame Register: L28 [+0112 +0224 +0448 +0896 +1792]
iol_InputL29  equ  iol_InputL28+LVSZ   ; LVAL: Internal InputFrame Register: L29 [+0116 +0232 +0464 +0928 +1856]
iol_InputL30  equ  iol_InputL29+LVSZ   ; LVAL: Internal InputFrame Register: L30 [+0120 +0240 +0480 +0960 +1920]
iol_InputL31  equ  iol_InputL30+LVSZ   ; LVAL: Internal InputFrame Register: L31 [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
iol_InputLIP  equ  iol_InputL31+LVSZ   ; LVAL: Internal InputFrame Register: L32 [#0128 #0256 #0512 #1024 #2048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ml_MulDiv03x equ  iol_InputLIP+LVSZ   ; LVAL: Multiply and Divide 000000003 L33 [+0132 +0264 +0528 +1056 +2112]
;ml_MulDiv10x equ  iol_MulDiv03x+LVSZ  ; LVAL: Multiply and Divide 000000010 L34 [+0136 +0272 +0544 +1088 +2176]
;ml_MulDiv16x equ  iol_MulDiv10x+LVSZ  ; LVAL: Multiply and Divide 000000016 L35 [+0140 +0280 +0560 +1120 +2240]
;ml_MuDiv100x equ  iol_MulDiv16x+LVSZ  ; LVAL: Multiply and Divide 000000100 L36 [+0144 +0288 +0576 +1152 +2304]
;ml_MDiv1000x equ  iol_MuDiv100x+LVSZ  ; LVAL: Multiply and Divide 000001000 L37 [+0148 +0296 +0592 +1184 +2368]
;ml_MDv10000x equ  iol_MDiv1000x+LVSZ  ; LVAL: Multiply and Divide 000010000 L38 [+0152 +0304 +0608 +1216 +2432]
;ml_MD100000x equ  iol_MDv10000x+LVSZ  ; LVAL: Multiply and Divide 000100000 L39 [+0156 +0312 +0624 +1248 +2496]
;*--------------------------------------------------------------------------------------------------------------
;ml_InputREG  equ  iol_MD100000+LVSZ   ; LVAL: Internal InputFrame Register: L40 [+0160 +0320 +0640 +1280 +2560]
;ml_InRegCnt  equ  iol_InputREG+LVSZ   ; LVAL: Internal InputFrame Register: L41 [+0164 +0328 +0656 +1312 +2624]
;ml_NwLinCnt  equ  iol_InRegCnt+LVSZ   ; LVAL: Internal InputFrame Register: L42 [+0168 +0336 +0672 +1344 +2688]
;ml_X7AnyCnt  equ  iol_NwLinCnt+LVSZ   ; LVAL: Internal InputFrame Register: L43 [+0172 +0344 +0688 +1376 +2752]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;io_hWinOwnr  equ  iol_X7AnyCnt+LVSZ   ; PNTR: hWindow  Owner of   Mssgbox (LCX) [+0176 +0352 +0702 +1408 +2816]
;io_MTxtPntr  equ  iol_hWinOwnr+LVSZ   ; LVAL: Message  Text       Pointer (LDX) [+0180 +0360 +0720 +1440 +2880]
;io_TStrPntr  equ  iol_MTxtPntr+LVSZ   ; LVAL: Text     String     Pointer (L08) [+0184 +0368 +0736 +1472 +2944]
;io_MBoxType  equ  iol_TStrPntr+LVSZ   ; LVAL: Message  Box        Type    (L09) [+0188 +0376 +0752 +1504 +3008]
;*==============================================================================================================
iol_END_X86R  equ  iol_InputLAX+LVSZ*048     ; Parameter: ENDs_MEMOry Structures [+0192 +0384 +0768 +1536 +3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% FloatX87  Input.Output.Library     ; XVAL:                                   [Multi Media MS128 MS256 MS512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;FSIZ(0)      equ  000+00000000+012    ; PARA: FloatX87 Register ByteSIZE UnUsed [00008>00016 00032 00064 00128]
;TSIZ(0)      equ  000+00000000+016    ; PARA: TemprX87 Register ByteSIZE UnUsed [00010>00020 00036 00068 00132]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;FSIZ(1)      equ  000+00000000+002    ; PARA: FloatX87 Register ByteSIZE UnUsed [00002>00016 00032 00064 00128]
;TSIZ(1)      equ  000+00000000+006    ; PARA: TemprX87 Register ByteSIZE UnUsed [00004>00020 00036 00068 00132]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;FSIZ(2)      equ  000+00000000+004    ; PARA: FloatX87 Register ByteSIZE UnUsed [00004>00016 00032 00064 00128]
;TSIZ(2)      equ  000+00000000+008    ; PARA: TemprX87 Register ByteSIZE UnUsed [00008>00020 00036 00068 00132]
;*--------------------------------------------------------------------------------------------------------------
;FSIZ(3)      equ  000+00000000+008    ; PARA: FloatX87 Register ByteSIZE UnUsed [00008)00016 00032 00064 00128]
;TSIZ(3)      equ  000+00000000+012    ; PARA: TemprX87 Register ByteSIZE UnUsed [00012)00020 00036 00068 00132]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FSIZ(4)      equ  000+00000000+016    ; PARA: FloatX87 Register ByteSIZE Maxima [00008(00016)00032 00064 00128]
;TSIZ(4)      equ  000+00000000+020    ; PARA: TemprX87 Register ByteSIZE Maxima [00012(00020)00036 00068 00132]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FSIZ(5)      equ  000+00000000+032    ; PARA: FloatX87 Register ByteSIZE Maxima [00008 00016(00032)00064 00128]
;TSIZ(5)      equ  000+00000000+036    ; PARA: TemprX87 Register ByteSIZE Maxima [00012 00020(00036)00068 00132]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FSIZ(6)      equ  000+00000000+064    ; PARA: FloatX87 Register ByteSIZE Maxima [00008 00016 00032(00064)00128]
;TSIZ(6)      equ  000+00000000+068    ; PARA: TemprX87 Register ByteSIZE Maxima [00012 00020 00036(00068)00132]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;FSIZ(7)      equ  000+00000000+128    ; PARA: FloatX87 Register ByteSIZE Maxima [00008 00016 00032 00064(00128]
;TSIZ(7)      equ  000+00000000+132    ; PARA: TemprX87 Register ByteSIZE Maxima [00012 00020 00036 00068(00132]
;*==============================================================================================================
iol_InpuST00  equ  iol_END_X86R+0000   ; TVAL: Internal InputFrame Register ST00 [#0000 #0000 #0000 #0000 #0000]
iol_InpuST01  equ  iol_InpuST00+LTSZ   ; TVAL: Internal InputFrame Register ST01 [+0012 +0020 +0036 +0068 +0132]
iol_InpuST02  equ  iol_InpuST01+LTSZ   ; TVAL: Internal InputFrame Register ST02 [+0024 +0040 +0072 +0136 +0264]
iol_InpuST03  equ  iol_InpuST02+LTSZ   ; TVAL: Internal InputFrame Register ST03 [+0036 +0060 +0108 +0204 +0396]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuST04  equ  iol_InpuST03+LTSZ   ; TVAL: Internal InputFrame Register ST04 [+0048 +0080 +0144 +0272 +0528]
iol_InpuST05  equ  iol_InpuST04+LTSZ   ; TVAL: Internal InputFrame Register ST05 [+0060 +0100 +0180 +0340 +0660]
iol_InpuST06  equ  iol_InpuST05+LTSZ   ; TVAL: Internal InputFrame Register ST06 [+0072 +0120 +0216 +0408 +0792]
iol_InpuST07  equ  iol_InpuST06+LTSZ   ; TVAL: Internal InputFrame Register ST07 [+0084 +0140 +0252 +0476 +0924]
;*--------------------------------------------------------------------------------------------------------------
iol_InpuST08  equ  iol_InpuST07+LTSZ   ; TVAL: Internal InputFrame Register ST08 [+0096 +0160 +0288 +0544 +1056]
iol_InpuST09  equ  iol_InpuST08+LTSZ   ; TVAL: Internal InputFrame Register ST09 [+0108 +0180 +0324 +0612 +1188]
iol_InpuST10  equ  iol_InpuST09+LTSZ   ; TVAL: Internal InputFrame Register ST10 [+0120 +0200 +0360 +0680 +1320]
iol_InpuST11  equ  iol_InpuST10+LTSZ   ; TVAL: Internal InputFrame Register ST11 [+0132 +0220 +0396 +0748 +1452]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuST12  equ  iol_InpuST11+LTSZ   ; TVAL: Internal InputFrame Register ST12 [+0144 +0240 +0432 +0816 +1584]
iol_InpuST13  equ  iol_InpuST12+LTSZ   ; TVAL: Internal InputFrame Register ST13 [+0156 +0260 +0468 +0884 +1716]
iol_InpuST14  equ  iol_InpuST13+LTSZ   ; TVAL: Internal InputFrame Register ST14 [+0168 +0280 +0504 +0952 +1848]
iol_InpuST15  equ  iol_InpuST14+LTSZ   ; TVAL: Internal InputFrame Register ST15 [+0180 +0300 +0540 +1020 +1980]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_InpuST16  equ  iol_InpuST15+LTSZ   ; TVAL: Internal InputFrame Register ST16 [+0192 +0320 +0576 +1088 +2112]
iol_InpuST17  equ  iol_InpuST16+LTSZ   ; TVAL: Internal InputFrame Register ST17 [+0204 +0340 +0612 +1156 +2244]
iol_InpuST18  equ  iol_InpuST17+LTSZ   ; TVAL: Internal InputFrame Register ST18 [+0216 +0360 +0648 +1224 +2376]
iol_InpuST19  equ  iol_InpuST18+LTSZ   ; TVAL: Internal InputFrame Register ST19 [+0228 +0380 +0684 +1292 +2508]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuST20  equ  iol_InpuST19+LTSZ   ; TVAL: Internal InputFrame Register ST20 [+0240 +0400 +0720 +1360 +2640]
iol_InpuST21  equ  iol_InpuST20+LTSZ   ; TVAL: Internal InputFrame Register ST21 [+0252 +0420 +0756 +1428 +2772]
iol_InpuST22  equ  iol_InpuST21+LTSZ   ; TVAL: Internal InputFrame Register ST22 [+0264 +0440 +0792 +1496 +2904]
iol_InpuST23  equ  iol_InpuST22+LTSZ   ; TVAL: Internal InputFrame Register ST23 [+0276 +0460 +0828 +1564 +3036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_InpuST24  equ  iol_InpuST23+LTSZ   ; TVAL: Internal InputFrame Register ST24 [+0288 +0480 +0864 +1632 +3168]
iol_InpuST25  equ  iol_InpuST24+LTSZ   ; TVAL: Internal InputFrame Register ST25 [+0300 +0500 +0900 +1700 +3300]
iol_InpuST26  equ  iol_InpuST25+LTSZ   ; TVAL: Internal InputFrame Register ST26 [+0312 +0520 +0936 +1768 +3432]
iol_InpuST27  equ  iol_InpuST26+LTSZ   ; TVAL: Internal InputFrame Register ST27 [+0324 +0540 +0972 +1836 +3564]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuST28  equ  iol_InpuST27+LTSZ   ; TVAL: Internal InputFrame Register ST28 [+0336 +0560 +1008 +1904 +3696]
iol_InpuST29  equ  iol_InpuST28+LTSZ   ; TVAL: Internal InputFrame Register ST29 [+0348 +0580 +1044 +1972 +3828]
iol_InpuST30  equ  iol_InpuST29+LTSZ   ; TVAL: Internal InputFrame Register ST30 [+0360 +0600 +1080 +2040 +3960]
iol_InpuST31  equ  iol_InpuST30+LTSZ   ; TVAL: Internal InputFrame Register ST31 [+0372 +0620 +1116 +2108 +4092]
;*==============================================================================================================
iol_InpuST32  equ  iol_InpuST31+LTSZ   ; FVAL: Internal InputFrame Register ST32 [+0384 +0640 +1152 +2176 +4224]
iol_InpuST33  equ  iol_InpuST32+LFSZ   ; FVAL: Internal InputFrame Register ST33 [+0396 +0660 +1188 +2244 +4356]
iol_InpuST34  equ  iol_InpuST33+LFSZ   ; FVAL: Internal InputFrame Register ST34 [+0408 +0680 +1224 +2312 +4488]
iol_InpuST35  equ  iol_InpuST34+LFSZ   ; FVAL: Internal InputFrame Register ST35 [+0420 +0700 +1260 +2380 +4620]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_InpuST36  equ  iol_InpuST35+LFSZ   ; FVAL: Internal InputFrame Register ST36 [+0432 +0720 +1296 +2448 +4752]
iol_InpuST37  equ  iol_InpuST36+LFSZ   ; FVAL: Internal InputFrame Register ST37 [+0444 +0740 +1332 +2516 +4884]
iol_InpuST38  equ  iol_InpuST37+LFSZ   ; FVAL: Internal InputFrame Register ST38 [+0456 +0760 +1368 +2584 +5016]
iol_InpuST39  equ  iol_InpuST38+LFSZ   ; FVAL: Internal InputFrame Register ST39 [+0468 +0780 +1404 +2652 +5148]
;*==============================================================================================================
iol_END_X87T  equ  iol_InpuST00+LTSZ*040     ; Parameter: ENDs_MEMOry Structures [+0480 +0800 +1440 +2720 +5280]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% MulMEDia  Input.Output.Library     ; XVAL:                                   [Multi Media MS128 MS256 MS512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;MSIZ(0)      equ  000+00000000+001    ; PARA: MediaXMM Register ByteSIZE UnUsed [00001>00016 00032 00064 00128]
;MSIZ(1)      equ  000+00000000+002    ; PARA: MediaXMM Register ByteSIZE UnUsed [00002>00016 00032 00064 00128]
;MSIZ(2)      equ  000+00000000+004    ; PARA: MediaXMM Register ByteSIZE UnUsed [00004>00016 00032 00064 00128]
;MSIZ(3)      equ  000+00000000+008    ; PARA: MediaXMM Register ByteSIZE UnUsed [00008>00016 00032 00064 00128]
;*--------------------------------------------------------------------------------------------------------------
;MSIZ(4)      equ  000+00000000+016    ; PARA: MediaXMM Register ByteSIZE Maxima [00008(00016)00032 00064 00128]
;MSIZ(5)      equ  000+00000000+032    ; PARA: MediaXMM Register ByteSIZE Maxima [00008 00016(00032)00064 00128]
;MSIZ(6)      equ  000+00000000+064    ; PARA: MediaXMM Register ByteSIZE Maxima [00008 00016 00032(00064)00128]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;MSIZ(7)      equ  000+00000000+128    ; PARA: MediaXMM Register ByteSIZE Maxima [00008 00016 00032 00064(00128]
;*==============================================================================================================
iol_InpuMM00  equ  iol_END_X87T+0000   ; LMED: Internal InputFrame Register MM00 [#0000 #0000 #0000 #0000 #0000]
iol_InpuMM01  equ  iol_InpuMM00+LMSZ   ; LMED: Internal InputFrame Register MM01 [+0008 +0016 +0032 +0064 +0128]
iol_InpuMM02  equ  iol_InpuMM01+LMSZ   ; LMED: Internal InputFrame Register MM02 [+0016 +0032 +0064 +0128 +0256]
iol_InpuMM03  equ  iol_InpuMM02+LMSZ   ; LMED: Internal InputFrame Register MM03 [+0024 +0048 +0096 +0192 +0384]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuMM04  equ  iol_InpuMM03+LMSZ   ; LMED: Internal InputFrame Register MM04 [+0032 +0064 +0128 +0256 +0512]
iol_InpuMM05  equ  iol_InpuMM04+LMSZ   ; LMED: Internal InputFrame Register MM05 [+0040 +0080 +0160 +0320 +0640]
iol_InpuMM06  equ  iol_InpuMM05+LMSZ   ; LMED: Internal InputFrame Register MM06 [+0048 +0096 +0192 +0384 +0768]
iol_InpuMM07  equ  iol_InpuMM06+LMSZ   ; LMED: Internal InputFrame Register MM07 [+0056 +0112 +0224 +0448 +0896]
;*--------------------------------------------------------------------------------------------------------------
iol_InpuMM08  equ  iol_InpuMM07+LMSZ   ; LMED: Internal InputFrame Register MM08 [+0064 +0128 +0256 +0512 +1024]
iol_InpuMM09  equ  iol_InpuMM08+LMSZ   ; LMED: Internal InputFrame Register MM09 [+0072 +0144 +0288 +0576 +1152]
iol_InpuMM10  equ  iol_InpuMM09+LMSZ   ; LMED: Internal InputFrame Register MM10 [+0080 +0160 +0320 +0640 +1280]
iol_InpuMM11  equ  iol_InpuMM10+LMSZ   ; LMED: Internal InputFrame Register MM11 [+0088 +0176 +0352 +0704 +1408]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuMM12  equ  iol_InpuMM11+LMSZ   ; LMED: Internal InputFrame Register MM12 [+0096 +0192 +0384 +0768 +1536]
iol_InpuMM13  equ  iol_InpuMM12+LMSZ   ; LMED: Internal InputFrame Register MM13 [+0104 +0208 +0416 +0832 +1664]
iol_InpuMM14  equ  iol_InpuMM13+LMSZ   ; LMED: Internal InputFrame Register MM14 [+0112 +0224 +0448 +0896 +1792]
iol_InpuMM15  equ  iol_InpuMM14+LMSZ   ; LMED: Internal InputFrame Register MM15 [+0120 +0240 +0480 +0960 +1920]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_InpuMM16  equ  iol_InpuMM15+LMSZ   ; LMED: Internal InputFrame Register MM16 [+0128 +0256 +0512 +1024 +2048]
iol_InpuMM17  equ  iol_InpuMM16+LMSZ   ; LMED: Internal InputFrame Register MM17 [+0136 +0272 +0544 +1088 +2176]
iol_InpuMM18  equ  iol_InpuMM17+LMSZ   ; LMED: Internal InputFrame Register MM18 [+0144 +0288 +0576 +1152 +2304]
iol_InpuMM19  equ  iol_InpuMM18+LMSZ   ; LMED: Internal InputFrame Register MM19 [+0152 +0304 +0608 +1216 +2432]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuMM20  equ  iol_InpuMM19+LMSZ   ; LMED: Internal InputFrame Register MM20 [+0160 +0320 +0640 +1280 +2560]
iol_InpuMM21  equ  iol_InpuMM20+LMSZ   ; LMED: Internal InputFrame Register MM21 [+0168 +0336 +0672 +1344 +2688]
iol_InpuMM22  equ  iol_InpuMM21+LMSZ   ; LMED: Internal InputFrame Register MM22 [+0176 +0352 +0704 +1408 +2816]
iol_InpuMM23  equ  iol_InpuMM22+LMSZ   ; LMED: Internal InputFrame Register MM23 [+0184 +0368 +0736 +1472 +2944]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_InpuMM24  equ  iol_InpuMM23+LMSZ   ; LMED: Internal InputFrame Register MM24 [+0192 +0384 +0768 +1536 +3072]
iol_InpuMM25  equ  iol_InpuMM24+LMSZ   ; LMED: Internal InputFrame Register MM25 [+0200 +0400 +0800 +1600 +3200]
iol_InpuMM26  equ  iol_InpuMM25+LMSZ   ; LMED: Internal InputFrame Register MM26 [+0208 +0416 +0832 +1664 +3328]
iol_InpuMM27  equ  iol_InpuMM26+LMSZ   ; LMED: Internal InputFrame Register MM27 [+0216 +0432 +0864 +1728 +3456]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_InpuMM28  equ  iol_InpuMM27+LMSZ   ; LMED: Internal InputFrame Register MM28 [+0224 +0448 +0896 +1792 +3584]
iol_InpuMM29  equ  iol_InpuMM28+LMSZ   ; LMED: Internal InputFrame Register MM29 [+0232 +0464 +0928 +1856 +3712]
iol_InpuMM30  equ  iol_InpuMM29+LMSZ   ; LMED: Internal InputFrame Register MM30 [+0240 +0480 +0960 +1920 +3840]
iol_InpuMM31  equ  iol_InpuMM30+LMSZ   ; LMED: Internal InputFrame Register MM31 [+0248 +0496 +0992 +1984 +3968]
;*==============================================================================================================
;ol_InpuMM32  equ  iol_InpuMM31+LMSZ   ; LMED: Internal InputFrame Register MM32 [+0256 +0512 +1024 +2048 +4096]
;ol_InpuMM33  equ  iol_InpuMM32+LMSZ   ; LMED: Internal InputFrame Register MM33 [+0264 +0528 +1056 +2112 +4224]
;ol_InpuMM34  equ  iol_InpuMM33+LMSZ   ; LMED: Internal InputFrame Register MM34 [+0272 +0544 +1088 +2176 +4352]
;ol_InpuMM35  equ  iol_InpuMM34+LMSZ   ; LMED: Internal InputFrame Register MM35 [+0280 +0560 +1120 +2240 +4480]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_InpuMM36  equ  iol_InpuMM35+LMSZ   ; LMED: Internal InputFrame Register MM36 [+0288 +0576 +1152 +2304 +4608]
;ol_InpuMM37  equ  iol_InpuMM36+LMSZ   ; LMED: Internal InputFrame Register MM37 [+0296 +0592 +1184 +2368 +4736]
;ol_InpuMM38  equ  iol_InpuMM37+LMSZ   ; LMED: Internal InputFrame Register MM38 [+0304 +0608 +1216 +2432 +4864]
;ol_InpuMM39  equ  iol_InpuMM38+LMSZ   ; LMED: Internal InputFrame Register MM39 [+0312 +0624 +1248 +2496 +4992]
;*==============================================================================================================
iol_END_MEDI  equ  iol_InpuMM00+LMSZ*032     ; Parameter: ENDs_MEMOry Structures [+0320 +0640 +1280 +2560 +5120]
;###############################################################################################################
;io_WcBufMem  equ  000+016*LVSZ+0000   ; STRG: Write Console Buffer Memory 01024 [#0064 #0128 #0256 #0512 #1024]
;io_CDBufMem  equ  kio_WcBufMem+1024   ; STRG: ChangeConsole Buffer Memory 01024 [+1024 +1024 +1024 +1024 +1024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;io_NmStrMem  equ  kio_CDBufMem+1024   ; STRG: ASCII  Number String Memory 01024 [+2048 +2048 +2048 +2048 +2048]
;io_VaStrMem  equ  kio_NmStrMem+1024   ; STRG: ASCII   Value String Memory 01024 [+3072 +3072 +3072 +3072 +3072]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;io_EdStrMem  equ  kio_VaStrMem+1024   ; STRG: UTF32LE  Edit String Memory 04096 [+4096 +4096 +4096 +4096 +4096]
;*==============================================================================================================
;io_EdLin000  equ  kio_WcBufMem+8192   ; SVAL: MultiLin Edit Line   [0000] Begin [#8192 #8192 #8192 #8192 #08KB]
;io_EdLin001  equ  kio_EdLin000+0004   ; SVAL: MultiLin Edit Line   [0001] Begin [+0004 +0004 +0004 +0004 +0004]
;io_EdLin002  equ  kio_EdLin000+0008   ; SVAL: MultiLin Edit Line   [0002] Begin [+0008 +0008 +0008 +0008 +0008]
;io_EdLin511  equ  kio_EdLin000+2044   ; SVAL: MultiLin Edit Line   [0511] Begin [+2044 +2044 +2044 +2044 +2044]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_EdLin000  equ  iol_END_MEDI+0000   ; SVAL: MultiLin Edit Line   [0000] Begin [#8192 #8192 #8192 #8192 #08KB]
iol_EdLin001  equ  iol_EdLin000+0004   ; SVAL: MultiLin Edit Line   [0001] Begin [+0004 +0004 +0004 +0004 +0004]
iol_EdLin002  equ  iol_EdLin000+0008   ; SVAL: MultiLin Edit Line   [0002] Begin [+0008 +0008 +0008 +0008 +0008]
iol_EdLin511  equ  iol_EdLin000+2044   ; SVAL: MultiLin Edit Line   [0511] Begin [+2044 +2044 +2044 +2044 +2044]
;###############################################################################################################
;## FIXED     Input.Output.Library     ; XVAL: Fixed Non scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
iol_BEG       equ  iol_END_MEDI+2048   ; PARA: Out.PUt.library_BEGin      offset [#0640 #0640 #0640 #1280 #2560]
iol_LNG       equ  iol_BEG+0000+8192   ; PARA: Out.PUt.library_LoNG       offset [+2024 +2024 +2024 +2024 +2024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu0000  equ  iol_BEG+0000+000    ; EVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;ol_Valu0001  equ  iol_Valu0000+04     ; EVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;*==============================================================================================================
;*  LvNACTRL  equ  eml_BEG+0000+160    ; EVAL: MathLib ConTRoL   <1 LA USN EMCT> [#0160 #0160 #0160 #0160 #0160]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ml_NaCtrTrl  equ  eml_BEG+0000+164    ; EVAL: NACTRL! Trailings     .   .   <T> [+0004 +0004 +0004 +0004 +0004]
;ml_NaCtrCom  equ  eml_NaCtrTrl+04     ; EVAL: NACTRL! Comments      .   .  <C>  [+0008 +0008 +0008 +0008 +0008]
;ml_NaCtrMBl  equ  eml_NaCtrCom+04     ; EVAL: NACTRL! MiddleBlanks  .   . <M>   [+0012 +0012 +0012 +0012 +0012]
;ml_NaCtrEqu  equ  eml_NaCtrMBl+04     ; EVAL: NACTRL! Equal part    .   .<E>    [+0016 +0016 +0016 +0016 +0016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_NaCtrFNL  equ  eml_NaCtrEqu+04     ; EVAL: NACTRL! Fill, NewLin  .  <N>      [+0020 +0020 +0020 +0020 +0020]
;ml_NaCtrStp  equ  eml_NaCtrFNL+04     ; EVAL: NACTRL! Stops         . <S>       [+0024 +0024 +0024 +0024 +0024]
;ml_NaCtrUni  equ  eml_NaCtrStp+04     ; EVAL: NACTRL! UniCode       .<U>        [+0028 +0028 +0028 +0028 +0028]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_NaCtrAtt  equ  eml_NaCtrUni+04     ; EVAL: NACTRL! Attributes   <A>          [+0032 +0032 +0032 +0032 +0032]
;ml_NaCtrLin  equ  eml_NaCtrAtt+04     ; EVAL: NACTRL! new Lines   <L>           [+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
;ml_FmTNwLin  equ  eml_NaCtrLin+04     ; EVAL: Format: Trailing NewLines 0,1,2,3 [+0040 +0040 +0040 +0040 +0040]
;ml_FmTokChr  equ  eml_FmTNwLin+04     ; EVAL: Format: TokenEnd Character No , ; [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ml_FmComent  equ  eml_FmTokChr+04     ; EVAL: Format: Comments No | C | COM     [+0048 +0048 +0048 +0048 +0048]
;ml_FmMrkChr  equ  eml_FmComent+04     ; EVAL: Format: QuotMark Character No ' " [+0052 +0052 +0052 +0052 +0052]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ml_FmEBlank  equ  eml_FmMrkChr+04     ; EVAL: Format: EqualBlanks     0,1,2,3,4 [+0056 +0056 +0056 +0056 +0056]
;ml_FmEquChr  equ  eml_FmEBlank+04     ; EVAL: Format: EqualCharacter  No | =    [+0060 +0060 +0060 +0060 +0060]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ml_FmAttLow  equ  eml_FmEquChr+04     ; EVAL: Format: Attributes Low  0,1,2,3,4 [+0064 +0064 +0064 +0064 +0064]
;ml_FmAttHig  equ  eml_FmAttLow+04     ; EVAL: Format: Attributes High 0,1       [+0068 +0068 +0068 +0068 +0068]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_FmMNwLin  equ  eml_FmAttHig+04     ; EVAL: Format: Middle NewLines 0,1,2,3   [+0072 +0072 +0072 +0072 +0072]
;ml_FmENwLin  equ  eml_FmMNwLin+04     ; EVAL: Format: Equal  NewLines 0,1,2     [+0076 +0076 +0076 +0076 +0076]
;*==============================================================================================================
;*  EvDACTRL  equ  eml_BEG+0000+240    ; EVAL: MathLib ConTRoL   <1 IR USN PrBF> [#0240 #0240 #0240 #0240 #0240]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ml_DaCtrFun  equ  eml_BEG+0000+244    ; EVAL: DACTRL! Function      .   .   <F> [+0004 +0004 +0004 +0004 +0004]
;ml_DaCtrBlk  equ  eml_DaCtrFun+04     ; EVAL: DACTRL! Blocking      .   .  <B>  [+0008 +0008 +0008 +0008 +0008]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
;ml_DaCtrBas  equ  eml_DaCtrBlk+04     ; EVAL: FLREAD! SupposedBase  .   .  <Ba> [+0012 +0012 +0012 +0012 +0012]
;ml_DaCtrPrc  equ  eml_DaCtrBas+04     ; EVAL: DACTRL! Precision     .   .<Pr>   [+0016 +0016 +0016 +0016 +0016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_DaCtrFNL  equ  eml_DaCtrPrc+04     ; EVAL: DACTRL! Fill,NewLin   .  <N>      [+0020 +0020 +0020 +0020 +0020]
;ml_DaCtrStp  equ  eml_DaCtrFNL+04     ; EVAL: DACTRL! Stops         . <S>       [+0024 +0024 +0024 +0024 +0024]
;ml_DaCtrUni  equ  eml_DaCtrStp+04     ; EVAL: DACTRL! UniCode       .<U>        [+0028 +0028 +0028 +0028 +0028]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_DaCtrReg  equ  eml_DaCtrUni+04     ; EVAL: DACTRL! Register     <R>          [+0032 +0032 +0032 +0032 +0032]
;ml_DaCtrInf  equ  eml_DaCtrReg+04     ; EVAL: DACTRL! Information <I>           [+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
;ml_DaLibTyp  equ  eml_DaCtrInf+04     ; EVAL: DACTRL! LibraryType ( DaCtrPrc )  [+0040 +0040 +0040 +0040 +0040]
;*==============================================================================================================
;* _FmTNwLin  equ  eml_DaCtrInf+04     ; EVAL: Format: Trailing NewLines 0,1,2,3 [+0040 +0040 +0040 +0040 +0040]
;* _FmTokChr  equ  eml_FmTNwLin+04     ; EVAL: Format: TokenEnd Character No , ; [+0044 +0044 +0044 +0044 +0044]
;*==============================================================================================================
;*  EvDACTRL  equ  eml_BEG+0000+320    ; EVAL: MathLib ConTRoL   <1 IR USN PrBF> [#0240 #0240 #0240 #0240 #0240]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ml_DaCtrFun  equ  eml_BEG+0000+324    ; EVAL: DACTRL! Function      .   .   <F> [+0004 +0004 +0004 +0004 +0004]
;ml_DaCtrBlk  equ  eml_DaCtrFun+04     ; EVAL: DACTRL! Blocking      .   .  <B>  [+0008 +0008 +0008 +0008 +0008]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
;ml_DaCtrBas  equ  eml_DaCtrBlk+04     ; EVAL: FLREAD! SupposedBase  .   .  <Ba> [+0012 +0012 +0012 +0012 +0012]
;ml_DaCtrPrc  equ  eml_DaCtrBas+04     ; EVAL: DACTRL! Precision     .   .<Pr>   [+0016 +0016 +0016 +0016 +0016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_DaCtrFNL  equ  eml_DaCtrPrc+04     ; EVAL: DACTRL! Fill,NewLin   .  <N>      [+0020 +0020 +0020 +0020 +0020]
;ml_DaCtrStp  equ  eml_DaCtrFNL+04     ; EVAL: DACTRL! Stops         . <S>       [+0024 +0024 +0024 +0024 +0024]
;ml_DaCtrUni  equ  eml_DaCtrStp+04     ; EVAL: DACTRL! UniCode       .<U>        [+0028 +0028 +0028 +0028 +0028]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_DaCtrReg  equ  eml_DaCtrUni+04     ; EVAL: DACTRL! Register     <R>          [+0032 +0032 +0032 +0032 +0032]
;ml_DaCtrInf  equ  eml_DaCtrReg+04     ; EVAL: DACTRL! Information <I>           [+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
;* _FmTNwLin  equ  eml_DaCtrInf+04     ; EVAL: Format: Trailing NewLines 0,1,2,3 [+0040 +0040 +0040 +0040 +0040]
;* _FmTokChr  equ  eml_FmTNwLin+04     ; EVAL: Format: TokenEnd Character No , ; [+0044 +0044 +0044 +0044 +0044]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;*  LvOFCTRL  equ  iol_BEG+0000+160    ; EVAL: MathLib ConTRoL   <1 LA USN EMCT> [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_OFCtrTrl  equ  iol_BEG+0000+128    ; EVAL: OpnFil! Trailings     .   .   <T> [#0128 #0128 #0128 #0128 #0128]
iol_OFCtrCom  equ  iol_OFCtrTrl+04     ; EVAL: OpnFil! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
iol_OFCtrMBl  equ  iol_OFCtrCom+04     ; EVAL: OpnFil! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
iol_OFCtrEqu  equ  iol_OFCtrMBl+04     ; EVAL: OpnFil! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_OFCtrFNL  equ  iol_OFCtrEqu+04     ; EVAL: OpnFil! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
iol_OFCtrStp  equ  iol_OFCtrFNL+04     ; EVAL: OpnFil! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
iol_OFCtrUni  equ  iol_OFCtrStp+04     ; EVAL: OpnFil! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_OFCtrAtt  equ  iol_OFCtrUni+04     ; EVAL: OpnFil! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
iol_OFCtrLin  equ  iol_OFCtrAtt+04     ; EVAL: OpnFil! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
iol_OFRsvd01  equ  iol_OFCtrLin+04     ; EVAL: OpnFil! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
iol_OFRsvd02  equ  iol_OFCtrLin+04     ; EVAL: OpnFil! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
iol_OFRsvd03  equ  iol_OFCtrLin+04     ; EVAL: OpnFil! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
iol_OFRsvd04  equ  iol_OFCtrLin+04     ; EVAL: OpnFil! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
iol_OFRsvd05  equ  iol_OFCtrLin+04     ; EVAL: OpnFil! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
iol_OFRsvd06  equ  iol_OFCtrLin+04     ; EVAL: OpnFil! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
iol_OFRsvd07  equ  iol_OFCtrLin+04     ; EVAL: OpnFil! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;*==============================================================================================================
iol_CFCtrTrl  equ  iol_BEG+0000+192    ; EVAL: ClsFil! Trailings     .   .   <T> [#0192 #0192 #0192 #0192 #0192]
iol_CFCtrCom  equ  iol_CFCtrTrl+04     ; EVAL: ClsFil! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
iol_CFCtrMBl  equ  iol_CFCtrCom+04     ; EVAL: ClsFil! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
iol_CFCtrEqu  equ  iol_CFCtrMBl+04     ; EVAL: ClsFil! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_CFCtrFNL  equ  iol_CFCtrEqu+04     ; EVAL: ClsFil! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
iol_CFCtrStp  equ  iol_CFCtrFNL+04     ; EVAL: ClsFil! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
iol_CFCtrUni  equ  iol_CFCtrStp+04     ; EVAL: ClsFil! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_CFCtrAtt  equ  iol_CFCtrUni+04     ; EVAL: ClsFil! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
iol_CFCtrLin  equ  iol_CFCtrAtt+04     ; EVAL: ClsFil! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
iol_CFRsvd01  equ  iol_CFCtrLin+04     ; EVAL: ClsFil! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
iol_CFRsvd02  equ  iol_CFCtrLin+04     ; EVAL: ClsFil! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
iol_CFRsvd03  equ  iol_CFCtrLin+04     ; EVAL: ClsFil! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
iol_CFRsvd04  equ  iol_CFCtrLin+04     ; EVAL: ClsFil! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
iol_CFRsvd05  equ  iol_CFCtrLin+04     ; EVAL: ClsFil! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
iol_CFRsvd06  equ  iol_CFCtrLin+04     ; EVAL: ClsFil! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
iol_CFRsvd07  equ  iol_CFCtrLin+04     ; EVAL: ClsFil! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;***************************************************************************************************************
iol_WCCtrTrl  equ  iol_BEG+0000+256    ; EVAL: FWChar! Trailings     .   .   <T> [#0256 #0256 #0256 #0256 #0256]
iol_WCCtrCom  equ  iol_WCCtrTrl+04     ; EVAL: FWChar! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
iol_WCCtrMBl  equ  iol_WCCtrCom+04     ; EVAL: FWChar! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
iol_WCCtrEqu  equ  iol_WCCtrMBl+04     ; EVAL: FWChar! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_WCCtrFNL  equ  iol_WCCtrEqu+04     ; EVAL: FWChar! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
iol_WCCtrStp  equ  iol_WCCtrFNL+04     ; EVAL: FWChar! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
iol_W7CtrUni  equ  iol_WCCtrStp+04     ; EVAL: FWChar! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_WCCtrAtt  equ  iol_W7CtrUni+04     ; EVAL: FWChar! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
iol_WCCtrLin  equ  iol_WCCtrAtt+04     ; EVAL: FWChar! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
iol_WCRsvd01  equ  iol_WCCtrLin+04     ; EVAL: FWChar! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
iol_WCRsvd02  equ  iol_WCCtrLin+04     ; EVAL: FWChar! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
iol_WCRsvd03  equ  iol_WCCtrLin+04     ; EVAL: FWChar! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
iol_WCRsvd04  equ  iol_WCCtrLin+04     ; EVAL: FWChar! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
iol_WCRsvd05  equ  iol_WCCtrLin+04     ; EVAL: FWChar! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
iol_WCRsvd06  equ  iol_WCCtrLin+04     ; EVAL: FWChar! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
iol_WCRsvd07  equ  iol_WCCtrLin+04     ; EVAL: FWChar! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;*==============================================================================================================
iol_RCCtrTrl  equ  iol_BEG+0000+320    ; EVAL: FRChar! Trailings     .   .   <T> [#0256 #0256 #0256 #0256 #0256]
iol_RCCtrCom  equ  iol_RCCtrTrl+04     ; EVAL: FRChar! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
iol_RCCtrMBl  equ  iol_RCCtrCom+04     ; EVAL: FRChar! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
iol_RCCtrEqu  equ  iol_RCCtrMBl+04     ; EVAL: FRChar! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_RCCtrFNL  equ  iol_RCCtrEqu+04     ; EVAL: FRChar! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
iol_RCCtrStp  equ  iol_RCCtrFNL+04     ; EVAL: FRChar! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
iol_RCCtrUni  equ  iol_RCCtrStp+04     ; EVAL: FRChar! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_RCCtrAtt  equ  iol_RCCtrUni+04     ; EVAL: FRChar! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
iol_RCCtrLin  equ  iol_RCCtrAtt+04     ; EVAL: FRChar! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
iol_RCRsvd01  equ  iol_RCCtrLin+04     ; EVAL: FRChar! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
iol_RCRsvd02  equ  iol_RCCtrLin+04     ; EVAL: FRChar! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
iol_RCRsvd03  equ  iol_RCCtrLin+04     ; EVAL: FRChar! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
iol_RCRsvd04  equ  iol_RCCtrLin+04     ; EVAL: FRChar! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
iol_RCRsvd05  equ  iol_RCCtrLin+04     ; EVAL: FRChar! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
iol_RCRsvd06  equ  iol_RCCtrLin+04     ; EVAL: FRChar! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
iol_RCRsvd07  equ  iol_RCCtrLin+04     ; EVAL: FRChar! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;***************************************************************************************************************

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu1024  equ  iol_BEG+1024+000    ; XVAL: Values Part1 Non scaling Values ! [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;io_ArchType  equ  kio_BEG+1024+000    ; EVAL: 001|002,003|004,005,006;007,008   [%0000 %0000 %0000 %0000 %0000]
;io_ArchSize  equ  kio_ArchType+04     ; EVAL: 002|004,004|016,016,016;016,016   [+0004 +0004 +0004 +0004 +0004]
;io_LongSize  equ  kio_ArchSize+04     ; EVAL: 002|004,008|004,008,016;032,064   [+0008 +0008 +0008 +0008 +0008]
;io_LongBits  equ  kio_LongSize+04     ; EVAL: 016|032,064|032,064,128;256,512   [+0012 +0012 +0012 +0012 +0012]
;*--------------------------------------------------------------------------------------------------------------
;io_CtrInfo8  equ  kio_LongBits+04     ; EVAL: Control Infos                     [+0016 +0016 +0016 +0016 +0016]
;io_SyCtrUni  equ  kio_CtrInfo8+04     ; EVAL: Control Unicode                   [+0020 +0020 +0020 +0020 +0020]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;io_Arg1Zero  equ  kio_BEG+1024+024    ; BVAL: Argument<1> Flag Zero             [00000 00000 00000 00000 00000]
;io_Arg1Sign  equ  kio_Arg1Zero+01     ; BYTE: Argument<1> Flag Sign             [+0001 +0001 +0001 +0001 +0001]
;io_Arg1Pad1  equ  kio_Arg1Sign+01     ; BYTE: Argument<1> Flag Pad1             [+0002 +0002 +0002 +0002 +0002]
;io_Arg1Pad2  equ  kio_Arg1Pad1+01     ; BYTE: Argument<1> Flag Pad2             [+0003 +0003 +0003 +0003 +0003]
;*--------------------------------------------------------------------------------------------------------------
;io_ExString  equ  kio_BEG+1024+032    ; STRG: ExponentString              96 ?  [#0032 #0032 #0032 #0032 #0032]
;*==============================================================================================================
iol_WrNamAtt  equ  iol_BEG+1024+128    ; EVAL: Write Name  part       Attribute  [#0128 #0128 #0128 #0128 #0128]
iol_WrEquAtt  equ  iol_WrNamAtt+04     ; EVAL: Write Equal Character =     Attr  [+0004 +0004 +0004 +0004 +0004]
iol_WrMrkAtt  equ  iol_WrEquAtt+04     ; EVAL: Write Quotation Mark  ' "   Attr  [+0008 +0008 +0008 +0008 +0008]
iol_WrTokAtt  equ  iol_WrMrkAtt+04     ; EVAL: Write TokenEnd Chars  , ;   Attr  [+0012 +0012 +0012 +0012 +0012]
iol_WrComAtt  equ  iol_WrTokAtt+04     ; EVAL: Write Comment String  ! C   Attr  [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_WrGVaAtt  equ  iol_WrComAtt+04     ; EVAL: Write General Values  Attributes  [+0020 +0020 +0020 +0020 +0020]
iol_WrIVaAtt  equ  iol_WrGVaAtt+04     ; EVAL: Write Integer Values  Attributes  [+0024 +0024 +0024 +0024 +0024]
iol_WrFVaAtt  equ  iol_WrIVaAtt+04     ; EVAL: Write Floatng Values  Attributes  [+0028 +0028 +0028 +0028 +0028]
iol_WrSVaAtt  equ  iol_WrFVaAtt+04     ; EVAL: Write Strings Values  Attributes  [+0032 +0032 +0032 +0032 +0032]
iol_WrTVaAtt  equ  iol_WrSVaAtt+04     ; EVAL: Write TextStr Values  Attributes  [+0036 +0036 +0036 +0036 +0036]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_WrNChAtt  equ  iol_WrTVaAtt+04     ; EVAL: Write NewLine Character &n  Attr  [+0040 +0040 +0040 +0040 +0040]
iol_WrNFiAtt  equ  iol_WrNChAtt+04     ; EVAL: Write NewLine Filling   ..  Attr  [+0044 +0044 +0044 +0044 +0044]
iol_WrStpAtt  equ  iol_WrNFiAtt+04     ; EVAL: Write Stop    Character @   Attr  [+0048 +0048 +0048 +0048 +0048]
iol_WrZChAtt  equ  iol_WrStpAtt+04     ; EVAL: Write ZeroEnd Character &z  Attr  [+0052 +0052 +0052 +0052 +0052]
iol_WrZFiAtt  equ  iol_WrZChAtt+04     ; EVAL: Write ZeroEnd Filling   ..  Attr  [+0056 +0056 +0056 +0056 +0056]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_WrLinAtt  equ  iol_WrZFiAtt+04     ; EVAL: Write Separation Line  Attribute  [+0060 +0060 +0060 +0060 +0060]
iol_WrHLgAtt  equ  iol_WrLinAtt+04     ; EVAL: Write High  Language   Attribute  [+0064 +0064 +0064 +0064 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_WrValAtt  equ  iol_WrHLgAtt+04     ; EVAL: Write Value (Datas)    Attribute  [+0068 +0068 +0068 +0068 +0068]
iol_WrDatAtt  equ  iol_WrValAtt+04     ; EVAL: Write Datas (Color)    Attribute  [+0072 +0072 +0072 +0072 +0072]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_WrMenAtt  equ  iol_WrDatAtt+04     ; EVAL: Write Menu  (Input)    Attribute  [+0076 +0076 +0076 +0076 +0076]
iol_WrMonAtt  equ  iol_WrMenAtt+04     ; EVAL: Write Mono  (Color)    Attribute  [+0080 +0080 +0080 +0080 +0080]
;*--------------------------------------------------------------------------------------------------------------
iol_WrChrAtt  equ  iol_WrMonAtt+04     ; EVAL: Write Character        Attribute  [+0084 +0084 +0084 +0084 +0084]
iol_IsChrAtt  equ  iol_WrChrAtt+04     ; EVAL: IsNow Character        Attribute  [+0088 +0088 +0088 +0088 +0088]
;*--------------------------------------------------------------------------------------------------------------
iol_MarkChar  equ  iol_IsChrAtt+04     ; EVAL: Quotation Mark Character   ' "    [+0092 +0092 +0092 +0092 +0092]
iol_WrComChr  equ  iol_MarkChar+04     ; EVAL: Comment starts Character  _#%*/   [+0096 +0096 +0096 +0096 +0096]
iol_InComent  equ  iol_WrComChr+04     ; EVAL: Inside Comment Now        ;??C!   [+0100 +0100 +0100 +0100 +0100]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_ByteSwap  equ  iol_InComent+04     ; EVAL: Bytes    Swap                     [+0104 +0104 +0104 +0104 +0104]
iol_InpOrWrt7 equ  iol_ByteSwap+04     ; EVAL: Input Or Write                    [+0108 +0108 +0108 +0108 +0108]
;*--------------------------------------------------------------------------------------------------------------
iol_MinEqMax  equ  iol_InpOrWrt7+04    ; EVAL: Minimum|Equal|Maximum Selector    [+0112 +0112 +0112 +0112 +0112]
;*==============================================================================================================
iol_NumbSign  equ  iol_BEG+1024+256    ; EVAL: Number    Sign  000; ' ', '+','-' [#0256 #0256 #0256 #0256 #0256]
iol_BaseChar  equ  iol_NumbSign+04     ; EVAL: Starting  Base  Character [ _   ] [+0004 +0004 +0004 +0004 +0004]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_Bas1Char  equ  iol_BaseChar+04     ; EVAL: First     Base  Character [ _1  ] [+0008 +0008 +0008 +0008 +0008]
iol_Bas2Char  equ  iol_Bas1Char+04     ; EVAL: Second    Base  Character [ _12 ] [+0012 +0012 +0012 +0012 +0012]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_Bas1Valu  equ  iol_Bas2Char+04     ; EVAL: First     Base  FigureValue  1    [+0016 +0016 +0016 +0016 +0016]
iol_Bas2Valu  equ  iol_Bas1Valu+04     ; EVAL: Second    Base  FigureValue   2   [+0020 +0020 +0020 +0020 +0020]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_ExpoChar  equ  iol_Bas2Valu+04     ; EVAL: Exponent  Start Character         [+0024 +0024 +0024 +0024 +0024]
iol_ExpoSign  equ  iol_ExpoChar+04     ; EVAL: Exponent  Sign  Character         [+0028 +0028 +0028 +0028 +0028]
;*--------------------------------------------------------------------------------------------------------------
iol_TestCntr  equ  iol_ExpoSign+04     ; EVAL: Testing   Counter                 [+0032 +0032 +0032 +0032 +0032]
iol_FigValue  equ  iol_TestCntr+04     ; EVAL: Figure    Value                   [+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_NumFigMx  equ  iol_FigValue+04     ; EVAL: Number  Figure  Maximal           [+0040 +0040 +0040 +0040 +0040]
iol_LstFigMx  equ  iol_NumFigMx+04     ; EVAL: Last    Figure  Maximal           [+0044 +0044 +0044 +0044 +0044]
;*==============================================================================================================
;* _EvHEXFMT  equ  iol_BEG+1024+320    ; EVAL: <ByLeng|RegsNumb|NEBT:MSiz:LFun>b [#0320 #0320 #0320 #0320 #0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_HFmFunct  equ  iol_BEG+1024+320    ; EVAL: HexFormat Function   :    :<Fun>b [+0000 +0000 +0000 +0000 +0000]
iol_HFmNLine  equ  iol_HFmFunct+04     ; EVAL: HexFormat New Line   :    <L>     [+0004 +0004 +0004 +0004 +0004]
iol_HFmRSize  equ  iol_HFmNLine+04     ; EVAL: HexFormat Reg Size   :<Siz>       [+0008 +0008 +0008 +0008 +0008]
iol_HFmMonoc  equ  iol_HFmRSize+04     ; EVAL: HexFormat Monochrome <M>  :       [+0012 +0012 +0012 +0012 +0012]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_HFmToken  equ  iol_HFmMonoc+04     ; EVAL: HexFmt TokenEnd |  <T>            [+0016 +0016 +0016 +0016 +0016]
iol_HFmBlock  equ  iol_HFmToken+04     ; EVAL: HexFmt Blocking | <B>:            [+0020 +0020 +0020 +0020 +0020]
iol_HFmEqual  equ  iol_HFmBlock+04     ; EVAL: HexFmt Equal     <E> :            [+0024 +0024 +0024 +0024 +0024]
iol_HFmNames  equ  iol_HFmEqual+04     ; EVAL: HexFmt Naming   <N>  :            [+0028 +0028 +0028 +0028 +0028]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* _HFmRNumb  equ  iol_HFmNames+04     ; LVAL:        <RegsNumb> RegisterNumber  [+0032 +0032 +0032 +0032 +0032]
;* _HFmBLeng  equ  iol_HFmRNumb+04     ; LVAL: <ByLeng>        | StrcByteLength  [+0036 +0036 +0036 +0036 +0036]
;***************************************************************************************************************
;ol_EvNACTRL  equ  iol_BEG+1024+512    ; EVAL: NAme ConTRoL      <1 LA USN EMCT> [#0512 #0512 #0512 #0512 #0512]    NEU !!!
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_FmTrails  equ  iol_E7DACTRL+04     ; EVAL: Formats Trails        .   .   <T> [+0004 +0004 +0004 +0004 +0004]
;ol_FmMrkCom  equ  iol_FmTrails+04     ; EVAL: Formats Mark&Comment  .   .  <C>  [+0008 +0008 +0008 +0008 +0008]
;ol_FmMBlank  equ  iol_FmMrkCom+04     ; EVAL: Formats MdBLank[MBL]  .   . <M>   [+0012 +0012 +0012 +0012 +0012]
;ol_FmEquals  equ  iol_FmMBlank+04     ; EVAL: Formats Equals        .   .<E>    [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
;ol_NaFNwLin  equ  iol_FmEquals+04     ; EVAL: NameStr FNwLin        .  <N>      [+0020 +0020 +0020 +0020 +0020]
;ol_NaCtrStp  equ  iol_NaFNwLin+04     ; EVAL: NameStr CtrStp        . <S>       [+0024 +0024 +0024 +0024 +0024]
;ol_NaCtrUni  equ  iol_NaCtrStp+04     ; EVAL: NameStr CtrUni        .<U>        [+0028 +0028 +0028 +0028 +0028]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_CtrAuxil  equ  iol_NaCtrUni+16     ; EVAL: Control Auxilliary   <A>          [+0032 +0032 +0032 +0032 +0032]
;ol_FmEMLine  equ  iol_DaAttrib+04     ; EVAL: Formats EquMidLine  <L>           [+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
;ol_FmENwLin  equ  iol_FmEMLine+04     ; EVAL: Equal   NewLine [ENL]             [+0040 +0040 +0040 +0040 +0040]
;ol_FmMNwLin  equ  iol_FmENwLin+04     ; EVAL: Middle  NewLine [MNL]             [+0044 +0044 +0044 +0044 +0044]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_FmEquChr  equ  iol_FmMNwLin+04     ; EVAL: Equal   CHar    [EQC]             [+0056 +0056 +0056 +0056 +0056]
;ol_FmEBlank  equ  iol_FmEquChr+04     ; EVAL: Equal   BLanks  [EBL]             [+0060 +0060 +0060 +0060 +0060]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_FmMrkChr  equ  iol_FmEBlank+04     ; EVAL: Marking CHar    [ASC]             [+0064 +0064 +0064 +0064 +0064]
;ol_FmComent  equ  iol_FmMrkChr+04     ; EVAL: Comment Styling [COM]             [+0068 +0068 +0068 +0068 +0068]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_FmTokChr  equ  iol_FmComent+04     ; EVAL: Token   EndChar [TEC]             [+0072 +0072 +0072 +0072 +0072]
;ol_FmTNwLin  equ  iol_FmTokChr+04     ; EVAL: TrailingNewLine [TNL]             [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_FmSelect  equ  iol_FmTNwLin+04     ; EVAL: &x????  Format  Selector          [+0080 +0080 +0080 +0080 +0080]
;*==============================================================================================================
;* _EvDACTRL  equ  iol_BEG+1024+???    ; EVAL: CONTRL            <1 IA USN PrBF> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_CtrFunct  equ  iol_CtrInfos+04     ; EVAL: Control Function      .   .   <F> [+0004 +0004 +0004 +0004 +0004]
;ol_CtrBlock  equ  iol_CtrFunct+04     ; EVAL: Control Blocking      .   .  <B>  [+0008 +0008 +0008 +0008 +0008]
;ol_CtrPreci  equ  iol_CtrBlock+04     ; EVAL: Control Precision     .   .<Pr>   [+0012 +0012 +0012 +0012 +0012]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
;ol_DaFNwLin  equ  iol_FmEquals+04     ; EVAL: DataStr FNwLin        .  <N>      [+0016 +0016 +0016 +0016 +0016]
;ol_DaCtrStp  equ  iol_DaFNwLin+04     ; EVAL: DataStr CtrStp        . <S>       [+0020 +0020 +0020 +0020 +0020]
;ol_DaCtrUni  equ  iol_DaCtrStp+04     ; EVAL: DataStr CtrUni        .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_DaAttrib  equ  iol_FmEquals+16     ; EVAL: DataTxt Attribute    <A>          [+0028 +0028 +0028 +0028 +0028]
;ol_CtrInfos  equ  iol_DaAttrib+04     ; EVAL: Control Infos       <I>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
;ol_DaAttHig  equ  iol_FmMNwLin+04     ; EVAL: DataTxt AttributesLow             [+0036 +0036 +0036 +0036 +0036]
;ol_DaAttLow  equ  iol_DaAttHig+04     ; EVAL: DataTxt AttributeHigh             [+0052 +0052 +0052 +0052 +0052]
;*==============================================================================================================

;*==============================================================================================================
;*  LvNACTRL  equ  eml_BEG+0000+160    ; EVAL: MathLib ConTRoL   <1 LA USN EMCT> [#0160 #0160 #0160 #0160 #0160]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_NaCtrTrl  equ  iol_BEG+1024+384    ; EVAL: NACTRL! Trailings     .   .   <T> [+0004 +0004 +0004 +0004 +0004]
iol_NaCtrCom  equ  iol_NaCtrTrl+04     ; EVAL: NACTRL! Comments      .   .  <C>  [+0008 +0008 +0008 +0008 +0008]
iol_NaCtrMBl  equ  iol_NaCtrCom+04     ; EVAL: NACTRL! MiddleBlanks  .   . <M>   [+0012 +0012 +0012 +0012 +0012]
iol_NaCtrEqu  equ  iol_NaCtrMBl+04     ; EVAL: NACTRL! Equal part    .   .<E>    [+0016 +0016 +0016 +0016 +0016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_NaCtrFNL  equ  iol_NaCtrEqu+04     ; EVAL: NACTRL! Fill, NewLin  .  <N>      [+0020 +0020 +0020 +0020 +0020]
iol_NaCtrStp  equ  iol_NaCtrFNL+04     ; EVAL: NACTRL! Stops         . <S>       [+0024 +0024 +0024 +0024 +0024]
iol_NaCtrUni  equ  iol_NaCtrStp+04     ; EVAL: NACTRL! UniCode       .<U>        [+0028 +0028 +0028 +0028 +0028]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_NaCtrAtt  equ  iol_NaCtrUni+04     ; EVAL: NACTRL! Attributes   <A>          [+0032 +0032 +0032 +0032 +0032]
iol_NaCtrLin  equ  iol_NaCtrAtt+04     ; EVAL: NACTRL! new Lines   <L>           [+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
iol_FmTNwLin  equ  iol_NaCtrLin+04     ; EVAL: Format: Trailing NewLines 0,1,2,3 [+0040 +0040 +0040 +0040 +0040]
iol_FmTokChr  equ  iol_FmTNwLin+04     ; EVAL: Format: TokenEnd Character No , ; [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_FmComent  equ  iol_FmTokChr+04     ; EVAL: Format: Comments No | C | COM     [+0048 +0048 +0048 +0048 +0048]
iol_FmMrkChr  equ  iol_FmComent+04     ; EVAL: Format: QuotMark Character No ' " [+0052 +0052 +0052 +0052 +0052]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_FmEBlank  equ  iol_FmMrkChr+04     ; EVAL: Format: EqualBlanks     0,1,2,3,4 [+0056 +0056 +0056 +0056 +0056]
iol_FmEquChr  equ  iol_FmEBlank+04     ; EVAL: Format: EqualCharacter  No | =    [+0060 +0060 +0060 +0060 +0060]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_FmAttLow  equ  iol_FmEquChr+04     ; EVAL: Format: Attributes Low  0,1,2,3,4 [+0064 +0064 +0064 +0064 +0064]
iol_FmAttHig  equ  iol_FmAttLow+04     ; EVAL: Format: Attributes High 0,1       [+0068 +0068 +0068 +0068 +0068]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_FmMNwLin  equ  iol_FmAttHig+04     ; EVAL: Format: Middle NewLines 0,1,2,3   [+0072 +0072 +0072 +0072 +0072]
iol_FmENwLin  equ  iol_FmMNwLin+04     ; EVAL: Format: Equal  NewLines 0,1,2     [+0076 +0076 +0076 +0076 +0076]
;*==============================================================================================================
iol_FmSelect  equ  iol_FmENwLin+04     ; EVAL: &x????  Format  Selector          [+0080 +0080 +0080 +0080 +0080]



;***************************************************************************************************************
;ol_EvCONTRL  equ  iol_BEG+1024+380    ; EVAL: CONTRL            <1 IA USN USNC> [#0384 #0384 #0384 #0384 #0384]
;ol_E7NACTRL  equ  iol_BEG+1024+384    ; EVAL: CONTRL            <1 IA USN USNC> [#0384 #0384 #0384 #0384 #0384]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_DaComent  equ  iol_E7NACTRL+04     ; EVAL: Writ Data Comment     .   .   <C> [+0004 +0004 +0004 +0004 +0004]
;ol_DaFNwLin  equ  iol_DaComent+04     ; EVAL: Writ Data Null&NewLin .   .  <N>  [+0008 +0008 +0008 +0008 +0008]
;ol_DaCtrStp  equ  iol_DaFNwLin+04     ; EVAL: Copy Data ControlStop .   . <S>   [+0012 +0012 +0012 +0012 +0012]
;ol_DaCtrUni  equ  iol_DaCtrStp+04     ; EVAL: File Data CtrlUnicode .   .<U>    [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
;ol_NaFNwLin  equ  iol_DaCtrUni+04     ; EVAL: Writ Name Null&NewLin .  <N>      [+0020 +0020 +0020 +0020 +0020]
;ol_NaCtrStp  equ  iol_NaFNwLin+04     ; EVAL: Copy Name ControlStop . <S>       [+0024 +0024 +0024 +0024 +0024]
;ol_NaCtrUni  equ  iol_NaCtrStp+04     ; EVAL: Read Name CtrlUnicode .<U>        [+0028 +0028 +0028 +0028 +0028]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_CtrAuxil  equ  iol_NaCtrUni+04     ; EVAL: <Control> Auxilliary <A>          [+0032 +0032 +0032 +0032 +0032]
;ol_CtrInfos  equ  iol_CtrAuxil+04     ; EVAL: <Control> Infos     <I>           [+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
;* _EvCONTRL  equ  iol_BEG+1024+???    ; EVAL: CONTRL            <1 IA USN PrBF> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_CtrFunct  equ  iol_CtrInfos+04     ; EVAL: <Control> Function            <F> [+0040 +0040 +0040 +0040 +0040]
;ol_CtrBlock  equ  iol_CtrFunct+04     ; EVAL: <Control> Blocking           <B>  [+0044 +0044 +0044 +0044 +0044]
;ol_CtrPreci  equ  iol_CtrBlock+04     ; EVAL: <Control> Precision        <Pr>   [+0048 +0048 +0048 +0048 +0048]
;*--------------------------------------------------------------------------------------------------------------
;ol_EdCtrUni  equ  iol_CtrPreci+04     ; EVAL: Copy Edit Contrl UniCode Selector [+0052 +0052 +0052 +0052 +0052]
;ol_EdCtrStp  equ  iol_EdCtrUni+04     ; EVAL: Copy Edit Contrl Stop    Selector [+0056 +0056 +0056 +0056 +0056]
;ol_EdFNwLin  equ  iol_EdCtrStp+04     ; EVAL: Copy Edit Contrl FilNwLn Selector [+0060 +0060 +0060 +0060 +0060]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_EChanged  equ  iol_EdFNwLin+04     ; EVAL: InputLibrary: Edit user  Changed  [+0064 +0064 +0064 +0064 +0064]
;*--------------------------------------------------------------------------------------------------------------
;ol_R0CtrPrc  equ  iol_EChanged+04     ; EVAL: Result  <0> Control Precision     [+0068 +0068 +0068 +0068 +0068]
;ol_A1CtrPrc  equ  iol_R0CtrPrc+04     ; EVAL: Argument<1> Control Precision     [+0072 +0072 +0072 +0072 +0072]
;ol_A2CtrPrc  equ  iol_A1CtrPrc+04     ; EVAL: Argument<2> Control Precision     [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_MxBytShf  equ  iol_A2CtrPrc+04     ; EVAL: Maximal Byte Shift  found         [+0080 +0080 +0080 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
;ol_EvHEXFMT  equ  iol_MxBytShf+04     ; EVAL: External StackInput Argument: 031 [+0152 +0304 +0608 +1216 +2432]
;*==============================================================================================================
;ol_E7DATFMT  equ  iol_BEG+1024+512    ; EVAL: DATFMT<1 LA NSU EMCT>             [#0512 #0512 #0512 #0512 #0512]
;ol_E7DACTRL  equ  iol_BEG+1024+512    ; EVAL: DATFMT<1 LA NSU EMCT>             [#0512 #0512 #0512 #0512 #0512]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_FmTrails  equ  iol_E7DACTRL+04     ; EVAL: Trails            <T>             [+0004 +0004 +0004 +0004 +0004]
;ol_FmMrkCom  equ  iol_FmTrails+04     ; EVAL: Mark & Comment   <C>              [+0008 +0008 +0008 +0008 +0008]
;ol_FmMBlank  equ  iol_FmMrkCom+04     ; EVAL: MBLank [MBL]    <M>               [+0012 +0012 +0012 +0012 +0012]
;ol_FmEquals  equ  iol_FmMBlank+04     ; EVAL: Equals         <E>                [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_DaFNwLin  equ  iol_FmEquals+04     ; EVAL: DaFNwLin     <N>                  [+0020 +0020 +0020 +0020 +0020]
;ol_DaCtrStp  equ  iol_DaFNwLin+04     ; EVAL: DaCtrStp    <S>                   [+0024 +0024 +0024 +0024 +0024]
;ol_DaCtrUni  equ  iol_DaCtrStp+04     ; EVAL: DaCtrUni   <U>                    [+0028 +0028 +0028 +0028 +0028]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_DaAttrib  equ  iol_FmEquals+16     ; EVAL: Attribut <A>                      [+0032 +0032 +0032 +0032 +0032]
;ol_FmEMLine  equ  iol_DaAttrib+04     ; EVAL: EMLine  <L>                       [+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_FmENwLin  equ  iol_FmEMLine+04     ; EVAL: Equal   NewLine [ENL]             [+0040 +0040 +0040 +0040 +0040]
;ol_FmMNwLin  equ  iol_FmENwLin+04     ; EVAL: Middle  NewLine [MNL]             [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_DaAttHig  equ  iol_FmMNwLin+04     ; EVAL: Datas   AttributesLow             [+0048 +0048 +0048 +0048 +0048]
;ol_DaAttLow  equ  iol_DaAttHig+04     ; EVAL: Datas   AttributeHigh             [+0052 +0052 +0052 +0052 +0052]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_FmEquChr  equ  iol_DaAttLow+04     ; EVAL: Equal   CHar    [EQC]             [+0056 +0056 +0056 +0056 +0056]
;ol_FmEBlank  equ  iol_FmEquChr+04     ; EVAL: Equal   BLanks  [EBL]             [+0060 +0060 +0060 +0060 +0060]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_FmMrkChr  equ  iol_FmEBlank+04     ; EVAL: Marking CHar    [ASC]             [+0064 +0064 +0064 +0064 +0064]
;ol_FmComent  equ  iol_FmMrkChr+04     ; EVAL: Comment Styling [COM]             [+0068 +0068 +0068 +0068 +0068]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_FmTokChr  equ  iol_FmComent+04     ; EVAL: Token   EndChar [TEC]             [+0072 +0072 +0072 +0072 +0072]
;ol_FmTNwLin  equ  iol_FmTokChr+04     ; EVAL: TrailingNewLine [TNL]             [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_FmSelect  equ  iol_FmTNwLin+04     ; EVAL: &x????  Format  Selector          [+0080 +0080 +0080 +0080 +0080]
;*==============================================================================================================
iol_RdChrCod  equ  iol_BEG+1024+640    ; EVAL: Read  Character Coding            [#0640 #0640 #0640 #0640 #0640]
iol_WrChrCod  equ  iol_RdChrCod+04     ; EVAL: Write Character Coding            [+0004 +0004 +0004 +0004 +0004]
iol_WrNewLin  equ  iol_WrChrCod+04     ; EVAL: Write New Line  Selectore         [+0008 +0008 +0008 +0008 +0008]
iol_SignChar  equ  iol_WrNewLin+04     ; EVAL: Sign  Character                   [+0012 +0012 +0012 +0012 +0012]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_LastChar  equ  iol_SignChar+04     ; EVAL: Last  Character                   [+0016 +0016 +0016 +0016 +0016]
iol_ReadChar  equ  iol_LastChar+04     ; EVAL: Read  Character                   [+0020 +0020 +0020 +0020 +0020]
iol_ReadFigr  equ  iol_ReadChar+04     ; EVAL: Read  Figure                      [+0024 +0024 +0024 +0024 +0024]
iol_WritChar  equ  iol_ReadFigr+04     ; EVAL: Write Character                   [+0028 +0028 +0028 +0028 +0028]
;*--------------------------------------------------------------------------------------------------------------
iol_WmCtrUni  equ  iol_WritChar+04     ; EVAL: Writ Memo String ControlsUniCode  [+0032 +0032 +0032 +0032 +0032]
iol_WmChrCod  equ  iol_WmCtrUni+04     ; EVAL: Writ Memo String CharacterCoding  [+0036 +0036 +0036 +0036 +0036]
iol_WmNewLin  equ  iol_WmChrCod+04     ; EVAL: Writ Memo String NewLineSelector  [+0040 +0040 +0040 +0040 +0040]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_RmCtrUni  equ  iol_WmNewLin+04     ; EVAL: Read Memo String ControlsUniCode  [+0044 +0044 +0044 +0044 +0044]
iol_RmChrCod  equ  iol_RmCtrUni+04     ; EVAL: Read Memo String CharacterCoding  [+0048 +0048 +0048 +0048 +0048]
iol_RmResrvd  equ  iol_RmChrCod+04     ; EVAL: Read Memo String NewLineSelector  [+0052 +0052 +0052 +0052 +0052]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_WkCtrUni  equ  iol_RmResrvd+04     ; EVAL: Writ Kons String ControlsUniCode  [+0056 +0056 +0056 +0056 +0056]
iol_WkChrCod  equ  iol_WkCtrUni+04     ; EVAL: Writ Kons String CharacterCoding  [+0060 +0060 +0060 +0060 +0060]
iol_WkNewLin  equ  iol_WkChrCod+04     ; EVAL: Writ Kons String NewLineSelector  [+0064 +0064 +0064 +0064 +0064]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_RkCtrUni  equ  iol_WkNewLin+04     ; EVAL: Read Kons String ControlsUniCode  [+0068 +0068 +0068 +0068 +0068]
iol_RkChrCod  equ  iol_RkCtrUni+04     ; EVAL: Read Kons String CharacterCoding  [+0072 +0072 +0072 +0072 +0072]
iol_RkResrvd  equ  iol_RkChrCod+04     ; EVAL: Read Kons String NewLineSelector  [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_WcCtrUni  equ  iol_RkResrvd+04     ; EVAL: Writ Cons String ControlsUniCode  [+0080 +0080 +0080 +0080 +0080]
iol_WcChrCod  equ  iol_WcCtrUni+04     ; EVAL: Writ Cons String CharacterCoding  [+0084 +0084 +0084 +0084 +0084]
iol_WcNewLin  equ  iol_WcChrCod+04     ; EVAL: Writ Cons String NewLineSelector  [+0088 +0088 +0088 +0088 +0088]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_RcCtrUni  equ  iol_WcNewLin+04     ; EVAL: Read Cons String ControlsUniCode  [+0092 +0092 +0092 +0092 +0092]
;ol_RcChrCod  equ  iol_RcCtrUni+04     ; EVAL: Read Cons String CharacterCoding  [+0096 +0096 +0096 +0096 +0096]
;ol_RcResrvd  equ  iol_RcChrCod+04     ; EVAL: Read Cons String NewLineSelector  [+0100 +0100 +0100 +0100 +0100]
;*--------------------------------------------------------------------------------------------------------------
iol_Fig00001  equ  iol_WcNewLin+16     ; EVAL: Figure 0000(1)_decimal            [+0104 +0104 +0104 +0104 +0104]
iol_Fig00010  equ  iol_Fig00001+04     ; EVAL: Figure 000(1)0_decimal            [+0108 +0108 +0108 +0108 +0108]
iol_Fig00100  equ  iol_Fig00010+04     ; EVAL: Figure 00(1)00_decimal            [+0112 +0112 +0112 +0112 +0112]
iol_Fig01000  equ  iol_Fig00100+04     ; EVAL: Figure 0(1)000_decimal            [+0116 +0116 +0116 +0116 +0116]
iol_Fig10000  equ  iol_Fig01000+04     ; EVAL: Figure (1)0000_decimal            [+0120 +0120 +0120 +0120 +0120]
;*==============================================================================================================
iol_NaChrCod  equ  iol_BEG+1024+768    ; EVAL: Copy Name String CharacterCoding  [#0768 #0768 #0768 #0768 #0768]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_NaStChar  equ  iol_NaChrCod+04     ; EVAL: Read Name String Stop Character   [+0004 +0004 +0004 +0004 +0004]
iol_NaFiStop  equ  iol_NaStChar+04     ; EVAL: Writ Name String Fill Stop Char   [+0008 +0008 +0008 +0008 +0008]
iol_NaFiRest  equ  iol_NaFiStop+04     ; EVAL: Writ Name String Fill Rest Char   [+0012 +0012 +0012 +0012 +0012]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_NaFiNull  equ  iol_NaFiRest+04     ; EVAL: Writ Name Fill Null   0000,0001   [+0016 +0016 +0016 +0016 +0016]
iol_NaNewLin  equ  iol_NaFiNull+04     ; EVAL: Writ Name New  Line   0,1,2,3,4|5 [+0020 +0020 +0020 +0020 +0020]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_DaChrCod  equ  iol_NaNewLin+04     ; EVAL: Copy Data String CharacterCoding  [+0024 +0024 +0024 +0024 +0024]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_DaStChar  equ  iol_DaChrCod+04     ; EVAL: Read Data String Stop Character   [+0028 +0028 +0028 +0028 +0028]
iol_DaFiStop  equ  iol_DaStChar+04     ; EVAL: Writ Data String Fill Stop Char   [+0032 +0032 +0032 +0032 +0032]
iol_DaFiRest  equ  iol_DaFiStop+04     ; EVAL: Writ Data String Fill Rest Char   [+0036 +0036 +0036 +0036 +0036]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_DaFiNull  equ  iol_DaFiRest+04     ; EVAL: Writ Data Fill Null   0000,0001   [+0040 +0040 +0040 +0040 +0040]
iol_DaNewLin  equ  iol_DaFiNull+04     ; EVAL: Writ Data New  Line   0,1,2,3,4|5 [+0044 +0044 +0044 +0044 +0044]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_EdChrCod  equ  iol_DaNewLin+04     ; EVAL: Copy Edit String CharacterCoding  [+0048 +0048 +0048 +0048 +0048]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_EdStChar  equ  iol_EdChrCod+04     ; EVAL: Read Edit String Stop Character   [+0052 +0052 +0052 +0052 +0052]
iol_EdFiStop  equ  iol_EdStChar+04     ; EVAL: Writ Edit String Fill Stop Char   [+0056 +0056 +0056 +0056 +0056]
iol_EdFiRest  equ  iol_EdFiStop+04     ; EVAL: Writ Edit String Fill Rest Char   [+0060 +0060 +0060 +0060 +0060]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_EdFiNull  equ  iol_EdFiRest+04     ; EVAL: Writ Edit Fill Null   0000,0001   [+0064 +0064 +0064 +0064 +0064]
iol_EdNewLin  equ  iol_EdFiNull+04     ; EVAL: Writ Edit New  Line   0,1,2,3,4|5 [+0068 +0068 +0068 +0068 +0068]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_EdFiNwLn  equ  iol_EdFiRest+12     ; EVAL: Edit Strg Filling   NwLn&         [+0072 +0072 +0072 +0072 +0072]
iol_EdFiZero  equ  iol_EdFiNwLn+04     ; EVAL: Edit Strg Filling   Zero&         [+0076 +0076 +0076 +0076 +0076]
;*--------------------------------------------------------------------------------------------------------------
iol_NextChar  equ  iol_EdFiZero+04     ; EVAL: Next Read Character               [+0080 +0080 +0080 +0080 +0080]
iol_LoopCntr  equ  iol_NextChar+04     ; EVAL: Read Loop Counter                 [+0084 +0084 +0084 +0084 +0084]
iol_ReadValu  equ  iol_LoopCntr+04     ; EVAL: Read Loop Value                   [+0088 +0088 +0088 +0088 +0088]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PartCntr  equ  iol_ReadValu+04     ; EVAL: Read Part Counter       DL1mat19  [+0092 +0092 +0092 +0092 +0092]
;*==============================================================================================================
;io_FloatSav  equ  iol_BEG+1024+896    ; STRC: fsave /frstor X87-State structure [#0896 #0896 #0896 #0896 #0896]
;*--------------------------------------------------------------------------------------------------------------
iol_X87EnCtr  equ  iol_BEG+1024+896    ; EVAL: <.|x:x:x:I:RC:PC|E:x:P:U:O:Z:D:I> [#0896 #0896 #0896 #0896 #0896]
iol_X87EnSta  equ  iol_X87EnCtr+04     ; EVAL: <.|B:3:Stk:2:1:0|I:x:P:U:O:Z:D:I> [+0004 +0004 +0004 +0004 +0004]
iol_X87EnTag  equ  iol_X87EnSta+04     ; EVAL: <.|T7 : T6:T5:T4|T3 :T2 : T1: T0> [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_X87EnEIP  equ  iol_X87EnTag+04     ; EVAL: fsave: < Intruction   Pointer >   [+0012 +0012 +0012 +0012 +0012]
iol_X87EnCod  equ  iol_X87EnEIP+04     ; EVAL: fsave: < Opcode     | CS      >   [+0016 +0016 +0016 +0016 +0016]
iol_X87EnEDP  equ  iol_X87EnCod+04     ; EVAL: fsave: < Data         Pointer >   [+0020 +0020 +0020 +0020 +0020]
iol_X87EnDat  equ  iol_X87EnEDP+04     ; EVAL: fsave: < reserved   | DS      >   [+0024 +0024 +0024 +0024 +0024]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_X87EnST0  equ  iol_X87EnDat+04     ; TEMP: fsave: X87-Environment ST0        [+0028 +0028 +0028 +0028 +0028]
iol_X87EnST1  equ  iol_X87EnST0+10     ; TEMP: fsave: X87-Environment ST1        [+0038 +0038 +0038 +0038 +0038]
iol_X87EnST2  equ  iol_X87EnST1+10     ; TEMP: fsave: X87-Environment ST1        [+0048 +0048 +0048 +0048 +0048]
iol_X87EnST3  equ  iol_X87EnST2+10     ; TEMP: fsave: X87-Environment ST1        [+0058 +0058 +0058 +0058 +0058]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_X87EnST4  equ  iol_X87EnST3+10     ; TEMP: fsave: X87-Environment ST1        [+0068 +0068 +0068 +0068 +0068]
iol_X87EnST5  equ  iol_X87EnST4+10     ; TEMP: fsave: X87-Environment ST1        [+0078 +0078 +0078 +0078 +0078]
iol_X87EnST6  equ  iol_X87EnST5+10     ; TEMP: fsave: X87-Environment ST1        [+0088 +0088 +0088 +0088 +0088]
iol_X87EnST7  equ  iol_X87EnST6+10     ; TEMP: fsave: X87-Environment ST1        [+0098 +0098 +0098 +0098 +0098]
;*--------------------------------------------------------------------------------------------------------------
iol_X87RNumb  equ  iol_X87EnST7+10     ; EVAL: fsave: X87-StackTOS  ( HFmRNumb ) [+0108 +0108 +0108 +0108 +0108]
iol_X87Stack  equ  iol_X87RNumb+10     ; EVAL: fsave: X87-StackTOS  ( X87EnCtr ) [+0112 +0112 +0112 +0112 +0112]
iol_X87TgOff  equ  iol_X87Stack+04     ; EVAL: fsave: X87-TagOffst  ( RNum+Stk ) [+0116 +0116 +0116 +0116 +0116]
iol_X87TgVal  equ  iol_X87TgOff+04     ; EVAL: fsave: X87-TagValue  ( X87EnTag ) [+0120 +0120 +0120 +0120 +0120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu2048  equ  iol_BEG+2048+000    ; XVAL: Values Part2 Non scaling Values ! [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_EventTyp  equ  iol_BEG+2048+000    ; EVAL: ANY_EVENT_EventType               [#0128 #0128 #0128 #0128 #0128]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_bKeyDown  equ  iol_EventTyp+04     ; EVAL: KEY_EVENT_bKeyDown                [+0004 +0004 +0004 +0004 +0004]
iol_RepCount  equ  iol_bKeyDown+04     ; EVAL: KEY_EVENT_wRepeatCnt              [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_VKeyCode  equ  iol_RepCount+04     ; EVAL: KEY_EVENT_wVirKeyCode             [+0012 +0012 +0012 +0012 +0012]
iol_VScnCode  equ  iol_VKeyCode+04     ; EVAL: KEY_EVENT_wVirScnCode             [+0016 +0016 +0016 +0016 +0016]
iol_UglyChar  equ  iol_VScnCode+04     ; EVAL: KEY_EVENT_uCharacters             [+0020 +0020 +0020 +0020 +0020]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_MousPosX  equ  iol_UglyChar+04     ; EVAL: MOUSE_EVN_smMousePosX             [+0024 +0024 +0024 +0024 +0024]
iol_MousPosY  equ  iol_MousPosX+04     ; EVAL: MOUSE_EVN_smMousePosY             [+0028 +0028 +0028 +0028 +0028]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_ButState  equ  iol_MousPosY+04     ; EVAL: MOUSE_EVN_dwButtState             [+0032 +0032 +0032 +0032 +0032]
iol_KeyState  equ  iol_ButState+04     ; EVAL: MOUSE_EVN_dwCKeyState             [+0036 +0036 +0036 +0036 +0036]
iol_EvnFlags  equ  iol_KeyState+04     ; EVAL: MOUSE_EVN_dwEventFlag             [+0040 +0040 +0040 +0040 +0040]
;*--------------------------------------------------------------------------------------------------------------
iol_InputFLT  equ  iol_BEG+2048+048    ; TEMP: Internal InputFLoaT Memory 16 Byt [+0048 +0048 +0048 +0048 +0048]
iol_InputMED  equ  iol_BEG+2048+064    ; ARRY: Internal InputMEDia Memory 64 Byt [+0064 +0064 +0064 +0064 +0064]
;*==============================================================================================================
;lt_ReadChar  equ  ilt_BEG+0000+064    ; STRC: Character Read                    [#0128 #0128 #0128 #0128 #0128]
;lt_INPREC06  equ  ilt_ReadChar+04     ; STRC:                                   [+0004 +0004 +0004 +0004 +0004]
;*==============================================================================================================
;lt_EventTyp  equ  ilt_BEG+0000+128    ; EVAL: ANY_EVENT_EventType               [#0128 #0128 #0128 #0128 #0128]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;lt_bKeyDown  equ  ilt_EventTyp+04     ; EVAL: KEY_EVENT_bKeyDown                [+0004 +0004 +0004 +0004 +0004]
;lt_RepCount  equ  ilt_bKeyDown+04     ; EVAL: KEY_EVENT_wRepeatCnt              [+0004 +0004 +0004 +0004 +0004]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;lt_VKeyCode  equ  ilt_RepCount+04     ; EVAL: KEY_EVENT_wVirKeyCode             [+0008 +0008 +0008 +0008 +0008]
;lt_VScnCode  equ  ilt_VKeyCode+04     ; EVAL: KEY_EVENT_wVirScnCode             [+0012 +0012 +0012 +0012 +0012]
;lt_UglyChar  equ  ilt_VScnCode+04     ; EVAL: KEY_EVENT_uCharacters             [+0016 +0016 +0016 +0016 +0016]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;lt_MousPosX  equ  ilt_UglyChar+04     ; EVAL: MOUSE_EVN_smMousePosX             [+0020 +0020 +0020 +0020 +0020]
;lt_MousPosY  equ  ilt_MousPosX+04     ; EVAL: MOUSE_EVN_smMousePosY             [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;lt_ButState  equ  ilt_MousPosY+04     ; EVAL: MOUSE_EVN_dwButtState             [+0028 +0028 +0028 +0028 +0028]
;lt_KeyState  equ  ilt_ButState+04     ; EVAL: MOUSE_EVN_dwCKeyState             [+0032 +0032 +0032 +0032 +0032]
;lt_EvnFlags  equ  ilt_KeyState+04     ; EVAL: MOUSE_EVN_dwEventFlag             [+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
;lt_LastChar  equ  ilt_EvnFlags+04     ; EVAL: Last  Character                   [+0016 +0016 +0016 +0016 +0016]
;lt_ReadChar  equ  ilt_LastChar+04     ; EVAL: Read  Character                   [+0020 +0020 +0020 +0020 +0020]
;lt_ReadFigr  equ  ilt_ReadChar+04     ; EVAL: Read  Figure                      [+0024 +0024 +0024 +0024 +0024]
;lt_WritChar  equ  ilt_ReadFigr+04     ; EVAL: Write Character                   [+0028 +0028 +0028 +0028 +0028]
;*==============================================================================================================
iol_CSBUINFO  equ  iol_BEG+2048+128    ; STRC: CONS_SCREEN_BUFF_INFO             [#0128 #0000 #0000 #0000 #0000]
;ol_CURSINF1  equ  iol_CSBUINFO+64     ; STRC: CONS_CURSOR_INFO Old              [+0064 +0064 +0064 +0064 +0064]
;ol_CURSINF2  equ  iol_CURSINF1+16     ; STRC: CONS_CURSOR_INFO New              [+0080 +0080 +0080 +0080 +0080]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_SMALRECT  equ  iol_BEG+2048+256    ; STRC: SMALL  _  RECTangle               [#0256 #0256 #0256 #0256 #0256]
iol_SCRLRECT  equ  iol_SMALRECT+08     ; STRC: SCRolL    Rectangle               [+0008 +0008 +0008 +0008 +0008]
iol_CLIPRECT  equ  iol_SCRLRECT+08     ; STRC: CLIPping  Rectangle               [+0016 +0016 +0016 +0016 +0016]
iol_WINDRECT  equ  iol_CLIPRECT+08     ; STRC: WINDow    RECTangle               [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_CURCOORD  equ  iol_WINDRECT+08     ; STRC: CURsor    COORDinates             [+0032 +0032 +0032 +0032 +0032]
iol_CHARINFO  equ  iol_CURCOORD+08     ; STRC: CHARacter INFOs                   [+0040 +0040 +0040 +0040 +0040]
;*--------------------------------------------------------------------------------------------------------------
iol_InModNew  equ  iol_CHARINFO+08     ; LVAL: SetConsoleMode dwMode             [+0048 +0048 +0048 +0048 +0048]
iol_InModOld  equ  iol_InModNew+16     ; LVAL: GetConsoleMode dwMode             [+0064 +0064 +0064 +0064 +0064]
iol_InModTst  equ  iol_InModOld+16     ; LVAL: GetConsoleMode dwMode             [+0080 +0080 +0080 +0080 +0080]
;*==============================================================================================================
iol_INPREC01  equ  iol_BEG+2048+384    ; STRC: INPUT_RECORD_01                   [#0384 #0384 #0384 #0384 #0384]
iol_INPREC02  equ  iol_INPREC01+20     ; STRC: INPUT_RECORT_02                   [+0020 +0020 +0020 +0020 +0020]
iol_INPREC03  equ  iol_INPREC02+20     ; STRC: INPUT_RECORT_03                   [+0040 +0040 +0040 +0040 +0040]
iol_INPREC04  equ  iol_INPREC03+20     ; STRC: INPUT_RECORT_04                   [+0060 +0060 +0060 +0060 +0060]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_CURINF01  equ  iol_INPREC04+20     ; STRC: CONSOLE_CURSOR_INFO_1             [+0080 +0080 +0080 +0080 +0080]
iol_CURINF02  equ  iol_CURINF01+08     ; STRC: CONSOLE_CURSOR_INFO_2             [+0088 +0088 +0088 +0088 +0088]
iol_CURINF03  equ  iol_CURINF02+08     ; STRC: CONSOLE_CURSOR_INFO_3             [+0096 +0096 +0096 +0096 +0096]
iol_CURINF04  equ  iol_CURINF03+08     ; STRC: CONSOLE_CURSOR_INFO_4             [+0104 +0104 +0104 +0104 +0104]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_CHRINF01  equ  iol_CURINF04+08     ; STRC: CHAR_INFO_1                       [+0112 +0112 +0112 +0112 +0112]
;ol_CHRINF02  equ  iol_CHRINF01+04     ; STRC: CHAR_INFO_2                       [+0116 +0116 +0116 +0116 +0116]
;ol_CHRINF03  equ  iol_CHRINF02+04     ; STRC: CHAR_INFO_3                       [+0120 +0120 +0120 +0120 +0120]
;ol_CHRINF04  equ  iol_CHRINF03+04     ; STRC: CHAR_INFO_4                       [+0124 +0124 +0124 +0124 +0124]
;*==============================================================================================================
iol_QuadVAL0  equ  iol_BEG+2048+512    ; QINT: MyVa2Res  Auxilliary QuadVALU0 16 [#0512 #0512 #0512 #0512 #0512]
iol_QuadVAL1  equ  iol_QuadVAL0+16     ; QINT: MyVa2Res  Auxilliary QuadVALU1 16 [+0016 +0016 +0016 +0016 +0016]
iol_QuadVAL2  equ  iol_QuadVAL1+16     ; QINT: MyVa2Res  Auxilliary QuadVALU2 16 [+0032 +0032 +0032 +0032 +0032]
iol_QuadVAL3  equ  iol_QuadVAL2+16     ; QINT: MyVa2Res  Auxilliary QuadVALU3 16 [+0048 +0048 +0048 +0048 +0048]
;*==============================================================================================================
iol_TempVAL0  equ  iol_BEG+2048+512    ; QINT: MyVa2Res  Auxilliary QuadVALU0 16 [#0512 #0512 #0512 #0512 #0512]
iol_TempVAL1  equ  iol_TempVAL0+16     ; QINT: MyVa2Res  Auxilliary QuadVALU1 16 [+0016 +0016 +0016 +0016 +0016]
iol_TempVAL2  equ  iol_TempVAL1+16     ; QINT: MyVa2Res  Auxilliary QuadVALU2 16 [+0032 +0032 +0032 +0032 +0032]
iol_TempVAL3  equ  iol_TempVAL2+16     ; QINT: MyVa2Res  Auxilliary QuadVALU3 16 [+0048 +0048 +0048 +0048 +0048]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_T1LdBase  equ  iol_TempVAL3+16     ; QVAL: MyAnaVal  LDua(Base) TempVALUe 16 [+0064 +0064 +0064 +0064 +0064]
iol_TempVALU  equ  iol_T1LdBase+16     ; QVAL: MyAnaVAl  Auxilliary TempVALUe 16 [+0080 +0080 +0080 +0080 +0080]
;*--------------------------------------------------------------------------------------------------------------
iol_LongVALU  equ  iol_BEG+2048+640    ; PVAL: MyAnaVal  Auxilliary LongVALUe 64 [#0640 #0640 #0640 #0640 #0640]
iol_LDuaMult  equ  iol_LongVALU+64     ; PVAL: LogDualis [IValBase] Multiplys 64 [+0064 +0064 +0064 +0064 +0064]
;*==============================================================================================================
iol_MEMOINFO  equ  iol_BEG+2048+768    ; STRC: Virtual Query MEMOry INFO struct  [#0768 #0768 #0768 #0768 #0768]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu3072  equ  iol_BEG+3072+000    ; XVAL: Values Part3 Non scaling Values ! [%3072 %3072 %3072 %3072 %3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_EvNASOFF  equ  iol_BEG+3072+000    ; EVAL: NAme Stop OFFset                  [%2048 %2048 %2048 %2048 %2048]
iol_EvNASCNT  equ  iol_EvNASOFF+04     ; EVAL: NAme Stop CouNTer                 [+0004 +0004 +0004 +0004 +0004]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_EvDASOFF  equ  iol_EvNASCNT+04     ; EVAL: DAta Stop OFFset                  [+0008 +0008 +0008 +0008 +0008]
iol_EvDASCNT  equ  iol_EvDASOFF+04     ; EVAL: DAta Stop CouNTer                 [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_EvBASFND  equ  iol_EvDASCNT+04     ; EVAL: Valu BASe FouND                   [+0016 +0016 +0016 +0016 +0016]
;*==============================================================================================================
iol_RqSgnRaw  equ  iol_BEG+3072+128    ; EVAL: Dble QUAD Regs Sign     Raw       [+0032 %2048 %2048 %2048 %2048]
iol_RqExpRaw  equ  iol_RqSgnRaw+04     ; EVAL: Dble QUAD Regs Exponent Raw       [+0004 +0004 +0004 +0004 +0004]
iol_RqExpVal  equ  iol_RqExpRaw+04     ; EVAL: Dble QUAD Regs Exponent Value     [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_R0FrcRaw  equ  iol_RqExpVal+04     ; EVAL: Dble QUAD Regs Fraction (0) Value [+0004 +0004 +0004 +0004 +0004]
iol_R1FrcVal  equ  iol_R0FrcRaw+04     ; EVAL: Dble QUAD Regs Fraction (1) Value [+0004 +0004 +0004 +0004 +0004]
iol_R2FrcVal  equ  iol_R1FrcVal+04     ; EVAL: Dble QUAD Regs Fraction (2) Value [+0004 +0004 +0004 +0004 +0004]
iol_R3FrcVal  equ  iol_R2FrcVal+04     ; EVAL: Dble QUAD Regs Fraction (3) Value [+0004 +0004 +0004 +0004 +0004]
iol_R4FrcVal  equ  iol_R3FrcVal+04     ; EVAL: Dble QUAD Regs Fraction (4) Value [+0004 +0004 +0004 +0004 +0004]
;*--------------------------------------------------------------------------------------------------------------
iol_HiSgnRaw  equ  iol_R4FrcVal+04     ; EVAL: Dble QUAD High Sign     Raw       [%2048 %2048 %2048 %2048 %2048]
iol_HiExpRaw  equ  iol_HiSgnRaw+04     ; EVAL: Dble QUAD High Exponent Raw       [+0004 +0004 +0004 +0004 +0004]
iol_HiExpVal  equ  iol_HiExpRaw+04     ; EVAL: Dble QUAD High Exponent Value     [+0008 +0008 +0008 +0008 +0008]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_H0FrcRaw  equ  iol_HiExpVal+04     ; EVAL: Dble QUAD High Fraction (0) Raw   [+0012 +0012 +0012 +0012 +0012]
iol_H1FrcVal  equ  iol_H0FrcRaw+04     ; EVAL: Dble QUAD High Fraction (1) Value [+0016 +0016 +0016 +0016 +0016]
iol_H2FrcVal  equ  iol_H1FrcVal+04     ; EVAL: Dble QUAD High Fraction (2) Value [+0020 +0020 +0020 +0020 +0020]
iol_H3FrcVal  equ  iol_H2FrcVal+04     ; EVAL: Dble QUAD High Fraction (3) Value [+0024 +0024 +0024 +0024 +0024]
iol_H4FrcVal  equ  iol_H3FrcVal+04     ; EVAL: Dble QUAD High Fraction (4) Value [+0028 +0028 +0028 +0028 +0028]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_LoSgnRaw  equ  iol_H4FrcVal+04     ; EVAL: Dble QUAD Low  Sign     Raw       [+0032 %2048 %2048 %2048 %2048]
iol_LoExpRaw  equ  iol_LoSgnRaw+04     ; EVAL: Dble QUAD Low  Exponent Raw       [+0004 +0004 +0004 +0004 +0004]
iol_LoExpVal  equ  iol_LoExpRaw+04     ; EVAL: Dble QUAD Low  Exponent Value     [+0008 +0008 +0008 +0008 +0008]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_L0FrcRaw  equ  iol_LoExpVal+04     ; EVAL: Dble QUAD Low  Fraction (0) Raw   [+0004 +0004 +0004 +0004 +0004]
iol_L1FrcVal  equ  iol_L0FrcRaw+04     ; EVAL: Dble QUAD Low  Fraction (1) Value [+0004 +0004 +0004 +0004 +0004]
iol_L2FrcVal  equ  iol_L1FrcVal+04     ; EVAL: Dble QUAD Low  Fraction (2) Value [+0004 +0004 +0004 +0004 +0004]
iol_L3FrcVal  equ  iol_L2FrcVal+04     ; EVAL: Dble QUAD Low  Fraction (3) Value [+0004 +0004 +0004 +0004 +0004]
iol_L4FrcVal  equ  iol_L3FrcVal+04     ; EVAL: Dble QUAD Low  Fraction (4) Value [+0004 +0004 +0004 +0004 +0004]
;*--------------------------------------------------------------------------------------------------------------
iol_A1FrcVal  equ  iol_L4FrcVal+04     ; EVAL: Dble QUAD Add  Fraction (1) Value [+0004 +0004 +0004 +0004 +0004]
iol_A2FrcVal  equ  iol_A1FrcVal+04     ; EVAL: Dble QUAD Add  Fraction (2) Value [+0004 +0004 +0004 +0004 +0004]
iol_A3FrcVal  equ  iol_A2FrcVal+04     ; EVAL: Dble QUAD Add  Fraction (3) Value [+0004 +0004 +0004 +0004 +0004]
iol_A4FrcVal  equ  iol_A3FrcVal+04     ; EVAL: Dble QUAD Add  Fraction (4) Value [+0004 +0004 +0004 +0004 +0004]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_FirstOne  equ  iol_A4FrcVal+04     ; EVAL: Dble QUAD Bits First One    Found [+0004 +0004 +0004 +0004 +0004]
iol_FirstNul  equ  iol_FirstOne+04     ; EVAL: Dble QUAD Bits First Null   Found [+0004 +0004 +0004 +0004 +0004]
;*==============================================================================================================

;###############################################################################################################
;*n_BEG       equ  pcn_StArg016+LVSZ   ; PARA: Process.Console.Newlin_BEGin offs [00064 00128 00256 00512 01024]
;*n_LNG       equ  pcn_BEG+0000+0512   ; PARA: Process.Console.Newlin_LoNG  offs [+0512 +0512 +0512 +0512 +0512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_CLIPRECT  equ  iol_BEG+3072+256    ; STRC: Memory  CLIPping  RECT            [+0032 +0032 +0032 +0032 +0032]
;ol_SCRLRECT  equ  iol_CLIPRECT+08     ; STRC: Memory  SCRoLl    RECT            [+0040 +0040 +0040 +0040 +0040]
;ol_WINDRECT  equ  iol_SCRLRECT+08     ; STRC: Memory  WINdow    RECT            [+0048 +0048 +0048 +0048 +0048]
;ol_CHARINFO  equ  iol_WINDRECT+08     ; STRC: Memory  CHARacter INFO            [+0056 +0056 +0056 +0056 +0056]
;ol_CURCOORD  equ  iol_CHARINFO+08     ; STRC: Memory  CURsor    COORDinates     [+0064 +0064 +0064 +0064 +0064]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_G1BufWdt  equ  iol_BEG+3072+384    ; EVAL: Get(1) Console Buffer Width       [#0128 #0128 #0128 #0128 #0128]
iol_G1BufHgt  equ  iol_G1BufWdt+04     ; EVAL: Get(1) Console Buffer Height      [+0004 +0004 +0004 +0004 +0004]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_G1BufWM1  equ  iol_G1BufHgt+04     ; EVAL: Get(1) Console Buffer Width Min1  [+0008 +0008 +0008 +0008 +0008]
iol_G1BufHM1  equ  iol_G1BufWM1+04     ; EVAL: Get(1) Console Buffer HeightMin1  [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_G1WinWdt  equ  iol_G1BufHM1+04     ; EVAL: Get(1) Console Window Width       [+0016 +0016 +0016 +0016 +0016]
iol_G1WinHgt  equ  iol_G1WinWdt+04     ; EVAL: Get(1) Console Window Height      [+0020 +0020 +0020 +0020 +0020]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_G1WinWM1  equ  iol_G1WinHgt+04     ; EVAL: Get(1) Console Window Width Min1  [+0024 +0024 +0024 +0024 +0024]
iol_G1WinHM1  equ  iol_G1WinWM1+04     ; EVAL: Get(1) Console Window HeightMin1  [+0028 +0028 +0028 +0028 +0028]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_G1WinLft  equ  iol_G1WinHM1+04     ; EVAL: Get(1) Console Window Left        [+0032 +0032 +0032 +0032 +0032]
iol_G1WinTop  equ  iol_G1WinLft+04     ; EVAL: Get(1) Console Window Top         [+0036 +0036 +0036 +0036 +0036]
iol_G1WinRgt  equ  iol_G1WinTop+04     ; EVAL: Get(1) Console Window Right       [+0040 +0040 +0040 +0040 +0040]
iol_G1WinBot  equ  iol_G1WinRgt+04     ; EVAL: Get(1) Console Window Bottom      [+0044 +0044 +0044 +0044 +0044]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_G1MaxWdt  equ  iol_G1WinBot+04     ; EVAL: Get(1) Maximal Window Width       [+0048 +0048 +0048 +0048 +0048]
iol_G1MaxHgt  equ  iol_G1MaxWdt+04     ; EVAL: Get(1) Maximal Window Height      [+0052 +0052 +0052 +0052 +0052]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_G1CurPXB  equ  iol_G1MaxHgt+04     ; EVAL: Get(1) CursorPosition X In Buffer [+0056 +0056 +0056 +0056 +0056]
iol_G1CurPYB  equ  iol_G1CurPXB+04     ; EVAL: Get(1) CursorPosition Y In Buffer [+0060 +0060 +0060 +0060 +0060]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_G1Attrib  equ  iol_G1CurPYB+04     ; EVAL: Get(1) Console Attribute          [+0064 +0064 +0064 +0064 +0064]
iol_G1Resrvd  equ  iol_G1Attrib+04     ; EVAL: Get(1) Console Reserved           [+0068 +0068 +0068 +0068 +0068]
;*--------------------------------------------------------------------------------------------------------------
iol_G1FreWdt  equ  iol_G1Resrvd+04     ; EVAL: Get(1) Console Free Buffer Width  [+0072 +0072 +0072 +0072 +0072]
iol_G1FreHgt  equ  iol_G1FreWdt+04     ; EVAL: Get(1) Console Free Buffer Height [+0076 +0076 +0076 +0076 +0076]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_G1FreBot  equ  iol_G1FreHgt+04     ; EVAL: Get(1) Console Free Buffer Bottom [+0080 +0080 +0080 +0080 +0080]
iol_G1FreShf  equ  iol_G1FreBot+04     ; EVAL: Get(1) Console Free Window Shifts [+0084 +0084 +0084 +0084 +0084]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_G1BufScr  equ  iol_G1FreShf+04     ; EVAL: Get(1) Console Buff Scroll DeltaY [+0088 +0088 +0088 +0088 +0088]
iol_G1WinShf  equ  iol_G1BufScr+04     ; EVAL: Get(1) Console Wind Shifts DeltaY [+0092 +0092 +0092 +0092 +0092]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_S1CurPXN  equ  iol_G1WinShf+04     ; EVAL: Set(1) CursorPosition XNew Buffer [+0096 +0096 +0096 +0096 +0096]
iol_S1CurPYN  equ  iol_S1CurPXN+04     ; EVAL: Set(1) CursorPosition YNew Buffer [+0100 +0100 +0100 +0100 +0100]
;*--------------------------------------------------------------------------------------------------------------
iol_G1CurPXW  equ  iol_S1CurPYN+04     ; EVAL: Get(1) CursorPosition X In Window [+0104 +0104 +0104 +0104 +0104]
iol_G1CurPYW  equ  iol_G1CurPXW+04     ; EVAL: Get(1) CursorPosition Y In Window [+0108 +0108 +0108 +0108 +0108]
;*==============================================================================================================
iol_G2BufWdt  equ  iol_BEG+3072+512    ; EVAL: Get(2) Console Buffer Width       [#0256 #0256 #0256 #0256 #0256]
iol_G2BufHgt  equ  iol_G2BufWdt+04     ; EVAL: Get(2) Console Buffer Height      [+0004 +0004 +0004 +0004 +0004]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_G2BufWM1  equ  iol_G2BufHgt+04     ; EVAL: Get(2) Console Buffer Width Min1  [+0008 +0008 +0008 +0008 +0008]
iol_G2BufHM1  equ  iol_G2BufWM1+04     ; EVAL: Get(2) Console Buffer HeightMin1  [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_G2WinWdt  equ  iol_G2BufHM1+04     ; EVAL: Get(2) Console Window Width       [+0016 +0016 +0016 +0016 +0016]
iol_G2WinHgt  equ  iol_G2WinWdt+04     ; EVAL: Get(2) Console Window Height      [+0020 +0020 +0020 +0020 +0020]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_G2WinWM1  equ  iol_G2WinHgt+04     ; EVAL: Get(2) Console Window Width Min1  [+0024 +0024 +0024 +0024 +0024]
iol_G2WinHM1  equ  iol_G2WinWM1+04     ; EVAL: Get(2) Console Window HeightMin1  [+0028 +0028 +0028 +0028 +0028]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_G2WinLft  equ  iol_G2WinHM1+04     ; EVAL: Get(2) Console Window Left        [+0032 +0032 +0032 +0032 +0032]
iol_G2WinTop  equ  iol_G2WinLft+04     ; EVAL: Get(2) Console Window Top         [+0036 +0036 +0036 +0036 +0036]
iol_G2WinRgt  equ  iol_G2WinTop+04     ; EVAL: Get(2) Console Window Right       [+0040 +0040 +0040 +0040 +0040]
iol_G2WinBot  equ  iol_G2WinRgt+04     ; EVAL: Get(2) Console Window Bottom      [+0044 +0044 +0044 +0044 +0044]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_G2MaxWdt  equ  iol_G2WinBot+04     ; EVAL: Get(2) Maximal Window Width       [+0048 +0048 +0048 +0048 +0048]
iol_G2MaxHgt  equ  iol_G2MaxWdt+04     ; EVAL: Get(2) Maximal Window Height      [+0052 +0052 +0052 +0052 +0052]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_G2CurPXB  equ  iol_G2MaxHgt+04     ; EVAL: Get(2) CursorPosition X In Buffer [+0056 +0056 +0056 +0056 +0056]
iol_G2CurPYB  equ  iol_G2CurPXB+04     ; EVAL: Get(2) CursorPosition Y In Buffer [+0060 +0060 +0060 +0060 +0060]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_G2Attrib  equ  iol_G2CurPYB+04     ; EVAL: Get(2) Console Attribute          [+0064 +0064 +0064 +0064 +0064]
iol_G2Resrvd  equ  iol_G2Attrib+04     ; EVAL: Get(2) Console Reserved           [+0068 +0068 +0068 +0068 +0068]
;*--------------------------------------------------------------------------------------------------------------
iol_G2FreWdt  equ  iol_G2Resrvd+04     ; EVAL: Get(2) Console Free Buffer Width  [+0072 +0072 +0072 +0072 +0072]
iol_G2FreHgt  equ  iol_G2FreWdt+04     ; EVAL: Get(2) Console Free Buffer Height [+0076 +0076 +0076 +0076 +0076]
;*==============================================================================================================
;ol_CSBUINFO  equ  iol_BEG+3072+640    ; STRC: CONSOLE_SCREEN_BUFFER_INFO        [#0352 #0352 #0352 #0352 #0352]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* _G1wSizeX  equ  000+00000000        ; WVAL: Buffer  Size  X             SHORT [00000 00000 00000 00000 00000]
;* _G1wSizeY  equ  CBI_G1wSizeX+02     ; WVAL: Buffer  Size  Y             SHORT [+0002 +0002 +0002 +0002 +0002]
;* _G1CurPoX  equ  CBI_G1wSizeY+02     ; WVAL: Cursor  Position X          SHORT [+0004 +0004 +0004 +0004 +0004]
;* _G1CurPoY  equ  CBI_G1CurPoX+02     ; WVAL: Cursor  Position Y          SHORT [+0006 +0006 +0006 +0006 +0006]
;* _G1Attrib  equ  CBI_G1CurPoY+02     ; WVAL: Console Attributes          WORD  [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* _G1WinLft  equ  CBI_G1Attrib+02     ; WVAL: Console Window Left         SHORT [+0010 +0010 +0010 +0010 +0010]
;* _G1WinTop  equ  CBI_G1WinLft+02     ; WVAL: Console Window Top          SHORT [+0012 +0012 +0012 +0012 +0012]
;* _G1WinRgt  equ  CBI_G1WinTop+02     ; WVAL: Console Window Right        SHORT [+0014 +0014 +0014 +0014 +0014]
;* _G1WinBot  equ  CBI_G1WinRgt+02     ; WVAL: Console Window Bottom       SHORT [+0016 +0016 +0016 +0016 +0016]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* _MxWnSizX  equ  CBI_G1WinBot+02     ; WVAL: Maximum Window Size X       SHORT [+0018 +0018 +0018 +0018 +0018]
;* _MxWnSizY  equ  CBI_MxWnSizX+02     ; WVAL: Maximum Window Size Y       SHORT [+0020 +0020 +0020 +0020 +0020]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* _CSBUINFO  equ  CBI_MxWnSizY+02     ; SIZE: CONSOLE_SCREEN_BUFFER_INFO  PARAM [+0022 +0022 +0022 +0022 +0022]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;cn_BvVALUE0  equ  pcn_BEG+0000+384    ; BYTE: INTEGER*01  BV  VALUE 0     BCST  [#0384 #0384 #0384 #0384 #0384]
;cn_BvVALUE1  equ  pcn_BvVALUE0+01     ; BVAL: INTEGER*01  BV  VALUE 1     BCST  [+0001 +0001 +0001 +0001 +0001]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;cn_WvVALUE2  equ  pcn_BvVALUE1+01     ; WVAL: INTEGER*02  WV  VALUE 2     WCST  [+0002 +0002 +0002 +0002 +0002]
;cn_EvVALUE3  equ  pcn_WvVALUE2+02     ; EVAL: INTEGER*04  EV  VALUE 3     ECST  [+0004 +0004 +0004 +0004 +0004]
;cn_RvVALUE4  equ  pcn_EvVALUE3+04     ; RVAL: INTEGER*08  RV  VALUE 4     RCST  [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;cn_QvVALUE5  equ  pcn_RvVALUE4+08     ; QVAL: INTEGER*16  QV  VALUE 5     QCST  [+0016 +0016 +0016 +0016 +0016]
;cn_GvVALUE6  equ  pcn_QvVALUE5+16     ; GVAL: INTEGER*32  GV  VALUE 6     GCST  [+0032 +0032 +0032 +0032 +0032]
;cn_PvVALUE7  equ  pcn_GvVALUE6+32     ; PVAL: INTEGER*64  PV  VALUE 7     PCST  [+0064 +0064 +0064 +0064 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;cn_LvVALUE8  equ  pcn_PvVALUE7+64     ; LVAL: INTEGER*64  LV  VALUE 8     LCST  [+0128 +0128 +0128 +0128 +0128]
;cn_PnVALUE9  equ  pcn_LvVALUE8+64     ; PNTR: INTEGER*64  LV  VALUE 9     LCST  [+0192 +0192 +0192 +0192 +0192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;cn_Valu1024  equ  pcn_BEG+1024+000    ; XVAL: Value Part1 Non scaling Values !  [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;cn_Valu2048  equ  pcn_BEG+2048+000    ; XVAL: Value Part2 Non scaling Values !  [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;#                                     ; LONG: Part  start                       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;cn_SFTopPtr  equ  pcn_LNG+LVSZ*0000   ; PNTR: Local! Stack Frame TopLAX Pointer [#0000 #0000 #0000 #0000 #0000]
;cn_SFBotPtr  equ  pcn_SFTopPtr+LVSZ   ; PNTR: Local! Stack Frame Bottom Pointer [+0004 +0008 +0016 +0032 +0064]
;cn_SFMidPtr  equ  pcn_SFBotPtr+LVSZ   ; PNTR: Local! Stack Frame Middle Pointer [+0008 +0016 +0032 +0064 +0128]
;*==============================================================================================================
;cn_MbInpLCX  equ  pcn_SFMidPtr+LVSZ   ; LVAL: General (FastCall) Input LCX  001 [+0012 +0024 +0048 +0096 +0192]
;cn_MbInpLDX  equ  pcn_MbInpLCX+LVSZ   ; LVAL: General (FastCall) Input LDX  002 [+0016 +0032 +0064 +0128 +0256]
;cn_MbInpL08  equ  pcn_MbInpLDX+LVSZ   ; LVAL: General (FastCall) Input L08  003 [+0020 +0040 +0080 +0160 +0320]
;cn_MbInpL09  equ  pcn_MbInpL08+LVSZ   ; LVAL: General (FastCall) Input L09  004 [+0024 +0048 +0096 +0192 +0384]
;cn_MbInpLAX  equ  pcn_MbInpL09+LVSZ   ; LVAL: General (FastCall) Input LAX  005 [+0028 +0056 +0112 +0224 +0448]
;*--------------------------------------------------------------------------------------------------------------
;cn_MbContrl  equ  pcn_MbInpLAX+LVSZ   ; LVAL: MssgBox Control<1IA USN ????> 006 [+0032 +0064 +0128 +0256 +0512]
;cn_MbBoxTit  equ  pcn_MbContrl+LVSZ   ; PNTR: MssgBox TitleString           007 [+0036 +0072 +0144 +0288 +0576]
;cn_MbHlgFil  equ  pcn_MbBoxTit+LVSZ   ; PNTR: MssgBox HighLanguage FileName 008 [+0040 +0080 +0160 +0320 +0640]
;cn_MbHlgFun  equ  pcn_MbHlgFil+LVSZ   ; PNTR: MssgBox HighLanguage FuncName 009 [+0044 +0088 +0176 +0352 +0704]
;cn_MbHlgLin  equ  pcn_MbHlgFun+LVSZ   ; LVAL: MssgBox HighLanguage LineNumb 010 [+0048 +0096 +0192 +0384 +0768]
;cn_MbParent  equ  pcn_MbHlgLin+LVSZ   ; HNDL: MssgBox DialogWindow hWParent 011 [+0052 +0104 +0208 +0416 +0832]
;*--------------------------------------------------------------------------------------------------------------
;cn_JqCONTRL  equ  pcn_MbParent+LVSZ   ; LVAL: Jnp|Qut CONTRoL<1IA USN ????> 012 [+0056 +0112 +0224 +0448 +0896]
;cn_JqCONNUM  equ  pcn_JqCONTRL+LVSZ   ; LVAL: Jnp|Qut CONsole NUMber  0...9 013 [+0060 +0120 +0240 +0480 +0960]
;cn_JqCMUTEX  equ  pcn_JqCONNUM+LVSZ   ; PNTR: Jnp|Qut Console MUTualEXclude 014 [+0064 +0128 +0256 +0512 +1024]
;cn_JqWCOHND  equ  pcn_JqCMUTEX+LVSZ   ; HNDL: Jnp|Qut WritOut COnsoleHaNDle 015 [+0068 +0136 +0272 +0544 +1088]
;cn_JqRCOHND  equ  pcn_JqWCOHND+LVSZ   ; HNDL: Jnp|Qut ReadInp COnsoleHaNDle 016 [+0072 +0144 +0288 +0576 +1152]
;cn_JqHEXFMT  equ  pcn_JqRCOHND+LVSZ   ; LVAL: Jnp|Qut HEXaFMT <BLe:Rg:CSF>h 017 [+0076 +0152 +0304 +0608 +1216]
;***************************************************************************************************************
;cn_JqNACTRL  equ  pcn_JqHEXFMT+LVSZ   ; LVAL: Jnp|Qut NAmCTRL<1IA USN PrBF> 018 [+0080 +0160 +0320 +0640 +1280]
;cn_JqNABSIZ  equ  pcn_JqNACTRL+LVSZ   ; LVAL: Jnp|Qut NAme:   Byte    SIZe  019 [+0084 +0168 +0336 +0672 +1344]
;cn_JqNABCNT  equ  pcn_JqNABSIZ+LVSZ   ; LVAL: Jnp|Qut NAme:   Begin CouNTer 020 [+0088 +0176 +0352 +0704 +1408]
;cn_JqNAECNT  equ  pcn_JqNABCNT+LVSZ   ; LVAL: Jnp|Qut NAme:   End   CouNTer 021 [+0092 +0184 +0368 +0736 +1472]
;cn_JqNASOFF  equ  pcn_JqNAECNT+LVSZ   ; PNTR: Jnp|Qut NAme:   Stop  OFFsets 022 [+0096 +0192 +0384 +0768 +1536]
;cn_JqNASCNT  equ  pcn_JqNASOFF+LVSZ   ; PNTR: Jnp|Qut NAme:   Stop  CouNTer 023 [+0100 +0200 +0400 +0800 +1600]
;*--------------------------------------------------------------------------------------------------------------
;cn_JqDACTRL  equ  pcn_JqNASCNT+LVSZ   ; LVAL: Jnp|Qut DAtCTRL<1LA USN EMCT> 024 [+0104 +0208 +0416 +0832 +1664]
;cn_JqDABSIZ  equ  pcn_JqDACTRL+LVSZ   ; LVAL: Jnp|Qut DAta:   Byte    SIZe  025 [+0108 +0216 +0432 +0864 +1728]
;cn_JqDABCNT  equ  pcn_JqDABSIZ+LVSZ   ; LVAL: Jnp|Qut DAta:   Begin CouNTer 026 [+0112 +0224 +0448 +0896 +1792]
;cn_JqDAECNT  equ  pcn_JqDABCNT+LVSZ   ; LVAL: Jnp|Qut DAta:   End   CouNTer 027 [+0116 +0232 +0464 +0928 +1856]
;cn_JqDASOFF  equ  pcn_JqDAECNT+LVSZ   ; PNTR: Jnp|Qut DAta:   Stop  OFFsets 028 [+0120 +0240 +0480 +0960 +1920]
;cn_JqDASCNT  equ  pcn_JqDASOFF+LVSZ   ; PNTR: Jnp|Qut DAta:   Stop  CouNTer 029 [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
;cn_JqDATLEN  equ  pcn_JqDASCNT+LVSZ   ; LVAL: Jnp|Qut DATa:   window LENgth 030 [+0128 +0256 +0512 +1024 +2048]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;cn_JqPR0RES  equ  pcn_JqDATLEN+LVSZ   ; PNTR: Jnp|Qut PRec<0> RESult        031 [+0132 +0264 +0528 +1056 +2112]
;cn_JqPR1ARG  equ  pcn_JqDATLEN+LVSZ   ; PNTR: Jnp|Qut PRec<1> ARGument      031 [+0132 +0264 +0528 +1056 +2112]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;cn_JqIA1FMT  equ  pcn_JqPR1ARG+LVSZ   ; LVAL: Jnp|Qut IntArg1 ForMaT SLnWsh 032 [+0136 +0272 +0544 +1088 +2176]
;cn_JqIA2FMT  equ  pcn_JqIA1FMT+LVSZ   ; LVAL: Jnp|Qut IntArg2 ForMaT FCnWsh 033 [+0140 +0280 +0560 +1120 +2240]
;cn_JqBASWSH  equ  pcn_JqIA2FMT+LVSZ   ; LVAL: Jnp|Qut IVaBASe WiSHed 02..36 034 [+0144 +0288 +0576 +1152 +2304]
;cn_JqBASFND  equ  pcn_JqBASWSH+LVSZ   ; PNTR: Jnp|Qut IVaBASe Found         035 [+0148 +0296 +0592 +1184 +2368]
;*--------------------------------------------------------------------------------------------------------------
;cn_JqDASTRG  equ  pcn_JqBASFND+LVSZ   ; PNTR: Jnp|Qut DAta:   STRinG        036 [+0152 +0304 +0608 +1216 +2432]
;cn_JqNASTRG  equ  pcn_JqDASTRG+LVSZ   ; PNTR: Jnp|Qut NAme:   STRinG        037 [+0156 +0312 +0624 +1248 +2496]
;*==============================================================================================================
;cn_EqNASOFF  equ  pcn_JqNASTRG+LVSZ   ; EVAL: Jnp|Qut NAme:   Stop OFFset   040 [+0160 +0320 +0640 +1280 +2560]
;cn_EqNASCNT  equ  pcn_EqNASOFF+LVSZ   ; EVAL: Jnp|Qut NAme:   Stop CouNTer  041 [+0164 +0328 +0656 +1312 +2624]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;cn_EqDASOFF  equ  pcn_EqNASCNT+LVSZ   ; EVAL: Jnp|Qut DAta:   Stop OFFset   042 [+0168 +0336 +0672 +1344 +2688]
;cn_EqDASCNT  equ  pcn_EqDASOFF+LVSZ   ; EVAL: Jnp|Qut DAta:   Stop CouNTer  043 [+0172 +0344 +0688 +1376 +2752]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;cn_EqPR0RES  equ  pcn_EqDASCNT+LVSZ   ; EVAL: Jnp|Qut PRec<0> RESult        044 [+0176 +0352 +0704 +1408 +2816]
;cn_EqPR1ARG  equ  pcn_EqPR0RES+LVSZ   ; EVAL: Jnp|Qut PRec<1> ARGument      045 [+0180 +0360 +0720 +1440 +2880]
;cn_EqPR2ARG  equ  pcn_EqPR1ARG+LVSZ   ; EVAL: Jnp|Qut PRec<2> ARGument      046 [+0184 +0368 +0736 +1472 +2944]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;cn_EqBASFND  equ  pcn_EqPR2ARG+LVSZ   ; EVAL: Jnp|Qut IVaBASe Found         047 [+0188 +0376 +0752 +1504 +3008]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;cn_ChToWrit  equ  pcn_LNG+LVSZ*0044   ; LVAL: Write Console Characters ToWrite  [+0008 +0016 +0032 +0064 +0128]
;cn_ChrsWrit  equ  pcn_ChToWrit+LVSZ   ; LVAL: Write Console Characters Written  [+0012 +0024 +0048 +0096 +0192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;cn_ChWrPntr  equ  pcn_ChrsWrit+LVSZ   ; LVAL: Write Console Characters Written  [+0012 +0024 +0048 +0096 +0192]
;cn_Reserved  equ  pcn_ChWrPntr+LVSZ   ; LVAL: Write Console Characters Written  [+0012 +0024 +0048 +0096 +0192]
;###############################################################################################################
;cn_STRCSIZE  equ  pcn_LNG+LVSZ*0048   ; PARA: Internal StackFrame Structure END [#0192 #0384 #0768 #1536 #3072]
;###############################################################################################################
;CN_StackLAX  equ  000+00000000+0000   ; LVAL: External StackFrame Register: LAX [00000 00000 00000 00000 00000]
;CN_StackLDX  equ  PCN_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
;CN_StackLCX  equ  PCN_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;CN_StackLDI  equ  PCN_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
;CN_StackLSI  equ  PCN_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;CN_StackLBX  equ  PCN_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;CN_StackLBP  equ  PCN_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;CN_StackL12  equ  PCN_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;CN_StackL13  equ  PCN_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;CN_StackL14  equ  PCN_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;CN_StackL15  equ  PCN_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;CN_StackLIP  equ  PCN_StackLBP+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_BvVALUE0  equ  iol_BEG+3072+768    ; BYTE: INTEGER*01  BV  VALUE 0     BCST  [#0768 #0768 #0768 #0768 #0768]
;ol_BvVALUE1  equ  iol_BvVALUE0+01     ; BVAL: INTEGER*01  BV  VALUE 1     BCST  [+0001 +0001 +0001 +0001 +0001]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_WvVALUE2  equ  iol_BvVALUE1+01     ; WVAL: INTEGER*02  WV  VALUE 2     WCST  [+0002 +0002 +0002 +0002 +0002]
;ol_EvVALUE3  equ  iol_WvVALUE2+02     ; EVAL: INTEGER*04  EV  VALUE 3     ECST  [+0004 +0004 +0004 +0004 +0004]
;ol_RvVALUE4  equ  iol_EvVALUE3+04     ; RVAL: INTEGER*08  RV  VALUE 4     RCST  [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_QvVALUE5  equ  iol_RvVALUE4+08     ; QVAL: INTEGER*16  QV  VALUE 5     QCST  [+0016 +0016 +0016 +0016 +0016]
;ol_GvVALUE6  equ  iol_QvVALUE5+16     ; GVAL: INTEGER*32  GV  VALUE 6     GCST  [+0032 +0032 +0032 +0032 +0032]
;ol_PvVALUE7  equ  iol_GvVALUE6+32     ; PVAL: INTEGER*64  PV  VALUE 7     PCST  [+0064 +0064 +0064 +0064 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_LvVALUE8  equ  iol_PvVALUE7+64     ; LVAL: INTEGER*64  LV  VALUE 8     LCST  [+0128 +0128 +0128 +0128 +0128]
;ol_PnVALUE9  equ  iol_LvVALUE8+64     ; PNTR: INTEGER*64  LV  VALUE 9     LCST  [+0192 +0192 +0192 +0192 +0192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu4096  equ  iol_BEG+4096+000    ; XVAL: Values Part4 Non scaling Values ! [%4096 %4096 %4096 %4096 %4096]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu5120  equ  iol_BEG+5120+000    ; XVAL: Values Part5 Non scaling Values ! [%5120 %5120 %5120 %5120 %5120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu6144  equ  iol_BEG+6144+000    ; XVAL: Values Part6 Non scaling Values ! [%6144 %6144 %6144 %6144 %6144]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu7168  equ  iol_BEG+7168+000    ; XVAL: Values Part7 Non scaling Values ! [%7168 %7168 %7168 %7168 %7168]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu8192  equ  iol_BEG+8192+000    ; XVAL: Values Part8 Non scaling Values ! [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_Valu9216  equ  iol_BEG+9216+000    ; XVAL: Values Part9 Non scaling Values ! [%9216 %9216 %9216 %9216 %9216]
;###############################################################################################################
;## LONG      Input.Output.Library     ; LVAL: Long.Size scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
iol_SFBotPtr  equ  iol_LNG+LVSZ*0000   ; PNTR: Local! Stack Frame Bottom Pointer [+0004 +0008 +0016 +0032 +0064]
iol_SFTopPtr  equ  iol_LNG+LVSZ*0001   ; PNTR: Local! Stack Frame TopLAX Pointer [#0000 #0000 #0000 #0000 #0000]
;*--------------------------------------------------------------------------------------------------------------
iol_PnIolBas  equ  iol_LNG+LVSZ*0000   ; PNTR: Internal Pointer InpOutLib_Base   [#0000 #0000 #0000 #0000 #0000]
iol_PnIolTop  equ  iol_PnIolBas+LVSZ   ; PNTR: Internal Pointer InpOutLib_Top    [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
iol_L1FILNUM  equ  iol_PnIolTop+LVSZ   ; LVAL: 0001 * FILNUN  000,001,002...0031 [+0008 +0016 +0032 +0064 +0128]
iol_L2FILNUM  equ  iol_L1FILNUM+LVSZ   ; LVAL: 0002 * FILNUM  000,002,004...0062 [+0012 +0024 +0048 +0096 +0192]
iol_L4FILNUM  equ  iol_L2FILNUM+LVSZ   ; LVAL: 0004 * FILNUM  000,004,008...0124 [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_L8FILNUM  equ  iol_L4FILNUM+LVSZ   ; LVAL: 0008 * FILNUM  000,008,016...0248 [+0020 +0040 +0080 +0160 +0320]
iol_L6FILNUM  equ  iol_L8FILNUM+LVSZ   ; LVAL: 0016 * FILNUM  000,016,032...0496 [+0024 +0048 +0096 +0192 +0384]
iol_L9FILNUM  equ  iol_L6FILNUM+LVSZ   ; LVAL: LVSZ * FILNUM  000,064,128...1984 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_LvFWCTRL  equ  iol_LNG+LVSZ*0008   ; LVAL: FLWrit!   ConTRoL     Input       [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnINPLCX  equ  iol_LvFWCTRL+LVSZ   ; PNTR: FLWrit!   INPut LCX               [+0004 +0008 +0016 +0032 +0064]
iol_PnINPLDX  equ  iol_PnINPLCX+LVSZ   ; PNTR: FLWrit!   INPut LDX               [+0008 +0016 +0032 +0064 +0128]
iol_PnINPL08  equ  iol_PnINPLDX+LVSZ   ; PNTR: FLWrit!   INPut L08               [+0012 +0024 +0048 +0096 +0192]
iol_PnINPL09  equ  iol_PnINPL08+LVSZ   ; PNTR: FLWrit!   INPut L09               [+0016 +0032 +0064 +0128 +0256]
iol_PnINPLAX  equ  iol_PnINPL09+LVSZ   ; PNTR: FLWrit!   INPut LAX               [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_LvHEXFMT  equ  iol_PnINPLAX+LVSZ   ; LVAL: FLWrit!   HEXadecimal ForMaT      [+0024 +0048 +0096 +0192 +0384]
iol_LvTHCTRL  equ  iol_LvHEXFMT+LVSZ   ; PNTR: GetInp!   THread      ConTRol     [+0028 +0056 +0112 +0224 +0448]
;***************************************************************************************************************
iol_LvOFCTRL  equ  iol_LNG+LVSZ*0016   ; LVAL: OpnFil!   ConTRoL     Input       [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_LvDATWDT3 equ  iol_LvOFCTRL+LVSZ   ; LVAL: OpnFil!   DATa window WiDTh       [+0004 +0008 +0016 +0032 +0064]
iol_LvDATIBL3 equ  iol_LvDATWDT3+LVSZ  ; LVAL: OpnFil!   DATa Indend BLanks      [+0008 +0016 +0032 +0064 +0128]
iol_LvCOMLFT3 equ  iol_LvDATIBL3+LVSZ  ; LVAL: OpnFil!   COMments    LeFT        [+0012 +0024 +0048 +0096 +0192]
iol_LvCOMRGT3 equ  iol_LvCOMLFT3+LVSZ  ; LVAL: OpnFil!   COMments    RiGhT       [+0016 +0032 +0064 +0128 +0256]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_PnDAPNTR  equ  iol_LvCOMRGT3+LVSZ  ; PNTR: OpnFil!         CHaR  CouNTer     [+0020 +0040 +0080 +0160 +0320]
iol_PnDATLEN  equ  iol_PnDAPNTR+LVSZ   ; PNTR: OpnFil!         DATa  LENgth      [+0024 +0048 +0096 +0192 +0384]
iol_LvDATLEN  equ  iol_PnDATLEN+LVSZ   ; LVAL: OpnFil!         DATa  LENgth      [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_LvCFCTRL  equ  iol_LNG+LVSZ*0024   ; PNTR: ClsFil!   ConTRoL     Input       [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnTOKCNT  equ  iol_LvCFCTRL+LVSZ   ; PNTR: ClsFil!   TOKen       CouNTer     [+0004 +0008 +0016 +0032 +0064]
iol_PnPAGCNT  equ  iol_PnTOKCNT+LVSZ   ; PNTR: ClsFil!   PAGe        CouNTer     [+0008 +0016 +0032 +0064 +0128]
iol_PnLINCNT  equ  iol_PnPAGCNT+LVSZ   ; PNTR: ClsFil!   LINe        CouNTer     [+0012 +0024 +0048 +0096 +0192]
iol_PnCOLCNT  equ  iol_PnLINCNT+LVSZ   ; PNTR: ClsFil!   COLumn      CouTRer     [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnCHRCNT  equ  iol_PnCOLCNT+LVSZ   ; PNTR: ClsFil!   CHaRacter   CouNTer     [+0020 +0040 +0080 +0160 +0320]
iol_PnBYTCNT  equ  iol_PnCHRCNT+LVSZ   ; PNTR: ClsFil!   BYTe        CouNTer     [+0024 +0048 +0096 +0192 +0384]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnDABSIZ  equ  iol_PnBYTCNT+LVSZ   ; LVAL: ClsFil!   DAta  Byte  SIZe        [+0028 +0056 +0112 +0224 +0448]
;***************************************************************************************************************
iol_LvWCCTRL  equ  iol_LNG+LVSZ*0032   ; PNTR: FWChar!   ConTRoL     Input       [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_LvU32SIZ  equ  iol_LvWCCTRL+LVSZ   ; LVAL: FWChar!   Unicode32   byteSIZe    [+0004 +0008 +0016 +0032 +0064]
iol_LvU32VAL  equ  iol_LvU32SIZ+LVSZ   ; LVAL: FWChar!   Unicode32   VALue       [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnU32VAL  equ  iol_LvU32VAL+LVSZ   ; PNTR: FRChar!   Unicode32   VALue       [+0012 +0024 +0048 +0096 +0192]
iol_PnU32STR  equ  iol_PnU32VAL+LVSZ   ; PNTR: FWChar!   Unicode32   STRing      [+0016 +0032 +0064 +0128 +0256]
;*--------------------------------------------------------------------------------------------------------------
iol_LvCONWSH  equ  iol_PnU32STR+LVSZ   ; LVAL: GetInp!   CONsole     WiSHed      [+0020 +0040 +0080 +0160 +0320]
iol_PnCONFND  equ  iol_LvCONWSH+LVSZ   ; PNTR: GetInp!   CONsole     FouND       [+0024 +0048 +0096 +0192 +0384]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_PnDABSIZ  equ  iol_PnCONFND+LVSZ   ; LVAL: FWChar!   DAta  Byte  SIZe        [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_LvRCCTRL  equ  iol_LNG+LVSZ*0032   ; PNTR: FRChar!   ConTRoL     Input       [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_PnU32SIZ  equ  iol_LvWCCTRL+LVSZ   ; PNTR: FRChar!   TOKen       CouNTer     [+0004 +0008 +0016 +0032 +0064]
;ol_PnU32VAL  equ  iol_PnTOKCNT+LVSZ   ; PNTR: FRChar!   PAGe        CouNTer     [+0008 +0016 +0032 +0064 +0128]
;ol_PnLINCNT  equ  iol_PnPAGCNT+LVSZ   ; PNTR: FRChar!   LINe        CouNTer     [+0012 +0024 +0048 +0096 +0192]
;ol_PnCOLCNT  equ  iol_PnLINCNT+LVSZ   ; PNTR: FRChar!   COLumn      CouTRer     [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_PnCHRCNT  equ  iol_PnCOLCNT+LVSZ   ; PNTR: FRChar!   CHaRacter   CouNTer     [+0020 +0040 +0080 +0160 +0320]
;ol_PnBYTCNT  equ  iol_PnCHRCNT+LVSZ   ; PNTR: FRChar!   BYTe        CouNTer     [+0024 +0048 +0096 +0192 +0384]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_PnDABSIZ  equ  iol_PnBYTCNT+LVSZ   ; LVAL: FRChar!   DAta  Byte  SIZe        [+0028 +0056 +0112 +0224 +0448]
;***************************************************************************************************************

;*==============================================================================================================
iol_FmDatWdt  equ  iol_LNG+LVSZ*0040   ; LVAL: Formats Data Width                [#0000 #0000 #0000 #0000 #0000]
iol_FmDatIBL  equ  iol_FmDatWdt+LVSZ   ; LVAL: Formats Data Indend BLanks        [+0004 +0008 +0016 +0032 +0064]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_FmComLft  equ  iol_FmDatIBL+LVSZ   ; LVAL: Formats Comment Left              [+0008 +0016 +0032 +0064 +0128]
iol_FmComRgt  equ  iol_FmComLft+LVSZ   ; LVAL: Formats Comment Right             [+0012 +0024 +0048 +0096 +0192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_FmComRM1  equ  iol_FmComRgt+LVSZ   ; LVAL: Formats Comment Right - 01        [+0016 +0032 +0064 +0128 +0256]
;ml_DaMrkLft  equ  iol_FmComRM1+LVSZ   ; LVAL: DataWin Mark    Left              [+0020 +0040 +0080 +0160 +0320]
;*--------------------------------------------------------------------------------------------------------------
iol_DaLenWsh  equ  iol_LNG+LVSZ*0046   ; LVAL: Data Length Wished                [+0024 +0048 +0096 +0192 +0384]
iol_DaLenCnt  equ  iol_DaLenWsh+LVSZ   ; LVAL: Data Length Counter               [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_PnP64RES  equ  iol_LNG+LVSZ*0048   ; PNTR: Precision*64 RESult               [#0512 #1024 #2048 #4096 +8192]
iol_PnP64AR1  equ  iol_PnP64RES+LVSZ   ; PNTR: Precision*64 ARgument1            [+0004 +0008 +0016 +0032 +0064]
iol_PnP64AR2  equ  iol_PnP64AR1+LVSZ   ; PNTR: Precision*64 ARgument2            [+0008 +0016 +0032 +0064 +0128]
;*--------------------------------------------------------------------------------------------------------------
iol_PnI04RES  equ  iol_PnP64AR2+LVSZ   ; PNTR: Integer * 04 RESult               [+0012 +0024 +0048 +0096 +0192]
iol_PnS04RES  equ  iol_PnI04RES+LVSZ   ; PNTR: Single  * 04 RESult               [+0016 +0032 +0064 +0128 +0256]
iol_PnD08RES  equ  iol_PnS04RES+LVSZ   ; PNTR: Double  * 08 RESult               [+0020 +0040 +0080 +0160 +0320]
iol_PnQ16RES  equ  iol_PnD08RES+LVSZ   ; PNTR: TmpQuad * 16 RESult               [+0024 +0048 +0096 +0192 +0384]
iol_PnQ15RES  equ  iol_PnQ16RES+LVSZ   ; PNTR: AbsQuad * 15 RESult               [+0028 +0056 +0112 +0224 +0448]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_PnCONFND  equ  iol_LNG+LVSZ*0203   ; PNTR: CONsole number FouND              [+0056 +0112 +0224 +0448 +0896]
;*==============================================================================================================




;###############################################################################################################
;## Aus KIO!                           ;                                         [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;ol_EvDATLEN  equ  iol_LNG+LVSZ*0342   ; EVAL: External StackInput Argument: 023 [+0120 +0240 +0480 +0960 +1920]
;ol_PnPR0RES  equ  iol_EvDATLEN+LVSZ   ; PNTR: External StackInput Argument: 024 [+0124 +0248 +0496 +0992 +1984]
;ol_PnPR1ARG  equ  iol_EvDATLEN+LVSZ   ; PNTR: External StackInput Argument: 024 [+0124 +0248 +0496 +0992 +1984]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_EvIA1FMT  equ  iol_LNG+LVSZ*0346   ; EVAL: IntArg1 ForMaT  StrLenWished  025 [+0096 +0192 +0384 +0768 +1536]
;ol_EvIA2FMT  equ  iol_EvIA1FMT+LVSZ   ; EVAL: IntArg2 ForMaT  FrcCntWished  026 [+0100 +0200 +0400 +0800 +1600]
;ol_EvBASWSH  equ  iol_EvIA2FMT+LVSZ   ; EVAL: IVaBASe WiSHed  00|02,03..36  027 [+0104 +0208 +0416 +0832 +1664]
;ol_PnBASFND  equ  iol_EvBASWSH+LVSZ   ; PNTR: IVaBASe Found                 028 [+0108 +0216 +0432 +0864 +1728]
;*==============================================================================================================
iol_DaChrOff  equ  iol_LNG+LVSZ*0352   ; LVAL: Data Character  Offset            [+0016 +0032 +0064 +0128 +0256]
iol_DaChrCnt  equ  iol_DaChrOff+LVSZ   ; LVAL: Data Character  Counter           [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_VaChrOff  equ  iol_LNG+LVSZ*0354   ; LVAL: Valu Character  Offset            [+0016 +0032 +0064 +0128 +0256]
iol_VaChrCnt  equ  iol_VaChrOff+LVSZ   ; LVAL: Valu Character  Counter           [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_EdChrOff  equ  iol_LNG+LVSZ*0356   ; LVAL: Edit Character  Offset            [+0016 +0032 +0064 +0128 +0256]
iol_EdChrCnt  equ  iol_EdChrOff+LVSZ   ; LVAL: Edit Character  Counter           [+0020 +0040 +0080 +0160 +0320]
;*==============================================================================================================
iol_MFBytSiz  equ  iol_LNG+LVSZ*0360   ; LVAL: Matreg Fraction (Input) ByteSize  [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_FrLngNum  equ  iol_LNG+LVSZ*0362   ; LVAL: Fraction Long Number              [#0064 #0128 #0256 #0512 #1024]
iol_FrLngNM1  equ  iol_FrLngNum+LVSZ   ; LVAL: Fraction Long Number  Minus 001   [+0004 +0008 +0016 +0032 +0064]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_FrBytNum  equ  iol_FrLngNM1+LVSZ   ; LVAL: Fraction Byte Number              [+0008 +0016 +0032 +0064 +0128]
iol_FrBytM16  equ  iol_FrBytNum+LVSZ   ; LVAL: Fraction Byte Number  Minus 016   [+0012 +0024 +0048 +0096 +0192]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_FrBitNum  equ  iol_FrBytM16+LVSZ   ; LVAL: Fraction Bits Number              [+0016 +0032 +0064 +0128 +0256]
iol_FrBitM32  equ  iol_FrBitNum+LVSZ   ; LVAL: Fraction Bits Number  Minus 032   [+0020 +0040 +0080 +0160 +0320]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_EvFILNUM  equ  iol_LNG+LVSZ*0368   ; EVAL: Inputs FILNUN  000,001,002...0029 [#0512 #1024 #2048 #4096 #8192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_L1FILNUM  equ  iol_EvFILNUM+LVSZ   ; LVAL: 0001 * FILNUN  000,001,002...0029 [+0004 +0008 +0016 +0032 +0064]
;ol_L2FILNUM  equ  iol_L1FILNUM+LVSZ   ; LVAL: 0002 * FILNUM  000,002,004...0058 [+0008 +0016 +0032 +0064 +0128]
;ol_L4FILNUM  equ  iol_L2FILNUM+LVSZ   ; LVAL: 0004 * FILNUM  000,004,008...0126 [+0012 +0024 +0048 +0096 +0192]
;ol_L8FILNUM  equ  iol_L4FILNUM+LVSZ   ; LVAL: 0008 * FILNUM  000,008,016...0232 [+0016 +0032 +0064 +0128 +0256]
;ol_L9FILNUM  equ  iol_L8FILNUM+LVSZ   ; LVAL: LVSZ * FILNUM  000,064,128...1856 [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_LvBYTCNT  equ  iol_L9FILNUM+LVSZ   ; LVAL: File   entire  BYTes      CouNTer [+0024 +0048 +0096 +0192 +0384]
;ol_LvBYTCNT  equ  iol_LvCHRCNT+LVSZ   ; LVAL: File   entire  BYTes      CouNTer [+0028 +0056 +0112 +0224 +0448]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_FmMrkLft  equ  iol_LNG+LVSZ*0392   ; LVAL: Formats Mark    Left              [#0000 #0000 #0000 #0000 #0000]
;ol_FmDatLft  equ  iol_FmMrkLft+LVSZ   ; LVAL: Formats Data    Left              [#0000 #0000 #0000 #0000 #0000]
;ol_FmDatRgt  equ  iol_FmDatLft+LVSZ   ; LVAL: Formats Data    Right             [#0000 #0000 #0000 #0000 #0000]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_FmMidLft  equ  iol_FmDatRgt+LVSZ   ; LVAL: Formats Middle  Left              [#0000 #0000 #0000 #0000 #0000]
;ol_FmMidWdt  equ  iol_FmMidLft+LVSZ   ; LVAL: Formats Value   Width             [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

;*==============================================================================================================
;ol_FmDatWdt  equ  iol_LNG+LVSZ*0400   ; LVAL: Formats Data Width                [#0000 #0000 #0000 #0000 #0000]
;ol_FmDatIBL  equ  iol_FmDatWdt+LVSZ   ; LVAL: Formats Data Indend BLanks        [+0004 +0008 +0016 +0032 +0064]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_FmComLft  equ  iol_FmDatIBL+LVSZ   ; LVAL: Formats Comment Left              [+0008 +0016 +0032 +0064 +0128]
;ol_FmComRgt  equ  iol_FmComLft+LVSZ   ; LVAL: Formats Comment Right             [+0012 +0024 +0048 +0096 +0192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_FmComRM1  equ  iol_FmComRgt+LVSZ   ; LVAL: Formats Comment Right - 01        [+0016 +0032 +0064 +0128 +0256]
;ol_DaMrkLft  equ  iol_LNG+LVSZ*0405   ; LVAL: DataWin Mark    Left              [+0020 +0040 +0080 +0160 +0320]
;*--------------------------------------------------------------------------------------------------------------
;ol_DaLenWsh  equ  iol_DaMrkLft+LVSZ   ; LVAL: Data Length Wished                [+0024 +0048 +0096 +0192 +0384]
;ol_DaLenCnt  equ  iol_DaLenWsh+LVSZ   ; LVAL: Data Length Counter               [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_DaWinLft  equ  iol_LNG+LVSZ*0408   ; LVAL: EditData  Window    Left          [#0000 #0000 #0000 #0000 #0000]
iol_DaWinTop  equ  iol_DaWinLft+LVSZ   ; LVAL: EditData  Window    Top           [+0004 +0008 +0016 +0032 +0064]
iol_DaWinRgt  equ  iol_DaWinTop+LVSZ   ; LVAL: EditData  Window    Right         [+0008 +0016 +0032 +0064 +0128]
iol_DaWinBot  equ  iol_DaWinRgt+LVSZ   ; LVAL: EditData  Window    Bottom        [+0012 +0024 +0048 +0096 +0192]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_DaWinWdt  equ  iol_DaWinBot+LVSZ   ; LVAL: EditData  Window    Width         [+0016 +0032 +0064 +0128 +0256]
iol_DaWinHgt  equ  iol_DaWinWdt+LVSZ   ; LVAL: EditData  Window    Height        [+0020 +0040 +0080 +0160 +0320]
iol_DaWinRM1  equ  iol_DaWinHgt+LVSZ   ; LVAL: EditData  Window    Right  Minus1 [+0024 +0048 +0096 +0192 +0384]
iol_DaWinBM1  equ  iol_DaWinRM1+LVSZ   ; LVAL: EditData  Window    Bottom Minus1 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_EdCntOld  equ  iol_LNG+LVSZ*0416   ; LVAL: ChngEdit  Counter   Old           [#0000 #0000 #0000 #0000 #0000]
iol_EdCntNew  equ  iol_EdCntOld+LVSZ   ; LVAL: ChngEdit  Counter   New           [+0004 +0008 +0016 +0032 +0064]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_EdCntBeg  equ  iol_EdCntNew+LVSZ   ; LVAL: ChngEdit  Counter   Begin         [+0008 +0016 +0032 +0064 +0128]
iol_EdCntEnd  equ  iol_EdCntBeg+LVSZ   ; LVAL: ChngEdit  Counter   Ends          [+0012 +0024 +0048 +0096 +0192]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_EdLinFnd  equ  iol_EdCntEnd+LVSZ   ; LVAL: ChngEdit LineCounts Found         [+0016 +0032 +0064 +0128 +0256]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_DaMrkLft  equ  iol_LNG+LVSZ*0421   ; LVAL: DataWin Mark    Left              [+0020 +0040 +0080 +0160 +0320]
;*--------------------------------------------------------------------------------------------------------------
iol_DaWinWM1  equ  iol_LNG+LVSZ*0422   ; LVAL: EditData  Window    Width         [+0016 +0032 +0064 +0128 +0256]
iol_DaWinHM1  equ  iol_DaWinWM1+LVSZ   ; LVAL: EditData  Window    Height        [+0020 +0040 +0080 +0160 +0320]
;*==============================================================================================================
iol_lpThrAtt  equ  iol_LNG+LVSZ*0424   ; PNTR: CreateThread lpThreadAttributes   [#0032 #0000 #0000 #0000 #0000]
iol_dwStkSiz  equ  iol_lpThrAtt+LVSZ   ; LVAL: CreateThread dwStackSize          [+0004 +0008 +0016 +0032 +0064]
iol_lpStaAdr  equ  iol_dwStkSiz+LVSZ   ; PNTR: CreateThread lpStartAddress       [+0008 +0016 +0032 +0064 +0128]
iol_lpParams  equ  iol_lpStaAdr+LVSZ   ; PNTR: CreateThread lpParameter          [+0012 +0024 +0048 +0096 +0192]
iol_dwCFlags  equ  iol_lpParams+LVSZ   ; LVAL: CreateThread dwCreationFlags      [+0016 +0032 +0064 +0128 +0256]
iol_lpThrdId  equ  iol_dwCFlags+LVSZ   ; PNTR: CreateThread lpThreadID           [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_dwThrdId  equ  iol_lpThrdId+LVSZ   ; PNTR: CreateThread dwThreadID           [+0024 +0048 +0096 +0192 +0384]
iol_lvParams  equ  iol_dwThrdId+LVSZ   ; PNTR: CreateThread lvParameter          [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_ThreadHd  equ  iol_LNG+LVSZ*0432   ; HNDL: MultiPurpose Thread Handle        [#0064 #0000 #0000 #0000 #0000]
iol_ThreadId  equ  iol_ThreadHd+LVSZ   ; LVAL: MultiPurpose Thread Identifier    [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
iol_LineOffs  equ  iol_ThreadId+LVSZ   ; LVAL: Writ RegisterOutput Line  Offset  [+0008 +0008 +0016 +0032 +0064]
iol_ColmOffs  equ  iol_LineOffs+LVSZ   ; LVAL: Writ RegisterOutput Colum Offset  [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_LineCntr  equ  iol_ColmOffs+LVSZ   ; LVAL: Test Console Line        Counter  [+0016 +0032 +0064 +0128 +0256]
iol_ColmCntr  equ  iol_LineCntr+LVSZ   ; LVAL: Test Console Column      Counter  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* _HFmRNumb  equ  kio_WriteVAL+LVSZ   ; LVAL: Hexa Format Register Number       [+0004 +0004 +0004 +0004 +0004]
;* _HFmBLeng  equ  kio_HFmRNumb+LVSZ   ; LVAL: Hexa Format Byte     Length       [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_hConsOut  equ  iol_LNG+LVSZ*0440   ; HNDL: WritConsole        hConsoleOutput [#0192 #0384 #0768 #1536 #3072]
iol_hConsInp  equ  iol_hConsOut+LVSZ   ; HNDL: ReadConsoleInput:  hConsoleInput  [+0004 +0008 +0016 +0032 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_lpCrtSec  equ  iol_hConsInp+LVSZ   ; PNTR: EnterCriticalSection lpCritSect   [#0000 #0000 #0000 #0000 #0000]
iol_dwCurPos7 equ  iol_lpCrtSec+LVSZ   ; LVAL: SetConsole   dwCursorPosition     [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
iol_HFmRNumb  equ  iol_dwCurPos7+LVSZ  ; LVAL: Hexa Format Register Number       [+0004 +0004 +0004 +0004 +0004]
iol_HFmBLeng  equ  iol_HFmRNumb+LVSZ   ; LVAL: Hexa Format Byte     Length       [+0004 +0004 +0004 +0004 +0004]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_NameOffs  equ  iol_HFmBLeng+LVSZ   ; LVAL: Name String 'EAX@'   Offset       [+0004 +0004 +0004 +0004 +0004]
;*==============================================================================================================
;io_dwMilSec  equ  iol_lpCrtSec+LVSZ   ; LVAL: Sleep        dwMilliSeconds       [+0004 +0008 +0016 +0032 +0064]
;io_uBeepTyp  equ  iol_dwMilSec+LVSZ   ; LVAL: MessageBeep  uType                [+0004 +0008 +0016 +0032 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;io_dwExiCod  equ  iol_dwCurPos+LVSZ   ; PNTR: ExitThread   dwExitCode           [#0000 #0000 #0000 #0000 #0000]
;*==============================================================================================================
iol_hMutex00  equ  iol_LNG+LVSZ*0480   ; PARA: CreateMutex: hMutex00             [#0512 #1024 #2048 #4096 #8192]
iol_hMutex01  equ  iol_hMutex00+LVSZ   ; PARA: CreateMutex: hMutex01             [+0004 +0008 +0016 +0032 +0064]
iol_hMutex02  equ  iol_hMutex01+LVSZ   ; PARA: CreateMutex: hMutex01             [+0008 +0016 +0032 +0064 +0128]
iol_hMutex03  equ  iol_hMutex02+LVSZ   ; PARA: CreateMutex: hMutex01             [+0012 +0024 +0048 +0096 +0192]
iol_hMutex04  equ  iol_hMutex03+LVSZ   ; PARA: CreateMutex: hMutex01             [+0016 +0032 +0064 +0128 +0256]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_lpMtxAtt  equ  iol_hMutex04+LVSZ   ; PARA: CreateMutex: lpMutexAttributes    [+0020 +0040 +0080 +0160 +0320]
iol_lpMtxNam  equ  iol_lpMtxAtt+LVSZ   ; PARA: CreateMutex: lpName               [+0024 +0048 +0096 +0192 +0384]
iol_bInOwner  equ  iol_lpMtxNam+LVSZ   ; PARA: CreateMutex: bInitialOwner        [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_hndMutex  equ  iol_LNG+LVSZ*0488   ; HNDL: ReleaseMutex hMutex               [#0512 #1024 #2048 #4096 #8192]
iol_hObjects  equ  iol_hndMutex+LVSZ   ; HNDL: CloseHandle: hObjects             [+0004 +0008 +0016 +0032 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_lpExiCod  equ  iol_hObjects+LVSZ   ; HNDL: Exit Threads lpExitCode           [+0028 +0056 +0112 +0224 +0448]
iol_dwExiCod  equ  iol_lpExiCod+LVSZ   ; HNDL: Exit Threads dwExitCode           [+0028 +0056 +0112 +0224 +0448]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

;*==============================================================================================================
iol_WaitResu  equ  iol_LNG+LVSZ*0496   ; LVAL: WaitForSingleObject  WaitResult   [#0512 #1024 #2048 #4096 #8192]
iol_hWaitObj  equ  iol_WaitResu+LVSZ   ; HNDL: WaitForSingleObject     hHandle   [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_dwHndCnt  equ  iol_hWaitObj+LVSZ   ; LVAL: WaitForMultipleObjects   nCount   [+0008 +0016 +0032 +0064 +0128]
iol_lpHandle  equ  iol_dwHndCnt+LVSZ   ; PNTR: WaitForMultipleObjects  lpHandles [+0012 +0024 +0048 +0096 +0192]
iol_bWaitAll  equ  iol_lpHandle+LVSZ   ; LVAL: WaitForMultipleObjects  bWaitAll  [+0016 +0032 +0064 +0128 +0256]
iol_dwMilSec  equ  iol_bWaitAll+LVSZ   ; LVAL: WaitForMultipleObjects  dwMilSec  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_uBeepTyp  equ  iol_dwMilSec+LVSZ   ; LVAL: MessageBeep             uType     [+0024 +0048 +0096 +0192 +0384]
;*==============================================================================================================

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_CDScrMin  equ  iol_LNG+LVSZ*0512   ; LVAL: Change Data Scrolls Min           [+0016 +0032 +0064 +0128 +0256]
iol_CDScrMax  equ  iol_CDScrMin+LVSZ   ; LVAL: Change Data Scrolls Max           [+0020 +0040 +0080 +0160 +0320]
iol_CDScrOld  equ  iol_CDScrMax+LVSZ   ; LVAL: Change Data Scrolls Old           [+0024 +0048 +0096 +0192 +0384]
iol_CDScrNew  equ  iol_CDScrOld+LVSZ   ; LVAL: Change Data Scrolls New           [+0028 +0056 +0112 +0224 +0448]
;*--------------------------------------------------------------------------------------------------------------
;ol_CDLinPos  equ  iol_CDScrNew+LVSZ   ; LVAL: ChangeData Lines Posi             [#0000 #0000 #0000 #0000 #0000]
;ol_CDColPos  equ  iol_CDLinPos+LVSZ   ; LVAL: ChangeData ColumnPosi             [+0004 +0008 +0016 +0032 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_SDLinCnt  equ  iol_LNG+LVSZ*0518   ; LVAL: Scan   Data     Line  Counter     [#0000 #0000 #0000 #0000 #0000]
;*==============================================================================================================
;ol_CDBufPtr  equ  iol_LNG+LVSZ*0520   ; PNTR: Change Data Buffer Strg  Pointer  [#0512 #1024 #2048 #4096 +8192]
;ol_CDBufSiz  equ  iol_CDBufPtr+LVSZ   ; PNTR: Change Data Buffer Byte  Size     [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_CDBufOff  equ  iol_CDBufSiz+LVSZ   ; LVAL: Change Data Buffer Char  Offset   [+0008 +0016 +0032 +0064 +0128]
;ol_CDBufCnt  equ  iol_CDBufOff+LVSZ   ; LVAL: Change Data Buffer Char  Counter  [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ol_CDFulOff  equ  iol_CDBufCnt+LVSZ   ; LVAL: Change Data Buffer Full  Offset   [+0016 +0032 +0064 +0128 +0256]
;ol_CDFulCnt  equ  iol_CDFulOff+LVSZ   ; LVAL: Change Data Buffer Full  Counter  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ol_CDCToWrt  equ  iol_CDFulCnt+LVSZ   ; LVAL: Change Data Characters   ToWrite  [+0024 +0048 +0096 +0192 +0384]
;ol_CDChrWrt  equ  iol_CDCToWrt+LVSZ   ; LVAL: Change Data Characters   Written  [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_CurPosXO  equ  iol_LNG+LVSZ*0528   ; LVAL: Cursor Position X Old             [+0016 +0032 +0064 +0128 +0256]
iol_CurPosYO  equ  iol_CurPosXO+LVSZ   ; LVAL: Cursor Position Y Old             [+0020 +0040 +0080 +0160 +0320]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_CurPosXN  equ  iol_CurPosYO+LVSZ   ; LVAL: Cursor Position X New             [+0024 +0048 +0096 +0192 +0384]
iol_CurPosYN  equ  iol_CurPosXN+LVSZ   ; LVAL: Cursor Position Y New             [+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_ArwMovDX  equ  iol_CurPosYN+LVSZ   ; LVAL: Arrow  Moving   Delta X           [+0004 +0008 +0016 +0032 +0064]
iol_ArwMovDY  equ  iol_ArwMovDX+LVSZ   ; LVAL: Arrow  Moving   Delta Y           [+0008 +0016 +0032 +0064 +0128]
iol_ScrMovDZ  equ  iol_ArwMovDY+LVSZ   ; LVAL: Scrol  Moving   Delta Z           [+0012 +0024 +0048 +0096 +0192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_CtrIBase  equ  eml_LNG+LVSZ*0288   ; LVAL: IBase:                            [+0028 +0056 +0112 +0224 +0448]
;ml_IValBase  equ  eml_CtrIBase+LVSZ   ; LVAL: IBase: 10,16,02,08,10             [+0032 +0064 +0128 +0256 +0512]
;ml_PValPntr  equ  eml_IValBase+LVSZ   ; LVAL: Precis Value Pointer              [+0032 +0064 +0128 +0256 +0512]
;;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ol_CDScrOld  equ  iol_LNG+LVSZ*0512   ; LVAL: Change Data Scrolls Old           [+0024 +0048 +0096 +0192 +0384]
;ol_CDScrNew  equ  iol_CDScrOld+LVSZ   ; LVAL: Change Data Scrolls New           [+0028 +0056 +0112 +0224 +0448]
;;*==============================================================================================================

;***************************************************************************************************************
;* BOOL   WINAPI     SetConsoleTextAttribute(                 //  WinCon.h    Kernel32.lib      Kernel32.dll   *
;* _In_              HANDLE       hConsoleOutput,             // _HnConOut    A handle to the console scrnbuff *
;* _In_              WORD         wAttributes );              // _Attribut    [in] (The character attributes). *
;*-------------------------------------------------------------------------------------------------------------*
;* BOOL   WINAPI     WriteConsoleA|W(                         //  WinCon.h    Kernel32.lib      Kernel32.dll   *
;* _IN_              HANDLE       hConsoleOutput,             // _HnConOut    A handle to the console scrnbuff *
;* _IN_        CONST VOID        *lpBuffer,                   // _PnBuffer    A pointer to buffer for charctrs *
;* _IN_              DWORD        nNumberOfCharsToWrite,      // _DwCToWrt    The numbr of chars to be written *
;* _OUT_             LPDWORD      lpNumberOfCharsWritten,     // _PnChrWrt    A pointer to a variable for numb *
;* _IN_              LPVOID       lpReserved );               // _Reserved    Must be NULL.                    *
;*-------------------------------------------------------------------------------------------------------------*
;* BOOL   WINAPI     GetConsoleScreenBufferInfo(              //  WinCon.h    Kernel32.lib      Kernel32.dll   *
;* _In_              HANDLE       hConsoleOutput,             // _HnConOut    A handle  to the console scrnbuf *
;* _Out_  PCO_SCREEN_BUFFER_INFO  lpConsoleScreenBufferInfo); // _PnCSBInf    Pnter CONSOLE_SCREEN_BUFFER_INFO *
;*-------------------------------------------------------------------------------------------------------------*
;* BOOL   WINAPI     ScrollConsoleScreenBufferA|W(            //  WinCon.h    Kernel32.lib     Kernel32.dll    *
;* _In_              HANDLE       hConsoleOutput,             // _HnConOut    A handle  to the console scrnbuf *
;* _In_        const SMALL_RECT   *lpScrollRectangle,         // _PnScrRec    A pointer to a SMALL_RECT struct *
;* _In_opt_    const SMALL_RECT   *lpClipRectangle,           // _PnClpRec    A pointer to a SMALL_RECT struct *
;* _In_              COORD        dwDestinationOrigin         // _DwDesOrg    A COORD structure that specifies *
;* _In_        const CHAR_INFO    *lpFill                     // _PnChrInf    A pointer to a CHAR_INFO  struct *
;*-------------------------------------------------------------------------------------------------------------*
;* BOOL   WINAPI     SetConsoleWindowInfo(                    //  WinCon.h    Kernel32.lib    Kernel32.dll     *
;* _In_              HANDLE       hConsoleOutput              // _HnConOut    A handle to the cons screen buff *
;* _In_              BOOL         bAbsolut                    // _Absolute    If this parameter is TRUE,  ...  *
;* _In_        const SMALL_RECT   *lpConsoleWindow );         // _PnWinRec    A pointer to a SMALL_RECT struct *
;*-------------------------------------------------------------------------------------------------------------*
;* BOOL   WINAPI     SetConsoleCursorPosition(                //  WinCon.h    Kernel32.lib    Kernel32.dll     *
;* _In_              HANDLE       hConsoleOutput              // _HnConOut    A handle to the cons screen buff *
;* _In_              COORD        dwCursorPosition );         // _DwCurPos    A COORD structure that specifies *
;*-------------------------------------------------------------------------------------------------------------*
;* BOOL   WINAPI     Sleep(                                   // Windows.h    Kernel32.lib    Kernel32.dll     *
;* _In_              DWORD        dwMilliSeconds );           // _DwMilSec    The time interval for waiting.   *
;***************************************************************************************************************
iol_HnConOut  equ  iol_LNG+LVSZ*0640   ; HNDL: hConsoleOutput    (General Usage) [#0096 #0192 #0384 #0768 #1536]
iol_HnConInp  equ  iol_HnConOut+LVSZ   ; HNDL: hConsoleInput     (General Usage) [+0004 +0008 +0016 +0032 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_Attribut  equ  iol_HnConInp+LVSZ   ; LVAL: wAttributes (SetConTextAttribute) [+0008 +0016 +0032 +0064 +0128]
iol_Absolute  equ  iol_Attribut+LVSZ   ; LVAL: bAbsolute   (SetConsoleWindoInfo) [+0012 +0024 +0048 +0096 +0192]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_PnBuffer  equ  iol_Absolute+LVSZ   ; PNTR: lpBuffer           (WriteConsole) [+0016 +0032 +0064 +0128 +0256]
iol_DwCToWrt  equ  iol_PnBuffer+LVSZ   ; LVAL: nNumberOfCharsToWrite       "     [+0020 +0040 +0080 +0160 +0320]
iol_PnChrWrt  equ  iol_DwCToWrt+LVSZ   ; PNTR: lpNumberOfCharsWritten      "     [+0024 +0048 +0096 +0192 +0384]
iol_LvChrWrt  equ  iol_PnChrWrt+LVSZ   ; LVAL: MemoryFor CharsWritten      "     [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_PnScrRec  equ  iol_LNG+LVSZ*0648   ; PNTR: lpScrollRectangle  (ScrollBuffer) [#0096 #0192 #0384 #0768 #1536]
iol_PnClpRec  equ  iol_PnScrRec+LVSZ   ; PNTR: lpClipRectangle    (ScrollBuffer) [+0004 +0008 +0016 +0032 +0064]
iol_PnWinRec  equ  iol_PnClpRec+LVSZ   ; PNTR: lpConsoleWindow    (SetConWinInf) [+0008 +0016 +0032 +0064 +0128]
iol_PnAnyRec  equ  iol_PnWinRec+LVSZ   ; PNTR: lpAnyRectangle     (Future ?    ) [+0012 +0024 +0048 +0096 +0192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnChrInf  equ  iol_PnAnyRec+LVSZ   ; PNTR: lpFill             (SctollBuffer) [+0016 +0032 +0064 +0128 +0256]
iol_DwDesOrg  equ  iol_PnChrInf+LVSZ   ; PNTR: dwDestinatonOrigin (ScrollBuffer) [+0020 +0040 +0080 +0160 +0320]
iol_DwCurPos  equ  iol_DwDesOrg+LVSZ   ; PNTR: dwCursorPosition   (SetConCurPos) [+0024 +0048 +0096 +0192 +0384]
iol_Reserved  equ  iol_DwCurPos+LVSZ   ; PNTR: lpReserved         (WriteConsole) [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
iol_PnCSBInf  equ  iol_LNG+LVSZ*0656   ; PNTR: lpScrollConsoleScreenBufferInfo   [#0096 #0192 #0384 #0768 #1536]
iol_FillChar  equ  iol_PnCSBInf+LVSZ   ; LVAL: Filling Character                 [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
iol_EdStrPtr  equ  iol_LNG+LVSZ*0664   ; PNTR: lpScrollConsoleScreenBufferInfo   [#0096 #0192 #0384 #0768 #1536]
iol_EdBytSiz  equ  iol_EdStrPtr+LVSZ   ; PNTR: Filling Character                 [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
iol_PnConMod  equ  iol_LNG+LVSZ*0672   ; PNTR: GetConsoleMode  lpMode            [#0096 #0192 #0384 #0768 #1536]
iol_DwConMod  equ  iol_PnConMod+LVSZ   ; LVAL: SetConsoleMode  dwMode            [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_D1ConMod  equ  iol_DwConMod+LVSZ   ; LVAL: SetConsoleMode                    [+0004 +0008 +0016 +0032 +0064]
iol_D2ConMod  equ  iol_D1ConMod+LVSZ   ; LVAL: SetConsoleMode                    [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
iol_PnCurInf  equ  iol_D2ConMod+LVSZ   ; PNTR: GetConsoleCursorInfo  lpConCurInf [#0096 #0192 #0384 #0768 #1536]
iol_DwCurInf  equ  iol_PnCurInf+LVSZ   ; LVAL: SetConsoleCursorInfo  dwConCurInf [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_D1CurInf  equ  iol_DwCurInf+LVSZ   ; LVAL: SetConsoleCursorInfo              [+0004 +0008 +0016 +0032 +0064]
iol_D2CurInf  equ  iol_D1CurInf+LVSZ   ; LVAL: SetConsoleCursorInfo              [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
iol_PnFntInf  equ  iol_LNG+LVSZ*0672   ; PNTR: GetConsoleMode  lpMode            [#0096 #0192 #0384 #0768 #1536]
iol_bMaxWind  equ  iol_PnFntInf+LVSZ   ; LVAL: SetConsoleMode  dwMode            [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_PnCurFnt  equ  iol_DwConMod+LVSZ   ; LVAL: SetConsoleMode                    [+0004 +0008 +0016 +0032 +0064]
;ol_D2ConMod  equ  iol_D1ConMod+LVSZ   ; LVAL: SetConsoleMode                    [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
iol_PnFInfEx  equ  iol_LNG+LVSZ*0676   ; PNTR: GetConsoleCursorInfo  lpConCurInf [#0096 #0192 #0384 #0768 #1536]
;ol_DwCurInf  equ  iol_PnFInfEx+LVSZ   ; LVAL: SetConsoleCursorInfo  dwConCurInf [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ol_D1CurInf  equ  iol_DwCurInf+LVSZ   ; LVAL: SetConsoleCursorInfo              [+0004 +0008 +0016 +0032 +0064]
;ol_D2CurInf  equ  iol_D1CurInf+LVSZ   ; LVAL: SetConsoleCursorInfo              [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
iol_PnNOfEvn  equ  iol_LNG+LVSZ*0680   ; PNTR: GetNumberOfConsoleInputEvents Ptr [#0096 #0192 #0384 #0768 #1536]
iol_LvNOfEvn  equ  iol_PnNOfEvn+LVSZ   ; LVAL: GetNumberOfConsoleInputEvents Val [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_LvLength  equ  iol_LvNOfEvn+LVSZ   ; LVAL: Write|ReadConsoleInput   nLength  [+0004 +0008 +0016 +0032 +0064]
;ol_D2ConMod  equ  iol_LvLength+LVSZ   ; LVAL:                                   [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
iol_PnNOEWrt  equ  iol_LNG+LVSZ*0684   ; PNTR: WriteConsoleInput  lpNumberOf-    [#0096 #0192 #0384 #0768 #1536]
iol_LvNOEWrt  equ  iol_PnNOEWrt+LVSZ   ; LVAL: WriteConsoleInput  EventsWritten  [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
iol_PnNERead  equ  iol_LvNOEWrt+LVSZ   ; PNTR: WriteConsoleInput  lpNumberOf-    [#0096 #0192 #0384 #0768 #1536]
iol_LvNERead  equ  iol_PnNERead+LVSZ   ; LVAL: WriteConsoleInput  EventsRead     [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================

;###############################################################################################################
;## Threads                            ; LVAL:                                   [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
iol_LvTH0NUM  equ  iol_LNG+LVSZ*0960   ; LVAL: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
iol_LvTH1NUM  equ  iol_LvTH0NUM+LVSZ   ; LVAL: THread<1> NUMber           OP4THR [+0004 +0008 +0016 +0032 +0064]
iol_LvTH2NUM  equ  iol_LvTH1NUM+LVSZ   ; LVAL: THread<2> NUMber           OP4THR [+0008 +0016 +0032 +0064 +0128]
iol_LvTH3NUM  equ  iol_LvTH2NUM+LVSZ   ; LVAL: THread<3> NUMber           OP4THR [+0012 +0024 +0048 +0096 +0192]
iol_LvTH4NUM  equ  iol_LvTH3NUM+LVSZ   ; LVAL: THread<4> NUMber           OP4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_LvTH5NUM  equ  iol_LvTH4NUM+LVSZ   ; LVAL: THread<5> NUMber           OP9THR [+0020 +0040 +0080 +0160 +0320]
iol_LvTH6NUM  equ  iol_LvTH5NUM+LVSZ   ; LVAL: THread<6> NUMber           OP9THR [+0024 +0048 +0096 +0192 +0384]
iol_LvTH7NUM  equ  iol_LvTH6NUM+LVSZ   ; LVAL: THread<7> NUMber           OP9THR [+0028 +0056 +0112 +0224 +0448]
iol_LvTH8NUM  equ  iol_LvTH7NUM+LVSZ   ; LVAL: THread<8> NUMber           OP9THR [+0032 +0064 +0128 +0256 +0512]
iol_LvTH9NUM  equ  iol_LvTH8NUM+LVSZ   ; LVAL: THread<9> NUMber           OP9THR [+0036 +0072 +0144 +0288 +0576]
;*--------------------------------------------------------------------------------------------------------------
iol_LvTH0SUP  equ  iol_LNG+LVSZ*0970   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
iol_PnTH0FND  equ  iol_LNG+LVSZ*0971   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
iol_LvQ1CTRL  equ  iol_LNG+LVSZ*0972   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
iol_LvQ2CTRL  equ  iol_LNG+LVSZ*0973   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_LvDATIBL  equ  iol_LNG+LVSZ*0974   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
iol_LvDATWDT  equ  iol_LNG+LVSZ*0975   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
iol_LvCOMLFT  equ  iol_LNG+LVSZ*0976   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
iol_LvCOMRGT  equ  iol_LNG+LVSZ*0977   ; PNTR: THread<0> NUMber           OP4THR [00000 00000 00000 00000 00000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_LvTH0VAL  equ  iol_LNG+LVSZ*1000   ; LVAL: THread<0> VALue            OP4THR [00000 00000 00000 00000 00000]
iol_LvTH1VAL  equ  iol_LvTH0VAL+LVSZ   ; LVAL: THread<1> VALue            OP4THR [+0004 +0008 +0016 +0032 +0064]
iol_LvTH2VAL  equ  iol_LvTH1VAL+LVSZ   ; LVAL: THread<2> VALue            OP4THR [+0008 +0016 +0032 +0064 +0128]
iol_LvTH3VAL  equ  iol_LvTH2VAL+LVSZ   ; LVAL: THread<3> VALue            OP4THR [+0012 +0024 +0048 +0096 +0192]
iol_LvTH4VAL  equ  iol_LvTH3VAL+LVSZ   ; LVAL: THread<4> VALue            OP4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_LvTH5VAL  equ  iol_LvTH4VAL+LVSZ   ; LVAL: THread<5> VALue            OP9THR [+0020 +0040 +0080 +0160 +0320]
iol_LvTH6VAL  equ  iol_LvTH5VAL+LVSZ   ; LVAL: THread<6> VALue            OP9THR [+0024 +0048 +0096 +0192 +0384]
iol_LvTH7VAL  equ  iol_LvTH6VAL+LVSZ   ; LVAL: THread<7> VALue            OP9THR [+0028 +0056 +0112 +0224 +0448]
iol_LvTH8VAL  equ  iol_LvTH7VAL+LVSZ   ; LVAL: THread<8> VALue            OP9THR [+0032 +0064 +0128 +0256 +0512]
iol_LvTH9VAL  equ  iol_LvTH8VAL+LVSZ   ; LVAL: THread<9> VALue            OP9THR [+0036 +0072 +0144 +0288 +0576]
;*--------------------------------------------------------------------------------------------------------------
iol_PnTH0AR1  equ  iol_LNG+LVSZ*1010   ; PNTR: THread<0> ARGument(1)      OP4THR [00000 00000 00000 00000 00000]
iol_PnTH1AR1  equ  iol_PnTH0AR1+LVSZ   ; PNTR: THread<1> ARGument(1)      OP4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnTH2AR1  equ  iol_PnTH1AR1+LVSZ   ; PNTR: THread<2> ARGument(1)      OP4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnTH3AR1  equ  iol_PnTH2AR1+LVSZ   ; PNTR: THread<3> ARGument(1)      OP4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnTH4AR1  equ  iol_PnTH3AR1+LVSZ   ; PNTR: THread<4> ARGument(1)      OP4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnTH5AR1  equ  iol_PnTH4AR1+LVSZ   ; PNTR: THread<5> ARGument(1)      OP9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnTH6AR1  equ  iol_PnTH5AR1+LVSZ   ; PNTR: THread<6> ARGument(1)      OP9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnTH7AR1  equ  iol_PnTH6AR1+LVSZ   ; PNTR: THread<7> ARGument(1)      OP9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnTH8AR1  equ  iol_PnTH7AR1+LVSZ   ; PNTR: THread<8> ARGument(1)      OP9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnTH9AR1  equ  iol_PnTH8AR1+LVSZ   ; PNTR: THread<9> ARGument(1)      OP9THR [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnTH0AR2  equ  iol_LNG+LVSZ*1020   ; PNTR: THread<0> ARGument(2)      OP4THR [00000 00000 00000 00000 00000]
iol_PnTH1AR2  equ  iol_PnTH0AR2+LVSZ   ; PNTR: THread<1> ARGument(2)      OP4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnTH2AR2  equ  iol_PnTH1AR2+LVSZ   ; PNTR: THread<2> ARGument(2)      OP4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnTH3AR2  equ  iol_PnTH2AR2+LVSZ   ; PNTR: THread<3> ARGument(2)      OP4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnTH4AR2  equ  iol_PnTH3AR2+LVSZ   ; PNTR: THread<4> ARGument(2)      OP4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnTH5AR2  equ  iol_PnTH4AR2+LVSZ   ; PNTR: THread<5> ARGument(2)      OP9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnTH6AR2  equ  iol_PnTH5AR2+LVSZ   ; PNTR: THread<6> ARGument(2)      OP9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnTH7AR2  equ  iol_PnTH6AR2+LVSZ   ; PNTR: THread<7> ARGument(2)      OP9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnTH8AR2  equ  iol_PnTH7AR2+LVSZ   ; PNTR: THread<8> ARGument(2)      OP9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnTH9AR2  equ  iol_PnTH8AR2+LVSZ   ; PNTR: THread<9> ARGument(2)      OP9THR [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnTH0AR3  equ  iol_LNG+LVSZ*1030   ; PNTR: THread<0> ARGument(3)      OP4THR [00000 00000 00000 00000 00000]
iol_PnTH1AR3  equ  iol_PnTH0AR3+LVSZ   ; PNTR: THread<1> ARGument(3)      OP4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnTH2AR3  equ  iol_PnTH1AR3+LVSZ   ; PNTR: THread<2> ARGument(3)      OP4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnTH3AR3  equ  iol_PnTH2AR3+LVSZ   ; PNTR: THread<3> ARGument(3)      OP4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnTH4AR3  equ  iol_PnTH3AR3+LVSZ   ; PNTR: THread<4> ARGument(3)      OP4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnTH5AR3  equ  iol_PnTH4AR3+LVSZ   ; PNTR: THread<5> ARGument(3)      OP9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnTH6AR3  equ  iol_PnTH5AR3+LVSZ   ; PNTR: THread<6> ARGument(3)      OP9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnTH7AR3  equ  iol_PnTH6AR3+LVSZ   ; PNTR: THread<7> ARGument(3)      OP9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnTH8AR3  equ  iol_PnTH7AR3+LVSZ   ; PNTR: THread<8> ARGument(3)      OP9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnTH9AR3  equ  iol_PnTH8AR3+LVSZ   ; PNTR: THread<9> ARGument(3)      OP9THR [+0036 +0072 +0144 +0288 +0576]
;*--------------------------------------------------------------------------------------------------------------
iol_PnT0NAME  equ  iol_LNG+LVSZ*1040   ; PNTR: Thread<0> NAME String      OP4THR [00000 00000 00000 00000 00000]
iol_PnT1NAME  equ  iol_PnT0NAME+LVSZ   ; PNTR: Thread<1> NAME String      OP4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnT2NAME  equ  iol_PnT1NAME+LVSZ   ; PNTR: Thread<2> NAME String      OP4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnT3NAME  equ  iol_PnT2NAME+LVSZ   ; PNTR: Thread<3> NAME String      OP4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnT4NAME  equ  iol_PnT3NAME+LVSZ   ; PNTR: Thread<4> NAME String      OP4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnT5NAME  equ  iol_PnT4NAME+LVSZ   ; PNTR: Thread<5> NAME String      OP9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnT6NAME  equ  iol_PnT5NAME+LVSZ   ; PNTR: Thread<6> NAME String      OP9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnT7NAME  equ  iol_PnT6NAME+LVSZ   ; PNTR: Thread<7> NAME String      OP9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnT8NAME  equ  iol_PnT7NAME+LVSZ   ; PNTR: Thread<8> NAME String      OP9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnT9NAME  equ  iol_PnT8NAME+LVSZ   ; PNTR: Thread<9> NAME String      OP9THR [+0036 +0072 +0144 +0288 +0576]
;*==============================================================================================================
iol_PnTH0FUN  equ  iol_LNG+LVSZ*1050   ; PNTR: THread<0> FUNction         RN4THR [00000 00000 00000 00000 00000]
iol_PnTH1FUN  equ  iol_PnTH0FUN+LVSZ   ; PNTR: THread<1> FUNction         RN4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnTH2FUN  equ  iol_PnTH1FUN+LVSZ   ; PNTR: THread<2> FUNction         RN4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnTH3FUN  equ  iol_PnTH2FUN+LVSZ   ; PNTR: THread<3> FUNction         RN4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnTH4FUN  equ  iol_PnTH3FUN+LVSZ   ; PNTR: THread<4> FUNction         RN4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnTH5FUN  equ  iol_PnTH4FUN+LVSZ   ; PNTR: THread<5> FUNction         RN9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnTH6FUN  equ  iol_PnTH5FUN+LVSZ   ; PNTR: THread<6> FUNction         RN9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnTH7FUN  equ  iol_PnTH6FUN+LVSZ   ; PNTR: THread<7> FUNction         RN9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnTH8FUN  equ  iol_PnTH7FUN+LVSZ   ; PNTR: THread<8> FUNction         RN9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnTH9FUN  equ  iol_PnTH8FUN+LVSZ   ; PNTR: THread<9> FUNction         RN9THR [+0036 +0072 +0144 +0288 +0576]
;*--------------------------------------------------------------------------------------------------------------
iol_PnTH0AR4  equ  iol_LNG+LVSZ*1060   ; PNTR: THread<0> ARGument(4)      RN4THR [00000 00000 00000 00000 00000]
iol_PnTH1AR4  equ  iol_PnTH0AR4+LVSZ   ; PNTR: THread<1> ARGument(4)      RN4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnTH2AR4  equ  iol_PnTH1AR4+LVSZ   ; PNTR: THread<2> ARGument(4)      RN4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnTH3AR4  equ  iol_PnTH2AR4+LVSZ   ; PNTR: THread<3> ARGument(4)      RN4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnTH4AR4  equ  iol_PnTH3AR4+LVSZ   ; PNTR: THread<4> ARGument(4)      RN4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnTH5AR4  equ  iol_PnTH4AR4+LVSZ   ; PNTR: THread<5> ARGument(4)      RN9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnTH6AR4  equ  iol_PnTH5AR4+LVSZ   ; PNTR: THread<6> ARGument(4)      RN9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnTH7AR4  equ  iol_PnTH6AR4+LVSZ   ; PNTR: THread<7> ARGument(4)      RN9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnTH8AR4  equ  iol_PnTH7AR4+LVSZ   ; PNTR: THread<8> ARGument(4)      RN9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnTH9AR4  equ  iol_PnTH8AR4+LVSZ   ; PNTR: THread<9> ARGument(4)      RN9THR [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnTH0AR5  equ  iol_LNG+LVSZ*1070   ; PNTR: THread<0> ARGument(5)      RN4THR [00000 00000 00000 00000 00000]
iol_PnTH1AR5  equ  iol_PnTH0AR5+LVSZ   ; PNTR: THread<1> ARGument(5)      RN4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnTH2AR5  equ  iol_PnTH1AR5+LVSZ   ; PNTR: THread<2> ARGument(5)      RN4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnTH3AR5  equ  iol_PnTH2AR5+LVSZ   ; PNTR: THread<3> ARGument(5)      RN4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnTH4AR5  equ  iol_PnTH3AR5+LVSZ   ; PNTR: THread<4> ARGument(5)      RN4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnTH5AR5  equ  iol_PnTH4AR5+LVSZ   ; PNTR: THread<5> ARGument(5)      RN9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnTH6AR5  equ  iol_PnTH5AR5+LVSZ   ; PNTR: THread<6> ARGument(5)      RN9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnTH7AR5  equ  iol_PnTH6AR5+LVSZ   ; PNTR: THread<7> ARGument(5)      RN9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnTH8AR5  equ  iol_PnTH7AR5+LVSZ   ; PNTR: THread<8> ARGument(5)      RN9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnTH9AR5  equ  iol_PnTH8AR5+LVSZ   ; PNTR: THread<9> ARGument(5)      RN9THR [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
iol_PnTH0AR6  equ  iol_LNG+LVSZ*1080   ; PNTR: THread<0> ARGument(6)      RN4THR [00000 00000 00000 00000 00000]
iol_PnTH1AR6  equ  iol_PnTH0AR6+LVSZ   ; PNTR: THread<1> ARGument(6)      RN4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnTH2AR6  equ  iol_PnTH1AR6+LVSZ   ; PNTR: THread<2> ARGument(6)      RN4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnTH3AR6  equ  iol_PnTH2AR6+LVSZ   ; PNTR: THread<3> ARGument(6)      RN4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnTH4AR6  equ  iol_PnTH3AR6+LVSZ   ; PNTR: THread<4> ARGument(6)      RN4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnTH5AR6  equ  iol_PnTH4AR6+LVSZ   ; PNTR: THread<5> ARGument(6)      RN9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnTH6AR6  equ  iol_PnTH5AR6+LVSZ   ; PNTR: THread<6> ARGument(6)      RN9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnTH7AR6  equ  iol_PnTH6AR6+LVSZ   ; PNTR: THread<7> ARGument(6)      RN9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnTH8AR6  equ  iol_PnTH7AR6+LVSZ   ; PNTR: THread<8> ARGument(6)      RN9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnTH9AR6  equ  iol_PnTH8AR6+LVSZ   ; PNTR: THread<9> ARGument(6)      RN9THR [+0036 +0072 +0144 +0288 +0576]
;*--------------------------------------------------------------------------------------------------------------
iol_PnT0DATA  equ  iol_LNG+LVSZ*1090   ; PNTR: Thread<0> DATA String      RN4THR [00000 00000 00000 00000 00000]
iol_PnT1DATA  equ  iol_PnT0DATA+LVSZ   ; PNTR: Thread<1> DATA String      RN4THR [+0004 +0008 +0016 +0032 +0064]
iol_PnT2DATA  equ  iol_PnT1DATA+LVSZ   ; PNTR: Thread<2> DATA String      RN4THR [+0008 +0016 +0032 +0064 +0128]
iol_PnT3DATA  equ  iol_PnT2DATA+LVSZ   ; PNTR: Thread<3> DATA String      RN4THR [+0012 +0024 +0048 +0096 +0192]
iol_PnT4DATA  equ  iol_PnT3DATA+LVSZ   ; PNTR: Thread<4> DATA String      RN4THR [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
iol_PnT5DATA  equ  iol_PnT4DATA+LVSZ   ; PNTR: Thread<5> DATA String      RN9THR [+0020 +0040 +0080 +0160 +0320]
iol_PnT6DATA  equ  iol_PnT5DATA+LVSZ   ; PNTR: Thread<6> DATA String      RN9THR [+0024 +0048 +0096 +0192 +0384]
iol_PnT7DATA  equ  iol_PnT6DATA+LVSZ   ; PNTR: Thread<7> DATA String      RN9THR [+0028 +0056 +0112 +0224 +0448]
iol_PnT8DATA  equ  iol_PnT7DATA+LVSZ   ; PNTR: Thread<8> DATA String      RN9THR [+0032 +0064 +0128 +0256 +0512]
iol_PnT9DATA  equ  iol_PnT8DATA+LVSZ   ; PNTR: Thread<9> DATA String      RN9THR [+0036 +0072 +0144 +0288 +0576]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;;*==============================================================================================================
;tmm_LvQT0NUM  equ  tmm_LNG7+LVSZ*0016   ; PNTR: OPen4THRead   THread(0)NUMber     [#0064 #0128 #0256 #0512 #1024]
;tmm_LvQT0FND  equ  tmm_LvQT0NUM+LVSZ   ; PNTR: OPen9THRead   THread(0)FouND      [+0004 +0008 +0016 +0032 +0064]
;;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;tmm_LvRT0NUM  equ  tmm_LvQT0FND+LVSZ   ; PNTR: RuNs4THRead   THread(0)NUMber     [+0008 +0016 +0032 +0064 +0128]
;tmm_LvRT0FND  equ  tmm_LvRT0NUM+LVSZ   ; PNTR: RuNs9THRead   THread(0)FouND      [+0012 +0024 +0048 +0096 +0192]
;;*--------------------------------------------------------------------------------------------------------------
;;mm_LvTH0NUM  equ  tmm_LvRT0FND+LVSZ   ; PNTR: RuNs@THRead   THread(@)ARgument4  [+0016 +0032 +0064 +0128 +0256]
;;mm_PnTH0FND  equ  tmm_LvTH0NUM+LVSZ   ; PNTR: RuNs@THRead   THread(@)ARgument5  [+0020 +0040 +0080 +0160 +0320]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;;mm_HnThread  equ  tmm_PnTH0FND+LVSZ   ; HNDL: Unspecified            hThread    [+0024 +0048 +0096 +0192 +0384]
;;mm_LvThrdId  equ  tmm_HnThread+LVSZ   ; LVAL: Unspecified   dwThreadIdentifier  [+0028 +0056 +0112 +0224 +0448]
;;*==============================================================================================================
;tmm_LvQ1CTRL  equ  tmm_LNG7+LVSZ*0024   ; LVAL: OPen4THRead   Qpen<1>ConTRoL      [#0096 #0192 #0384 #0768 #1536]
;tmm_LvQ2CTRL  equ  tmm_LvQ1CTRL+LVSZ   ; LVAL: OPen9THRead   Qpen<2>ConTRoL      [+0004 +0008 +0016 +0032 +0064]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;tmm_LvTH@NUM  equ  tmm_LvQ2CTRL+LVSZ   ; LVAL: OPen4THRead   THread(@)NUMber     [+0008 +0016 +0032 +0064 +0128]
;tmm_LvT@VALU  equ  tmm_LvTH@NUM+LVSZ   ; LVAL: OPen9THRead   Thread(@)VALUe      [+0012 +0024 +0048 +0096 +0192]
;tmm_PnT@ARG1  equ  tmm_LvT@VALU+LVSZ   ; PNTR: OPen4THRead   Thread(@)ARGument1  [+0016 +0032 +0064 +0128 +0256]
;tmm_PnT@ARG2  equ  tmm_PnT@ARG1+LVSZ   ; PNTR: OPen9THRead   Thread(@)ARGument2  [+0020 +0040 +0080 +0160 +0320]
;tmm_PnT@ARG3  equ  tmm_PnT@ARG2+LVSZ   ; PNTR: OPen4THRead   Thread(@)ARGument3  [+0024 +0048 +0096 +0192 +0384]
;tmm_PnT@NAME  equ  tmm_PnT@ARG3+LVSZ   ; PNTR: OPen9THRead   Thread(@)NAME       [+0028 +0056 +0112 +0224 +0448]
;;*==============================================================================================================
;tmm_LvR1CTRL  equ  tmm_LNG7+LVSZ*0032   ; LVAL: RuNs4THRead   Runs<1>ConTRoL      [#0128 #0256 #0512 #1024 #2048]
;tmm_LvR2CTRL  equ  tmm_LvR1CTRL+LVSZ   ; LVAL: RuNs9THRead   Runs<2>ConTRoL      [+0004 +0008 +0016 +0032 +0064]
;;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;tmm_LwTH@NUM  equ  tmm_LvR2CTRL+LVSZ   ; LVAL: RuNs4THRead   THread(@)NUMber     [+0008 +0016 +0032 +0064 +0128]
;tmm_LvT@FUNC  equ  tmm_LwTH@NUM+LVSZ   ; LVAL: RuNs9THRead   Thread(@)FUNCtion   [+0012 +0024 +0048 +0096 +0192]
;tmm_PnT@FUNC  equ  tmm_LwTH@NUM+LVSZ   ; LVAL: RuNs9THRead   Thread(@)FUNCtion   [+0012 +0024 +0048 +0096 +0192]
;;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
;tmm_PnT@ARG4  equ  tmm_PnT@FUNC+LVSZ   ; PNTR: RuNs4THRead   Thread(@)ARGument4  [+0016 +0032 +0064 +0128 +0256]
;tmm_PnT@ARG5  equ  tmm_PnT@ARG4+LVSZ   ; PNTR: RuNs9THRead   Thread(@)ARGument5  [+0020 +0040 +0080 +0160 +0320]
;tmm_PnT@ARG6  equ  tmm_PnT@ARG5+LVSZ   ; PNTR: RuNs4THRead   Thread(@)ARGument6  [+0024 +0048 +0096 +0192 +0384]
;tmm_PnT@DATA  equ  tmm_PnT@ARG6+LVSZ   ; PNTR: RuNs9THRead   Thread(@)DATA       [+0028 +0056 +0112 +0224 +0448]
;;*==============================================================================================================



;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
iol_STRCSIZ1  equ  iol_LNG+LVSZ*2000   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
iol_ValueEND  equ  iol_LNG+LVSZ*2000   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
;*==============================================================================================================

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;############################################################################################################### Aus DL1sys00.asm
;## SUB PART                           ; MEMO: Part start                        [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
jpr_KeyEvent  equ  000+00000000+0000   ; STRC: KEY_EVENT_RECORD        020 Bytes [00000 00000 00000 00000 00000]
jpr_MouEvent  equ  000+00000000+0000   ; STRC: MOUSE_EVENT_RECORD      020 Bytes [00000 00000 00000 00000 00000]
jpr_BSzEvent  equ  000+00000000+0000   ; STRC: WIND_BUFF_SIZE_RECORD   008 Bytes [00000 00000 00000 00000 00000]
jpr_MemEvent  equ  000+00000000+0000   ; STRC: MENU_EVENT_RECORD       008 Bytes [00000 00000 00000 00000 00000]
jpr_FocEvent  equ  000+00000000+0000   ; STRC: FOCUS_EVENT_RECORD      008 Bytes [00000 00000 00000 00000 00000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
jpr_ActConId  equ  000+00000000+0020   ; STRC: ActiveConsoleIndex      004 Bytes [00020 00020 00020 00020 00020]
jpr_STRCSIZE  equ  000+00000000+0024   ; PARA: INPUT_RECORD            MAX Bytes [00024 00024 00024 00024 00024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;###############################################################################################################
;## ValFIXED       (I)n(O)ut(S)tatic  ; SVAL: Internal Non scaling Variables    [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
ios_FUX       equ  gmm_IOS+1024*0000   ; PARA: (J)nput(O)utput(L)ibrary_BEGin    [%0000 %0000 %0000 %0000 %0000]
ios_LUG       equ  ios_FUX+1024*0008   ; PARA: (J)nput(O)utput(L)ibrary_LoNG     [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu0000  equ  ios_FIX+0000+000    ; XVAL: Internal Part00 Non scaling Value [%0000 %0000 %0000 %0000 %0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu0000  equ  ios_BEG+0000+000    ; SVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;os_Valu0001  equ  ios_Valu0000+04     ; SVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu0000  equ  ios_FIX+1024*000    ; XVAL: Internal Part00 Non scaling Value [%0000 %0000 %0000 %0000 %0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  ios_FIX+1024*001    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  ios_FIX+1024*002    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu3072  equ  ios_FIX+3072+000    ; XVAL: Internal Part03 Non scaling Value [%3072 %3072 %3072 %3072 %3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu4096  equ  ios_FIX+4096+000    ; XVAL: Internal Part04 Non scaling Value [%4096 %4096 %4096 %4096 %4096]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu5120  equ  ios_FIX+5120+000    ; XVAL: Internal Part05 Non scaling Value [%5120 %5120 %5120 %5120 %5120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu6144  equ  ios_FIX+6144+000    ; XVAL: Internal Part06 Non scaling Value [%6144 %6144 %6144 %6144 %6144]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu7168  equ  ios_FIX+7168+000    ; XVAL: Internal Part07 Non scaling Value [%7168 %7168 %7168 %7168 %7168]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu8192  equ  ios_FIX+8192+000    ; XVAL: Internal Part08 Non scaling Value [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu9216  equ  ios_FIX+9216+000    ; XVAL: Internal Part09 Non scaling Value [%9216 %9216 %9216 %9216 %9216]
;###############################################################################################################
;## ValuLONG       (I)n(O)ut(S)tatic   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
ios_PnTmmBas  equ  ios_LUG+LVSZ*0000   ; PNTR: Internal Pnter.QutPuLibStatic.Bas [#0000 #0000 #0000 #0000 #0000]
ios_PnTmmTop  equ  ios_PnTmmBas+LVSZ   ; PNTR: Internal Pnter.QutPuLibStatic.Top [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================





ios_R0ThrdHd  equ  gmm_iox+LVSZ*0000   ; HNDL: Read <0> Thread Handle            [#4096 #8192 16384 32768 65536]
ios_R1ThrdHd  equ  ios_R0ThrdHd+LVSZ   ; HNDL: Read <1> Thread Handle            [+0004 +0008 +0016 +0032 +0064]
ios_R2ThrdHd  equ  ios_R1ThrdHd+LVSZ   ; HNDL: Read <2> Thread Handle            [+0008 +0016 +0032 +0064 +0128]
ios_R3ThrdHd  equ  ios_R2ThrdHd+LVSZ   ; HNDL: Read <3> Thread Handle            [+0012 +0024 +0048 +0096 +0192]
ios_R4ThrdHd  equ  ios_R3ThrdHd+LVSZ   ; HNDL: Read <4> Thread Handle            [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5ThrdHd  equ  ios_R4ThrdHd+LVSZ   ; HNDL: Read <5> Thread Handle            [+0020 +0040 +0080 +0160 +0320]
ios_R6ThrdHd  equ  ios_R5ThrdHd+LVSZ   ; HNDL: Read <6> Thread Handle            [+0024 +0048 +0096 +0192 +0384]
ios_R7ThrdHd  equ  ios_R6ThrdHd+LVSZ   ; HNDL: Read <7> Thread Handle            [+0028 +0056 +0112 +0224 +0448]
ios_R8ThrdHd  equ  ios_R7ThrdHd+LVSZ   ; HNDL: Read <8> Thread Handle            [+0032 +0064 +0128 +0256 +0512]
ios_R9ThrdHd  equ  ios_R8ThrdHd+LVSZ   ; HNDL: Read <9> Thread Handle            [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0ThrdId  equ  ios_R9ThrdHd+LVSZ   ; LVAL: Read <0> Thread Identifier        [#0040 #0080 #0160 #0320 #0640]
ios_R1ThrdId  equ  ios_R0ThrdId+LVSZ   ; LVAL: Read <1> Thread Identifier        [+0004 +0008 +0016 +0032 +0064]
ios_R2ThrdId  equ  ios_R1ThrdId+LVSZ   ; LVAL: Read <2> Thread Identifier        [+0008 +0016 +0032 +0064 +0128]
ios_R3ThrdId  equ  ios_R2ThrdId+LVSZ   ; LVAL: Read <3> Thread Identifier        [+0012 +0024 +0048 +0096 +0192]
ios_R4ThrdId  equ  ios_R3ThrdId+LVSZ   ; LVAL: Read <4> Thread Identifier        [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5ThrdId  equ  ios_R4ThrdId+LVSZ   ; LVAL: Read <5> Thread Identifier        [+0020 +0040 +0080 +0160 +0320]
ios_R6ThrdId  equ  ios_R5ThrdId+LVSZ   ; LVAL: Read <6> Thread Identifier        [+0024 +0048 +0096 +0192 +0384]
ios_R7ThrdId  equ  ios_R6ThrdId+LVSZ   ; LVAL: Read <7> Thread Identifier        [+0028 +0056 +0112 +0224 +0448]
ios_R8ThrdId  equ  ios_R7ThrdId+LVSZ   ; LVAL: Read <8> Thread Identifier        [+0032 +0064 +0128 +0256 +0512]
ios_R9ThrdId  equ  ios_R8ThrdId+LVSZ   ; LVAL: Read <9> Thread Identifier        [+0036 +0072 +0144 +0288 +0576]
;*==============================================================================================================
ios_ActConHd  equ  gmm_iox+LVSZ*0024   ; HNDL: GetConsoleActiveScreenBuffer !??  [+0016 +0032 +0064 +0128 +0256]
ios_ActConId  equ  ios_ActConHd+LVSZ   ; LVAL: GetConsoleActiveScreenBuffer !??  [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;os_NewConHd  equ  ios_ActConId+LVSZ   ; HNDL: SetConsoleActiveScreenBuffer      [+0024 +0048 +0096 +0192 +0384]
;os_NewConId  equ  ios_NewConHd+LVSZ   ; LVAL: SetConsoleActiveScreenBuffer      [+0028 +0056 +0112 +0224 +0448]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_C0JprMem  equ  gmm_iox+LVSZ*032                ; Cons<0>JnpRecord(00000)Memo [#0000 #0000 #0000 #0000 #0000]
ios_C0Jpr001  equ  ios_C0JprMem+jpr_STRCSIZE*00001 ; Cons<0>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C0Jpr002  equ  ios_C0JprMem+jpr_STRCSIZE*00002 ; Cons<0>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_C0Jpr255  equ  ios_C0JprMem+jpr_STRCSIZE*00255 ; Cons<0>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*==============================================================================================================
ios_C1JprMem  equ  ios_C0JprMem+jpr_STRCSIZE*00256 ; Cons<1>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C1Jpr001  equ  ios_C1JprMem+jpr_STRCSIZE*00001 ; Cons<1>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C1Jpr002  equ  ios_C1JprMem+jpr_STRCSIZE*00002 ; Cons<1>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C1Jpr255  equ  ios_C1JprMem+jpr_STRCSIZE*00255 ; Cons<1>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C2JprMem  equ  ios_C1JprMem+jpr_STRCSIZE*00256 ; Cons<2>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C2Jpr001  equ  ios_C2JprMem+jpr_STRCSIZE*00001 ; Cons<2>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C2Jpr002  equ  ios_C2JprMem+jpr_STRCSIZE*00002 ; Cons<2>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C2Jpr255  equ  ios_C2JprMem+jpr_STRCSIZE*00255 ; Cons<2>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C3JprMem  equ  ios_C2JprMem+jpr_STRCSIZE*00256 ; Cons<3>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C3Jpr001  equ  ios_C3JprMem+jpr_STRCSIZE*00001 ; Cons<3>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C3Jpr002  equ  ios_C3JprMem+jpr_STRCSIZE*00002 ; Cons<3>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C3Jpr255  equ  ios_C3JprMem+jpr_STRCSIZE*00255 ; Cons<3>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C4JprMem  equ  ios_C3JprMem+jpr_STRCSIZE*00256 ; Cons<4>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C4Jpr001  equ  ios_C4JprMem+jpr_STRCSIZE*00001 ; Cons<4>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C4Jpr002  equ  ios_C4JprMem+jpr_STRCSIZE*00002 ; Cons<4>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C4Jpr255  equ  ios_C4JprMem+jpr_STRCSIZE*00255 ; Cons<4>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C5JprMem  equ  ios_C4JprMem+jpr_STRCSIZE*00256 ; Cons<5>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C5Jpr001  equ  ios_C5JprMem+jpr_STRCSIZE*00001 ; Cons<5>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C5Jpr002  equ  ios_C5JprMem+jpr_STRCSIZE*00002 ; Cons<5>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C5Jpr255  equ  ios_C5JprMem+jpr_STRCSIZE*00255 ; Cons<5>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C6JprMem  equ  ios_C5JprMem+jpr_STRCSIZE*00256 ; Cons<6>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C6Jpr001  equ  ios_C6JprMem+jpr_STRCSIZE*00001 ; Cons<6>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C6Jpr002  equ  ios_C6JprMem+jpr_STRCSIZE*00002 ; Cons<6>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C6Jpr255  equ  ios_C6JprMem+jpr_STRCSIZE*00255 ; Cons<6>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C7JprMem  equ  ios_C6JprMem+jpr_STRCSIZE*00256 ; Cons<7>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C7Jpr001  equ  ios_C7JprMem+jpr_STRCSIZE*00001 ; Cons<7>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C7Jpr002  equ  ios_C7JprMem+jpr_STRCSIZE*00002 ; Cons<7>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C7Jpr255  equ  ios_C7JprMem+jpr_STRCSIZE*00255 ; Cons<7>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C8JprMem  equ  ios_C7JprMem+jpr_STRCSIZE*00256 ; Cons<8>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C8Jpr001  equ  ios_C8JprMem+jpr_STRCSIZE*00001 ; Cons<8>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C8Jpr002  equ  ios_C8JprMem+jpr_STRCSIZE*00002 ; Cons<8>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C8Jpr255  equ  ios_C8JprMem+jpr_STRCSIZE*00255 ; Cons<8>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*--------------------------------------------------------------------------------------------------------------
ios_C9JprMem  equ  ios_C8JprMem+jpr_STRCSIZE*00256 ; Cons<9>JnpRecord(00000)Memo [#5120 #5120 #5120 #5120 #5120]
ios_C9Jpr001  equ  ios_C9JprMem+jpr_STRCSIZE*00001 ; Cons<9>JnpRecord(00001)Memo [+0020 +0020 +0020 +0020 +0020]
ios_C9Jpr002  equ  ios_C9JprMem+jpr_STRCSIZE*00002 ; Cons<9>JnpRecord(00002)Memo [+0040 +0040 +0040 +0040 +0040]
ios_C9Jpr255  equ  ios_C9JprMem+jpr_STRCSIZE*00255 ; Cons<9>JnpRecord(00255)Memo [+5100 +5100 +5100 +5100 +5100]
;*==============================================================================================================
iox_BUF       equ  ios_C9JprMem+jpr_STRCSIZE*00256 ; Cons<A>JnpRecord(00000)Mssg [#5120 00000 00000 00000 00000]
;###############################################################################################################
;## SUB PART                           ; MEMO: Part start                        [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;###############################################################################################################
;## MEMORY    Input.Output.Static      ; EVAL: Fixed Non scaling Memory Strings  [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
ios_W00BuMem  equ  gmm_ios+0000+0000   ; STRG: Writ Std? Console: WorkBuffMemory [+0064 +0128 +0256 +0512 +1024]
ios_W01BuMem  equ  ios_W00BuMem+8192   ; STRG: Writ Base Cons<01> WorkBuffMemory [+008K +008K +008K +008K +008K]
ios_W02BuMem  equ  ios_W01BuMem+8192   ; STRG: Writ User Cons<02> WorkBuffMemory [+016K +016K +016K +016K +016K]
ios_W03BuMem  equ  ios_W02BuMem+8192   ; STRG: Writ User Cons<03> WorkBuffMemory [+024K +024K +024K +024K +024K]
ios_W04BuMem  equ  ios_W03BuMem+8192   ; STRG: Writ User Cons<04> WorkBuffMemory [+032K +032K +032K +032K +032K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05BuMem  equ  ios_W04BuMem+8192   ; STRG: Writ User Cons<05> WorkBuffMemory [+040K +040K +040K +040K +040K]
ios_W06BuMem  equ  ios_W05BuMem+8192   ; STRG: Writ User Cons<06> WorkBuffMemory [+048K +048K +048K +048K +048K]
ios_W07BuMem  equ  ios_W06BuMem+8192   ; STRG: Writ User Cons<07> WorkBuffMemory [+056K +056K +056K +056K +056K]
ios_W08BuMem  equ  ios_W07BuMem+8192   ; STRG: Writ User Cons<08> WorkBuffMemory [+064K +064K +064K +064K +064K]
ios_W09BuMem  equ  ios_W08BuMem+8192   ; STRG: Writ User Cons<09> WorkBuffMemory [+072K +072K +072K +072K +072K]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10BuMem  equ  ios_W09BuMem+8192   ; STRG: Writ User File<10> WorkBuffMemory [+080K +080K +080K +080K +080K]
ios_W11BuMem  equ  ios_W10BuMem+8192   ; STRG: Writ User File<11> WorkBuffMemory [+088K +088K +088K +088K +088K]
ios_W12BuMem  equ  ios_W11BuMem+8192   ; STRG: Writ User File<12> WorkBuffMemory [+096K +096K +096K +096K +096K]
ios_W13BuMem  equ  ios_W12BuMem+8192   ; STRG: Writ User File<13> WorkBuffMemory [+104K +104K +104K +104K +104K]
ios_W14BuMem  equ  ios_W13BuMem+8192   ; STRG: Writ User File<14> WorkBuffMemory [+112K +112K +112K +112K +112K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15BuMem  equ  ios_W14BuMem+8192   ; STRG: Writ User File<15> WorkBuffMemory [+120K +120K +120K +120K +120K]
ios_W16BuMem  equ  ios_W15BuMem+8192   ; STRG: Writ User File<16> WorkBuffMemory [+128K +128K +128K +128K +128K]
ios_W17BuMem  equ  ios_W16BuMem+8192   ; STRG: Writ User File<17> WorkBuffMemory [+136K +136K +136K +136K +136K]
ios_W18BuMem  equ  ios_W17BuMem+8192   ; STRG: Writ User File<18> WorkBuffMemory [+144K +144K +144K +144K +144K]
ios_W19BuMem  equ  ios_W18BuMem+8192   ; STRG: Writ User File<19> WorkBuffMemory [+152K +152K +152K +152K +152K]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*  W20BuMem  equ  ios_W19BuMem+8192   ; STRG: Writ User Memo<20> WorkBuffMemory [+160K +160K +160K +160K +160K]
;*  W21BuMem  equ  ios_W20BuMem+8192   ; STRG: Writ User Memo<21> WorkBuffMemory [+168K +168K +168K +168K +168K]
;*  W22BuMem  equ  ios_W21BuMem+8192   ; STRG: Writ User Memo<22> WorkBuffMemory [+176K +176K +176K +176K +176K]
;*  W23BuMem  equ  ios_W22BuMem+8192   ; STRG: Writ User Memo<23> WorkBuffMemory [+184K +184K +184K +184K +184K]
;*  W24BuMem  equ  ios_W23BuMem+8192   ; STRG: Writ User Memo<24> WorkBuffMemory [+192K +192K +192K +192K +192K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;*  W25BuMem  equ  ios_W24BuMem+8192   ; STRG: Writ User Memo<25> WorkBuffMemory [+200K +200K +200K +200K +200K]
;*  W26BuMem  equ  ios_W25BuMem+8192   ; STRG: Writ User Memo<26> WorkBuffMemory [+208K +208K +208K +208K +208K]
;*  W27BuMem  equ  ios_W26BuMem+8192   ; STRG: Writ User Memo<27> WorkBuffMemory [+216K +216K +216K +216K +216K]
;*  W28BuMem  equ  ios_W27BuMem+8192   ; STRG: Writ User Memo<28> WorkBuffMemory [+224K +224K +224K +224K +224K]
;*  W29BuMem  equ  ios_W28BuMem+8192   ; STRG: Writ User Memo<29> WorkBuffMemory [+232K +232K +232K +232K +232K]
;*--------------------------------------------------------------------------------------------------------------
ios_W30BuMem  equ  ios_W19BuMem+8192   ; STRG: Writ DsLb File<30> WorkBuffMemory [+160K +160K +160K +160K +240K]
ios_W31BuMem  equ  ios_W30BuMem+8192   ; STRG: Writ DsLb Memo<31> WorkBuffMemory [+168K +168K +168K +168K +248K]
;*==============================================================================================================
ios_W00NaStr  equ  gmm_ios+1024*0176   ; STRG: Writ Std? Console: NameStrgMemory [#176K #176K #176K #176K #176K]
ios_W01NaStr  equ  ios_W00NaStr+2048   ; STRG: Writ Base Cons<01> NameStrgMemory [+002K +002K +002K +002K +002K]
ios_W02NaStr  equ  ios_W01NaStr+2048   ; STRG: Writ User Cons<02> NameStrgMemory [+004K +004K +004K +004K +004K]
ios_W03NaStr  equ  ios_W02NaStr+2048   ; STRG: Writ User Cons<03> NameStrgMemory [+006K +006K +006K +006K +006K]
ios_W04NaStr  equ  ios_W03NaStr+2048   ; STRG: Writ User Cons<04> NameStrgMemory [+008K +008K +008K +008K +008K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05NaStr  equ  ios_W04NaStr+2048   ; STRG: Writ User Cons<05> NameStrgMemory [+010K +010K +010K +010K +010K]
ios_W06NaStr  equ  ios_W05NaStr+2048   ; STRG: Writ User Cons<06> NameStrgMemory [+012K +012K +012K +012K +012K]
ios_W07NaStr  equ  ios_W06NaStr+2048   ; STRG: Writ User Cons<07> NameStrgMemory [+014K +014K +014K +014K +014K]
ios_W08NaStr  equ  ios_W07NaStr+2048   ; STRG: Writ User Cons<08> NameStrgMemory [+016K +016K +016K +016K +016K]
ios_W09NaStr  equ  ios_W08NaStr+2048   ; STRG: Writ User Cons<09> NameStrgMemory [+018K +018K +018K +018K +018K]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10NaStr  equ  ios_W09NaStr+2048   ; STRG: Writ User File<10> NameStrgMemory [+020K +020K +020K +020K +020K]
ios_W11NaStr  equ  ios_W10NaStr+2048   ; STRG: Writ User File<11> NameStrgMemory [+022K +022K +022K +022K +022K]
ios_W12NaStr  equ  ios_W11NaStr+2048   ; STRG: Writ User File<12> NameStrgMemory [+024K +024K +024K +024K +024K]
ios_W13NaStr  equ  ios_W12NaStr+2048   ; STRG: Writ User File<13> NameStrgMemory [+026K +026K +026K +026K +026K]
ios_W14NaStr  equ  ios_W13NaStr+2048   ; STRG: Writ User File<14> NameStrgMemory [+028K +028K +028K +028K +028K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15NaStr  equ  ios_W14NaStr+2048   ; STRG: Writ User File<15> NameStrgMemory [+030K +030K +030K +030K +030K]
ios_W16NaStr  equ  ios_W15NaStr+2048   ; STRG: Writ User File<16> NameStrgMemory [+032K +032K +032K +032K +032K]
ios_W17NaStr  equ  ios_W16NaStr+2048   ; STRG: Writ User File<17> NameStrgMemory [+034K +034K +034K +034K +034K]
ios_W18NaStr  equ  ios_W17NaStr+2048   ; STRG: Writ User File<18> NameStrgMemory [+036K +036K +036K +036K +036K]
ios_W19NaStr  equ  ios_W18NaStr+2048   ; STRG: Writ User File<19> NameStrgMemory [+038K +038K +038K +038K +038K]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20NaStr  equ  ios_W19NaStr+2048   ; STRG: Writ User Memo<20> NameStrgMemory [+040K +040K +040K +040K +040K]
ios_W21NaStr  equ  ios_W20NaStr+2048   ; STRG: Writ User Memo<21> NameStrgMemory [+042K +042K +042K +042K +042K]
ios_W22NaStr  equ  ios_W21NaStr+2048   ; STRG: Writ User Memo<22> NameStrgMemory [+044K +044K +044K +044K +044K]
ios_W23NaStr  equ  ios_W22NaStr+2048   ; STRG: Writ User Memo<23> NameStrgMemory [+046K +046K +046K +046K +046K]
ios_W24NaStr  equ  ios_W23NaStr+2048   ; STRG: Writ User Memo<24> NameStrgMemory [+048K +048K +048K +048K +048K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25NaStr  equ  ios_W24NaStr+2048   ; STRG: Writ User Memo<25> NameStrgMemory [+050K +050K +050K +050K +050K]
ios_W26NaStr  equ  ios_W25NaStr+2048   ; STRG: Writ User Memo<26> NameStrgMemory [+052K +052K +052K +052K +052K]
ios_W27NaStr  equ  ios_W26NaStr+2048   ; STRG: Writ User Memo<27> NameStrgMemory [+054K +054K +054K +054K +054K]
ios_W28NaStr  equ  ios_W27NaStr+2048   ; STRG: Writ User Memo<28> NameStrgMemory [+056K +056K +056K +056K +056K]
ios_W29NaStr  equ  ios_W28NaStr+2048   ; STRG: Writ User Memo<29> NameStrgMemory [+058K +058K +058K +058K +058K]
;*--------------------------------------------------------------------------------------------------------------
ios_W30NaStr  equ  ios_W29NaStr+2048   ; STRG: Writ DsLb File<30> NameStrgMemory [+060K +060K +060K +060K +060K]
ios_W31NaStr  equ  ios_W30NaStr+2048   ; STRG: Writ DsLb Memo<31> NameStrgMemory [+062K +062K +062K +062K +062K]
;*==============================================================================================================
ios_W00CsMem  equ  gmm_ios+1024*0240   ; STRC: Writ ???? Console: Crit Sect Memo [#032K #032K #032K #032K #032K]
ios_W01CsMem  equ  ios_W00CsMem+512    ; STRC: Writ StdO Cons<01> Crit Sect Memo [+00K5 +00K5 +00K5 +00K5 +00K5]
ios_W02CsMem  equ  ios_W01CsMem+512    ; STRC: Writ User Cons<02> Crit Sect Memo [+01K0 +01K0 +01K0 +01K0 +01K0]
ios_W03CsMem  equ  ios_W02CsMem+512    ; STRC: Writ User Cons<03> Crit Sect Memo [+01K5 +01K5 +01K5 +01K5 +01K5]
ios_W04CsMem  equ  ios_W03CsMem+512    ; STRC: Writ User Cons<04> Crit Sect Memo [+02K0 +02K0 +02K0 +02K0 +02K0]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05CsMem  equ  ios_W04CsMem+512    ; STRC: Writ User Cons<05> Crit Sect Memo [+02K5 +02K5 +02K5 +02K5 +02K5]
ios_W06CsMem  equ  ios_W05CsMem+512    ; STRC: Writ User Cons<06> Crit Sect Memo [+03K0 +03K0 +03K0 +03K0 +03K0]
ios_W07CsMem  equ  ios_W06CsMem+512    ; STRC: Writ User Cons<07> Crit Sect Memo [+03K5 +03K5 +03K5 +03K5 +03K5]
ios_W08CsMem  equ  ios_W07CsMem+512    ; STRC: Writ User Cons<08> Crit Sect Memo [+04K0 +04K0 +04K0 +04K0 +04K0]
ios_W09CsMem  equ  ios_W08CsMem+512    ; STRC: Writ User Cons<09> Crit Sect Memo [+04K5 +04K5 +04K5 +04K5 +04K5]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10CsMem  equ  ios_W09CsMem+512    ; STRC: Writ User File<10> Crit Sect Memo [+05K0 +05K0 +05K0 +05K0 +05K0]
ios_W11CsMem  equ  ios_W10CsMem+512    ; STRC: Writ User File<11> Crit Sect Memo [+05K5 +05K5 +05K5 +05K5 +05K5]
ios_W12CsMem  equ  ios_W11CsMem+512    ; STRC: Writ User File<12> Crit Sect Memo [+06K0 +06K0 +06K0 +06K0 +06K0]
ios_W13CsMem  equ  ios_W12CsMem+512    ; STRC: Writ User File<13> Crit Sect Memo [+06K5 +06K5 +06K5 +06K5 +06K5]
ios_W14CsMem  equ  ios_W13CsMem+512    ; STRC: Writ User File<14> Crit Sect Memo [+07K0 +07K0 +07K0 +07K0 +07K0]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15CsMem  equ  ios_W14CsMem+512    ; STRC: Writ User File<15> Crit Sect Memo [+07K5 +07K5 +07K5 +07K5 +07K5]
ios_W16CsMem  equ  ios_W15CsMem+512    ; STRC: Writ User File<16> Crit Sect Memo [+08K0 +08K0 +08K0 +08K0 +08K0]
ios_W17CsMem  equ  ios_W16CsMem+512    ; STRC: Writ User File<17> Crit Sect Memo [+08K5 +08K5 +08K5 +08K5 +08K5]
ios_W18CsMem  equ  ios_W17CsMem+512    ; STRC: Writ User File<18> Crit Sect Memo [+09K0 +09K0 +09K0 +09K0 +09K0]
ios_W19CsMem  equ  ios_W18CsMem+512    ; STRC: Writ User File<19> Crit Sect Memo [+09K5 +09K5 +09K5 +09K5 +09K5]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20CsMem  equ  ios_W19CsMem+512    ; STRC: Writ User Memo<20> Crit Sect Memo [+10K0 +10K0 +10K0 +10K0 +10K0]
ios_W21CsMem  equ  ios_W20CsMem+512    ; STRC: Writ User Memo<21> Crit Sect Memo [+10K5 +10K5 +10K5 +10K5 +10K5]
ios_W22CsMem  equ  ios_W21CsMem+512    ; STRC: Writ User Memo<22> Crit Sect Memo [+11K0 +11K0 +11K0 +11K0 +11K0]
ios_W23CsMem  equ  ios_W22CsMem+512    ; STRC: Writ User Memo<23> Crit Sect Memo [+11K5 +11K5 +11K5 +11K5 +11K5]
ios_W24CsMem  equ  ios_W23CsMem+512    ; STRC: Writ User Memo<24> Crit Sect Memo [+12K0 +12K0 +12K0 +12K0 +12K0]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25CsMem  equ  ios_W24CsMem+512    ; STRC: Writ User Memo<25> Crit Sect Memo [+12K5 +12K5 +12K5 +12K5 +12K5]
ios_W26CsMem  equ  ios_W25CsMem+512    ; STRC: Writ User Memo<26> Crit Sect Memo [+13K0 +13K0 +13K0 +13K0 +13K0]
ios_W27CsMem  equ  ios_W26CsMem+512    ; STRC: Writ User Memo<27> Crit Sect Memo [+13K5 +13K5 +13K5 +13K5 +13K5]
ios_W28CsMem  equ  ios_W27CsMem+512    ; STRC: Writ User Memo<28> Crit Sect Memo [+14K0 +14K0 +14K0 +14K0 +14K0]
ios_W29CsMem  equ  ios_W28CsMem+512    ; STRC: Writ User Memo<29> Crit Sect Memo [+14K5 +14K5 +14K5 +14K5 +14K5]
;*--------------------------------------------------------------------------------------------------------------
ios_W30CsMem  equ  ios_W29CsMem+512    ; STRC: Writ DsLb File<30> Crit Sect Memo [+15K0 +15K0 +15K0 +15K0 +15K0]
ios_W31CsMem  equ  ios_W30CsMem+512    ; STRC: Writ DsLb Memo<31> Crit Sect Memo [+15K5 +15K5 +15K5 +15K5 +15K5]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_R00BuMem  equ  gmm_ios+1024*0256   ; STRG: Read StdO Console: WorkBuffMemory [#256K #256K #256K #256K #256K]
ios_R01BuMem  equ  ios_R00BuMem+8192   ; STRG: Read User Cons<01> WorkBuffMemory [+008K +008K +008K +008K +008K]
ios_R02BuMem  equ  ios_R01BuMem+8192   ; STRG: Read User Cons<02> WorkBuffMemory [+016K +016K +016K +016K +016K]
ios_R03BuMem  equ  ios_R02BuMem+8192   ; STRG: Read User Cons<03> WorkBuffMemory [+024K +024K +024K +024K +024K]
ios_R04BuMem  equ  ios_R03BuMem+8192   ; STRG: Read User Cons<04> WorkBuffMemory [+032K +032K +032K +032K +032K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05BuMem  equ  ios_R04BuMem+8192   ; STRG: Read User Cons<05> WorkBuffMemory [+040K +040K +040K +040K +040K]
ios_R06BuMem  equ  ios_R05BuMem+8192   ; STRG: Read User Cons<06> WorkBuffMemory [+048K +048K +048K +048K +048K]
ios_R07BuMem  equ  ios_R06BuMem+8192   ; STRG: Read User Cons<07> WorkBuffMemory [+056K +056K +056K +056K +056K]
ios_R08BuMem  equ  ios_R07BuMem+8192   ; STRG: Read User Cons<08> WorkBuffMemory [+064K +064K +064K +064K +064K]
ios_R09BuMem  equ  ios_R08BuMem+8192   ; STRG: Read User Cons<09> WorkBuffMemory [+072K +072K +072K +072K +072K]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10BuMem  equ  ios_R09BuMem+8192   ; STRG: Read User File<10> WorkBuffMemory [+080K +080K +080K +080K +080K]
ios_R11BuMem  equ  ios_R10BuMem+8192   ; STRG: Read User File<11> WorkBuffMemory [+088K +088K +088K +088K +088K]
ios_R12BuMem  equ  ios_R11BuMem+8192   ; STRG: Read User File<12> WorkBuffMemory [+096K +096K +096K +096K +096K]
ios_R13BuMem  equ  ios_R12BuMem+8192   ; STRG: Read User File<13> WorkBuffMemory [+104K +104K +104K +104K +104K]
ios_R14BuMem  equ  ios_R13BuMem+8192   ; STRG: Read User File<14> WorkBuffMemory [+112K +112K +112K +112K +112K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15BuMem  equ  ios_R14BuMem+8192   ; STRG: Read User File<15> WorkBuffMemory [+120K +120K +120K +120K +120K]
ios_R16BuMem  equ  ios_R15BuMem+8192   ; STRG: Read User File<16> WorkBuffMemory [+128K +128K +128K +128K +128K]
ios_R17BuMem  equ  ios_R16BuMem+8192   ; STRG: Read User File<17> WorkBuffMemory [+136K +136K +136K +136K +136K]
ios_R18BuMem  equ  ios_R17BuMem+8192   ; STRG: Read User File<18> WorkBuffMemory [+144K +144K +144K +144K +144K]
ios_R19BuMem  equ  ios_R18BuMem+8192   ; STRG: Read User File<19> WorkBuffMemory [+152K +152K +152K +152K +152K]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*  R20BuMem  equ  ios_R19BuMem+8192   ; STRG: Read User Memo<20> WorkBuffMemory [+160K +160K +160K +160K +160K]
;*  R21BuMem  equ  ios_R20BuMem+8192   ; STRG: Read User Memo<21> WorkBuffMemory [+168K +168K +168K +168K +168K]
;*  R22BuMem  equ  ios_R21BuMem+8192   ; STRG: Read User Memo<22> WorkBuffMemory [+176K +176K +176K +176K +176K]
;*  R23BuMem  equ  ios_R22BuMem+8192   ; STRG: Read User Memo<23> WorkBuffMemory [+184K +184K +184K +184K +184K]
;*  R24BuMem  equ  ios_R23BuMem+8192   ; STRG: Read User Memo<24> WorkBuffMemory [+192K +192K +192K +192K +192K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;*  R25BuMem  equ  ios_R24BuMem+8192   ; STRG: Read User Memo<25> WorkBuffMemory [+200K +200K +200K +200K +200K]
;*  R26BuMem  equ  ios_R25BuMem+8192   ; STRG: Read User Memo<26> WorkBuffMemory [+208K +208K +208K +208K +208K]
;*  R27BuMem  equ  ios_R26BuMem+8192   ; STRG: Read User Memo<27> WorkBuffMemory [+216K +216K +216K +216K +216K]
;*  R28BuMem  equ  ios_R27BuMem+8192   ; STRG: Read User Memo<28> WorkBuffMemory [+224K +224K +224K +224K +224K]
;*  R29BuMem  equ  ios_R28BuMem+8192   ; STRG: Read User Memo<29> WorkBuffMemory [+232K +232K +232K +232K +232K]
;*--------------------------------------------------------------------------------------------------------------
ios_R30BuMem  equ  ios_R19BuMem+8192   ; STRG: Read DsLb File<30> WorkBuffMemory [+160K +160K +160K +160K +240K]
ios_R31BuMem  equ  ios_R30BuMem+8192   ; STRG: Read DsLb Memo<31> WorkBuffMemory [+168K +168K +168K +168K +248K]
;*==============================================================================================================
ios_R00NaStr  equ  gmm_ios+1024*0432   ; STRG: Read StdO Console: NameStrgMemory [#432K #432K #432K #432K #432K]
ios_R01NaStr  equ  ios_R00NaStr+2048   ; STRG: Read User Cons<01> NameStrgMemory [+002K +002K +002K +002K +002K]
ios_R02NaStr  equ  ios_R01NaStr+2048   ; STRG: Read User Cons<02> NameStrgMemory [+004K +004K +004K +004K +004K]
ios_R03NaStr  equ  ios_R02NaStr+2048   ; STRG: Read User Cons<03> NameStrgMemory [+006K +006K +006K +006K +006K]
ios_R04NaStr  equ  ios_R03NaStr+2048   ; STRG: Read User Cons<04> NameStrgMemory [+008K +008K +008K +008K +008K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05NaStr  equ  ios_R04NaStr+2048   ; STRG: Read User Cons<05> NameStrgMemory [+010K +010K +010K +010K +010K]
ios_R06NaStr  equ  ios_R05NaStr+2048   ; STRG: Read User Cons<06> NameStrgMemory [+012K +012K +012K +012K +012K]
ios_R07NaStr  equ  ios_R06NaStr+2048   ; STRG: Read User Cons<07> NameStrgMemory [+014K +014K +014K +014K +014K]
ios_R08NaStr  equ  ios_R07NaStr+2048   ; STRG: Read User Cons<08> NameStrgMemory [+016K +016K +016K +016K +016K]
ios_R09NaStr  equ  ios_R08NaStr+2048   ; STRG: Read User Cons<09> NameStrgMemory [+018K +018K +018K +018K +018K]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10NaStr  equ  ios_R09NaStr+2048   ; STRG: Read User File<10> NameStrgMemory [+020K +020K +020K +020K +020K]
ios_R11NaStr  equ  ios_R10NaStr+2048   ; STRG: Read User File<11> NameStrgMemory [+022K +022K +022K +022K +022K]
ios_R12NaStr  equ  ios_R11NaStr+2048   ; STRG: Read User File<12> NameStrgMemory [+024K +024K +024K +024K +024K]
ios_R13NaStr  equ  ios_R12NaStr+2048   ; STRG: Read User File<13> NameStrgMemory [+026K +026K +026K +026K +026K]
ios_R14NaStr  equ  ios_R13NaStr+2048   ; STRG: Read User File<14> NameStrgMemory [+028K +028K +028K +028K +028K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15NaStr  equ  ios_R14NaStr+2048   ; STRG: Read User File<15> NameStrgMemory [+030K +030K +030K +030K +030K]
ios_R16NaStr  equ  ios_R15NaStr+2048   ; STRG: Read User File<16> NameStrgMemory [+032K +032K +032K +032K +032K]
ios_R17NaStr  equ  ios_R16NaStr+2048   ; STRG: Read User File<17> NameStrgMemory [+034K +034K +034K +034K +034K]
ios_R18NaStr  equ  ios_R17NaStr+2048   ; STRG: Read User File<18> NameStrgMemory [+036K +036K +036K +036K +036K]
ios_R19NaStr  equ  ios_R18NaStr+2048   ; STRG: Read User File<19> NameStrgMemory [+038K +038K +038K +038K +038K]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20NaStr  equ  ios_R19NaStr+2048   ; STRG: Read User Memo<20> NameStrgMemory [+040K +040K +040K +040K +040K]
ios_R21NaStr  equ  ios_R20NaStr+2048   ; STRG: Read User Memo<21> NameStrgMemory [+042K +042K +042K +042K +042K]
ios_R22NaStr  equ  ios_R21NaStr+2048   ; STRG: Read User Memo<22> NameStrgMemory [+044K +044K +044K +044K +044K]
ios_R23NaStr  equ  ios_R22NaStr+2048   ; STRG: Read User Memo<23> NameStrgMemory [+046K +046K +046K +046K +046K]
ios_R24NaStr  equ  ios_R23NaStr+2048   ; STRG: Read User Memo<24> NameStrgMemory [+048K +048K +048K +048K +048K]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25NaStr  equ  ios_R24NaStr+2048   ; STRG: Read User Memo<25> NameStrgMemory [+050K +050K +050K +050K +050K]
ios_R26NaStr  equ  ios_R25NaStr+2048   ; STRG: Read User Memo<26> NameStrgMemory [+052K +052K +052K +052K +052K]
ios_R27NaStr  equ  ios_R26NaStr+2048   ; STRG: Read User Memo<27> NameStrgMemory [+054K +054K +054K +054K +054K]
ios_R28NaStr  equ  ios_R27NaStr+2048   ; STRG: Read User Memo<28> NameStrgMemory [+056K +056K +056K +056K +056K]
ios_R29NaStr  equ  ios_R28NaStr+2048   ; STRG: Read User Memo<29> NameStrgMemory [+058K +058K +058K +058K +058K]
;*--------------------------------------------------------------------------------------------------------------
ios_R30NaStr  equ  ios_R29NaStr+2048   ; STRG: Read DsLb File<30> NameStrgMemory [+060K +060K +060K +060K +060K]
ios_R31NaStr  equ  ios_R30NaStr+2048   ; STRG: Read DsLb Memo<31> NameStrgMemory [+062K +062K +062K +062K +062K]
;*==============================================================================================================
ios_R00CsMem  equ  gmm_ios+1024*0496   ; STRC: Read ???? Console: Crit Sect Memo [#496K #496K #496K #496K #496K]
ios_R01CsMem  equ  ios_R00CsMem+512    ; STRC: Read StdI Cons<01> Crit Sect Memo [+00K5 +00K5 +00K5 +00K5 +00K5]
ios_R02CsMem  equ  ios_R01CsMem+512    ; STRC: Read User Cons<02> Crit Sect Memo [+01K0 +01K0 +01K0 +01K0 +01K0]
ios_R03CsMem  equ  ios_R02CsMem+512    ; STRC: Read User Cons<03> Crit Sect Memo [+01K5 +01K5 +01K5 +01K5 +01K5]
ios_R04CsMem  equ  ios_R03CsMem+512    ; STRC: Read User Cons<04> Crit Sect Memo [+02K0 +02K0 +02K0 +02K0 +02K0]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05CsMem  equ  ios_R04CsMem+512    ; STRC: Read User Cons<05> Crit Sect Memo [+02K5 +02K5 +02K5 +02K5 +02K5]
ios_R06CsMem  equ  ios_R05CsMem+512    ; STRC: Read User Cons<06> Crit Sect Memo [+03K0 +03K0 +03K0 +03K0 +03K0]
ios_R07CsMem  equ  ios_R06CsMem+512    ; STRC: Read User Cons<07> Crit Sect Memo [+03K5 +03K5 +03K5 +03K5 +03K5]
ios_R08CsMem  equ  ios_R07CsMem+512    ; STRC: Read User Cons<08> Crit Sect Memo [+04K0 +04K0 +04K0 +04K0 +04K0]
ios_R09CsMem  equ  ios_R08CsMem+512    ; STRC: Read User Cons<09> Crit Sect Memo [+04K5 +04K5 +04K5 +04K5 +04K5]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10CsMem  equ  ios_R09CsMem+512    ; STRC: Read User File<10> Crit Sect Memo [+05K0 +05K0 +05K0 +05K0 +05K0]
ios_R11CsMem  equ  ios_R10CsMem+512    ; STRC: Read User File<11> Crit Sect Memo [+05K5 +05K5 +05K5 +05K5 +05K5]
ios_R12CsMem  equ  ios_R11CsMem+512    ; STRC: Read User File<12> Crit Sect Memo [+06K0 +06K0 +06K0 +06K0 +06K0]
ios_R13CsMem  equ  ios_R12CsMem+512    ; STRC: Read User File<13> Crit Sect Memo [+06K5 +06K5 +06K5 +06K5 +06K5]
ios_R14CsMem  equ  ios_R13CsMem+512    ; STRC: Read User File<14> Crit Sect Memo [+07K0 +07K0 +07K0 +07K0 +07K0]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15CsMem  equ  ios_R14CsMem+512    ; STRC: Read User File<15> Crit Sect Memo [+07K5 +07K5 +07K5 +07K5 +07K5]
ios_R16CsMem  equ  ios_R15CsMem+512    ; STRC: Read User File<16> Crit Sect Memo [+08K0 +08K0 +08K0 +08K0 +08K0]
ios_R17CsMem  equ  ios_R16CsMem+512    ; STRC: Read User File<17> Crit Sect Memo [+08K5 +08K5 +08K5 +08K5 +08K5]
ios_R18CsMem  equ  ios_R17CsMem+512    ; STRC: Read User File<18> Crit Sect Memo [+09K0 +09K0 +09K0 +09K0 +09K0]
ios_R19CsMem  equ  ios_R18CsMem+512    ; STRC: Read User File<19> Crit Sect Memo [+09K5 +09K5 +09K5 +09K5 +09K5]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20CsMem  equ  ios_R19CsMem+512    ; STRC: Read User Memo<20> Crit Sect Memo [+10K0 +10K0 +10K0 +10K0 +10K0]
ios_R21CsMem  equ  ios_R20CsMem+512    ; STRC: Read User Memo<21> Crit Sect Memo [+10K5 +10K5 +10K5 +10K5 +10K5]
ios_R22CsMem  equ  ios_R21CsMem+512    ; STRC: Read User Memo<22> Crit Sect Memo [+11K0 +11K0 +11K0 +11K0 +11K0]
ios_R23CsMem  equ  ios_R22CsMem+512    ; STRC: Read User Memo<23> Crit Sect Memo [+11K5 +11K5 +11K5 +11K5 +11K5]
ios_R24CsMem  equ  ios_R23CsMem+512    ; STRC: Read User Memo<24> Crit Sect Memo [+12K0 +12K0 +12K0 +12K0 +12K0]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25CsMem  equ  ios_R24CsMem+512    ; STRC: Read User Memo<25> Crit Sect Memo [+12K5 +12K5 +12K5 +12K5 +12K5]
ios_R26CsMem  equ  ios_R25CsMem+512    ; STRC: Read User Memo<26> Crit Sect Memo [+13K0 +13K0 +13K0 +13K0 +13K0]
ios_R27CsMem  equ  ios_R26CsMem+512    ; STRC: Read User Memo<27> Crit Sect Memo [+13K0 +13K0 +13K0 +13K0 +13K0]
ios_R28CsMem  equ  ios_R27CsMem+512    ; STRC: Read User Memo<28> Crit Sect Memo [+14K0 +14K0 +14K0 +14K0 +14K0]
ios_R29CsMem  equ  ios_R28CsMem+512    ; STRC: Read User Memo<29> Crit Sect Memo [+14K5 +14K5 +14K5 +14K5 +14K5]
;*--------------------------------------------------------------------------------------------------------------
ios_R30CsMem  equ  ios_R29CsMem+512    ; STRC: Read DsLb File<30> Crit Sect Memo [+15K0 +15K0 +15K0 +15K0 +15K0]
ios_R31CsMem  equ  ios_R30CsMem+512    ; STRC: Read DsLb Memo<31> Crit Sect Memo [+15K5 +15K5 +15K5 +15K5 +15K5]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% PARAMETER  Input.Output.Static      ; EVAL: Fixed Non scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_PAR       equ  gmm_ios+1024*0512   ; PARA: Input.Output.Static_PARameter     [#512K #512K #512K #512K #512K]
;*==============================================================================================================
ios_W00StChr  equ  ios_PAR+1024+000    ; EVAL: Writ StdO Console: Stop Character [#0000 #0000 #0000 #0000 #0000]
ios_W01StChr  equ  ios_W00StChr+04     ; EVAL: Writ User Cons<01> Stop Character [+0004 +0004 +0004 +0004 +0004]
ios_W02StChr  equ  ios_W01StChr+04     ; EVAL: Writ User Cons<02> Stop Character [+0008 +0008 +0008 +0008 +0008]
ios_W03StChr  equ  ios_W02StChr+04     ; EVAL: Writ User Cons<03> Stop Character [+0012 +0012 +0012 +0012 +0012]
ios_W04StChr  equ  ios_W03StChr+04     ; EVAL: Writ User Cons<04> Stop Character [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05StChr  equ  ios_W04StChr+04     ; EVAL: Writ User Cons<05> Stop Character [+0020 +0020 +0020 +0020 +0020]
ios_W06StChr  equ  ios_W05StChr+04     ; EVAL: Writ User Cons<06> Stop Character [+0024 +0024 +0024 +0024 +0024]
ios_W07StChr  equ  ios_W06StChr+04     ; EVAL: Writ User Cons<07> Stop Character [+0028 +0028 +0028 +0028 +0028]
ios_W08StChr  equ  ios_W07StChr+04     ; EVAL: Writ User Cons<08> Stop Character [+0032 +0032 +0032 +0032 +0032]
ios_W09StChr  equ  ios_W08StChr+04     ; EVAL: Writ User Cons<09> Stop Character [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10StChr  equ  ios_W09StChr+04     ; EVAL: Writ User File<10> Stop Character [+0040 +0040 +0040 +0040 +0040]
ios_W11StChr  equ  ios_W10StChr+04     ; EVAL: Writ User File<11> Stop Character [+0044 +0044 +0044 +0044 +0044]
ios_W12StChr  equ  ios_W11StChr+04     ; EVAL: Writ User File<12> Stop Character [+0048 +0048 +0048 +0048 +0048]
ios_W13StChr  equ  ios_W12StChr+04     ; EVAL: Writ User File<13> Stop Character [+0052 +0052 +0052 +0052 +0052]
ios_W14StChr  equ  ios_W13StChr+04     ; EVAL: Writ User File<14> Stop Character [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15StChr  equ  ios_W14StChr+04     ; EVAL: Writ User File<15> Stop Character [+0060 +0060 +0060 +0060 +0060]
ios_W16StChr  equ  ios_W15StChr+04     ; EVAL: Writ User File<16> Stop Character [+0064 +0064 +0064 +0064 +0064]
ios_W17StChr  equ  ios_W16StChr+04     ; EVAL: Writ User File<17> Stop Character [+0068 +0068 +0068 +0068 +0068]
ios_W18StChr  equ  ios_W17StChr+04     ; EVAL: Writ User File<18> Stop Character [+0072 +0072 +0072 +0072 +0072]
ios_W19StChr  equ  ios_W18StChr+04     ; EVAL: Writ User File<19> Stop Character [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20StChr  equ  ios_W19StChr+04     ; EVAL: Writ User Memo<20> Stop Character [+0080 +0080 +0080 +0080 +0080]
ios_W21StChr  equ  ios_W20StChr+04     ; EVAL: Writ User Memo<21> Stop Character [+0084 +0084 +0084 +0084 +0084]
ios_W22StChr  equ  ios_W21StChr+04     ; EVAL: Writ User Memo<22> Stop Character [+0088 +0088 +0088 +0088 +0088]
ios_W23StChr  equ  ios_W22StChr+04     ; EVAL: Writ User Memo<23> Stop Character [+0092 +0092 +0092 +0092 +0092]
ios_W24StChr  equ  ios_W23StChr+04     ; EVAL: Writ User Memo<24> Stop Character [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25StChr  equ  ios_W24StChr+04     ; EVAL: Writ User Memo<25> Stop Character [+0100 +0100 +0100 +0100 +0100]
ios_W26StChr  equ  ios_W25StChr+04     ; EVAL: Writ User Memo<26> Stop Character [+0104 +0104 +0104 +0104 +0104]
ios_W27StChr  equ  ios_W26StChr+04     ; EVAL: Writ User Memo<27> Stop Character [+0108 +0108 +0108 +0108 +0108]
ios_W28StChr  equ  ios_W27StChr+04     ; EVAL: Writ User Memo<28> Stop Character [+0112 +0112 +0112 +0112 +0112]
ios_W29StChr  equ  ios_W28StChr+04     ; EVAL: Writ User Memo<29> Stop Character [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30StChr  equ  ios_W29StChr+04     ; EVAL: Writ DsLb File<30> Stop Character [+0120 +0120 +0120 +0120 +0120]
ios_W31StChr  equ  ios_W30StChr+04     ; EVAL: Writ DsLb Memo<31> Stop Character [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_W00FiStp  equ  ios_PAR+1024+128    ; EVAL: Writ StdO Console: Fill Stop Char [#0128 #0128 #0128 #0128 #0128]
ios_W01FiStp  equ  ios_W00FiStp+04     ; EVAL: Writ User Cons<01> Fill Stop Char [+0004 +0004 +0004 +0004 +0004]
ios_W02FiStp  equ  ios_W01FiStp+04     ; EVAL: Writ User Cons<02> Fill Stop Char [+0008 +0008 +0008 +0008 +0008]
ios_W03FiStp  equ  ios_W02FiStp+04     ; EVAL: Writ User Cons<03> Fill Stop Char [+0012 +0012 +0012 +0012 +0012]
ios_W04FiStp  equ  ios_W03FiStp+04     ; EVAL: Writ User Cons<04> Fill Stop Char [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05FiStp  equ  ios_W04FiStp+04     ; EVAL: Writ User Cons<05> Fill Stop Char [+0020 +0020 +0020 +0020 +0020]
ios_W06FiStp  equ  ios_W05FiStp+04     ; EVAL: Writ User Cons<06> Fill Stop Char [+0024 +0024 +0024 +0024 +0024]
ios_W07FiStp  equ  ios_W06FiStp+04     ; EVAL: Writ User Cons<07> Fill Stop Char [+0028 +0028 +0028 +0028 +0028]
ios_W08FiStp  equ  ios_W07FiStp+04     ; EVAL: Writ User Cons<08> Fill Stop Char [+0032 +0032 +0032 +0032 +0032]
ios_W09FiStp  equ  ios_W08FiStp+04     ; EVAL: Writ User Cons<09> Fill Stop Char [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10FiStp  equ  ios_W09FiStp+04     ; EVAL: Writ User File<10> Fill Stop Char [+0040 +0040 +0040 +0040 +0040]
ios_W11FiStp  equ  ios_W10FiStp+04     ; EVAL: Writ User File<11> Fill Stop Char [+0044 +0044 +0044 +0044 +0044]
ios_W12FiStp  equ  ios_W11FiStp+04     ; EVAL: Writ User File<12> Fill Stop Char [+0048 +0048 +0048 +0048 +0048]
ios_W13FiStp  equ  ios_W12FiStp+04     ; EVAL: Writ User File<13> Fill Stop Char [+0052 +0052 +0052 +0052 +0052]
ios_W14FiStp  equ  ios_W13FiStp+04     ; EVAL: Writ User File<14> Fill Stop Char [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15FiStp  equ  ios_W14FiStp+04     ; EVAL: Writ User File<15> Fill Stop Char [+0060 +0060 +0060 +0060 +0060]
ios_W16FiStp  equ  ios_W15FiStp+04     ; EVAL: Writ User File<16> Fill Stop Char [+0064 +0064 +0064 +0064 +0064]
ios_W17FiStp  equ  ios_W16FiStp+04     ; EVAL: Writ User File<17> Fill Stop Char [+0068 +0068 +0068 +0068 +0068]
ios_W18FiStp  equ  ios_W17FiStp+04     ; EVAL: Writ User File<18> Fill Stop Char [+0072 +0072 +0072 +0072 +0072]
ios_W19FiStp  equ  ios_W18FiStp+04     ; EVAL: Writ User File<19> Fill Stop Char [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20FiStp  equ  ios_W19FiStp+04     ; EVAL: Writ User Memo<20> Fill Stop Char [+0080 +0080 +0080 +0080 +0080]
ios_W21FiStp  equ  ios_W20FiStp+04     ; EVAL: Writ User Memo<21> Fill Stop Char [+0084 +0084 +0084 +0084 +0084]
ios_W22FiStp  equ  ios_W21FiStp+04     ; EVAL: Writ User Memo<22> Fill Stop Char [+0088 +0088 +0088 +0088 +0088]
ios_W23FiStp  equ  ios_W22FiStp+04     ; EVAL: Writ User Memo<23> Fill Stop Char [+0092 +0092 +0092 +0092 +0092]
ios_W24FiStp  equ  ios_W23FiStp+04     ; EVAL: Writ User Memo<24> Fill Stop Char [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25FiStp  equ  ios_W24FiStp+04     ; EVAL: Writ User Memo<25> Fill Stop Char [+0100 +0100 +0100 +0100 +0100]
ios_W26FiStp  equ  ios_W25FiStp+04     ; EVAL: Writ User Memo<26> Fill Stop Char [+0104 +0104 +0104 +0104 +0104]
ios_W27FiStp  equ  ios_W26FiStp+04     ; EVAL: Writ User Memo<27> Fill Stop Char [+0108 +0108 +0108 +0108 +0108]
ios_W28FiStp  equ  ios_W27FiStp+04     ; EVAL: Writ User Memo<28> Fill Stop Char [+0112 +0112 +0112 +0112 +0112]
ios_W29FiStp  equ  ios_W28FiStp+04     ; EVAL: Writ User Memo<29> Fill Stop Char [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30FiStp  equ  ios_W29FiStp+04     ; EVAL: Writ DsLb File<30> Fill Stop Char [+0120 +0120 +0120 +0120 +0120]
ios_W31FiStp  equ  ios_W30FiStp+04     ; EVAL: Writ DsLb Memo<31> Fill Stop Char [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_W00FiRst  equ  ios_PAR+1024+256    ; EVAL: Writ StdO Console: Fill Rest Char [#0256 #0256 #0256 #0256 #0256]
ios_W01FiRst  equ  ios_W00FiRst+04     ; EVAL: Writ User Cons<01> Fill Rest Char [+0004 +0004 +0004 +0004 +0004]
ios_W02FiRst  equ  ios_W01FiRst+04     ; EVAL: Writ User Cons<02> Fill Rest Char [+0008 +0008 +0008 +0008 +0008]
ios_W03FiRst  equ  ios_W02FiRst+04     ; EVAL: Writ User Cons<03> Fill Rest Char [+0012 +0012 +0012 +0012 +0012]
ios_W04FiRst  equ  ios_W03FiRst+04     ; EVAL: Writ User Cons<04> Fill Rest Char [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05FiRst  equ  ios_W04FiRst+04     ; EVAL: Writ User Cons<05> Fill Rest Char [+0020 +0020 +0020 +0020 +0020]
ios_W06FiRst  equ  ios_W05FiRst+04     ; EVAL: Writ User Cons<06> Fill Rest Char [+0024 +0024 +0024 +0024 +0024]
ios_W07FiRst  equ  ios_W06FiRst+04     ; EVAL: Writ User Cons<07> Fill Rest Char [+0028 +0028 +0028 +0028 +0028]
ios_W08FiRst  equ  ios_W07FiRst+04     ; EVAL: Writ User Cons<08> Fill Rest Char [+0032 +0032 +0032 +0032 +0032]
ios_W09FiRst  equ  ios_W08FiRst+04     ; EVAL: Writ User Cons<09> Fill Rest Char [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10FiRst  equ  ios_W09FiRst+04     ; EVAL: Writ User File<10> Fill Rest Char [+0040 +0040 +0040 +0040 +0040]
ios_W11FiRst  equ  ios_W10FiRst+04     ; EVAL: Writ User File<11> Fill Rest Char [+0044 +0044 +0044 +0044 +0044]
ios_W12FiRst  equ  ios_W11FiRst+04     ; EVAL: Writ User File<12> Fill Rest Char [+0048 +0048 +0048 +0048 +0048]
ios_W13FiRst  equ  ios_W12FiRst+04     ; EVAL: Writ User File<13> Fill Rest Char [+0052 +0052 +0052 +0052 +0052]
ios_W14FiRst  equ  ios_W13FiRst+04     ; EVAL: Writ User File<14> Fill Rest Char [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15FiRst  equ  ios_W14FiRst+04     ; EVAL: Writ User File<15> Fill Rest Char [+0060 +0060 +0060 +0060 +0060]
ios_W16FiRst  equ  ios_W15FiRst+04     ; EVAL: Writ User File<16> Fill Rest Char [+0064 +0064 +0064 +0064 +0064]
ios_W17FiRst  equ  ios_W16FiRst+04     ; EVAL: Writ User File<17> Fill Rest Char [+0068 +0068 +0068 +0068 +0068]
ios_W18FiRst  equ  ios_W17FiRst+04     ; EVAL: Writ User File<18> Fill Rest Char [+0072 +0072 +0072 +0072 +0072]
ios_W19FiRst  equ  ios_W18FiRst+04     ; EVAL: Writ User File<19> Fill Rest Char [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20FiRst  equ  ios_W19FiRst+04     ; EVAL: Writ User Memo<20> Fill Rest Char [+0080 +0080 +0080 +0080 +0080]
ios_W21FiRst  equ  ios_W20FiRst+04     ; EVAL: Writ User Memo<21> Fill Rest Char [+0084 +0084 +0084 +0084 +0084]
ios_W22FiRst  equ  ios_W21FiRst+04     ; EVAL: Writ User Memo<22> Fill Rest Char [+0088 +0088 +0088 +0088 +0088]
ios_W23FiRst  equ  ios_W22FiRst+04     ; EVAL: Writ User Memo<23> Fill Rest Char [+0092 +0092 +0092 +0092 +0092]
ios_W24FiRst  equ  ios_W23FiRst+04     ; EVAL: Writ User Memo<24> Fill Rest Char [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25FiRst  equ  ios_W24FiRst+04     ; EVAL: Writ User Memo<25> Fill Rest Char [+0100 +0100 +0100 +0100 +0100]
ios_W26FiRst  equ  ios_W25FiRst+04     ; EVAL: Writ User Memo<26> Fill Rest Char [+0104 +0104 +0104 +0104 +0104]
ios_W27FiRst  equ  ios_W26FiRst+04     ; EVAL: Writ User Memo<27> Fill Rest Char [+0108 +0108 +0108 +0108 +0108]
ios_W28FiRst  equ  ios_W27FiRst+04     ; EVAL: Writ User Memo<28> Fill Rest Char [+0112 +0112 +0112 +0112 +0112]
ios_W29FiRst  equ  ios_W28FiRst+04     ; EVAL: Writ User Memo<29> Fill Rest Char [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30FiRst  equ  ios_W29FiRst+04     ; EVAL: Writ DsLb File<30> Fill Rest Char [+0120 +0120 +0120 +0120 +0120]
ios_W31FiRst  equ  ios_W30FiRst+04     ; EVAL: Writ DsLb Memo<31> Fill Rest Char [+0124 +0124 +0124 +0124 +0124]
;*==============================================================================================================
ios_R00StChr  equ  ios_PAR+1024+384    ; EVAL: Read StdI Console: Stop Character [#0384 #0384 #0384 #0384 #0384]
ios_R01StChr  equ  ios_R00StChr+04     ; EVAL: Read User Cons<01> Stop Character [+0004 +0004 +0004 +0004 +0004]
ios_R02StChr  equ  ios_R01StChr+04     ; EVAL: Read User Cons<02> Stop Character [+0008 +0008 +0008 +0008 +0008]
ios_R03StChr  equ  ios_R02StChr+04     ; EVAL: Read User Cons<03> Stop Character [+0012 +0012 +0012 +0012 +0012]
ios_R04StChr  equ  ios_R03StChr+04     ; EVAL: Read User Cons<04> Stop Character [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05StChr  equ  ios_R04StChr+04     ; EVAL: Read User Cons<05> Stop Character [+0020 +0020 +0020 +0020 +0020]
ios_R06StChr  equ  ios_R05StChr+04     ; EVAL: Read User Cons<06> Stop Character [+0024 +0024 +0024 +0024 +0024]
ios_R07StChr  equ  ios_R06StChr+04     ; EVAL: Read User Cons<07> Stop Character [+0028 +0028 +0028 +0028 +0028]
ios_R08StChr  equ  ios_R07StChr+04     ; EVAL: Read User Cons<08> Stop Character [+0032 +0032 +0032 +0032 +0032]
ios_R09StChr  equ  ios_R08StChr+04     ; EVAL: Read User Cons<09> Stop Character [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10StChr  equ  ios_R09StChr+04     ; EVAL: Read User File<10> Stop Character [+0040 +0040 +0040 +0040 +0040]
ios_R11StChr  equ  ios_R10StChr+04     ; EVAL: Read User File<11> Stop Character [+0044 +0044 +0044 +0044 +0044]
ios_R12StChr  equ  ios_R11StChr+04     ; EVAL: Read User File<12> Stop Character [+0048 +0048 +0048 +0048 +0048]
ios_R13StChr  equ  ios_R12StChr+04     ; EVAL: Read User File<13> Stop Character [+0052 +0052 +0052 +0052 +0052]
ios_R14StChr  equ  ios_R13StChr+04     ; EVAL: Read User File<14> Stop Character [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15StChr  equ  ios_R14StChr+04     ; EVAL: Read User File<15> Stop Character [+0060 +0060 +0060 +0060 +0060]
ios_R16StChr  equ  ios_R15StChr+04     ; EVAL: Read User File<16> Stop Character [+0064 +0064 +0064 +0064 +0064]
ios_R17StChr  equ  ios_R16StChr+04     ; EVAL: Read User File<17> Stop Character [+0068 +0068 +0068 +0068 +0068]
ios_R18StChr  equ  ios_R17StChr+04     ; EVAL: Read User File<18> Stop Character [+0072 +0072 +0072 +0072 +0072]
ios_R19StChr  equ  ios_R18StChr+04     ; EVAL: Read User File<19> Stop Character [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20StChr  equ  ios_R19StChr+04     ; EVAL: Read User Memo<20> Stop Character [+0080 +0080 +0080 +0080 +0080]
ios_R21StChr  equ  ios_R20StChr+04     ; EVAL: Read User Memo<21> Stop Character [+0084 +0084 +0084 +0084 +0084]
ios_R22StChr  equ  ios_R21StChr+04     ; EVAL: Read User Memo<22> Stop Character [+0088 +0088 +0088 +0088 +0088]
ios_R23StChr  equ  ios_R22StChr+04     ; EVAL: Read User Memo<23> Stop Character [+0092 +0092 +0092 +0092 +0092]
ios_R24StChr  equ  ios_R23StChr+04     ; EVAL: Read User Memo<24> Stop Character [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25StChr  equ  ios_R24StChr+04     ; EVAL: Read User Memo<25> Stop Character [+0100 +0100 +0100 +0100 +0100]
ios_R26StChr  equ  ios_R25StChr+04     ; EVAL: Read User Memo<26> Stop Character [+0104 +0104 +0104 +0104 +0104]
ios_R27StChr  equ  ios_R26StChr+04     ; EVAL: Read User Memo<27> Stop Character [+0108 +0108 +0108 +0108 +0108]
ios_R28StChr  equ  ios_R27StChr+04     ; EVAL: Read User Memo<28> Stop Character [+0112 +0112 +0112 +0112 +0112]
ios_R29StChr  equ  ios_R28StChr+04     ; EVAL: Read User Memo<29> Stop Character [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30StChr  equ  ios_R29StChr+04     ; EVAL: Read DsLb File<30> Stop Character [+0120 +0120 +0120 +0120 +0120]
ios_R31StChr  equ  ios_R30StChr+04     ; EVAL: Read DsLb Memo<31> Stop Character [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00FiStp  equ  ios_PAR+1024+512    ; EVAL: Read StdO Console: Fill Stop Char [#0128 #0128 #0128 #0128 #0128]
ios_R01FiStp  equ  ios_R00FiStp+04     ; EVAL: Read User Cons<01> Fill Stop Char [+0004 +0004 +0004 +0004 +0004]
ios_R02FiStp  equ  ios_R01FiStp+04     ; EVAL: Read User Cons<02> Fill Stop Char [+0008 +0008 +0008 +0008 +0008]
ios_R03FiStp  equ  ios_R02FiStp+04     ; EVAL: Read User Cons<03> Fill Stop Char [+0012 +0012 +0012 +0012 +0012]
ios_R04FiStp  equ  ios_R03FiStp+04     ; EVAL: Read User Cons<04> Fill Stop Char [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05FiStp  equ  ios_R04FiStp+04     ; EVAL: Read User Cons<05> Fill Stop Char [+0020 +0020 +0020 +0020 +0020]
ios_R06FiStp  equ  ios_R05FiStp+04     ; EVAL: Read User Cons<06> Fill Stop Char [+0024 +0024 +0024 +0024 +0024]
ios_R07FiStp  equ  ios_R06FiStp+04     ; EVAL: Read User Cons<07> Fill Stop Char [+0028 +0028 +0028 +0028 +0028]
ios_R08FiStp  equ  ios_R07FiStp+04     ; EVAL: Read User Cons<08> Fill Stop Char [+0032 +0032 +0032 +0032 +0032]
ios_R09FiStp  equ  ios_R08FiStp+04     ; EVAL: Read User Cons<09> Fill Stop Char [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10FiStp  equ  ios_R09FiStp+04     ; EVAL: Read User File<10> Fill Stop Char [+0040 +0040 +0040 +0040 +0040]
ios_R11FiStp  equ  ios_R10FiStp+04     ; EVAL: Read User File<11> Fill Stop Char [+0044 +0044 +0044 +0044 +0044]
ios_R12FiStp  equ  ios_R11FiStp+04     ; EVAL: Read User File<12> Fill Stop Char [+0048 +0048 +0048 +0048 +0048]
ios_R13FiStp  equ  ios_R12FiStp+04     ; EVAL: Read User File<13> Fill Stop Char [+0052 +0052 +0052 +0052 +0052]
ios_R14FiStp  equ  ios_R13FiStp+04     ; EVAL: Read User File<14> Fill Stop Char [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15FiStp  equ  ios_R14FiStp+04     ; EVAL: Read User File<15> Fill Stop Char [+0060 +0060 +0060 +0060 +0060]
ios_R16FiStp  equ  ios_R15FiStp+04     ; EVAL: Read User File<16> Fill Stop Char [+0064 +0064 +0064 +0064 +0064]
ios_R17FiStp  equ  ios_R16FiStp+04     ; EVAL: Read User File<17> Fill Stop Char [+0068 +0068 +0068 +0068 +0068]
ios_R18FiStp  equ  ios_R17FiStp+04     ; EVAL: Read User File<18> Fill Stop Char [+0072 +0072 +0072 +0072 +0072]
ios_R19FiStp  equ  ios_R18FiStp+04     ; EVAL: Read User File<19> Fill Stop Char [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20FiStp  equ  ios_R19FiStp+04     ; EVAL: Read User Memo<20> Fill Stop Char [+0080 +0080 +0080 +0080 +0080]
ios_R21FiStp  equ  ios_R20FiStp+04     ; EVAL: Read User Memo<21> Fill Stop Char [+0084 +0084 +0084 +0084 +0084]
ios_R22FiStp  equ  ios_R21FiStp+04     ; EVAL: Read User Memo<22> Fill Stop Char [+0088 +0088 +0088 +0088 +0088]
ios_R23FiStp  equ  ios_R22FiStp+04     ; EVAL: Read User Memo<23> Fill Stop Char [+0092 +0092 +0092 +0092 +0092]
ios_R24FiStp  equ  ios_R23FiStp+04     ; EVAL: Read User Memo<24> Fill Stop Char [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25FiStp  equ  ios_R24FiStp+04     ; EVAL: Read User Memo<25> Fill Stop Char [+0100 +0100 +0100 +0100 +0100]
ios_R26FiStp  equ  ios_R25FiStp+04     ; EVAL: Read User Memo<26> Fill Stop Char [+0104 +0104 +0104 +0104 +0104]
ios_R27FiStp  equ  ios_R26FiStp+04     ; EVAL: Read User Memo<27> Fill Stop Char [+0108 +0108 +0108 +0108 +0108]
ios_R28FiStp  equ  ios_R27FiStp+04     ; EVAL: Read User Memo<28> Fill Stop Char [+0112 +0112 +0112 +0112 +0112]
ios_R29FiStp  equ  ios_R28FiStp+04     ; EVAL: Read User Memo<29> Fill Stop Char [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30FiStp  equ  ios_R29FiStp+04     ; EVAL: Read DsLb File<30> Fill Stop Char [+0120 +0120 +0120 +0120 +0120]
ios_R31FiStp  equ  ios_R30FiStp+04     ; EVAL: Read DsLb Memo<31> Fill Stop Char [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00FiRst  equ  ios_PAR+1024+640    ; EVAL: Read StdO Console: Fill Rest Char [#0256 #0256 #0256 #0256 #0256]
ios_R01FiRst  equ  ios_R00FiRst+04     ; EVAL: Read User Cons<01> Fill Rest Char [+0004 +0004 +0004 +0004 +0004]
ios_R02FiRst  equ  ios_R01FiRst+04     ; EVAL: Read User Cons<02> Fill Rest Char [+0008 +0008 +0008 +0008 +0008]
ios_R03FiRst  equ  ios_R02FiRst+04     ; EVAL: Read User Cons<03> Fill Rest Char [+0012 +0012 +0012 +0012 +0012]
ios_R04FiRst  equ  ios_R03FiRst+04     ; EVAL: Read User Cons<04> Fill Rest Char [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05FiRst  equ  ios_R04FiRst+04     ; EVAL: Read User Cons<05> Fill Rest Char [+0020 +0020 +0020 +0020 +0020]
ios_R06FiRst  equ  ios_R05FiRst+04     ; EVAL: Read User Cons<06> Fill Rest Char [+0024 +0024 +0024 +0024 +0024]
ios_R07FiRst  equ  ios_R06FiRst+04     ; EVAL: Read User Cons<07> Fill Rest Char [+0028 +0028 +0028 +0028 +0028]
ios_R08FiRst  equ  ios_R07FiRst+04     ; EVAL: Read User Cons<08> Fill Rest Char [+0032 +0032 +0032 +0032 +0032]
ios_R09FiRst  equ  ios_R08FiRst+04     ; EVAL: Read User Cons<09> Fill Rest Char [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10FiRst  equ  ios_R09FiRst+04     ; EVAL: Read User File<10> Fill Rest Char [+0040 +0040 +0040 +0040 +0040]
ios_R11FiRst  equ  ios_R10FiRst+04     ; EVAL: Read User File<11> Fill Rest Char [+0044 +0044 +0044 +0044 +0044]
ios_R12FiRst  equ  ios_R11FiRst+04     ; EVAL: Read User File<12> Fill Rest Char [+0048 +0048 +0048 +0048 +0048]
ios_R13FiRst  equ  ios_R12FiRst+04     ; EVAL: Read User File<13> Fill Rest Char [+0052 +0052 +0052 +0052 +0052]
ios_R14FiRst  equ  ios_R13FiRst+04     ; EVAL: Read User File<14> Fill Rest Char [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15FiRst  equ  ios_R14FiRst+04     ; EVAL: Read User File<15> Fill Rest Char [+0060 +0060 +0060 +0060 +0060]
ios_R16FiRst  equ  ios_R15FiRst+04     ; EVAL: Read User File<16> Fill Rest Char [+0064 +0064 +0064 +0064 +0064]
ios_R17FiRst  equ  ios_R16FiRst+04     ; EVAL: Read User File<17> Fill Rest Char [+0068 +0068 +0068 +0068 +0068]
ios_R18FiRst  equ  ios_R17FiRst+04     ; EVAL: Read User File<18> Fill Rest Char [+0072 +0072 +0072 +0072 +0072]
ios_R19FiRst  equ  ios_R18FiRst+04     ; EVAL: Read User File<19> Fill Rest Char [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20FiRst  equ  ios_R19FiRst+04     ; EVAL: Read User Memo<20> Fill Rest Char [+0080 +0080 +0080 +0080 +0080]
ios_R21FiRst  equ  ios_R20FiRst+04     ; EVAL: Read User Memo<21> Fill Rest Char [+0084 +0084 +0084 +0084 +0084]
ios_R22FiRst  equ  ios_R21FiRst+04     ; EVAL: Read User Memo<22> Fill Rest Char [+0088 +0088 +0088 +0088 +0088]
ios_R23FiRst  equ  ios_R22FiRst+04     ; EVAL: Read User Memo<23> Fill Rest Char [+0092 +0092 +0092 +0092 +0092]
ios_R24FiRst  equ  ios_R23FiRst+04     ; EVAL: Read User Memo<24> Fill Rest Char [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25FiRst  equ  ios_R24FiRst+04     ; EVAL: Read User Memo<25> Fill Rest Char [+0100 +0100 +0100 +0100 +0100]
ios_R26FiRst  equ  ios_R25FiRst+04     ; EVAL: Read User Memo<26> Fill Rest Char [+0104 +0104 +0104 +0104 +0104]
ios_R27FiRst  equ  ios_R26FiRst+04     ; EVAL: Read User Memo<27> Fill Rest Char [+0108 +0108 +0108 +0108 +0108]
ios_R28FiRst  equ  ios_R27FiRst+04     ; EVAL: Read User Memo<28> Fill Rest Char [+0112 +0112 +0112 +0112 +0112]
ios_R29FiRst  equ  ios_R28FiRst+04     ; EVAL: Read User Memo<29> Fill Rest Char [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30FiRst  equ  ios_R29FiRst+04     ; EVAL: Read DsLb File<30> Fill Rest Char [+0120 +0120 +0120 +0120 +0120]
ios_R31FiRst  equ  ios_R30FiRst+04     ; EVAL: Read DsLb Memo<31> Fill Rest Char [+0124 +0124 +0124 +0124 +0124]
;*==============================================================================================================
ios_W00InCom  equ  ios_PAR+1024+768    ; EVAL: Writ StdO Console: Inside Comment [#0768 #0768 #0768 #0768 #0768]
ios_W01InCom  equ  ios_W00InCom+04     ; EVAL: Writ User Cons<01> Inside Comment [+0004 +0004 +0004 +0004 +0004]
ios_W02InCom  equ  ios_W01InCom+04     ; EVAL: Writ User Cons<02> Inside Comment [+0008 +0008 +0008 +0008 +0008]
ios_W03InCom  equ  ios_W02InCom+04     ; EVAL: Writ User Cons<03> Inside Comment [+0012 +0012 +0012 +0012 +0012]
ios_W04InCom  equ  ios_W03InCom+04     ; EVAL: Writ User Cons<04> Inside Comment [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05InCom  equ  ios_W04InCom+04     ; EVAL: Writ User Cons<05> Inside Comment [+0020 +0020 +0020 +0020 +0020]
ios_W06InCom  equ  ios_W05InCom+04     ; EVAL: Writ User Cons<06> Inside Comment [+0024 +0024 +0024 +0024 +0024]
ios_W07InCom  equ  ios_W06InCom+04     ; EVAL: Writ User Cons<07> Inside Comment [+0028 +0028 +0028 +0028 +0028]
ios_W08InCom  equ  ios_W07InCom+04     ; EVAL: Writ User Cons<08> Inside Comment [+0032 +0032 +0032 +0032 +0032]
ios_W09InCom  equ  ios_W08InCom+04     ; EVAL: Writ User Cons<09> Inside Comment [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10InCom  equ  ios_W09InCom+04     ; EVAL: Writ User File<10> Inside Comment [+0040 +0040 +0040 +0040 +0040]
ios_W11InCom  equ  ios_W10InCom+04     ; EVAL: Writ User File<11> Inside Comment [+0044 +0044 +0044 +0044 +0044]
ios_W12InCom  equ  ios_W11InCom+04     ; EVAL: Writ User File<12> Inside Comment [+0048 +0048 +0048 +0048 +0048]
ios_W13InCom  equ  ios_W12InCom+04     ; EVAL: Writ User File<13> Inside Comment [+0052 +0052 +0052 +0052 +0052]
ios_W14InCom  equ  ios_W13InCom+04     ; EVAL: Writ User File<14> Inside Comment [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15InCom  equ  ios_W14InCom+04     ; EVAL: Writ User File<15> Inside Comment [+0060 +0060 +0060 +0060 +0060]
ios_W16InCom  equ  ios_W15InCom+04     ; EVAL: Writ User File<16> Inside Comment [+0064 +0064 +0064 +0064 +0064]
ios_W17InCom  equ  ios_W16InCom+04     ; EVAL: Writ User File<17> Inside Comment [+0068 +0068 +0068 +0068 +0068]
ios_W18InCom  equ  ios_W17InCom+04     ; EVAL: Writ User File<18> Inside Comment [+0072 +0072 +0072 +0072 +0072]
ios_W19InCom  equ  ios_W18InCom+04     ; EVAL: Writ User File<19> Inside Comment [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20InCom  equ  ios_W19InCom+04     ; EVAL: Writ User Memo<20> Inside Comment [+0080 +0080 +0080 +0080 +0080]
ios_W21InCom  equ  ios_W20InCom+04     ; EVAL: Writ User Memo<21> Inside Comment [+0084 +0084 +0084 +0084 +0084]
ios_W22InCom  equ  ios_W21InCom+04     ; EVAL: Writ User Memo<22> Inside Comment [+0088 +0088 +0088 +0088 +0088]
ios_W23InCom  equ  ios_W22InCom+04     ; EVAL: Writ User Memo<23> Inside Comment [+0092 +0092 +0092 +0092 +0092]
ios_W24InCom  equ  ios_W23InCom+04     ; EVAL: Writ User Memo<24> Inside Comment [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25InCom  equ  ios_W24InCom+04     ; EVAL: Writ User Memo<25> Inside Comment [+0100 +0100 +0100 +0100 +0100]
ios_W26InCom  equ  ios_W25InCom+04     ; EVAL: Writ User Memo<26> Inside Comment [+0104 +0104 +0104 +0104 +0104]
ios_W27InCom  equ  ios_W26InCom+04     ; EVAL: Writ User Memo<27> Inside Comment [+0108 +0108 +0108 +0108 +0108]
ios_W28InCom  equ  ios_W27InCom+04     ; EVAL: Writ User Memo<28> Inside Comment [+0112 +0112 +0112 +0112 +0112]
ios_W29InCom  equ  ios_W28InCom+04     ; EVAL: Writ User Memo<29> Inside Comment [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30InCom  equ  ios_W29InCom+04     ; EVAL: Writ DsLb File<30> Inside Comment [+0120 +0120 +0120 +0120 +0120]
ios_W31InCom  equ  ios_W30InCom+04     ; EVAL: Writ DsLb Memo<31> Inside Comment [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00InCom  equ  ios_PAR+1024+896    ; EVAL: Read StdO Console: Inside Comment [#0896 #0896 #0896 #0896 #0896]
ios_R01InCom  equ  ios_R00InCom+04     ; EVAL: Read User Cons<01> Inside Comment [+0004 +0004 +0004 +0004 +0004]
ios_R02InCom  equ  ios_R01InCom+04     ; EVAL: Read User Cons<02> Inside Comment [+0008 +0008 +0008 +0008 +0008]
ios_R03InCom  equ  ios_R02InCom+04     ; EVAL: Read User Cons<03> Inside Comment [+0012 +0012 +0012 +0012 +0012]
ios_R04InCom  equ  ios_R03InCom+04     ; EVAL: Read User Cons<04> Inside Comment [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05InCom  equ  ios_R04InCom+04     ; EVAL: Read User Cons<05> Inside Comment [+0020 +0020 +0020 +0020 +0020]
ios_R06InCom  equ  ios_R05InCom+04     ; EVAL: Read User Cons<06> Inside Comment [+0024 +0024 +0024 +0024 +0024]
ios_R07InCom  equ  ios_R06InCom+04     ; EVAL: Read User Cons<07> Inside Comment [+0028 +0028 +0028 +0028 +0028]
ios_R08InCom  equ  ios_R07InCom+04     ; EVAL: Read User Cons<08> Inside Comment [+0032 +0032 +0032 +0032 +0032]
ios_R09InCom  equ  ios_R08InCom+04     ; EVAL: Read User Cons<09> Inside Comment [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10InCom  equ  ios_R09InCom+04     ; EVAL: Read User File<10> Inside Comment [+0040 +0040 +0040 +0040 +0040]
ios_R11InCom  equ  ios_R10InCom+04     ; EVAL: Read User File<11> Inside Comment [+0044 +0044 +0044 +0044 +0044]
ios_R12InCom  equ  ios_R11InCom+04     ; EVAL: Read User File<12> Inside Comment [+0048 +0048 +0048 +0048 +0048]
ios_R13InCom  equ  ios_R12InCom+04     ; EVAL: Read User File<13> Inside Comment [+0052 +0052 +0052 +0052 +0052]
ios_R14InCom  equ  ios_R13InCom+04     ; EVAL: Read User File<14> Inside Comment [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15InCom  equ  ios_R14InCom+04     ; EVAL: Read User File<15> Inside Comment [+0060 +0060 +0060 +0060 +0060]
ios_R16InCom  equ  ios_R15InCom+04     ; EVAL: Read User File<16> Inside Comment [+0064 +0064 +0064 +0064 +0064]
ios_R17InCom  equ  ios_R16InCom+04     ; EVAL: Read User File<17> Inside Comment [+0068 +0068 +0068 +0068 +0068]
ios_R18InCom  equ  ios_R17InCom+04     ; EVAL: Read User File<18> Inside Comment [+0072 +0072 +0072 +0072 +0072]
ios_R19InCom  equ  ios_R18InCom+04     ; EVAL: Read User File<19> Inside Comment [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20InCom  equ  ios_R19InCom+04     ; EVAL: Read User Memo<20> Inside Comment [+0080 +0080 +0080 +0080 +0080]
ios_R21InCom  equ  ios_R20InCom+04     ; EVAL: Read User Memo<21> Inside Comment [+0084 +0084 +0084 +0084 +0084]
ios_R22InCom  equ  ios_R21InCom+04     ; EVAL: Read User Memo<22> Inside Comment [+0088 +0088 +0088 +0088 +0088]
ios_R23InCom  equ  ios_R22InCom+04     ; EVAL: Read User Memo<23> Inside Comment [+0092 +0092 +0092 +0092 +0092]
ios_R24InCom  equ  ios_R23InCom+04     ; EVAL: Read User Memo<24> Inside Comment [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25InCom  equ  ios_R24InCom+04     ; EVAL: Read User Memo<25> Inside Comment [+0100 +0100 +0100 +0100 +0100]
ios_R26InCom  equ  ios_R25InCom+04     ; EVAL: Read User Memo<26> Inside Comment [+0104 +0104 +0104 +0104 +0104]
ios_R27InCom  equ  ios_R26InCom+04     ; EVAL: Read User Memo<27> Inside Comment [+0108 +0108 +0108 +0108 +0108]
ios_R28InCom  equ  ios_R27InCom+04     ; EVAL: Read User Memo<28> Inside Comment [+0112 +0112 +0112 +0112 +0112]
ios_R29InCom  equ  ios_R28InCom+04     ; EVAL: Read User Memo<29> Inside Comment [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30InCom  equ  ios_R29InCom+04     ; EVAL: Read DsLb File<30> Inside Comment [+0120 +0120 +0120 +0120 +0120]
ios_R31InCom  equ  ios_R30InCom+04     ; EVAL: Read DsLb Memo<31> Inside Comment [+0124 +0124 +0124 +0124 +0124]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* _Valu2048  equ  ios_PAR+2048+000    ; XVAL: Value Part2 Non scaling Values !  [%2048 %2048 %2048 %2048 %2048]
;*--------------------------------------------------------------------------------------------------------------
ios_W0NamAtt  equ  ios_PAR+2048+000    ; EVAL: Writ StdO Console Name Attribute  [#0000 #0000 #0000 #0000 #0000]
ios_W1NamAtt  equ  ios_W0NamAtt+04     ; EVAL: Writ User Cons<1> Name Attribute  [+0004 +0004 +0004 +0004 +0004]
ios_W2NamAtt  equ  ios_W1NamAtt+04     ; EVAL: Writ User Cons<2> Name Attribute  [+0008 +0008 +0008 +0008 +0008]
ios_W3NamAtt  equ  ios_W2NamAtt+04     ; EVAL: Writ User Cons<3> Name Attribute  [+0012 +0012 +0012 +0012 +0012]
ios_W4NamAtt  equ  ios_W3NamAtt+04     ; EVAL: Writ User Cons<4> Name Attribute  [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5NamAtt  equ  ios_W4NamAtt+04     ; EVAL: Writ User Cons<5> Name Attribute  [+0020 +0020 +0020 +0020 +0020]
ios_W6NamAtt  equ  ios_W5NamAtt+04     ; EVAL: Writ User Cons<6> Name Attribute  [+0024 +0024 +0024 +0024 +0024]
ios_W7NamAtt  equ  ios_W6NamAtt+04     ; EVAL: Writ User Cons<7> Name Attribute  [+0028 +0028 +0028 +0028 +0028]
ios_W8NamAtt  equ  ios_W7NamAtt+04     ; EVAL: Writ User Cons<8> Name Attribute  [+0032 +0032 +0032 +0032 +0032]
ios_W9NamAtt  equ  ios_W8NamAtt+04     ; EVAL: Writ User Cons<9> Name<IRGB:irgb> [+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0EquAtt  equ  ios_PAR+2048+040    ; EVAL: Writ StdO Console Equal Char Attr [#0040 #0040 #0040 #0040 #0040]
ios_W1EquAtt  equ  ios_W0EquAtt+04     ; EVAL: Writ User Cons<1> Equal  =   Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2EquAtt  equ  ios_W1EquAtt+04     ; EVAL: Writ User Cons<2> Equal Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3EquAtt  equ  ios_W2EquAtt+04     ; EVAL: Writ User Cons<3> Equal Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4EquAtt  equ  ios_W3EquAtt+04     ; EVAL: Writ User Cons<4> Equal Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5EquAtt  equ  ios_W4EquAtt+04     ; EVAL: Writ User Cons<5> Equal Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6EquAtt  equ  ios_W5EquAtt+04     ; EVAL: Writ User Cons<6> Equal Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7EquAtt  equ  ios_W6EquAtt+04     ; EVAL: Writ User Cons<7> Equal Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8EquAtt  equ  ios_W7EquAtt+04     ; EVAL: Writ User Cons<8> Equal Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9EquAtt  equ  ios_W8EquAtt+04     ; EVAL: Writ User Cons<9> Equal<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0MrkAtt  equ  ios_PAR+2048+080    ; EVAL: Writ StdO Console Quota Mark Attr [#0080 #0080 #0080 #0080 #0080]
ios_W1MrkAtt  equ  ios_W0MrkAtt+04     ; EVAL: Writ User Cons<1> Quota  ' " Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2MrkAtt  equ  ios_W1MrkAtt+04     ; EVAL: Writ User Cons<2> Quota Mark Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3MrkAtt  equ  ios_W2MrkAtt+04     ; EVAL: Writ User Cons<3> Quota Mark Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4MrkAtt  equ  ios_W3MrkAtt+04     ; EVAL: Writ User Cons<4> Quota Mark Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5MrkAtt  equ  ios_W4MrkAtt+04     ; EVAL: Writ User Cons<5> Quota Mark Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6MrkAtt  equ  ios_W5MrkAtt+04     ; EVAL: Writ User Cons<6> Quota Mark Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7MrkAtt  equ  ios_W6MrkAtt+04     ; EVAL: Writ User Cons<7> Quota Mark Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8MrkAtt  equ  ios_W7MrkAtt+04     ; EVAL: Writ User Cons<8> Quota Mark Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9MrkAtt  equ  ios_W8MrkAtt+04     ; EVAL: Writ User Cons<9> Quota<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0TokAtt  equ  ios_PAR+2048+120    ; EVAL: Writ StdO Console Token Ends Attr [#0120 #0120 #0120 #0120 #0120]
ios_W1TokAtt  equ  ios_W0TokAtt+04     ; EVAL: Writ User Cons<1> Token  , ; Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2TokAtt  equ  ios_W1TokAtt+04     ; EVAL: Writ User Cons<2> Token Ends Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3TokAtt  equ  ios_W2TokAtt+04     ; EVAL: Writ User Cons<3> Token Ends Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4TokAtt  equ  ios_W3TokAtt+04     ; EVAL: Writ User Cons<4> Token Ends Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5TokAtt  equ  ios_W4TokAtt+04     ; EVAL: Writ User Cons<5> Token Ends Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6TokAtt  equ  ios_W5TokAtt+04     ; EVAL: Writ User Cons<6> Token Ends Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7TokAtt  equ  ios_W6TokAtt+04     ; EVAL: Writ User Cons<7> Token Ends Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8TokAtt  equ  ios_W7TokAtt+04     ; EVAL: Writ User Cons<8> Token Ends Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9TokAtt  equ  ios_W8TokAtt+04     ; EVAL: Writ User Cons<9> Token<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0ComAtt  equ  ios_PAR+2048+160    ; EVAL: Writ StdO Console CommentStr Attr [#0160 #0160 #0160 #0160 #0160]
ios_W1ComAtt  equ  ios_W0ComAtt+04     ; EVAL: Writ User Cons<1> Comnt  ! C Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2ComAtt  equ  ios_W1ComAtt+04     ; EVAL: Writ User Cons<2> Comnt Strg Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3ComAtt  equ  ios_W2ComAtt+04     ; EVAL: Writ User Cons<3> Comnt Strg Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4ComAtt  equ  ios_W3ComAtt+04     ; EVAL: Writ User Cons<4> Comnt Strg Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5ComAtt  equ  ios_W4ComAtt+04     ; EVAL: Writ User Cons<5> Comnt Strg Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6ComAtt  equ  ios_W5ComAtt+04     ; EVAL: Writ User Cons<6> Comnt Strg Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7ComAtt  equ  ios_W6ComAtt+04     ; EVAL: Writ User Cons<7> Comnt Strg Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8ComAtt  equ  ios_W7ComAtt+04     ; EVAL: Writ User Cons<8> Comnt Strg Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9ComAtt  equ  ios_W8ComAtt+04     ; EVAL: Writ User Cons<9> Comnt<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
ios_W0GVaAtt  equ  ios_PAR+2048+200    ; EVAL: Writ StdO Console GeneralVal Attr [#0200 #0200 #0200 #0200 #0200]
ios_W1GVaAtt  equ  ios_W0GVaAtt+04     ; EVAL: Writ User Cons<1> GeneralVal Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2GVaAtt  equ  ios_W1GVaAtt+04     ; EVAL: Writ User Cons<2> GeneralVal Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3GVaAtt  equ  ios_W2GVaAtt+04     ; EVAL: Writ User Cons<3> GeneralVal Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4GVaAtt  equ  ios_W3GVaAtt+04     ; EVAL: Writ User Cons<4> GeneralVal Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5GVaAtt  equ  ios_W4GVaAtt+04     ; EVAL: Writ User Cons<5> GeneralVal Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6GVaAtt  equ  ios_W5GVaAtt+04     ; EVAL: Writ User Cons<6> GeneralVal Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7GVaAtt  equ  ios_W6GVaAtt+04     ; EVAL: Writ User Cons<7> GeneralVal Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8GVaAtt  equ  ios_W7GVaAtt+04     ; EVAL: Writ User Cons<8> GeneralVal Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9GVaAtt  equ  ios_W8GVaAtt+04     ; EVAL: Writ User Cons<9> GenVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0IVaAtt  equ  ios_PAR+2048+240    ; EVAL: Writ StdO Console IntegerVal Attr [#0240 #0240 #0240 #0240 #0240]
ios_W1IVaAtt  equ  ios_W0IVaAtt+04     ; EVAL: Writ User Cons<1> IntegerVal Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2IVaAtt  equ  ios_W1IVaAtt+04     ; EVAL: Writ User Cons<2> IntegerVal Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3IVaAtt  equ  ios_W2IVaAtt+04     ; EVAL: Writ User Cons<3> IntegerVal Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4IVaAtt  equ  ios_W3IVaAtt+04     ; EVAL: Writ User Cons<4> IntegerVal Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5IVaAtt  equ  ios_W4IVaAtt+04     ; EVAL: Writ User Cons<5> IntegerVal Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6IVaAtt  equ  ios_W5IVaAtt+04     ; EVAL: Writ User Cons<6> IntegerVal Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7IVaAtt  equ  ios_W6IVaAtt+04     ; EVAL: Writ User Cons<7> IntegerVal Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8IVaAtt  equ  ios_W7IVaAtt+04     ; EVAL: Writ User Cons<8> IntegerVal Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9IVaAtt  equ  ios_W8IVaAtt+04     ; EVAL: Writ User Cons<9> IntVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0FVaAtt  equ  ios_PAR+2048+280    ; EVAL: Writ StdO Console FloatValue Attr [#0280 #0280 #0280 #0280 #0280]
ios_W1FVaAtt  equ  ios_W0FVaAtt+04     ; EVAL: Writ User Cons<1> FloatValue Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2FVaAtt  equ  ios_W1FVaAtt+04     ; EVAL: Writ User Cons<2> FloatValue Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3FVaAtt  equ  ios_W2FVaAtt+04     ; EVAL: Writ User Cons<3> FloatValue Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4FVaAtt  equ  ios_W3FVaAtt+04     ; EVAL: Writ User Cons<4> FloatValue Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5FVaAtt  equ  ios_W4FVaAtt+04     ; EVAL: Writ User Cons<5> FloatValue Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6FVaAtt  equ  ios_W5FVaAtt+04     ; EVAL: Writ User Cons<6> FloatValue Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7FVaAtt  equ  ios_W6FVaAtt+04     ; EVAL: Writ User Cons<7> FloatValue Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8FVaAtt  equ  ios_W7FVaAtt+04     ; EVAL: Writ User Cons<8> FloatValue Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9FVaAtt  equ  ios_W8FVaAtt+04     ; EVAL: Writ User Cons<9> FltVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0SVaAtt  equ  ios_PAR+2048+320    ; EVAL: Writ StdO Console StringValu Attr [#0320 #0320 #0320 #0320 #0320]
ios_W1SVaAtt  equ  ios_W0SVaAtt+04     ; EVAL: Writ User Cons<1> StringValu Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2SVaAtt  equ  ios_W1SVaAtt+04     ; EVAL: Writ User Cons<2> StringValu Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3SVaAtt  equ  ios_W2SVaAtt+04     ; EVAL: Writ User Cons<3> StringValu Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4SVaAtt  equ  ios_W3SVaAtt+04     ; EVAL: Writ User Cons<4> StringValu Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5SVaAtt  equ  ios_W4SVaAtt+04     ; EVAL: Writ User Cons<5> StringValu Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6SVaAtt  equ  ios_W5SVaAtt+04     ; EVAL: Writ User Cons<6> StringValu Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7SVaAtt  equ  ios_W6SVaAtt+04     ; EVAL: Writ User Cons<7> StringValu Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8SVaAtt  equ  ios_W7SVaAtt+04     ; EVAL: Writ User Cons<8> StringValu Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9SVaAtt  equ  ios_W8SVaAtt+04     ; EVAL: Writ User Cons<9> StrVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0TVaAtt  equ  ios_PAR+2048+360    ; EVAL: Writ StdO Console Text Value Attr [#0360 #0360 #0360 #0360 #0360]
ios_W1TVaAtt  equ  ios_W0TVaAtt+04     ; EVAL: Writ User Cons<1> Text Value Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2TVaAtt  equ  ios_W1TVaAtt+04     ; EVAL: Writ User Cons<2> Text Value Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3TVaAtt  equ  ios_W2TVaAtt+04     ; EVAL: Writ User Cons<3> Text Value Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4TVaAtt  equ  ios_W3TVaAtt+04     ; EVAL: Writ User Cons<4> Text Value Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5TVaAtt  equ  ios_W4TVaAtt+04     ; EVAL: Writ User Cons<5> Text Value Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6TVaAtt  equ  ios_W5TVaAtt+04     ; EVAL: Writ User Cons<6> Text Value Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7TVaAtt  equ  ios_W6TVaAtt+04     ; EVAL: Writ User Cons<7> Text Value Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8TVaAtt  equ  ios_W7TVaAtt+04     ; EVAL: Writ User Cons<8> Text Value Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9TVaAtt  equ  ios_W8TVaAtt+04     ; EVAL: Writ User Cons<9> TxtVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
ios_W0NChAtt  equ  ios_PAR+2048+400    ; EVAL: Writ StdO Console NwLin Char Attr [#0400 #0400 #0400 #0400 #0400]
ios_W1NChAtt  equ  ios_W0NChAtt+04     ; EVAL: Writ User Cons<1> NwLin &n   Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2NChAtt  equ  ios_W1NChAtt+04     ; EVAL: Writ User Cons<2> NwLin Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3NChAtt  equ  ios_W2NChAtt+04     ; EVAL: Writ User Cons<3> NwLin Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4NChAtt  equ  ios_W3NChAtt+04     ; EVAL: Writ User Cons<4> NwLin Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5NChAtt  equ  ios_W4NChAtt+04     ; EVAL: Writ User Cons<5> NwLin Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6NChAtt  equ  ios_W5NChAtt+04     ; EVAL: Writ User Cons<6> NwLin Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7NChAtt  equ  ios_W6NChAtt+04     ; EVAL: Writ User Cons<7> NwLin Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8NChAtt  equ  ios_W7NChAtt+04     ; EVAL: Writ User Cons<8> NwLin Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9NChAtt  equ  ios_W8NChAtt+04     ; EVAL: Writ User Cons<9> NLChr<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W0NFiAtt  equ  ios_PAR+2048+440    ; EVAL: Writ StdO Console NwLin Fill Attr [#0400 #0400 #0400 #0400 #0400]
ios_W1NFiAtt  equ  ios_W0NFiAtt+04     ; EVAL: Writ User Cons<1> NwLin &n.. Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2NFiAtt  equ  ios_W1NFiAtt+04     ; EVAL: Writ User Cons<2> NwLin Fill Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3NFiAtt  equ  ios_W2NFiAtt+04     ; EVAL: Writ User Cons<3> NwLin Fill Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4NFiAtt  equ  ios_W3NFiAtt+04     ; EVAL: Writ User Cons<4> NwLin Fill Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5NFiAtt  equ  ios_W4NFiAtt+04     ; EVAL: Writ User Cons<5> NwLin Fill Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6NFiAtt  equ  ios_W5NFiAtt+04     ; EVAL: Writ User Cons<6> NwLin Fill Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7NFiAtt  equ  ios_W6NFiAtt+04     ; EVAL: Writ User Cons<7> NwLin Fill Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8NFiAtt  equ  ios_W7NFiAtt+04     ; EVAL: Writ User Cons<8> NwLin Fill Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9NFiAtt  equ  ios_W8NFiAtt+04     ; EVAL: Writ User Cons<9> NLFil<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0StpAtt  equ  ios_PAR+2048+480    ; EVAL: Writ StdO Console Stops Char Attr [#0480 #0480 #0480 #0480 #0480]
ios_W1StpAtt  equ  ios_W0StpAtt+04     ; EVAL: Writ User Cons<1> Stops @    Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2StpAtt  equ  ios_W1StpAtt+04     ; EVAL: Writ User Cons<2> Stops Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3StpAtt  equ  ios_W2StpAtt+04     ; EVAL: Writ User Cons<3> Stops Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4StpAtt  equ  ios_W3StpAtt+04     ; EVAL: Writ User Cons<4> Stops Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5StpAtt  equ  ios_W4StpAtt+04     ; EVAL: Writ User Cons<5> Stops Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6StpAtt  equ  ios_W5StpAtt+04     ; EVAL: Writ User Cons<6> Stops Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7StpAtt  equ  ios_W6StpAtt+04     ; EVAL: Writ User Cons<7> Stops Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8StpAtt  equ  ios_W7StpAtt+04     ; EVAL: Writ User Cons<8> Stops Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9StpAtt  equ  ios_W8StpAtt+04     ; EVAL: Writ User Cons<9> Stops<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0ZChAtt  equ  ios_PAR+2048+520    ; EVAL: Writ StdO Console ZeroE Char Attr [#0520 #0520 #0520 #0520 #0520]
ios_W1ZChAtt  equ  ios_W0ZChAtt+04     ; EVAL: Writ User Cons<1> ZEnds &z   Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2ZChAtt  equ  ios_W1ZChAtt+04     ; EVAL: Writ User Cons<2> ZeroE Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3ZChAtt  equ  ios_W2ZChAtt+04     ; EVAL: Writ User Cons<3> ZeroE Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4ZChAtt  equ  ios_W3ZChAtt+04     ; EVAL: Writ User Cons<4> ZeroE Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5ZChAtt  equ  ios_W4ZChAtt+04     ; EVAL: Writ User Cons<5> ZeroE Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6ZChAtt  equ  ios_W5ZChAtt+04     ; EVAL: Writ User Cons<6> ZeroE Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7ZChAtt  equ  ios_W6ZChAtt+04     ; EVAL: Writ User Cons<7> ZeroE Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8ZChAtt  equ  ios_W7ZChAtt+04     ; EVAL: Writ User Cons<8> ZeroE Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9ZChAtt  equ  ios_W8ZChAtt+04     ; EVAL: Writ User Cons<9> ZeEnd<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W0ZFiAtt  equ  ios_PAR+2048+560    ; EVAL: Writ StdO Console ZeroE Fill Attr [#0560 #0560 #0560 #0560 #0560]
ios_W1ZFiAtt  equ  ios_W0ZFiAtt+04     ; EVAL: Writ User Cons<1> ZEnds &z.. Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2ZFiAtt  equ  ios_W1ZFiAtt+04     ; EVAL: Writ User Cons<2> ZeroE Fill Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3ZFiAtt  equ  ios_W2ZFiAtt+04     ; EVAL: Writ User Cons<3> ZeroE Fill Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4ZFiAtt  equ  ios_W3ZFiAtt+04     ; EVAL: Writ User Cons<4> ZeroE Fill Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5ZFiAtt  equ  ios_W4ZFiAtt+04     ; EVAL: Writ User Cons<5> ZeroE Fill Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6ZFiAtt  equ  ios_W5ZFiAtt+04     ; EVAL: Writ User Cons<6> ZeroE Fill Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7ZFiAtt  equ  ios_W6ZFiAtt+04     ; EVAL: Writ User Cons<7> ZeroE Fill Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8ZFiAtt  equ  ios_W7ZFiAtt+04     ; EVAL: Writ User Cons<8> ZeroE Fill Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9ZFiAtt  equ  ios_W8ZFiAtt+04     ; EVAL: Writ User Cons<9> ZeEnd<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
ios_W0LinAtt  equ  ios_PAR+2048+600    ; EVAL: Writ StdO Console Sepa Lines Attr [#0600 #0600 #0600 #0600 #0600]
ios_W1LinAtt  equ  ios_W0LinAtt+04     ; EVAL: Writ User Cons<1> Sepa %%%%% Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2LinAtt  equ  ios_W1LinAtt+04     ; EVAL: Writ User Cons<2> Sepa Lines Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3LinAtt  equ  ios_W2LinAtt+04     ; EVAL: Writ User Cons<3> Sepa Lines Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4LinAtt  equ  ios_W3LinAtt+04     ; EVAL: Writ User Cons<4> Sepa Lines Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5LinAtt  equ  ios_W4LinAtt+04     ; EVAL: Writ User Cons<5> Sepa Lines Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6LinAtt  equ  ios_W5LinAtt+04     ; EVAL: Writ User Cons<6> Sepa Lines Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7LinAtt  equ  ios_W6LinAtt+04     ; EVAL: Writ User Cons<7> Sepa Lines Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8LinAtt  equ  ios_W7LinAtt+04     ; EVAL: Writ User Cons<8> Sepa Lines Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9LinAtt  equ  ios_W8LinAtt+04     ; EVAL: Writ User Cons<9> SepLn<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0HLgAtt  equ  ios_PAR+2048+640    ; EVAL: Writ StdO Console High Langu Attr [#0600 #0600 #0600 #0600 #0600]
ios_W1HLgAtt  equ  ios_W0HLgAtt+04     ; EVAL: Writ User Cons<1> Text after Attr [+0004 +0004 +0004 +0004 +0004]
ios_W2HLgAtt  equ  ios_W1HLgAtt+04     ; EVAL: Writ User Cons<2> Read/Write Attr [+0008 +0008 +0008 +0008 +0008]
ios_W3HLgAtt  equ  ios_W2HLgAtt+04     ; EVAL: Writ User Cons<3> High Langu Attr [+0012 +0012 +0012 +0012 +0012]
ios_W4HLgAtt  equ  ios_W3HLgAtt+04     ; EVAL: Writ User Cons<4> High Langu Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5HLgAtt  equ  ios_W4HLgAtt+04     ; EVAL: Writ User Cons<5> High Langu Attr [+0020 +0020 +0020 +0020 +0020]
ios_W6HLgAtt  equ  ios_W5HLgAtt+04     ; EVAL: Writ User Cons<6> High Langu Attr [+0024 +0024 +0024 +0024 +0024]
ios_W7HLgAtt  equ  ios_W6HLgAtt+04     ; EVAL: Writ User Cons<7> High Langu Attr [+0028 +0028 +0028 +0028 +0028]
ios_W8HLgAtt  equ  ios_W7HLgAtt+04     ; EVAL: Writ User Cons<8> High Langu Attr [+0032 +0032 +0032 +0032 +0032]
ios_W9HLgAtt  equ  ios_W8HLgAtt+04     ; EVAL: Writ User Cons<9> SepLn<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*==============================================================================================================
ios_WAHLgAtt  equ  ios_PAR+2048+680    ; EVAL: Writ StdO Console High Langu Attr [#0680 #0680 #0680 #0680 #0680]
ios_WBHLgAtt  equ  ios_PAR+2048+720    ; EVAL: Writ StdO Console High Langu Attr [#0720 #0720 #0720 #0720 #0720]
ios_WCHLgAtt  equ  ios_PAR+2048+760    ; EVAL: Writ StdO Console High Langu Attr [#0760 #0760 #0760 #0760 #0760]
;***************************************************************************************************************
ios_W00ChCod  equ  ios_PAR+2048+768    ; EVAL: Writ StdO Console: Character Code [#0768 #0768 #0768 #0768 #0768]
ios_W01ChCod  equ  ios_W00ChCod+04     ; EVAL: Writ User Cons<01> Character Code [+0004 +0004 +0004 +0004 +0004]
ios_W02ChCod  equ  ios_W01ChCod+04     ; EVAL: Writ User Cons<02> Character Code [+0008 +0008 +0008 +0008 +0008]
ios_W03ChCod  equ  ios_W02ChCod+04     ; EVAL: Writ User Cons<03> Character Code [+0012 +0012 +0012 +0012 +0012]
ios_W04ChCod  equ  ios_W03ChCod+04     ; EVAL: Writ User Cons<04> Character Code [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05ChCod  equ  ios_W04ChCod+04     ; EVAL: Writ User Cons<05> Character Code [+0020 +0020 +0020 +0020 +0020]
ios_W06ChCod  equ  ios_W05ChCod+04     ; EVAL: Writ User Cons<06> Character Code [+0024 +0024 +0024 +0024 +0024]
ios_W07ChCod  equ  ios_W06ChCod+04     ; EVAL: Writ User Cons<07> Character Code [+0028 +0028 +0028 +0028 +0028]
ios_W08ChCod  equ  ios_W07ChCod+04     ; EVAL: Writ User Cons<08> Character Code [+0032 +0032 +0032 +0032 +0032]
ios_W09ChCod  equ  ios_W08ChCod+04     ; EVAL: Writ User Cons<09> Character Code [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10ChCod  equ  ios_W09ChCod+04     ; EVAL: Writ User File<10> Character Code [+0040 +0040 +0040 +0040 +0040]
ios_W11ChCod  equ  ios_W10ChCod+04     ; EVAL: Writ User File<11> Character Code [+0044 +0044 +0044 +0044 +0044]
ios_W12ChCod  equ  ios_W11ChCod+04     ; EVAL: Writ User File<12> Character Code [+0048 +0048 +0048 +0048 +0048]
ios_W13ChCod  equ  ios_W12ChCod+04     ; EVAL: Writ User File<13> Character Code [+0052 +0052 +0052 +0052 +0052]
ios_W14ChCod  equ  ios_W13ChCod+04     ; EVAL: Writ User File<14> Character Code [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15ChCod  equ  ios_W14ChCod+04     ; EVAL: Writ User File<15> Character Code [+0060 +0060 +0060 +0060 +0060]
ios_W16ChCod  equ  ios_W15ChCod+04     ; EVAL: Writ User File<16> Character Code [+0064 +0064 +0064 +0064 +0064]
ios_W17ChCod  equ  ios_W16ChCod+04     ; EVAL: Writ User File<17> Character Code [+0068 +0068 +0068 +0068 +0068]
ios_W18ChCod  equ  ios_W17ChCod+04     ; EVAL: Writ User File<18> Character Code [+0072 +0072 +0072 +0072 +0072]
ios_W19ChCod  equ  ios_W18ChCod+04     ; EVAL: Writ User File<19> Character Code [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20ChCod  equ  ios_W19ChCod+04     ; EVAL: Writ User Memo<20> Character Code [+0080 +0080 +0080 +0080 +0080]
ios_W21ChCod  equ  ios_W20ChCod+04     ; EVAL: Writ User Memo<21> Character Code [+0084 +0084 +0084 +0084 +0084]
ios_W22ChCod  equ  ios_W21ChCod+04     ; EVAL: Writ User Memo<22> Character Code [+0088 +0088 +0088 +0088 +0088]
ios_W23ChCod  equ  ios_W22ChCod+04     ; EVAL: Writ User Memo<23> Character Code [+0092 +0092 +0092 +0092 +0092]
ios_W24ChCod  equ  ios_W23ChCod+04     ; EVAL: Writ User Memo<24> Character Code [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25ChCod  equ  ios_W24ChCod+04     ; EVAL: Writ User Memo<25> Character Code [+0100 +0100 +0100 +0100 +0100]
ios_W26ChCod  equ  ios_W25ChCod+04     ; EVAL: Writ User Memo<26> Character Code [+0104 +0104 +0104 +0104 +0104]
ios_W27ChCod  equ  ios_W26ChCod+04     ; EVAL: Writ User Memo<27> Character Code [+0108 +0108 +0108 +0108 +0108]
ios_W28ChCod  equ  ios_W27ChCod+04     ; EVAL: Writ User Memo<28> Character Code [+0112 +0112 +0112 +0112 +0112]
ios_W29ChCod  equ  ios_W28ChCod+04     ; EVAL: Writ User Memo<29> Character Code [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30ChCod  equ  ios_W29ChCod+04     ; EVAL: Writ DsLb File<30> Character Code [+0120 +0120 +0120 +0120 +0120]
ios_W31ChCod  equ  ios_W30ChCod+04     ; EVAL: Writ DsLb Memo<31> Character Code [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_W00CmChr  equ  ios_PAR+2048+896    ; EVAL: Writ StdO Console: Comment 0 Char [#0896 #0896 #0896 #0896 #0896]
ios_W01CmChr  equ  ios_W00CmChr+04     ; EVAL: Writ User Cons<01> Comment # Char [+0004 +0004 +0004 +0004 +0004]
ios_W02CmChr  equ  ios_W01CmChr+04     ; EVAL: Writ User Cons<02> Comment % Char [+0008 +0008 +0008 +0008 +0008]
ios_W03CmChr  equ  ios_W02CmChr+04     ; EVAL: Writ User Cons<03> Comment * Char [+0012 +0012 +0012 +0012 +0012]
ios_W04CmChr  equ  ios_W03CmChr+04     ; EVAL: Writ User Cons<04> Comment / Char [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05CmChr  equ  ios_W04CmChr+04     ; EVAL: Writ User Cons<05> Comment ; Char [+0020 +0020 +0020 +0020 +0020]
ios_W06CmChr  equ  ios_W05CmChr+04     ; EVAL: Writ User Cons<06> Comment ? Char [+0024 +0024 +0024 +0024 +0024]
ios_W07CmChr  equ  ios_W06CmChr+04     ; EVAL: Writ User Cons<07> Comment C Char [+0028 +0028 +0028 +0028 +0028]
ios_W08CmChr  equ  ios_W07CmChr+04     ; EVAL: Writ User Cons<08> Comment ? Char [+0032 +0032 +0032 +0032 +0032]
ios_W09CmChr  equ  ios_W08CmChr+04     ; EVAL: Writ User Cons<09> Comment ! Char [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10CmChr  equ  ios_W09CmChr+04     ; EVAL: Writ User File<10> Comment   Char [+0040 +0040 +0040 +0040 +0040]
ios_W11CmChr  equ  ios_W10CmChr+04     ; EVAL: Writ User File<11> Comment   Char [+0044 +0044 +0044 +0044 +0044]
ios_W12CmChr  equ  ios_W11CmChr+04     ; EVAL: Writ User File<12> Comment   Char [+0048 +0048 +0048 +0048 +0048]
ios_W13CmChr  equ  ios_W12CmChr+04     ; EVAL: Writ User File<13> Comment   Char [+0052 +0052 +0052 +0052 +0052]
ios_W14CmChr  equ  ios_W13CmChr+04     ; EVAL: Writ User File<14> Comment   Char [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15CmChr  equ  ios_W14CmChr+04     ; EVAL: Writ User File<15> Comment   Char [+0060 +0060 +0060 +0060 +0060]
ios_W16CmChr  equ  ios_W15CmChr+04     ; EVAL: Writ User File<16> Comment   Char [+0064 +0064 +0064 +0064 +0064]
ios_W17CmChr  equ  ios_W16CmChr+04     ; EVAL: Writ User File<17> Comment   Char [+0068 +0068 +0068 +0068 +0068]
ios_W18CmChr  equ  ios_W17CmChr+04     ; EVAL: Writ User File<18> Comment   Char [+0072 +0072 +0072 +0072 +0072]
ios_W19CmChr  equ  ios_W18CmChr+04     ; EVAL: Writ User File<19> Comment   Char [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20CmChr  equ  ios_W19CmChr+04     ; EVAL: Writ User Memo<20> Comment   Char [+0080 +0080 +0080 +0080 +0080]
ios_W21CmChr  equ  ios_W20CmChr+04     ; EVAL: Writ User Memo<21> Comment   Char [+0084 +0084 +0084 +0084 +0084]
ios_W22CmChr  equ  ios_W21CmChr+04     ; EVAL: Writ User Memo<22> Comment   Char [+0088 +0088 +0088 +0088 +0088]
ios_W23CmChr  equ  ios_W22CmChr+04     ; EVAL: Writ User Memo<23> Comment   Char [+0092 +0092 +0092 +0092 +0092]
ios_W24CmChr  equ  ios_W23CmChr+04     ; EVAL: Writ User Memo<24> Comment   Char [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25CmChr  equ  ios_W24CmChr+04     ; EVAL: Writ User Memo<25> Comment   Char [+0100 +0100 +0100 +0100 +0100]
ios_W26CmChr  equ  ios_W25CmChr+04     ; EVAL: Writ User Memo<26> Comment   Char [+0104 +0104 +0104 +0104 +0104]
ios_W27CmChr  equ  ios_W26CmChr+04     ; EVAL: Writ User Memo<27> Comment   Char [+0108 +0108 +0108 +0108 +0108]
ios_W28CmChr  equ  ios_W27CmChr+04     ; EVAL: Writ User Memo<28> Comment   Char [+0112 +0112 +0112 +0112 +0112]
ios_W29CmChr  equ  ios_W28CmChr+04     ; EVAL: Writ User Memo<29> Comment   Char [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30CmChr  equ  ios_W29CmChr+04     ; EVAL: Writ DsLb File<30> Comment   Char [+0120 +0120 +0120 +0120 +0120]
ios_W31CmChr  equ  ios_W30CmChr+04     ; EVAL: Writ DsLb Memo<31> Comment   Char [+0124 +0124 +0124 +0124 +0124]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_Valu3072  equ  ios_PAR+3072+000    ; XVAL: Value Part3 Non scaling Values !  [%3072 %3072 %3072 %3072 %3072]
;*--------------------------------------------------------------------------------------------------------------
ios_R0NamAtt  equ  ios_PAR+3072+000    ; EVAL: Read StdO Console Name Attribute  [#0000 #0000 #0000 #0000 #0000]
ios_R1NamAtt  equ  ios_R0NamAtt+04     ; EVAL: Read User Cons<1> Name Attribute  [+0004 +0004 +0004 +0004 +0004]
ios_R2NamAtt  equ  ios_R1NamAtt+04     ; EVAL: Read User Cons<2> Name Attribute  [+0008 +0008 +0008 +0008 +0008]
ios_R3NamAtt  equ  ios_R2NamAtt+04     ; EVAL: Read User Cons<3> Name Attribute  [+0012 +0012 +0012 +0012 +0012]
ios_R4NamAtt  equ  ios_R3NamAtt+04     ; EVAL: Read User Cons<4> Name Attribute  [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5NamAtt  equ  ios_R4NamAtt+04     ; EVAL: Read User Cons<5> Name Attribute  [+0020 +0020 +0020 +0020 +0020]
ios_R6NamAtt  equ  ios_R5NamAtt+04     ; EVAL: Read User Cons<6> Name Attribute  [+0024 +0024 +0024 +0024 +0024]
ios_R7NamAtt  equ  ios_R6NamAtt+04     ; EVAL: Read User Cons<7> Name Attribute  [+0028 +0028 +0028 +0028 +0028]
ios_R8NamAtt  equ  ios_R7NamAtt+04     ; EVAL: Read User Cons<8> Name Attribute  [+0032 +0032 +0032 +0032 +0032]
ios_R9NamAtt  equ  ios_R8NamAtt+04     ; EVAL: Read User Cons<9> Name<IRGB:irgb> [+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0EquAtt  equ  ios_PAR+3072+040    ; EVAL: Read StdO Console Equal Char Attr [#0040 #0040 #0040 #0040 #0040]
ios_R1EquAtt  equ  ios_R0EquAtt+04     ; EVAL: Read User Cons<1> Equal  =   Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2EquAtt  equ  ios_R1EquAtt+04     ; EVAL: Read User Cons<2> Equal Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3EquAtt  equ  ios_R2EquAtt+04     ; EVAL: Read User Cons<3> Equal Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4EquAtt  equ  ios_R3EquAtt+04     ; EVAL: Read User Cons<4> Equal Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5EquAtt  equ  ios_R4EquAtt+04     ; EVAL: Read User Cons<5> Equal Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6EquAtt  equ  ios_R5EquAtt+04     ; EVAL: Read User Cons<6> Equal Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7EquAtt  equ  ios_R6EquAtt+04     ; EVAL: Read User Cons<7> Equal Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8EquAtt  equ  ios_R7EquAtt+04     ; EVAL: Read User Cons<8> Equal Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9EquAtt  equ  ios_R8EquAtt+04     ; EVAL: Read User Cons<9> Equal<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0MrkAtt  equ  ios_PAR+3072+080    ; EVAL: Read StdO Console Quota Mark Attr [#0080 #0080 #0080 #0080 #0080]
ios_R1MrkAtt  equ  ios_R0MrkAtt+04     ; EVAL: Read User Cons<1> Quota  ' " Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2MrkAtt  equ  ios_R1MrkAtt+04     ; EVAL: Read User Cons<2> Quota Mark Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3MrkAtt  equ  ios_R2MrkAtt+04     ; EVAL: Read User Cons<3> Quota Mark Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4MrkAtt  equ  ios_R3MrkAtt+04     ; EVAL: Read User Cons<4> Quota Mark Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5MrkAtt  equ  ios_R4MrkAtt+04     ; EVAL: Read User Cons<5> Quota Mark Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6MrkAtt  equ  ios_R5MrkAtt+04     ; EVAL: Read User Cons<6> Quota Mark Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7MrkAtt  equ  ios_R6MrkAtt+04     ; EVAL: Read User Cons<7> Quota Mark Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8MrkAtt  equ  ios_R7MrkAtt+04     ; EVAL: Read User Cons<8> Quota Mark Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9MrkAtt  equ  ios_R8MrkAtt+04     ; EVAL: Read User Cons<9> Quota<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0TokAtt  equ  ios_PAR+3072+120    ; EVAL: Read StdO Console Token Ends Attr [#0120 #0120 #0120 #0120 #0120]
ios_R1TokAtt  equ  ios_R0TokAtt+04     ; EVAL: Read User Cons<1> Token  , ; Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2TokAtt  equ  ios_R1TokAtt+04     ; EVAL: Read User Cons<2> Token Ends Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3TokAtt  equ  ios_R2TokAtt+04     ; EVAL: Read User Cons<3> Token Ends Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4TokAtt  equ  ios_R3TokAtt+04     ; EVAL: Read User Cons<4> Token Ends Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5TokAtt  equ  ios_R4TokAtt+04     ; EVAL: Read User Cons<5> Token Ends Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6TokAtt  equ  ios_R5TokAtt+04     ; EVAL: Read User Cons<6> Token Ends Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7TokAtt  equ  ios_R6TokAtt+04     ; EVAL: Read User Cons<7> Token Ends Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8TokAtt  equ  ios_R7TokAtt+04     ; EVAL: Read User Cons<8> Token Ends Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9TokAtt  equ  ios_R8TokAtt+04     ; EVAL: Read User Cons<9> Token<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0ComAtt  equ  ios_PAR+3072+160    ; EVAL: Read StdO Console CommentStr Attr [#0160 #0160 #0160 #0160 #0160]
ios_R1ComAtt  equ  ios_R0ComAtt+04     ; EVAL: Read User Cons<1> Comnt  ! C Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2ComAtt  equ  ios_R1ComAtt+04     ; EVAL: Read User Cons<2> Comnt Strg Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3ComAtt  equ  ios_R2ComAtt+04     ; EVAL: Read User Cons<3> Comnt Strg Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4ComAtt  equ  ios_R3ComAtt+04     ; EVAL: Read User Cons<4> Comnt Strg Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5ComAtt  equ  ios_R4ComAtt+04     ; EVAL: Read User Cons<5> Comnt Strg Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6ComAtt  equ  ios_R5ComAtt+04     ; EVAL: Read User Cons<6> Comnt Strg Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7ComAtt  equ  ios_R6ComAtt+04     ; EVAL: Read User Cons<7> Comnt Strg Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8ComAtt  equ  ios_R7ComAtt+04     ; EVAL: Read User Cons<8> Comnt Strg Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9ComAtt  equ  ios_R8ComAtt+04     ; EVAL: Read User Cons<9> Comnt<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
ios_R0GVaAtt  equ  ios_PAR+3072+200    ; EVAL: Read StdO Console GeneralVal Attr [#0200 #0200 #0200 #0200 #0200]
ios_R1GVaAtt  equ  ios_R0GVaAtt+04     ; EVAL: Read User Cons<1> GeneralVal Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2GVaAtt  equ  ios_R1GVaAtt+04     ; EVAL: Read User Cons<2> GeneralVal Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3GVaAtt  equ  ios_R2GVaAtt+04     ; EVAL: Read User Cons<3> GeneralVal Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4GVaAtt  equ  ios_R3GVaAtt+04     ; EVAL: Read User Cons<4> GeneralVal Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5GVaAtt  equ  ios_R4GVaAtt+04     ; EVAL: Read User Cons<5> GeneralVal Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6GVaAtt  equ  ios_R5GVaAtt+04     ; EVAL: Read User Cons<6> GeneralVal Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7GVaAtt  equ  ios_R6GVaAtt+04     ; EVAL: Read User Cons<7> GeneralVal Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8GVaAtt  equ  ios_R7GVaAtt+04     ; EVAL: Read User Cons<8> GeneralVal Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9GVaAtt  equ  ios_R8GVaAtt+04     ; EVAL: Read User Cons<9> GenVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0IVaAtt  equ  ios_PAR+3072+240    ; EVAL: Read StdO Console IntegerVal Attr [#0240 #0240 #0240 #0240 #0240]
ios_R1IVaAtt  equ  ios_R0IVaAtt+04     ; EVAL: Read User Cons<1> IntegerVal Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2IVaAtt  equ  ios_R1IVaAtt+04     ; EVAL: Read User Cons<2> IntegerVal Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3IVaAtt  equ  ios_R2IVaAtt+04     ; EVAL: Read User Cons<3> IntegerVal Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4IVaAtt  equ  ios_R3IVaAtt+04     ; EVAL: Read User Cons<4> IntegerVal Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5IVaAtt  equ  ios_R4IVaAtt+04     ; EVAL: Read User Cons<5> IntegerVal Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6IVaAtt  equ  ios_R5IVaAtt+04     ; EVAL: Read User Cons<6> IntegerVal Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7IVaAtt  equ  ios_R6IVaAtt+04     ; EVAL: Read User Cons<7> IntegerVal Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8IVaAtt  equ  ios_R7IVaAtt+04     ; EVAL: Read User Cons<8> IntegerVal Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9IVaAtt  equ  ios_R8IVaAtt+04     ; EVAL: Read User Cons<9> IntVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0FVaAtt  equ  ios_PAR+3072+280    ; EVAL: Read StdO Console FloatValue Attr [#0280 #0280 #0280 #0280 #0280]
ios_R1FVaAtt  equ  ios_R0FVaAtt+04     ; EVAL: Read User Cons<1> FloatValue Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2FVaAtt  equ  ios_R1FVaAtt+04     ; EVAL: Read User Cons<2> FloatValue Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3FVaAtt  equ  ios_R2FVaAtt+04     ; EVAL: Read User Cons<3> FloatValue Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4FVaAtt  equ  ios_R3FVaAtt+04     ; EVAL: Read User Cons<4> FloatValue Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5FVaAtt  equ  ios_R4FVaAtt+04     ; EVAL: Read User Cons<5> FloatValue Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6FVaAtt  equ  ios_R5FVaAtt+04     ; EVAL: Read User Cons<6> FloatValue Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7FVaAtt  equ  ios_R6FVaAtt+04     ; EVAL: Read User Cons<7> FloatValue Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8FVaAtt  equ  ios_R7FVaAtt+04     ; EVAL: Read User Cons<8> FloatValue Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9FVaAtt  equ  ios_R8FVaAtt+04     ; EVAL: Read User Cons<9> FltVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0SVaAtt  equ  ios_PAR+3072+320    ; EVAL: Read StdO Console StringValu Attr [#0320 #0320 #0320 #0320 #0320]
ios_R1SVaAtt  equ  ios_R0SVaAtt+04     ; EVAL: Read User Cons<1> StringValu Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2SVaAtt  equ  ios_R1SVaAtt+04     ; EVAL: Read User Cons<2> StringValu Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3SVaAtt  equ  ios_R2SVaAtt+04     ; EVAL: Read User Cons<3> StringValu Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4SVaAtt  equ  ios_R3SVaAtt+04     ; EVAL: Read User Cons<4> StringValu Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5SVaAtt  equ  ios_R4SVaAtt+04     ; EVAL: Read User Cons<5> StringValu Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6SVaAtt  equ  ios_R5SVaAtt+04     ; EVAL: Read User Cons<6> StringValu Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7SVaAtt  equ  ios_R6SVaAtt+04     ; EVAL: Read User Cons<7> StringValu Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8SVaAtt  equ  ios_R7SVaAtt+04     ; EVAL: Read User Cons<8> StringValu Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9SVaAtt  equ  ios_R8SVaAtt+04     ; EVAL: Read User Cons<9> StrVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0TVaAtt  equ  ios_PAR+3072+360    ; EVAL: Read StdO Console Text Value Attr [#0360 #0360 #0360 #0360 #0360]
ios_R1TVaAtt  equ  ios_R0TVaAtt+04     ; EVAL: Read User Cons<1> Text Value Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2TVaAtt  equ  ios_R1TVaAtt+04     ; EVAL: Read User Cons<2> Text Value Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3TVaAtt  equ  ios_R2TVaAtt+04     ; EVAL: Read User Cons<3> Text Value Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4TVaAtt  equ  ios_R3TVaAtt+04     ; EVAL: Read User Cons<4> Text Value Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5TVaAtt  equ  ios_R4TVaAtt+04     ; EVAL: Read User Cons<5> Text Value Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6TVaAtt  equ  ios_R5TVaAtt+04     ; EVAL: Read User Cons<6> Text Value Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7TVaAtt  equ  ios_R6TVaAtt+04     ; EVAL: Read User Cons<7> Text Value Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8TVaAtt  equ  ios_R7TVaAtt+04     ; EVAL: Read User Cons<8> Text Value Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9TVaAtt  equ  ios_R8TVaAtt+04     ; EVAL: Read User Cons<9> TxtVa<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
ios_R0NChAtt  equ  ios_PAR+3072+400    ; EVAL: Read StdO Console NwLin Char Attr [#0400 #0400 #0400 #0400 #0400]
ios_R1NChAtt  equ  ios_R0NChAtt+04     ; EVAL: Read User Cons<1> NwLin &n   Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2NChAtt  equ  ios_R1NChAtt+04     ; EVAL: Read User Cons<2> NwLin Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3NChAtt  equ  ios_R2NChAtt+04     ; EVAL: Read User Cons<3> NwLin Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4NChAtt  equ  ios_R3NChAtt+04     ; EVAL: Read User Cons<4> NwLin Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5NChAtt  equ  ios_R4NChAtt+04     ; EVAL: Read User Cons<5> NwLin Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6NChAtt  equ  ios_R5NChAtt+04     ; EVAL: Read User Cons<6> NwLin Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7NChAtt  equ  ios_R6NChAtt+04     ; EVAL: Read User Cons<7> NwLin Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8NChAtt  equ  ios_R7NChAtt+04     ; EVAL: Read User Cons<8> NwLin Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9NChAtt  equ  ios_R8NChAtt+04     ; EVAL: Read User Cons<9> NLChr<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R0NFiAtt  equ  ios_PAR+3072+440    ; EVAL: Read StdO Console NwLin Fill Attr [#0400 #0400 #0400 #0400 #0400]
ios_R1NFiAtt  equ  ios_R0NFiAtt+04     ; EVAL: Read User Cons<1> NwLin &n.. Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2NFiAtt  equ  ios_R1NFiAtt+04     ; EVAL: Read User Cons<2> NwLin Fill Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3NFiAtt  equ  ios_R2NFiAtt+04     ; EVAL: Read User Cons<3> NwLin Fill Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4NFiAtt  equ  ios_R3NFiAtt+04     ; EVAL: Read User Cons<4> NwLin Fill Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5NFiAtt  equ  ios_R4NFiAtt+04     ; EVAL: Read User Cons<5> NwLin Fill Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6NFiAtt  equ  ios_R5NFiAtt+04     ; EVAL: Read User Cons<6> NwLin Fill Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7NFiAtt  equ  ios_R6NFiAtt+04     ; EVAL: Read User Cons<7> NwLin Fill Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8NFiAtt  equ  ios_R7NFiAtt+04     ; EVAL: Read User Cons<8> NwLin Fill Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9NFiAtt  equ  ios_R8NFiAtt+04     ; EVAL: Read User Cons<9> NLFil<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0StpAtt  equ  ios_PAR+3072+480    ; EVAL: Read StdO Console Stops Char Attr [#0480 #0480 #0480 #0480 #0480]
ios_R1StpAtt  equ  ios_R0StpAtt+04     ; EVAL: Read User Cons<1> Stops @    Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2StpAtt  equ  ios_R1StpAtt+04     ; EVAL: Read User Cons<2> Stops Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3StpAtt  equ  ios_R2StpAtt+04     ; EVAL: Read User Cons<3> Stops Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4StpAtt  equ  ios_R3StpAtt+04     ; EVAL: Read User Cons<4> Stops Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5StpAtt  equ  ios_R4StpAtt+04     ; EVAL: Read User Cons<5> Stops Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6StpAtt  equ  ios_R5StpAtt+04     ; EVAL: Read User Cons<6> Stops Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7StpAtt  equ  ios_R6StpAtt+04     ; EVAL: Read User Cons<7> Stops Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8StpAtt  equ  ios_R7StpAtt+04     ; EVAL: Read User Cons<8> Stops Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9StpAtt  equ  ios_R8StpAtt+04     ; EVAL: Read User Cons<9> Stops<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0ZChAtt  equ  ios_PAR+3072+520    ; EVAL: Read StdO Console ZeroE Char Attr [#0520 #0520 #0520 #0520 #0520]
ios_R1ZChAtt  equ  ios_R0ZChAtt+04     ; EVAL: Read User Cons<1> ZEnds &z   Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2ZChAtt  equ  ios_R1ZChAtt+04     ; EVAL: Read User Cons<2> ZeroE Char Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3ZChAtt  equ  ios_R2ZChAtt+04     ; EVAL: Read User Cons<3> ZeroE Char Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4ZChAtt  equ  ios_R3ZChAtt+04     ; EVAL: Read User Cons<4> ZeroE Char Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5ZChAtt  equ  ios_R4ZChAtt+04     ; EVAL: Read User Cons<5> ZeroE Char Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6ZChAtt  equ  ios_R5ZChAtt+04     ; EVAL: Read User Cons<6> ZeroE Char Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7ZChAtt  equ  ios_R6ZChAtt+04     ; EVAL: Read User Cons<7> ZeroE Char Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8ZChAtt  equ  ios_R7ZChAtt+04     ; EVAL: Read User Cons<8> ZeroE Char Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9ZChAtt  equ  ios_R8ZChAtt+04     ; EVAL: Read User Cons<9> ZeEnd<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R0ZFiAtt  equ  ios_PAR+3072+560    ; EVAL: Read StdO Console ZeroE Fill Attr [#0560 #0560 #0560 #0560 #0560]
ios_R1ZFiAtt  equ  ios_R0ZFiAtt+04     ; EVAL: Read User Cons<1> ZEnds &z.. Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2ZFiAtt  equ  ios_R1ZFiAtt+04     ; EVAL: Read User Cons<2> ZeroE Fill Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3ZFiAtt  equ  ios_R2ZFiAtt+04     ; EVAL: Read User Cons<3> ZeroE Fill Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4ZFiAtt  equ  ios_R3ZFiAtt+04     ; EVAL: Read User Cons<4> ZeroE Fill Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5ZFiAtt  equ  ios_R4ZFiAtt+04     ; EVAL: Read User Cons<5> ZeroE Fill Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6ZFiAtt  equ  ios_R5ZFiAtt+04     ; EVAL: Read User Cons<6> ZeroE Fill Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7ZFiAtt  equ  ios_R6ZFiAtt+04     ; EVAL: Read User Cons<7> ZeroE Fill Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8ZFiAtt  equ  ios_R7ZFiAtt+04     ; EVAL: Read User Cons<8> ZeroE Fill Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9ZFiAtt  equ  ios_R8ZFiAtt+04     ; EVAL: Read User Cons<9> ZeEnd<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*--------------------------------------------------------------------------------------------------------------
ios_R0LinAtt  equ  ios_PAR+3072+600    ; EVAL: Read StdO Console Sepa Lines Attr [#0600 #0600 #0600 #0600 #0600]
ios_R1LinAtt  equ  ios_R0LinAtt+04     ; EVAL: Read User Cons<1> Sepa %%%%% Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2LinAtt  equ  ios_R1LinAtt+04     ; EVAL: Read User Cons<2> Sepa Lines Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3LinAtt  equ  ios_R2LinAtt+04     ; EVAL: Read User Cons<3> Sepa Lines Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4LinAtt  equ  ios_R3LinAtt+04     ; EVAL: Read User Cons<4> Sepa Lines Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5LinAtt  equ  ios_R4LinAtt+04     ; EVAL: Read User Cons<5> Sepa Lines Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6LinAtt  equ  ios_R5LinAtt+04     ; EVAL: Read User Cons<6> Sepa Lines Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7LinAtt  equ  ios_R6LinAtt+04     ; EVAL: Read User Cons<7> Sepa Lines Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8LinAtt  equ  ios_R7LinAtt+04     ; EVAL: Read User Cons<8> Sepa Lines Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9LinAtt  equ  ios_R8LinAtt+04     ; EVAL: Read User Cons<9> SepLn<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0HLgAtt  equ  ios_PAR+3072+640    ; EVAL: Read StdO Console High Langu Attr [#0600 #0600 #0600 #0600 #0600]
ios_R1HLgAtt  equ  ios_R0HLgAtt+04     ; EVAL: Read User Cons<1> Text after Attr [+0004 +0004 +0004 +0004 +0004]
ios_R2HLgAtt  equ  ios_R1HLgAtt+04     ; EVAL: Read User Cons<2> Read/Write Attr [+0008 +0008 +0008 +0008 +0008]
ios_R3HLgAtt  equ  ios_R2HLgAtt+04     ; EVAL: Read User Cons<3> High Langu Attr [+0012 +0012 +0012 +0012 +0012]
ios_R4HLgAtt  equ  ios_R3HLgAtt+04     ; EVAL: Read User Cons<4> High Langu Attr [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5HLgAtt  equ  ios_R4HLgAtt+04     ; EVAL: Read User Cons<5> High Langu Attr [+0020 +0020 +0020 +0020 +0020]
ios_R6HLgAtt  equ  ios_R5HLgAtt+04     ; EVAL: Read User Cons<6> High Langu Attr [+0024 +0024 +0024 +0024 +0024]
ios_R7HLgAtt  equ  ios_R6HLgAtt+04     ; EVAL: Read User Cons<7> High Langu Attr [+0028 +0028 +0028 +0028 +0028]
ios_R8HLgAtt  equ  ios_R7HLgAtt+04     ; EVAL: Read User Cons<8> High Langu Attr [+0032 +0032 +0032 +0032 +0032]
ios_R9HLgAtt  equ  ios_R8HLgAtt+04     ; EVAL: Read User Cons<9> SepLn<IRGB:irgb>[+0036 +0036 +0036 +0036 +0036]
;*==============================================================================================================
ios_RAHLgAtt  equ  ios_PAR+3072+680    ; EVAL: Read StdO Console High Langu Attr [#0680 #0680 #0680 #0680 #0680]
ios_RBHLgAtt  equ  ios_PAR+3072+720    ; EVAL: Read StdO Console High Langu Attr [#0720 #0720 #0720 #0720 #0720]
ios_RCHLgAtt  equ  ios_PAR+3072+760    ; EVAL: Read StdO Console High Langu Attr [#0760 #0760 #0760 #0760 #0760]
;***************************************************************************************************************
ios_R00ChCod  equ  ios_PAR+3072+768    ; EVAL: Read StdO Console: Character Code [#0768 #0768 #0768 #0768 #0768]
ios_R01ChCod  equ  ios_R00ChCod+04     ; EVAL: Read User Cons<01> Character Code [+0004 +0004 +0004 +0004 +0004]
ios_R02ChCod  equ  ios_R01ChCod+04     ; EVAL: Read User Cons<02> Character Code [+0008 +0008 +0008 +0008 +0008]
ios_R03ChCod  equ  ios_R02ChCod+04     ; EVAL: Read User Cons<03> Character Code [+0012 +0012 +0012 +0012 +0012]
ios_R04ChCod  equ  ios_R03ChCod+04     ; EVAL: Read User Cons<04> Character Code [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05ChCod  equ  ios_R04ChCod+04     ; EVAL: Read User Cons<05> Character Code [+0020 +0020 +0020 +0020 +0020]
ios_R06ChCod  equ  ios_R05ChCod+04     ; EVAL: Read User Cons<06> Character Code [+0024 +0024 +0024 +0024 +0024]
ios_R07ChCod  equ  ios_R06ChCod+04     ; EVAL: Read User Cons<07> Character Code [+0028 +0028 +0028 +0028 +0028]
ios_R08ChCod  equ  ios_R07ChCod+04     ; EVAL: Read User Cons<08> Character Code [+0032 +0032 +0032 +0032 +0032]
ios_R09ChCod  equ  ios_R08ChCod+04     ; EVAL: Read User Cons<09> Character Code [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10ChCod  equ  ios_R09ChCod+04     ; EVAL: Read User File<10> Character Code [+0040 +0040 +0040 +0040 +0040]
ios_R11ChCod  equ  ios_R10ChCod+04     ; EVAL: Read User File<11> Character Code [+0044 +0044 +0044 +0044 +0044]
ios_R12ChCod  equ  ios_R11ChCod+04     ; EVAL: Read User File<12> Character Code [+0048 +0048 +0048 +0048 +0048]
ios_R13ChCod  equ  ios_R12ChCod+04     ; EVAL: Read User File<13> Character Code [+0052 +0052 +0052 +0052 +0052]
ios_R14ChCod  equ  ios_R13ChCod+04     ; EVAL: Read User File<14> Character Code [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15ChCod  equ  ios_R14ChCod+04     ; EVAL: Read User File<15> Character Code [+0060 +0060 +0060 +0060 +0060]
ios_R16ChCod  equ  ios_R15ChCod+04     ; EVAL: Read User File<16> Character Code [+0064 +0064 +0064 +0064 +0064]
ios_R17ChCod  equ  ios_R16ChCod+04     ; EVAL: Read User File<17> Character Code [+0068 +0068 +0068 +0068 +0068]
ios_R18ChCod  equ  ios_R17ChCod+04     ; EVAL: Read User File<18> Character Code [+0072 +0072 +0072 +0072 +0072]
ios_R19ChCod  equ  ios_R18ChCod+04     ; EVAL: Read User File<19> Character Code [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20ChCod  equ  ios_R19ChCod+04     ; EVAL: Read User Memo<20> Character Code [+0080 +0080 +0080 +0080 +0080]
ios_R21ChCod  equ  ios_R20ChCod+04     ; EVAL: Read User Memo<21> Character Code [+0084 +0084 +0084 +0084 +0084]
ios_R22ChCod  equ  ios_R21ChCod+04     ; EVAL: Read User Memo<22> Character Code [+0088 +0088 +0088 +0088 +0088]
ios_R23ChCod  equ  ios_R22ChCod+04     ; EVAL: Read User Memo<23> Character Code [+0092 +0092 +0092 +0092 +0092]
ios_R24ChCod  equ  ios_R23ChCod+04     ; EVAL: Read User Memo<24> Character Code [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25ChCod  equ  ios_R24ChCod+04     ; EVAL: Read User Memo<25> Character Code [+0100 +0100 +0100 +0100 +0100]
ios_R26ChCod  equ  ios_R25ChCod+04     ; EVAL: Read User Memo<26> Character Code [+0104 +0104 +0104 +0104 +0104]
ios_R27ChCod  equ  ios_R26ChCod+04     ; EVAL: Read User Memo<27> Character Code [+0108 +0108 +0108 +0108 +0108]
ios_R28ChCod  equ  ios_R27ChCod+04     ; EVAL: Read User Memo<28> Character Code [+0112 +0112 +0112 +0112 +0112]
ios_R29ChCod  equ  ios_R28ChCod+04     ; EVAL: Read User Memo<29> Character Code [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30ChCod  equ  ios_R29ChCod+04     ; EVAL: Read DsLb File<30> Character Code [+0120 +0120 +0120 +0120 +0120]
ios_R31ChCod  equ  ios_R30ChCod+04     ; EVAL: Read DsLb Memo<31> Character Code [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00CmChr  equ  ios_PAR+3072+896    ; EVAL: Read StdO Console: Comment 0 Char [#0896 #0896 #0896 #0896 #0896]
ios_R01CmChr  equ  ios_R00CmChr+04     ; EVAL: Read User Cons<01> Comment # Char [+0004 +0004 +0004 +0004 +0004]
ios_R02CmChr  equ  ios_R01CmChr+04     ; EVAL: Read User Cons<02> Comment % Char [+0008 +0008 +0008 +0008 +0008]
ios_R03CmChr  equ  ios_R02CmChr+04     ; EVAL: Read User Cons<03> Comment * Char [+0012 +0012 +0012 +0012 +0012]
ios_R04CmChr  equ  ios_R03CmChr+04     ; EVAL: Read User Cons<04> Comment / Char [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05CmChr  equ  ios_R04CmChr+04     ; EVAL: Read User Cons<05> Comment ; Char [+0020 +0020 +0020 +0020 +0020]
ios_R06CmChr  equ  ios_R05CmChr+04     ; EVAL: Read User Cons<06> Comment ? Char [+0024 +0024 +0024 +0024 +0024]
ios_R07CmChr  equ  ios_R06CmChr+04     ; EVAL: Read User Cons<07> Comment C Char [+0028 +0028 +0028 +0028 +0028]
ios_R08CmChr  equ  ios_R07CmChr+04     ; EVAL: Read User Cons<08> Comment ? Char [+0032 +0032 +0032 +0032 +0032]
ios_R09CmChr  equ  ios_R08CmChr+04     ; EVAL: Read User Cons<09> Comment ! Char [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10CmChr  equ  ios_R09CmChr+04     ; EVAL: Read User File<10> Comment   Char [+0040 +0040 +0040 +0040 +0040]
ios_R11CmChr  equ  ios_R10CmChr+04     ; EVAL: Read User File<11> Comment   Char [+0044 +0044 +0044 +0044 +0044]
ios_R12CmChr  equ  ios_R11CmChr+04     ; EVAL: Read User File<12> Comment   Char [+0048 +0048 +0048 +0048 +0048]
ios_R13CmChr  equ  ios_R12CmChr+04     ; EVAL: Read User File<13> Comment   Char [+0052 +0052 +0052 +0052 +0052]
ios_R14CmChr  equ  ios_R13CmChr+04     ; EVAL: Read User File<14> Comment   Char [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15CmChr  equ  ios_R14CmChr+04     ; EVAL: Read User File<15> Comment   Char [+0060 +0060 +0060 +0060 +0060]
ios_R16CmChr  equ  ios_R15CmChr+04     ; EVAL: Read User File<16> Comment   Char [+0064 +0064 +0064 +0064 +0064]
ios_R17CmChr  equ  ios_R16CmChr+04     ; EVAL: Read User File<17> Comment   Char [+0068 +0068 +0068 +0068 +0068]
ios_R18CmChr  equ  ios_R17CmChr+04     ; EVAL: Read User File<18> Comment   Char [+0072 +0072 +0072 +0072 +0072]
ios_R19CmChr  equ  ios_R18CmChr+04     ; EVAL: Read User File<19> Comment   Char [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20CmChr  equ  ios_R19CmChr+04     ; EVAL: Read User Memo<20> Comment   Char [+0080 +0080 +0080 +0080 +0080]
ios_R21CmChr  equ  ios_R20CmChr+04     ; EVAL: Read User Memo<21> Comment   Char [+0084 +0084 +0084 +0084 +0084]
ios_R22CmChr  equ  ios_R21CmChr+04     ; EVAL: Read User Memo<22> Comment   Char [+0088 +0088 +0088 +0088 +0088]
ios_R23CmChr  equ  ios_R22CmChr+04     ; EVAL: Read User Memo<23> Comment   Char [+0092 +0092 +0092 +0092 +0092]
ios_R24CmChr  equ  ios_R23CmChr+04     ; EVAL: Read User Memo<24> Comment   Char [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25CmChr  equ  ios_R24CmChr+04     ; EVAL: Read User Memo<25> Comment   Char [+0100 +0100 +0100 +0100 +0100]
ios_R26CmChr  equ  ios_R25CmChr+04     ; EVAL: Read User Memo<26> Comment   Char [+0104 +0104 +0104 +0104 +0104]
ios_R27CmChr  equ  ios_R26CmChr+04     ; EVAL: Read User Memo<27> Comment   Char [+0108 +0108 +0108 +0108 +0108]
ios_R28CmChr  equ  ios_R27CmChr+04     ; EVAL: Read User Memo<28> Comment   Char [+0112 +0112 +0112 +0112 +0112]
ios_R29CmChr  equ  ios_R28CmChr+04     ; EVAL: Read User Memo<29> Comment   Char [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30CmChr  equ  ios_R29CmChr+04     ; EVAL: Read DsLb File<30> Comment   Char [+0120 +0120 +0120 +0120 +0120]
ios_R31CmChr  equ  ios_R30CmChr+04     ; EVAL: Read DsLb Memo<31> Comment   Char [+0124 +0124 +0124 +0124 +0124]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_Valu4096  equ  ios_PAR+4096+000    ; XVAL: Value Part4 Non scaling Values !  [%4096 %4096 %4096 %4096 %4096]
;*==============================================================================================================
ios_W00DaWdt  equ  ios_PAR+4096+000    ; EVAL: Writ StdO Console: DataWindowWdth [#0512 #0512 #0512 #0512 #0512]
ios_W01DaWdt  equ  ios_W00DaWdt+04     ; EVAL: Writ User Cons<01> DataWindowWdth [+0004 +0004 +0004 +0004 +0004]
ios_W02DaWdt  equ  ios_W01DaWdt+04     ; EVAL: Writ User Cons<02> DataWindowWdth [+0008 +0008 +0008 +0008 +0008]
ios_W03DaWdt  equ  ios_W02DaWdt+04     ; EVAL: Writ User Cons<03> DataWindowWdth [+0012 +0012 +0012 +0012 +0012]
ios_W04DaWdt  equ  ios_W03DaWdt+04     ; EVAL: Writ User Cons<04> DataWindowWdth [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05DaWdt  equ  ios_W04DaWdt+04     ; EVAL: Writ User Cons<05> DataWindowWdth [+0020 +0020 +0020 +0020 +0020]
ios_W06DaWdt  equ  ios_W05DaWdt+04     ; EVAL: Writ User Cons<06> DataWindowWdth [+0024 +0024 +0024 +0024 +0024]
ios_W07DaWdt  equ  ios_W06DaWdt+04     ; EVAL: Writ User Cons<07> DataWindowWdth [+0028 +0028 +0028 +0028 +0028]
ios_W08DaWdt  equ  ios_W07DaWdt+04     ; EVAL: Writ User Cons<08> DataWindowWdth [+0032 +0032 +0032 +0032 +0032]
ios_W09DaWdt  equ  ios_W08DaWdt+04     ; EVAL: Writ User Cons<09> DataWindowWdth [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10DaWdt  equ  ios_W09DaWdt+04     ; EVAL: Writ User File<10> DataWindowWdth [+0040 +0040 +0040 +0040 +0040]
ios_W11DaWdt  equ  ios_W10DaWdt+04     ; EVAL: Writ User File<11> DataWindowWdth [+0044 +0044 +0044 +0044 +0044]
ios_W12DaWdt  equ  ios_W11DaWdt+04     ; EVAL: Writ User File<12> DataWindowWdth [+0048 +0048 +0048 +0048 +0048]
ios_W13DaWdt  equ  ios_W12DaWdt+04     ; EVAL: Writ User File<13> DataWindowWdth [+0052 +0052 +0052 +0052 +0052]
ios_W14DaWdt  equ  ios_W13DaWdt+04     ; EVAL: Writ User File<14> DataWindowWdth [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15DaWdt  equ  ios_W14DaWdt+04     ; EVAL: Writ User File<15> DataWindowWdth [+0060 +0060 +0060 +0060 +0060]
ios_W16DaWdt  equ  ios_W15DaWdt+04     ; EVAL: Writ User File<16> DataWindowWdth [+0064 +0064 +0064 +0064 +0064]
ios_W17DaWdt  equ  ios_W16DaWdt+04     ; EVAL: Writ User File<17> DataWindowWdth [+0068 +0068 +0068 +0068 +0068]
ios_W18DaWdt  equ  ios_W17DaWdt+04     ; EVAL: Writ User File<18> DataWindowWdth [+0072 +0072 +0072 +0072 +0072]
ios_W19DaWdt  equ  ios_W18DaWdt+04     ; EVAL: Writ User File<19> DataWindowWdth [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20DaWdt  equ  ios_W19DaWdt+04     ; EVAL: Writ User Memo<20> DataWindowWdth [+0080 +0080 +0080 +0080 +0080]
ios_W21DaWdt  equ  ios_W20DaWdt+04     ; EVAL: Writ User Memo<21> DataWindowWdth [+0084 +0084 +0084 +0084 +0084]
ios_W22DaWdt  equ  ios_W21DaWdt+04     ; EVAL: Writ User Memo<22> DataWindowWdth [+0088 +0088 +0088 +0088 +0088]
ios_W23DaWdt  equ  ios_W22DaWdt+04     ; EVAL: Writ User Memo<23> DataWindowWdth [+0092 +0092 +0092 +0092 +0092]
ios_W24DaWdt  equ  ios_W23DaWdt+04     ; EVAL: Writ User Memo<24> DataWindowWdth [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25DaWdt  equ  ios_W24DaWdt+04     ; EVAL: Writ User Memo<25> DataWindowWdth [+0100 +0100 +0100 +0100 +0100]
ios_W26DaWdt  equ  ios_W25DaWdt+04     ; EVAL: Writ User Memo<26> DataWindowWdth [+0104 +0104 +0104 +0104 +0104]
ios_W27DaWdt  equ  ios_W26DaWdt+04     ; EVAL: Writ User Memo<27> DataWindowWdth [+0108 +0108 +0108 +0108 +0108]
ios_W28DaWdt  equ  ios_W27DaWdt+04     ; EVAL: Writ User Memo<28> DataWindowWdth [+0112 +0112 +0112 +0112 +0112]
ios_W29DaWdt  equ  ios_W28DaWdt+04     ; EVAL: Writ User Memo<29> DataWindowWdth [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30DaWdt  equ  ios_W29DaWdt+04     ; EVAL: Writ DsLb File<30> DataWindowWdth [+0120 +0120 +0120 +0120 +0120]
ios_W31DaWdt  equ  ios_W30DaWdt+04     ; EVAL: Writ DsLb Memo<31> DataWindowWdth [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00DaWdt  equ  ios_PAR+4096+128    ; EVAL: Read StdO Console: DataWindowWdth [#0512 #0512 #0512 #0512 #0512]
ios_R01DaWdt  equ  ios_R00DaWdt+04     ; EVAL: Read User Cons<01> DataWindowWdth [+0004 +0004 +0004 +0004 +0004]
ios_R02DaWdt  equ  ios_R01DaWdt+04     ; EVAL: Read User Cons<02> DataWindowWdth [+0008 +0008 +0008 +0008 +0008]
ios_R03DaWdt  equ  ios_R02DaWdt+04     ; EVAL: Read User Cons<03> DataWindowWdth [+0012 +0012 +0012 +0012 +0012]
ios_R04DaWdt  equ  ios_R03DaWdt+04     ; EVAL: Read User Cons<04> DataWindowWdth [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05DaWdt  equ  ios_R04DaWdt+04     ; EVAL: Read User Cons<05> DataWindowWdth [+0020 +0020 +0020 +0020 +0020]
ios_R06DaWdt  equ  ios_R05DaWdt+04     ; EVAL: Read User Cons<06> DataWindowWdth [+0024 +0024 +0024 +0024 +0024]
ios_R07DaWdt  equ  ios_R06DaWdt+04     ; EVAL: Read User Cons<07> DataWindowWdth [+0028 +0028 +0028 +0028 +0028]
ios_R08DaWdt  equ  ios_R07DaWdt+04     ; EVAL: Read User Cons<08> DataWindowWdth [+0032 +0032 +0032 +0032 +0032]
ios_R09DaWdt  equ  ios_R08DaWdt+04     ; EVAL: Read User Cons<09> DataWindowWdth [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10DaWdt  equ  ios_R09DaWdt+04     ; EVAL: Read User File<10> DataWindowWdth [+0040 +0040 +0040 +0040 +0040]
ios_R11DaWdt  equ  ios_R10DaWdt+04     ; EVAL: Read User File<11> DataWindowWdth [+0044 +0044 +0044 +0044 +0044]
ios_R12DaWdt  equ  ios_R11DaWdt+04     ; EVAL: Read User File<12> DataWindowWdth [+0048 +0048 +0048 +0048 +0048]
ios_R13DaWdt  equ  ios_R12DaWdt+04     ; EVAL: Read User File<13> DataWindowWdth [+0052 +0052 +0052 +0052 +0052]
ios_R14DaWdt  equ  ios_R13DaWdt+04     ; EVAL: Read User File<14> DataWindowWdth [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15DaWdt  equ  ios_R14DaWdt+04     ; EVAL: Read User File<15> DataWindowWdth [+0060 +0060 +0060 +0060 +0060]
ios_R16DaWdt  equ  ios_R15DaWdt+04     ; EVAL: Read User File<16> DataWindowWdth [+0064 +0064 +0064 +0064 +0064]
ios_R17DaWdt  equ  ios_R16DaWdt+04     ; EVAL: Read User File<17> DataWindowWdth [+0068 +0068 +0068 +0068 +0068]
ios_R18DaWdt  equ  ios_R17DaWdt+04     ; EVAL: Read User File<18> DataWindowWdth [+0072 +0072 +0072 +0072 +0072]
ios_R19DaWdt  equ  ios_R18DaWdt+04     ; EVAL: Read User File<19> DataWindowWdth [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20DaWdt  equ  ios_R19DaWdt+04     ; EVAL: Read User Memo<20> DataWindowWdth [+0080 +0080 +0080 +0080 +0080]
ios_R21DaWdt  equ  ios_R20DaWdt+04     ; EVAL: Read User Memo<21> DataWindowWdth [+0084 +0084 +0084 +0084 +0084]
ios_R22DaWdt  equ  ios_R21DaWdt+04     ; EVAL: Read User Memo<22> DataWindowWdth [+0088 +0088 +0088 +0088 +0088]
ios_R23DaWdt  equ  ios_R22DaWdt+04     ; EVAL: Read User Memo<23> DataWindowWdth [+0092 +0092 +0092 +0092 +0092]
ios_R24DaWdt  equ  ios_R23DaWdt+04     ; EVAL: Read User Memo<24> DataWindowWdth [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25DaWdt  equ  ios_R24DaWdt+04     ; EVAL: Read User Memo<25> DataWindowWdth [+0100 +0100 +0100 +0100 +0100]
ios_R26DaWdt  equ  ios_R25DaWdt+04     ; EVAL: Read User Memo<26> DataWindowWdth [+0104 +0104 +0104 +0104 +0104]
ios_R27DaWdt  equ  ios_R26DaWdt+04     ; EVAL: Read User Memo<27> DataWindowWdth [+0108 +0108 +0108 +0108 +0108]
ios_R28DaWdt  equ  ios_R27DaWdt+04     ; EVAL: Read User Memo<28> DataWindowWdth [+0112 +0112 +0112 +0112 +0112]
ios_R29DaWdt  equ  ios_R28DaWdt+04     ; EVAL: Read User Memo<29> DataWindowWdth [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30DaWdt  equ  ios_R29DaWdt+04     ; EVAL: Read DsLb File<30> DataWindowWdth [+0120 +0120 +0120 +0120 +0120]
ios_R31DaWdt  equ  ios_R30DaWdt+04     ; EVAL: Read DsLb Memo<31> DataWindowWdth [+0124 +0124 +0124 +0124 +0124]
;*==============================================================================================================
ios_W00DaIBL  equ  ios_PAR+4096+256    ; EVAL: Writ StdO Console: DaIndendBLanks [#0640 #0640 #0640 #0640 #0640]
ios_W01DaIBL  equ  ios_W00DaIBL+04     ; EVAL: Writ User Cons<01> DaIndendBLanks [+0004 +0004 +0004 +0004 +0004]
ios_W02DaIBL  equ  ios_W01DaIBL+04     ; EVAL: Writ User Cons<02> DaIndendBLanks [+0008 +0008 +0008 +0008 +0008]
ios_W03DaIBL  equ  ios_W02DaIBL+04     ; EVAL: Writ User Cons<03> DaIndendBLanks [+0012 +0012 +0012 +0012 +0012]
ios_W04DaIBL  equ  ios_W03DaIBL+04     ; EVAL: Writ User Cons<04> DaIndendBLanks [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05DaIBL  equ  ios_W04DaIBL+04     ; EVAL: Writ User Cons<05> DaIndendBLanks [+0020 +0020 +0020 +0020 +0020]
ios_W06DaIBL  equ  ios_W05DaIBL+04     ; EVAL: Writ User Cons<06> DaIndendBLanks [+0024 +0024 +0024 +0024 +0024]
ios_W07DaIBL  equ  ios_W06DaIBL+04     ; EVAL: Writ User Cons<07> DaIndendBLanks [+0028 +0028 +0028 +0028 +0028]
ios_W08DaIBL  equ  ios_W07DaIBL+04     ; EVAL: Writ User Cons<08> DaIndendBLanks [+0032 +0032 +0032 +0032 +0032]
ios_W09DaIBL  equ  ios_W08DaIBL+04     ; EVAL: Writ User Cons<09> DaIndendBLanks [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10DaIBL  equ  ios_W09DaIBL+04     ; EVAL: Writ User File<10> DaIndendBLanks [+0040 +0040 +0040 +0040 +0040]
ios_W11DaIBL  equ  ios_W10DaIBL+04     ; EVAL: Writ User File<11> DaIndendBLanks [+0044 +0044 +0044 +0044 +0044]
ios_W12DaIBL  equ  ios_W11DaIBL+04     ; EVAL: Writ User File<12> DaIndendBLanks [+0048 +0048 +0048 +0048 +0048]
ios_W13DaIBL  equ  ios_W12DaIBL+04     ; EVAL: Writ User File<13> DaIndendBLanks [+0052 +0052 +0052 +0052 +0052]
ios_W14DaIBL  equ  ios_W13DaIBL+04     ; EVAL: Writ User File<14> DaIndendBLanks [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15DaIBL  equ  ios_W14DaIBL+04     ; EVAL: Writ User File<15> DaIndendBLanks [+0060 +0060 +0060 +0060 +0060]
ios_W16DaIBL  equ  ios_W15DaIBL+04     ; EVAL: Writ User File<16> DaIndendBLanks [+0064 +0064 +0064 +0064 +0064]
ios_W17DaIBL  equ  ios_W16DaIBL+04     ; EVAL: Writ User File<17> DaIndendBLanks [+0068 +0068 +0068 +0068 +0068]
ios_W18DaIBL  equ  ios_W17DaIBL+04     ; EVAL: Writ User File<18> DaIndendBLanks [+0072 +0072 +0072 +0072 +0072]
ios_W19DaIBL  equ  ios_W18DaIBL+04     ; EVAL: Writ User File<19> DaIndendBLanks [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20DaIBL  equ  ios_W19DaIBL+04     ; EVAL: Writ User Memo<20> DaIndendBLanks [+0080 +0080 +0080 +0080 +0080]
ios_W21DaIBL  equ  ios_W20DaIBL+04     ; EVAL: Writ User Memo<21> DaIndendBLanks [+0084 +0084 +0084 +0084 +0084]
ios_W22DaIBL  equ  ios_W21DaIBL+04     ; EVAL: Writ User Memo<22> DaIndendBLanks [+0088 +0088 +0088 +0088 +0088]
ios_W23DaIBL  equ  ios_W22DaIBL+04     ; EVAL: Writ User Memo<23> DaIndendBLanks [+0092 +0092 +0092 +0092 +0092]
ios_W24DaIBL  equ  ios_W23DaIBL+04     ; EVAL: Writ User Memo<24> DaIndendBLanks [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25DaIBL  equ  ios_W24DaIBL+04     ; EVAL: Writ User Memo<25> DaIndendBLanks [+0100 +0100 +0100 +0100 +0100]
ios_W26DaIBL  equ  ios_W25DaIBL+04     ; EVAL: Writ User Memo<26> DaIndendBLanks [+0104 +0104 +0104 +0104 +0104]
ios_W27DaIBL  equ  ios_W26DaIBL+04     ; EVAL: Writ User Memo<27> DaIndendBLanks [+0108 +0108 +0108 +0108 +0108]
ios_W28DaIBL  equ  ios_W27DaIBL+04     ; EVAL: Writ User Memo<28> DaIndendBLanks [+0112 +0112 +0112 +0112 +0112]
ios_W29DaIBL  equ  ios_W28DaIBL+04     ; EVAL: Writ User Memo<29> DaIndendBLanks [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30DaIBL  equ  ios_W29DaIBL+04     ; EVAL: Writ DsLb File<30> DaIndendBLanks [+0120 +0120 +0120 +0120 +0120]
ios_W31DaIBL  equ  ios_W30DaIBL+04     ; EVAL: Writ DsLb Memo<31> DaIndendBLanks [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00DaIBL  equ  ios_PAR+4096+384    ; EVAL: Read StdO Console: DaIndendBLanks [#0640 #0640 #0640 #0640 #0640]
ios_R01DaIBL  equ  ios_R00DaIBL+04     ; EVAL: Read User Cons<01> DaIndendBLanks [+0004 +0004 +0004 +0004 +0004]
ios_R02DaIBL  equ  ios_R01DaIBL+04     ; EVAL: Read User Cons<02> DaIndendBLanks [+0008 +0008 +0008 +0008 +0008]
ios_R03DaIBL  equ  ios_R02DaIBL+04     ; EVAL: Read User Cons<03> DaIndendBLanks [+0012 +0012 +0012 +0012 +0012]
ios_R04DaIBL  equ  ios_R03DaIBL+04     ; EVAL: Read User Cons<04> DaIndendBLanks [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05DaIBL  equ  ios_R04DaIBL+04     ; EVAL: Read User Cons<05> DaIndendBLanks [+0020 +0020 +0020 +0020 +0020]
ios_R06DaIBL  equ  ios_R05DaIBL+04     ; EVAL: Read User Cons<06> DaIndendBLanks [+0024 +0024 +0024 +0024 +0024]
ios_R07DaIBL  equ  ios_R06DaIBL+04     ; EVAL: Read User Cons<07> DaIndendBLanks [+0028 +0028 +0028 +0028 +0028]
ios_R08DaIBL  equ  ios_R07DaIBL+04     ; EVAL: Read User Cons<08> DaIndendBLanks [+0032 +0032 +0032 +0032 +0032]
ios_R09DaIBL  equ  ios_R08DaIBL+04     ; EVAL: Read User Cons<09> DaIndendBLanks [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10DaIBL  equ  ios_R09DaIBL+04     ; EVAL: Read User File<10> DaIndendBLanks [+0040 +0040 +0040 +0040 +0040]
ios_R11DaIBL  equ  ios_R10DaIBL+04     ; EVAL: Read User File<11> DaIndendBLanks [+0044 +0044 +0044 +0044 +0044]
ios_R12DaIBL  equ  ios_R11DaIBL+04     ; EVAL: Read User File<12> DaIndendBLanks [+0048 +0048 +0048 +0048 +0048]
ios_R13DaIBL  equ  ios_R12DaIBL+04     ; EVAL: Read User File<13> DaIndendBLanks [+0052 +0052 +0052 +0052 +0052]
ios_R14DaIBL  equ  ios_R13DaIBL+04     ; EVAL: Read User File<14> DaIndendBLanks [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15DaIBL  equ  ios_R14DaIBL+04     ; EVAL: Read User File<15> DaIndendBLanks [+0060 +0060 +0060 +0060 +0060]
ios_R16DaIBL  equ  ios_R15DaIBL+04     ; EVAL: Read User File<16> DaIndendBLanks [+0064 +0064 +0064 +0064 +0064]
ios_R17DaIBL  equ  ios_R16DaIBL+04     ; EVAL: Read User File<17> DaIndendBLanks [+0068 +0068 +0068 +0068 +0068]
ios_R18DaIBL  equ  ios_R17DaIBL+04     ; EVAL: Read User File<18> DaIndendBLanks [+0072 +0072 +0072 +0072 +0072]
ios_R19DaIBL  equ  ios_R18DaIBL+04     ; EVAL: Read User File<19> DaIndendBLanks [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20DaIBL  equ  ios_R19DaIBL+04     ; EVAL: Read User Memo<20> DaIndendBLanks [+0080 +0080 +0080 +0080 +0080]
ios_R21DaIBL  equ  ios_R20DaIBL+04     ; EVAL: Read User Memo<21> DaIndendBLanks [+0084 +0084 +0084 +0084 +0084]
ios_R22DaIBL  equ  ios_R21DaIBL+04     ; EVAL: Read User Memo<22> DaIndendBLanks [+0088 +0088 +0088 +0088 +0088]
ios_R23DaIBL  equ  ios_R22DaIBL+04     ; EVAL: Read User Memo<23> DaIndendBLanks [+0092 +0092 +0092 +0092 +0092]
ios_R24DaIBL  equ  ios_R23DaIBL+04     ; EVAL: Read User Memo<24> DaIndendBLanks [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25DaIBL  equ  ios_R24DaIBL+04     ; EVAL: Read User Memo<25> DaIndendBLanks [+0100 +0100 +0100 +0100 +0100]
ios_R26DaIBL  equ  ios_R25DaIBL+04     ; EVAL: Read User Memo<26> DaIndendBLanks [+0104 +0104 +0104 +0104 +0104]
ios_R27DaIBL  equ  ios_R26DaIBL+04     ; EVAL: Read User Memo<27> DaIndendBLanks [+0108 +0108 +0108 +0108 +0108]
ios_R28DaIBL  equ  ios_R27DaIBL+04     ; EVAL: Read User Memo<28> DaIndendBLanks [+0112 +0112 +0112 +0112 +0112]
ios_R29DaIBL  equ  ios_R28DaIBL+04     ; EVAL: Read User Memo<29> DaIndendBLanks [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30DaIBL  equ  ios_R29DaIBL+04     ; EVAL: Read DsLb File<30> DaIndendBLanks [+0120 +0120 +0120 +0120 +0120]
ios_R31DaIBL  equ  ios_R30DaIBL+04     ; EVAL: Read DsLb Memo<31> DaIndendBLanks [+0124 +0124 +0124 +0124 +0124]
;*==============================================================================================================
ios_W00CmLft  equ  ios_PAR+4096+512    ; EVAL: Writ StdO Console: CommentLeftBeg [#0768 #0768 #0768 #0768 #0768]
ios_W01CmLft  equ  ios_W00CmLft+04     ; EVAL: Writ User Cons<01> CommentLeftBeg [+0004 +0004 +0004 +0004 +0004]
ios_W02CmLft  equ  ios_W01CmLft+04     ; EVAL: Writ User Cons<02> CommentLeftBeg [+0008 +0008 +0008 +0008 +0008]
ios_W03CmLft  equ  ios_W02CmLft+04     ; EVAL: Writ User Cons<03> CommentLeftBeg [+0012 +0012 +0012 +0012 +0012]
ios_W04CmLft  equ  ios_W03CmLft+04     ; EVAL: Writ User Cons<04> CommentLeftBeg [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05CmLft  equ  ios_W04CmLft+04     ; EVAL: Writ User Cons<05> CommentLeftBeg [+0020 +0020 +0020 +0020 +0020]
ios_W06CmLft  equ  ios_W05CmLft+04     ; EVAL: Writ User Cons<06> CommentLeftBeg [+0024 +0024 +0024 +0024 +0024]
ios_W07CmLft  equ  ios_W06CmLft+04     ; EVAL: Writ User Cons<07> CommentLeftBeg [+0028 +0028 +0028 +0028 +0028]
ios_W08CmLft  equ  ios_W07CmLft+04     ; EVAL: Writ User Cons<08> CommentLeftBeg [+0032 +0032 +0032 +0032 +0032]
ios_W09CmLft  equ  ios_W08CmLft+04     ; EVAL: Writ User Cons<09> CommentLeftBeg [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10CmLft  equ  ios_W09CmLft+04     ; EVAL: Writ User File<10> CommentLeftBeg [+0040 +0040 +0040 +0040 +0040]
ios_W11CmLft  equ  ios_W10CmLft+04     ; EVAL: Writ User File<11> CommentLeftBeg [+0044 +0044 +0044 +0044 +0044]
ios_W12CmLft  equ  ios_W11CmLft+04     ; EVAL: Writ User File<12> CommentLeftBeg [+0048 +0048 +0048 +0048 +0048]
ios_W13CmLft  equ  ios_W12CmLft+04     ; EVAL: Writ User File<13> CommentLeftBeg [+0052 +0052 +0052 +0052 +0052]
ios_W14CmLft  equ  ios_W13CmLft+04     ; EVAL: Writ User File<14> CommentLeftBeg [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15CmLft  equ  ios_W14CmLft+04     ; EVAL: Writ User File<15> CommentLeftBeg [+0060 +0060 +0060 +0060 +0060]
ios_W16CmLft  equ  ios_W15CmLft+04     ; EVAL: Writ User File<16> CommentLeftBeg [+0064 +0064 +0064 +0064 +0064]
ios_W17CmLft  equ  ios_W16CmLft+04     ; EVAL: Writ User File<17> CommentLeftBeg [+0068 +0068 +0068 +0068 +0068]
ios_W18CmLft  equ  ios_W17CmLft+04     ; EVAL: Writ User File<18> CommentLeftBeg [+0072 +0072 +0072 +0072 +0072]
ios_W19CmLft  equ  ios_W18CmLft+04     ; EVAL: Writ User File<19> CommentLeftBeg [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20CmLft  equ  ios_W19CmLft+04     ; EVAL: Writ User Memo<20> CommentLeftBeg [+0080 +0080 +0080 +0080 +0080]
ios_W21CmLft  equ  ios_W20CmLft+04     ; EVAL: Writ User Memo<21> CommentLeftBeg [+0084 +0084 +0084 +0084 +0084]
ios_W22CmLft  equ  ios_W21CmLft+04     ; EVAL: Writ User Memo<22> CommentLeftBeg [+0088 +0088 +0088 +0088 +0088]
ios_W23CmLft  equ  ios_W22CmLft+04     ; EVAL: Writ User Memo<23> CommentLeftBeg [+0092 +0092 +0092 +0092 +0092]
ios_W24CmLft  equ  ios_W23CmLft+04     ; EVAL: Writ User Memo<24> CommentLeftBeg [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25CmLft  equ  ios_W24CmLft+04     ; EVAL: Writ User Memo<25> CommentLeftBeg [+0100 +0100 +0100 +0100 +0100]
ios_W26CmLft  equ  ios_W25CmLft+04     ; EVAL: Writ User Memo<26> CommentLeftBeg [+0104 +0104 +0104 +0104 +0104]
ios_W27CmLft  equ  ios_W26CmLft+04     ; EVAL: Writ User Memo<27> CommentLeftBeg [+0108 +0108 +0108 +0108 +0108]
ios_W28CmLft  equ  ios_W27CmLft+04     ; EVAL: Writ User Memo<28> CommentLeftBeg [+0112 +0112 +0112 +0112 +0112]
ios_W29CmLft  equ  ios_W28CmLft+04     ; EVAL: Writ User Memo<29> CommentLeftBeg [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30CmLft  equ  ios_W29CmLft+04     ; EVAL: Writ DsLb File<30> CommentLeftBeg [+0120 +0120 +0120 +0120 +0120]
ios_W31CmLft  equ  ios_W30CmLft+04     ; EVAL: Writ DsLb Memo<31> CommentLeftBeg [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00CmLft  equ  ios_PAR+4096+640    ; EVAL: Read StdO Console: CommentLeftBeg [#0768 #0768 #0768 #0768 #0768]
ios_R01CmLft  equ  ios_R00CmLft+04     ; EVAL: Read User Cons<01> CommentLeftBeg [+0004 +0004 +0004 +0004 +0004]
ios_R02CmLft  equ  ios_R01CmLft+04     ; EVAL: Read User Cons<02> CommentLeftBeg [+0008 +0008 +0008 +0008 +0008]
ios_R03CmLft  equ  ios_R02CmLft+04     ; EVAL: Read User Cons<03> CommentLeftBeg [+0012 +0012 +0012 +0012 +0012]
ios_R04CmLft  equ  ios_R03CmLft+04     ; EVAL: Read User Cons<04> CommentLeftBeg [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05CmLft  equ  ios_R04CmLft+04     ; EVAL: Read User Cons<05> CommentLeftBeg [+0020 +0020 +0020 +0020 +0020]
ios_R06CmLft  equ  ios_R05CmLft+04     ; EVAL: Read User Cons<06> CommentLeftBeg [+0024 +0024 +0024 +0024 +0024]
ios_R07CmLft  equ  ios_R06CmLft+04     ; EVAL: Read User Cons<07> CommentLeftBeg [+0028 +0028 +0028 +0028 +0028]
ios_R08CmLft  equ  ios_R07CmLft+04     ; EVAL: Read User Cons<08> CommentLeftBeg [+0032 +0032 +0032 +0032 +0032]
ios_R09CmLft  equ  ios_R08CmLft+04     ; EVAL: Read User Cons<09> CommentLeftBeg [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10CmLft  equ  ios_R09CmLft+04     ; EVAL: Read User File<10> CommentLeftBeg [+0040 +0040 +0040 +0040 +0040]
ios_R11CmLft  equ  ios_R10CmLft+04     ; EVAL: Read User File<11> CommentLeftBeg [+0044 +0044 +0044 +0044 +0044]
ios_R12CmLft  equ  ios_R11CmLft+04     ; EVAL: Read User File<12> CommentLeftBeg [+0048 +0048 +0048 +0048 +0048]
ios_R13CmLft  equ  ios_R12CmLft+04     ; EVAL: Read User File<13> CommentLeftBeg [+0052 +0052 +0052 +0052 +0052]
ios_R14CmLft  equ  ios_R13CmLft+04     ; EVAL: Read User File<14> CommentLeftBeg [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15CmLft  equ  ios_R14CmLft+04     ; EVAL: Read User File<15> CommentLeftBeg [+0060 +0060 +0060 +0060 +0060]
ios_R16CmLft  equ  ios_R15CmLft+04     ; EVAL: Read User File<16> CommentLeftBeg [+0064 +0064 +0064 +0064 +0064]
ios_R17CmLft  equ  ios_R16CmLft+04     ; EVAL: Read User File<17> CommentLeftBeg [+0068 +0068 +0068 +0068 +0068]
ios_R18CmLft  equ  ios_R17CmLft+04     ; EVAL: Read User File<18> CommentLeftBeg [+0072 +0072 +0072 +0072 +0072]
ios_R19CmLft  equ  ios_R18CmLft+04     ; EVAL: Read User File<19> CommentLeftBeg [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20CmLft  equ  ios_R19CmLft+04     ; EVAL: Read User Memo<20> CommentLeftBeg [+0080 +0080 +0080 +0080 +0080]
ios_R21CmLft  equ  ios_R20CmLft+04     ; EVAL: Read User Memo<21> CommentLeftBeg [+0084 +0084 +0084 +0084 +0084]
ios_R22CmLft  equ  ios_R21CmLft+04     ; EVAL: Read User Memo<22> CommentLeftBeg [+0088 +0088 +0088 +0088 +0088]
ios_R23CmLft  equ  ios_R22CmLft+04     ; EVAL: Read User Memo<23> CommentLeftBeg [+0092 +0092 +0092 +0092 +0092]
ios_R24CmLft  equ  ios_R23CmLft+04     ; EVAL: Read User Memo<24> CommentLeftBeg [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25CmLft  equ  ios_R24CmLft+04     ; EVAL: Read User Memo<25> CommentLeftBeg [+0100 +0100 +0100 +0100 +0100]
ios_R26CmLft  equ  ios_R25CmLft+04     ; EVAL: Read User Memo<26> CommentLeftBeg [+0104 +0104 +0104 +0104 +0104]
ios_R27CmLft  equ  ios_R26CmLft+04     ; EVAL: Read User Memo<27> CommentLeftBeg [+0108 +0108 +0108 +0108 +0108]
ios_R28CmLft  equ  ios_R27CmLft+04     ; EVAL: Read User Memo<28> CommentLeftBeg [+0112 +0112 +0112 +0112 +0112]
ios_R29CmLft  equ  ios_R28CmLft+04     ; EVAL: Read User Memo<29> CommentLeftBeg [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30CmLft  equ  ios_R29CmLft+04     ; EVAL: Read DsLb File<30> CommentLeftBeg [+0120 +0120 +0120 +0120 +0120]
ios_R31CmLft  equ  ios_R30CmLft+04     ; EVAL: Read DsLb Memo<31> CommentLeftBeg [+0124 +0124 +0124 +0124 +0124]
;*==============================================================================================================
ios_W00CmRgt  equ  ios_PAR+4096+768    ; EVAL: Writ StdO Console: ComentRightEnd [#0896 #0896 #0896 #0896 #0896]
ios_W01CmRgt  equ  ios_W00CmRgt+04     ; EVAL: Writ User Cons<01> ComentRightEnd [+0004 +0004 +0004 +0004 +0004]
ios_W02CmRgt  equ  ios_W01CmRgt+04     ; EVAL: Writ User Cons<02> ComentRightEnd [+0008 +0008 +0008 +0008 +0008]
ios_W03CmRgt  equ  ios_W02CmRgt+04     ; EVAL: Writ User Cons<03> ComentRightEnd [+0012 +0012 +0012 +0012 +0012]
ios_W04CmRgt  equ  ios_W03CmRgt+04     ; EVAL: Writ User Cons<04> ComentRightEnd [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05CmRgt  equ  ios_W04CmRgt+04     ; EVAL: Writ User Cons<05> ComentRightEnd [+0020 +0020 +0020 +0020 +0020]
ios_W06CmRgt  equ  ios_W05CmRgt+04     ; EVAL: Writ User Cons<06> ComentRightEnd [+0024 +0024 +0024 +0024 +0024]
ios_W07CmRgt  equ  ios_W06CmRgt+04     ; EVAL: Writ User Cons<07> ComentRightEnd [+0028 +0028 +0028 +0028 +0028]
ios_W08CmRgt  equ  ios_W07CmRgt+04     ; EVAL: Writ User Cons<08> ComentRightEnd [+0032 +0032 +0032 +0032 +0032]
ios_W09CmRgt  equ  ios_W08CmRgt+04     ; EVAL: Writ User Cons<09> ComentRightEnd [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10CmRgt  equ  ios_W09CmRgt+04     ; EVAL: Writ User File<10> ComentRightEnd [+0040 +0040 +0040 +0040 +0040]
ios_W11CmRgt  equ  ios_W10CmRgt+04     ; EVAL: Writ User File<11> ComentRightEnd [+0044 +0044 +0044 +0044 +0044]
ios_W12CmRgt  equ  ios_W11CmRgt+04     ; EVAL: Writ User File<12> ComentRightEnd [+0048 +0048 +0048 +0048 +0048]
ios_W13CmRgt  equ  ios_W12CmRgt+04     ; EVAL: Writ User File<13> ComentRightEnd [+0052 +0052 +0052 +0052 +0052]
ios_W14CmRgt  equ  ios_W13CmRgt+04     ; EVAL: Writ User File<14> ComentRightEnd [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15CmRgt  equ  ios_W14CmRgt+04     ; EVAL: Writ User File<15> ComentRightEnd [+0060 +0060 +0060 +0060 +0060]
ios_W16CmRgt  equ  ios_W15CmRgt+04     ; EVAL: Writ User File<16> ComentRightEnd [+0064 +0064 +0064 +0064 +0064]
ios_W17CmRgt  equ  ios_W16CmRgt+04     ; EVAL: Writ User File<17> ComentRightEnd [+0068 +0068 +0068 +0068 +0068]
ios_W18CmRgt  equ  ios_W17CmRgt+04     ; EVAL: Writ User File<18> ComentRightEnd [+0072 +0072 +0072 +0072 +0072]
ios_W19CmRgt  equ  ios_W18CmRgt+04     ; EVAL: Writ User File<19> ComentRightEnd [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20CmRgt  equ  ios_W19CmRgt+04     ; EVAL: Writ User Memo<20> ComentRightEnd [+0080 +0080 +0080 +0080 +0080]
ios_W21CmRgt  equ  ios_W20CmRgt+04     ; EVAL: Writ User Memo<21> ComentRightEnd [+0084 +0084 +0084 +0084 +0084]
ios_W22CmRgt  equ  ios_W21CmRgt+04     ; EVAL: Writ User Memo<22> ComentRightEnd [+0088 +0088 +0088 +0088 +0088]
ios_W23CmRgt  equ  ios_W22CmRgt+04     ; EVAL: Writ User Memo<23> ComentRightEnd [+0092 +0092 +0092 +0092 +0092]
ios_W24CmRgt  equ  ios_W23CmRgt+04     ; EVAL: Writ User Memo<24> ComentRightEnd [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25CmRgt  equ  ios_W24CmRgt+04     ; EVAL: Writ User Memo<25> ComentRightEnd [+0100 +0100 +0100 +0100 +0100]
ios_W26CmRgt  equ  ios_W25CmRgt+04     ; EVAL: Writ User Memo<26> ComentRightEnd [+0104 +0104 +0104 +0104 +0104]
ios_W27CmRgt  equ  ios_W26CmRgt+04     ; EVAL: Writ User Memo<27> ComentRightEnd [+0108 +0108 +0108 +0108 +0108]
ios_W28CmRgt  equ  ios_W27CmRgt+04     ; EVAL: Writ User Memo<28> ComentRightEnd [+0112 +0112 +0112 +0112 +0112]
ios_W29CmRgt  equ  ios_W28CmRgt+04     ; EVAL: Writ User Memo<29> ComentRightEnd [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30CmRgt  equ  ios_W29CmRgt+04     ; EVAL: Writ DsLb File<30> ComentRightEnd [+0120 +0120 +0120 +0120 +0120]
ios_W31CmRgt  equ  ios_W30CmRgt+04     ; EVAL: Writ DsLb Memo<31> ComentRightEnd [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00CmRgt  equ  ios_PAR+4096+896    ; EVAL: Read StdO Console: ComentRightEnd [#0896 #0896 #0896 #0896 #0896]
ios_R01CmRgt  equ  ios_R00CmRgt+04     ; EVAL: Read User Cons<01> ComentRightEnd [+0004 +0004 +0004 +0004 +0004]
ios_R02CmRgt  equ  ios_R01CmRgt+04     ; EVAL: Read User Cons<02> ComentRightEnd [+0008 +0008 +0008 +0008 +0008]
ios_R03CmRgt  equ  ios_R02CmRgt+04     ; EVAL: Read User Cons<03> ComentRightEnd [+0012 +0012 +0012 +0012 +0012]
ios_R04CmRgt  equ  ios_R03CmRgt+04     ; EVAL: Read User Cons<04> ComentRightEnd [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05CmRgt  equ  ios_R04CmRgt+04     ; EVAL: Read User Cons<05> ComentRightEnd [+0020 +0020 +0020 +0020 +0020]
ios_R06CmRgt  equ  ios_R05CmRgt+04     ; EVAL: Read User Cons<06> ComentRightEnd [+0024 +0024 +0024 +0024 +0024]
ios_R07CmRgt  equ  ios_R06CmRgt+04     ; EVAL: Read User Cons<07> ComentRightEnd [+0028 +0028 +0028 +0028 +0028]
ios_R08CmRgt  equ  ios_R07CmRgt+04     ; EVAL: Read User Cons<08> ComentRightEnd [+0032 +0032 +0032 +0032 +0032]
ios_R09CmRgt  equ  ios_R08CmRgt+04     ; EVAL: Read User Cons<09> ComentRightEnd [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10CmRgt  equ  ios_R09CmRgt+04     ; EVAL: Read User File<10> ComentRightEnd [+0040 +0040 +0040 +0040 +0040]
ios_R11CmRgt  equ  ios_R10CmRgt+04     ; EVAL: Read User File<11> ComentRightEnd [+0044 +0044 +0044 +0044 +0044]
ios_R12CmRgt  equ  ios_R11CmRgt+04     ; EVAL: Read User File<12> ComentRightEnd [+0048 +0048 +0048 +0048 +0048]
ios_R13CmRgt  equ  ios_R12CmRgt+04     ; EVAL: Read User File<13> ComentRightEnd [+0052 +0052 +0052 +0052 +0052]
ios_R14CmRgt  equ  ios_R13CmRgt+04     ; EVAL: Read User File<14> ComentRightEnd [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15CmRgt  equ  ios_R14CmRgt+04     ; EVAL: Read User File<15> ComentRightEnd [+0060 +0060 +0060 +0060 +0060]
ios_R16CmRgt  equ  ios_R15CmRgt+04     ; EVAL: Read User File<16> ComentRightEnd [+0064 +0064 +0064 +0064 +0064]
ios_R17CmRgt  equ  ios_R16CmRgt+04     ; EVAL: Read User File<17> ComentRightEnd [+0068 +0068 +0068 +0068 +0068]
ios_R18CmRgt  equ  ios_R17CmRgt+04     ; EVAL: Read User File<18> ComentRightEnd [+0072 +0072 +0072 +0072 +0072]
ios_R19CmRgt  equ  ios_R18CmRgt+04     ; EVAL: Read User File<19> ComentRightEnd [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20CmRgt  equ  ios_R19CmRgt+04     ; EVAL: Read User Memo<20> ComentRightEnd [+0080 +0080 +0080 +0080 +0080]
ios_R21CmRgt  equ  ios_R20CmRgt+04     ; EVAL: Read User Memo<21> ComentRightEnd [+0084 +0084 +0084 +0084 +0084]
ios_R22CmRgt  equ  ios_R21CmRgt+04     ; EVAL: Read User Memo<22> ComentRightEnd [+0088 +0088 +0088 +0088 +0088]
ios_R23CmRgt  equ  ios_R22CmRgt+04     ; EVAL: Read User Memo<23> ComentRightEnd [+0092 +0092 +0092 +0092 +0092]
ios_R24CmRgt  equ  ios_R23CmRgt+04     ; EVAL: Read User Memo<24> ComentRightEnd [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25CmRgt  equ  ios_R24CmRgt+04     ; EVAL: Read User Memo<25> ComentRightEnd [+0100 +0100 +0100 +0100 +0100]
ios_R26CmRgt  equ  ios_R25CmRgt+04     ; EVAL: Read User Memo<26> ComentRightEnd [+0104 +0104 +0104 +0104 +0104]
ios_R27CmRgt  equ  ios_R26CmRgt+04     ; EVAL: Read User Memo<27> ComentRightEnd [+0108 +0108 +0108 +0108 +0108]
ios_R28CmRgt  equ  ios_R27CmRgt+04     ; EVAL: Read User Memo<28> ComentRightEnd [+0112 +0112 +0112 +0112 +0112]
ios_R29CmRgt  equ  ios_R28CmRgt+04     ; EVAL: Read User Memo<29> ComentRightEnd [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30CmRgt  equ  ios_R29CmRgt+04     ; EVAL: Read DsLb File<30> ComentRightEnd [+0120 +0120 +0120 +0120 +0120]
ios_R31CmRgt  equ  ios_R30CmRgt+04     ; EVAL: Read DsLb Memo<31> ComentRightEnd [+0124 +0124 +0124 +0124 +0124]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_Valu5120  equ  ios_PAR+5120+000    ; XVAL: Value Part5 Non scaling Values !  [%5120 %5120 %5120 %5120 %5120]
;*==============================================================================================================
ios_W00NwLin  equ  ios_PAR+5120+000    ; EVAL: Read StdO Console: Select NewLine [#0000 #0000 #0000 #0000 #0000]
ios_W01NwLin  equ  ios_W00NwLin+04     ; EVAL: Read User Cons<01> Select NewLine [+0004 +0004 +0004 +0004 +0004]
ios_W02NwLin  equ  ios_W01NwLin+04     ; EVAL: Read User Cons<02> Select NewLine [+0008 +0008 +0008 +0008 +0008]
ios_W03NwLin  equ  ios_W02NwLin+04     ; EVAL: Read User Cons<03> Select NewLine [+0012 +0012 +0012 +0012 +0012]
ios_W04NwLin  equ  ios_W03NwLin+04     ; EVAL: Read User Cons<04> Select NewLine [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05NwLin  equ  ios_W04NwLin+04     ; EVAL: Read User Cons<05> Select NewLine [+0020 +0020 +0020 +0020 +0020]
ios_W06NwLin  equ  ios_W05NwLin+04     ; EVAL: Read User Cons<06> Select NewLine [+0024 +0024 +0024 +0024 +0024]
ios_W07NwLin  equ  ios_W06NwLin+04     ; EVAL: Read User Cons<07> Select NewLine [+0028 +0028 +0028 +0028 +0028]
ios_W08NwLin  equ  ios_W07NwLin+04     ; EVAL: Read User Cons<08> Select NewLine [+0032 +0032 +0032 +0032 +0032]
ios_W09NwLin  equ  ios_W08NwLin+04     ; EVAL: Read User Cons<09> Select NewLine [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10NwLin  equ  ios_W09NwLin+04     ; EVAL: Read User File<10> Select NewLine [+0040 +0040 +0040 +0040 +0040]
ios_W11NwLin  equ  ios_W10NwLin+04     ; EVAL: Read User File<11> Select NewLine [+0044 +0044 +0044 +0044 +0044]
ios_W12NwLin  equ  ios_W11NwLin+04     ; EVAL: Read User File<12> Select NewLine [+0048 +0048 +0048 +0048 +0048]
ios_W13NwLin  equ  ios_W12NwLin+04     ; EVAL: Read User File<13> Select NewLine [+0052 +0052 +0052 +0052 +0052]
ios_W14NwLin  equ  ios_W13NwLin+04     ; EVAL: Read User File<14> Select NewLine [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15NwLin  equ  ios_W14NwLin+04     ; EVAL: Read User File<15> Select NewLine [+0060 +0060 +0060 +0060 +0060]
ios_W16NwLin  equ  ios_W15NwLin+04     ; EVAL: Read User File<16> Select NewLine [+0064 +0064 +0064 +0064 +0064]
ios_W17NwLin  equ  ios_W16NwLin+04     ; EVAL: Read User File<17> Select NewLine [+0068 +0068 +0068 +0068 +0068]
ios_W18NwLin  equ  ios_W17NwLin+04     ; EVAL: Read User File<18> Select NewLine [+0072 +0072 +0072 +0072 +0072]
ios_W19NwLin  equ  ios_W18NwLin+04     ; EVAL: Read User File<19> Select NewLine [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20NwLin  equ  ios_W19NwLin+04     ; EVAL: Read User Memo<20> Select NewLine [+0080 +0080 +0080 +0080 +0080]
ios_W21NwLin  equ  ios_W20NwLin+04     ; EVAL: Read User Memo<21> Select NewLine [+0084 +0084 +0084 +0084 +0084]
ios_W22NwLin  equ  ios_W21NwLin+04     ; EVAL: Read User Memo<22> Select NewLine [+0088 +0088 +0088 +0088 +0088]
ios_W23NwLin  equ  ios_W22NwLin+04     ; EVAL: Read User Memo<23> Select NewLine [+0092 +0092 +0092 +0092 +0092]
ios_W24NwLin  equ  ios_W23NwLin+04     ; EVAL: Read User Memo<24> Select NewLine [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25NwLin  equ  ios_W24NwLin+04     ; EVAL: Read User Memo<25> Select NewLine [+0100 +0100 +0100 +0100 +0100]
ios_W26NwLin  equ  ios_W25NwLin+04     ; EVAL: Read User Memo<26> Select NewLine [+0104 +0104 +0104 +0104 +0104]
ios_W27NwLin  equ  ios_W26NwLin+04     ; EVAL: Read User Memo<27> Select NewLine [+0108 +0108 +0108 +0108 +0108]
ios_W28NwLin  equ  ios_W27NwLin+04     ; EVAL: Read User Memo<28> Select NewLine [+0112 +0112 +0112 +0112 +0112]
ios_W29NwLin  equ  ios_W28NwLin+04     ; EVAL: Read User Memo<29> Select NewLine [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30NwLin  equ  ios_W29NwLin+04     ; EVAL: Read DsLb File<30> Select NewLine [+0120 +0120 +0120 +0120 +0120]
ios_W31NwLin  equ  ios_W30NwLin+04     ; EVAL: Read DsLb Memo<31> Select NewLine [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00NwLin  equ  ios_PAR+5120+128    ; EVAL: Read StdO Console: Select NewLine [#0128 #0128 #0128 #0128 #0128]
ios_R01NwLin  equ  ios_R00NwLin+04     ; EVAL: Read User Cons<01> Select NewLine [+0004 +0004 +0004 +0004 +0004]
ios_R02NwLin  equ  ios_R01NwLin+04     ; EVAL: Read User Cons<02> Select NewLine [+0008 +0008 +0008 +0008 +0008]
ios_R03NwLin  equ  ios_R02NwLin+04     ; EVAL: Read User Cons<03> Select NewLine [+0012 +0012 +0012 +0012 +0012]
ios_R04NwLin  equ  ios_R03NwLin+04     ; EVAL: Read User Cons<04> Select NewLine [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05NwLin  equ  ios_R04NwLin+04     ; EVAL: Read User Cons<05> Select NewLine [+0020 +0020 +0020 +0020 +0020]
ios_R06NwLin  equ  ios_R05NwLin+04     ; EVAL: Read User Cons<06> Select NewLine [+0024 +0024 +0024 +0024 +0024]
ios_R07NwLin  equ  ios_R06NwLin+04     ; EVAL: Read User Cons<07> Select NewLine [+0028 +0028 +0028 +0028 +0028]
ios_R08NwLin  equ  ios_R07NwLin+04     ; EVAL: Read User Cons<08> Select NewLine [+0032 +0032 +0032 +0032 +0032]
ios_R09NwLin  equ  ios_R08NwLin+04     ; EVAL: Read User Cons<09> Select NewLine [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10NwLin  equ  ios_R09NwLin+04     ; EVAL: Read User File<10> Select NewLine [+0040 +0040 +0040 +0040 +0040]
ios_R11NwLin  equ  ios_R10NwLin+04     ; EVAL: Read User File<11> Select NewLine [+0044 +0044 +0044 +0044 +0044]
ios_R12NwLin  equ  ios_R11NwLin+04     ; EVAL: Read User File<12> Select NewLine [+0048 +0048 +0048 +0048 +0048]
ios_R13NwLin  equ  ios_R12NwLin+04     ; EVAL: Read User File<13> Select NewLine [+0052 +0052 +0052 +0052 +0052]
ios_R14NwLin  equ  ios_R13NwLin+04     ; EVAL: Read User File<14> Select NewLine [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15NwLin  equ  ios_R14NwLin+04     ; EVAL: Read User File<15> Select NewLine [+0060 +0060 +0060 +0060 +0060]
ios_R16NwLin  equ  ios_R15NwLin+04     ; EVAL: Read User File<16> Select NewLine [+0064 +0064 +0064 +0064 +0064]
ios_R17NwLin  equ  ios_R16NwLin+04     ; EVAL: Read User File<17> Select NewLine [+0068 +0068 +0068 +0068 +0068]
ios_R18NwLin  equ  ios_R17NwLin+04     ; EVAL: Read User File<18> Select NewLine [+0072 +0072 +0072 +0072 +0072]
ios_R19NwLin  equ  ios_R18NwLin+04     ; EVAL: Read User File<19> Select NewLine [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20NwLin  equ  ios_R19NwLin+04     ; EVAL: Read User Memo<20> Select NewLine [+0080 +0080 +0080 +0080 +0080]
ios_R21NwLin  equ  ios_R20NwLin+04     ; EVAL: Read User Memo<21> Select NewLine [+0084 +0084 +0084 +0084 +0084]
ios_R22NwLin  equ  ios_R21NwLin+04     ; EVAL: Read User Memo<22> Select NewLine [+0088 +0088 +0088 +0088 +0088]
ios_R23NwLin  equ  ios_R22NwLin+04     ; EVAL: Read User Memo<23> Select NewLine [+0092 +0092 +0092 +0092 +0092]
ios_R24NwLin  equ  ios_R23NwLin+04     ; EVAL: Read User Memo<24> Select NewLine [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25NwLin  equ  ios_R24NwLin+04     ; EVAL: Read User Memo<25> Select NewLine [+0100 +0100 +0100 +0100 +0100]
ios_R26NwLin  equ  ios_R25NwLin+04     ; EVAL: Read User Memo<26> Select NewLine [+0104 +0104 +0104 +0104 +0104]
ios_R27NwLin  equ  ios_R26NwLin+04     ; EVAL: Read User Memo<27> Select NewLine [+0108 +0108 +0108 +0108 +0108]
ios_R28NwLin  equ  ios_R27NwLin+04     ; EVAL: Read User Memo<28> Select NewLine [+0112 +0112 +0112 +0112 +0112]
ios_R29NwLin  equ  ios_R28NwLin+04     ; EVAL: Read User Memo<29> Select NewLine [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30NwLin  equ  ios_R29NwLin+04     ; EVAL: Read DsLb File<30> Select NewLine [+0120 +0120 +0120 +0120 +0120]
ios_R31NwLin  equ  ios_R30NwLin+04     ; EVAL: Read DsLb Memo<31> Select NewLine [+0124 +0124 +0124 +0124 +0124]
;*==============================================================================================================
ios_W00LsChr  equ  ios_PAR+5120+256    ; EVAL: Writ StdO Console: Last Character [#0256 #0256 #0256 #0256 #0256]
ios_W01LsChr  equ  ios_W00LsChr+04     ; EVAL: Writ User Cons<01> Last Character [+0004 +0004 +0004 +0004 +0004]
ios_W02LsChr  equ  ios_W01LsChr+04     ; EVAL: Writ User Cons<02> Last Character [+0008 +0008 +0008 +0008 +0008]
ios_W03LsChr  equ  ios_W02LsChr+04     ; EVAL: Writ User Cons<03> Last Character [+0012 +0012 +0012 +0012 +0012]
ios_W04LsChr  equ  ios_W03LsChr+04     ; EVAL: Writ User Cons<04> Last Character [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05LsChr  equ  ios_W04LsChr+04     ; EVAL: Writ User Cons<05> Last Character [+0020 +0020 +0020 +0020 +0020]
ios_W06LsChr  equ  ios_W05LsChr+04     ; EVAL: Writ User Cons<06> Last Character [+0024 +0024 +0024 +0024 +0024]
ios_W07LsChr  equ  ios_W06LsChr+04     ; EVAL: Writ User Cons<07> Last Character [+0028 +0028 +0028 +0028 +0028]
ios_W08LsChr  equ  ios_W07LsChr+04     ; EVAL: Writ User Cons<08> Last Character [+0032 +0032 +0032 +0032 +0032]
ios_W09LsChr  equ  ios_W08LsChr+04     ; EVAL: Writ User Cons<09> Last Character [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10LsChr  equ  ios_W09LsChr+04     ; EVAL: Writ User File<10> Last Character [+0040 +0040 +0040 +0040 +0040]
ios_W11LsChr  equ  ios_W10LsChr+04     ; EVAL: Writ User File<11> Last Character [+0044 +0044 +0044 +0044 +0044]
ios_W12LsChr  equ  ios_W11LsChr+04     ; EVAL: Writ User File<12> Last Character [+0048 +0048 +0048 +0048 +0048]
ios_W13LsChr  equ  ios_W12LsChr+04     ; EVAL: Writ User File<13> Last Character [+0052 +0052 +0052 +0052 +0052]
ios_W14LsChr  equ  ios_W13LsChr+04     ; EVAL: Writ User File<14> Last Character [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15LsChr  equ  ios_W14LsChr+04     ; EVAL: Writ User File<15> Last Character [+0060 +0060 +0060 +0060 +0060]
ios_W16LsChr  equ  ios_W15LsChr+04     ; EVAL: Writ User File<16> Last Character [+0064 +0064 +0064 +0064 +0064]
ios_W17LsChr  equ  ios_W16LsChr+04     ; EVAL: Writ User File<17> Last Character [+0068 +0068 +0068 +0068 +0068]
ios_W18LsChr  equ  ios_W17LsChr+04     ; EVAL: Writ User File<18> Last Character [+0072 +0072 +0072 +0072 +0072]
ios_W19LsChr  equ  ios_W18LsChr+04     ; EVAL: Writ User File<19> Last Character [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20LsChr  equ  ios_W19LsChr+04     ; EVAL: Writ User Memo<20> Last Character [+0080 +0080 +0080 +0080 +0080]
ios_W21LsChr  equ  ios_W20LsChr+04     ; EVAL: Writ User Memo<21> Last Character [+0084 +0084 +0084 +0084 +0084]
ios_W22LsChr  equ  ios_W21LsChr+04     ; EVAL: Writ User Memo<22> Last Character [+0088 +0088 +0088 +0088 +0088]
ios_W23LsChr  equ  ios_W22LsChr+04     ; EVAL: Writ User Memo<23> Last Character [+0092 +0092 +0092 +0092 +0092]
ios_W24LsChr  equ  ios_W23LsChr+04     ; EVAL: Writ User Memo<24> Last Character [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25LsChr  equ  ios_W24LsChr+04     ; EVAL: Writ User Memo<25> Last Character [+0100 +0100 +0100 +0100 +0100]
ios_W26LsChr  equ  ios_W25LsChr+04     ; EVAL: Writ User Memo<26> Last Character [+0104 +0104 +0104 +0104 +0104]
ios_W27LsChr  equ  ios_W26LsChr+04     ; EVAL: Writ User Memo<27> Last Character [+0108 +0108 +0108 +0108 +0108]
ios_W28LsChr  equ  ios_W27LsChr+04     ; EVAL: Writ User Memo<28> Last Character [+0112 +0112 +0112 +0112 +0112]
ios_W29LsChr  equ  ios_W28LsChr+04     ; EVAL: Writ User Memo<29> Last Character [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30LsChr  equ  ios_W29LsChr+04     ; EVAL: Writ DsLb File<30> Last Character [+0120 +0120 +0120 +0120 +0120]
ios_W31LsChr  equ  ios_W30LsChr+04     ; EVAL: Writ DsLb Memo<31> Last Character [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00LsChr  equ  ios_PAR+5120+384    ; EVAL: Read StdO Console: Last Character [#0384 #0384 #0384 #0384 #0384]
ios_R01LsChr  equ  ios_R00LsChr+04     ; EVAL: Read User Cons<01> Last Character [+0004 +0004 +0004 +0004 +0004]
ios_R02LsChr  equ  ios_R01LsChr+04     ; EVAL: Read User Cons<02> Last Character [+0008 +0008 +0008 +0008 +0008]
ios_R03LsChr  equ  ios_R02LsChr+04     ; EVAL: Read User Cons<03> Last Character [+0012 +0012 +0012 +0012 +0012]
ios_R04LsChr  equ  ios_R03LsChr+04     ; EVAL: Read User Cons<04> Last Character [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05LsChr  equ  ios_R04LsChr+04     ; EVAL: Read User Cons<05> Last Character [+0020 +0020 +0020 +0020 +0020]
ios_R06LsChr  equ  ios_R05LsChr+04     ; EVAL: Read User Cons<06> Last Character [+0024 +0024 +0024 +0024 +0024]
ios_R07LsChr  equ  ios_R06LsChr+04     ; EVAL: Read User Cons<07> Last Character [+0028 +0028 +0028 +0028 +0028]
ios_R08LsChr  equ  ios_R07LsChr+04     ; EVAL: Read User Cons<08> Last Character [+0032 +0032 +0032 +0032 +0032]
ios_R09LsChr  equ  ios_R08LsChr+04     ; EVAL: Read User Cons<09> Last Character [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10LsChr  equ  ios_R09LsChr+04     ; EVAL: Read User File<10> Last Character [+0040 +0040 +0040 +0040 +0040]
ios_R11LsChr  equ  ios_R10LsChr+04     ; EVAL: Read User File<11> Last Character [+0044 +0044 +0044 +0044 +0044]
ios_R12LsChr  equ  ios_R11LsChr+04     ; EVAL: Read User File<12> Last Character [+0048 +0048 +0048 +0048 +0048]
ios_R13LsChr  equ  ios_R12LsChr+04     ; EVAL: Read User File<13> Last Character [+0052 +0052 +0052 +0052 +0052]
ios_R14LsChr  equ  ios_R13LsChr+04     ; EVAL: Read User File<14> Last Character [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15LsChr  equ  ios_R14LsChr+04     ; EVAL: Read User File<15> Last Character [+0060 +0060 +0060 +0060 +0060]
ios_R16LsChr  equ  ios_R15LsChr+04     ; EVAL: Read User File<16> Last Character [+0064 +0064 +0064 +0064 +0064]
ios_R17LsChr  equ  ios_R16LsChr+04     ; EVAL: Read User File<17> Last Character [+0068 +0068 +0068 +0068 +0068]
ios_R18LsChr  equ  ios_R17LsChr+04     ; EVAL: Read User File<18> Last Character [+0072 +0072 +0072 +0072 +0072]
ios_R19LsChr  equ  ios_R18LsChr+04     ; EVAL: Read User File<19> Last Character [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20LsChr  equ  ios_R19LsChr+04     ; EVAL: Read User Memo<20> Last Character [+0080 +0080 +0080 +0080 +0080]
ios_R21LsChr  equ  ios_R20LsChr+04     ; EVAL: Read User Memo<21> Last Character [+0084 +0084 +0084 +0084 +0084]
ios_R22LsChr  equ  ios_R21LsChr+04     ; EVAL: Read User Memo<22> Last Character [+0088 +0088 +0088 +0088 +0088]
ios_R23LsChr  equ  ios_R22LsChr+04     ; EVAL: Read User Memo<23> Last Character [+0092 +0092 +0092 +0092 +0092]
ios_R24LsChr  equ  ios_R23LsChr+04     ; EVAL: Read User Memo<24> Last Character [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25LsChr  equ  ios_R24LsChr+04     ; EVAL: Read User Memo<25> Last Character [+0100 +0100 +0100 +0100 +0100]
ios_R26LsChr  equ  ios_R25LsChr+04     ; EVAL: Read User Memo<26> Last Character [+0104 +0104 +0104 +0104 +0104]
ios_R27LsChr  equ  ios_R26LsChr+04     ; EVAL: Read User Memo<27> Last Character [+0108 +0108 +0108 +0108 +0108]
ios_R28LsChr  equ  ios_R27LsChr+04     ; EVAL: Read User Memo<28> Last Character [+0112 +0112 +0112 +0112 +0112]
ios_R29LsChr  equ  ios_R28LsChr+04     ; EVAL: Read User Memo<29> Last Character [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30LsChr  equ  ios_R29LsChr+04     ; EVAL: Read DsLb File<30> Last Character [+0120 +0120 +0120 +0120 +0120]
ios_R31LsChr  equ  ios_R30LsChr+04     ; EVAL: Read DsLb Memo<31> Last Character [+0124 +0124 +0124 +0124 +0124]
;***************************************************************************************************************
ios_W00Resvd  equ  ios_PAR+5120+768    ; EVAL: Writ StdO Console: Inside Comment [#0768 #0768 #0768 #0768 #0768]
ios_W01Resvd  equ  ios_W00Resvd+04     ; EVAL: Writ User Cons<01> Inside Comment [+0004 +0004 +0004 +0004 +0004]
ios_W02Resvd  equ  ios_W01Resvd+04     ; EVAL: Writ User Cons<02> Inside Comment [+0008 +0008 +0008 +0008 +0008]
ios_W03Resvd  equ  ios_W02Resvd+04     ; EVAL: Writ User Cons<03> Inside Comment [+0012 +0012 +0012 +0012 +0012]
ios_W04Resvd  equ  ios_W03Resvd+04     ; EVAL: Writ User Cons<04> Inside Comment [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05Resvd  equ  ios_W04Resvd+04     ; EVAL: Writ User Cons<05> Inside Comment [+0020 +0020 +0020 +0020 +0020]
ios_W06Resvd  equ  ios_W05Resvd+04     ; EVAL: Writ User Cons<06> Inside Comment [+0024 +0024 +0024 +0024 +0024]
ios_W07Resvd  equ  ios_W06Resvd+04     ; EVAL: Writ User Cons<07> Inside Comment [+0028 +0028 +0028 +0028 +0028]
ios_W08Resvd  equ  ios_W07Resvd+04     ; EVAL: Writ User Cons<08> Inside Comment [+0032 +0032 +0032 +0032 +0032]
ios_W09Resvd  equ  ios_W08Resvd+04     ; EVAL: Writ User Cons<09> Inside Comment [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10Resvd  equ  ios_W09Resvd+04     ; EVAL: Writ User File<10> Inside Comment [+0040 +0040 +0040 +0040 +0040]
ios_W11Resvd  equ  ios_W10Resvd+04     ; EVAL: Writ User File<11> Inside Comment [+0044 +0044 +0044 +0044 +0044]
ios_W12Resvd  equ  ios_W11Resvd+04     ; EVAL: Writ User File<12> Inside Comment [+0048 +0048 +0048 +0048 +0048]
ios_W13Resvd  equ  ios_W12Resvd+04     ; EVAL: Writ User File<13> Inside Comment [+0052 +0052 +0052 +0052 +0052]
ios_W14Resvd  equ  ios_W13Resvd+04     ; EVAL: Writ User File<14> Inside Comment [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15Resvd  equ  ios_W14Resvd+04     ; EVAL: Writ User File<15> Inside Comment [+0060 +0060 +0060 +0060 +0060]
ios_W16Resvd  equ  ios_W15Resvd+04     ; EVAL: Writ User File<16> Inside Comment [+0064 +0064 +0064 +0064 +0064]
ios_W17Resvd  equ  ios_W16Resvd+04     ; EVAL: Writ User File<17> Inside Comment [+0068 +0068 +0068 +0068 +0068]
ios_W18Resvd  equ  ios_W17Resvd+04     ; EVAL: Writ User File<18> Inside Comment [+0072 +0072 +0072 +0072 +0072]
ios_W19Resvd  equ  ios_W18Resvd+04     ; EVAL: Writ User File<19> Inside Comment [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20Resvd  equ  ios_W19Resvd+04     ; EVAL: Writ User Memo<20> Inside Comment [+0080 +0080 +0080 +0080 +0080]
ios_W21Resvd  equ  ios_W20Resvd+04     ; EVAL: Writ User Memo<21> Inside Comment [+0084 +0084 +0084 +0084 +0084]
ios_W22Resvd  equ  ios_W21Resvd+04     ; EVAL: Writ User Memo<22> Inside Comment [+0088 +0088 +0088 +0088 +0088]
ios_W23Resvd  equ  ios_W22Resvd+04     ; EVAL: Writ User Memo<23> Inside Comment [+0092 +0092 +0092 +0092 +0092]
ios_W24Resvd  equ  ios_W23Resvd+04     ; EVAL: Writ User Memo<24> Inside Comment [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25Resvd  equ  ios_W24Resvd+04     ; EVAL: Writ User Memo<25> Inside Comment [+0100 +0100 +0100 +0100 +0100]
ios_W26Resvd  equ  ios_W25Resvd+04     ; EVAL: Writ User Memo<26> Inside Comment [+0104 +0104 +0104 +0104 +0104]
ios_W27Resvd  equ  ios_W26Resvd+04     ; EVAL: Writ User Memo<27> Inside Comment [+0108 +0108 +0108 +0108 +0108]
ios_W28Resvd  equ  ios_W27Resvd+04     ; EVAL: Writ User Memo<28> Inside Comment [+0112 +0112 +0112 +0112 +0112]
ios_W29Resvd  equ  ios_W28Resvd+04     ; EVAL: Writ User Memo<29> Inside Comment [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30Resvd  equ  ios_W29Resvd+04     ; EVAL: Writ DsLb File<30> Inside Comment [+0120 +0120 +0120 +0120 +0120]
ios_W31Resvd  equ  ios_W30Resvd+04     ; EVAL: Writ DsLb Memo<31> Inside Comment [+0124 +0124 +0124 +0124 +0124]
;*--------------------------------------------------------------------------------------------------------------
ios_R00Resvd  equ  ios_PAR+5120+896    ; EVAL: Read StdO Console: Inside Comment [#0896 #0896 #0896 #0896 #0896]
ios_R01Resvd  equ  ios_R00Resvd+04     ; EVAL: Read User Cons<01> Inside Comment [+0004 +0004 +0004 +0004 +0004]
ios_R02Resvd  equ  ios_R01Resvd+04     ; EVAL: Read User Cons<02> Inside Comment [+0008 +0008 +0008 +0008 +0008]
ios_R03Resvd  equ  ios_R02Resvd+04     ; EVAL: Read User Cons<03> Inside Comment [+0012 +0012 +0012 +0012 +0012]
ios_R04Resvd  equ  ios_R03Resvd+04     ; EVAL: Read User Cons<04> Inside Comment [+0016 +0016 +0016 +0016 +0016]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05Resvd  equ  ios_R04Resvd+04     ; EVAL: Read User Cons<05> Inside Comment [+0020 +0020 +0020 +0020 +0020]
ios_R06Resvd  equ  ios_R05Resvd+04     ; EVAL: Read User Cons<06> Inside Comment [+0024 +0024 +0024 +0024 +0024]
ios_R07Resvd  equ  ios_R06Resvd+04     ; EVAL: Read User Cons<07> Inside Comment [+0028 +0028 +0028 +0028 +0028]
ios_R08Resvd  equ  ios_R07Resvd+04     ; EVAL: Read User Cons<08> Inside Comment [+0032 +0032 +0032 +0032 +0032]
ios_R09Resvd  equ  ios_R08Resvd+04     ; EVAL: Read User Cons<09> Inside Comment [+0036 +0036 +0036 +0036 +0036]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10Resvd  equ  ios_R09Resvd+04     ; EVAL: Read User File<10> Inside Comment [+0040 +0040 +0040 +0040 +0040]
ios_R11Resvd  equ  ios_R10Resvd+04     ; EVAL: Read User File<11> Inside Comment [+0044 +0044 +0044 +0044 +0044]
ios_R12Resvd  equ  ios_R11Resvd+04     ; EVAL: Read User File<12> Inside Comment [+0048 +0048 +0048 +0048 +0048]
ios_R13Resvd  equ  ios_R12Resvd+04     ; EVAL: Read User File<13> Inside Comment [+0052 +0052 +0052 +0052 +0052]
ios_R14Resvd  equ  ios_R13Resvd+04     ; EVAL: Read User File<14> Inside Comment [+0056 +0056 +0056 +0056 +0056]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15Resvd  equ  ios_R14Resvd+04     ; EVAL: Read User File<15> Inside Comment [+0060 +0060 +0060 +0060 +0060]
ios_R16Resvd  equ  ios_R15Resvd+04     ; EVAL: Read User File<16> Inside Comment [+0064 +0064 +0064 +0064 +0064]
ios_R17Resvd  equ  ios_R16Resvd+04     ; EVAL: Read User File<17> Inside Comment [+0068 +0068 +0068 +0068 +0068]
ios_R18Resvd  equ  ios_R17Resvd+04     ; EVAL: Read User File<18> Inside Comment [+0072 +0072 +0072 +0072 +0072]
ios_R19Resvd  equ  ios_R18Resvd+04     ; EVAL: Read User File<19> Inside Comment [+0076 +0076 +0076 +0076 +0076]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20Resvd  equ  ios_R19Resvd+04     ; EVAL: Read User Memo<20> Inside Comment [+0080 +0080 +0080 +0080 +0080]
ios_R21Resvd  equ  ios_R20Resvd+04     ; EVAL: Read User Memo<21> Inside Comment [+0084 +0084 +0084 +0084 +0084]
ios_R22Resvd  equ  ios_R21Resvd+04     ; EVAL: Read User Memo<22> Inside Comment [+0088 +0088 +0088 +0088 +0088]
ios_R23Resvd  equ  ios_R22Resvd+04     ; EVAL: Read User Memo<23> Inside Comment [+0092 +0092 +0092 +0092 +0092]
ios_R24Resvd  equ  ios_R23Resvd+04     ; EVAL: Read User Memo<24> Inside Comment [+0096 +0096 +0096 +0096 +0096]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25Resvd  equ  ios_R24Resvd+04     ; EVAL: Read User Memo<25> Inside Comment [+0100 +0100 +0100 +0100 +0100]
ios_R26Resvd  equ  ios_R25Resvd+04     ; EVAL: Read User Memo<26> Inside Comment [+0104 +0104 +0104 +0104 +0104]
ios_R27Resvd  equ  ios_R26Resvd+04     ; EVAL: Read User Memo<27> Inside Comment [+0108 +0108 +0108 +0108 +0108]
ios_R28Resvd  equ  ios_R27Resvd+04     ; EVAL: Read User Memo<28> Inside Comment [+0112 +0112 +0112 +0112 +0112]
ios_R29Resvd  equ  ios_R28Resvd+04     ; EVAL: Read User Memo<29> Inside Comment [+0116 +0116 +0116 +0116 +0116]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30Resvd  equ  ios_R29Resvd+04     ; EVAL: Read DsLb File<30> Inside Comment [+0120 +0120 +0120 +0120 +0120]
ios_R31Resvd  equ  ios_R30Resvd+04     ; EVAL: Read DsLb Memo<31> Inside Comment [+0124 +0124 +0124 +0124 +0124]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_KJT1LPar  equ  ios_PAR+6144+000    ; HNDL: KreateJnputThread1 lpParameterVAL [#4096 #8192 16384 32768 65536]
ios_KJT2LPar  equ  ios_KJT1LPar+64     ; LVAL: KreateJnputThread2 lpParameterVAL [+0064 +0064 +0064 +0064 +0064]
ios_KJT3LPar  equ  ios_KJT2LPar+64     ; LVAL: KreateJnputThread3 lpParameterVAL [+0128 +0128 +0128 +0128 +0128]
ios_KJT4LPar  equ  ios_KJT3LPar+64     ; LVAL: KreateJnputThread4 lpParameterVAL [+0192 +0192 +0192 +0192 +0192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_KJT5LPar  equ  ios_KJT4LPar+64     ; LVAL: KreateJnputThread5 lpParameterVAL [+0256 +0256 +0256 +0256 +0256]
ios_KJT6LPar  equ  ios_KJT5LPar+64     ; LVAL: KreateJnputThread6 lpParameterVAL [+0320 +0320 +0320 +0320 +0320]
ios_KJT7LPar  equ  ios_KJT6LPar+64     ; LVAL: KreateJnputThread7 lpParameterVAL [+0384 +0384 +0384 +0384 +0384]
ios_KJT8LPar  equ  ios_KJT7LPar+64     ; LVAL: KreateJnputThread8 lpParameterVAL [+0448 +0448 +0448 +0448 +0448]
;*==============================================================================================================
ios_KJT9LPar  equ  ios_PAR+6144+512    ; HNDL: KreateJnputThread1 lpParameterVAL [#0256 #0256 #0256 #0256 #0256]
;###############################################################################################################
;## FIXED     Input.Output.Static      ; EVAL: Fixed Non scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;*s_BEG       equ  gmm_ios+1024*0630   ; PARA: Input.Output.Static_BEGin  offset [#0640 #0640 #0640 #1280 #2560]
;*s_LNG       equ  gmm_ios+1024*0640   ; PARA: Input.Output.Static_LoNG   offset [+2024 +2024 +2024 +2024 +2024]
;*--------------------------------------------------------------------------------------------------------------
ios_BEG       equ  ios_PAR+8192+0000   ; PARA: Input.Output.Static_BEGin  offset [#0640 #0640 #0640 #1280 #2560]
ios_LNG       equ  ios_BEG+8192+2048   ; PARA: Input.Output.Static_LoNG   offset [+2024 +2024 +2024 +2024 +2024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu0000  equ  ios_BEG+0000+000    ; EVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;os_Valu0001  equ  ios_Valu0000+04     ; EVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu1024  equ  ios_BEG+1024+000    ; XVAL: Values Part1 Non scaling Values ! [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu2048  equ  ios_BEG+2048+000    ; XVAL: Values Part2 Non scaling Values ! [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu3072  equ  ios_BEG+3072+000    ; XVAL: Values Part3 Non scaling Values ! [%3072 %3072 %3072 %3072 %3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu4096  equ  ios_BEG+4096+000    ; XVAL: Values Part4 Non scaling Values ! [%4096 %4096 %4096 %4096 %4096]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu5120  equ  ios_BEG+5120+000    ; XVAL: Values Part5 Non scaling Values ! [%5120 %5120 %5120 %5120 %5120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu6144  equ  ios_BEG+6144+000    ; XVAL: Values Part6 Non scaling Values ! [%6144 %6144 %6144 %6144 %6144]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu7168  equ  ios_BEG+7168+000    ; XVAL: Values Part7 Non scaling Values ! [%7168 %7168 %7168 %7168 %7168]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu8192  equ  ios_BEG+8192+000    ; XVAL: Values Part8 Non scaling Values ! [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;os_Valu9216  equ  ios_BEG+9216+000    ; XVAL: Values Part9 Non scaling Values ! [%9216 %9216 %9216 %9216 %9216]
;###############################################################################################################
;## LONG      Input.Output.Static      ; LVAL: Long.Size scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
ios_W00BuPtr  equ  ios_LNG+LVSZ*0000   ; PNTR: Writ StdO Console: WorkBufPointer [+0064 +0128 +0256 +0512 +1024]
ios_W01BuPtr  equ  ios_W00BuPtr+LVSZ   ; PNTR: Writ User Cons<01> WorkBufPointer [+0004 +0008 +0016 +0032 +0064]
ios_W02BuPtr  equ  ios_W01BuPtr+LVSZ   ; PNTR: Writ User Cons<02> WorkBufPointer [+0008 +0016 +0032 +0064 +0128]
ios_W03BuPtr  equ  ios_W02BuPtr+LVSZ   ; PNTR: Writ User Cons<03> WorkBufPointer [+0012 +0024 +0048 +0096 +0192]
ios_W04BuPtr  equ  ios_W03BuPtr+LVSZ   ; PNTR: Writ User Cons<04> WorkBufPointer [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05BuPtr  equ  ios_W04BuPtr+LVSZ   ; PNTR: Writ User Cons<05> WorkBufPointer [+0020 +0040 +0080 +0160 +0320]
ios_W06BuPtr  equ  ios_W05BuPtr+LVSZ   ; PNTR: Writ User Cons<06> WorkBufPointer [+0024 +0048 +0096 +0192 +0384]
ios_W07BuPtr  equ  ios_W06BuPtr+LVSZ   ; PNTR: Writ User Cons<07> WorkBufPointer [+0028 +0056 +0112 +0224 +0448]
ios_W08BuPtr  equ  ios_W07BuPtr+LVSZ   ; PNTR: Writ User Cons<08> WorkBufPointer [+0032 +0064 +0128 +0256 +0512]
ios_W09BuPtr  equ  ios_W08BuPtr+LVSZ   ; PNTR: Writ User Cons<09> WorkBufPointer [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10BuPtr  equ  ios_W09BuPtr+LVSZ   ; PNTR: Writ User File<10> WorkBufPointer [+0040 +0080 +0160 +0320 +0640]
ios_W11BuPtr  equ  ios_W10BuPtr+LVSZ   ; PNTR: Writ User File<11> WorkBufPointer [+0044 +0088 +0176 +0352 +0704]
ios_W12BuPtr  equ  ios_W11BuPtr+LVSZ   ; PNTR: Writ User File<12> WorkBufPointer [+0048 +0096 +0192 +0384 +0768]
ios_W13BuPtr  equ  ios_W12BuPtr+LVSZ   ; PNTR: Writ User File<13> WorkBufPointer [+0052 +0104 +0208 +0416 +0832]
ios_W14BuPtr  equ  ios_W13BuPtr+LVSZ   ; PNTR: Writ User File<14> WorkBufPointer [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15BuPtr  equ  ios_W14BuPtr+LVSZ   ; PNTR: Writ User File<15> WorkBufPointer [+0060 +0120 +0240 +0480 +0960]
ios_W16BuPtr  equ  ios_W15BuPtr+LVSZ   ; PNTR: Writ User File<16> WorkBufPointer [+0064 +0128 +0256 +0512 +1024]
ios_W17BuPtr  equ  ios_W16BuPtr+LVSZ   ; PNTR: Writ User File<17> WorkBufPointer [+0068 +0136 +0272 +0544 +1088]
ios_W18BuPtr  equ  ios_W17BuPtr+LVSZ   ; PNTR: Writ User File<18> WorkBufPointer [+0072 +0144 +0288 +0576 +1152]
ios_W19BuPtr  equ  ios_W18BuPtr+LVSZ   ; PNTR: Writ User File<19> WorkBufPointer [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20BuPtr  equ  ios_W19BuPtr+LVSZ   ; PNTR: Writ User Memo<20> WorkBufPointer [+0080 +0160 +0320 +0640 +1280]
ios_W21BuPtr  equ  ios_W20BuPtr+LVSZ   ; PNTR: Writ User Memo<21> WorkBufPointer [+0084 +0168 +0336 +0672 +1344]
ios_W22BuPtr  equ  ios_W21BuPtr+LVSZ   ; PNTR: Writ User Memo<22> WorkBufPointer [+0088 +0176 +0352 +0704 +1408]
ios_W23BuPtr  equ  ios_W22BuPtr+LVSZ   ; PNTR: Writ User Memo<23> WorkBufPointer [+0092 +0184 +0368 +0736 +1472]
ios_W24BuPtr  equ  ios_W23BuPtr+LVSZ   ; PNTR: Writ User Memo<24> WorkBufPointer [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25BuPtr  equ  ios_W24BuPtr+LVSZ   ; PNTR: Writ User Memo<25> WorkBufPointer [+0100 +0200 +0400 +0800 +1600]
ios_W26BuPtr  equ  ios_W25BuPtr+LVSZ   ; PNTR: Writ User Memo<26> WorkBufPointer [+0104 +0208 +0416 +0832 +1664]
ios_W27BuPtr  equ  ios_W26BuPtr+LVSZ   ; PNTR: Writ User Memo<27> WorkBufPointer [+0108 +0216 +0432 +0864 +1728]
ios_W28BuPtr  equ  ios_W27BuPtr+LVSZ   ; PNTR: Writ User Memo<28> WorkBufPointer [+0112 +0224 +0448 +0896 +1792]
ios_W29BuPtr  equ  ios_W28BuPtr+LVSZ   ; PNTR: Writ User Memo<29> WorkBufPointer [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30BuPtr  equ  ios_W29BuPtr+LVSZ   ; PNTR: Writ DsLb File<30> WorkBufPointer [+0120 +0240 +0480 +0960 +1920]
ios_W31BuPtr  equ  ios_W30BuPtr+LVSZ   ; PNTR: Writ DsLb Memo<31> WorkBufPointer [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00BuPtr  equ  ios_LNG+LVSZ*0032   ; PNTR: Read StdO Console: WorkBufPointer [#0128 #0256 #0512 #1024 #2048]
ios_R01BuPtr  equ  ios_R00BuPtr+LVSZ   ; PNTR: Read User Cons<01> WorkBufPointer [+0004 +0008 +0016 +0032 +0064]
ios_R02BuPtr  equ  ios_R01BuPtr+LVSZ   ; PNTR: Read User Cons<02> WorkBufPointer [+0008 +0016 +0032 +0064 +0128]
ios_R03BuPtr  equ  ios_R02BuPtr+LVSZ   ; PNTR: Read User Cons<03> WorkBufPointer [+0012 +0024 +0048 +0096 +0192]
ios_R04BuPtr  equ  ios_R03BuPtr+LVSZ   ; PNTR: Read User Cons<04> WorkBufPointer [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05BuPtr  equ  ios_R04BuPtr+LVSZ   ; PNTR: Read User Cons<05> WorkBufPointer [+0020 +0040 +0080 +0160 +0320]
ios_R06BuPtr  equ  ios_R05BuPtr+LVSZ   ; PNTR: Read User Cons<06> WorkBufPointer [+0024 +0048 +0096 +0192 +0384]
ios_R07BuPtr  equ  ios_R06BuPtr+LVSZ   ; PNTR: Read User Cons<07> WorkBufPointer [+0028 +0056 +0112 +0224 +0448]
ios_R08BuPtr  equ  ios_R07BuPtr+LVSZ   ; PNTR: Read User Cons<08> WorkBufPointer [+0032 +0064 +0128 +0256 +0512]
ios_R09BuPtr  equ  ios_R08BuPtr+LVSZ   ; PNTR: Read User Cons<09> WorkBufPointer [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10BuPtr  equ  ios_R09BuPtr+LVSZ   ; PNTR: Read User File<10> WorkBufPointer [+0040 +0080 +0160 +0320 +0640]
ios_R11BuPtr  equ  ios_R10BuPtr+LVSZ   ; PNTR: Read User File<11> WorkBufPointer [+0044 +0088 +0176 +0352 +0704]
ios_R12BuPtr  equ  ios_R11BuPtr+LVSZ   ; PNTR: Read User File<12> WorkBufPointer [+0048 +0096 +0192 +0384 +0768]
ios_R13BuPtr  equ  ios_R12BuPtr+LVSZ   ; PNTR: Read User File<13> WorkBufPointer [+0052 +0104 +0208 +0416 +0832]
ios_R14BuPtr  equ  ios_R13BuPtr+LVSZ   ; PNTR: Read User File<14> WorkBufPointer [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15BuPtr  equ  ios_R14BuPtr+LVSZ   ; PNTR: Read User File<15> WorkBufPointer [+0060 +0120 +0240 +0480 +0960]
ios_R16BuPtr  equ  ios_R15BuPtr+LVSZ   ; PNTR: Read User File<16> WorkBufPointer [+0064 +0128 +0256 +0512 +1024]
ios_R17BuPtr  equ  ios_R16BuPtr+LVSZ   ; PNTR: Read User File<17> WorkBufPointer [+0068 +0136 +0272 +0544 +1088]
ios_R18BuPtr  equ  ios_R17BuPtr+LVSZ   ; PNTR: Read User File<18> WorkBufPointer [+0072 +0144 +0288 +0576 +1152]
ios_R19BuPtr  equ  ios_R18BuPtr+LVSZ   ; PNTR: Read User File<19> WorkBufPointer [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20BuPtr  equ  ios_R19BuPtr+LVSZ   ; PNTR: Read User Memo<20> WorkBufPointer [+0080 +0160 +0320 +0640 +1280]
ios_R21BuPtr  equ  ios_R20BuPtr+LVSZ   ; PNTR: Read User Memo<21> WorkBufPointer [+0084 +0168 +0336 +0672 +1344]
ios_R22BuPtr  equ  ios_R21BuPtr+LVSZ   ; PNTR: Read User Memo<22> WorkBufPointer [+0088 +0176 +0352 +0704 +1408]
ios_R23BuPtr  equ  ios_R22BuPtr+LVSZ   ; PNTR: Read User Memo<23> WorkBufPointer [+0092 +0184 +0368 +0736 +1472]
ios_R24BuPtr  equ  ios_R23BuPtr+LVSZ   ; PNTR: Read User Memo<24> WorkBufPointer [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25BuPtr  equ  ios_R24BuPtr+LVSZ   ; PNTR: Read User Memo<25> WorkBufPointer [+0100 +0200 +0400 +0800 +1600]
ios_R26BuPtr  equ  ios_R25BuPtr+LVSZ   ; PNTR: Read User Memo<26> WorkBufPointer [+0104 +0208 +0416 +0832 +1664]
ios_R27BuPtr  equ  ios_R26BuPtr+LVSZ   ; PNTR: Read User Memo<27> WorkBufPointer [+0108 +0216 +0432 +0864 +1728]
ios_R28BuPtr  equ  ios_R27BuPtr+LVSZ   ; PNTR: Read User Memo<28> WorkBufPointer [+0112 +0224 +0448 +0896 +1792]
ios_R29BuPtr  equ  ios_R28BuPtr+LVSZ   ; PNTR: Read User Memo<29> WorkBufPointer [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30BuPtr  equ  ios_R29BuPtr+LVSZ   ; PNTR: Read DsLb File<30> WorkBufPointer [+0120 +0240 +0480 +0960 +1920]
ios_R31BuPtr  equ  ios_R30BuPtr+LVSZ   ; PNTR: Read DsLb Memo<31> WorkBufPointer [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00BuSiz  equ  ios_LNG+LVSZ*0064   ; LVAL: Writ StdO Console: WBuff ByteSize [#0256 #0512 #1024 #2048 #4096]
ios_W01BuSiz  equ  ios_W00BuSiz+LVSZ   ; LVAL: Writ User Cons<01> WBuff ByteSize [+0004 +0008 +0016 +0032 +0064]
ios_W02BuSiz  equ  ios_W01BuSiz+LVSZ   ; LVAL: Writ User Cons<02> WBuff ByteSize [+0008 +0016 +0032 +0064 +0128]
ios_W03BuSiz  equ  ios_W02BuSiz+LVSZ   ; LVAL: Writ User Cons<03> WBuff ByteSize [+0012 +0024 +0048 +0096 +0192]
ios_W04BuSiz  equ  ios_W03BuSiz+LVSZ   ; LVAL: Writ User Cons<04> WBuff ByteSize [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05BuSiz  equ  ios_W04BuSiz+LVSZ   ; LVAL: Writ User Cons<05> WBuff ByteSize [+0020 +0040 +0080 +0160 +0320]
ios_W06BuSiz  equ  ios_W05BuSiz+LVSZ   ; LVAL: Writ User Cons<06> WBuff ByteSize [+0024 +0048 +0096 +0192 +0384]
ios_W07BuSiz  equ  ios_W06BuSiz+LVSZ   ; LVAL: Writ User Cons<07> WBuff ByteSize [+0028 +0056 +0112 +0224 +0448]
ios_W08BuSiz  equ  ios_W07BuSiz+LVSZ   ; LVAL: Writ User Cons<08> WBuff ByteSize [+0032 +0064 +0128 +0256 +0512]
ios_W09BuSiz  equ  ios_W08BuSiz+LVSZ   ; LVAL: Writ User Cons<09> WBuff ByteSize [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10BuSiz  equ  ios_W09BuSiz+LVSZ   ; LVAL: Writ User File<10> WBuff ByteSize [+0040 +0080 +0160 +0320 +0640]
ios_W11BuSiz  equ  ios_W10BuSiz+LVSZ   ; LVAL: Writ User File<11> WBuff ByteSize [+0044 +0088 +0176 +0352 +0704]
ios_W12BuSiz  equ  ios_W11BuSiz+LVSZ   ; LVAL: Writ User File<12> WBuff ByteSize [+0048 +0096 +0192 +0384 +0768]
ios_W13BuSiz  equ  ios_W12BuSiz+LVSZ   ; LVAL: Writ User File<13> WBuff ByteSize [+0052 +0104 +0208 +0416 +0832]
ios_W14BuSiz  equ  ios_W13BuSiz+LVSZ   ; LVAL: Writ User File<14> WBuff ByteSize [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15BuSiz  equ  ios_W14BuSiz+LVSZ   ; LVAL: Writ User File<15> WBuff ByteSize [+0060 +0120 +0240 +0480 +0960]
ios_W16BuSiz  equ  ios_W15BuSiz+LVSZ   ; LVAL: Writ User File<16> WBuff ByteSize [+0064 +0128 +0256 +0512 +1024]
ios_W17BuSiz  equ  ios_W16BuSiz+LVSZ   ; LVAL: Writ User File<17> WBuff ByteSize [+0068 +0136 +0272 +0544 +1088]
ios_W18BuSiz  equ  ios_W17BuSiz+LVSZ   ; LVAL: Writ User File<18> WBuff ByteSize [+0072 +0144 +0288 +0576 +1152]
ios_W19BuSiz  equ  ios_W18BuSiz+LVSZ   ; LVAL: Writ User File<19> WBuff ByteSize [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20BuSiz  equ  ios_W19BuSiz+LVSZ   ; LVAL: Writ User Memo<20> WBuff ByteSize [+0080 +0160 +0320 +0640 +1280]
ios_W21BuSiz  equ  ios_W20BuSiz+LVSZ   ; LVAL: Writ User Memo<21> WBuff ByteSize [+0084 +0168 +0336 +0672 +1344]
ios_W22BuSiz  equ  ios_W21BuSiz+LVSZ   ; LVAL: Writ User Memo<22> WBuff ByteSize [+0088 +0176 +0352 +0704 +1408]
ios_W23BuSiz  equ  ios_W22BuSiz+LVSZ   ; LVAL: Writ User Memo<23> WBuff ByteSize [+0092 +0184 +0368 +0736 +1472]
ios_W24BuSiz  equ  ios_W23BuSiz+LVSZ   ; LVAL: Writ User Memo<24> WBuff ByteSize [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25BuSiz  equ  ios_W24BuSiz+LVSZ   ; LVAL: Writ User Memo<25> WBuff ByteSize [+0100 +0200 +0400 +0800 +1600]
ios_W26BuSiz  equ  ios_W25BuSiz+LVSZ   ; LVAL: Writ User Memo<26> WBuff ByteSize [+0104 +0208 +0416 +0832 +1664]
ios_W27BuSiz  equ  ios_W26BuSiz+LVSZ   ; LVAL: Writ User Memo<27> WBuff ByteSize [+0108 +0216 +0432 +0864 +1728]
ios_W28BuSiz  equ  ios_W27BuSiz+LVSZ   ; LVAL: Writ User Memo<28> WBuff ByteSize [+0112 +0224 +0448 +0896 +1792]
ios_W29BuSiz  equ  ios_W28BuSiz+LVSZ   ; LVAL: Writ User Memo<29> WBuff ByteSize [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30BuSiz  equ  ios_W29BuSiz+LVSZ   ; LVAL: Writ DsLb File<30> WBuff ByteSize [+0120 +0240 +0480 +0960 +1920]
ios_W31BuSiz  equ  ios_W30BuSiz+LVSZ   ; LVAL: Writ DsLb Memo<31> WBuff ByteSize [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00BuSiz  equ  ios_LNG+LVSZ*0096   ; LVAL: Read StdO Console: WBuff ByteSize [#0384 #0768 #1536 #3072 #6144]
ios_R01BuSiz  equ  ios_R00BuSiz+LVSZ   ; LVAL: Read User Cons<01> WBuff ByteSize [+0004 +0008 +0016 +0032 +0064]
ios_R02BuSiz  equ  ios_R01BuSiz+LVSZ   ; LVAL: Read User Cons<02> WBuff ByteSize [+0008 +0016 +0032 +0064 +0128]
ios_R03BuSiz  equ  ios_R02BuSiz+LVSZ   ; LVAL: Read User Cons<03> WBuff ByteSize [+0012 +0024 +0048 +0096 +0192]
ios_R04BuSiz  equ  ios_R03BuSiz+LVSZ   ; LVAL: Read User Cons<04> WBuff ByteSize [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05BuSiz  equ  ios_R04BuSiz+LVSZ   ; LVAL: Read User Cons<05> WBuff ByteSize [+0020 +0040 +0080 +0160 +0320]
ios_R06BuSiz  equ  ios_R05BuSiz+LVSZ   ; LVAL: Read User Cons<06> WBuff ByteSize [+0024 +0048 +0096 +0192 +0384]
ios_R07BuSiz  equ  ios_R06BuSiz+LVSZ   ; LVAL: Read User Cons<07> WBuff ByteSize [+0028 +0056 +0112 +0224 +0448]
ios_R08BuSiz  equ  ios_R07BuSiz+LVSZ   ; LVAL: Read User Cons<08> WBuff ByteSize [+0032 +0064 +0128 +0256 +0512]
ios_R09BuSiz  equ  ios_R08BuSiz+LVSZ   ; LVAL: Read User Cons<09> WBuff ByteSize [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10BuSiz  equ  ios_R09BuSiz+LVSZ   ; LVAL: Read User File<10> WBuff ByteSize [+0040 +0080 +0160 +0320 +0640]
ios_R11BuSiz  equ  ios_R10BuSiz+LVSZ   ; LVAL: Read User File<11> WBuff ByteSize [+0044 +0088 +0176 +0352 +0704]
ios_R12BuSiz  equ  ios_R11BuSiz+LVSZ   ; LVAL: Read User File<12> WBuff ByteSize [+0048 +0096 +0192 +0384 +0768]
ios_R13BuSiz  equ  ios_R12BuSiz+LVSZ   ; LVAL: Read User File<13> WBuff ByteSize [+0052 +0104 +0208 +0416 +0832]
ios_R14BuSiz  equ  ios_R13BuSiz+LVSZ   ; LVAL: Read User File<14> WBuff ByteSize [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15BuSiz  equ  ios_R14BuSiz+LVSZ   ; LVAL: Read User File<15> WBuff ByteSize [+0060 +0120 +0240 +0480 +0960]
ios_R16BuSiz  equ  ios_R15BuSiz+LVSZ   ; LVAL: Read User File<16> WBuff ByteSize [+0064 +0128 +0256 +0512 +1024]
ios_R17BuSiz  equ  ios_R16BuSiz+LVSZ   ; LVAL: Read User File<17> WBuff ByteSize [+0068 +0136 +0272 +0544 +1088]
ios_R18BuSiz  equ  ios_R17BuSiz+LVSZ   ; LVAL: Read User File<18> WBuff ByteSize [+0072 +0144 +0288 +0576 +1152]
ios_R19BuSiz  equ  ios_R18BuSiz+LVSZ   ; LVAL: Read User File<19> WBuff ByteSize [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20BuSiz  equ  ios_R19BuSiz+LVSZ   ; LVAL: Read User Memo<20> WBuff ByteSize [+0080 +0160 +0320 +0640 +1280]
ios_R21BuSiz  equ  ios_R20BuSiz+LVSZ   ; LVAL: Read User Memo<21> WBuff ByteSize [+0084 +0168 +0336 +0672 +1344]
ios_R22BuSiz  equ  ios_R21BuSiz+LVSZ   ; LVAL: Read User Memo<22> WBuff ByteSize [+0088 +0176 +0352 +0704 +1408]
ios_R23BuSiz  equ  ios_R22BuSiz+LVSZ   ; LVAL: Read User Memo<23> WBuff ByteSize [+0092 +0184 +0368 +0736 +1472]
ios_R24BuSiz  equ  ios_R23BuSiz+LVSZ   ; LVAL: Read User Memo<24> WBuff ByteSize [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25BuSiz  equ  ios_R24BuSiz+LVSZ   ; LVAL: Read User Memo<25> WBuff ByteSize [+0100 +0200 +0400 +0800 +1600]
ios_R26BuSiz  equ  ios_R25BuSiz+LVSZ   ; LVAL: Read User Memo<26> WBuff ByteSize [+0104 +0208 +0416 +0832 +1664]
ios_R27BuSiz  equ  ios_R26BuSiz+LVSZ   ; LVAL: Read User Memo<27> WBuff ByteSize [+0108 +0216 +0432 +0864 +1728]
ios_R28BuSiz  equ  ios_R27BuSiz+LVSZ   ; LVAL: Read User Memo<28> WBuff ByteSize [+0112 +0224 +0448 +0896 +1792]
ios_R29BuSiz  equ  ios_R28BuSiz+LVSZ   ; LVAL: Read User Memo<29> WBuff ByteSize [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30BuSiz  equ  ios_R29BuSiz+LVSZ   ; LVAL: Read DsLb File<30> WBuff ByteSize [+0120 +0240 +0480 +0960 +1920]
ios_R31BuSiz  equ  ios_R30BuSiz+LVSZ   ; LVAL: Read DsLb Memo<31> WBuff ByteSize [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00BuOff  equ  ios_LNG+LVSZ*0128   ; LVAL: Writ StdO Console: BuffByteOffset [#0512 #1024 #2048 #4096 #8192]
ios_W01BuOff  equ  ios_W00BuOff+LVSZ   ; LVAL: Writ User Cons<01> BuffByteOffset [+0004 +0008 +0016 +0032 +0064]
ios_W02BuOff  equ  ios_W01BuOff+LVSZ   ; LVAL: Writ User Cons<02> BuffByteOffset [+0008 +0016 +0032 +0064 +0128]
ios_W03BuOff  equ  ios_W02BuOff+LVSZ   ; LVAL: Writ User Cons<03> BuffByteOffset [+0012 +0024 +0048 +0096 +0192]
ios_W04BuOff  equ  ios_W03BuOff+LVSZ   ; LVAL: Writ User Cons<04> BuffByteOffset [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05BuOff  equ  ios_W04BuOff+LVSZ   ; LVAL: Writ User Cons<05> BuffByteOffset [+0020 +0040 +0080 +0160 +0320]
ios_W06BuOff  equ  ios_W05BuOff+LVSZ   ; LVAL: Writ User Cons<06> BuffByteOffset [+0024 +0048 +0096 +0192 +0384]
ios_W07BuOff  equ  ios_W06BuOff+LVSZ   ; LVAL: Writ User Cons<07> BuffByteOffset [+0028 +0056 +0112 +0224 +0448]
ios_W08BuOff  equ  ios_W07BuOff+LVSZ   ; LVAL: Writ User Cons<08> BuffByteOffset [+0032 +0064 +0128 +0256 +0512]
ios_W09BuOff  equ  ios_W08BuOff+LVSZ   ; LVAL: Writ User Cons<09> BuffByteOffset [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10BuOff  equ  ios_W09BuOff+LVSZ   ; LVAL: Writ User File<10> BuffByteOffset [+0040 +0080 +0160 +0320 +0640]
ios_W11BuOff  equ  ios_W10BuOff+LVSZ   ; LVAL: Writ User File<11> BuffByteOffset [+0044 +0088 +0176 +0352 +0704]
ios_W12BuOff  equ  ios_W11BuOff+LVSZ   ; LVAL: Writ User File<12> BuffByteOffset [+0048 +0096 +0192 +0384 +0768]
ios_W13BuOff  equ  ios_W12BuOff+LVSZ   ; LVAL: Writ User File<13> BuffByteOffset [+0052 +0104 +0208 +0416 +0832]
ios_W14BuOff  equ  ios_W13BuOff+LVSZ   ; LVAL: Writ User File<14> BuffByteOffset [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15BuOff  equ  ios_W14BuOff+LVSZ   ; LVAL: Writ User File<15> BuffByteOffset [+0060 +0120 +0240 +0480 +0960]
ios_W16BuOff  equ  ios_W15BuOff+LVSZ   ; LVAL: Writ User File<16> BuffByteOffset [+0064 +0128 +0256 +0512 +1024]
ios_W17BuOff  equ  ios_W16BuOff+LVSZ   ; LVAL: Writ User File<17> BuffByteOffset [+0068 +0136 +0272 +0544 +1088]
ios_W18BuOff  equ  ios_W17BuOff+LVSZ   ; LVAL: Writ User File<18> BuffByteOffset [+0072 +0144 +0288 +0576 +1152]
ios_W19BuOff  equ  ios_W18BuOff+LVSZ   ; LVAL: Writ User File<19> BuffByteOffset [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20BuOff  equ  ios_W19BuOff+LVSZ   ; LVAL: Writ User Memo<20> BuffByteOffset [+0080 +0160 +0320 +0640 +1280]
ios_W21BuOff  equ  ios_W20BuOff+LVSZ   ; LVAL: Writ User Memo<21> BuffByteOffset [+0084 +0168 +0336 +0672 +1344]
ios_W22BuOff  equ  ios_W21BuOff+LVSZ   ; LVAL: Writ User Memo<22> BuffByteOffset [+0088 +0176 +0352 +0704 +1408]
ios_W23BuOff  equ  ios_W22BuOff+LVSZ   ; LVAL: Writ User Memo<23> BuffByteOffset [+0092 +0184 +0368 +0736 +1472]
ios_W24BuOff  equ  ios_W23BuOff+LVSZ   ; LVAL: Writ User Memo<24> BuffByteOffset [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25BuOff  equ  ios_W24BuOff+LVSZ   ; LVAL: Writ User Memo<25> BuffByteOffset [+0100 +0200 +0400 +0800 +1600]
ios_W26BuOff  equ  ios_W25BuOff+LVSZ   ; LVAL: Writ User Memo<26> BuffByteOffset [+0104 +0208 +0416 +0832 +1664]
ios_W27BuOff  equ  ios_W26BuOff+LVSZ   ; LVAL: Writ User Memo<27> BuffByteOffset [+0108 +0216 +0432 +0864 +1728]
ios_W28BuOff  equ  ios_W27BuOff+LVSZ   ; LVAL: Writ User Memo<28> BuffByteOffset [+0112 +0224 +0448 +0896 +1792]
ios_W29BuOff  equ  ios_W28BuOff+LVSZ   ; LVAL: Writ User Memo<29> BuffByteOffset [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30BuOff  equ  ios_W29BuOff+LVSZ   ; LVAL: Writ DsLb File<30> BuffByteOffset [+0120 +0240 +0480 +0960 +1920]
ios_W31BuOff  equ  ios_W30BuOff+LVSZ   ; LVAL: Writ DsLb Memo<31> BuffByteOffset [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00BuOff  equ  ios_LNG+LVSZ*0160   ; LVAL: Read StdO Console: BuffByteOffset [#0640 #1280 #2560 #5120 10240]
ios_R01BuOff  equ  ios_R00BuOff+LVSZ   ; LVAL: Read User Cons<01> BuffByteOffset [+0004 +0008 +0016 +0032 +0064]
ios_R02BuOff  equ  ios_R01BuOff+LVSZ   ; LVAL: Read User Cons<02> BuffByteOffset [+0008 +0016 +0032 +0064 +0128]
ios_R03BuOff  equ  ios_R02BuOff+LVSZ   ; LVAL: Read User Cons<03> BuffByteOffset [+0012 +0024 +0048 +0096 +0192]
ios_R04BuOff  equ  ios_R03BuOff+LVSZ   ; LVAL: Read User Cons<04> BuffByteOffset [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05BuOff  equ  ios_R04BuOff+LVSZ   ; LVAL: Read User Cons<05> BuffByteOffset [+0020 +0040 +0080 +0160 +0320]
ios_R06BuOff  equ  ios_R05BuOff+LVSZ   ; LVAL: Read User Cons<06> BuffByteOffset [+0024 +0048 +0096 +0192 +0384]
ios_R07BuOff  equ  ios_R06BuOff+LVSZ   ; LVAL: Read User Cons<07> BuffByteOffset [+0028 +0056 +0112 +0224 +0448]
ios_R08BuOff  equ  ios_R07BuOff+LVSZ   ; LVAL: Read User Cons<08> BuffByteOffset [+0032 +0064 +0128 +0256 +0512]
ios_R09BuOff  equ  ios_R08BuOff+LVSZ   ; LVAL: Read User Cons<09> BuffByteOffset [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10BuOff  equ  ios_R09BuOff+LVSZ   ; LVAL: Read User File<10> BuffByteOffset [+0040 +0080 +0160 +0320 +0640]
ios_R11BuOff  equ  ios_R10BuOff+LVSZ   ; LVAL: Read User File<11> BuffByteOffset [+0044 +0088 +0176 +0352 +0704]
ios_R12BuOff  equ  ios_R11BuOff+LVSZ   ; LVAL: Read User File<12> BuffByteOffset [+0048 +0096 +0192 +0384 +0768]
ios_R13BuOff  equ  ios_R12BuOff+LVSZ   ; LVAL: Read User File<13> BuffByteOffset [+0052 +0104 +0208 +0416 +0832]
ios_R14BuOff  equ  ios_R13BuOff+LVSZ   ; LVAL: Read User File<14> BuffByteOffset [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15BuOff  equ  ios_R14BuOff+LVSZ   ; LVAL: Read User File<15> BuffByteOffset [+0060 +0120 +0240 +0480 +0960]
ios_R16BuOff  equ  ios_R15BuOff+LVSZ   ; LVAL: Read User File<16> BuffByteOffset [+0064 +0128 +0256 +0512 +1024]
ios_R17BuOff  equ  ios_R16BuOff+LVSZ   ; LVAL: Read User File<17> BuffByteOffset [+0068 +0136 +0272 +0544 +1088]
ios_R18BuOff  equ  ios_R17BuOff+LVSZ   ; LVAL: Read User File<18> BuffByteOffset [+0072 +0144 +0288 +0576 +1152]
ios_R19BuOff  equ  ios_R18BuOff+LVSZ   ; LVAL: Read User File<19> BuffByteOffset [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20BuOff  equ  ios_R19BuOff+LVSZ   ; LVAL: Read User Memo<20> BuffByteOffset [+0080 +0160 +0320 +0640 +1280]
ios_R21BuOff  equ  ios_R20BuOff+LVSZ   ; LVAL: Read User Memo<21> BuffByteOffset [+0084 +0168 +0336 +0672 +1344]
ios_R22BuOff  equ  ios_R21BuOff+LVSZ   ; LVAL: Read User Memo<22> BuffByteOffset [+0088 +0176 +0352 +0704 +1408]
ios_R23BuOff  equ  ios_R22BuOff+LVSZ   ; LVAL: Read User Memo<23> BuffByteOffset [+0092 +0184 +0368 +0736 +1472]
ios_R24BuOff  equ  ios_R23BuOff+LVSZ   ; LVAL: Read User Memo<24> BuffByteOffset [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25BuOff  equ  ios_R24BuOff+LVSZ   ; LVAL: Read User Memo<25> BuffByteOffset [+0100 +0200 +0400 +0800 +1600]
ios_R26BuOff  equ  ios_R25BuOff+LVSZ   ; LVAL: Read User Memo<26> BuffByteOffset [+0104 +0208 +0416 +0832 +1664]
ios_R27BuOff  equ  ios_R26BuOff+LVSZ   ; LVAL: Read User Memo<27> BuffByteOffset [+0108 +0216 +0432 +0864 +1728]
ios_R28BuOff  equ  ios_R27BuOff+LVSZ   ; LVAL: Read User Memo<28> BuffByteOffset [+0112 +0224 +0448 +0896 +1792]
ios_R29BuOff  equ  ios_R28BuOff+LVSZ   ; LVAL: Read User Memo<29> BuffByteOffset [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30BuOff  equ  ios_R29BuOff+LVSZ   ; LVAL: Read DsLb File<30> BuffByteOffset [+0120 +0240 +0480 +0960 +1920]
ios_R31BuOff  equ  ios_R30BuOff+LVSZ   ; LVAL: Read DsLb Memo<31> BuffByteOffset [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00BuCnt  equ  ios_LNG+LVSZ*0192   ; LVAL: Writ StdO Console: BufCharCounter [#0768 #1536 #3072 #6144 12288]
ios_W01BuCnt  equ  ios_W00BuCnt+LVSZ   ; LVAL: Writ User Cons<01> BufCharCounter [+0004 +0008 +0016 +0032 +0064]
ios_W02BuCnt  equ  ios_W01BuCnt+LVSZ   ; LVAL: Writ User Cons<02> BufCharCounter [+0008 +0016 +0032 +0064 +0128]
ios_W03BuCnt  equ  ios_W02BuCnt+LVSZ   ; LVAL: Writ User Cons<03> BufCharCounter [+0012 +0024 +0048 +0096 +0192]
ios_W04BuCnt  equ  ios_W03BuCnt+LVSZ   ; LVAL: Writ User Cons<04> BufCharCounter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05BuCnt  equ  ios_W04BuCnt+LVSZ   ; LVAL: Writ User Cons<05> BufCharCounter [+0020 +0040 +0080 +0160 +0320]
ios_W06BuCnt  equ  ios_W05BuCnt+LVSZ   ; LVAL: Writ User Cons<06> BufCharCounter [+0024 +0048 +0096 +0192 +0384]
ios_W07BuCnt  equ  ios_W06BuCnt+LVSZ   ; LVAL: Writ User Cons<07> BufCharCounter [+0028 +0056 +0112 +0224 +0448]
ios_W08BuCnt  equ  ios_W07BuCnt+LVSZ   ; LVAL: Writ User Cons<08> BufCharCounter [+0032 +0064 +0128 +0256 +0512]
ios_W09BuCnt  equ  ios_W08BuCnt+LVSZ   ; LVAL: Writ User Cons<09> BufCharCounter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10BuCnt  equ  ios_W09BuCnt+LVSZ   ; LVAL: Writ User File<10> BufCharCounter [+0040 +0080 +0160 +0320 +0640]
ios_W11BuCnt  equ  ios_W10BuCnt+LVSZ   ; LVAL: Writ User File<11> BufCharCounter [+0044 +0088 +0176 +0352 +0704]
ios_W12BuCnt  equ  ios_W11BuCnt+LVSZ   ; LVAL: Writ User File<12> BufCharCounter [+0048 +0096 +0192 +0384 +0768]
ios_W13BuCnt  equ  ios_W12BuCnt+LVSZ   ; LVAL: Writ User File<13> BufCharCounter [+0052 +0104 +0208 +0416 +0832]
ios_W14BuCnt  equ  ios_W13BuCnt+LVSZ   ; LVAL: Writ User File<14> BufCharCounter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15BuCnt  equ  ios_W14BuCnt+LVSZ   ; LVAL: Writ User File<15> BufCharCounter [+0060 +0120 +0240 +0480 +0960]
ios_W16BuCnt  equ  ios_W15BuCnt+LVSZ   ; LVAL: Writ User File<16> BufCharCounter [+0064 +0128 +0256 +0512 +1024]
ios_W17BuCnt  equ  ios_W16BuCnt+LVSZ   ; LVAL: Writ User File<17> BufCharCounter [+0068 +0136 +0272 +0544 +1088]
ios_W18BuCnt  equ  ios_W17BuCnt+LVSZ   ; LVAL: Writ User File<18> BufCharCounter [+0072 +0144 +0288 +0576 +1152]
ios_W19BuCnt  equ  ios_W18BuCnt+LVSZ   ; LVAL: Writ User File<19> BufCharCounter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20BuCnt  equ  ios_W19BuCnt+LVSZ   ; LVAL: Writ User Memo<20> BufCharCounter [+0080 +0160 +0320 +0640 +1280]
ios_W21BuCnt  equ  ios_W20BuCnt+LVSZ   ; LVAL: Writ User Memo<21> BufCharCounter [+0084 +0168 +0336 +0672 +1344]
ios_W22BuCnt  equ  ios_W21BuCnt+LVSZ   ; LVAL: Writ User Memo<22> BufCharCounter [+0088 +0176 +0352 +0704 +1408]
ios_W23BuCnt  equ  ios_W22BuCnt+LVSZ   ; LVAL: Writ User Memo<23> BufCharCounter [+0092 +0184 +0368 +0736 +1472]
ios_W24BuCnt  equ  ios_W23BuCnt+LVSZ   ; LVAL: Writ User Memo<24> BufCharCounter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25BuCnt  equ  ios_W24BuCnt+LVSZ   ; LVAL: Writ User Memo<25> BufCharCounter [+0100 +0200 +0400 +0800 +1600]
ios_W26BuCnt  equ  ios_W25BuCnt+LVSZ   ; LVAL: Writ User Memo<26> BufCharCounter [+0104 +0208 +0416 +0832 +1664]
ios_W27BuCnt  equ  ios_W26BuCnt+LVSZ   ; LVAL: Writ User Memo<27> BufCharCounter [+0108 +0216 +0432 +0864 +1728]
ios_W28BuCnt  equ  ios_W27BuCnt+LVSZ   ; LVAL: Writ User Memo<28> BufCharCounter [+0112 +0224 +0448 +0896 +1792]
ios_W29BuCnt  equ  ios_W28BuCnt+LVSZ   ; LVAL: Writ User Memo<29> BufCharCounter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30BuCnt  equ  ios_W29BuCnt+LVSZ   ; LVAL: Writ DsLb File<30> BufCharCounter [+0120 +0240 +0480 +0960 +1920]
ios_W31BuCnt  equ  ios_W30BuCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> BufCharCounter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00BuCnt  equ  ios_LNG+LVSZ*0224   ; LVAL: Read StdO Console: BufCharCounter [#0896 #1792 #3584 #7168 14336]
ios_R01BuCnt  equ  ios_R00BuCnt+LVSZ   ; LVAL: Read User Cons<01> BufCharCounter [+0004 +0008 +0016 +0032 +0064]
ios_R02BuCnt  equ  ios_R01BuCnt+LVSZ   ; LVAL: Read User Cons<02> BufCharCounter [+0008 +0016 +0032 +0064 +0128]
ios_R03BuCnt  equ  ios_R02BuCnt+LVSZ   ; LVAL: Read User Cons<03> BufCharCounter [+0012 +0024 +0048 +0096 +0192]
ios_R04BuCnt  equ  ios_R03BuCnt+LVSZ   ; LVAL: Read User Cons<04> BufCharCounter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05BuCnt  equ  ios_R04BuCnt+LVSZ   ; LVAL: Read User Cons<05> BufCharCounter [+0020 +0040 +0080 +0160 +0320]
ios_R06BuCnt  equ  ios_R05BuCnt+LVSZ   ; LVAL: Read User Cons<06> BufCharCounter [+0024 +0048 +0096 +0192 +0384]
ios_R07BuCnt  equ  ios_R06BuCnt+LVSZ   ; LVAL: Read User Cons<07> BufCharCounter [+0028 +0056 +0112 +0224 +0448]
ios_R08BuCnt  equ  ios_R07BuCnt+LVSZ   ; LVAL: Read User Cons<08> BufCharCounter [+0032 +0064 +0128 +0256 +0512]
ios_R09BuCnt  equ  ios_R08BuCnt+LVSZ   ; LVAL: Read User Cons<09> BufCharCounter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10BuCnt  equ  ios_R09BuCnt+LVSZ   ; LVAL: Read User File<10> BufCharCounter [+0040 +0080 +0160 +0320 +0640]
ios_R11BuCnt  equ  ios_R10BuCnt+LVSZ   ; LVAL: Read User File<11> BufCharCounter [+0044 +0088 +0176 +0352 +0704]
ios_R12BuCnt  equ  ios_R11BuCnt+LVSZ   ; LVAL: Read User File<12> BufCharCounter [+0048 +0096 +0192 +0384 +0768]
ios_R13BuCnt  equ  ios_R12BuCnt+LVSZ   ; LVAL: Read User File<13> BufCharCounter [+0052 +0104 +0208 +0416 +0832]
ios_R14BuCnt  equ  ios_R13BuCnt+LVSZ   ; LVAL: Read User File<14> BufCharCounter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15BuCnt  equ  ios_R14BuCnt+LVSZ   ; LVAL: Read User File<15> BufCharCounter [+0060 +0120 +0240 +0480 +0960]
ios_R16BuCnt  equ  ios_R15BuCnt+LVSZ   ; LVAL: Read User File<16> BufCharCounter [+0064 +0128 +0256 +0512 +1024]
ios_R17BuCnt  equ  ios_R16BuCnt+LVSZ   ; LVAL: Read User File<17> BufCharCounter [+0068 +0136 +0272 +0544 +1088]
ios_R18BuCnt  equ  ios_R17BuCnt+LVSZ   ; LVAL: Read User File<18> BufCharCounter [+0072 +0144 +0288 +0576 +1152]
ios_R19BuCnt  equ  ios_R18BuCnt+LVSZ   ; LVAL: Read User File<19> BufCharCounter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20BuCnt  equ  ios_R19BuCnt+LVSZ   ; LVAL: Read User Memo<20> BufCharCounter [+0080 +0160 +0320 +0640 +1280]
ios_R21BuCnt  equ  ios_R20BuCnt+LVSZ   ; LVAL: Read User Memo<21> BufCharCounter [+0084 +0168 +0336 +0672 +1344]
ios_R22BuCnt  equ  ios_R21BuCnt+LVSZ   ; LVAL: Read User Memo<22> BufCharCounter [+0088 +0176 +0352 +0704 +1408]
ios_R23BuCnt  equ  ios_R22BuCnt+LVSZ   ; LVAL: Read User Memo<23> BufCharCounter [+0092 +0184 +0368 +0736 +1472]
ios_R24BuCnt  equ  ios_R23BuCnt+LVSZ   ; LVAL: Read User Memo<24> BufCharCounter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25BuCnt  equ  ios_R24BuCnt+LVSZ   ; LVAL: Read User Memo<25> BufCharCounter [+0100 +0200 +0400 +0800 +1600]
ios_R26BuCnt  equ  ios_R25BuCnt+LVSZ   ; LVAL: Read User Memo<26> BufCharCounter [+0104 +0208 +0416 +0832 +1664]
ios_R27BuCnt  equ  ios_R26BuCnt+LVSZ   ; LVAL: Read User Memo<27> BufCharCounter [+0108 +0216 +0432 +0864 +1728]
ios_R28BuCnt  equ  ios_R27BuCnt+LVSZ   ; LVAL: Read User Memo<28> BufCharCounter [+0112 +0224 +0448 +0896 +1792]
ios_R29BuCnt  equ  ios_R28BuCnt+LVSZ   ; LVAL: Read User Memo<29> BufCharCounter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30BuCnt  equ  ios_R29BuCnt+LVSZ   ; LVAL: Read DsLb File<30> BufCharCounter [+0120 +0240 +0480 +0960 +1920]
ios_R31BuCnt  equ  ios_R30BuCnt+LVSZ   ; LVAL: Read DsLb Memo<31> BufCharCounter [+0124 +0248 +0496 +0992 +1984]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_W00FiHnd  equ  ios_LNG+LVSZ*0256   ; HNDL: Writ StdO Console: SystFileHandle [#1024 #2048 #4096 #8192 16384]
ios_W01FiHnd  equ  ios_W00FiHnd+LVSZ   ; HNDL: Writ User Cons<01> SystFileHandle [+0004 +0008 +0016 +0032 +0064]
ios_W02FiHnd  equ  ios_W01FiHnd+LVSZ   ; HNDL: Writ User Cons<02> SystFileHandle [+0008 +0016 +0032 +0064 +0128]
ios_W03FiHnd  equ  ios_W02FiHnd+LVSZ   ; HNDL: Writ User Cons<03> SystFileHandle [+0012 +0024 +0048 +0096 +0192]
ios_W04FiHnd  equ  ios_W03FiHnd+LVSZ   ; HNDL: Writ User Cons<04> SystFileHandle [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05FiHnd  equ  ios_W04FiHnd+LVSZ   ; HNDL: Writ User Cons<05> SystFileHandle [+0020 +0040 +0080 +0160 +0320]
ios_W06FiHnd  equ  ios_W05FiHnd+LVSZ   ; HNDL: Writ User Cons<06> SystFileHandle [+0024 +0048 +0096 +0192 +0384]
ios_W07FiHnd  equ  ios_W06FiHnd+LVSZ   ; HNDL: Writ User Cons<07> SystFileHandle [+0028 +0056 +0112 +0224 +0448]
ios_W08FiHnd  equ  ios_W07FiHnd+LVSZ   ; HNDL: Writ User Cons<08> SystFileHandle [+0032 +0064 +0128 +0256 +0512]
ios_W09FiHnd  equ  ios_W08FiHnd+LVSZ   ; HNDL: Writ User Cons<09> SystFileHandle [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10FiHnd  equ  ios_W09FiHnd+LVSZ   ; HNDL: Writ User File<10> SystFileHandle [+0040 +0080 +0160 +0320 +0640]
ios_W11FiHnd  equ  ios_W10FiHnd+LVSZ   ; HNDL: Writ User File<11> SystFileHandle [+0044 +0088 +0176 +0352 +0704]
ios_W12FiHnd  equ  ios_W11FiHnd+LVSZ   ; HNDL: Writ User File<12> SystFileHandle [+0048 +0096 +0192 +0384 +0768]
ios_W13FiHnd  equ  ios_W12FiHnd+LVSZ   ; HNDL: Writ User File<13> SystFileHandle [+0052 +0104 +0208 +0416 +0832]
ios_W14FiHnd  equ  ios_W13FiHnd+LVSZ   ; HNDL: Writ User File<14> SystFileHandle [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15FiHnd  equ  ios_W14FiHnd+LVSZ   ; HNDL: Writ User File<15> SystFileHandle [+0060 +0120 +0240 +0480 +0960]
ios_W16FiHnd  equ  ios_W15FiHnd+LVSZ   ; HNDL: Writ User File<16> SystFileHandle [+0064 +0128 +0256 +0512 +1024]
ios_W17FiHnd  equ  ios_W16FiHnd+LVSZ   ; HNDL: Writ User File<17> SystFileHandle [+0068 +0136 +0272 +0544 +1088]
ios_W18FiHnd  equ  ios_W17FiHnd+LVSZ   ; HNDL: Writ User File<18> SystFileHandle [+0072 +0144 +0288 +0576 +1152]
ios_W19FiHnd  equ  ios_W18FiHnd+LVSZ   ; HNDL: Writ User File<19> SystFileHandle [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20FiHnd  equ  ios_W19FiHnd+LVSZ   ; HNDL: Writ User Memo<20> SystFileHandle [+0080 +0160 +0320 +0640 +1280]
ios_W21FiHnd  equ  ios_W20FiHnd+LVSZ   ; HNDL: Writ User Memo<21> SystFileHandle [+0084 +0168 +0336 +0672 +1344]
ios_W22FiHnd  equ  ios_W21FiHnd+LVSZ   ; HNDL: Writ User Memo<22> SystFileHandle [+0088 +0176 +0352 +0704 +1408]
ios_W23FiHnd  equ  ios_W22FiHnd+LVSZ   ; HNDL: Writ User Memo<23> SystFileHandle [+0092 +0184 +0368 +0736 +1472]
ios_W24FiHnd  equ  ios_W23FiHnd+LVSZ   ; HNDL: Writ User Memo<24> SystFileHandle [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25FiHnd  equ  ios_W24FiHnd+LVSZ   ; HNDL: Writ User Memo<25> SystFileHandle [+0100 +0200 +0400 +0800 +1600]
ios_W26FiHnd  equ  ios_W25FiHnd+LVSZ   ; HNDL: Writ User Memo<26> SystFileHandle [+0104 +0208 +0416 +0832 +1664]
ios_W27FiHnd  equ  ios_W26FiHnd+LVSZ   ; HNDL: Writ User Memo<27> SystFileHandle [+0108 +0216 +0432 +0864 +1728]
ios_W28FiHnd  equ  ios_W27FiHnd+LVSZ   ; HNDL: Writ User Memo<28> SystFileHandle [+0112 +0224 +0448 +0896 +1792]
ios_W29FiHnd  equ  ios_W28FiHnd+LVSZ   ; HNDL: Writ User Memo<29> SystFileHandle [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30FiHnd  equ  ios_W29FiHnd+LVSZ   ; HNDL: Writ DsLb File<30> SystFileHandle [+0120 +0240 +0480 +0960 +1920]
ios_W31FiHnd  equ  ios_W30FiHnd+LVSZ   ; HNDL: Writ DsLb Memo<31> SystFileHandle [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00FiHnd  equ  ios_LNG+LVSZ*0288   ; HNDL: Read StdO Console: SystFileHandle [#1152 #2304 #4608 #9216 18432]
ios_R01FiHnd  equ  ios_R00FiHnd+LVSZ   ; HNDL: Read User Cons<01> SystFileHandle [+0004 +0008 +0016 +0032 +0064]
ios_R02FiHnd  equ  ios_R01FiHnd+LVSZ   ; HNDL: Read User Cons<02> SystFileHandle [+0008 +0016 +0032 +0064 +0128]
ios_R03FiHnd  equ  ios_R02FiHnd+LVSZ   ; HNDL: Read User Cons<03> SystFileHandle [+0012 +0024 +0048 +0096 +0192]
ios_R04FiHnd  equ  ios_R03FiHnd+LVSZ   ; HNDL: Read User Cons<04> SystFileHandle [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05FiHnd  equ  ios_R04FiHnd+LVSZ   ; HNDL: Read User Cons<05> SystFileHandle [+0020 +0040 +0080 +0160 +0320]
ios_R06FiHnd  equ  ios_R05FiHnd+LVSZ   ; HNDL: Read User Cons<06> SystFileHandle [+0024 +0048 +0096 +0192 +0384]
ios_R07FiHnd  equ  ios_R06FiHnd+LVSZ   ; HNDL: Read User Cons<07> SystFileHandle [+0028 +0056 +0112 +0224 +0448]
ios_R08FiHnd  equ  ios_R07FiHnd+LVSZ   ; HNDL: Read User Cons<08> SystFileHandle [+0032 +0064 +0128 +0256 +0512]
ios_R09FiHnd  equ  ios_R08FiHnd+LVSZ   ; HNDL: Read User Cons<09> SystFileHandle [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10FiHnd  equ  ios_R09FiHnd+LVSZ   ; HNDL: Read User File<10> SystFileHandle [+0040 +0080 +0160 +0320 +0640]
ios_R11FiHnd  equ  ios_R10FiHnd+LVSZ   ; HNDL: Read User File<11> SystFileHandle [+0044 +0088 +0176 +0352 +0704]
ios_R12FiHnd  equ  ios_R11FiHnd+LVSZ   ; HNDL: Read User File<12> SystFileHandle [+0048 +0096 +0192 +0384 +0768]
ios_R13FiHnd  equ  ios_R12FiHnd+LVSZ   ; HNDL: Read User File<13> SystFileHandle [+0052 +0104 +0208 +0416 +0832]
ios_R14FiHnd  equ  ios_R13FiHnd+LVSZ   ; HNDL: Read User File<14> SystFileHandle [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15FiHnd  equ  ios_R14FiHnd+LVSZ   ; HNDL: Read User File<15> SystFileHandle [+0060 +0120 +0240 +0480 +0960]
ios_R16FiHnd  equ  ios_R15FiHnd+LVSZ   ; HNDL: Read User File<16> SystFileHandle [+0064 +0128 +0256 +0512 +1024]
ios_R17FiHnd  equ  ios_R16FiHnd+LVSZ   ; HNDL: Read User File<17> SystFileHandle [+0068 +0136 +0272 +0544 +1088]
ios_R18FiHnd  equ  ios_R17FiHnd+LVSZ   ; HNDL: Read User File<18> SystFileHandle [+0072 +0144 +0288 +0576 +1152]
ios_R19FiHnd  equ  ios_R18FiHnd+LVSZ   ; HNDL: Read User File<19> SystFileHandle [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20FiHnd  equ  ios_R19FiHnd+LVSZ   ; HNDL: Read User Memo<20> SystFileHandle [+0080 +0160 +0320 +0640 +1280]
ios_R21FiHnd  equ  ios_R20FiHnd+LVSZ   ; HNDL: Read User Memo<21> SystFileHandle [+0084 +0168 +0336 +0672 +1344]
ios_R22FiHnd  equ  ios_R21FiHnd+LVSZ   ; HNDL: Read User Memo<22> SystFileHandle [+0088 +0176 +0352 +0704 +1408]
ios_R23FiHnd  equ  ios_R22FiHnd+LVSZ   ; HNDL: Read User Memo<23> SystFileHandle [+0092 +0184 +0368 +0736 +1472]
ios_R24FiHnd  equ  ios_R23FiHnd+LVSZ   ; HNDL: Read User Memo<24> SystFileHandle [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25FiHnd  equ  ios_R24FiHnd+LVSZ   ; HNDL: Read User Memo<25> SystFileHandle [+0100 +0200 +0400 +0800 +1600]
ios_R26FiHnd  equ  ios_R25FiHnd+LVSZ   ; HNDL: Read User Memo<26> SystFileHandle [+0104 +0208 +0416 +0832 +1664]
ios_R27FiHnd  equ  ios_R26FiHnd+LVSZ   ; HNDL: Read User Memo<27> SystFileHandle [+0108 +0216 +0432 +0864 +1728]
ios_R28FiHnd  equ  ios_R27FiHnd+LVSZ   ; HNDL: Read User Memo<28> SystFileHandle [+0112 +0224 +0448 +0896 +1792]
ios_R29FiHnd  equ  ios_R28FiHnd+LVSZ   ; HNDL: Read User Memo<29> SystFileHandle [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30FiHnd  equ  ios_R29FiHnd+LVSZ   ; HNDL: Read DsLb File<30> SystFileHandle [+0120 +0240 +0480 +0960 +1920]
ios_R31FiHnd  equ  ios_R30FiHnd+LVSZ   ; HNDL: Read DsLb Memo<31> SystFileHandle [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00FiSiz  equ  ios_LNG+LVSZ*0320   ; LVAL: Writ StdO Console: File? ByteSize [#1280 #2560 #5120 10240 20480]
ios_W01FiSiz  equ  ios_W00FiSiz+LVSZ   ; LVAL: Writ User Cons<01> File? ByteSize [+0004 +0008 +0016 +0032 +0064]
ios_W02FiSiz  equ  ios_W01FiSiz+LVSZ   ; LVAL: Writ User Cons<02> File? ByteSize [+0008 +0016 +0032 +0064 +0128]
ios_W03FiSiz  equ  ios_W02FiSiz+LVSZ   ; LVAL: Writ User Cons<03> File? ByteSize [+0012 +0024 +0048 +0096 +0192]
ios_W04FiSiz  equ  ios_W03FiSiz+LVSZ   ; LVAL: Writ User Cons<04> File? ByteSize [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05FiSiz  equ  ios_W04FiSiz+LVSZ   ; LVAL: Writ User Cons<05> File? ByteSize [+0020 +0040 +0080 +0160 +0320]
ios_W06FiSiz  equ  ios_W05FiSiz+LVSZ   ; LVAL: Writ User Cons<06> File? ByteSize [+0024 +0048 +0096 +0192 +0384]
ios_W07FiSiz  equ  ios_W06FiSiz+LVSZ   ; LVAL: Writ User Cons<07> File? ByteSize [+0028 +0056 +0112 +0224 +0448]
ios_W08FiSiz  equ  ios_W07FiSiz+LVSZ   ; LVAL: Writ User Cons<08> File? ByteSize [+0032 +0064 +0128 +0256 +0512]
ios_W09FiSiz  equ  ios_W08FiSiz+LVSZ   ; LVAL: Writ User Cons<09> File? ByteSize [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10FiSiz  equ  ios_W09FiSiz+LVSZ   ; LVAL: Writ User File<10> File? ByteSize [+0040 +0080 +0160 +0320 +0640]
ios_W11FiSiz  equ  ios_W10FiSiz+LVSZ   ; LVAL: Writ User File<11> File? ByteSize [+0044 +0088 +0176 +0352 +0704]
ios_W12FiSiz  equ  ios_W11FiSiz+LVSZ   ; LVAL: Writ User File<12> File? ByteSize [+0048 +0096 +0192 +0384 +0768]
ios_W13FiSiz  equ  ios_W12FiSiz+LVSZ   ; LVAL: Writ User File<13> File? ByteSize [+0052 +0104 +0208 +0416 +0832]
ios_W14FiSiz  equ  ios_W13FiSiz+LVSZ   ; LVAL: Writ User File<14> File? ByteSize [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15FiSiz  equ  ios_W14FiSiz+LVSZ   ; LVAL: Writ User File<15> File? ByteSize [+0060 +0120 +0240 +0480 +0960]
ios_W16FiSiz  equ  ios_W15FiSiz+LVSZ   ; LVAL: Writ User File<16> File? ByteSize [+0064 +0128 +0256 +0512 +1024]
ios_W17FiSiz  equ  ios_W16FiSiz+LVSZ   ; LVAL: Writ User File<17> File? ByteSize [+0068 +0136 +0272 +0544 +1088]
ios_W18FiSiz  equ  ios_W17FiSiz+LVSZ   ; LVAL: Writ User File<18> File? ByteSize [+0072 +0144 +0288 +0576 +1152]
ios_W19FiSiz  equ  ios_W18FiSiz+LVSZ   ; LVAL: Writ User File<19> File? ByteSize [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20FiSiz  equ  ios_W19FiSiz+LVSZ   ; LVAL: Writ User Memo<20> File? ByteSize [+0080 +0160 +0320 +0640 +1280]
ios_W21FiSiz  equ  ios_W20FiSiz+LVSZ   ; LVAL: Writ User Memo<21> File? ByteSize [+0084 +0168 +0336 +0672 +1344]
ios_W22FiSiz  equ  ios_W21FiSiz+LVSZ   ; LVAL: Writ User Memo<22> File? ByteSize [+0088 +0176 +0352 +0704 +1408]
ios_W23FiSiz  equ  ios_W22FiSiz+LVSZ   ; LVAL: Writ User Memo<23> File? ByteSize [+0092 +0184 +0368 +0736 +1472]
ios_W24FiSiz  equ  ios_W23FiSiz+LVSZ   ; LVAL: Writ User Memo<24> File? ByteSize [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25FiSiz  equ  ios_W24FiSiz+LVSZ   ; LVAL: Writ User Memo<25> File? ByteSize [+0100 +0200 +0400 +0800 +1600]
ios_W26FiSiz  equ  ios_W25FiSiz+LVSZ   ; LVAL: Writ User Memo<26> File? ByteSize [+0104 +0208 +0416 +0832 +1664]
ios_W27FiSiz  equ  ios_W26FiSiz+LVSZ   ; LVAL: Writ User Memo<27> File? ByteSize [+0108 +0216 +0432 +0864 +1728]
ios_W28FiSiz  equ  ios_W27FiSiz+LVSZ   ; LVAL: Writ User Memo<28> File? ByteSize [+0112 +0224 +0448 +0896 +1792]
ios_W29FiSiz  equ  ios_W28FiSiz+LVSZ   ; LVAL: Writ User Memo<29> File? ByteSize [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30FiSiz  equ  ios_W29FiSiz+LVSZ   ; LVAL: Writ DsLb File<30> File? ByteSize [+0120 +0240 +0480 +0960 +1920]
ios_W31FiSiz  equ  ios_W30FiSiz+LVSZ   ; LVAL: Writ DsLb Memo<31> File? ByteSize [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00FiSiz  equ  ios_LNG+LVSZ*0352   ; LVAL: Read StdO Console: File? ByteSize [#1408 #2816 #5632 11264 22528]
ios_R01FiSiz  equ  ios_R00FiSiz+LVSZ   ; LVAL: Read User Cons<01> File? ByteSize [+0004 +0008 +0016 +0032 +0064]
ios_R02FiSiz  equ  ios_R01FiSiz+LVSZ   ; LVAL: Read User Cons<02> File? ByteSize [+0008 +0016 +0032 +0064 +0128]
ios_R03FiSiz  equ  ios_R02FiSiz+LVSZ   ; LVAL: Read User Cons<03> File? ByteSize [+0012 +0024 +0048 +0096 +0192]
ios_R04FiSiz  equ  ios_R03FiSiz+LVSZ   ; LVAL: Read User Cons<04> File? ByteSize [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05FiSiz  equ  ios_R04FiSiz+LVSZ   ; LVAL: Read User Cons<05> File? ByteSize [+0020 +0040 +0080 +0160 +0320]
ios_R06FiSiz  equ  ios_R05FiSiz+LVSZ   ; LVAL: Read User Cons<06> File? ByteSize [+0024 +0048 +0096 +0192 +0384]
ios_R07FiSiz  equ  ios_R06FiSiz+LVSZ   ; LVAL: Read User Cons<07> File? ByteSize [+0028 +0056 +0112 +0224 +0448]
ios_R08FiSiz  equ  ios_R07FiSiz+LVSZ   ; LVAL: Read User Cons<08> File? ByteSize [+0032 +0064 +0128 +0256 +0512]
ios_R09FiSiz  equ  ios_R08FiSiz+LVSZ   ; LVAL: Read User Cons<09> File? ByteSize [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10FiSiz  equ  ios_R09FiSiz+LVSZ   ; LVAL: Read User File<10> File? ByteSize [+0040 +0080 +0160 +0320 +0640]
ios_R11FiSiz  equ  ios_R10FiSiz+LVSZ   ; LVAL: Read User File<11> File? ByteSize [+0044 +0088 +0176 +0352 +0704]
ios_R12FiSiz  equ  ios_R11FiSiz+LVSZ   ; LVAL: Read User File<12> File? ByteSize [+0048 +0096 +0192 +0384 +0768]
ios_R13FiSiz  equ  ios_R12FiSiz+LVSZ   ; LVAL: Read User File<13> File? ByteSize [+0052 +0104 +0208 +0416 +0832]
ios_R14FiSiz  equ  ios_R13FiSiz+LVSZ   ; LVAL: Read User File<14> File? ByteSize [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15FiSiz  equ  ios_R14FiSiz+LVSZ   ; LVAL: Read User File<15> File? ByteSize [+0060 +0120 +0240 +0480 +0960]
ios_R16FiSiz  equ  ios_R15FiSiz+LVSZ   ; LVAL: Read User File<16> File? ByteSize [+0064 +0128 +0256 +0512 +1024]
ios_R17FiSiz  equ  ios_R16FiSiz+LVSZ   ; LVAL: Read User File<17> File? ByteSize [+0068 +0136 +0272 +0544 +1088]
ios_R18FiSiz  equ  ios_R17FiSiz+LVSZ   ; LVAL: Read User File<18> File? ByteSize [+0072 +0144 +0288 +0576 +1152]
ios_R19FiSiz  equ  ios_R18FiSiz+LVSZ   ; LVAL: Read User File<19> File? ByteSize [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20FiSiz  equ  ios_R19FiSiz+LVSZ   ; LVAL: Read User Memo<20> File? ByteSize [+0080 +0160 +0320 +0640 +1280]
ios_R21FiSiz  equ  ios_R20FiSiz+LVSZ   ; LVAL: Read User Memo<21> File? ByteSize [+0084 +0168 +0336 +0672 +1344]
ios_R22FiSiz  equ  ios_R21FiSiz+LVSZ   ; LVAL: Read User Memo<22> File? ByteSize [+0088 +0176 +0352 +0704 +1408]
ios_R23FiSiz  equ  ios_R22FiSiz+LVSZ   ; LVAL: Read User Memo<23> File? ByteSize [+0092 +0184 +0368 +0736 +1472]
ios_R24FiSiz  equ  ios_R23FiSiz+LVSZ   ; LVAL: Read User Memo<24> File? ByteSize [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25FiSiz  equ  ios_R24FiSiz+LVSZ   ; LVAL: Read User Memo<25> File? ByteSize [+0100 +0200 +0400 +0800 +1600]
ios_R26FiSiz  equ  ios_R25FiSiz+LVSZ   ; LVAL: Read User Memo<26> File? ByteSize [+0104 +0208 +0416 +0832 +1664]
ios_R27FiSiz  equ  ios_R26FiSiz+LVSZ   ; LVAL: Read User Memo<27> File? ByteSize [+0108 +0216 +0432 +0864 +1728]
ios_R28FiSiz  equ  ios_R27FiSiz+LVSZ   ; LVAL: Read User Memo<28> File? ByteSize [+0112 +0224 +0448 +0896 +1792]
ios_R29FiSiz  equ  ios_R28FiSiz+LVSZ   ; LVAL: Read User Memo<29> File? ByteSize [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30FiSiz  equ  ios_R29FiSiz+LVSZ   ; LVAL: Read DsLb File<30> File? ByteSize [+0120 +0240 +0480 +0960 +1920]
ios_R31FiSiz  equ  ios_R30FiSiz+LVSZ   ; LVAL: Read DsLb Memo<31> File? ByteSize [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00FiOff  equ  ios_LNG+LVSZ*0384   ; LVAL: Writ StdO Console: FileByteOffset [#1536 #3072 #6144 12288 24576]
ios_W01FiOff  equ  ios_W00FiOff+LVSZ   ; LVAL: Writ User Cons<01> FileByteOffset [+0004 +0008 +0016 +0032 +0064]
ios_W02FiOff  equ  ios_W01FiOff+LVSZ   ; LVAL: Writ User Cons<02> FileByteOffset [+0008 +0016 +0032 +0064 +0128]
ios_W03FiOff  equ  ios_W02FiOff+LVSZ   ; LVAL: Writ User Cons<03> FileByteOffset [+0012 +0024 +0048 +0096 +0192]
ios_W04FiOff  equ  ios_W03FiOff+LVSZ   ; LVAL: Writ User Cons<04> FileByteOffset [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05FiOff  equ  ios_W04FiOff+LVSZ   ; LVAL: Writ User Cons<05> FileByteOffset [+0020 +0040 +0080 +0160 +0320]
ios_W06FiOff  equ  ios_W05FiOff+LVSZ   ; LVAL: Writ User Cons<06> FileByteOffset [+0024 +0048 +0096 +0192 +0384]
ios_W07FiOff  equ  ios_W06FiOff+LVSZ   ; LVAL: Writ User Cons<07> FileByteOffset [+0028 +0056 +0112 +0224 +0448]
ios_W08FiOff  equ  ios_W07FiOff+LVSZ   ; LVAL: Writ User Cons<08> FileByteOffset [+0032 +0064 +0128 +0256 +0512]
ios_W09FiOff  equ  ios_W08FiOff+LVSZ   ; LVAL: Writ User Cons<09> FileByteOffset [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10FiOff  equ  ios_W09FiOff+LVSZ   ; LVAL: Writ User File<10> FileByteOffset [+0040 +0080 +0160 +0320 +0640]
ios_W11FiOff  equ  ios_W10FiOff+LVSZ   ; LVAL: Writ User File<11> FileByteOffset [+0044 +0088 +0176 +0352 +0704]
ios_W12FiOff  equ  ios_W11FiOff+LVSZ   ; LVAL: Writ User File<12> FileByteOffset [+0048 +0096 +0192 +0384 +0768]
ios_W13FiOff  equ  ios_W12FiOff+LVSZ   ; LVAL: Writ User File<13> FileByteOffset [+0052 +0104 +0208 +0416 +0832]
ios_W14FiOff  equ  ios_W13FiOff+LVSZ   ; LVAL: Writ User File<14> FileByteOffset [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15FiOff  equ  ios_W14FiOff+LVSZ   ; LVAL: Writ User File<15> FileByteOffset [+0060 +0120 +0240 +0480 +0960]
ios_W16FiOff  equ  ios_W15FiOff+LVSZ   ; LVAL: Writ User File<16> FileByteOffset [+0064 +0128 +0256 +0512 +1024]
ios_W17FiOff  equ  ios_W16FiOff+LVSZ   ; LVAL: Writ User File<17> FileByteOffset [+0068 +0136 +0272 +0544 +1088]
ios_W18FiOff  equ  ios_W17FiOff+LVSZ   ; LVAL: Writ User File<18> FileByteOffset [+0072 +0144 +0288 +0576 +1152]
ios_W19FiOff  equ  ios_W18FiOff+LVSZ   ; LVAL: Writ User File<19> FileByteOffset [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20FiOff  equ  ios_W19FiOff+LVSZ   ; LVAL: Writ User Memo<20> FileByteOffset [+0080 +0160 +0320 +0640 +1280]
ios_W21FiOff  equ  ios_W20FiOff+LVSZ   ; LVAL: Writ User Memo<21> FileByteOffset [+0084 +0168 +0336 +0672 +1344]
ios_W22FiOff  equ  ios_W21FiOff+LVSZ   ; LVAL: Writ User Memo<22> FileByteOffset [+0088 +0176 +0352 +0704 +1408]
ios_W23FiOff  equ  ios_W22FiOff+LVSZ   ; LVAL: Writ User Memo<23> FileByteOffset [+0092 +0184 +0368 +0736 +1472]
ios_W24FiOff  equ  ios_W23FiOff+LVSZ   ; LVAL: Writ User Memo<24> FileByteOffset [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25FiOff  equ  ios_W24FiOff+LVSZ   ; LVAL: Writ User Memo<25> FileByteOffset [+0100 +0200 +0400 +0800 +1600]
ios_W26FiOff  equ  ios_W25FiOff+LVSZ   ; LVAL: Writ User Memo<26> FileByteOffset [+0104 +0208 +0416 +0832 +1664]
ios_W27FiOff  equ  ios_W26FiOff+LVSZ   ; LVAL: Writ User Memo<27> FileByteOffset [+0108 +0216 +0432 +0864 +1728]
ios_W28FiOff  equ  ios_W27FiOff+LVSZ   ; LVAL: Writ User Memo<28> FileByteOffset [+0112 +0224 +0448 +0896 +1792]
ios_W29FiOff  equ  ios_W28FiOff+LVSZ   ; LVAL: Writ User Memo<29> FileByteOffset [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30FiOff  equ  ios_W29FiOff+LVSZ   ; LVAL: Writ DsLb File<30> FileByteOffset [+0120 +0240 +0480 +0960 +1920]
ios_W31FiOff  equ  ios_W30FiOff+LVSZ   ; LVAL: Writ DsLb Memo<31> FileByteOffset [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00FiOff  equ  ios_LNG+LVSZ*0416   ; LVAL: Read StdO Console: FileByteOffset [#1664 #3328 #6656 13312 26624]
ios_R01FiOff  equ  ios_R00FiOff+LVSZ   ; LVAL: Read User Cons<01> FileByteOffset [+0004 +0008 +0016 +0032 +0064]
ios_R02FiOff  equ  ios_R01FiOff+LVSZ   ; LVAL: Read User Cons<02> FileByteOffset [+0008 +0016 +0032 +0064 +0128]
ios_R03FiOff  equ  ios_R02FiOff+LVSZ   ; LVAL: Read User Cons<03> FileByteOffset [+0012 +0024 +0048 +0096 +0192]
ios_R04FiOff  equ  ios_R03FiOff+LVSZ   ; LVAL: Read User Cons<04> FileByteOffset [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05FiOff  equ  ios_R04FiOff+LVSZ   ; LVAL: Read User Cons<05> FileByteOffset [+0020 +0040 +0080 +0160 +0320]
ios_R06FiOff  equ  ios_R05FiOff+LVSZ   ; LVAL: Read User Cons<06> FileByteOffset [+0024 +0048 +0096 +0192 +0384]
ios_R07FiOff  equ  ios_R06FiOff+LVSZ   ; LVAL: Read User Cons<07> FileByteOffset [+0028 +0056 +0112 +0224 +0448]
ios_R08FiOff  equ  ios_R07FiOff+LVSZ   ; LVAL: Read User Cons<08> FileByteOffset [+0032 +0064 +0128 +0256 +0512]
ios_R09FiOff  equ  ios_R08FiOff+LVSZ   ; LVAL: Read User Cons<09> FileByteOffset [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10FiOff  equ  ios_R09FiOff+LVSZ   ; LVAL: Read User File<10> FileByteOffset [+0040 +0080 +0160 +0320 +0640]
ios_R11FiOff  equ  ios_R10FiOff+LVSZ   ; LVAL: Read User File<11> FileByteOffset [+0044 +0088 +0176 +0352 +0704]
ios_R12FiOff  equ  ios_R11FiOff+LVSZ   ; LVAL: Read User File<12> FileByteOffset [+0048 +0096 +0192 +0384 +0768]
ios_R13FiOff  equ  ios_R12FiOff+LVSZ   ; LVAL: Read User File<13> FileByteOffset [+0052 +0104 +0208 +0416 +0832]
ios_R14FiOff  equ  ios_R13FiOff+LVSZ   ; LVAL: Read User File<14> FileByteOffset [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15FiOff  equ  ios_R14FiOff+LVSZ   ; LVAL: Read User File<15> FileByteOffset [+0060 +0120 +0240 +0480 +0960]
ios_R16FiOff  equ  ios_R15FiOff+LVSZ   ; LVAL: Read User File<16> FileByteOffset [+0064 +0128 +0256 +0512 +1024]
ios_R17FiOff  equ  ios_R16FiOff+LVSZ   ; LVAL: Read User File<17> FileByteOffset [+0068 +0136 +0272 +0544 +1088]
ios_R18FiOff  equ  ios_R17FiOff+LVSZ   ; LVAL: Read User File<18> FileByteOffset [+0072 +0144 +0288 +0576 +1152]
ios_R19FiOff  equ  ios_R18FiOff+LVSZ   ; LVAL: Read User File<19> FileByteOffset [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20FiOff  equ  ios_R19FiOff+LVSZ   ; LVAL: Read User Memo<20> FileByteOffset [+0080 +0160 +0320 +0640 +1280]
ios_R21FiOff  equ  ios_R20FiOff+LVSZ   ; LVAL: Read User Memo<21> FileByteOffset [+0084 +0168 +0336 +0672 +1344]
ios_R22FiOff  equ  ios_R21FiOff+LVSZ   ; LVAL: Read User Memo<22> FileByteOffset [+0088 +0176 +0352 +0704 +1408]
ios_R23FiOff  equ  ios_R22FiOff+LVSZ   ; LVAL: Read User Memo<23> FileByteOffset [+0092 +0184 +0368 +0736 +1472]
ios_R24FiOff  equ  ios_R23FiOff+LVSZ   ; LVAL: Read User Memo<24> FileByteOffset [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25FiOff  equ  ios_R24FiOff+LVSZ   ; LVAL: Read User Memo<25> FileByteOffset [+0100 +0200 +0400 +0800 +1600]
ios_R26FiOff  equ  ios_R25FiOff+LVSZ   ; LVAL: Read User Memo<26> FileByteOffset [+0104 +0208 +0416 +0832 +1664]
ios_R27FiOff  equ  ios_R26FiOff+LVSZ   ; LVAL: Read User Memo<27> FileByteOffset [+0108 +0216 +0432 +0864 +1728]
ios_R28FiOff  equ  ios_R27FiOff+LVSZ   ; LVAL: Read User Memo<28> FileByteOffset [+0112 +0224 +0448 +0896 +1792]
ios_R29FiOff  equ  ios_R28FiOff+LVSZ   ; LVAL: Read User Memo<29> FileByteOffset [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30FiOff  equ  ios_R29FiOff+LVSZ   ; LVAL: Read DsLb File<30> FileByteOffset [+0120 +0240 +0480 +0960 +1920]
ios_R31FiOff  equ  ios_R30FiOff+LVSZ   ; LVAL: Read DsLb Memo<31> FileByteOffset [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00FiCnt  equ  ios_LNG+LVSZ*0448   ; LVAL: Writ StdO Console: FilCharCounter [#1792 #3584 #7168 14336 28672]
ios_W01FiCnt  equ  ios_W00FiCnt+LVSZ   ; LVAL: Writ User Cons<01> FilCharCounter [+0004 +0008 +0016 +0032 +0064]
ios_W02FiCnt  equ  ios_W01FiCnt+LVSZ   ; LVAL: Writ User Cons<02> FilCharCounter [+0008 +0016 +0032 +0064 +0128]
ios_W03FiCnt  equ  ios_W02FiCnt+LVSZ   ; LVAL: Writ User Cons<03> FilCharCounter [+0012 +0024 +0048 +0096 +0192]
ios_W04FiCnt  equ  ios_W03FiCnt+LVSZ   ; LVAL: Writ User Cons<04> FilCharCounter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05FiCnt  equ  ios_W04FiCnt+LVSZ   ; LVAL: Writ User Cons<05> FilCharCounter [+0020 +0040 +0080 +0160 +0320]
ios_W06FiCnt  equ  ios_W05FiCnt+LVSZ   ; LVAL: Writ User Cons<06> FilCharCounter [+0024 +0048 +0096 +0192 +0384]
ios_W07FiCnt  equ  ios_W06FiCnt+LVSZ   ; LVAL: Writ User Cons<07> FilCharCounter [+0028 +0056 +0112 +0224 +0448]
ios_W08FiCnt  equ  ios_W07FiCnt+LVSZ   ; LVAL: Writ User Cons<08> FilCharCounter [+0032 +0064 +0128 +0256 +0512]
ios_W09FiCnt  equ  ios_W08FiCnt+LVSZ   ; LVAL: Writ User Cons<09> FilCharCounter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10FiCnt  equ  ios_W09FiCnt+LVSZ   ; LVAL: Writ User File<10> FilCharCounter [+0040 +0080 +0160 +0320 +0640]
ios_W11FiCnt  equ  ios_W10FiCnt+LVSZ   ; LVAL: Writ User File<11> FilCharCounter [+0044 +0088 +0176 +0352 +0704]
ios_W12FiCnt  equ  ios_W11FiCnt+LVSZ   ; LVAL: Writ User File<12> FilCharCounter [+0048 +0096 +0192 +0384 +0768]
ios_W13FiCnt  equ  ios_W12FiCnt+LVSZ   ; LVAL: Writ User File<13> FilCharCounter [+0052 +0104 +0208 +0416 +0832]
ios_W14FiCnt  equ  ios_W13FiCnt+LVSZ   ; LVAL: Writ User File<14> FilCharCounter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15FiCnt  equ  ios_W14FiCnt+LVSZ   ; LVAL: Writ User File<15> FilCharCounter [+0060 +0120 +0240 +0480 +0960]
ios_W16FiCnt  equ  ios_W15FiCnt+LVSZ   ; LVAL: Writ User File<16> FilCharCounter [+0064 +0128 +0256 +0512 +1024]
ios_W17FiCnt  equ  ios_W16FiCnt+LVSZ   ; LVAL: Writ User File<17> FilCharCounter [+0068 +0136 +0272 +0544 +1088]
ios_W18FiCnt  equ  ios_W17FiCnt+LVSZ   ; LVAL: Writ User File<18> FilCharCounter [+0072 +0144 +0288 +0576 +1152]
ios_W19FiCnt  equ  ios_W18FiCnt+LVSZ   ; LVAL: Writ User File<19> FilCharCounter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20FiCnt  equ  ios_W19FiCnt+LVSZ   ; LVAL: Writ User Memo<20> FilCharCounter [+0080 +0160 +0320 +0640 +1280]
ios_W21FiCnt  equ  ios_W20FiCnt+LVSZ   ; LVAL: Writ User Memo<21> FilCharCounter [+0084 +0168 +0336 +0672 +1344]
ios_W22FiCnt  equ  ios_W21FiCnt+LVSZ   ; LVAL: Writ User Memo<22> FilCharCounter [+0088 +0176 +0352 +0704 +1408]
ios_W23FiCnt  equ  ios_W22FiCnt+LVSZ   ; LVAL: Writ User Memo<23> FilCharCounter [+0092 +0184 +0368 +0736 +1472]
ios_W24FiCnt  equ  ios_W23FiCnt+LVSZ   ; LVAL: Writ User Memo<24> FilCharCounter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25FiCnt  equ  ios_W24FiCnt+LVSZ   ; LVAL: Writ User Memo<25> FilCharCounter [+0100 +0200 +0400 +0800 +1600]
ios_W26FiCnt  equ  ios_W25FiCnt+LVSZ   ; LVAL: Writ User Memo<26> FilCharCounter [+0104 +0208 +0416 +0832 +1664]
ios_W27FiCnt  equ  ios_W26FiCnt+LVSZ   ; LVAL: Writ User Memo<27> FilCharCounter [+0108 +0216 +0432 +0864 +1728]
ios_W28FiCnt  equ  ios_W27FiCnt+LVSZ   ; LVAL: Writ User Memo<28> FilCharCounter [+0112 +0224 +0448 +0896 +1792]
ios_W29FiCnt  equ  ios_W28FiCnt+LVSZ   ; LVAL: Writ User Memo<29> FilCharCounter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30FiCnt  equ  ios_W29FiCnt+LVSZ   ; LVAL: Writ DsLb File<30> FilCharCounter [+0120 +0240 +0480 +0960 +1920]
ios_W31FiCnt  equ  ios_W30FiCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> FilCharCounter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00FiCnt  equ  ios_LNG+LVSZ*0480   ; LVAL: Read StdO Console: FilCharCounter [#1920 #3840 #7680 15360 30720]
ios_R01FiCnt  equ  ios_R00FiCnt+LVSZ   ; LVAL: Read User Cons<01> FilCharCounter [+0004 +0008 +0016 +0032 +0064]
ios_R02FiCnt  equ  ios_R01FiCnt+LVSZ   ; LVAL: Read User Cons<02> FilCharCounter [+0008 +0016 +0032 +0064 +0128]
ios_R03FiCnt  equ  ios_R02FiCnt+LVSZ   ; LVAL: Read User Cons<03> FilCharCounter [+0012 +0024 +0048 +0096 +0192]
ios_R04FiCnt  equ  ios_R03FiCnt+LVSZ   ; LVAL: Read User Cons<04> FilCharCounter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05FiCnt  equ  ios_R04FiCnt+LVSZ   ; LVAL: Read User Cons<05> FilCharCounter [+0020 +0040 +0080 +0160 +0320]
ios_R06FiCnt  equ  ios_R05FiCnt+LVSZ   ; LVAL: Read User Cons<06> FilCharCounter [+0024 +0048 +0096 +0192 +0384]
ios_R07FiCnt  equ  ios_R06FiCnt+LVSZ   ; LVAL: Read User Cons<07> FilCharCounter [+0028 +0056 +0112 +0224 +0448]
ios_R08FiCnt  equ  ios_R07FiCnt+LVSZ   ; LVAL: Read User Cons<08> FilCharCounter [+0032 +0064 +0128 +0256 +0512]
ios_R09FiCnt  equ  ios_R08FiCnt+LVSZ   ; LVAL: Read User Cons<09> FilCharCounter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10FiCnt  equ  ios_R09FiCnt+LVSZ   ; LVAL: Read User File<10> FilCharCounter [+0040 +0080 +0160 +0320 +0640]
ios_R11FiCnt  equ  ios_R10FiCnt+LVSZ   ; LVAL: Read User File<11> FilCharCounter [+0044 +0088 +0176 +0352 +0704]
ios_R12FiCnt  equ  ios_R11FiCnt+LVSZ   ; LVAL: Read User File<12> FilCharCounter [+0048 +0096 +0192 +0384 +0768]
ios_R13FiCnt  equ  ios_R12FiCnt+LVSZ   ; LVAL: Read User File<13> FilCharCounter [+0052 +0104 +0208 +0416 +0832]
ios_R14FiCnt  equ  ios_R13FiCnt+LVSZ   ; LVAL: Read User File<14> FilCharCounter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15FiCnt  equ  ios_R14FiCnt+LVSZ   ; LVAL: Read User File<15> FilCharCounter [+0060 +0120 +0240 +0480 +0960]
ios_R16FiCnt  equ  ios_R15FiCnt+LVSZ   ; LVAL: Read User File<16> FilCharCounter [+0064 +0128 +0256 +0512 +1024]
ios_R17FiCnt  equ  ios_R16FiCnt+LVSZ   ; LVAL: Read User File<17> FilCharCounter [+0068 +0136 +0272 +0544 +1088]
ios_R18FiCnt  equ  ios_R17FiCnt+LVSZ   ; LVAL: Read User File<18> FilCharCounter [+0072 +0144 +0288 +0576 +1152]
ios_R19FiCnt  equ  ios_R18FiCnt+LVSZ   ; LVAL: Read User File<19> FilCharCounter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20FiCnt  equ  ios_R19FiCnt+LVSZ   ; LVAL: Read User Memo<20> FilCharCounter [+0080 +0160 +0320 +0640 +1280]
ios_R21FiCnt  equ  ios_R20FiCnt+LVSZ   ; LVAL: Read User Memo<21> FilCharCounter [+0084 +0168 +0336 +0672 +1344]
ios_R22FiCnt  equ  ios_R21FiCnt+LVSZ   ; LVAL: Read User Memo<22> FilCharCounter [+0088 +0176 +0352 +0704 +1408]
ios_R23FiCnt  equ  ios_R22FiCnt+LVSZ   ; LVAL: Read User Memo<23> FilCharCounter [+0092 +0184 +0368 +0736 +1472]
ios_R24FiCnt  equ  ios_R23FiCnt+LVSZ   ; LVAL: Read User Memo<24> FilCharCounter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25FiCnt  equ  ios_R24FiCnt+LVSZ   ; LVAL: Read User Memo<25> FilCharCounter [+0100 +0200 +0400 +0800 +1600]
ios_R26FiCnt  equ  ios_R25FiCnt+LVSZ   ; LVAL: Read User Memo<26> FilCharCounter [+0104 +0208 +0416 +0832 +1664]
ios_R27FiCnt  equ  ios_R26FiCnt+LVSZ   ; LVAL: Read User Memo<27> FilCharCounter [+0108 +0216 +0432 +0864 +1728]
ios_R28FiCnt  equ  ios_R27FiCnt+LVSZ   ; LVAL: Read User Memo<28> FilCharCounter [+0112 +0224 +0448 +0896 +1792]
ios_R29FiCnt  equ  ios_R28FiCnt+LVSZ   ; LVAL: Read User Memo<29> FilCharCounter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30FiCnt  equ  ios_R29FiCnt+LVSZ   ; LVAL: Read DsLb File<30> FilCharCounter [+0120 +0240 +0480 +0960 +1920]
ios_R31FiCnt  equ  ios_R30FiCnt+LVSZ   ; LVAL: Read DsLb Memo<31> FilCharCounter [+0124 +0248 +0496 +0992 +1984]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_W00TkCnt  equ  ios_LNG+LVSZ*0512   ; LVAL: Writ StdO Console: Token  Counter [#2048 #4096 #8192 16384 32768]
ios_W01TkCnt  equ  ios_W00TkCnt+LVSZ   ; LVAL: Writ User Cons<01> Token  Counter [+0004 +0008 +0016 +0032 +0064]
ios_W02TkCnt  equ  ios_W01TkCnt+LVSZ   ; LVAL: Writ User Cons<02> Token  Counter [+0008 +0016 +0032 +0064 +0128]
ios_W03TkCnt  equ  ios_W02TkCnt+LVSZ   ; LVAL: Writ User Cons<03> Token  Counter [+0012 +0024 +0048 +0096 +0192]
ios_W04TkCnt  equ  ios_W03TkCnt+LVSZ   ; LVAL: Writ User Cons<04> Token  Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05TkCnt  equ  ios_W04TkCnt+LVSZ   ; LVAL: Writ User Cons<05> Token  Counter [+0020 +0040 +0080 +0160 +0320]
ios_W06TkCnt  equ  ios_W05TkCnt+LVSZ   ; LVAL: Writ User Cons<06> Token  Counter [+0024 +0048 +0096 +0192 +0384]
ios_W07TkCnt  equ  ios_W06TkCnt+LVSZ   ; LVAL: Writ User Cons<07> Token  Counter [+0028 +0056 +0112 +0224 +0448]
ios_W08TkCnt  equ  ios_W07TkCnt+LVSZ   ; LVAL: Writ User Cons<08> Token  Counter [+0032 +0064 +0128 +0256 +0512]
ios_W09TkCnt  equ  ios_W08TkCnt+LVSZ   ; LVAL: Writ User Cons<09> Token  Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10TkCnt  equ  ios_W09TkCnt+LVSZ   ; LVAL: Writ User File<10> Token  Counter [+0040 +0080 +0160 +0320 +0640]
ios_W11TkCnt  equ  ios_W10TkCnt+LVSZ   ; LVAL: Writ User File<11> Token  Counter [+0044 +0088 +0176 +0352 +0704]
ios_W12TkCnt  equ  ios_W11TkCnt+LVSZ   ; LVAL: Writ User File<12> Token  Counter [+0048 +0096 +0192 +0384 +0768]
ios_W13TkCnt  equ  ios_W12TkCnt+LVSZ   ; LVAL: Writ User File<13> Token  Counter [+0052 +0104 +0208 +0416 +0832]
ios_W14TkCnt  equ  ios_W13TkCnt+LVSZ   ; LVAL: Writ User File<14> Token  Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15TkCnt  equ  ios_W14TkCnt+LVSZ   ; LVAL: Writ User File<15> Token  Counter [+0060 +0120 +0240 +0480 +0960]
ios_W16TkCnt  equ  ios_W15TkCnt+LVSZ   ; LVAL: Writ User File<16> Token  Counter [+0064 +0128 +0256 +0512 +1024]
ios_W17TkCnt  equ  ios_W16TkCnt+LVSZ   ; LVAL: Writ User File<17> Token  Counter [+0068 +0136 +0272 +0544 +1088]
ios_W18TkCnt  equ  ios_W17TkCnt+LVSZ   ; LVAL: Writ User File<18> Token  Counter [+0072 +0144 +0288 +0576 +1152]
ios_W19TkCnt  equ  ios_W18TkCnt+LVSZ   ; LVAL: Writ User File<19> Token  Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20TkCnt  equ  ios_W19TkCnt+LVSZ   ; LVAL: Writ User Memo<20> Token  Counter [+0080 +0160 +0320 +0640 +1280]
ios_W21TkCnt  equ  ios_W20TkCnt+LVSZ   ; LVAL: Writ User Memo<21> Token  Counter [+0084 +0168 +0336 +0672 +1344]
ios_W22TkCnt  equ  ios_W21TkCnt+LVSZ   ; LVAL: Writ User Memo<22> Token  Counter [+0088 +0176 +0352 +0704 +1408]
ios_W23TkCnt  equ  ios_W22TkCnt+LVSZ   ; LVAL: Writ User Memo<23> Token  Counter [+0092 +0184 +0368 +0736 +1472]
ios_W24TkCnt  equ  ios_W23TkCnt+LVSZ   ; LVAL: Writ User Memo<24> Token  Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25TkCnt  equ  ios_W24TkCnt+LVSZ   ; LVAL: Writ User Memo<25> Token  Counter [+0100 +0200 +0400 +0800 +1600]
ios_W26TkCnt  equ  ios_W25TkCnt+LVSZ   ; LVAL: Writ User Memo<26> Token  Counter [+0104 +0208 +0416 +0832 +1664]
ios_W27TkCnt  equ  ios_W26TkCnt+LVSZ   ; LVAL: Writ User Memo<27> Token  Counter [+0108 +0216 +0432 +0864 +1728]
ios_W28TkCnt  equ  ios_W27TkCnt+LVSZ   ; LVAL: Writ User Memo<28> Token  Counter [+0112 +0224 +0448 +0896 +1792]
ios_W29TkCnt  equ  ios_W28TkCnt+LVSZ   ; LVAL: Writ User Memo<29> Token  Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30TkCnt  equ  ios_W29TkCnt+LVSZ   ; LVAL: Writ DsLb File<30> Token  Counter [+0120 +0240 +0480 +0960 +1920]
ios_W31TkCnt  equ  ios_W30TkCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> Token  Counter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00TkCnt  equ  ios_LNG+LVSZ*0544   ; LVAL: Read StdO Console: Token  Counter [#2176 #4352 #8704 17408 34816]
ios_R01TkCnt  equ  ios_R00TkCnt+LVSZ   ; LVAL: Read User Cons<01> Token  Counter [+0004 +0008 +0016 +0032 +0064]
ios_R02TkCnt  equ  ios_R01TkCnt+LVSZ   ; LVAL: Read User Cons<02> Token  Counter [+0008 +0016 +0032 +0064 +0128]
ios_R03TkCnt  equ  ios_R02TkCnt+LVSZ   ; LVAL: Read User Cons<03> Token  Counter [+0012 +0024 +0048 +0096 +0192]
ios_R04TkCnt  equ  ios_R03TkCnt+LVSZ   ; LVAL: Read User Cons<04> Token  Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05TkCnt  equ  ios_R04TkCnt+LVSZ   ; LVAL: Read User Cons<05> Token  Counter [+0020 +0040 +0080 +0160 +0320]
ios_R06TkCnt  equ  ios_R05TkCnt+LVSZ   ; LVAL: Read User Cons<06> Token  Counter [+0024 +0048 +0096 +0192 +0384]
ios_R07TkCnt  equ  ios_R06TkCnt+LVSZ   ; LVAL: Read User Cons<07> Token  Counter [+0028 +0056 +0112 +0224 +0448]
ios_R08TkCnt  equ  ios_R07TkCnt+LVSZ   ; LVAL: Read User Cons<08> Token  Counter [+0032 +0064 +0128 +0256 +0512]
ios_R09TkCnt  equ  ios_R08TkCnt+LVSZ   ; LVAL: Read User Cons<09> Token  Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10TkCnt  equ  ios_R09TkCnt+LVSZ   ; LVAL: Read User File<10> Token  Counter [+0040 +0080 +0160 +0320 +0640]
ios_R11TkCnt  equ  ios_R10TkCnt+LVSZ   ; LVAL: Read User File<11> Token  Counter [+0044 +0088 +0176 +0352 +0704]
ios_R12TkCnt  equ  ios_R11TkCnt+LVSZ   ; LVAL: Read User File<12> Token  Counter [+0048 +0096 +0192 +0384 +0768]
ios_R13TkCnt  equ  ios_R12TkCnt+LVSZ   ; LVAL: Read User File<13> Token  Counter [+0052 +0104 +0208 +0416 +0832]
ios_R14TkCnt  equ  ios_R13TkCnt+LVSZ   ; LVAL: Read User File<14> Token  Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15TkCnt  equ  ios_R14TkCnt+LVSZ   ; LVAL: Read User File<15> Token  Counter [+0060 +0120 +0240 +0480 +0960]
ios_R16TkCnt  equ  ios_R15TkCnt+LVSZ   ; LVAL: Read User File<16> Token  Counter [+0064 +0128 +0256 +0512 +1024]
ios_R17TkCnt  equ  ios_R16TkCnt+LVSZ   ; LVAL: Read User File<17> Token  Counter [+0068 +0136 +0272 +0544 +1088]
ios_R18TkCnt  equ  ios_R17TkCnt+LVSZ   ; LVAL: Read User File<18> Token  Counter [+0072 +0144 +0288 +0576 +1152]
ios_R19TkCnt  equ  ios_R18TkCnt+LVSZ   ; LVAL: Read User File<19> Token  Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20TkCnt  equ  ios_R19TkCnt+LVSZ   ; LVAL: Read User Memo<20> Token  Counter [+0080 +0160 +0320 +0640 +1280]
ios_R21TkCnt  equ  ios_R20TkCnt+LVSZ   ; LVAL: Read User Memo<21> Token  Counter [+0084 +0168 +0336 +0672 +1344]
ios_R22TkCnt  equ  ios_R21TkCnt+LVSZ   ; LVAL: Read User Memo<22> Token  Counter [+0088 +0176 +0352 +0704 +1408]
ios_R23TkCnt  equ  ios_R22TkCnt+LVSZ   ; LVAL: Read User Memo<23> Token  Counter [+0092 +0184 +0368 +0736 +1472]
ios_R24TkCnt  equ  ios_R23TkCnt+LVSZ   ; LVAL: Read User Memo<24> Token  Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25TkCnt  equ  ios_R24TkCnt+LVSZ   ; LVAL: Read User Memo<25> Token  Counter [+0100 +0200 +0400 +0800 +1600]
ios_R26TkCnt  equ  ios_R25TkCnt+LVSZ   ; LVAL: Read User Memo<26> Token  Counter [+0104 +0208 +0416 +0832 +1664]
ios_R27TkCnt  equ  ios_R26TkCnt+LVSZ   ; LVAL: Read User Memo<27> Token  Counter [+0108 +0216 +0432 +0864 +1728]
ios_R28TkCnt  equ  ios_R27TkCnt+LVSZ   ; LVAL: Read User Memo<28> Token  Counter [+0112 +0224 +0448 +0896 +1792]
ios_R29TkCnt  equ  ios_R28TkCnt+LVSZ   ; LVAL: Read User Memo<29> Token  Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30TkCnt  equ  ios_R29TkCnt+LVSZ   ; LVAL: Read DsLb File<30> Token  Counter [+0120 +0240 +0480 +0960 +1920]
ios_R31TkCnt  equ  ios_R30TkCnt+LVSZ   ; LVAL: Read DsLb Memo<31> Token  Counter [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00PgCnt  equ  ios_LNG+LVSZ*0576   ; LVAL: Writ StdO Console: Page   Counter [#2304 #4608 #9216 18432 36864]
ios_W01PgCnt  equ  ios_W00PgCnt+LVSZ   ; LVAL: Writ User Cons<01> Page   Counter [+0004 +0008 +0016 +0032 +0064]
ios_W02PgCnt  equ  ios_W01PgCnt+LVSZ   ; LVAL: Writ User Cons<02> Page   Counter [+0008 +0016 +0032 +0064 +0128]
ios_W03PgCnt  equ  ios_W02PgCnt+LVSZ   ; LVAL: Writ User Cons<03> Page   Counter [+0012 +0024 +0048 +0096 +0192]
ios_W04PgCnt  equ  ios_W03PgCnt+LVSZ   ; LVAL: Writ User Cons<04> Page   Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05PgCnt  equ  ios_W04PgCnt+LVSZ   ; LVAL: Writ User Cons<05> Page   Counter [+0020 +0040 +0080 +0160 +0320]
ios_W06PgCnt  equ  ios_W05PgCnt+LVSZ   ; LVAL: Writ User Cons<06> Page   Counter [+0024 +0048 +0096 +0192 +0384]
ios_W07PgCnt  equ  ios_W06PgCnt+LVSZ   ; LVAL: Writ User Cons<07> Page   Counter [+0028 +0056 +0112 +0224 +0448]
ios_W08PgCnt  equ  ios_W07PgCnt+LVSZ   ; LVAL: Writ User Cons<08> Page   Counter [+0032 +0064 +0128 +0256 +0512]
ios_W09PgCnt  equ  ios_W08PgCnt+LVSZ   ; LVAL: Writ User Cons<09> Page   Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10PgCnt  equ  ios_W09PgCnt+LVSZ   ; LVAL: Writ User File<10> Page   Counter [+0040 +0080 +0160 +0320 +0640]
ios_W11PgCnt  equ  ios_W10PgCnt+LVSZ   ; LVAL: Writ User File<11> Page   Counter [+0044 +0088 +0176 +0352 +0704]
ios_W12PgCnt  equ  ios_W11PgCnt+LVSZ   ; LVAL: Writ User File<12> Page   Counter [+0048 +0096 +0192 +0384 +0768]
ios_W13PgCnt  equ  ios_W12PgCnt+LVSZ   ; LVAL: Writ User File<13> Page   Counter [+0052 +0104 +0208 +0416 +0832]
ios_W14PgCnt  equ  ios_W13PgCnt+LVSZ   ; LVAL: Writ User File<14> Page   Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15PgCnt  equ  ios_W14PgCnt+LVSZ   ; LVAL: Writ User File<15> Page   Counter [+0060 +0120 +0240 +0480 +0960]
ios_W16PgCnt  equ  ios_W15PgCnt+LVSZ   ; LVAL: Writ User File<16> Page   Counter [+0064 +0128 +0256 +0512 +1024]
ios_W17PgCnt  equ  ios_W16PgCnt+LVSZ   ; LVAL: Writ User File<17> Page   Counter [+0068 +0136 +0272 +0544 +1088]
ios_W18PgCnt  equ  ios_W17PgCnt+LVSZ   ; LVAL: Writ User File<18> Page   Counter [+0072 +0144 +0288 +0576 +1152]
ios_W19PgCnt  equ  ios_W18PgCnt+LVSZ   ; LVAL: Writ User File<19> Page   Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20PgCnt  equ  ios_W19PgCnt+LVSZ   ; LVAL: Writ User Memo<20> Page   Counter [+0080 +0160 +0320 +0640 +1280]
ios_W21PgCnt  equ  ios_W20PgCnt+LVSZ   ; LVAL: Writ User Memo<21> Page   Counter [+0084 +0168 +0336 +0672 +1344]
ios_W22PgCnt  equ  ios_W21PgCnt+LVSZ   ; LVAL: Writ User Memo<22> Page   Counter [+0088 +0176 +0352 +0704 +1408]
ios_W23PgCnt  equ  ios_W22PgCnt+LVSZ   ; LVAL: Writ User Memo<23> Page   Counter [+0092 +0184 +0368 +0736 +1472]
ios_W24PgCnt  equ  ios_W23PgCnt+LVSZ   ; LVAL: Writ User Memo<24> Page   Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25PgCnt  equ  ios_W24PgCnt+LVSZ   ; LVAL: Writ User Memo<25> Page   Counter [+0100 +0200 +0400 +0800 +1600]
ios_W26PgCnt  equ  ios_W25PgCnt+LVSZ   ; LVAL: Writ User Memo<26> Page   Counter [+0104 +0208 +0416 +0832 +1664]
ios_W27PgCnt  equ  ios_W26PgCnt+LVSZ   ; LVAL: Writ User Memo<27> Page   Counter [+0108 +0216 +0432 +0864 +1728]
ios_W28PgCnt  equ  ios_W27PgCnt+LVSZ   ; LVAL: Writ User Memo<28> Page   Counter [+0112 +0224 +0448 +0896 +1792]
ios_W29PgCnt  equ  ios_W28PgCnt+LVSZ   ; LVAL: Writ User Memo<29> Page   Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30PgCnt  equ  ios_W29PgCnt+LVSZ   ; LVAL: Writ DsLb File<30> Page   Counter [+0120 +0240 +0480 +0960 +1920]
ios_W31PgCnt  equ  ios_W30PgCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> Page   Counter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00PgCnt  equ  ios_LNG+LVSZ*0608   ; LVAL: Read StdO Console: Page   Counter [#2432 #4864 #9728 19456 38912]
ios_R01PgCnt  equ  ios_R00PgCnt+LVSZ   ; LVAL: Read User Cons<01> Page   Counter [+0004 +0008 +0016 +0032 +0064]
ios_R02PgCnt  equ  ios_R01PgCnt+LVSZ   ; LVAL: Read User Cons<02> Page   Counter [+0008 +0016 +0032 +0064 +0128]
ios_R03PgCnt  equ  ios_R02PgCnt+LVSZ   ; LVAL: Read User Cons<03> Page   Counter [+0012 +0024 +0048 +0096 +0192]
ios_R04PgCnt  equ  ios_R03PgCnt+LVSZ   ; LVAL: Read User Cons<04> Page   Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05PgCnt  equ  ios_R04PgCnt+LVSZ   ; LVAL: Read User Cons<05> Page   Counter [+0020 +0040 +0080 +0160 +0320]
ios_R06PgCnt  equ  ios_R05PgCnt+LVSZ   ; LVAL: Read User Cons<06> Page   Counter [+0024 +0048 +0096 +0192 +0384]
ios_R07PgCnt  equ  ios_R06PgCnt+LVSZ   ; LVAL: Read User Cons<07> Page   Counter [+0028 +0056 +0112 +0224 +0448]
ios_R08PgCnt  equ  ios_R07PgCnt+LVSZ   ; LVAL: Read User Cons<08> Page   Counter [+0032 +0064 +0128 +0256 +0512]
ios_R09PgCnt  equ  ios_R08PgCnt+LVSZ   ; LVAL: Read User Cons<09> Page   Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10PgCnt  equ  ios_R09PgCnt+LVSZ   ; LVAL: Read User File<10> Page   Counter [+0040 +0080 +0160 +0320 +0640]
ios_R11PgCnt  equ  ios_R10PgCnt+LVSZ   ; LVAL: Read User File<11> Page   Counter [+0044 +0088 +0176 +0352 +0704]
ios_R12PgCnt  equ  ios_R11PgCnt+LVSZ   ; LVAL: Read User File<12> Page   Counter [+0048 +0096 +0192 +0384 +0768]
ios_R13PgCnt  equ  ios_R12PgCnt+LVSZ   ; LVAL: Read User File<13> Page   Counter [+0052 +0104 +0208 +0416 +0832]
ios_R14PgCnt  equ  ios_R13PgCnt+LVSZ   ; LVAL: Read User File<14> Page   Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15PgCnt  equ  ios_R14PgCnt+LVSZ   ; LVAL: Read User File<15> Page   Counter [+0060 +0120 +0240 +0480 +0960]
ios_R16PgCnt  equ  ios_R15PgCnt+LVSZ   ; LVAL: Read User File<16> Page   Counter [+0064 +0128 +0256 +0512 +1024]
ios_R17PgCnt  equ  ios_R16PgCnt+LVSZ   ; LVAL: Read User File<17> Page   Counter [+0068 +0136 +0272 +0544 +1088]
ios_R18PgCnt  equ  ios_R17PgCnt+LVSZ   ; LVAL: Read User File<18> Page   Counter [+0072 +0144 +0288 +0576 +1152]
ios_R19PgCnt  equ  ios_R18PgCnt+LVSZ   ; LVAL: Read User File<19> Page   Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20PgCnt  equ  ios_R19PgCnt+LVSZ   ; LVAL: Read User Memo<20> Page   Counter [+0080 +0160 +0320 +0640 +1280]
ios_R21PgCnt  equ  ios_R20PgCnt+LVSZ   ; LVAL: Read User Memo<21> Page   Counter [+0084 +0168 +0336 +0672 +1344]
ios_R22PgCnt  equ  ios_R21PgCnt+LVSZ   ; LVAL: Read User Memo<22> Page   Counter [+0088 +0176 +0352 +0704 +1408]
ios_R23PgCnt  equ  ios_R22PgCnt+LVSZ   ; LVAL: Read User Memo<23> Page   Counter [+0092 +0184 +0368 +0736 +1472]
ios_R24PgCnt  equ  ios_R23PgCnt+LVSZ   ; LVAL: Read User Memo<24> Page   Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25PgCnt  equ  ios_R24PgCnt+LVSZ   ; LVAL: Read User Memo<25> Page   Counter [+0100 +0200 +0400 +0800 +1600]
ios_R26PgCnt  equ  ios_R25PgCnt+LVSZ   ; LVAL: Read User Memo<26> Page   Counter [+0104 +0208 +0416 +0832 +1664]
ios_R27PgCnt  equ  ios_R26PgCnt+LVSZ   ; LVAL: Read User Memo<27> Page   Counter [+0108 +0216 +0432 +0864 +1728]
ios_R28PgCnt  equ  ios_R27PgCnt+LVSZ   ; LVAL: Read User Memo<28> Page   Counter [+0112 +0224 +0448 +0896 +1792]
ios_R29PgCnt  equ  ios_R28PgCnt+LVSZ   ; LVAL: Read User Memo<29> Page   Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30PgCnt  equ  ios_R29PgCnt+LVSZ   ; LVAL: Read DsLb File<30> Page   Counter [+0120 +0240 +0480 +0960 +1920]
ios_R31PgCnt  equ  ios_R30PgCnt+LVSZ   ; LVAL: Read DsLb Memo<31> Page   Counter [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00LnCnt  equ  ios_LNG+LVSZ*0640   ; LVAL: Writ StdO Console: Line   Counter [#2560 #5120 10240 20480 40960]
ios_W01LnCnt  equ  ios_W00LnCnt+LVSZ   ; LVAL: Writ User Cons<01> Line   Counter [+0004 +0008 +0016 +0032 +0064]
ios_W02LnCnt  equ  ios_W01LnCnt+LVSZ   ; LVAL: Writ User Cons<02> Line   Counter [+0008 +0016 +0032 +0064 +0128]
ios_W03LnCnt  equ  ios_W02LnCnt+LVSZ   ; LVAL: Writ User Cons<03> Line   Counter [+0012 +0024 +0048 +0096 +0192]
ios_W04LnCnt  equ  ios_W03LnCnt+LVSZ   ; LVAL: Writ User Cons<04> Line   Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05LnCnt  equ  ios_W04LnCnt+LVSZ   ; LVAL: Writ User Cons<05> Line   Counter [+0020 +0040 +0080 +0160 +0320]
ios_W06LnCnt  equ  ios_W05LnCnt+LVSZ   ; LVAL: Writ User Cons<06> Line   Counter [+0024 +0048 +0096 +0192 +0384]
ios_W07LnCnt  equ  ios_W06LnCnt+LVSZ   ; LVAL: Writ User Cons<07> Line   Counter [+0028 +0056 +0112 +0224 +0448]
ios_W08LnCnt  equ  ios_W07LnCnt+LVSZ   ; LVAL: Writ User Cons<08> Line   Counter [+0032 +0064 +0128 +0256 +0512]
ios_W09LnCnt  equ  ios_W08LnCnt+LVSZ   ; LVAL: Writ User Cons<09> Line   Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10LnCnt  equ  ios_W09LnCnt+LVSZ   ; LVAL: Writ User File<10> Line   Counter [+0040 +0080 +0160 +0320 +0640]
ios_W11LnCnt  equ  ios_W10LnCnt+LVSZ   ; LVAL: Writ User File<11> Line   Counter [+0044 +0088 +0176 +0352 +0704]
ios_W12LnCnt  equ  ios_W11LnCnt+LVSZ   ; LVAL: Writ User File<12> Line   Counter [+0048 +0096 +0192 +0384 +0768]
ios_W13LnCnt  equ  ios_W12LnCnt+LVSZ   ; LVAL: Writ User File<13> Line   Counter [+0052 +0104 +0208 +0416 +0832]
ios_W14LnCnt  equ  ios_W13LnCnt+LVSZ   ; LVAL: Writ User File<14> Line   Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15LnCnt  equ  ios_W14LnCnt+LVSZ   ; LVAL: Writ User File<15> Line   Counter [+0060 +0120 +0240 +0480 +0960]
ios_W16LnCnt  equ  ios_W15LnCnt+LVSZ   ; LVAL: Writ User File<16> Line   Counter [+0064 +0128 +0256 +0512 +1024]
ios_W17LnCnt  equ  ios_W16LnCnt+LVSZ   ; LVAL: Writ User File<17> Line   Counter [+0068 +0136 +0272 +0544 +1088]
ios_W18LnCnt  equ  ios_W17LnCnt+LVSZ   ; LVAL: Writ User File<18> Line   Counter [+0072 +0144 +0288 +0576 +1152]
ios_W19LnCnt  equ  ios_W18LnCnt+LVSZ   ; LVAL: Writ User File<19> Line   Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20LnCnt  equ  ios_W19LnCnt+LVSZ   ; LVAL: Writ User Memo<20> Line   Counter [+0080 +0160 +0320 +0640 +1280]
ios_W21LnCnt  equ  ios_W20LnCnt+LVSZ   ; LVAL: Writ User Memo<21> Line   Counter [+0084 +0168 +0336 +0672 +1344]
ios_W22LnCnt  equ  ios_W21LnCnt+LVSZ   ; LVAL: Writ User Memo<22> Line   Counter [+0088 +0176 +0352 +0704 +1408]
ios_W23LnCnt  equ  ios_W22LnCnt+LVSZ   ; LVAL: Writ User Memo<23> Line   Counter [+0092 +0184 +0368 +0736 +1472]
ios_W24LnCnt  equ  ios_W23LnCnt+LVSZ   ; LVAL: Writ User Memo<24> Line   Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25LnCnt  equ  ios_W24LnCnt+LVSZ   ; LVAL: Writ User Memo<25> Line   Counter [+0100 +0200 +0400 +0800 +1600]
ios_W26LnCnt  equ  ios_W25LnCnt+LVSZ   ; LVAL: Writ User Memo<26> Line   Counter [+0104 +0208 +0416 +0832 +1664]
ios_W27LnCnt  equ  ios_W26LnCnt+LVSZ   ; LVAL: Writ User Memo<27> Line   Counter [+0108 +0216 +0432 +0864 +1728]
ios_W28LnCnt  equ  ios_W27LnCnt+LVSZ   ; LVAL: Writ User Memo<28> Line   Counter [+0112 +0224 +0448 +0896 +1792]
ios_W29LnCnt  equ  ios_W28LnCnt+LVSZ   ; LVAL: Writ User Memo<29> Line   Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30LnCnt  equ  ios_W29LnCnt+LVSZ   ; LVAL: Writ DsLb File<30> Line   Counter [+0120 +0240 +0480 +0960 +1920]
ios_W31LnCnt  equ  ios_W30LnCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> Line   Counter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00LnCnt  equ  ios_LNG+LVSZ*0672   ; LVAL: Read StdO Console: Line   Counter [#2688 #5376 10752 21504 43008]
ios_R01LnCnt  equ  ios_R00LnCnt+LVSZ   ; LVAL: Read User Cons<01> Line   Counter [+0004 +0008 +0016 +0032 +0064]
ios_R02LnCnt  equ  ios_R01LnCnt+LVSZ   ; LVAL: Read User Cons<02> Line   Counter [+0008 +0016 +0032 +0064 +0128]
ios_R03LnCnt  equ  ios_R02LnCnt+LVSZ   ; LVAL: Read User Cons<03> Line   Counter [+0012 +0024 +0048 +0096 +0192]
ios_R04LnCnt  equ  ios_R03LnCnt+LVSZ   ; LVAL: Read User Cons<04> Line   Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05LnCnt  equ  ios_R04LnCnt+LVSZ   ; LVAL: Read User Cons<05> Line   Counter [+0020 +0040 +0080 +0160 +0320]
ios_R06LnCnt  equ  ios_R05LnCnt+LVSZ   ; LVAL: Read User Cons<06> Line   Counter [+0024 +0048 +0096 +0192 +0384]
ios_R07LnCnt  equ  ios_R06LnCnt+LVSZ   ; LVAL: Read User Cons<07> Line   Counter [+0028 +0056 +0112 +0224 +0448]
ios_R08LnCnt  equ  ios_R07LnCnt+LVSZ   ; LVAL: Read User Cons<08> Line   Counter [+0032 +0064 +0128 +0256 +0512]
ios_R09LnCnt  equ  ios_R08LnCnt+LVSZ   ; LVAL: Read User Cons<09> Line   Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10LnCnt  equ  ios_R09LnCnt+LVSZ   ; LVAL: Read User File<10> Line   Counter [+0040 +0080 +0160 +0320 +0640]
ios_R11LnCnt  equ  ios_R10LnCnt+LVSZ   ; LVAL: Read User File<11> Line   Counter [+0044 +0088 +0176 +0352 +0704]
ios_R12LnCnt  equ  ios_R11LnCnt+LVSZ   ; LVAL: Read User File<12> Line   Counter [+0048 +0096 +0192 +0384 +0768]
ios_R13LnCnt  equ  ios_R12LnCnt+LVSZ   ; LVAL: Read User File<13> Line   Counter [+0052 +0104 +0208 +0416 +0832]
ios_R14LnCnt  equ  ios_R13LnCnt+LVSZ   ; LVAL: Read User File<14> Line   Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15LnCnt  equ  ios_R14LnCnt+LVSZ   ; LVAL: Read User File<15> Line   Counter [+0060 +0120 +0240 +0480 +0960]
ios_R16LnCnt  equ  ios_R15LnCnt+LVSZ   ; LVAL: Read User File<16> Line   Counter [+0064 +0128 +0256 +0512 +1024]
ios_R17LnCnt  equ  ios_R16LnCnt+LVSZ   ; LVAL: Read User File<17> Line   Counter [+0068 +0136 +0272 +0544 +1088]
ios_R18LnCnt  equ  ios_R17LnCnt+LVSZ   ; LVAL: Read User File<18> Line   Counter [+0072 +0144 +0288 +0576 +1152]
ios_R19LnCnt  equ  ios_R18LnCnt+LVSZ   ; LVAL: Read User File<19> Line   Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20LnCnt  equ  ios_R19LnCnt+LVSZ   ; LVAL: Read User Memo<20> Line   Counter [+0080 +0160 +0320 +0640 +1280]
ios_R21LnCnt  equ  ios_R20LnCnt+LVSZ   ; LVAL: Read User Memo<21> Line   Counter [+0084 +0168 +0336 +0672 +1344]
ios_R22LnCnt  equ  ios_R21LnCnt+LVSZ   ; LVAL: Read User Memo<22> Line   Counter [+0088 +0176 +0352 +0704 +1408]
ios_R23LnCnt  equ  ios_R22LnCnt+LVSZ   ; LVAL: Read User Memo<23> Line   Counter [+0092 +0184 +0368 +0736 +1472]
ios_R24LnCnt  equ  ios_R23LnCnt+LVSZ   ; LVAL: Read User Memo<24> Line   Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25LnCnt  equ  ios_R24LnCnt+LVSZ   ; LVAL: Read User Memo<25> Line   Counter [+0100 +0200 +0400 +0800 +1600]
ios_R26LnCnt  equ  ios_R25LnCnt+LVSZ   ; LVAL: Read User Memo<26> Line   Counter [+0104 +0208 +0416 +0832 +1664]
ios_R27LnCnt  equ  ios_R26LnCnt+LVSZ   ; LVAL: Read User Memo<27> Line   Counter [+0108 +0216 +0432 +0864 +1728]
ios_R28LnCnt  equ  ios_R27LnCnt+LVSZ   ; LVAL: Read User Memo<28> Line   Counter [+0112 +0224 +0448 +0896 +1792]
ios_R29LnCnt  equ  ios_R28LnCnt+LVSZ   ; LVAL: Read User Memo<29> Line   Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30LnCnt  equ  ios_R29LnCnt+LVSZ   ; LVAL: Read DsLb File<30> Line   Counter [+0120 +0240 +0480 +0960 +1920]
ios_R31LnCnt  equ  ios_R30LnCnt+LVSZ   ; LVAL: Read DsLb Memo<31> Line   Counter [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00CoCnt  equ  ios_LNG+LVSZ*0704   ; LVAL: Writ StdO Console: Column Counter [#2816 #5632 11264 22528 45056]
ios_W01CoCnt  equ  ios_W00CoCnt+LVSZ   ; LVAL: Writ User Cons<01> Column Counter [+0004 +0008 +0016 +0032 +0064]
ios_W02CoCnt  equ  ios_W01CoCnt+LVSZ   ; LVAL: Writ User Cons<02> Column Counter [+0008 +0016 +0032 +0064 +0128]
ios_W03CoCnt  equ  ios_W02CoCnt+LVSZ   ; LVAL: Writ User Cons<03> Column Counter [+0012 +0024 +0048 +0096 +0192]
ios_W04CoCnt  equ  ios_W03CoCnt+LVSZ   ; LVAL: Writ User Cons<04> Column Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05CoCnt  equ  ios_W04CoCnt+LVSZ   ; LVAL: Writ User Cons<05> Column Counter [+0020 +0040 +0080 +0160 +0320]
ios_W06CoCnt  equ  ios_W05CoCnt+LVSZ   ; LVAL: Writ User Cons<06> Column Counter [+0024 +0048 +0096 +0192 +0384]
ios_W07CoCnt  equ  ios_W06CoCnt+LVSZ   ; LVAL: Writ User Cons<07> Column Counter [+0028 +0056 +0112 +0224 +0448]
ios_W08CoCnt  equ  ios_W07CoCnt+LVSZ   ; LVAL: Writ User Cons<08> Column Counter [+0032 +0064 +0128 +0256 +0512]
ios_W09CoCnt  equ  ios_W08CoCnt+LVSZ   ; LVAL: Writ User Cons<09> Column Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10CoCnt  equ  ios_W09CoCnt+LVSZ   ; LVAL: Writ User File<10> Column Counter [+0040 +0080 +0160 +0320 +0640]
ios_W11CoCnt  equ  ios_W10CoCnt+LVSZ   ; LVAL: Writ User File<11> Column Counter [+0044 +0088 +0176 +0352 +0704]
ios_W12CoCnt  equ  ios_W11CoCnt+LVSZ   ; LVAL: Writ User File<12> Column Counter [+0048 +0096 +0192 +0384 +0768]
ios_W13CoCnt  equ  ios_W12CoCnt+LVSZ   ; LVAL: Writ User File<13> Column Counter [+0052 +0104 +0208 +0416 +0832]
ios_W14CoCnt  equ  ios_W13CoCnt+LVSZ   ; LVAL: Writ User File<14> Column Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15CoCnt  equ  ios_W14CoCnt+LVSZ   ; LVAL: Writ User File<15> Column Counter [+0060 +0120 +0240 +0480 +0960]
ios_W16CoCnt  equ  ios_W15CoCnt+LVSZ   ; LVAL: Writ User File<16> Column Counter [+0064 +0128 +0256 +0512 +1024]
ios_W17CoCnt  equ  ios_W16CoCnt+LVSZ   ; LVAL: Writ User File<17> Column Counter [+0068 +0136 +0272 +0544 +1088]
ios_W18CoCnt  equ  ios_W17CoCnt+LVSZ   ; LVAL: Writ User File<18> Column Counter [+0072 +0144 +0288 +0576 +1152]
ios_W19CoCnt  equ  ios_W18CoCnt+LVSZ   ; LVAL: Writ User File<19> Column Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20CoCnt  equ  ios_W19CoCnt+LVSZ   ; LVAL: Writ User Memo<20> Column Counter [+0080 +0160 +0320 +0640 +1280]
ios_W21CoCnt  equ  ios_W20CoCnt+LVSZ   ; LVAL: Writ User Memo<21> Column Counter [+0084 +0168 +0336 +0672 +1344]
ios_W22CoCnt  equ  ios_W21CoCnt+LVSZ   ; LVAL: Writ User Memo<22> Column Counter [+0088 +0176 +0352 +0704 +1408]
ios_W23CoCnt  equ  ios_W22CoCnt+LVSZ   ; LVAL: Writ User Memo<23> Column Counter [+0092 +0184 +0368 +0736 +1472]
ios_W24CoCnt  equ  ios_W23CoCnt+LVSZ   ; LVAL: Writ User Memo<24> Column Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25CoCnt  equ  ios_W24CoCnt+LVSZ   ; LVAL: Writ User Memo<25> Column Counter [+0100 +0200 +0400 +0800 +1600]
ios_W26CoCnt  equ  ios_W25CoCnt+LVSZ   ; LVAL: Writ User Memo<26> Column Counter [+0104 +0208 +0416 +0832 +1664]
ios_W27CoCnt  equ  ios_W26CoCnt+LVSZ   ; LVAL: Writ User Memo<27> Column Counter [+0108 +0216 +0432 +0864 +1728]
ios_W28CoCnt  equ  ios_W27CoCnt+LVSZ   ; LVAL: Writ User Memo<28> Column Counter [+0112 +0224 +0448 +0896 +1792]
ios_W29CoCnt  equ  ios_W28CoCnt+LVSZ   ; LVAL: Writ User Memo<29> Column Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30CoCnt  equ  ios_W29CoCnt+LVSZ   ; LVAL: Writ DsLb File<30> Column Counter [+0120 +0240 +0480 +0960 +1920]
ios_W31CoCnt  equ  ios_W30CoCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> Column Counter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00CoCnt  equ  ios_LNG+LVSZ*0736   ; LVAL: Read StdO Console: Column Counter [#2944 #5888 11776 23552 47104]
ios_R01CoCnt  equ  ios_R00CoCnt+LVSZ   ; LVAL: Read User Cons<01> Column Counter [+0004 +0008 +0016 +0032 +0064]
ios_R02CoCnt  equ  ios_R01CoCnt+LVSZ   ; LVAL: Read User Cons<02> Column Counter [+0008 +0016 +0032 +0064 +0128]
ios_R03CoCnt  equ  ios_R02CoCnt+LVSZ   ; LVAL: Read User Cons<03> Column Counter [+0012 +0024 +0048 +0096 +0192]
ios_R04CoCnt  equ  ios_R03CoCnt+LVSZ   ; LVAL: Read User Cons<04> Column Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05CoCnt  equ  ios_R04CoCnt+LVSZ   ; LVAL: Read User Cons<05> Column Counter [+0020 +0040 +0080 +0160 +0320]
ios_R06CoCnt  equ  ios_R05CoCnt+LVSZ   ; LVAL: Read User Cons<06> Column Counter [+0024 +0048 +0096 +0192 +0384]
ios_R07CoCnt  equ  ios_R06CoCnt+LVSZ   ; LVAL: Read User Cons<07> Column Counter [+0028 +0056 +0112 +0224 +0448]
ios_R08CoCnt  equ  ios_R07CoCnt+LVSZ   ; LVAL: Read User Cons<08> Column Counter [+0032 +0064 +0128 +0256 +0512]
ios_R09CoCnt  equ  ios_R08CoCnt+LVSZ   ; LVAL: Read User Cons<09> Column Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10CoCnt  equ  ios_R09CoCnt+LVSZ   ; LVAL: Read User File<10> Column Counter [+0040 +0080 +0160 +0320 +0640]
ios_R11CoCnt  equ  ios_R10CoCnt+LVSZ   ; LVAL: Read User File<11> Column Counter [+0044 +0088 +0176 +0352 +0704]
ios_R12CoCnt  equ  ios_R11CoCnt+LVSZ   ; LVAL: Read User File<12> Column Counter [+0048 +0096 +0192 +0384 +0768]
ios_R13CoCnt  equ  ios_R12CoCnt+LVSZ   ; LVAL: Read User File<13> Column Counter [+0052 +0104 +0208 +0416 +0832]
ios_R14CoCnt  equ  ios_R13CoCnt+LVSZ   ; LVAL: Read User File<14> Column Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15CoCnt  equ  ios_R14CoCnt+LVSZ   ; LVAL: Read User File<15> Column Counter [+0060 +0120 +0240 +0480 +0960]
ios_R16CoCnt  equ  ios_R15CoCnt+LVSZ   ; LVAL: Read User File<16> Column Counter [+0064 +0128 +0256 +0512 +1024]
ios_R17CoCnt  equ  ios_R16CoCnt+LVSZ   ; LVAL: Read User File<17> Column Counter [+0068 +0136 +0272 +0544 +1088]
ios_R18CoCnt  equ  ios_R17CoCnt+LVSZ   ; LVAL: Read User File<18> Column Counter [+0072 +0144 +0288 +0576 +1152]
ios_R19CoCnt  equ  ios_R18CoCnt+LVSZ   ; LVAL: Read User File<19> Column Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20CoCnt  equ  ios_R19CoCnt+LVSZ   ; LVAL: Read User Memo<20> Column Counter [+0080 +0160 +0320 +0640 +1280]
ios_R21CoCnt  equ  ios_R20CoCnt+LVSZ   ; LVAL: Read User Memo<21> Column Counter [+0084 +0168 +0336 +0672 +1344]
ios_R22CoCnt  equ  ios_R21CoCnt+LVSZ   ; LVAL: Read User Memo<22> Column Counter [+0088 +0176 +0352 +0704 +1408]
ios_R23CoCnt  equ  ios_R22CoCnt+LVSZ   ; LVAL: Read User Memo<23> Column Counter [+0092 +0184 +0368 +0736 +1472]
ios_R24CoCnt  equ  ios_R23CoCnt+LVSZ   ; LVAL: Read User Memo<24> Column Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25CoCnt  equ  ios_R24CoCnt+LVSZ   ; LVAL: Read User Memo<25> Column Counter [+0100 +0200 +0400 +0800 +1600]
ios_R26CoCnt  equ  ios_R25CoCnt+LVSZ   ; LVAL: Read User Memo<26> Column Counter [+0104 +0208 +0416 +0832 +1664]
ios_R27CoCnt  equ  ios_R26CoCnt+LVSZ   ; LVAL: Read User Memo<27> Column Counter [+0108 +0216 +0432 +0864 +1728]
ios_R28CoCnt  equ  ios_R27CoCnt+LVSZ   ; LVAL: Read User Memo<28> Column Counter [+0112 +0224 +0448 +0896 +1792]
ios_R29CoCnt  equ  ios_R28CoCnt+LVSZ   ; LVAL: Read User Memo<29> Column Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30CoCnt  equ  ios_R29CoCnt+LVSZ   ; LVAL: Read DsLb File<30> Column Counter [+0120 +0240 +0480 +0960 +1920]
ios_R31CoCnt  equ  ios_R30CoCnt+LVSZ   ; LVAL: Read DsLb Memo<31> Column Counter [+0124 +0248 +0496 +0992 +1984]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_W00NaPtr  equ  ios_LNG+LVSZ*0768   ; PNTR: Writ StdO Console: NameStrPointer [#3072 #6144 12288 24576 49152]
ios_W01NaPtr  equ  ios_W00NaPtr+LVSZ   ; PNTR: Writ User Cons<01> NameStrPointer [+0004 +0008 +0016 +0032 +0064]
ios_W02NaPtr  equ  ios_W01NaPtr+LVSZ   ; PNTR: Writ User Cons<02> NameStrPointer [+0008 +0016 +0032 +0064 +0128]
ios_W03NaPtr  equ  ios_W02NaPtr+LVSZ   ; PNTR: Writ User Cons<03> NameStrPointer [+0012 +0024 +0048 +0096 +0192]
ios_W04NaPtr  equ  ios_W03NaPtr+LVSZ   ; PNTR: Writ User Cons<04> NameStrPointer [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05NaPtr  equ  ios_W04NaPtr+LVSZ   ; PNTR: Writ User Cons<05> NameStrPointer [+0020 +0040 +0080 +0160 +0320]
ios_W06NaPtr  equ  ios_W05NaPtr+LVSZ   ; PNTR: Writ User Cons<06> NameStrPointer [+0024 +0048 +0096 +0192 +0384]
ios_W07NaPtr  equ  ios_W06NaPtr+LVSZ   ; PNTR: Writ User Cons<07> NameStrPointer [+0028 +0056 +0112 +0224 +0448]
ios_W08NaPtr  equ  ios_W07NaPtr+LVSZ   ; PNTR: Writ User Cons<08> NameStrPointer [+0032 +0064 +0128 +0256 +0512]
ios_W09NaPtr  equ  ios_W08NaPtr+LVSZ   ; PNTR: Writ User Cons<09> NameStrPointer [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10NaPtr  equ  ios_W09NaPtr+LVSZ   ; PNTR: Writ User File<10> NameStrPointer [+0040 +0080 +0160 +0320 +0640]
ios_W11NaPtr  equ  ios_W10NaPtr+LVSZ   ; PNTR: Writ User File<11> NameStrPointer [+0044 +0088 +0176 +0352 +0704]
ios_W12NaPtr  equ  ios_W11NaPtr+LVSZ   ; PNTR: Writ User File<12> NameStrPointer [+0048 +0096 +0192 +0384 +0768]
ios_W13NaPtr  equ  ios_W12NaPtr+LVSZ   ; PNTR: Writ User File<13> NameStrPointer [+0052 +0104 +0208 +0416 +0832]
ios_W14NaPtr  equ  ios_W13NaPtr+LVSZ   ; PNTR: Writ User File<14> NameStrPointer [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15NaPtr  equ  ios_W14NaPtr+LVSZ   ; PNTR: Writ User File<15> NameStrPointer [+0060 +0120 +0240 +0480 +0960]
ios_W16NaPtr  equ  ios_W15NaPtr+LVSZ   ; PNTR: Writ User File<16> NameStrPointer [+0064 +0128 +0256 +0512 +1024]
ios_W17NaPtr  equ  ios_W16NaPtr+LVSZ   ; PNTR: Writ User File<17> NameStrPointer [+0068 +0136 +0272 +0544 +1088]
ios_W18NaPtr  equ  ios_W17NaPtr+LVSZ   ; PNTR: Writ User File<18> NameStrPointer [+0072 +0144 +0288 +0576 +1152]
ios_W19NaPtr  equ  ios_W18NaPtr+LVSZ   ; PNTR: Writ User File<19> NameStrPointer [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20NaPtr  equ  ios_W19NaPtr+LVSZ   ; PNTR: Writ User Memo<20> NameStrPointer [+0080 +0160 +0320 +0640 +1280]
ios_W21NaPtr  equ  ios_W20NaPtr+LVSZ   ; PNTR: Writ User Memo<21> NameStrPointer [+0084 +0168 +0336 +0672 +1344]
ios_W22NaPtr  equ  ios_W21NaPtr+LVSZ   ; PNTR: Writ User Memo<22> NameStrPointer [+0088 +0176 +0352 +0704 +1408]
ios_W23NaPtr  equ  ios_W22NaPtr+LVSZ   ; PNTR: Writ User Memo<23> NameStrPointer [+0092 +0184 +0368 +0736 +1472]
ios_W24NaPtr  equ  ios_W23NaPtr+LVSZ   ; PNTR: Writ User Memo<24> NameStrPointer [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25NaPtr  equ  ios_W24NaPtr+LVSZ   ; PNTR: Writ User Memo<25> NameStrPointer [+0100 +0200 +0400 +0800 +1600]
ios_W26NaPtr  equ  ios_W25NaPtr+LVSZ   ; PNTR: Writ User Memo<26> NameStrPointer [+0104 +0208 +0416 +0832 +1664]
ios_W27NaPtr  equ  ios_W26NaPtr+LVSZ   ; PNTR: Writ User Memo<27> NameStrPointer [+0108 +0216 +0432 +0864 +1728]
ios_W28NaPtr  equ  ios_W27NaPtr+LVSZ   ; PNTR: Writ User Memo<28> NameStrPointer [+0112 +0224 +0448 +0896 +1792]
ios_W29NaPtr  equ  ios_W28NaPtr+LVSZ   ; PNTR: Writ User Memo<29> NameStrPointer [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30NaPtr  equ  ios_W29NaPtr+LVSZ   ; PNTR: Writ DsLb File<30> NameStrPointer [+0120 +0240 +0480 +0960 +1920]
ios_W31NaPtr  equ  ios_W30NaPtr+LVSZ   ; PNTR: Writ DsLb Memo<31> NameStrPointer [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00NaPtr  equ  ios_LNG+LVSZ*0800   ; PNTR: Read StdO Console: NameStrPointer [#3200 #6400 12800 25600 51200]
ios_R01NaPtr  equ  ios_R00NaPtr+LVSZ   ; PNTR: Read User Cons<01> NameStrPointer [+0004 +0008 +0016 +0032 +0064]
ios_R02NaPtr  equ  ios_R01NaPtr+LVSZ   ; PNTR: Read User Cons<02> NameStrPointer [+0008 +0016 +0032 +0064 +0128]
ios_R03NaPtr  equ  ios_R02NaPtr+LVSZ   ; PNTR: Read User Cons<03> NameStrPointer [+0012 +0024 +0048 +0096 +0192]
ios_R04NaPtr  equ  ios_R03NaPtr+LVSZ   ; PNTR: Read User Cons<04> NameStrPointer [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05NaPtr  equ  ios_R04NaPtr+LVSZ   ; PNTR: Read User Cons<05> NameStrPointer [+0020 +0040 +0080 +0160 +0320]
ios_R06NaPtr  equ  ios_R05NaPtr+LVSZ   ; PNTR: Read User Cons<06> NameStrPointer [+0024 +0048 +0096 +0192 +0384]
ios_R07NaPtr  equ  ios_R06NaPtr+LVSZ   ; PNTR: Read User Cons<07> NameStrPointer [+0028 +0056 +0112 +0224 +0448]
ios_R08NaPtr  equ  ios_R07NaPtr+LVSZ   ; PNTR: Read User Cons<08> NameStrPointer [+0032 +0064 +0128 +0256 +0512]
ios_R09NaPtr  equ  ios_R08NaPtr+LVSZ   ; PNTR: Read User Cons<09> NameStrPointer [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10NaPtr  equ  ios_R09NaPtr+LVSZ   ; PNTR: Read User File<10> NameStrPointer [+0040 +0080 +0160 +0320 +0640]
ios_R11NaPtr  equ  ios_R10NaPtr+LVSZ   ; PNTR: Read User File<11> NameStrPointer [+0044 +0088 +0176 +0352 +0704]
ios_R12NaPtr  equ  ios_R11NaPtr+LVSZ   ; PNTR: Read User File<12> NameStrPointer [+0048 +0096 +0192 +0384 +0768]
ios_R13NaPtr  equ  ios_R12NaPtr+LVSZ   ; PNTR: Read User File<13> NameStrPointer [+0052 +0104 +0208 +0416 +0832]
ios_R14NaPtr  equ  ios_R13NaPtr+LVSZ   ; PNTR: Read User File<14> NameStrPointer [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15NaPtr  equ  ios_R14NaPtr+LVSZ   ; PNTR: Read User File<15> NameStrPointer [+0060 +0120 +0240 +0480 +0960]
ios_R16NaPtr  equ  ios_R15NaPtr+LVSZ   ; PNTR: Read User File<16> NameStrPointer [+0064 +0128 +0256 +0512 +1024]
ios_R17NaPtr  equ  ios_R16NaPtr+LVSZ   ; PNTR: Read User File<17> NameStrPointer [+0068 +0136 +0272 +0544 +1088]
ios_R18NaPtr  equ  ios_R17NaPtr+LVSZ   ; PNTR: Read User File<18> NameStrPointer [+0072 +0144 +0288 +0576 +1152]
ios_R19NaPtr  equ  ios_R18NaPtr+LVSZ   ; PNTR: Read User File<19> NameStrPointer [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20NaPtr  equ  ios_R19NaPtr+LVSZ   ; PNTR: Read User Memo<20> NameStrPointer [+0080 +0160 +0320 +0640 +1280]
ios_R21NaPtr  equ  ios_R20NaPtr+LVSZ   ; PNTR: Read User Memo<21> NameStrPointer [+0084 +0168 +0336 +0672 +1344]
ios_R22NaPtr  equ  ios_R21NaPtr+LVSZ   ; PNTR: Read User Memo<22> NameStrPointer [+0088 +0176 +0352 +0704 +1408]
ios_R23NaPtr  equ  ios_R22NaPtr+LVSZ   ; PNTR: Read User Memo<23> NameStrPointer [+0092 +0184 +0368 +0736 +1472]
ios_R24NaPtr  equ  ios_R23NaPtr+LVSZ   ; PNTR: Read User Memo<24> NameStrPointer [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25NaPtr  equ  ios_R24NaPtr+LVSZ   ; PNTR: Read User Memo<25> NameStrPointer [+0100 +0200 +0400 +0800 +1600]
ios_R26NaPtr  equ  ios_R25NaPtr+LVSZ   ; PNTR: Read User Memo<26> NameStrPointer [+0104 +0208 +0416 +0832 +1664]
ios_R27NaPtr  equ  ios_R26NaPtr+LVSZ   ; PNTR: Read User Memo<27> NameStrPointer [+0108 +0216 +0432 +0864 +1728]
ios_R28NaPtr  equ  ios_R27NaPtr+LVSZ   ; PNTR: Read User Memo<28> NameStrPointer [+0112 +0224 +0448 +0896 +1792]
ios_R29NaPtr  equ  ios_R28NaPtr+LVSZ   ; PNTR: Read User Memo<29> NameStrPointer [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30NaPtr  equ  ios_R29NaPtr+LVSZ   ; PNTR: Read DsLb File<30> NameStrPointer [+0120 +0240 +0480 +0960 +1920]
ios_R31NaPtr  equ  ios_R30NaPtr+LVSZ   ; PNTR: Read DsLb Memo<31> NameStrPointer [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00FrSiz  equ  ios_LNG+LVSZ*0832   ; LVAL: Writ StdO Console: Free Byte Size [#3328 #6656 13312 26624 53248]
ios_W01FrSiz  equ  ios_W00FrSiz+LVSZ   ; LVAL: Writ User Cons<01> Free Byte Size [+0004 +0008 +0016 +0032 +0064]
ios_W02FrSiz  equ  ios_W01FrSiz+LVSZ   ; LVAL: Writ User Cons<02> Free Byte Size [+0008 +0016 +0032 +0064 +0128]
ios_W03FrSiz  equ  ios_W02FrSiz+LVSZ   ; LVAL: Writ User Cons<03> Free Byte Size [+0012 +0024 +0048 +0096 +0192]
ios_W04FrSiz  equ  ios_W03FrSiz+LVSZ   ; LVAL: Writ User Cons<04> Free Byte Size [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05FrSiz  equ  ios_W04FrSiz+LVSZ   ; LVAL: Writ User Cons<05> Free Byte Size [+0020 +0040 +0080 +0160 +0320]
ios_W06FrSiz  equ  ios_W05FrSiz+LVSZ   ; LVAL: Writ User Cons<06> Free Byte Size [+0024 +0048 +0096 +0192 +0384]
ios_W07FrSiz  equ  ios_W06FrSiz+LVSZ   ; LVAL: Writ User Cons<07> Free Byte Size [+0028 +0056 +0112 +0224 +0448]
ios_W08FrSiz  equ  ios_W07FrSiz+LVSZ   ; LVAL: Writ User Cons<08> Free Byte Size [+0032 +0064 +0128 +0256 +0512]
ios_W09FrSiz  equ  ios_W08FrSiz+LVSZ   ; LVAL: Writ User Cons<09> Free Byte Size [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10FrSiz  equ  ios_W09FrSiz+LVSZ   ; LVAL: Writ User File<10> Free Byte Size [+0040 +0080 +0160 +0320 +0640]
ios_W11FrSiz  equ  ios_W10FrSiz+LVSZ   ; LVAL: Writ User File<11> Free Byte Size [+0044 +0088 +0176 +0352 +0704]
ios_W12FrSiz  equ  ios_W11FrSiz+LVSZ   ; LVAL: Writ User File<12> Free Byte Size [+0048 +0096 +0192 +0384 +0768]
ios_W13FrSiz  equ  ios_W12FrSiz+LVSZ   ; LVAL: Writ User File<13> Free Byte Size [+0052 +0104 +0208 +0416 +0832]
ios_W14FrSiz  equ  ios_W13FrSiz+LVSZ   ; LVAL: Writ User File<14> Free Byte Size [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15FrSiz  equ  ios_W14FrSiz+LVSZ   ; LVAL: Writ User File<15> Free Byte Size [+0060 +0120 +0240 +0480 +0960]
ios_W16FrSiz  equ  ios_W15FrSiz+LVSZ   ; LVAL: Writ User File<16> Free Byte Size [+0064 +0128 +0256 +0512 +1024]
ios_W17FrSiz  equ  ios_W16FrSiz+LVSZ   ; LVAL: Writ User File<17> Free Byte Size [+0068 +0136 +0272 +0544 +1088]
ios_W18FrSiz  equ  ios_W17FrSiz+LVSZ   ; LVAL: Writ User File<18> Free Byte Size [+0072 +0144 +0288 +0576 +1152]
ios_W19FrSiz  equ  ios_W18FrSiz+LVSZ   ; LVAL: Writ User File<19> Free Byte Size [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20FrSiz  equ  ios_W19FrSiz+LVSZ   ; LVAL: Writ User Memo<20> Free Byte Size [+0080 +0160 +0320 +0640 +1280]
ios_W21FrSiz  equ  ios_W20FrSiz+LVSZ   ; LVAL: Writ User Memo<21> Free Byte Size [+0084 +0168 +0336 +0672 +1344]
ios_W22FrSiz  equ  ios_W21FrSiz+LVSZ   ; LVAL: Writ User Memo<22> Free Byte Size [+0088 +0176 +0352 +0704 +1408]
ios_W23FrSiz  equ  ios_W22FrSiz+LVSZ   ; LVAL: Writ User Memo<23> Free Byte Size [+0092 +0184 +0368 +0736 +1472]
ios_W24FrSiz  equ  ios_W23FrSiz+LVSZ   ; LVAL: Writ User Memo<24> Free Byte Size [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25FrSiz  equ  ios_W24FrSiz+LVSZ   ; LVAL: Writ User Memo<25> Free Byte Size [+0100 +0200 +0400 +0800 +1600]
ios_W26FrSiz  equ  ios_W25FrSiz+LVSZ   ; LVAL: Writ User Memo<26> Free Byte Size [+0104 +0208 +0416 +0832 +1664]
ios_W27FrSiz  equ  ios_W26FrSiz+LVSZ   ; LVAL: Writ User Memo<27> Free Byte Size [+0108 +0216 +0432 +0864 +1728]
ios_W28FrSiz  equ  ios_W27FrSiz+LVSZ   ; LVAL: Writ User Memo<28> Free Byte Size [+0112 +0224 +0448 +0896 +1792]
ios_W29FrSiz  equ  ios_W28FrSiz+LVSZ   ; LVAL: Writ User Memo<29> Free Byte Size [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30FrSiz  equ  ios_W29FrSiz+LVSZ   ; LVAL: Writ DsLb File<30> Free Byte Size [+0120 +0240 +0480 +0960 +1920]
ios_W31FrSiz  equ  ios_W30FrSiz+LVSZ   ; LVAL: Writ DsLb Memo<31> Free Byte Size [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00FrSiz  equ  ios_LNG+LVSZ*0864   ; LVAL: Read StdO Console: Free Byte Size [#3456 #6912 13824 27648 55296]
ios_R01FrSiz  equ  ios_R00FrSiz+LVSZ   ; LVAL: Read User Cons<01> Free Byte Size [+0004 +0008 +0016 +0032 +0064]
ios_R02FrSiz  equ  ios_R01FrSiz+LVSZ   ; LVAL: Read User Cons<02> Free Byte Size [+0008 +0016 +0032 +0064 +0128]
ios_R03FrSiz  equ  ios_R02FrSiz+LVSZ   ; LVAL: Read User Cons<03> Free Byte Size [+0012 +0024 +0048 +0096 +0192]
ios_R04FrSiz  equ  ios_R03FrSiz+LVSZ   ; LVAL: Read User Cons<04> Free Byte Size [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05FrSiz  equ  ios_R04FrSiz+LVSZ   ; LVAL: Read User Cons<05> Free Byte Size [+0020 +0040 +0080 +0160 +0320]
ios_R06FrSiz  equ  ios_R05FrSiz+LVSZ   ; LVAL: Read User Cons<06> Free Byte Size [+0024 +0048 +0096 +0192 +0384]
ios_R07FrSiz  equ  ios_R06FrSiz+LVSZ   ; LVAL: Read User Cons<07> Free Byte Size [+0028 +0056 +0112 +0224 +0448]
ios_R08FrSiz  equ  ios_R07FrSiz+LVSZ   ; LVAL: Read User Cons<08> Free Byte Size [+0032 +0064 +0128 +0256 +0512]
ios_R09FrSiz  equ  ios_R08FrSiz+LVSZ   ; LVAL: Read User Cons<09> Free Byte Size [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10FrSiz  equ  ios_R09FrSiz+LVSZ   ; LVAL: Read User File<10> Free Byte Size [+0040 +0080 +0160 +0320 +0640]
ios_R11FrSiz  equ  ios_R10FrSiz+LVSZ   ; LVAL: Read User File<11> Free Byte Size [+0044 +0088 +0176 +0352 +0704]
ios_R12FrSiz  equ  ios_R11FrSiz+LVSZ   ; LVAL: Read User File<12> Free Byte Size [+0048 +0096 +0192 +0384 +0768]
ios_R13FrSiz  equ  ios_R12FrSiz+LVSZ   ; LVAL: Read User File<13> Free Byte Size [+0052 +0104 +0208 +0416 +0832]
ios_R14FrSiz  equ  ios_R13FrSiz+LVSZ   ; LVAL: Read User File<14> Free Byte Size [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15FrSiz  equ  ios_R14FrSiz+LVSZ   ; LVAL: Read User File<15> Free Byte Size [+0060 +0120 +0240 +0480 +0960]
ios_R16FrSiz  equ  ios_R15FrSiz+LVSZ   ; LVAL: Read User File<16> Free Byte Size [+0064 +0128 +0256 +0512 +1024]
ios_R17FrSiz  equ  ios_R16FrSiz+LVSZ   ; LVAL: Read User File<17> Free Byte Size [+0068 +0136 +0272 +0544 +1088]
ios_R18FrSiz  equ  ios_R17FrSiz+LVSZ   ; LVAL: Read User File<18> Free Byte Size [+0072 +0144 +0288 +0576 +1152]
ios_R19FrSiz  equ  ios_R18FrSiz+LVSZ   ; LVAL: Read User File<19> Free Byte Size [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20FrSiz  equ  ios_R19FrSiz+LVSZ   ; LVAL: Read User Memo<20> Free Byte Size [+0080 +0160 +0320 +0640 +1280]
ios_R21FrSiz  equ  ios_R20FrSiz+LVSZ   ; LVAL: Read User Memo<21> Free Byte Size [+0084 +0168 +0336 +0672 +1344]
ios_R22FrSiz  equ  ios_R21FrSiz+LVSZ   ; LVAL: Read User Memo<22> Free Byte Size [+0088 +0176 +0352 +0704 +1408]
ios_R23FrSiz  equ  ios_R22FrSiz+LVSZ   ; LVAL: Read User Memo<23> Free Byte Size [+0092 +0184 +0368 +0736 +1472]
ios_R24FrSiz  equ  ios_R23FrSiz+LVSZ   ; LVAL: Read User Memo<24> Free Byte Size [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25FrSiz  equ  ios_R24FrSiz+LVSZ   ; LVAL: Read User Memo<25> Free Byte Size [+0100 +0200 +0400 +0800 +1600]
ios_R26FrSiz  equ  ios_R25FrSiz+LVSZ   ; LVAL: Read User Memo<26> Free Byte Size [+0104 +0208 +0416 +0832 +1664]
ios_R27FrSiz  equ  ios_R26FrSiz+LVSZ   ; LVAL: Read User Memo<27> Free Byte Size [+0108 +0216 +0432 +0864 +1728]
ios_R28FrSiz  equ  ios_R27FrSiz+LVSZ   ; LVAL: Read User Memo<28> Free Byte Size [+0112 +0224 +0448 +0896 +1792]
ios_R29FrSiz  equ  ios_R28FrSiz+LVSZ   ; LVAL: Read User Memo<29> Free Byte Size [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30FrSiz  equ  ios_R29FrSiz+LVSZ   ; LVAL: Read DsLb File<30> Free Byte Size [+0120 +0240 +0480 +0960 +1920]
ios_R31FrSiz  equ  ios_R30FrSiz+LVSZ   ; LVAL: Read DsLb Memo<31> Free Byte Size [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00CsPtr  equ  ios_LNG+LVSZ*0896   ; PNTR: Writ ???? Console: Crit Sect Pntr [#3584 #7168 14336 28672 57344]
ios_W01CsPtr  equ  ios_W00CsPtr+LVSZ   ; PNTR: Writ StdO Cons<01> Crit Sect Pntr [+0004 +0008 +0016 +0032 +0064]
ios_W02CsPtr  equ  ios_W01CsPtr+LVSZ   ; PNTR: Writ User Cons<02> Crit Sect Pntr [+0008 +0016 +0032 +0064 +0128]
ios_W03CsPtr  equ  ios_W02CsPtr+LVSZ   ; PNTR: Writ User Cons<03> Crit Sect Pntr [+0012 +0024 +0048 +0096 +0192]
ios_W04CsPtr  equ  ios_W03CsPtr+LVSZ   ; PNTR: Writ User Cons<04> Crit Sect Pntr [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05CsPtr  equ  ios_W04CsPtr+LVSZ   ; PNTR: Writ User Cons<05> Crit Sect Pntr [+0020 +0040 +0080 +0160 +0320]
ios_W06CsPtr  equ  ios_W05CsPtr+LVSZ   ; PNTR: Writ User Cons<06> Crit Sect Pntr [+0024 +0048 +0096 +0192 +0384]
ios_W07CsPtr  equ  ios_W06CsPtr+LVSZ   ; PNTR: Writ User Cons<07> Crit Sect Pntr [+0028 +0056 +0112 +0224 +0448]
ios_W08CsPtr  equ  ios_W07CsPtr+LVSZ   ; PNTR: Writ User Cons<08> Crit Sect Pntr [+0032 +0064 +0128 +0256 +0512]
ios_W09CsPtr  equ  ios_W08CsPtr+LVSZ   ; PNTR: Writ User Cons<09> Crit Sect Pntr [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10CsPtr  equ  ios_W09CsPtr+LVSZ   ; PNTR: Writ User File<10> Crit Sect Pntr [+0040 +0080 +0160 +0320 +0640]
ios_W11CsPtr  equ  ios_W10CsPtr+LVSZ   ; PNTR: Writ User File<11> Crit Sect Pntr [+0044 +0088 +0176 +0352 +0704]
ios_W12CsPtr  equ  ios_W11CsPtr+LVSZ   ; PNTR: Writ User File<12> Crit Sect Pntr [+0048 +0096 +0192 +0384 +0768]
ios_W13CsPtr  equ  ios_W12CsPtr+LVSZ   ; PNTR: Writ User File<13> Crit Sect Pntr [+0052 +0104 +0208 +0416 +0832]
ios_W14CsPtr  equ  ios_W13CsPtr+LVSZ   ; PNTR: Writ User File<14> Crit Sect Pntr [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15CsPtr  equ  ios_W14CsPtr+LVSZ   ; PNTR: Writ User File<15> Crit Sect Pntr [+0060 +0120 +0240 +0480 +0960]
ios_W16CsPtr  equ  ios_W15CsPtr+LVSZ   ; PNTR: Writ User File<16> Crit Sect Pntr [+0064 +0128 +0256 +0512 +1024]
ios_W17CsPtr  equ  ios_W16CsPtr+LVSZ   ; PNTR: Writ User File<17> Crit Sect Pntr [+0068 +0136 +0272 +0544 +1088]
ios_W18CsPtr  equ  ios_W17CsPtr+LVSZ   ; PNTR: Writ User File<18> Crit Sect Pntr [+0072 +0144 +0288 +0576 +1152]
ios_W19CsPtr  equ  ios_W18CsPtr+LVSZ   ; PNTR: Writ User File<19> Crit Sect Pntr [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20CsPtr  equ  ios_W19CsPtr+LVSZ   ; PNTR: Writ User Memo<20> Crit Sect Pntr [+0080 +0160 +0320 +0640 +1280]
ios_W21CsPtr  equ  ios_W20CsPtr+LVSZ   ; PNTR: Writ User Memo<21> Crit Sect Pntr [+0084 +0168 +0336 +0672 +1344]
ios_W22CsPtr  equ  ios_W21CsPtr+LVSZ   ; PNTR: Writ User Memo<22> Crit Sect Pntr [+0088 +0176 +0352 +0704 +1408]
ios_W23CsPtr  equ  ios_W22CsPtr+LVSZ   ; PNTR: Writ User Memo<23> Crit Sect Pntr [+0092 +0184 +0368 +0736 +1472]
ios_W24CsPtr  equ  ios_W23CsPtr+LVSZ   ; PNTR: Writ User Memo<24> Crit Sect Pntr [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25CsPtr  equ  ios_W24CsPtr+LVSZ   ; PNTR: Writ User Memo<25> Crit Sect Pntr [+0100 +0200 +0400 +0800 +1600]
ios_W26CsPtr  equ  ios_W25CsPtr+LVSZ   ; PNTR: Writ User Memo<26> Crit Sect Pntr [+0104 +0208 +0416 +0832 +1664]
ios_W27CsPtr  equ  ios_W26CsPtr+LVSZ   ; PNTR: Writ User Memo<27> Crit Sect Pntr [+0108 +0216 +0432 +0864 +1728]
ios_W28CsPtr  equ  ios_W27CsPtr+LVSZ   ; PNTR: Writ User Memo<28> Crit Sect Pntr [+0112 +0224 +0448 +0896 +1792]
ios_W29CsPtr  equ  ios_W28CsPtr+LVSZ   ; PNTR: Writ User Memo<29> Crit Sect Pntr [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30CsPtr  equ  ios_W29CsPtr+LVSZ   ; PNTR: Writ DsLb File<30> Crit Sect Pntr [+0120 +0240 +0480 +0960 +1920]
ios_W31CsPtr  equ  ios_W30CsPtr+LVSZ   ; PNTR: Writ DsLb Memo<31> Crit Sect Pntr [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00CsPtr  equ  ios_LNG+LVSZ*0928   ; PNTR: Read ???? Console: Crit Sect Pntr [#3712 #7424 14848 29696 59392]
ios_R01CsPtr  equ  ios_R00CsPtr+LVSZ   ; PNTR: Read StdI Cons<01> Crit Sect Pntr [+0004 +0008 +0016 +0032 +0064]
ios_R02CsPtr  equ  ios_R01CsPtr+LVSZ   ; PNTR: Read User Cons<02> Crit Sect Pntr [+0008 +0016 +0032 +0064 +0128]
ios_R03CsPtr  equ  ios_R02CsPtr+LVSZ   ; PNTR: Read User Cons<03> Crit Sect Pntr [+0012 +0024 +0048 +0096 +0192]
ios_R04CsPtr  equ  ios_R03CsPtr+LVSZ   ; PNTR: Read User Cons<04> Crit Sect Pntr [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05CsPtr  equ  ios_R04CsPtr+LVSZ   ; PNTR: Read User Cons<05> Crit Sect Pntr [+0020 +0040 +0080 +0160 +0320]
ios_R06CsPtr  equ  ios_R05CsPtr+LVSZ   ; PNTR: Read User Cons<06> Crit Sect Pntr [+0024 +0048 +0096 +0192 +0384]
ios_R07CsPtr  equ  ios_R06CsPtr+LVSZ   ; PNTR: Read User Cons<07> Crit Sect Pntr [+0028 +0056 +0112 +0224 +0448]
ios_R08CsPtr  equ  ios_R07CsPtr+LVSZ   ; PNTR: Read User Cons<08> Crit Sect Pntr [+0032 +0064 +0128 +0256 +0512]
ios_R09CsPtr  equ  ios_R08CsPtr+LVSZ   ; PNTR: Read User Cons<09> Crit Sect Pntr [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10CsPtr  equ  ios_R09CsPtr+LVSZ   ; PNTR: Read User File<10> Crit Sect Pntr [+0040 +0080 +0160 +0320 +0640]
ios_R11CsPtr  equ  ios_R10CsPtr+LVSZ   ; PNTR: Read User File<11> Crit Sect Pntr [+0044 +0088 +0176 +0352 +0704]
ios_R12CsPtr  equ  ios_R11CsPtr+LVSZ   ; PNTR: Read User File<12> Crit Sect Pntr [+0048 +0096 +0192 +0384 +0768]
ios_R13CsPtr  equ  ios_R12CsPtr+LVSZ   ; PNTR: Read User File<13> Crit Sect Pntr [+0052 +0104 +0208 +0416 +0832]
ios_R14CsPtr  equ  ios_R13CsPtr+LVSZ   ; PNTR: Read User File<14> Crit Sect Pntr [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15CsPtr  equ  ios_R14CsPtr+LVSZ   ; PNTR: Read User File<15> Crit Sect Pntr [+0060 +0120 +0240 +0480 +0960]
ios_R16CsPtr  equ  ios_R15CsPtr+LVSZ   ; PNTR: Read User File<16> Crit Sect Pntr [+0064 +0128 +0256 +0512 +1024]
ios_R17CsPtr  equ  ios_R16CsPtr+LVSZ   ; PNTR: Read User File<17> Crit Sect Pntr [+0068 +0136 +0272 +0544 +1088]
ios_R18CsPtr  equ  ios_R17CsPtr+LVSZ   ; PNTR: Read User File<18> Crit Sect Pntr [+0072 +0144 +0288 +0576 +1152]
ios_R19CsPtr  equ  ios_R18CsPtr+LVSZ   ; PNTR: Read User File<19> Crit Sect Pntr [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20CsPtr  equ  ios_R19CsPtr+LVSZ   ; PNTR: Read User Memo<20> Crit Sect Pntr [+0080 +0160 +0320 +0640 +1280]
ios_R21CsPtr  equ  ios_R20CsPtr+LVSZ   ; PNTR: Read User Memo<21> Crit Sect Pntr [+0084 +0168 +0336 +0672 +1344]
ios_R22CsPtr  equ  ios_R21CsPtr+LVSZ   ; PNTR: Read User Memo<22> Crit Sect Pntr [+0088 +0176 +0352 +0704 +1408]
ios_R23CsPtr  equ  ios_R22CsPtr+LVSZ   ; PNTR: Read User Memo<23> Crit Sect Pntr [+0092 +0184 +0368 +0736 +1472]
ios_R24CsPtr  equ  ios_R23CsPtr+LVSZ   ; PNTR: Read User Memo<24> Crit Sect Pntr [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25CsPtr  equ  ios_R24CsPtr+LVSZ   ; PNTR: Read User Memo<25> Crit Sect Pntr [+0100 +0200 +0400 +0800 +1600]
ios_R26CsPtr  equ  ios_R25CsPtr+LVSZ   ; PNTR: Read User Memo<26> Crit Sect Pntr [+0104 +0208 +0416 +0832 +1664]
ios_R27CsPtr  equ  ios_R26CsPtr+LVSZ   ; PNTR: Read User Memo<27> Crit Sect Pntr [+0108 +0216 +0432 +0864 +1728]
ios_R28CsPtr  equ  ios_R27CsPtr+LVSZ   ; PNTR: Read User Memo<28> Crit Sect Pntr [+0112 +0224 +0448 +0896 +1792]
ios_R29CsPtr  equ  ios_R28CsPtr+LVSZ   ; PNTR: Read User Memo<29> Crit Sect Pntr [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30CsPtr  equ  ios_R29CsPtr+LVSZ   ; PNTR: Read DsLb File<30> Crit Sect Pntr [+0120 +0240 +0480 +0960 +1920]
ios_R31CsPtr  equ  ios_R30CsPtr+LVSZ   ; PNTR: Read DsLb Memo<31> Crit Sect Pntr [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
;* _W00FiHnd  equ  ios_LNG+LVSZ*0960   ; HNDL: Writ StdO Console: SystFileHandle [#1024 #2048 #4096 #8192 16384]
;* _W01FiHnd  equ  ios_W00FiHnd+LVSZ   ; HNDL: Writ User Cons<01> SystFileHandle [+0004 +0008 +0016 +0032 +0064]
;***************************************************************************************************************
ios_E00FiHnd  equ  ios_LNG+LVSZ*0992   ; HNDL: ErrorStdO Console: SystFileHandle [#3968 #7936 15872 31744 63488]
ios_E01FiHnd  equ  ios_E00FiHnd+LVSZ   ; HNDL: Erro User Cons<01> SystFileHandle [+0004 +0008 +0016 +0032 +0064]
ios_E02FiHnd  equ  ios_E01FiHnd+LVSZ   ; HNDL: Erro User Cons<02> SystFileHandle [+0008 +0016 +0032 +0064 +0128]
ios_E03FiHnd  equ  ios_E02FiHnd+LVSZ   ; HNDL: Erro User Cons<03> SystFileHandle [+0012 +0024 +0048 +0096 +0192]
ios_E04FiHnd  equ  ios_E03FiHnd+LVSZ   ; HNDL: Erro User Cons<04> SystFileHandle [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_E05FiHnd  equ  ios_E04FiHnd+LVSZ   ; HNDL: Erro User Cons<05> SystFileHandle [+0020 +0040 +0080 +0160 +0320]
ios_E06FiHnd  equ  ios_E05FiHnd+LVSZ   ; HNDL: Erro User Cons<06> SystFileHandle [+0024 +0048 +0096 +0192 +0384]
ios_E07FiHnd  equ  ios_E06FiHnd+LVSZ   ; HNDL: Erro User Cons<07> SystFileHandle [+0028 +0056 +0112 +0224 +0448]
ios_E08FiHnd  equ  ios_E07FiHnd+LVSZ   ; HNDL: Erro User Cons<08> SystFileHandle [+0032 +0064 +0128 +0256 +0512]
ios_E09FiHnd  equ  ios_E08FiHnd+LVSZ   ; HNDL: Erro User Cons<09> SystFileHandle [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_E10FiHnd  equ  ios_E09FiHnd+LVSZ   ; HNDL: Erro User File<10> SystFileHandle [+0040 +0080 +0160 +0320 +0640]
ios_E11FiHnd  equ  ios_E10FiHnd+LVSZ   ; HNDL: Erro User File<11> SystFileHandle [+0044 +0088 +0176 +0352 +0704]
ios_E12FiHnd  equ  ios_E11FiHnd+LVSZ   ; HNDL: Erro User File<12> SystFileHandle [+0048 +0096 +0192 +0384 +0768]
ios_E13FiHnd  equ  ios_E12FiHnd+LVSZ   ; HNDL: Erro User File<13> SystFileHandle [+0052 +0104 +0208 +0416 +0832]
ios_E14FiHnd  equ  ios_E13FiHnd+LVSZ   ; HNDL: Erro User File<14> SystFileHandle [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_E15FiHnd  equ  ios_E14FiHnd+LVSZ   ; HNDL: Erro User File<15> SystFileHandle [+0060 +0120 +0240 +0480 +0960]
ios_E16FiHnd  equ  ios_E15FiHnd+LVSZ   ; HNDL: Erro User File<16> SystFileHandle [+0064 +0128 +0256 +0512 +1024]
ios_E17FiHnd  equ  ios_E16FiHnd+LVSZ   ; HNDL: Erro User File<17> SystFileHandle [+0068 +0136 +0272 +0544 +1088]
ios_E18FiHnd  equ  ios_E17FiHnd+LVSZ   ; HNDL: Erro User File<18> SystFileHandle [+0072 +0144 +0288 +0576 +1152]
ios_E19FiHnd  equ  ios_E18FiHnd+LVSZ   ; HNDL: Erro User File<19> SystFileHandle [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_E20FiHnd  equ  ios_E19FiHnd+LVSZ   ; HNDL: Erro User Memo<20> SystFileHandle [+0080 +0160 +0320 +0640 +1280]
ios_E21FiHnd  equ  ios_E20FiHnd+LVSZ   ; HNDL: Erro User Memo<21> SystFileHandle [+0084 +0168 +0336 +0672 +1344]
ios_E22FiHnd  equ  ios_E21FiHnd+LVSZ   ; HNDL: Erro User Memo<22> SystFileHandle [+0088 +0176 +0352 +0704 +1408]
ios_E23FiHnd  equ  ios_E22FiHnd+LVSZ   ; HNDL: Erro User Memo<23> SystFileHandle [+0092 +0184 +0368 +0736 +1472]
ios_E24FiHnd  equ  ios_E23FiHnd+LVSZ   ; HNDL: Erro User Memo<24> SystFileHandle [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_E25FiHnd  equ  ios_E24FiHnd+LVSZ   ; HNDL: Erro User Memo<25> SystFileHandle [+0100 +0200 +0400 +0800 +1600]
ios_E26FiHnd  equ  ios_E25FiHnd+LVSZ   ; HNDL: Erro User Memo<26> SystFileHandle [+0104 +0208 +0416 +0832 +1664]
ios_E27FiHnd  equ  ios_E26FiHnd+LVSZ   ; HNDL: Erro User Memo<27> SystFileHandle [+0108 +0216 +0432 +0864 +1728]
ios_E28FiHnd  equ  ios_E27FiHnd+LVSZ   ; HNDL: Erro User Memo<28> SystFileHandle [+0112 +0224 +0448 +0896 +1792]
ios_E29FiHnd  equ  ios_E28FiHnd+LVSZ   ; HNDL: Erro User Memo<29> SystFileHandle [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_E30FiHnd  equ  ios_E29FiHnd+LVSZ   ; HNDL: Erro DsLb File<30> SystFileHandle [+0120 +0240 +0480 +0960 +1920]
ios_E31FiHnd  equ  ios_E30FiHnd+LVSZ   ; HNDL: Erro DsLb Memo<31> SystFileHandle [+0124 +0248 +0496 +0992 +1984]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_C0JprPtr  equ  ios_LNG+LVSZ*1024   ; PNTR: Copy ???? Console: JnpRecordPnter [#4096 #8192 16384 32768 65536]
ios_C1JprPtr  equ  ios_C0JprPtr+LVSZ   ; PNTR: Copy StdI Cons<01> JnpRecordPnter [+0004 +0008 +0016 +0032 +0064]
ios_C2JprPtr  equ  ios_C1JprPtr+LVSZ   ; PNTR: Copy User Cons<02> JnpRecordPnter [+0008 +0016 +0032 +0064 +0128]
ios_C3JprPtr  equ  ios_C2JprPtr+LVSZ   ; PNTR: Copy User Cons<03> JnpRecordPnter [+0012 +0024 +0048 +0096 +0192]
ios_C4JprPtr  equ  ios_C3JprPtr+LVSZ   ; PNTR: Copy User Cons<04> JnpRecordPnter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_C5JprPtr  equ  ios_C4JprPtr+LVSZ   ; PNTR: Copy User Cons<05> JnpRecordPnter [+0020 +0040 +0080 +0160 +0320]
ios_C6JprPtr  equ  ios_C5JprPtr+LVSZ   ; PNTR: Copy User Cons<06> JnpRecordPnter [+0024 +0048 +0096 +0192 +0384]
ios_C7JprPtr  equ  ios_C6JprPtr+LVSZ   ; PNTR: Copy User Cons<07> JnpRecordPnter [+0028 +0056 +0112 +0224 +0448]
ios_C8JprPtr  equ  ios_C7JprPtr+LVSZ   ; PNTR: Copy User Cons<08> JnpRecordPnter [+0032 +0064 +0128 +0256 +0512]
ios_C9JprPtr  equ  ios_C8JprPtr+LVSZ   ; PNTR: Copy User Cons<09> JnpRecordPnter [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_C0JprMax  equ  ios_LNG+LVSZ*1034   ; LVAL: Copy ???? Console: JnpRecordMaxim [#4136 #8272 16544 33088 66176]
ios_C1JprMax  equ  ios_C0JprMax+LVSZ   ; LVAL: Copy StdI Cons<01> JnpRecordMaxim [+0004 +0008 +0016 +0032 +0064]
ios_C2JprMax  equ  ios_C1JprMax+LVSZ   ; LVAL: Copy User Cons<02> JnpRecordMaxim [+0008 +0016 +0032 +0064 +0128]
ios_C3JprMax  equ  ios_C2JprMax+LVSZ   ; LVAL: Copy User Cons<03> JnpRecordMaxim [+0012 +0024 +0048 +0096 +0192]
ios_C4JprMax  equ  ios_C3JprMax+LVSZ   ; LVAL: Copy User Cons<04> JnpRecordMaxim [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_C5JprMax  equ  ios_C4JprMax+LVSZ   ; LVAL: Copy User Cons<05> JnpRecordMaxim [+0020 +0040 +0080 +0160 +0320]
ios_C6JprMax  equ  ios_C5JprMax+LVSZ   ; LVAL: Copy User Cons<06> JnpRecordMaxim [+0024 +0048 +0096 +0192 +0384]
ios_C7JprMax  equ  ios_C6JprMax+LVSZ   ; LVAL: Copy User Cons<07> JnpRecordMaxim [+0028 +0056 +0112 +0224 +0448]
ios_C8JprMax  equ  ios_C7JprMax+LVSZ   ; LVAL: Copy User Cons<08> JnpRecordMaxim [+0032 +0064 +0128 +0256 +0512]
ios_C9JprMax  equ  ios_C8JprMax+LVSZ   ; LVAL: Copy User Cons<09> JnpRecordMaxim [+0036 +0072 +0144 +0288 +0576]
;*==============================================================================================================
ios_W0JprIdx  equ  ios_LNG+LVSZ*1044   ; LVAL: Writ ???? Console: JnpRecordIndex [#4176 #8352 16704 33408 66816]
ios_W1JprIdx  equ  ios_W0JprIdx+LVSZ   ; LVAL: Writ StdI Cons<01> JnpRecordIndex [+0004 +0008 +0016 +0032 +0064]
ios_W2JprIdx  equ  ios_W1JprIdx+LVSZ   ; LVAL: Writ User Cons<02> JnpRecordIndex [+0008 +0016 +0032 +0064 +0128]
ios_W3JprIdx  equ  ios_W2JprIdx+LVSZ   ; LVAL: Writ User Cons<03> JnpRecordIndex [+0012 +0024 +0048 +0096 +0192]
ios_W4JprIdx  equ  ios_W3JprIdx+LVSZ   ; LVAL: Writ User Cons<04> JnpRecordIndex [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5JprIdx  equ  ios_W4JprIdx+LVSZ   ; LVAL: Writ User Cons<05> JnpRecordIndex [+0020 +0040 +0080 +0160 +0320]
ios_W6JprIdx  equ  ios_W5JprIdx+LVSZ   ; LVAL: Writ User Cons<06> JnpRecordIndex [+0024 +0048 +0096 +0192 +0384]
ios_W7JprIdx  equ  ios_W6JprIdx+LVSZ   ; LVAL: Writ User Cons<07> JnpRecordIndex [+0028 +0056 +0112 +0224 +0448]
ios_W8JprIdx  equ  ios_W7JprIdx+LVSZ   ; LVAL: Writ User Cons<08> JnpRecordIndex [+0032 +0064 +0128 +0256 +0512]
ios_W9JprIdx  equ  ios_W8JprIdx+LVSZ   ; LVAL: Writ User Cons<09> JnpRecordIndex [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0JprCnt  equ  ios_LNG+LVSZ*1054   ; LVAL: Writ ???? Console: JnpRecordCount [#4216 #8432 16864 33728 67456]
ios_W1JprCnt  equ  ios_W0JprCnt+LVSZ   ; LVAL: Writ StdI Cons<01> JnpRecordCount [+0004 +0008 +0016 +0032 +0064]
ios_W2JprCnt  equ  ios_W1JprCnt+LVSZ   ; LVAL: Writ User Cons<02> JnpRecordCount [+0008 +0016 +0032 +0064 +0128]
ios_W3JprCnt  equ  ios_W2JprCnt+LVSZ   ; LVAL: Writ User Cons<03> JnpRecordCount [+0012 +0024 +0048 +0096 +0192]
ios_W4JprCnt  equ  ios_W3JprCnt+LVSZ   ; LVAL: Writ User Cons<04> JnpRecordCount [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5JprCnt  equ  ios_W4JprCnt+LVSZ   ; LVAL: Writ User Cons<05> JnpRecordCount [+0020 +0040 +0080 +0160 +0320]
ios_W6JprCnt  equ  ios_W5JprCnt+LVSZ   ; LVAL: Writ User Cons<06> JnpRecordCount [+0024 +0048 +0096 +0192 +0384]
ios_W7JprCnt  equ  ios_W6JprCnt+LVSZ   ; LVAL: Writ User Cons<07> JnpRecordCount [+0028 +0056 +0112 +0224 +0448]
ios_W8JprCnt  equ  ios_W7JprCnt+LVSZ   ; LVAL: Writ User Cons<08> JnpRecordCount [+0032 +0064 +0128 +0256 +0512]
ios_W9JprCnt  equ  ios_W8JprCnt+LVSZ   ; LVAL: Writ User Cons<09> JnpRecordCount [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W0JprRes  equ  ios_LNG+LVSZ*1064   ; LVAL: Writ ???? Console: JnpRecordResvd [#4256 #8512 17024 34048 68096]
ios_W1JprRes  equ  ios_W0JprRes+LVSZ   ; LVAL: Writ StdI Cons<01> JnpRecordResvd [+0004 +0008 +0016 +0032 +0064]
ios_W2JprRes  equ  ios_W1JprRes+LVSZ   ; LVAL: Writ User Cons<02> JnpRecordResvd [+0008 +0016 +0032 +0064 +0128]
ios_W3JprRes  equ  ios_W2JprRes+LVSZ   ; LVAL: Writ User Cons<03> JnpRecordResvd [+0012 +0024 +0048 +0096 +0192]
ios_W4JprRes  equ  ios_W3JprRes+LVSZ   ; LVAL: Writ User Cons<04> JnpRecordResvd [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W5JprRes  equ  ios_W4JprRes+LVSZ   ; LVAL: Writ User Cons<05> JnpRecordResvd [+0020 +0040 +0080 +0160 +0320]
ios_W6JprRes  equ  ios_W5JprRes+LVSZ   ; LVAL: Writ User Cons<06> JnpRecordResvd [+0024 +0048 +0096 +0192 +0384]
ios_W7JprRes  equ  ios_W6JprRes+LVSZ   ; LVAL: Writ User Cons<07> JnpRecordResvd [+0028 +0056 +0112 +0224 +0448]
ios_W8JprRes  equ  ios_W7JprRes+LVSZ   ; LVAL: Writ User Cons<08> JnpRecordResvd [+0032 +0064 +0128 +0256 +0512]
ios_W9JprRes  equ  ios_W8JprRes+LVSZ   ; LVAL: Writ User Cons<09> JnpRecordResvd [+0036 +0072 +0144 +0288 +0576]
;*--------------------------------------------------------------------------------------------------------------
ios_R0JprIdx  equ  ios_LNG+LVSZ*1074   ; LVAL: Read ???? Console: JnpRecordIndex [#4296 #8592 17184 34368 68736]
ios_R1JprIdx  equ  ios_R0JprIdx+LVSZ   ; LVAL: Read StdI Cons<01> JnpRecordIndex [+0004 +0008 +0016 +0032 +0064]
ios_R2JprIdx  equ  ios_R1JprIdx+LVSZ   ; LVAL: Read User Cons<02> JnpRecordIndex [+0008 +0016 +0032 +0064 +0128]
ios_R3JprIdx  equ  ios_R2JprIdx+LVSZ   ; LVAL: Read User Cons<03> JnpRecordIndex [+0012 +0024 +0048 +0096 +0192]
ios_R4JprIdx  equ  ios_R3JprIdx+LVSZ   ; LVAL: Read User Cons<04> JnpRecordIndex [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5JprIdx  equ  ios_R4JprIdx+LVSZ   ; LVAL: Read User Cons<05> JnpRecordIndex [+0020 +0040 +0080 +0160 +0320]
ios_R6JprIdx  equ  ios_R5JprIdx+LVSZ   ; LVAL: Read User Cons<06> JnpRecordIndex [+0024 +0048 +0096 +0192 +0384]
ios_R7JprIdx  equ  ios_R6JprIdx+LVSZ   ; LVAL: Read User Cons<07> JnpRecordIndex [+0028 +0056 +0112 +0224 +0448]
ios_R8JprIdx  equ  ios_R7JprIdx+LVSZ   ; LVAL: Read User Cons<08> JnpRecordIndex [+0032 +0064 +0128 +0256 +0512]
ios_R9JprIdx  equ  ios_R8JprIdx+LVSZ   ; LVAL: Read User Cons<09> JnpRecordIndex [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0JprCnt  equ  ios_LNG+LVSZ*1084   ; LVAL: Read ???? Console: JnpRecordCount [#4336 #8672 17344 34688 69376]
ios_R1JprCnt  equ  ios_R0JprCnt+LVSZ   ; LVAL: Read StdI Cons<01> JnpRecordCount [+0004 +0008 +0016 +0032 +0064]
ios_R2JprCnt  equ  ios_R1JprCnt+LVSZ   ; LVAL: Read User Cons<02> JnpRecordCount [+0008 +0016 +0032 +0064 +0128]
ios_R3JprCnt  equ  ios_R2JprCnt+LVSZ   ; LVAL: Read User Cons<03> JnpRecordCount [+0012 +0024 +0048 +0096 +0192]
ios_R4JprCnt  equ  ios_R3JprCnt+LVSZ   ; LVAL: Read User Cons<04> JnpRecordCount [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5JprCnt  equ  ios_R4JprCnt+LVSZ   ; LVAL: Read User Cons<05> JnpRecordCount [+0020 +0040 +0080 +0160 +0320]
ios_R6JprCnt  equ  ios_R5JprCnt+LVSZ   ; LVAL: Read User Cons<06> JnpRecordCount [+0024 +0048 +0096 +0192 +0384]
ios_R7JprCnt  equ  ios_R6JprCnt+LVSZ   ; LVAL: Read User Cons<07> JnpRecordCount [+0028 +0056 +0112 +0224 +0448]
ios_R8JprCnt  equ  ios_R7JprCnt+LVSZ   ; LVAL: Read User Cons<08> JnpRecordCount [+0032 +0064 +0128 +0256 +0512]
ios_R9JprCnt  equ  ios_R8JprCnt+LVSZ   ; LVAL: Read User Cons<09> JnpRecordCount [+0036 +0072 +0144 +0288 +0576]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R0JprRes  equ  ios_LNG+LVSZ*1094   ; LVAL: Read ???? Console: JnpRecordResvd [#4376 #8752 17504 35008 70016]
ios_R1JprRes  equ  ios_R0JprRes+LVSZ   ; LVAL: Read StdI Cons<01> JnpRecordResvd [+0004 +0008 +0016 +0032 +0064]
ios_R2JprRes  equ  ios_R1JprRes+LVSZ   ; LVAL: Read User Cons<02> JnpRecordResvd [+0008 +0016 +0032 +0064 +0128]
ios_R3JprRes  equ  ios_R2JprRes+LVSZ   ; LVAL: Read User Cons<03> JnpRecordResvd [+0012 +0024 +0048 +0096 +0192]
ios_R4JprRes  equ  ios_R3JprRes+LVSZ   ; LVAL: Read User Cons<04> JnpRecordResvd [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R5JprRes  equ  ios_R4JprRes+LVSZ   ; LVAL: Read User Cons<05> JnpRecordResvd [+0020 +0040 +0080 +0160 +0320]
ios_R6JprRes  equ  ios_R5JprRes+LVSZ   ; LVAL: Read User Cons<06> JnpRecordResvd [+0024 +0048 +0096 +0192 +0384]
ios_R7JprRes  equ  ios_R6JprRes+LVSZ   ; LVAL: Read User Cons<07> JnpRecordResvd [+0028 +0056 +0112 +0224 +0448]
ios_R8JprRes  equ  ios_R7JprRes+LVSZ   ; LVAL: Read User Cons<08> JnpRecordResvd [+0032 +0064 +0128 +0256 +0512]
ios_R9JprRes  equ  ios_R8JprRes+LVSZ   ; LVAL: Read User Cons<09> JnpRecordResvd [+0036 +0072 +0144 +0288 +0576]
;*==============================================================================================================

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_W00Mutex  equ  ios_LNG+LVSZ*1280   ; PNTR: Writ ???? Console: MutualExcludes [#3584 #7168 14336 28672 57344]
ios_W01Mutex  equ  ios_W00Mutex+LVSZ   ; PNTR: Writ StdO Cons<01> MutualExcludes [+0004 +0008 +0016 +0032 +0064]
ios_W02Mutex  equ  ios_W01Mutex+LVSZ   ; PNTR: Writ User Cons<02> MutualExcludes [+0008 +0016 +0032 +0064 +0128]
ios_W03Mutex  equ  ios_W02Mutex+LVSZ   ; PNTR: Writ User Cons<03> MutualExcludes [+0012 +0024 +0048 +0096 +0192]
ios_W04Mutex  equ  ios_W03Mutex+LVSZ   ; PNTR: Writ User Cons<04> MutualExcludes [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05Mutex  equ  ios_W04Mutex+LVSZ   ; PNTR: Writ User Cons<05> MutualExcludes [+0020 +0040 +0080 +0160 +0320]
ios_W06Mutex  equ  ios_W05Mutex+LVSZ   ; PNTR: Writ User Cons<06> MutualExcludes [+0024 +0048 +0096 +0192 +0384]
ios_W07Mutex  equ  ios_W06Mutex+LVSZ   ; PNTR: Writ User Cons<07> MutualExcludes [+0028 +0056 +0112 +0224 +0448]
ios_W08Mutex  equ  ios_W07Mutex+LVSZ   ; PNTR: Writ User Cons<08> MutualExcludes [+0032 +0064 +0128 +0256 +0512]
ios_W09Mutex  equ  ios_W08Mutex+LVSZ   ; PNTR: Writ User Cons<09> MutualExcludes [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10Mutex  equ  ios_W09Mutex+LVSZ   ; PNTR: Writ User File<10> MutualExcludes [+0040 +0080 +0160 +0320 +0640]
ios_W11Mutex  equ  ios_W10Mutex+LVSZ   ; PNTR: Writ User File<11> MutualExcludes [+0044 +0088 +0176 +0352 +0704]
ios_W12Mutex  equ  ios_W11Mutex+LVSZ   ; PNTR: Writ User File<12> MutualExcludes [+0048 +0096 +0192 +0384 +0768]
ios_W13Mutex  equ  ios_W12Mutex+LVSZ   ; PNTR: Writ User File<13> MutualExcludes [+0052 +0104 +0208 +0416 +0832]
ios_W14Mutex  equ  ios_W13Mutex+LVSZ   ; PNTR: Writ User File<14> MutualExcludes [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15Mutex  equ  ios_W14Mutex+LVSZ   ; PNTR: Writ User File<15> MutualExcludes [+0060 +0120 +0240 +0480 +0960]
ios_W16Mutex  equ  ios_W15Mutex+LVSZ   ; PNTR: Writ User File<16> MutualExcludes [+0064 +0128 +0256 +0512 +1024]
ios_W17Mutex  equ  ios_W16Mutex+LVSZ   ; PNTR: Writ User File<17> MutualExcludes [+0068 +0136 +0272 +0544 +1088]
ios_W18Mutex  equ  ios_W17Mutex+LVSZ   ; PNTR: Writ User File<18> MutualExcludes [+0072 +0144 +0288 +0576 +1152]
ios_W19Mutex  equ  ios_W18Mutex+LVSZ   ; PNTR: Writ User File<19> MutualExcludes [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20Mutex  equ  ios_W19Mutex+LVSZ   ; PNTR: Writ User Memo<20> MutualExcludes [+0080 +0160 +0320 +0640 +1280]
ios_W21Mutex  equ  ios_W20Mutex+LVSZ   ; PNTR: Writ User Memo<21> MutualExcludes [+0084 +0168 +0336 +0672 +1344]
ios_W22Mutex  equ  ios_W21Mutex+LVSZ   ; PNTR: Writ User Memo<22> MutualExcludes [+0088 +0176 +0352 +0704 +1408]
ios_W23Mutex  equ  ios_W22Mutex+LVSZ   ; PNTR: Writ User Memo<23> MutualExcludes [+0092 +0184 +0368 +0736 +1472]
ios_W24Mutex  equ  ios_W23Mutex+LVSZ   ; PNTR: Writ User Memo<24> MutualExcludes [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25Mutex  equ  ios_W24Mutex+LVSZ   ; PNTR: Writ User Memo<25> MutualExcludes [+0100 +0200 +0400 +0800 +1600]
ios_W26Mutex  equ  ios_W25Mutex+LVSZ   ; PNTR: Writ User Memo<26> MutualExcludes [+0104 +0208 +0416 +0832 +1664]
ios_W27Mutex  equ  ios_W26Mutex+LVSZ   ; PNTR: Writ User Memo<27> MutualExcludes [+0108 +0216 +0432 +0864 +1728]
ios_W28Mutex  equ  ios_W27Mutex+LVSZ   ; PNTR: Writ User Memo<28> MutualExcludes [+0112 +0224 +0448 +0896 +1792]
ios_W29Mutex  equ  ios_W28Mutex+LVSZ   ; PNTR: Writ User Memo<29> MutualExcludes [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30Mutex  equ  ios_W29Mutex+LVSZ   ; PNTR: Writ DsLb File<30> MutualExcludes [+0120 +0240 +0480 +0960 +1920]
ios_W31Mutex  equ  ios_W30Mutex+LVSZ   ; PNTR: Writ DsLb Memo<31> MutualExcludes [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00Mutex  equ  ios_LNG+LVSZ*1312   ; PNTR: Read ???? Console: MutualExcludes [#3712 #7424 14848 29696 59392]
ios_R01Mutex  equ  ios_R00Mutex+LVSZ   ; PNTR: Read StdI Cons<01> MutualExcludes [+0004 +0008 +0016 +0032 +0064]
ios_R02Mutex  equ  ios_R01Mutex+LVSZ   ; PNTR: Read User Cons<02> MutualExcludes [+0008 +0016 +0032 +0064 +0128]
ios_R03Mutex  equ  ios_R02Mutex+LVSZ   ; PNTR: Read User Cons<03> MutualExcludes [+0012 +0024 +0048 +0096 +0192]
ios_R04Mutex  equ  ios_R03Mutex+LVSZ   ; PNTR: Read User Cons<04> MutualExcludes [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05Mutex  equ  ios_R04Mutex+LVSZ   ; PNTR: Read User Cons<05> MutualExcludes [+0020 +0040 +0080 +0160 +0320]
ios_R06Mutex  equ  ios_R05Mutex+LVSZ   ; PNTR: Read User Cons<06> MutualExcludes [+0024 +0048 +0096 +0192 +0384]
ios_R07Mutex  equ  ios_R06Mutex+LVSZ   ; PNTR: Read User Cons<07> MutualExcludes [+0028 +0056 +0112 +0224 +0448]
ios_R08Mutex  equ  ios_R07Mutex+LVSZ   ; PNTR: Read User Cons<08> MutualExcludes [+0032 +0064 +0128 +0256 +0512]
ios_R09Mutex  equ  ios_R08Mutex+LVSZ   ; PNTR: Read User Cons<09> MutualExcludes [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10Mutex  equ  ios_R09Mutex+LVSZ   ; PNTR: Read User File<10> MutualExcludes [+0040 +0080 +0160 +0320 +0640]
ios_R11Mutex  equ  ios_R10Mutex+LVSZ   ; PNTR: Read User File<11> MutualExcludes [+0044 +0088 +0176 +0352 +0704]
ios_R12Mutex  equ  ios_R11Mutex+LVSZ   ; PNTR: Read User File<12> MutualExcludes [+0048 +0096 +0192 +0384 +0768]
ios_R13Mutex  equ  ios_R12Mutex+LVSZ   ; PNTR: Read User File<13> MutualExcludes [+0052 +0104 +0208 +0416 +0832]
ios_R14Mutex  equ  ios_R13Mutex+LVSZ   ; PNTR: Read User File<14> MutualExcludes [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15Mutex  equ  ios_R14Mutex+LVSZ   ; PNTR: Read User File<15> MutualExcludes [+0060 +0120 +0240 +0480 +0960]
ios_R16Mutex  equ  ios_R15Mutex+LVSZ   ; PNTR: Read User File<16> MutualExcludes [+0064 +0128 +0256 +0512 +1024]
ios_R17Mutex  equ  ios_R16Mutex+LVSZ   ; PNTR: Read User File<17> MutualExcludes [+0068 +0136 +0272 +0544 +1088]
ios_R18Mutex  equ  ios_R17Mutex+LVSZ   ; PNTR: Read User File<18> MutualExcludes [+0072 +0144 +0288 +0576 +1152]
ios_R19Mutex  equ  ios_R18Mutex+LVSZ   ; PNTR: Read User File<19> MutualExcludes [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20Mutex  equ  ios_R19Mutex+LVSZ   ; PNTR: Read User Memo<20> MutualExcludes [+0080 +0160 +0320 +0640 +1280]
ios_R21Mutex  equ  ios_R20Mutex+LVSZ   ; PNTR: Read User Memo<21> MutualExcludes [+0084 +0168 +0336 +0672 +1344]
ios_R22Mutex  equ  ios_R21Mutex+LVSZ   ; PNTR: Read User Memo<22> MutualExcludes [+0088 +0176 +0352 +0704 +1408]
ios_R23Mutex  equ  ios_R22Mutex+LVSZ   ; PNTR: Read User Memo<23> MutualExcludes [+0092 +0184 +0368 +0736 +1472]
ios_R24Mutex  equ  ios_R23Mutex+LVSZ   ; PNTR: Read User Memo<24> MutualExcludes [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25Mutex  equ  ios_R24Mutex+LVSZ   ; PNTR: Read User Memo<25> MutualExcludes [+0100 +0200 +0400 +0800 +1600]
ios_R26Mutex  equ  ios_R25Mutex+LVSZ   ; PNTR: Read User Memo<26> MutualExcludes [+0104 +0208 +0416 +0832 +1664]
ios_R27Mutex  equ  ios_R26Mutex+LVSZ   ; PNTR: Read User Memo<27> MutualExcludes [+0108 +0216 +0432 +0864 +1728]
ios_R28Mutex  equ  ios_R27Mutex+LVSZ   ; PNTR: Read User Memo<28> MutualExcludes [+0112 +0224 +0448 +0896 +1792]
ios_R29Mutex  equ  ios_R28Mutex+LVSZ   ; PNTR: Read User Memo<29> MutualExcludes [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30Mutex  equ  ios_R29Mutex+LVSZ   ; PNTR: Read DsLb File<30> MutualExcludes [+0120 +0240 +0480 +0960 +1920]
ios_R31Mutex  equ  ios_R30Mutex+LVSZ   ; PNTR: Read DsLb Memo<31> MutualExcludes [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
;* _W00FiHnd  equ  ios_LNG+LVSZ*1344   ; HNDL: Writ StdO Console: SystFileHandle [#1024 #2048 #4096 #8192 16384]
;* _W01FiHnd  equ  ios_W00FiHnd+LVSZ   ; HNDL: Writ User Cons<01> SystFileHandle [+0004 +0008 +0016 +0032 +0064]
;###############################################################################################################

;*==============================================================================================================
ios_W00BgCnt  equ  ios_LNG+LVSZ*1600   ; LVAL: Writ StdO Console: Begin  Counter [#2560 #5120 10240 20480 40960]
ios_W01BgCnt  equ  ios_W00BgCnt+LVSZ   ; LVAL: Writ User Cons<01> Begin  Counter [+0004 +0008 +0016 +0032 +0064]
ios_W02BgCnt  equ  ios_W01BgCnt+LVSZ   ; LVAL: Writ User Cons<02> Begin  Counter [+0008 +0016 +0032 +0064 +0128]
ios_W03BgCnt  equ  ios_W02BgCnt+LVSZ   ; LVAL: Writ User Cons<03> Begin  Counter [+0012 +0024 +0048 +0096 +0192]
ios_W04BgCnt  equ  ios_W03BgCnt+LVSZ   ; LVAL: Writ User Cons<04> Begin  Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05BgCnt  equ  ios_W04BgCnt+LVSZ   ; LVAL: Writ User Cons<05> Begin  Counter [+0020 +0040 +0080 +0160 +0320]
ios_W06BgCnt  equ  ios_W05BgCnt+LVSZ   ; LVAL: Writ User Cons<06> Begin  Counter [+0024 +0048 +0096 +0192 +0384]
ios_W07BgCnt  equ  ios_W06BgCnt+LVSZ   ; LVAL: Writ User Cons<07> Begin  Counter [+0028 +0056 +0112 +0224 +0448]
ios_W08BgCnt  equ  ios_W07BgCnt+LVSZ   ; LVAL: Writ User Cons<08> Begin  Counter [+0032 +0064 +0128 +0256 +0512]
ios_W09BgCnt  equ  ios_W08BgCnt+LVSZ   ; LVAL: Writ User Cons<09> Begin  Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10BgCnt  equ  ios_W09BgCnt+LVSZ   ; LVAL: Writ User File<10> Begin  Counter [+0040 +0080 +0160 +0320 +0640]
ios_W11BgCnt  equ  ios_W10BgCnt+LVSZ   ; LVAL: Writ User File<11> Begin  Counter [+0044 +0088 +0176 +0352 +0704]
ios_W12BgCnt  equ  ios_W11BgCnt+LVSZ   ; LVAL: Writ User File<12> Begin  Counter [+0048 +0096 +0192 +0384 +0768]
ios_W13BgCnt  equ  ios_W12BgCnt+LVSZ   ; LVAL: Writ User File<13> Begin  Counter [+0052 +0104 +0208 +0416 +0832]
ios_W14BgCnt  equ  ios_W13BgCnt+LVSZ   ; LVAL: Writ User File<14> Begin  Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15BgCnt  equ  ios_W14BgCnt+LVSZ   ; LVAL: Writ User File<15> Begin  Counter [+0060 +0120 +0240 +0480 +0960]
ios_W16BgCnt  equ  ios_W15BgCnt+LVSZ   ; LVAL: Writ User File<16> Begin  Counter [+0064 +0128 +0256 +0512 +1024]
ios_W17BgCnt  equ  ios_W16BgCnt+LVSZ   ; LVAL: Writ User File<17> Begin  Counter [+0068 +0136 +0272 +0544 +1088]
ios_W18BgCnt  equ  ios_W17BgCnt+LVSZ   ; LVAL: Writ User File<18> Begin  Counter [+0072 +0144 +0288 +0576 +1152]
ios_W19BgCnt  equ  ios_W18BgCnt+LVSZ   ; LVAL: Writ User File<19> Begin  Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20BgCnt  equ  ios_W19BgCnt+LVSZ   ; LVAL: Writ User Memo<20> Begin  Counter [+0080 +0160 +0320 +0640 +1280]
ios_W21BgCnt  equ  ios_W20BgCnt+LVSZ   ; LVAL: Writ User Memo<21> Begin  Counter [+0084 +0168 +0336 +0672 +1344]
ios_W22BgCnt  equ  ios_W21BgCnt+LVSZ   ; LVAL: Writ User Memo<22> Begin  Counter [+0088 +0176 +0352 +0704 +1408]
ios_W23BgCnt  equ  ios_W22BgCnt+LVSZ   ; LVAL: Writ User Memo<23> Begin  Counter [+0092 +0184 +0368 +0736 +1472]
ios_W24BgCnt  equ  ios_W23BgCnt+LVSZ   ; LVAL: Writ User Memo<24> Begin  Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25BgCnt  equ  ios_W24BgCnt+LVSZ   ; LVAL: Writ User Memo<25> Begin  Counter [+0100 +0200 +0400 +0800 +1600]
ios_W26BgCnt  equ  ios_W25BgCnt+LVSZ   ; LVAL: Writ User Memo<26> Begin  Counter [+0104 +0208 +0416 +0832 +1664]
ios_W27BgCnt  equ  ios_W26BgCnt+LVSZ   ; LVAL: Writ User Memo<27> Begin  Counter [+0108 +0216 +0432 +0864 +1728]
ios_W28BgCnt  equ  ios_W27BgCnt+LVSZ   ; LVAL: Writ User Memo<28> Begin  Counter [+0112 +0224 +0448 +0896 +1792]
ios_W29BgCnt  equ  ios_W28BgCnt+LVSZ   ; LVAL: Writ User Memo<29> Begin  Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30BgCnt  equ  ios_W29BgCnt+LVSZ   ; LVAL: Writ DsLb File<30> Begin  Counter [+0120 +0240 +0480 +0960 +1920]
ios_W31BgCnt  equ  ios_W30BgCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> Begin  Counter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00BgCnt  equ  ios_LNG+LVSZ*1632   ; LVAL: Read StdO Console: Begin  Counter [#2688 #5376 10752 21504 43008]
ios_R01BgCnt  equ  ios_R00BgCnt+LVSZ   ; LVAL: Read User Cons<01> Begin  Counter [+0004 +0008 +0016 +0032 +0064]
ios_R02BgCnt  equ  ios_R01BgCnt+LVSZ   ; LVAL: Read User Cons<02> Begin  Counter [+0008 +0016 +0032 +0064 +0128]
ios_R03BgCnt  equ  ios_R02BgCnt+LVSZ   ; LVAL: Read User Cons<03> Begin  Counter [+0012 +0024 +0048 +0096 +0192]
ios_R04BgCnt  equ  ios_R03BgCnt+LVSZ   ; LVAL: Read User Cons<04> Begin  Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05BgCnt  equ  ios_R04BgCnt+LVSZ   ; LVAL: Read User Cons<05> Begin  Counter [+0020 +0040 +0080 +0160 +0320]
ios_R06BgCnt  equ  ios_R05BgCnt+LVSZ   ; LVAL: Read User Cons<06> Begin  Counter [+0024 +0048 +0096 +0192 +0384]
ios_R07BgCnt  equ  ios_R06BgCnt+LVSZ   ; LVAL: Read User Cons<07> Begin  Counter [+0028 +0056 +0112 +0224 +0448]
ios_R08BgCnt  equ  ios_R07BgCnt+LVSZ   ; LVAL: Read User Cons<08> Begin  Counter [+0032 +0064 +0128 +0256 +0512]
ios_R09BgCnt  equ  ios_R08BgCnt+LVSZ   ; LVAL: Read User Cons<09> Begin  Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10BgCnt  equ  ios_R09BgCnt+LVSZ   ; LVAL: Read User File<10> Begin  Counter [+0040 +0080 +0160 +0320 +0640]
ios_R11BgCnt  equ  ios_R10BgCnt+LVSZ   ; LVAL: Read User File<11> Begin  Counter [+0044 +0088 +0176 +0352 +0704]
ios_R12BgCnt  equ  ios_R11BgCnt+LVSZ   ; LVAL: Read User File<12> Begin  Counter [+0048 +0096 +0192 +0384 +0768]
ios_R13BgCnt  equ  ios_R12BgCnt+LVSZ   ; LVAL: Read User File<13> Begin  Counter [+0052 +0104 +0208 +0416 +0832]
ios_R14BgCnt  equ  ios_R13BgCnt+LVSZ   ; LVAL: Read User File<14> Begin  Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15BgCnt  equ  ios_R14BgCnt+LVSZ   ; LVAL: Read User File<15> Begin  Counter [+0060 +0120 +0240 +0480 +0960]
ios_R16BgCnt  equ  ios_R15BgCnt+LVSZ   ; LVAL: Read User File<16> Begin  Counter [+0064 +0128 +0256 +0512 +1024]
ios_R17BgCnt  equ  ios_R16BgCnt+LVSZ   ; LVAL: Read User File<17> Begin  Counter [+0068 +0136 +0272 +0544 +1088]
ios_R18BgCnt  equ  ios_R17BgCnt+LVSZ   ; LVAL: Read User File<18> Begin  Counter [+0072 +0144 +0288 +0576 +1152]
ios_R19BgCnt  equ  ios_R18BgCnt+LVSZ   ; LVAL: Read User File<19> Begin  Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20BgCnt  equ  ios_R19BgCnt+LVSZ   ; LVAL: Read User Memo<20> Begin  Counter [+0080 +0160 +0320 +0640 +1280]
ios_R21BgCnt  equ  ios_R20BgCnt+LVSZ   ; LVAL: Read User Memo<21> Begin  Counter [+0084 +0168 +0336 +0672 +1344]
ios_R22BgCnt  equ  ios_R21BgCnt+LVSZ   ; LVAL: Read User Memo<22> Begin  Counter [+0088 +0176 +0352 +0704 +1408]
ios_R23BgCnt  equ  ios_R22BgCnt+LVSZ   ; LVAL: Read User Memo<23> Begin  Counter [+0092 +0184 +0368 +0736 +1472]
ios_R24BgCnt  equ  ios_R23BgCnt+LVSZ   ; LVAL: Read User Memo<24> Begin  Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25BgCnt  equ  ios_R24BgCnt+LVSZ   ; LVAL: Read User Memo<25> Begin  Counter [+0100 +0200 +0400 +0800 +1600]
ios_R26BgCnt  equ  ios_R25BgCnt+LVSZ   ; LVAL: Read User Memo<26> Begin  Counter [+0104 +0208 +0416 +0832 +1664]
ios_R27BgCnt  equ  ios_R26BgCnt+LVSZ   ; LVAL: Read User Memo<27> Begin  Counter [+0108 +0216 +0432 +0864 +1728]
ios_R28BgCnt  equ  ios_R27BgCnt+LVSZ   ; LVAL: Read User Memo<28> Begin  Counter [+0112 +0224 +0448 +0896 +1792]
ios_R29BgCnt  equ  ios_R28BgCnt+LVSZ   ; LVAL: Read User Memo<29> Begin  Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30BgCnt  equ  ios_R29BgCnt+LVSZ   ; LVAL: Read DsLb File<30> Begin  Counter [+0120 +0240 +0480 +0960 +1920]
ios_R31BgCnt  equ  ios_R30BgCnt+LVSZ   ; LVAL: Read DsLb Memo<31> Begin  Counter [+0124 +0248 +0496 +0992 +1984]
;*==============================================================================================================
ios_W00EnCnt  equ  ios_LNG+LVSZ*1664   ; LVAL: Writ StdO Console: Ending Counter [#2816 #5632 11264 22528 45056]
ios_W01EnCnt  equ  ios_W00EnCnt+LVSZ   ; LVAL: Writ User Cons<01> Ending Counter [+0004 +0008 +0016 +0032 +0064]
ios_W02EnCnt  equ  ios_W01EnCnt+LVSZ   ; LVAL: Writ User Cons<02> Ending Counter [+0008 +0016 +0032 +0064 +0128]
ios_W03EnCnt  equ  ios_W02EnCnt+LVSZ   ; LVAL: Writ User Cons<03> Ending Counter [+0012 +0024 +0048 +0096 +0192]
ios_W04EnCnt  equ  ios_W03EnCnt+LVSZ   ; LVAL: Writ User Cons<04> Ending Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W05EnCnt  equ  ios_W04EnCnt+LVSZ   ; LVAL: Writ User Cons<05> Ending Counter [+0020 +0040 +0080 +0160 +0320]
ios_W06EnCnt  equ  ios_W05EnCnt+LVSZ   ; LVAL: Writ User Cons<06> Ending Counter [+0024 +0048 +0096 +0192 +0384]
ios_W07EnCnt  equ  ios_W06EnCnt+LVSZ   ; LVAL: Writ User Cons<07> Ending Counter [+0028 +0056 +0112 +0224 +0448]
ios_W08EnCnt  equ  ios_W07EnCnt+LVSZ   ; LVAL: Writ User Cons<08> Ending Counter [+0032 +0064 +0128 +0256 +0512]
ios_W09EnCnt  equ  ios_W08EnCnt+LVSZ   ; LVAL: Writ User Cons<09> Ending Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_W10EnCnt  equ  ios_W09EnCnt+LVSZ   ; LVAL: Writ User File<10> Ending Counter [+0040 +0080 +0160 +0320 +0640]
ios_W11EnCnt  equ  ios_W10EnCnt+LVSZ   ; LVAL: Writ User File<11> Ending Counter [+0044 +0088 +0176 +0352 +0704]
ios_W12EnCnt  equ  ios_W11EnCnt+LVSZ   ; LVAL: Writ User File<12> Ending Counter [+0048 +0096 +0192 +0384 +0768]
ios_W13EnCnt  equ  ios_W12EnCnt+LVSZ   ; LVAL: Writ User File<13> Ending Counter [+0052 +0104 +0208 +0416 +0832]
ios_W14EnCnt  equ  ios_W13EnCnt+LVSZ   ; LVAL: Writ User File<14> Ending Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W15EnCnt  equ  ios_W14EnCnt+LVSZ   ; LVAL: Writ User File<15> Ending Counter [+0060 +0120 +0240 +0480 +0960]
ios_W16EnCnt  equ  ios_W15EnCnt+LVSZ   ; LVAL: Writ User File<16> Ending Counter [+0064 +0128 +0256 +0512 +1024]
ios_W17EnCnt  equ  ios_W16EnCnt+LVSZ   ; LVAL: Writ User File<17> Ending Counter [+0068 +0136 +0272 +0544 +1088]
ios_W18EnCnt  equ  ios_W17EnCnt+LVSZ   ; LVAL: Writ User File<18> Ending Counter [+0072 +0144 +0288 +0576 +1152]
ios_W19EnCnt  equ  ios_W18EnCnt+LVSZ   ; LVAL: Writ User File<19> Ending Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W20EnCnt  equ  ios_W19EnCnt+LVSZ   ; LVAL: Writ User Memo<20> Ending Counter [+0080 +0160 +0320 +0640 +1280]
ios_W21EnCnt  equ  ios_W20EnCnt+LVSZ   ; LVAL: Writ User Memo<21> Ending Counter [+0084 +0168 +0336 +0672 +1344]
ios_W22EnCnt  equ  ios_W21EnCnt+LVSZ   ; LVAL: Writ User Memo<22> Ending Counter [+0088 +0176 +0352 +0704 +1408]
ios_W23EnCnt  equ  ios_W22EnCnt+LVSZ   ; LVAL: Writ User Memo<23> Ending Counter [+0092 +0184 +0368 +0736 +1472]
ios_W24EnCnt  equ  ios_W23EnCnt+LVSZ   ; LVAL: Writ User Memo<24> Ending Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_W25EnCnt  equ  ios_W24EnCnt+LVSZ   ; LVAL: Writ User Memo<25> Ending Counter [+0100 +0200 +0400 +0800 +1600]
ios_W26EnCnt  equ  ios_W25EnCnt+LVSZ   ; LVAL: Writ User Memo<26> Ending Counter [+0104 +0208 +0416 +0832 +1664]
ios_W27EnCnt  equ  ios_W26EnCnt+LVSZ   ; LVAL: Writ User Memo<27> Ending Counter [+0108 +0216 +0432 +0864 +1728]
ios_W28EnCnt  equ  ios_W27EnCnt+LVSZ   ; LVAL: Writ User Memo<28> Ending Counter [+0112 +0224 +0448 +0896 +1792]
ios_W29EnCnt  equ  ios_W28EnCnt+LVSZ   ; LVAL: Writ User Memo<29> Ending Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_W30EnCnt  equ  ios_W29EnCnt+LVSZ   ; LVAL: Writ DsLb File<30> Ending Counter [+0120 +0240 +0480 +0960 +1920]
ios_W31EnCnt  equ  ios_W30EnCnt+LVSZ   ; LVAL: Writ DsLb Memo<31> Ending Counter [+0124 +0248 +0496 +0992 +1984]
;*--------------------------------------------------------------------------------------------------------------
ios_R00EnCnt  equ  ios_LNG+LVSZ*1696   ; LVAL: Read StdO Console: Ending Counter [#2944 #5888 11776 23552 47104]
ios_R01EnCnt  equ  ios_R00EnCnt+LVSZ   ; LVAL: Read User Cons<01> Ending Counter [+0004 +0008 +0016 +0032 +0064]
ios_R02EnCnt  equ  ios_R01EnCnt+LVSZ   ; LVAL: Read User Cons<02> Ending Counter [+0008 +0016 +0032 +0064 +0128]
ios_R03EnCnt  equ  ios_R02EnCnt+LVSZ   ; LVAL: Read User Cons<03> Ending Counter [+0012 +0024 +0048 +0096 +0192]
ios_R04EnCnt  equ  ios_R03EnCnt+LVSZ   ; LVAL: Read User Cons<04> Ending Counter [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R05EnCnt  equ  ios_R04EnCnt+LVSZ   ; LVAL: Read User Cons<05> Ending Counter [+0020 +0040 +0080 +0160 +0320]
ios_R06EnCnt  equ  ios_R05EnCnt+LVSZ   ; LVAL: Read User Cons<06> Ending Counter [+0024 +0048 +0096 +0192 +0384]
ios_R07EnCnt  equ  ios_R06EnCnt+LVSZ   ; LVAL: Read User Cons<07> Ending Counter [+0028 +0056 +0112 +0224 +0448]
ios_R08EnCnt  equ  ios_R07EnCnt+LVSZ   ; LVAL: Read User Cons<08> Ending Counter [+0032 +0064 +0128 +0256 +0512]
ios_R09EnCnt  equ  ios_R08EnCnt+LVSZ   ; LVAL: Read User Cons<09> Ending Counter [+0036 +0072 +0144 +0288 +0576]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
ios_R10EnCnt  equ  ios_R09EnCnt+LVSZ   ; LVAL: Read User File<10> Ending Counter [+0040 +0080 +0160 +0320 +0640]
ios_R11EnCnt  equ  ios_R10EnCnt+LVSZ   ; LVAL: Read User File<11> Ending Counter [+0044 +0088 +0176 +0352 +0704]
ios_R12EnCnt  equ  ios_R11EnCnt+LVSZ   ; LVAL: Read User File<12> Ending Counter [+0048 +0096 +0192 +0384 +0768]
ios_R13EnCnt  equ  ios_R12EnCnt+LVSZ   ; LVAL: Read User File<13> Ending Counter [+0052 +0104 +0208 +0416 +0832]
ios_R14EnCnt  equ  ios_R13EnCnt+LVSZ   ; LVAL: Read User File<14> Ending Counter [+0056 +0112 +0224 +0448 +0896]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R15EnCnt  equ  ios_R14EnCnt+LVSZ   ; LVAL: Read User File<15> Ending Counter [+0060 +0120 +0240 +0480 +0960]
ios_R16EnCnt  equ  ios_R15EnCnt+LVSZ   ; LVAL: Read User File<16> Ending Counter [+0064 +0128 +0256 +0512 +1024]
ios_R17EnCnt  equ  ios_R16EnCnt+LVSZ   ; LVAL: Read User File<17> Ending Counter [+0068 +0136 +0272 +0544 +1088]
ios_R18EnCnt  equ  ios_R17EnCnt+LVSZ   ; LVAL: Read User File<18> Ending Counter [+0072 +0144 +0288 +0576 +1152]
ios_R19EnCnt  equ  ios_R18EnCnt+LVSZ   ; LVAL: Read User File<19> Ending Counter [+0076 +0152 +0304 +0608 +1216]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R20EnCnt  equ  ios_R19EnCnt+LVSZ   ; LVAL: Read User Memo<20> Ending Counter [+0080 +0160 +0320 +0640 +1280]
ios_R21EnCnt  equ  ios_R20EnCnt+LVSZ   ; LVAL: Read User Memo<21> Ending Counter [+0084 +0168 +0336 +0672 +1344]
ios_R22EnCnt  equ  ios_R21EnCnt+LVSZ   ; LVAL: Read User Memo<22> Ending Counter [+0088 +0176 +0352 +0704 +1408]
ios_R23EnCnt  equ  ios_R22EnCnt+LVSZ   ; LVAL: Read User Memo<23> Ending Counter [+0092 +0184 +0368 +0736 +1472]
ios_R24EnCnt  equ  ios_R23EnCnt+LVSZ   ; LVAL: Read User Memo<24> Ending Counter [+0096 +0192 +0384 +0768 +1536]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
ios_R25EnCnt  equ  ios_R24EnCnt+LVSZ   ; LVAL: Read User Memo<25> Ending Counter [+0100 +0200 +0400 +0800 +1600]
ios_R26EnCnt  equ  ios_R25EnCnt+LVSZ   ; LVAL: Read User Memo<26> Ending Counter [+0104 +0208 +0416 +0832 +1664]
ios_R27EnCnt  equ  ios_R26EnCnt+LVSZ   ; LVAL: Read User Memo<27> Ending Counter [+0108 +0216 +0432 +0864 +1728]
ios_R28EnCnt  equ  ios_R27EnCnt+LVSZ   ; LVAL: Read User Memo<28> Ending Counter [+0112 +0224 +0448 +0896 +1792]
ios_R29EnCnt  equ  ios_R28EnCnt+LVSZ   ; LVAL: Read User Memo<29> Ending Counter [+0116 +0232 +0464 +0928 +1856]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ios_R30EnCnt  equ  ios_R29EnCnt+LVSZ   ; LVAL: Read DsLb File<30> Ending Counter [+0120 +0240 +0480 +0960 +1920]
ios_R31EnCnt  equ  ios_R30EnCnt+LVSZ   ; LVAL: Read DsLb Memo<31> Ending Counter [+0124 +0248 +0496 +0992 +1984]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ios_STRCSIZE  equ  ios_LNG+LVSZ*2048   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
ios_ValueEND  equ  ios_LNG+LVSZ*2048   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
;###############################################################################################################
;## END       Input.Output.Static      ; LVAL: Long.Size scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;###############################################################################################################
;## MEMORY    Get  Message Library     ; EVAL: Fixed Non scaling Memory Strings  [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;ml_InputLAX  equ  000+00000000+0000   ; LVAL: Internal InputFrame Register: L00 [#10KB #10KB #10KB #10KB #10KB]
;ml_InputLDX  equ  gml_InputLAX+LVSZ   ; LVAL: Internal InputFrame Register: L01 [+0004 +0008 +0016 +0032 +0064]
;ml_InputLCX  equ  gml_InputLDX+LVSZ   ; LVAL: Internal InputFrame Register: L02 [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ml_InputLDI  equ  gml_InputLCX+LVSZ   ; LVAL: Internal InputFrame Register: L03 [+0012 +0024 +0048 +0096 +0192]
;ml_InputLSI  equ  gml_InputLDI+LVSZ   ; LVAL: Internal InputFrame Register: L04 [+0016 +0032 +0064 +0128 +0256]
;ml_InputLBX  equ  gml_InputLSI+LVSZ   ; LVAL: Internal InputFrame Register: L05 [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_InputLBP  equ  gml_InputLBX+LVSZ   ; LVAL: Internal InputFrame Register: L06 [+0024 +0048 +0096 +0192 +0384]
;ml_InputLSP  equ  gml_InputLBP+LVSZ   ; LVAL: Internal InputFrame Register: L07 [+0028 +0056 +0112 +0224 +0448]
;###############################################################################################################
;## FIXED     Get  Message Local       ; EVAL: Fixed Non scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
gml_BEG       equ  000+00001024+0000   ; PARA: Out.PUt.library_BEGin      offset [#0640 #0640 #0640 #1280 #2560]
gml_LNG       equ  gml_BEG+0000+4096   ; PARA: Out.PUt.library_LoNG       offset [+2024 +2024 +2024 +2024 +2024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu0000  equ  gml_BEG+0000+000    ; EVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;ml_Valu0001  equ  gml_Valu0000+04     ; EVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;*  LvOFCTRL  equ  gml_BEG+0000+160    ; EVAL: MathLib ConTRoL   <1 LA USN EMCT> [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gml_OFCtrTrl  equ  gml_BEG+0000+128    ; EVAL: OpnFil! Trailings     .   .   <T> [#0128 #0128 #0128 #0128 #0128]
gml_OFCtrCom  equ  gml_OFCtrTrl+04     ; EVAL: OpnFil! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
gml_OFCtrMBl  equ  gml_OFCtrCom+04     ; EVAL: OpnFil! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
gml_OFCtrEqu  equ  gml_OFCtrMBl+04     ; EVAL: OpnFil! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gml_OFCtrFNL  equ  gml_OFCtrEqu+04     ; EVAL: OpnFil! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
gml_OFCtrStp  equ  gml_OFCtrFNL+04     ; EVAL: OpnFil! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
gml_OFCtrUni  equ  gml_OFCtrStp+04     ; EVAL: OpnFil! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gml_OFCtrAtt  equ  gml_OFCtrUni+04     ; EVAL: OpnFil! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
gml_OFCtrLin  equ  gml_OFCtrAtt+04     ; EVAL: OpnFil! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
gml_OFRsvd01  equ  gml_OFCtrLin+04     ; EVAL: OpnFil! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
gml_OFRsvd02  equ  gml_OFCtrLin+04     ; EVAL: OpnFil! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
gml_OFRsvd03  equ  gml_OFCtrLin+04     ; EVAL: OpnFil! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
gml_OFRsvd04  equ  gml_OFCtrLin+04     ; EVAL: OpnFil! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
gml_OFRsvd05  equ  gml_OFCtrLin+04     ; EVAL: OpnFil! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
gml_OFRsvd06  equ  gml_OFCtrLin+04     ; EVAL: OpnFil! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
gml_OFRsvd07  equ  gml_OFCtrLin+04     ; EVAL: OpnFil! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;*==============================================================================================================
gml_CFCtrTrl  equ  gml_BEG+0000+192    ; EVAL: ClsFil! Trailings     .   .   <T> [#0192 #0192 #0192 #0192 #0192]
gml_CFCtrCom  equ  gml_CFCtrTrl+04     ; EVAL: ClsFil! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
gml_CFCtrMBl  equ  gml_CFCtrCom+04     ; EVAL: ClsFil! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
gml_CFCtrEqu  equ  gml_CFCtrMBl+04     ; EVAL: ClsFil! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gml_CFCtrFNL  equ  gml_CFCtrEqu+04     ; EVAL: ClsFil! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
gml_CFCtrStp  equ  gml_CFCtrFNL+04     ; EVAL: ClsFil! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
gml_CFCtrUni  equ  gml_CFCtrStp+04     ; EVAL: ClsFil! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gml_CFCtrAtt  equ  gml_CFCtrUni+04     ; EVAL: ClsFil! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
gml_CFCtrLin  equ  gml_CFCtrAtt+04     ; EVAL: ClsFil! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
gml_CFRsvd01  equ  gml_CFCtrLin+04     ; EVAL: ClsFil! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
gml_CFRsvd02  equ  gml_CFCtrLin+04     ; EVAL: ClsFil! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
gml_CFRsvd03  equ  gml_CFCtrLin+04     ; EVAL: ClsFil! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
gml_CFRsvd04  equ  gml_CFCtrLin+04     ; EVAL: ClsFil! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
gml_CFRsvd05  equ  gml_CFCtrLin+04     ; EVAL: ClsFil! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
gml_CFRsvd06  equ  gml_CFCtrLin+04     ; EVAL: ClsFil! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
gml_CFRsvd07  equ  gml_CFCtrLin+04     ; EVAL: ClsFil! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;***************************************************************************************************************

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu1024  equ  gml_BEG+1024+000    ; XVAL: Values Part1 Non scaling Values ! [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu2048  equ  gml_BEG+2048+000    ; XVAL: Values Part2 Non scaling Values ! [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu3072  equ  gml_BEG+3072+000    ; XVAL: Values Part3 Non scaling Values ! [%3072 %3072 %3072 %3072 %3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu4096  equ  gml_BEG+4096+000    ; XVAL: Values Part4 Non scaling Values ! [%4096 %4096 %4096 %4096 %4096]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu5120  equ  gml_BEG+5120+000    ; XVAL: Values Part5 Non scaling Values ! [%5120 %5120 %5120 %5120 %5120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu6144  equ  gml_BEG+6144+000    ; XVAL: Values Part6 Non scaling Values ! [%6144 %6144 %6144 %6144 %6144]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu7168  equ  gml_BEG+7168+000    ; XVAL: Values Part7 Non scaling Values ! [%7168 %7168 %7168 %7168 %7168]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu8192  equ  gml_BEG+8192+000    ; XVAL: Values Part8 Non scaling Values ! [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ml_Valu9216  equ  gml_BEG+9216+000    ; XVAL: Values Part9 Non scaling Values ! [%9216 %9216 %9216 %9216 %9216]
;###############################################################################################################
;## LONG      Get  Message Local       ; LVAL: Long.Size scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
gml_SFTopPtr  equ  gml_LNG+LVSZ*0000   ; PNTR: Local! Stack Frame TopLAX Pointer [#0000 #0000 #0000 #0000 #0000]
gml_SFBotPtr  equ  gml_SFTopPtr+LVSZ   ; PNTR: Local! Stack Frame Bottom Pointer [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
gml_PnIolBas  equ  gml_LNG+LVSZ*0000   ; PNTR: Internal Pointer InpOutLib_Base   [#0000 #0000 #0000 #0000 #0000]
gml_PnIolTop  equ  gml_PnIolBas+LVSZ   ; PNTR: Internal Pointer InpOutLib_Top    [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
;ml_L1FILNUM  equ  gml_SFBotPtr+LVSZ   ; LVAL: 0001 * FILNUN  000,001,002...0031 [+0008 +0016 +0032 +0064 +0128]
;ml_L2FILNUM  equ  gml_L1FILNUM+LVSZ   ; LVAL: 0002 * FILNUM  000,002,004...0062 [+0012 +0024 +0048 +0096 +0192]
;ml_L4FILNUM  equ  gml_L2FILNUM+LVSZ   ; LVAL: 0004 * FILNUM  000,004,008...0124 [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ml_L8FILNUM  equ  gml_L4FILNUM+LVSZ   ; LVAL: 0008 * FILNUM  000,008,016...0248 [+0020 +0040 +0080 +0160 +0320]
;ml_L6FILNUM  equ  gml_L8FILNUM+LVSZ   ; LVAL: 0016 * FILNUM  000,016,032...0496 [+0024 +0048 +0096 +0192 +0384]
;ml_L9FILNUM  equ  gml_L6FILNUM+LVSZ   ; LVAL: LVSZ * FILNUM  000,064,128...1984 [+0028 +0056 +0112 +0224 +0448]
;***************************************************************************************************************
gml_PnMESSAG  equ  gml_LNG+LVSZ*0008   ; LVAL: GetMsg!             <DWi MIt Act> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gml_PnMSGDSP  equ  gml_PnMESSAG+LVSZ   ; PNTR: GetMsg!   Display   <D>           [+0004 +0008 +0016 +0032 +0064]
gml_PnMSGWIN  equ  gml_PnMSGDSP+LVSZ   ; PNTR: GetMsg!   Window     <Wi>         [+0008 +0016 +0032 +0064 +0128]
gml_PnMSGMEN  equ  gml_PnMSGWIN+LVSZ   ; PNTR: GetMsg!   Menu          <M>       [+0012 +0024 +0048 +0096 +0192]
gml_PnMSGITM  equ  gml_PnMSGMEN+LVSZ   ; PNTR: GetMsg!   Item           <It>     [+0016 +0032 +0064 +0128 +0256]
gml_PnMSGACT  equ  gml_PnMSGITM+LVSZ   ; PNTR: GetMsg!   Action            <Act> [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_LvHEXFMT  equ  gml_PnMSGACT+LVSZ   ; LVAL: GetMsg!   HEXadecimal ForMaT      [+0024 +0048 +0096 +0192 +0384]
;ml_PnCONFND  equ  gml_SFBotPtr+LVSZ   ; PNTR: GetMsg!   CONsoleNumberFouND      [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
gml_PnDWIMIT  equ  gml_LNG+LVSZ*0016   ; LVAL: GetMsg!                 <DWi MIt> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gml_PnMSGDWI  equ  gml_PnDWIMIT+LVSZ   ; PNTR: GetMsg!   Disp & Window <DWi>     [+0004 +0008 +0016 +0032 +0064]
gml_PnMSGBMX  equ  gml_PnMSGDWI+LVSZ   ; PNTR: GetMsg!   Buffer Mouse Position X [+0008 +0016 +0032 +0064 +0128]
gml_PnMSGBMY  equ  gml_PnMSGBMX+LVSZ   ; PNTR: GetMsg!   Buffer Mouse Position Y [+0012 +0024 +0048 +0096 +0192]
gml_PnMSGWMX  equ  gml_PnMSGBMY+LVSZ   ; PNTR: GetMsg!   Window Mouse Position X [+0016 +0032 +0064 +0128 +0256]
gml_PnMSGWMY  equ  gml_PnMSGWMX+LVSZ   ; PNTR: GetMsg!   Window Mouse Position Y [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_LvHEXFMT  equ  gml_PnMSGWMY+LVSZ   ; LVAL: GetMsg!                           [+0024 +0048 +0096 +0192 +0384]
;ml_PnCONFND  equ  gml_SFBotPtr+LVSZ   ; PNTR: GetMsg!                           [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
gml_PnMITACT  equ  gml_LNG+LVSZ*0024   ; LVAL: GetMsg!               <MIt Act>   [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gml_PnMSGMIT  equ  gml_PnMITACT+LVSZ   ; PNTR: GetMsg!   Menu & Item <MIt>       [+0004 +0008 +0016 +0032 +0064]
gml_PnMSGRED  equ  gml_PnMSGMIT+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit RED   [+0008 +0016 +0032 +0064 +0128]
gml_PnMSGGRN  equ  gml_PnMSGRED+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit GReeN [+0012 +0024 +0048 +0096 +0192]
gml_PnMSGBLU  equ  gml_PnMSGGRN+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit BLUe  [+0016 +0032 +0064 +0128 +0256]
gml_PnMSGCOV  equ  gml_PnMSGBLU+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit COVer [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_LvHEXFMT  equ  gml_PnMSGCOV+LVSZ   ; LVAL: GetMsg!                           [+0024 +0048 +0096 +0192 +0384]
;ml_PnCONFND  equ  gml_SFBotPtr+LVSZ   ; PNTR: GetMsg!                           [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
gml_LvDSPWSH  equ  gml_LNG+LVSZ*0032   ; LVAL: GetMsg!                 <MIt Act> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gml_PnCH4MSG  equ  gml_LvDSPWSH+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan4 [+0004 +0008 +0016 +0032 +0064]
gml_PnCH5MSG  equ  gml_PnCH4MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan5 [+0008 +0016 +0032 +0064 +0128]
gml_PnCH6MSG  equ  gml_PnCH5MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan6 [+0012 +0024 +0048 +0096 +0192]
gml_PnCH7MSG  equ  gml_PnCH6MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan7 [+0016 +0032 +0064 +0128 +0256]
gml_PnCH8MSG  equ  gml_PnCH7MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan8 [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ml_LvHEXFMT  equ  gml_PnCH8MSG+LVSZ   ; LVAL: GetMsg!                           [+0024 +0048 +0096 +0192 +0384]
;ml_PnCONFND  equ  gml_SFBotPtr+LVSZ   ; PNTR: GetMsg!                           [+0028 +0056 +0112 +0224 +0448]
;***************************************************************************************************************

;*==============================================================================================================
;ml_PnTOKCNT  equ  gml_LNG+LVSZ*0000   ; PNTR: FLWRIT etc.     TOKen CouNTer     [+0072 +0144 +0288 +0576 +1152]
;ml_PnPAGCNT  equ  gml_PnTOKCNT+LVSZ   ; PNTR: NAme: Byte      PAGe  CouNTer     [+0004 +0008 +0016 +0032 +0064]
;ml_PnLINCNT  equ  gml_PnPAGCNT+LVSZ   ; PNTR: NAme:           LINe  CouNTer     [+0008 +0016 +0032 +0064 +0128]
;ml_PnCOLCNT  equ  gml_PnLINCNT+LVSZ   ; PNTR: NAme:           COLum CouTRer     [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ml_PnCHRCNT  equ  gml_PnCOLCNT+LVSZ   ; PNTR: NAme:           CHaR  CouNTer     [+0016 +0032 +0064 +0128 +0256]
;ml_PnBYTCNT  equ  gml_PnCHRCNT+LVSZ   ; PNTR: NAme: Stop      BYTe  CouNTer     [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ml_PnNASTRG  equ  gml_PnBYTCNT+LVSZ   ; PNTR: NAme STRinG Pointer               [+0024 +0048 +0096 +0192 +0384]
;ml_LvBASWSH  equ  gml_PnNASTRG+LVSZ   ; LVAL: BASe WiSHed Value                 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
;ml_PnTOKCNT  equ  gml_LNG+LVSZ*0008   ; PNTR: FLWRIT etc.     TOKen CouNTer     [+0072 +0144 +0288 +0576 +1152]
;ml_PnPAGCNT  equ  gml_PnTOKCNT+LVSZ   ; PNTR: NAme: Byte      PAGe  CouNTer     [+0004 +0008 +0016 +0032 +0064]
;ml_PnLINCNT  equ  gml_PnPAGCNT+LVSZ   ; PNTR: NAme:           LINe  CouNTer     [+0008 +0016 +0032 +0064 +0128]
;ml_PnCOLCNT  equ  gml_PnLINCNT+LVSZ   ; PNTR: NAme:           COLum CouTRer     [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ml_PnCHRCNT  equ  gml_PnCOLCNT+LVSZ   ; PNTR: NAme:           CHaR  CouNTer     [+0016 +0032 +0064 +0128 +0256]
;ml_PnBYTCNT  equ  gml_PnCHRCNT+LVSZ   ; PNTR: NAme: Stop      BYTe  CouNTer     [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ml_PnNASTRG  equ  gml_PnBYTCNT+LVSZ   ; PNTR: NAme STRinG Pointer               [+0024 +0048 +0096 +0192 +0384]
;ml_LvBASWSH  equ  gml_PnNASTRG+LVSZ   ; LVAL: BASe WiSHed Value                 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gml_STRCSIZE  equ  gml_LNG+LVSZ*0512   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
gml_ValueEND  equ  gml_LNG+LVSZ*0512   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
;###############################################################################################################
;## END       Get  Message Local       ; LVAL: Long.Size scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;###############################################################################################################
;## MEMORY    Get  Message Static      ; EVAL: Fixed Non scaling Memory Strings  [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
gms_InputLAX  equ  gmm_gms+0000+0000   ; LVAL: Internal InputFrame Register: L00 [#10KB #10KB #10KB #10KB #10KB]
gms_InputLDX  equ  gms_InputLAX+LVSZ   ; LVAL: Internal InputFrame Register: L01 [+0004 +0008 +0016 +0032 +0064]
gms_InputLCX  equ  gms_InputLDX+LVSZ   ; LVAL: Internal InputFrame Register: L02 [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
gms_InputLDI  equ  gms_InputLCX+LVSZ   ; LVAL: Internal InputFrame Register: L03 [+0012 +0024 +0048 +0096 +0192]
gms_InputLSI  equ  gms_InputLDI+LVSZ   ; LVAL: Internal InputFrame Register: L04 [+0016 +0032 +0064 +0128 +0256]
gms_InputLBX  equ  gms_InputLSI+LVSZ   ; LVAL: Internal InputFrame Register: L05 [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gms_InputLBP  equ  gms_InputLBX+LVSZ   ; LVAL: Internal InputFrame Register: L06 [+0024 +0048 +0096 +0192 +0384]
gms_InputLSP  equ  gms_InputLBP+LVSZ   ; LVAL: Internal InputFrame Register: L07 [+0028 +0056 +0112 +0224 +0448]
;###############################################################################################################
;## FIXED     Get  Message Static      ; EVAL: Fixed Non scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
gms_BEG       equ  gmm_gms+1024+0000   ; PARA: Out.PUt.library_BEGin      offset [#0640 #0640 #0640 #1280 #2560]
gms_LNG       equ  gms_BEG+0000+4096   ; PARA: Out.PUt.library_LoNG       offset [+2024 +2024 +2024 +2024 +2024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu0000  equ  gms_BEG+0000+000    ; EVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;ms_Valu0001  equ  gms_Valu0000+04     ; EVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;*  LvOFCTRL  equ  gms_BEG+0000+160    ; EVAL: MathLib ConTRoL   <1 LA USN EMCT> [Int32 Amd64 IA128 IA256 IA512]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gms_OFCtrTrl  equ  gms_BEG+0000+128    ; EVAL: OpnFil! Trailings     .   .   <T> [#0128 #0128 #0128 #0128 #0128]
gms_OFCtrCom  equ  gms_OFCtrTrl+04     ; EVAL: OpnFil! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
gms_OFCtrMBl  equ  gms_OFCtrCom+04     ; EVAL: OpnFil! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
gms_OFCtrEqu  equ  gms_OFCtrMBl+04     ; EVAL: OpnFil! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gms_OFCtrFNL  equ  gms_OFCtrEqu+04     ; EVAL: OpnFil! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
gms_OFCtrStp  equ  gms_OFCtrFNL+04     ; EVAL: OpnFil! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
gms_OFCtrUni  equ  gms_OFCtrStp+04     ; EVAL: OpnFil! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gms_OFCtrAtt  equ  gms_OFCtrUni+04     ; EVAL: OpnFil! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
gms_OFCtrLin  equ  gms_OFCtrAtt+04     ; EVAL: OpnFil! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
gms_OFRsvd01  equ  gms_OFCtrLin+04     ; EVAL: OpnFil! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
gms_OFRsvd02  equ  gms_OFCtrLin+04     ; EVAL: OpnFil! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
gms_OFRsvd03  equ  gms_OFCtrLin+04     ; EVAL: OpnFil! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
gms_OFRsvd04  equ  gms_OFCtrLin+04     ; EVAL: OpnFil! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
gms_OFRsvd05  equ  gms_OFCtrLin+04     ; EVAL: OpnFil! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
gms_OFRsvd06  equ  gms_OFCtrLin+04     ; EVAL: OpnFil! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
gms_OFRsvd07  equ  gms_OFCtrLin+04     ; EVAL: OpnFil! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;*==============================================================================================================
gms_CFCtrTrl  equ  gms_BEG+0000+192    ; EVAL: ClsFil! Trailings     .   .   <T> [#0192 #0192 #0192 #0192 #0192]
gms_CFCtrCom  equ  gms_CFCtrTrl+04     ; EVAL: ClsFil! Comments      .   .  <C>  [+0004 +0004 +0004 +0004 +0004]
gms_CFCtrMBl  equ  gms_CFCtrCom+04     ; EVAL: ClsFil! MiddleBlanks  .   . <M>   [+0008 +0008 +0008 +0008 +0008]
gms_CFCtrEqu  equ  gms_CFCtrMBl+04     ; EVAL: ClsFil! Equal part    .   .<E>    [+0012 +0012 +0012 +0012 +0012]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gms_CFCtrFNL  equ  gms_CFCtrEqu+04     ; EVAL: ClsFil! Fill, NewLin  .  <N>      [+0016 +0016 +0016 +0016 +0016]
gms_CFCtrStp  equ  gms_CFCtrFNL+04     ; EVAL: ClsFil! Stops         . <S>       [+0020 +0020 +0020 +0020 +0020]
gms_CFCtrUni  equ  gms_CFCtrStp+04     ; EVAL: ClsFil! UniCode       .<U>        [+0024 +0024 +0024 +0024 +0024]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
gms_CFCtrAtt  equ  gms_CFCtrUni+04     ; EVAL: ClsFil! Attributes   <A>          [+0028 +0028 +0028 +0028 +0028]
gms_CFCtrLin  equ  gms_CFCtrAtt+04     ; EVAL: ClsFil! new Lines   <L>           [+0032 +0032 +0032 +0032 +0032]
;*--------------------------------------------------------------------------------------------------------------
gms_CFRsvd01  equ  gms_CFCtrLin+04     ; EVAL: ClsFil! Reserved(01)              [+0036 +0036 +0036 +0036 +0036]
gms_CFRsvd02  equ  gms_CFCtrLin+04     ; EVAL: ClsFil! Reserved(02)              [+0040 +0040 +0040 +0040 +0040]
gms_CFRsvd03  equ  gms_CFCtrLin+04     ; EVAL: ClsFil! Reserved(03)              [+0044 +0044 +0044 +0044 +0044]
;* -     -     -     -     -     -     -     -     -     -     -     -   . -     -     -     -     -     -     -
gms_CFRsvd04  equ  gms_CFCtrLin+04     ; EVAL: ClsFil! Reserved(04)              [+0048 +0048 +0048 +0048 +0048]
gms_CFRsvd05  equ  gms_CFCtrLin+04     ; EVAL: ClsFil! Reserved(05)              [+0052 +0052 +0052 +0052 +0052]
gms_CFRsvd06  equ  gms_CFCtrLin+04     ; EVAL: ClsFil! Reserved(06)              [+0056 +0056 +0056 +0056 +0056]
gms_CFRsvd07  equ  gms_CFCtrLin+04     ; EVAL: ClsFil! Reserved(07)              [+0060 +0060 +0060 +0060 +0060]
;***************************************************************************************************************

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu1024  equ  gms_BEG+1024+000    ; XVAL: Values Part1 Non scaling Values ! [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu2048  equ  gms_BEG+2048+000    ; XVAL: Values Part2 Non scaling Values ! [%2048 %2048 %2048 %2048 %2048]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu3072  equ  gms_BEG+3072+000    ; XVAL: Values Part3 Non scaling Values ! [%3072 %3072 %3072 %3072 %3072]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu4096  equ  gms_BEG+4096+000    ; XVAL: Values Part4 Non scaling Values ! [%4096 %4096 %4096 %4096 %4096]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu5120  equ  gms_BEG+5120+000    ; XVAL: Values Part5 Non scaling Values ! [%5120 %5120 %5120 %5120 %5120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu6144  equ  gms_BEG+6144+000    ; XVAL: Values Part6 Non scaling Values ! [%6144 %6144 %6144 %6144 %6144]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu7168  equ  gms_BEG+7168+000    ; XVAL: Values Part7 Non scaling Values ! [%7168 %7168 %7168 %7168 %7168]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu8192  equ  gms_BEG+8192+000    ; XVAL: Values Part8 Non scaling Values ! [%8192 %8192 %8192 %8192 %8192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ms_Valu9216  equ  gms_BEG+9216+000    ; XVAL: Values Part9 Non scaling Values ! [%9216 %9216 %9216 %9216 %9216]
;###############################################################################################################
;## LONG      Get  Message             ; LVAL: Long.Size scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
gms_SFTopPtr  equ  gms_LNG+LVSZ*0000   ; PNTR: Local! Stack Frame TopLAX Pointer [#0000 #0000 #0000 #0000 #0000]
gms_SFBotPtr  equ  gms_SFTopPtr+LVSZ   ; PNTR: Local! Stack Frame Bottom Pointer [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
gms_PnGmsBas  equ  gms_LNG+LVSZ*0000   ; PNTR: Internal Pointer InpOutLib_Base   [#0000 #0000 #0000 #0000 #0000]
gms_PnGmsTop  equ  gms_PnGmsBas+LVSZ   ; PNTR: Internal Pointer InpOutLib_Top    [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
;ms_L1FILNUM  equ  gms_SFBotPtr+LVSZ   ; LVAL: 0001 * FILNUN  000,001,002...0031 [+0008 +0016 +0032 +0064 +0128]
;ms_L2FILNUM  equ  gms_L1FILNUM+LVSZ   ; LVAL: 0002 * FILNUM  000,002,004...0062 [+0012 +0024 +0048 +0096 +0192]
;ms_L4FILNUM  equ  gms_L2FILNUM+LVSZ   ; LVAL: 0004 * FILNUM  000,004,008...0124 [+0016 +0032 +0064 +0128 +0256]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ms_L8FILNUM  equ  gms_L4FILNUM+LVSZ   ; LVAL: 0008 * FILNUM  000,008,016...0248 [+0020 +0040 +0080 +0160 +0320]
;ms_L6FILNUM  equ  gms_L8FILNUM+LVSZ   ; LVAL: 0016 * FILNUM  000,016,032...0496 [+0024 +0048 +0096 +0192 +0384]
;ms_L9FILNUM  equ  gms_L6FILNUM+LVSZ   ; LVAL: LVSZ * FILNUM  000,064,128...1984 [+0028 +0056 +0112 +0224 +0448]
;***************************************************************************************************************
gms_PnMESSAG  equ  gms_LNG+LVSZ*0008   ; LVAL: GetMsg!             <DWi MIt Act> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gms_PnMSGDSP  equ  gms_PnMESSAG+LVSZ   ; PNTR: GetMsg!   Display   <D>           [+0004 +0008 +0016 +0032 +0064]
gms_PnMSGWIN  equ  gms_PnMSGDSP+LVSZ   ; PNTR: GetMsg!   Window     <Wi>         [+0008 +0016 +0032 +0064 +0128]
gms_PnMSGMEN  equ  gms_PnMSGWIN+LVSZ   ; PNTR: GetMsg!   Menu          <M>       [+0012 +0024 +0048 +0096 +0192]
gms_PnMSGITM  equ  gms_PnMSGMEN+LVSZ   ; PNTR: GetMsg!   Item           <It>     [+0016 +0032 +0064 +0128 +0256]
gms_PnMSGACT  equ  gms_PnMSGITM+LVSZ   ; PNTR: GetMsg!   Action            <Act> [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ms_LvHEXFMT  equ  gms_PnMSGACT+LVSZ   ; LVAL: GetMsg!   HEXadecimal ForMaT      [+0024 +0048 +0096 +0192 +0384]
;ms_PnCONFND  equ  gms_SFBotPtr+LVSZ   ; PNTR: GetMsg!   CONsoleNumberFouND      [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
gms_PnDWIMIT  equ  gms_LNG+LVSZ*0016   ; LVAL: GetMsg!                 <DWi MIt> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gms_PnMSGDWI  equ  gms_PnDWIMIT+LVSZ   ; PNTR: GetMsg!   Disp & Window <DWi>     [+0004 +0008 +0016 +0032 +0064]
gms_PnMSGBMX  equ  gms_PnMSGDWI+LVSZ   ; PNTR: GetMsg!   Buffer Mouse Position X [+0008 +0016 +0032 +0064 +0128]
gms_PnMSGBMY  equ  gms_PnMSGBMX+LVSZ   ; PNTR: GetMsg!   Buffer Mouse Position Y [+0012 +0024 +0048 +0096 +0192]
gms_PnMSGWMX  equ  gms_PnMSGBMY+LVSZ   ; PNTR: GetMsg!   Window Mouse Position X [+0016 +0032 +0064 +0128 +0256]
gms_PnMSGWMY  equ  gms_PnMSGWMX+LVSZ   ; PNTR: GetMsg!   Window Mouse Position Y [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ms_LvHEXFMT  equ  gms_PnMSGWMY+LVSZ   ; LVAL: GetMsg!                           [+0024 +0048 +0096 +0192 +0384]
;ms_PnCONFND  equ  gms_SFBotPtr+LVSZ   ; PNTR: GetMsg!                           [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
gms_PnMITACT  equ  gms_LNG+LVSZ*0024   ; LVAL: GetMsg!               <MIt Act>   [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gms_PnMSGMIT  equ  gms_PnMITACT+LVSZ   ; PNTR: GetMsg!   Menu & Item <MIt>       [+0004 +0008 +0016 +0032 +0064]
gms_PnMSGRED  equ  gms_PnMSGMIT+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit RED   [+0008 +0016 +0032 +0064 +0128]
gms_PnMSGGRN  equ  gms_PnMSGRED+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit GReeN [+0012 +0024 +0048 +0096 +0192]
gms_PnMSGBLU  equ  gms_PnMSGGRN+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit BLUe  [+0016 +0032 +0064 +0128 +0256]
gms_PnMSGCOV  equ  gms_PnMSGBLU+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit COVer [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ms_LvHEXFMT  equ  gms_PnMSGCOV+LVSZ   ; LVAL: GetMsg!                           [+0024 +0048 +0096 +0192 +0384]
;ms_PnCONFND  equ  gms_SFBotPtr+LVSZ   ; PNTR: GetMsg!                           [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
gms_PnDSPWSH  equ  gms_LNG+LVSZ*0024   ; LVAL: GetMsg!                 <MIt Act> [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
gms_PnCH4MSG  equ  gms_PnDSPWSH+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan4 [+0004 +0008 +0016 +0032 +0064]
gms_PnCH5MSG  equ  gms_PnCH4MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan5 [+0008 +0016 +0032 +0064 +0128]
gms_PnCH6MSG  equ  gms_PnCH5MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan6 [+0012 +0024 +0048 +0096 +0192]
gms_PnCH7MSG  equ  gms_PnCH6MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan7 [+0016 +0032 +0064 +0128 +0256]
gms_PnCH8MSG  equ  gms_PnCH7MSG+LVSZ   ; PNTR: GetMsg!   Buffer MousePosit CHan8 [+0020 +0040 +0080 +0160 +0320]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;ms_LvHEXFMT  equ  gms_PnCH8MSG+LVSZ   ; LVAL: GetMsg!                           [+0024 +0048 +0096 +0192 +0384]
;ms_PnCONFND  equ  gms_SFBotPtr+LVSZ   ; PNTR: GetMsg!                           [+0028 +0056 +0112 +0224 +0448]
;***************************************************************************************************************

;*==============================================================================================================
;ms_PnTOKCNT  equ  gms_LNG+LVSZ*0000   ; PNTR: FLWRIT etc.     TOKen CouNTer     [+0072 +0144 +0288 +0576 +1152]
;ms_PnPAGCNT  equ  gms_PnTOKCNT+LVSZ   ; PNTR: NAme: Byte      PAGe  CouNTer     [+0004 +0008 +0016 +0032 +0064]
;ms_PnLINCNT  equ  gms_PnPAGCNT+LVSZ   ; PNTR: NAme:           LINe  CouNTer     [+0008 +0016 +0032 +0064 +0128]
;ms_PnCOLCNT  equ  gms_PnLINCNT+LVSZ   ; PNTR: NAme:           COLum CouTRer     [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ms_PnCHRCNT  equ  gms_PnCOLCNT+LVSZ   ; PNTR: NAme:           CHaR  CouNTer     [+0016 +0032 +0064 +0128 +0256]
;ms_PnBYTCNT  equ  gms_PnCHRCNT+LVSZ   ; PNTR: NAme: Stop      BYTe  CouNTer     [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ms_PnNASTRG  equ  gms_PnBYTCNT+LVSZ   ; PNTR: NAme STRinG Pointer               [+0024 +0048 +0096 +0192 +0384]
;ms_LvBASWSH  equ  gms_PnNASTRG+LVSZ   ; LVAL: BASe WiSHed Value                 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
;ms_PnTOKCNT  equ  gms_LNG+LVSZ*0008   ; PNTR: FLWRIT etc.     TOKen CouNTer     [+0072 +0144 +0288 +0576 +1152]
;ms_PnPAGCNT  equ  gms_PnTOKCNT+LVSZ   ; PNTR: NAme: Byte      PAGe  CouNTer     [+0004 +0008 +0016 +0032 +0064]
;ms_PnLINCNT  equ  gms_PnPAGCNT+LVSZ   ; PNTR: NAme:           LINe  CouNTer     [+0008 +0016 +0032 +0064 +0128]
;ms_PnCOLCNT  equ  gms_PnLINCNT+LVSZ   ; PNTR: NAme:           COLum CouTRer     [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;ms_PnCHRCNT  equ  gms_PnCOLCNT+LVSZ   ; PNTR: NAme:           CHaR  CouNTer     [+0016 +0032 +0064 +0128 +0256]
;ms_PnBYTCNT  equ  gms_PnCHRCNT+LVSZ   ; PNTR: NAme: Stop      BYTe  CouNTer     [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;ms_PnNASTRG  equ  gms_PnBYTCNT+LVSZ   ; PNTR: NAme STRinG Pointer               [+0024 +0048 +0096 +0192 +0384]
;ms_LvBASWSH  equ  gms_PnNASTRG+LVSZ   ; LVAL: BASe WiSHed Value                 [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gms_STRCSIZE  equ  gms_LNG+LVSZ*0128   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
gms_ValueEND  equ  gms_LNG+LVSZ*0128   ; PARA: Internal StackFrame Structure END [#0512 #1024 #2048 #4096 #8192]
;###############################################################################################################
;## END       Get  Message             ; LVAL: Long.Size scaling Variables       [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;###############################################################################################################
;#  FmMsgStr  equ  123456789+LZ*0000   ; STRC:     [#1234567890 #1234567890 #1234567890 #1234567890 #1234567890]
;# -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;#  FmMsgStr  equ  123456789+LZ*0000   ; STRC:         [#123456789 #123456789 #123456789 #123456789 #1234567890]
;# -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;#  FmMsgStr  equ  123456789+LZ*0000   ; STRC:              [123456789 123456789 123456789 123456789 1234567890]
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;#  FmMsgStr  equ  123456789+LZ*0000   ; STRC:                    [#1234567 #1234567 #1234567 #1234567 #1234567]
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;#  FmMsgStr  equ  123456789+LZ*0000   ; STRC: 123456789012345678 [#1234567 #1234567 #1234567 #1234567 #1234567]
;#  FmMsgStr  equ  1234567+LVSZ*0000   ; STRC: 123456789012345678 [#1234567 #1234567 #1234567 #1234567 #1234567]
;###############################################################################################################
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;bs_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
;bs_ShArg002  equ  emb_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
;bs_ShArg003  equ  emb_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
;bs_ShArg004  equ  emb_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;###############################################################################################################
;# _BEG       equ  000+004*LVSZ+0000   ; PARA: HLg4Open_BEGin                LBP [00016 00032 00064 00128 00256]
;# _OTH       equ  h4q_BEG+MSIZ*0000   ; PARA: HLg4Open_OpenTHhread          LDI [&0320 &0640 &1280 &2560 &5120]
;# _LNG       equ  h4q_OTH+@OTH*0001   ; PARA: HLg4Open_LoNG                 LSP [+0016 +0016 +0032 +0064 +0128]
;###############################################################################################################
;## ValFIXED       Highlanguage4Open   ; EVAL: Internal Non scaling Variables    [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
e2s_BEG       equ  000+000*LVSZ+0000   ; PARA: Error.Message.Box_BEGin   offset  [00064 00128 00256 00512 01024]
e2s_LNG       equ  e2s_BEG+000056000   ; PARA: Error.Message.Box_LoNG    offset  [+032K +032K +032K +032K +032K]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
e2s_ReChrCod  equ  e2s_BEG+0000+000    ; EVAL: Read  Character Coding            [32660 32660 32660 32660 32660]
e2s_WeChrCod  equ  e2s_ReChrCod+04     ; EVAL: Write Character Coding            [+0004 +0004 +0004 +0004 +0004]
e2s_WeNewLin  equ  e2s_WeChrCod+04     ; EVAL: Write New Line  Selectore         [+0008 +0008 +0008 +0008 +0008]
e2s_SignChar  equ  e2s_WeNewLin+04     ; EVAL: Sign  Character                   [+0012 +0012 +0012 +0012 +0012]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
e2s_LastChar  equ  e2s_SignChar+04     ; EVAL: Last  Character                   [+0016 +0016 +0016 +0016 +0016]
e2s_ReadChar  equ  e2s_LastChar+04     ; EVAL: Read  Character                   [+0020 +0020 +0020 +0020 +0020]
e2s_ReadFigr  equ  e2s_ReadChar+04     ; EVAL: Read  Figure                      [+0024 +0024 +0024 +0024 +0024]
e2s_WritChar  equ  e2s_ReadFigr+04     ; EVAL: Write Character                   [+0028 +0028 +0028 +0028 +0028]
;*--------------------------------------------------------------------------------------------------------------
;2s_GLastErr  equ  e2s_WritChar+04     ; EVAL: MessageBox: Title string pointer  [+0032 +0032 +0032 +0032 +0032]
;*==============================================================================================================
e2s_X86_ARCH  equ  e2s_BEG+0000+064    ; EVAL: 001|002,003|004,005,006;007,008   [#0256 #0256 #0256 #0256 #0256]
e2s_ArchSize  equ  e2s_X86_ARCH+04     ; EVAL: 002|004,004|016,016,016;016,016   [+0004 +0004 +0004 +0004 +0004]
e2s_LongSize  equ  e2s_ArchSize+04     ; EVAL: 002|004,008|004,008,016;032,064   [+0008 +0008 +0008 +0008 +0008]
e2s_LongBits  equ  e2s_LongSize+04     ; EVAL: 016|032,064|032,064,128;256,512   [+0012 +0012 +0012 +0012 +0012]
;*--------------------------------------------------------------------------------------------------------------
e2s_CtrInfos  equ  e2s_LongBits+04     ; EVAL: 016|032,064|032,064,128;256,512   [+0016 +0016 +0016 +0016 +0016]
e2s_SyCtrUni  equ  e2s_CtrInfos+04     ; EVAL: 016|032,064|032,064,128;256,512   [+0016 +0016 +0016 +0016 +0016]
;*==============================================================================================================
;2s_FloatSav  equ  e2s_BEG+0000+128    ; STRC: fsave /frstor X87-State structure [#0128 #0128 00000 00000 00000]
;*--------------------------------------------------------------------------------------------------------------
;2s_X87EnCtr  equ  e2s_BEG+0000+128    ; EVAL: <.|x:x:x:I:RC:PC|E:x:P:U:O:Z:D:I> [#0128 #0128 00000 00000 00000]
;2s_X87EnSta  equ  e2s_X87EnCtr+04     ; EVAL: <.|B:3:Stk:2:1:0|I:x:P:U:O:Z:D:I> [+0004 +0004 +0004 +0004 +0004]
;2s_X87EnTag  equ  e2s_X87EnSta+04     ; EVAL: <.|T7 : T6:T5:T4|T3 :T2 : T1: T0> [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;2s_X87EnEIP  equ  e2s_X87EnTag+04     ; EVAL: fsave: < Intruction   Pointer >   [+0012 +0012 +0012 +0012 +0012]
;2s_X87EnCod  equ  e2s_X87EnEIP+04     ; EVAL: fsave: < Opcode     | CS      >   [+0016 +0016 +0016 +0016 +0016]
;2s_X87EnEDP  equ  e2s_X87EnCod+04     ; EVAL: fsave: < Data         Pointer >   [+0020 +0020 +0020 +0020 +0020]
;2s_X87EnDat  equ  e2s_X87EnEDP+04     ; EVAL: fsave: < reserved   | DS      >   [+0024 +0024 +0024 +0024 +0024]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;2s_X87EnST0  equ  e2s_X87EnDat+04     ; TEMP: fsave: X87-Environment ST0        [+0028 +0028 +0028 +0028 +0028]
;2s_X87EnST1  equ  e2s_X87EnST0+10     ; TEMP: fsave: X87-Environment ST1        [+0038 +0038 +0038 +0038 +0038]
;2s_X87EnST2  equ  e2s_X87EnST1+10     ; TEMP: fsave: X87-Environment ST1        [+0048 +0048 +0048 +0048 +0048]
;2s_X87EnST3  equ  e2s_X87EnST2+10     ; TEMP: fsave: X87-Environment ST1        [+0058 +0058 +0058 +0058 +0058]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;2s_X87EnST4  equ  e2s_X87EnST3+10     ; TEMP: fsave: X87-Environment ST1        [+0068 +0068 +0068 +0068 +0068]
;2s_X87EnST5  equ  e2s_X87EnST4+10     ; TEMP: fsave: X87-Environment ST1        [+0078 +0078 +0078 +0078 +0078]
;2s_X87EnST6  equ  e2s_X87EnST5+10     ; TEMP: fsave: X87-Environment ST1        [+0088 +0088 +0088 +0088 +0088]
;2s_X87EnST7  equ  e2s_X87EnST6+10     ; TEMP: fsave: X87-Environment ST1        [+0098 +0098 +0098 +0098 +0098]
;*--------------------------------------------------------------------------------------------------------------
;2s_X87RNumb  equ  e2s_X87EnST7+10     ; EVAL: fsave: X87-StackTOS  ( HFmRNumb ) [+0108 +0108 +0108 +0108 +0108]
;2s_X87Stack  equ  e2s_X87RNumb+10     ; EVAL: fsave: X87-StackTOS  ( X87EnCtr ) [+0112 +0112 +0112 +0112 +0112]
;2s_X87TgOff  equ  e2s_X87Stack+04     ; EVAL: fsave: X87-TagOffst  ( RNum+Stk ) [+0116 +0116 +0116 +0116 +0116]
;2s_X87TgVal  equ  e2s_X87TgOff+04     ; EVAL: fsave: X87-TagValue  ( X87EnTag ) [+0120 +0120 +0120 +0120 +0120]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
e2s_MmTitStr  equ  e2s_BEG+00001024    ; STRC: Memory for Title  String    01024 [00324 00324 00324 00324 00324]
e2s_MmFmtStr  equ  e2s_BEG+00002048    ; STRC: Memory for Format String    02048 [00648 00648 00648 00648 00648]
e2s_MmItmDef  equ  e2s_BEG+00004096    ; STRC: Memory for ItemDefinitions  20000 [00648 00648 00648 00648 00648]
e2s_MmItmStr  equ  e2s_BEG+00024576    ; STRC: Memory for Item(Edit)String 30000 [00648 00648 00648 00648 00648]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2s_BvVALUE0  equ  e2s_BEG+0000+128    ; BYTE: INTEGER*01  BV  VALUE 0     BCST  [#0000 #0000 #0000 #0000 #0000]
;2s_BvVALUE1  equ  e2s_BvVALUE0+01     ; BVAL: INTEGER*01  BV  VALUE 1     BCST  [+0001 +0001 +0001 +0001 +0001]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;2s_WvVALUE2  equ  e2s_BvVALUE1+01     ; WVAL: INTEGER*02  WV  VALUE 2     WCST  [+0002 +0002 +0002 +0002 +0002]
;2s_EvVALUE3  equ  e2s_WvVALUE2+02     ; EVAL: INTEGER*04  EV  VALUE 3     ECST  [+0004 +0004 +0004 +0004 +0004]
;2s_RvVALUE4  equ  e2s_EvVALUE3+04     ; RVAL: INTEGER*08  RV  VALUE 4     RCST  [+0008 +0008 +0008 +0008 +0008]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;2s_QvVALUE5  equ  e2s_RvVALUE4+08     ; QVAL: INTEGER*16  QV  VALUE 5     QCST  [+0016 +0016 +0016 +0016 +0016]
;2s_GvVALUE6  equ  e2s_QvVALUE5+16     ; GVAL: INTEGER*32  GV  VALUE 6     GCST  [+0032 +0032 +0032 +0032 +0032]
;2s_PvVALUE7  equ  e2s_GvVALUE6+32     ; PVAL: INTEGER*64  PV  VALUE 7     PCST  [+0064 +0064 +0064 +0064 +0064]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;2s_LvVALUE8  equ  e2s_PvVALUE7+64     ; LVAL: INTEGER*64  LV  VALUE 8     LCST  [+0128 +0128 +0128 +0128 +0128]
;2s_PnVALUE9  equ  e2s_LvVALUE8+64     ; PNTR: INTEGER*64  LV  VALUE 9     LCST  [+0192 +0192 +0192 +0192 +0192]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2s_Valu1024  equ  e2s_BEG+1024+000    ; XVAL: Value Part1 Non scaling Values !  [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;2s_Valu2048  equ  e2s_BEG+2048+000    ; XVAL: Value Part2 Non scaling Values !  [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       (E)rr(2)Mssg(B)ox   ; LVAL: Internal LongSizes scaling Values [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
e2s_PnE2sBas  equ  e2s_LNG+LVSZ*0000   ; PNTR: Internal Pnter.(E)rr(2)(B)ox.Base [#0000 #0000 #0000 #0000 #0000]
e2s_PnE2sTop  equ  e2s_PnE2sBas+LVSZ   ; PNTR: Internal Pnter.(E)rr(2)(B)ox.Topp [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
e2s_MbBOXTIT  equ  e2s_PnE2sTop+LVSZ   ; PNTR: EBox|Qut TitleString          A01 [+0008 +0016 +0032 +0064 +0128]
e2s_MbHLGFIL  equ  e2s_MbBOXTIT+LVSZ   ; PNTR: EBox|Qut HighLanGuage.FILe    A02 [+0012 +0024 +0048 +0096 +0192]
e2s_MbHLGFUN  equ  e2s_MbHLGFIL+LVSZ   ; PNTR: EBox|Qut HighLanGuage.FUNct   A03 [+0016 +0032 +0064 +0128 +0256]
e2s_MbHLGLIN  equ  e2s_MbHLGFUN+LVSZ   ; LVAL: EBox|Qut HighLanGuage.LINe    A04 [+0020 +0040 +0080 +0160 +0320]
e2s_MbPARENT  equ  e2s_MbHLGLIN+LVSZ   ; HNDL: EBox|Qut DialogWindow.hPARENT A05 [+0024 +0048 +0096 +0192 +0384]
;*--------------------------------------------------------------------------------------------------------------
e2s_MbCONTRL  equ  e2s_MbPARENT+LVSZ   ; LVAL: EBox|Qut CONTRL<1IA USN ????> A06 [+0028 +0056 +0112 +0224 +0448]
e2s_MbFILNUM  equ  e2s_MbCONTRL+LVSZ   ; LVAL: EBox|Qut FILeNUMber           A07 [+0032 +0064 +0128 +0256 +0512]
e2s_MbASMFIL  equ  e2s_MbFILNUM+LVSZ   ; PNTR: EBox|Qut ASseMbly   FILe      A08 [+0036 +0072 +0144 +0288 +0576]
e2s_MbASMFUN  equ  e2s_MbASMFIL+LVSZ   ; HNDL: EBox|Qut ASseMbly   FUNction  A09 [+0040 +0080 +0160 +0320 +0640]
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
e2s_JqP64PTR  equ  e2s_MbASMFUN+LVSZ   ; LVAL: JnQutPut_Presicion(64) PnTeR  A10 [+0044 +0088 +0176 +0352 +0704]
;*--------------------------------------------------------------------------------------------------------------
e2s_JqI04VAL  equ  e2s_JqP64PTR+LVSZ   ; I04V: JnQutPut Integer  (04) VALue  D11 [+0048 +0096 +0192 +0384 +0768]
;2s_JqS04VAL  equ  e2s_JqI04VAL+LVSZ   ; S04V: JnQutPut Single   (04) VALue  D12 [+0052 +0104 +0208 +0416 +0832]
;*==============================================================================================================
e2s_MbERRLAB  equ  e2s_LNG+LVSZ*0014   ; D08V: ErrorBox ERRor LABel          D13 [+0056 +0112 +0224 +0448 +0896]
e2s_MbERRNUM  equ  e2s_MbERRLAB+LVSZ   ; Q16V: ErrorBox ERRor NUMber         D14 [+0060 +0120 +0240 +0480 +0960]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;###############################################################################################################
e2s_ReStrPtr  equ  e2s_LNG+LVSZ*0048   ; PNTR: ErrMsgBox Read  String   Pointer  [#0192 #0384 #0768 #1536 #3072]
e2s_ReBytSiz  equ  e2s_ReStrPtr+LVSZ   ; LVAL: ErrMsgBox Read  Free     BytSize  [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
e2s_ReBegCnt  equ  e2s_ReBytSiz+LVSZ   ; LVAL: ErrMsgBox Read  Begin    Counter  [+0008 +0016 +0032 +0064 +0128]
e2s_ReEndCnt  equ  e2s_ReBegCnt+LVSZ   ; LVAL: ErrMsgBox Read  End      Counter  [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
e2s_ReLinCnt  equ  e2s_ReEndCnt+LVSZ   ; LVAL: ErrMsgBox Read  Line     Counter  [+0016 +0032 +0064 +0128 +0256]
e2s_ReColCnt  equ  e2s_ReLinCnt+LVSZ   ; LVAL: ErrMsgBox Read  Column   Counter  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
e2s_ReChrCnt  equ  e2s_ReColCnt+LVSZ   ; LVAL: ErrMsgBox Read  Character Countr  [+0024 +0048 +0096 +0192 +0384]
e2s_ReChrOff  equ  e2s_ReChrCnt+LVSZ   ; LVAL: ErrMsgBox Read  Character Offset  [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================
e2s_WeStrPtr  equ  e2s_LNG+LVSZ*0056   ; PNTR: ErrMsgBox Write String   Pointer  [#0224 #0448 #0896 #1792 +3584]
e2s_WeFreSiz  equ  e2s_WeStrPtr+LVSZ   ; LVAL: ErrMsgBox Write Free     BytSize  [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
e2s_WeBegCnt  equ  e2s_WeFreSiz+LVSZ   ; LVAL: ErrMsgBox Write Begin    Counter  [+0008 +0016 +0032 +0064 +0128]
e2s_WeEndCnt  equ  e2s_WeBegCnt+LVSZ   ; LVAL: ErrMsgBox Write End      Counter  [+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
e2s_WeLinCnt  equ  e2s_WeEndCnt+LVSZ   ; LVAL: ErrMsgBox Write Line     Counter  [+0016 +0032 +0064 +0128 +0256]
e2s_WeColCnt  equ  e2s_WeLinCnt+LVSZ   ; LVAL: ErrMsgBox Write Column   Counter  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
e2s_WeChrCnt  equ  e2s_WeColCnt+LVSZ   ; LVAL: ErrMsgBox Write Character Countr  [+0024 +0048 +0096 +0192 +0384]
e2s_WeChrOff  equ  e2s_WeChrCnt+LVSZ   ; LVAL: ErrMsgBox Write Character Offset  [+0028 +0056 +0112 +0224 +0448]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
e2s_ReExiCnt  equ  e2s_LNG+LVSZ*0064   ; PNTR: ErrMsgBox Write String   Pointer  [#0224 #0448 #0896 #1792 +3584]
e2s_WeAnyOff  equ  e2s_ReExiCnt+LVSZ   ; LVAL: ErrMsgBox Write Free     BytSize  [+0004 +0008 +0016 +0032 +0064]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
e2s_WeExiCnt  equ  e2s_WeAnyOff+LVSZ   ; LVAL:                                   [+0004 +0008 +0016 +0032 +0064]
;2s_I3BoxTit  equ  e2s_WeExiCnt+LVSZ   ; LVAL:                                   [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------

;*==============================================================================================================
e2s_HnThread  equ  e2s_LNG+LVSZ*0072   ; HNDL: General           handleThread    [#0032 #0064 #0128 #0256 #0512]
e2s_DwThrdId  equ  e2s_HnThread+LVSZ   ; LVAL: General       dwThreadIdentifier  [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
e2s_H1Thread  equ  e2s_DwThrdId+LVSZ   ; HNDL: From  SyEMsBox         hThread    [+0008 +0016 +0032 +0064 +0128]
e2s_D1ThrdId  equ  e2s_H1Thread+LVSZ   ; LVAL: From  SyEMsBox        dwThreadId  [+0012 +0024 +0048 +0096 +0192]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
e2s_H2Thread  equ  e2s_D1ThrdId+LVSZ   ; HNDL: From  SyMBQpen         hThread    [+0016 +0032 +0064 +0128 +0256]
e2s_D2ThrdId  equ  e2s_H2Thread+LVSZ   ; LVAL: From  SyMBQpen        dwThreadId  [+0020 +0040 +0080 +0160 +0320]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
e2s_H3Thread  equ  e2s_D2ThrdId+LVSZ   ; HNDL: From  SyMBProc         hThread    [+0024 +0048 +0096 +0192 +0384]
e2s_D3ThrdId  equ  e2s_H3Thread+LVSZ   ; LVAL: From  SyMBProc        dwThreadId  [+0028 +0056 +0112 +0224 +0448]
;*==============================================================================================================

;*==============================================================================================================
e2s_STRCSIZE  equ  e2s_LNG+LVSZ*0080   ; PARA: Internal StackFrame Structure END [#0320 #0640 #1280 #2560 #5120]
;2s_STRCSIZE  equ  e2s_LNG+LVSZ*0080   ; PARA: Internal StackFrame Structure END [#0480 #0960 #1920 #3840 #7680]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                   Num [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################

;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
;MyLISTON
