INCLUDE     PrpASSEM.i
;***************************************************************************************************************
;* DL1iol32.asm   DisplayLibrary 1 InputOutputLibrary 16 . ASseMbler                                           *
;*                                                                                                             *
;* SyWFName(LAX,???,LSI,LBP,LBX)   System  Write   Console|File|Memory  Name                                   *
;* MyWFLine(LAX,not,LSI,LBP,LBX)   My own  Write   Console|File|Memory  Line                                   *
;*                                                                                                             *
;* MyF@Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (0) Dashes                       *
;* MyF1Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (1) Dashes                       *
;* MyF2Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (2) Dashes                       *
;* MyF3Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (3) Dashes                       *
;* MyF4Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (4) Dashes                       *
;* MyF5Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (5) Dashes                       *
;* MyF6Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (6) Dashes                       *
;* MyF7Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (7) Dashes                       *
;* MyF8Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (8) Dashes                       *
;* MyF9Dash(LAX,not,LSI,LBP,LBX)   My own  write   Console|File|Memory  level (9) Dashes                       *
;*                                                                                                             *
;*=============================================================================================================*
;* Wolfgang  Renner                  Creation Date = 08. Jun 2021                                              *
;* Gimbacher Weg 34                  Creation Time = 09:07:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Jun 2019                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************
;eadINCL__WinUser          ; Include Windows.header  A9WinUser.i                                    In Libraries
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;eadINCL__CommCtrl         ; Include Windows.header  A9CommCtrl.i                                   In Libraries
;eadINCL__CommDlg          ; Include Windows.header  A9CommDlg.i                                    In Libraries
;eadINCL__Dlgs             ; Include Windows.header  A9Dlgs.i                                       In Libraries
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;eadINCL__ObjBase          ; Include Windows.header  A9ObjBase.i                                    In Libraries
;eadINCL__RichEdit         ; Include Windows.header  A9RichEdit.i                                   In Libraries
;eadINCL__ScrnSave         ; Include Windows.header  A9ScrnSave.i                                   In Libraries
;eadINCL__ShellAPI         ; Include Windows.header  A9ShellAPI.i                                   In Libraries
;eadINCL__ShlObj           ; Include Windows.header  A9ShlObj.i                                     In Libraries
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;eadINCL__WinBase          ; Include Windows.header  A9WinBase.i                                    In Libraries
;eadINCL__WinCon           ; Include Windows.header  A9WinCon.i                                     In Libraries
;eadINCL__Windows          ; Include Windows.header  A9Windows.i                                    In Libraries
;eadINCL__WinError         ; Include Windows.header  A9WinError.i                                   In Libraries
;eadINCL__WinGDI           ; Include Windows.header  A9WinGDI.i                                     In Libraries
;eadINCL__WinNT            ; Include Windows.header  A9WinNT.i                                      In Libraries
;###############################################################################################################
HeadINCL__DL1gmm           ; Global Main Memory                ! mov   LVAL[lbx+gmm_StaValue],lax  ; StaticValue
HeadINCL__DL1tmm           ; Thread Main Memory                ! mov   LVAL[lbp+tmm_StaValue],lax  ; StaticValue
;*==============================================================================================================
;eadINCL__DL1axi           ; AXIs                              ! mov   LVAL[lbx+axi_StaValue],lax  ; StaticValue
;eadINCL__DL1cbm           ; ConfigButtonMenu                  ! mov   LVAL[lbx+cbm_StaValue],lax  ; StaticValue
;eadINCL__DL1con           ; CONsole                           ! mov   LVAL[lbx+con_StaValue],lax  ; StaticValue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;eadINCL__DL1drw           ; DRaWing                           ! mov   LVAL[lbx+drw_StaValue],lax  ; Local Value
;eadINCL__DL1dlg           ; DiaLoG                            ! mov   LVAL[lbx+dlg_StaValue],lax  ; Local Value
;eadINCL__DL1dsp           ; DiSPlay                           ! mov   LVAL[lbx+dsp_StaValue],lax  ; Local Value
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;eadINCL__DL1fun           ; FUNction                          ! mov   LVAL[lbx+fun_StaValue],lax  ; StaticValue
;eadINCL__DL1get           ; GetWmbPntr etc.                   ! mov   LVAL[lbx+get_StaValue],lax  ; StaticValue
HeadINCL__DL1iol           ; InputOutLibrary                   ! mov   LVAL[lbx+iol_StaValue],lax  ; StaticValue
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;eadINCL__DL1mat           ; MATh library                      ! mov   LVAL[lbx+mat_StaValue],lax  ; StaticValue
;eadINCL__DL1ocd           ; OpenCloseData                     ! mov   LVAL[lbx+ocd_StaValue],lax  ; StaticValue
;eadINCL__DL1owi           ; OpenCloseWindow                   ! mov   LVAL[lbx+owi_StaValue],lax  ; StaticValue
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;eadINCL__DL1sys           ; SYStem                            ! mov   LVAL[lbx+sys_StaValue],lax  ; StaticValue
;eadINCL__DL1wim           ; WIndow Messaging                  ! mov   LVAL[lbx+wim_StaValue],lax  ; StaticValue
;eadINCL__DL1win           ; WINdow processing                 ! mov   LVAL[lbx+win_StaValue],lax  ; StaticValue
;eadINCL__DL1wpr           ; WindProc                          ! mov   LVAL[lbx+wpr_StaValue],lax  ; StaticValue
;*--------------------------------------------------------------------------------------------------------------
;eadINCL__DL1des           ; DEStination                       ! mov   LVAL[lbx+des_StaValue],lax  ; StaticValue
;*==============================================================================================================
;eadINCL__DL1kio           ; KonsoleInputOutLib                ! mov   LVAL[lbp+kio_StaValue],lax  ; Local Value
;eadINCL__DL1wmb           ; WinMemBlock                       ! mov   LVAL[lbx+wmb_StaValue],lax  ; StaticValue
;***************************************************************************************************************
;eadINCL__DL1cfg           ; Configuration                     ! mov   LVAL[lbx+cfg_StaValue],lax  ; StaticValue
;eadINCL__DL1mem           ; MEMory                            ! mov   LVAL[lbx+mem_StaValue],lax  ; StaticValue
;eadINCL__DL1fnt           ; FoNT                              ! mov   LVAL[lbx+fnt_StaValue],lax  ; StaticValue
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
HeadINCL__DL1err           ; ERRors                            ! Error Messages Number Constants   ; Parameters
;###############################################################################################################

;###############################################################################################################
BegCODE1                                                       ; Begin CODE1 (segment)
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ProcINCL__Win32API         ; Microsoft Windows32 Application Programming Interface                  In Libraries
;*==============================================================================================================
ProcEXTN  SyMSleep         ; System MilSec Sleeping(SAX,SDX,LBX)                                    DL1fun01.obj
ProcEXTN  SyEM1Box         ; System Simple MssgBox (LAX,LDX,LCX,LDI,LSI,LBX,LPB,LSP;L08,..,L30;LIP) DL1iol05.obj
ProcEXTN  SyEM2Box         ; System Simple MssgBox (LAX,LDX,LCX,LDI,LSI,LBX,LPB,LSP;L08,..,L30;LIP) DL1iol05.obj
;*--------------------------------------------------------------------------------------------------------------
;rocEXTN  SyFLWrit         ; System Qutput Writing (LAX,LDX,LCX,LDI,LSI,LBX,LPB,LSP;L08,..,L30;LIP) DL1iol31.obj
;rocEXTN  SyQutWrt         ; System Qutput Writing (LAX,LDX,LCX,LDI,LSI,LBX,LPB,LSP;L08,..,L30;LIP) DL1iol41.obj
;rocEXTN  SyQutLib         ; System Qutput Library (LAX,LDX,LCX,LDI,LSI,LBX,LPB,LSP;L08,..,L30;LIP) DL1iol41.obj
ProcEXTN  SyQutPut         ; System QutPut library (LAX,LDX,LCX,LDI,LSI,LBX,LPB,LSP;L08,..,L30;LIP) DL1iol51.obj
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ProcEXTN  MyRMBoms         ; My own Reads  Memory  ByteOrderMark                      (SAX,LBP,LBX) DL1iol45.obj
ProcEXTN  MyRMChar         ; My own Reads  Memory  UnicodeChar                        (SAX,LBP,LBX) DL1iol45.obj
;*--------------------------------------------------------------------------------------------------------------
ProcEXTN  MyWMBoms         ; My own Write  Memory  ByteOrderMark                      (SAX,LBP,LBX) DL1iol45.obj
ProcEXTN  MyWMChar         ; My own Write  Memory  UnicodeChar                        (SAX,LBP,LBX) DL1iol45.obj
;*==============================================================================================================
;rocEXTN  MyQWTest         ; My own Write File (Q)utPut(W)riting Tests                (SAX,LBP,LBX) DL1iol$0.obj
;rocEXTN  SyQutWrt         ; System Write Kons (Q)utPut(W)riting Names & (Equa)l char (SAX,LBP,LBX) DL1iol41.obj
;*--------------------------------------------------------------------------------------------------------------
;rocEXTN  MyQWRegs         ; My own Write File (Q)utPut(W)riting X86 (Reg)gister      (LAX,LBP,LBX) DL1iol42.obj
;rocEXTN  MyQWFlts         ; My own Write File (Q)utPut(W)riting X87 (Float)ings      (LAX,LBP,LBX) DL1iol43.obj
;rocEXTN  MyQWMeds         ; My own Write File (Q)utPut(W)riting XMM (Media)          (LAX,LBP,LBX) DL1iol44.obj
;*--------------------------------------------------------------------------------------------------------------
ProcEXTN  MyWMRead         ; My own Write Memo (Q)utPut(W)riting and Read for Testing (LAX,LBP,LBX) DL1iol45.obj
;rocEXTN  MyRWBoms         ; My own Reads Memo (Q)utPut(W)riting (B)yte(O)rder(M)arks (LAX,LBP,LBX) DL1iol45.obj
;rocEXTN  MyRWChar         ; My own Reads Memo (Q)utPut(W)riting (Char)acter          (LAX,LBP,LBX) DL1iol45.obj
;rocEXTN  MyWWBoms         ; My own Write Memo (Q)utPut(W)riting (B)yte(O)rder(M)arks (LAX,LBP,LBX) DL1iol45.obj
;rocEXTN  MyWWChar         ; My own Write Memo (Q)utPut(W)riting (Char)acter          (LAX,LBP,LBX) DL1iol45.obj
;*--------------------------------------------------------------------------------------------------------------
ProcEXTN  MyTWValu         ; My own (T)st File {Q}utPut(W)riting (Valu)e  All         (LAX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVInt         ; My own Write Kons (Q)utPut(W)riting (V)alue (Int)        (LAX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVHex         ; My own Write File (Q)utPut(W)riting (V)alue (Hex)adecim  (LAX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVBin         ; My own Write Kons (Q)utPut(W)riting (V)alue (Bin)ary     (LAX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVOct         ; My own Write File (Q)utPut(W)riting (V)alue (Oct)al      (LAX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVDec         ; My own Write Kons (Q)utPut(W)riting (V)alue (Dec)imal    (LAX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVBas         ; My own Write File (Q)utPut(W)riting (V)alue (Bas)e   (LAX,LDX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVStr         ; My own Write Kons (Q)utPut(W)riting (V)alue (Str)ing     (LAX,LBP,LBX) DL1iol46.obj
ProcEXTN  MyQWVTxt         ; My own Write File (Q)utPut(W)riting (V)alue (Txt)        (LAX,LBP,LBX) DL1iol46.obj
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;rocEXTN  MyTWFlot         ; My own (T)st File {Q}utPut(W)riting (Float)  All         (LAX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFInt         ; My own Write Kons (Q)utPut(W)riting (F)loat (Int)        (LAX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFHex         ; My own Write File (Q)utPut(W)riting (F)loat (Hex)adecim  (LAX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFBin         ; My own Write Kons (Q)utPut(W)riting (F)loat (Bin)ary     (LAX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFOct         ; My own Write File (Q)utPut(W)riting (F)loat (Oct)al      (LAX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFDec         ; My own Write Kons (Q)utPut(W)riting (F)loat (Dec)imal    (LAX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFBas         ; My own Write File (Q)utPut(W)riting (F)loat (Bas)e   (LAX,LDX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFRnd         ; My own Write File (Q)utPut(W)riting (F)loat (Rnd)    (LAX,LDX,LBP,LBX) DL1iol47.obj
;rocEXTN  MyQWFExp         ; My own Write Kons (Q)utPut(W)riting (F)loat (Exp)o   (LAX,LDX,LBP,LBX) DL1iol47.obj
;*--------------------------------------------------------------------------------------------------------------
;rocEXTN  MyQWBoms         ; My own Write Kons (Q)utPut(W)riting (B)yte(O)rder(M)arks (LAX,LBP,LBX) DL1iol48.obj
ProcEXTN  MyQWChar         ; My own Write File (Q)utPut(W)riting (Char)acter          (LAX,LBP,LBX) DL1iol48.obj
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
ProcEXTN  SyQWAttr         ; System Write File (Q)utPut(W)riting (Attr)ibute          (LAX,LBP,LBX) DL1iol49.obj
ProcEXTN  SyQWNwLn         ; System Write File (Q)utPut(W)riting (New Line)           (LAX,LBP,LBX) DL1iol49.obj
ProcEXTN  SyQWNwPg         ; System Write Kons (Q)utPut(W)riting (New Page)           (LAX,LBP,LBX) DL1iol49.obj
ProcEXTN  SyQWBuff         ; System Write Kons (Q)utPut(W)riting (Buff)er             (LAX,LBP,LBX) DL1iol49.obj
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

;***************************************************************************************************************
;* SyWFName  System  Write Console|File|Memoy  Name part                                                       *
;*                                                                                                             *
;*=============================================================================================================*
;*                                                                                                             *
;*   |&z|         ZeroStop      0000h                                 WFN20000     Standard                    *
;*   |&n|         New Line      000Dh, 000Ah                          WFN21000     Standard                    *
;*   |&p|         New Page      000Ch                                 WFN23000                                 *
;*                                                                                                             *
;*   |&u#####|    &u00000 ... &uFFFFF  Unicode  000000h...0FFFFFh     WFN25005     Standard                    *
;*   |&U#####|    &U00000 ... &U0FFFF  Unicode  100000h...10FFFFh     WFN25006     Standard                    *
;*                                                                                                             *
;*   |& |         NOP                           &x####    Hexadec     WFN26000                                 *
;*   |&&|         Ampersand     0026h           &x%%%%    Decimal     WFN26010                                 *
;*                                                                                                             *
;*   &s HLMENU:   Starts with HLgAttr  Black    Gives  |  HLMENU:     WFN26060                                 *
;*   &S 0.0.0.0   Starts with ComAttr  DGray    Gives  |  0.0.0.0     WFN26070                                 *
;*                                                                                                             *
;*   &e           Ends   from HlgAttr  ?                              WFN26080     ?                           *
;*   &E           Ends   from ComAttr  ?                              WFN26090     ?                           *
;*                                                                                                             *
;*   |&c##|       &c00 .. &cFF         Colors   000h .... 0FFh        WFN27002                                 *
;*   |&C###|      &C000..&C0FF..&C11F  Colors   000h .... 11Fh        WFN27003                                 *
;*                                                                                                             *
;*   |&b%%|       &b00   .... &b99     Blanks   0000 .... 0099        WFN28002                                 *
;*   |&B%%%|      &B000  .... &B999    Blanks   0000 .... 0999        WFN28003                                 *
;*                                                                                                             *
;*   |&t%%|       &t00 .. &t99            Tabulatorposition(Blanks)   WFN29002                                 *
;*   |&T%%%%|     &T0000..&T0099..&T9999  Tabulatorposition(Blanks)   WFN29004                                 *
;*                                                                                                             *
;*   |$ |         NOP                                                 UniCode1     Standard ?                  *
;*   |$$|         '$'         000024h                                 UniCode1     Standard ?                  *
;*                                                                                                             *
;*   |$u#####|    $u00000 ... $uFFFFF  Unicode  000000h...0FFFFFh     UniCode1     Standard                    *
;*   |$U#####|    $U00000 ... $U0FFFF  Unicode  100000h...10FFFFh     UniCode1     Standard                    *
;*                                                                                                             *
;*   |\ |         NOP                           DRWTEX                TexStyle     Character Definitions and   *
;*   |\\|         '\'         00005Ch           DRWTEX                TexStyle     Formating Rules             *
;*                                                                                                             *
;*   |\alpha|     \beta\gamma                   DRWTEX                TexStyle     definitions                 *
;*                                                                                                             *
;*                                                                                                             *
;*   |&%%|       LineStyles &  More:                                                                           *
;*                                                                                                             *
;*   &00  C      SepaLine      Color                    &10  C#      Comment      Color                #       *
;*   &01  C###|############|############|############   &11  C###|############|############|############       *
;*   &02  C%%%|%%%%%%%%%%%%|%%%%%%%%%%%%|%%%%%%%%%%%%   &12  C#%%|%%%%%%%%%%%%|%%%%%%%%%%%%|%%%%%%%%%%%#       *
;*   &03  C***|************|************|************   &13  C#**|************|************|***********#       *
;*   &04  C===|============|============|============   &14  C#==|============|============|===========#       *
;*   &05  C---|------------|------------|------------   &15  C#--|------------|------------|-----------#       *
;*   &06  C- -| - - - - - -| - - - - - -| - - - - - -   &16  C# -| - - - - - -| - - - - - -| - - - - - #       *
;*   &07  C- -|  -  -  -  -|  -  -  -  -|  -  -  -  -   &17  C# -|  -  -  -  -|  -  -  -  -|  -  -  -  #       *
;*   &08  C- -|   -   -   -|   -   -   -|   -   -   -   &18  C# -|   -   -   -|   -   -   -|   -   -   #       *
;*   &09  C- -|     -     -|     -     -|     -     -   &19  C# -|     -     -|     -     -|     -     #       *
;*                                                                                                             *
;*   &20  C%      Comment      Color                %   &30  C*      Comment      Color                        *
;*   &21  C%##|############|############|###########%   &31  C*##|############|############|###########*       *
;*   &22  C%%%|%%%%%%%%%%%%|%%%%%%%%%%%%|%%%%%%%%%%%%   &32  C*%%|%%%%%%%%%%%%|%%%%%%%%%%%%|%%%%%%%%%%%*       *
;*   &23  C%**|************|************|***********%   &33  C***|************|************|************       *
;*   &24  C%==|============|============|===========%   &34  C*==|============|============|===========*       *
;*   &25  C%--|------------|------------|-----------%   &35  C*--|------------|------------|-----------*       *
;*   &26  C% -| - - - - - -| - - - - - -| - - - - - %   &36  C* -| - - - - - -| - - - - - -| - - - - - *       *
;*   &27  C% -|  -  -  -  -|  -  -  -  -|  -  -  -  %   &37  C* -|  -  -  -  -|  -  -  -  -|  -  -  -  *       *
;*   &28  C% -|   -   -   -|   -   -   -|   -   -   %   &38  C* -|   -   -   -|   -   -   -|   -   -   *       *
;*   &29  C% -|     -     -|     -     -|     -     %   &39  C* -|     -     -|     -     -|     -     *       *
;*                                                                                                             *
;*   &40  C=      Comment      Color                =   &50  C       Comment      Color                        *
;*   &41  C=##|############|############|###########=   &51  C###|############|############|############       *
;*   &42  C=%%|%%%%%%%%%%%%|%%%%%%%%%%%%|%%%%%%%%%%%=   &52  C%%%|%%%%%%%%%%%%|%%%%%%%%%%%%|%%%%%%%%%%%%       *
;*   &43  C=**|************|************|***********=   &53  C***|************|************|************       *
;*   &44  C===|============|============|============   &54  C*==|============|============|============       *
;*   &45  C=--|------------|------------|-----------=   &55  C*--|------------|------------|------------       *
;*   &46  C= -| - - - - - -| - - - - - -| - - - - - =   &56  C* -| - - - - - -| - - - - - -| - - - - - -       *
;*   &47  C= -|  -  -  -  -|  -  -  -  -|  -  -  -  =   &57  C* -|  -  -  -  -|  -  -  -  -|  -  -  -  -       *
;*   &48  C= -|   -   -   -|   -   -   -|   -   -   =   &58  C* -|   -   -   -|   -   -   -|   -   -   -       *
;*   &49  C= -|     -     -|     -     -|     -     =   &59  C* -|     -     -|     -     -|     -     -       *
;*                                                                                                             *
;*   &60  C  Left ...                                   &70          Comment      Color                        *
;*   &61  C# Left ...                                   &71  ####|############|############|############       *
;*   &62  C% Left ...                                   &72  %%%%|%%%%%%%%%%%%|%%%%%%%%%%%%|%%%%%%%%%%%%       *
;*   &63  C* Left ...                                   &73  ****|************|************|************       *
;*   &64  C= Left                                       &74  ====|============|============|============       *
;*   &65  C---|------------|------------|------------   &75  ----|------------|------------|------------       *
;*   &66  C- -| - - - - - -| - - - - - -| - - - - - -   &76  -  -| - - - - - -| - - - - - -| - - - - - -       *
;*   &67  C- -|  -  -  -  -|  -  -  -  -|  -  -  -  -   &77  -  -|  -  -  -  -|  -  -  -  -|  -  -  -  -       *
;*   &68  C- -|   -   -   -|   -   -   -|   -   -   -   &78  -  -|   -   -   -|   -   -   -|   -   -   -       *
;*   &69  C- -|     -     -|     -     -|     -     -   &79  -  -|     -     -|     -     -|     -     -       *
;*                                                                                                             *
;*   &80 ...     Right   |            ???               &90 File Name        Data1234.txt                      *
;*   &81 ...     Right  #|            ###               &91 ProductID        |2003000123|                      *
;*   &82 ...     Right  %|            %%%               &92 Date             26. Feb 2014                      *
;*   &83 ...     Right  *|            ***               &93 Time 3           12:48:59                          *
;*   &84 ...     Right  =|            ///               &94 Time 4           12:48:59:999                      *
;*   &85  ...    Middle<C>omment      ! KOM             &95 Middle<C>omment  !KOM                              *
;*   &86%%%%%    DataWidth          Numbers             &96 Middle<C>omment  !!KOM                             *
;*   &87%%%%%    DataIBL            Decimal             &97 Middle<C>omment  !!!KOM                            *
;*   &88%%%%%    CommentLeft       &8800111             &98 DataLeft|Right"  "Tests ?                          *
;*   &89%%%%%    CommentRight      &8900124             &99 Output Testings                                    *
;*                                                                                                             *
;*  | ###|############|############    <C>     Comment  Characters                                             *
;*  | # &61  Console  <0>     &81 #                                                                            *
;*  | # &61                   &81 #     0  ->  ' '   Blank  Console                                            *
;*  | ###|############|############     1  ->  '#'   .MAK   File                                               *
;*  | #%%|%%%%%%%%%%%%|%%%%%%%%%%%#     2  ->  '%'   .TEX   File                                               *
;*  | #**|************|***********#     3  ->  '*'   .FOR   File                                               *
;*  | #==|============|===========#     4  ->  '//'  .CPP   File                                               *
;*  | #--|------------|-----------#     5  ->  ';'   .ASM   File                                               *
;*  | # -| - - - - - -| - - - - - #     6  ->  '?'   .???   File                                               *
;*  | # -|  -  -  -  -|  -  -  -  #     7  ->  'C'   .F77   File                                               *
;*  | # -|   -   -   -|   -   -   #     8  ->  'C'   .F77   File                                               *
;*  | # -|     -     -|     -     #     9  ->  '!'   .F90   File                                               *
;*  | ###|############|############                                                                            *
;*                                                                                                             *
;*  |####|############|############    |%###|############|############    |*###|############|############      *
;*  |## &61  MAK-File <1>     &81 #    |%# &61  TEX-File <2>     &81 #    |*# &61  FOR-File <3>     &81 #      *
;*  |####|############|############    |%###|############|############    |*###|############|############      *
;*  |##%%|%%%%%%%%%%%%|%%%%%%%%%%%#    |%#%%|%%%%%%%%%%%%|%%%%%%%%%%%#    |*#%%|%%%%%%%%%%%%|%%%%%%%%%%%#      *
;*  |##**|************|***********#    |%#**|************|***********#    |*#**|************|***********#      *
;*  |##==|============|===========#    |%#==|============|===========#    |*#==|============|===========#      *
;*  |##--|------------|-----------#    |%#--|------------|-----------#    |*#--|------------|-----------#      *
;*  |## -| - - - - - -| - - - - - #    |%# -| - - - - - -| - - - - - #    |*# -| - - - - - -| - - - - - #      *
;*  |## -|  -  -  -  -|  -  -  -  #    |%# -|  -  -  -  -|  -  -  -  #    |*# -|  -  -  -  -|  -  -  -  #      *
;*  |## -|   -   -   -|   -   -   #    |%# -|   -   -   -|   -   -   #    |*# -|   -   -   -|   -   -   #      *
;*  |## -|     -     -|     -     #    |%# -|     -     -|     -     #    |*# -|     -     -|     -     #      *
;*  |####|############|############    |%###|############|############    |*###|############|############      *
;*                                                                                                             *
;*  |//##|############|############    |;###|############|############    |?###|############|############      *
;*  |// &61  CPP-File <4>     &81 #    |;# &61  ASM-File <5>     &81 #    |?# &61  ???-File <6>     &81 #      *
;*  |//##|############|############    |;###|############|############    |?###|############|############      *
;*  |//%%|%%%%%%%%%%%%|%%%%%%%%%%%#    |;#%%|%%%%%%%%%%%%|%%%%%%%%%%%#    |?#%%|%%%%%%%%%%%%|%%%%%%%%%%%#      *
;*  |//**|************|***********#    |;#**|************|***********#    |?#**|************|***********#      *
;*  |//==|============|===========#    |;#==|============|===========#    |?#==|============|===========#      *
;*  |//--|------------|-----------#    |;#--|------------|-----------#    |?#--|------------|-----------#      *
;*  |// -| - - - - - -| - - - - - #    |;# -| - - - - - -| - - - - - #    |?# -| - - - - - -| - - - - - #      *
;*  |// -|  -  -  -  -|  -  -  -  #    |;# -|  -  -  -  -|  -  -  -  #    |?# -|  -  -  -  -|  -  -  -  #      *
;*  |// -|   -   -   -|   -   -   #    |;# -|   -   -   -|   -   -   #    |?# -|   -   -   -|   -   -   #      *
;*  |// -|     -     -|     -     #    |;# -|     -     -|     -     #    |?# -|     -     -|     -     #      *
;*  |//##|############|############    |;###|############|############    |?###|############|############      *
;*                                                                                                             *
;*  |C###|############|############    |C###|############|############    |!###|############|############      *
;*  |C# &61  F77-File <7>     &81 #    |C# &61  F77-File <8>     &81 #    |!# &61  F90-File <9>     &81 #      *
;*  |C###|############|############    |C###|############|############    |!###|############|############      *
;*  |C#%%|%%%%%%%%%%%%|%%%%%%%%%%%#    |C#%%|%%%%%%%%%%%%|%%%%%%%%%%%#    |!#%%|%%%%%%%%%%%%|%%%%%%%%%%%#      *
;*  |C#**|************|***********#    |C#**|************|***********#    |!#**|************|***********#      *
;*  |C#==|============|===========#    |C#==|============|===========#    |!#==|============|===========#      *
;*  |C#--|------------|-----------#    |C#--|------------|-----------#    |!#--|------------|-----------#      *
;*  |C# -| - - - - - -| - - - - - #    |C# -| - - - - - -| - - - - - #    |!# -| - - - - - -| - - - - - #      *
;*  |C# -|  -  -  -  -|  -  -  -  #    |C# -|  -  -  -  -|  -  -  -  #    |!# -|  -  -  -  -|  -  -  -  #      *
;*  |C# -|   -   -   -|   -   -   #    |C# -|   -   -   -|   -   -   #    |!# -|   -   -   -|   -   -   #      *
;*  |C# -|     -     -|     -     #    |C# -|     -     -|     -     #    |!# -|     -     -|     -     #      *
;*  |C###|############|############    |C###|############|############    |!###|############|############      *
;*                                                                                                             *
;*=============================================================================================================*
;* #define FOREGROUND_BLUE      0x0001h ; // text color contains blue                                          *
;* #define FOREGROUND_GREEN     0x0002h ; // text color contains green                                         *
;* #define FOREGROUND_RED       0x0004h ; // text color contains red                                           *
;* #define FOREGROUND_INTENSITY 0x0008h ; // text color is intensified                                         *
;* -     -     -     -     -     -     -+    -     -     -     -     -     -     -     -     -     -     -     *
;* #define BACKGROUND_BLUE      0x0010h ; // background color contains blue                                    *
;* #define BACKGROUND_GREEN     0x0020h ; // background color contains green                                   *
;* #define BACKGROUND_RED       0x0040h ; // background color contains red                                     *
;* #define BACKGROUND_INTENSITY 0x0080h ; // background color intensified                                      *
;* -  -  -  -  -  -  -  -  -  -  -  -  -+ -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -     *
;* #COMMON_LVB_LEADING_BYTE     0x0100h ; // Leading  Byte of DBCS                                             *
;* #COMMON_LVB_TRAILING_BYTE    0x0200h ; // Trailing Byte of DBCS                                             *
;* #COMMON_LVB_SBCSDBCS         0x0300h ; // SBCS  or DBCS flag.                                               *
;* -     -     -     -     -     -     -+    -     -     -     -     -     -     -     -     -     -     -     *
;* #COMMON_LVB_GRID_HORIZONTAL  0x0400h ; // DBCS: Grid Attribute Top   Horizont                               *
;* #COMMON_LVB_GRID_LVERTICAL   0x0800h ; // DBCS: Grid Attribute Left  Vertical                               *
;* #COMMON_LVB_GRID_RVERTICAL   0x1000h ; // DBCS: Grid Attribute Right Vertical                               *
;* -     -     -     -     -     -     -+    -     -     -     -     -     -     -     -     -     -     -     *
;* #COMMON_LVB_REVERSE_VIDEO    0x4000h ; // DBCS: Reverse fore / back  Ground                                 *
;* #COMMON_LVB_UNDERSCORE       0x8000h ; // DBCS: Underscore.                                                 *
;*===========================================================================================================  *
;* SAX  : Value Source  | BACKGROUND    : FOREGROUND    | <UV?R:VHT#|IRGB:IRGB>b  : Description                *
;* -----+---------------+---------------+---------------+-------------------------+--------------------------  *
;* 0#0h : Direct        | Any           : Dark  Black   | <REST:DBCS|BACK:0000>b  :                            *
;* 0#1h :               |               : Dark  Blue    | <UV?R:VHT#|IRGB:0001>b  :                            *
;* 0#2h :               |               : Dark  Green   | <oooo:oooo|BACK:0010>b  :                            *
;* 0#3h :               |               : Dark  Cyan    | <oooo:oooo|IRGB:0011>b  :                            *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 0#4h :               | Any           : Dark  Red     | <oooo:oooo|BACK:0100>b  :                            *
;* 0#5h :               |               : Dark  Magenta | <oooo:oooo|IRGB:0101>b  :                            *
;* 0#6h :               |               : Dark  Yellow  | <oooo:oooo|BACK:0110>b  :                            *
;* 0#7h :               |               : Dark  White   | <oooo:oooo|IRGB:0111>b  :                            *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 0#8h :               | Any           : Light Black   | <oooo:oooo|BACK:1000>b  :                            *
;* 0#9h :               |               : Light Blue    | <oooo:oooo|IRGB:1001>b  :                            *
;* 0#Ah :               |               : Light Green   | <oooo:oooo|BACK:1010>b  :                            *
;* 0#Bh :               |               : Light Cyan    | <oooo:oooo|IRGB:1011>b  :                            *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 0#Ch :               | Any           : Light Red     | <oooo:oooo|BACK:1100>b  :                            *
;* 0#Dh :               |               : Light Magenta | <oooo:oooo|IRGB:1101>b  :                            *
;* 0#Eh :               |               : Light Yellow  | <oooo:oooo|BACK:1110>b  :                            *
;* 0#Fh :               |               : Light White   | <oooo:oooo|IRGB:1111>b  :                            *
;* - - -+ - - - - - - - + - - - - - - - + - - - - - - - + - - - - - - - - - - - - + - - - - - - - - - - - - -  *
;* 00#h : Direct        | Dark  Black   : Any           | <REST:DBCS|0000:FORE>b  :                            *
;* 01#h :               | Dark  Blue    :               | <UV?R:VHT#|0001:IRGB>b  :                            *
;* 02#h :               | Dark  Green   :               | <oooo:oooo|0010:FORE>b  :                            *
;* 03#h :               | Dark  Cyan    :               | <oooo:oooo|0011:IRGB>b  :                            *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 04#h :               | Dark  Red     : Any           | <oooo:oooo|0100:FORE>b  :                            *
;* 05#h :               | Dark  Magenta :               | <oooo:oooo|0101:IRGB>b  :                            *
;* 06#h :               | Dark  Yellow  :               | <oooo:oooo|0110:FORE>b  :                            *
;* 07#h :               | Dark  White   :               | <oooo:oooo|0111:IRGB>b  :                            *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 08#h :               | Light Black   : Any           | <oooo:oooo|1000:FORE>b  :                            *
;* 09#h :               | Light Blue    :               | <oooo:oooo|1001:IRGB>b  :                            *
;* 0A#h :               | Light Green   :               | <oooo:oooo|1010:FORE>b  :                            *
;* 0B#h :               | Light Cyan    :               | <oooo:oooo|1011:IRGB>b  :                            *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 0C#h :               | Light Red     : Any           | <oooo:oooo|1100:FORE>b  :                            *
;* 0D#h :               | Light Magenta :               | <oooo:oooo|1101:IRGB>b  :                            *
;* 0E#h :               | Light Yellow  :               | <oooo:oooo|1110:FORE>b  :                            *
;* 0F#h :               | Light White   :               | <oooo:oooo|1111:IRGB>b  :                            *
;* -----+---------------+---------------+---------------+-------------------------+--------------------------  *
;* 100h : ios_W#NamAtt  | Dark  White   : Dark  Green   | <oooo:oooo|0111:0010>b  : Write Name     Characters  *
;* 101h : ios_W#EquAtt  | Dark  White   : Dark  Yellow  | <oooo:oooo|0111:0110>b  : Write Equal    Character   *
;* 102h : ios_W#MrkAtt  | Dark  White   : Dark  Black   | <oooo:oooo|0111:0000>b  : Write Mark     Character   *
;* 103h : ios_W#TokAtt  | Dark  White   : Dark  Black   | <oooo:oooo|0111:0000>b  : Write TokenEnd Character   *
;* 104h : ios_W#ComAtt  | Dark  White   : Light Black   | <oooo:oooo|0111:1000>b  : Write Comment  Characters  *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 105h : ios_W#GVaAtt  | Dark  White   : Dark  Black   | <oooo:oooo|0111:0000>b  : Write General  Values      *
;* 106h : ios_W#IVaAtt  | Dark  White   : Dark  Red     | <oooo:oooo|0111:0100>b  : Write Integer  Values      *
;* 107h : ios_W#FVaAtt  | Dark  White   : Dark  Magenta | <oooo:oooo|0111:0101>b  : Write Floating Values      *
;* 108h : ios_W#SVaAtt  | Dark  White   : Dark  Blue    | <oooo:oooo|0111:0001>b  : Write String   Values      *
;* 109h : ios_W#TVaAtt  | Dark  White   : Dark  Cyan    | <oooo:oooo|0111:0011>b  : Write Text     Values      *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 10Ah : ios_W#NChAtt  | Light Yellow  : Dark  Red     | <oooo:oooo|1110:0100>b  : Write New Line Character   *
;* 10Bh : ios_W#NFiAtt  | Dark  White   : Dark  Red     | <oooo:oooo|0111:0100>b  : Write New Line Fillings    *
;* 10Ch : ios_W#StpAtt  | Light Yellow  : Dark  Green   | <oooo:oooo|1110:0010>b  : Write Stop [@] Character   *
;* 10Dh : ios_W#ZChAtt  | Light Yellow  : Dark  Blue    | <oooo:oooo|1110:0001>b  : Write Zero &z  Characters  *
;* 10Eh : ios_W#ZFiAtt  | Dark  White   : Dark  Blue    | <oooo:oooo|0111:0001>b  : Write Zero ... Fillings    *
;* - - -+ - - - - - - - + - - - - - - - + - - - - - - - + - - - - - - - - - - - - + - - - - - - - - - - - - -  *
;* 10Fh : ios_B#LinAtt  | Dark  White   : Light White   | <oooo:oooo|0111:1111>b  : Both! SepaLine Characters  *
;* -----+---------------+---------------+---------------+----------------------------------------------------  *
;* 110h : ios_R#NamAtt  | Dark  White   : Light Green   | <oooo:oooo|0111:1010>b  : Read  Name     Characters  *
;* 111h : ios_R#EquAtt  | Dark  White   : Light Yellow  | <oooo:oooo|0111:1110>b  : Read  Equal    Character   *
;* 112h : ios_R#MrkAtt  | Dark  White   : Dark  Black   | <oooo:oooo|0111:0000>b  : Read  Mark     Character   *
;* 113h : ios_R#TokAtt  | Dark  White   : Dark  Black   | <oooo:oooo|0111:0000>b  : Read  TokenEnd Character   *
;* 114h : ios_R#ComAtt  | Dark  White   : Light Black   | <oooo:oooo|0111:1000>b  : Read  Comment  Characters  *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 115h : ios_R#GVaAtt  | Light White   : Dark  Black   | <oooo:oooo|1111:0000>b  : Read  General  Values      *
;* 116h : ios_R#IVaAtt  | Light White   : Dark  Red     | <oooo:oooo|1111:0100>b  : Read  Integer  Values      *
;* 117h : ios_R#FVaAtt  | Light White   : Dark  Magenta | <oooo:oooo|1111:0101>b  : Read  Floating Values      *
;* 118h : ios_R#SVaAtt  | Light White   : Dark  Blue    | <oooo:oooo|1111:0001>b  : Read  String   Values      *
;* 119h : ios_R#TVaAtt  | Light White   : Dark  Cyan    | <oooo:oooo|1111:0011>b  : Read  Text     Values      *
;* -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  - + -  -  -  -  -  -  -  -  + -  -  -  -  -  -  -  -  -  *
;* 11Ah : ios_R#NChAtt  | Light Yellow  : Light Red     | <oooo:oooo|1110:1100>b  : Read  New Line Character   *
;* 11Bh : ios_R#NFiAtt  | Dark  White   : Light Red     | <oooo:oooo|0111:1100>b  : Read  New Line Fillings    *
;* 11Ch : ios_R#StpAtt  | Light Yellow  : Light Green   | <oooo:oooo|1110:1010>b  : Read  Stop [@] Character   *
;* 11Dh : ios_R#ZChAtt  | Light Yellow  : Light Blue    | <oooo:oooo|1110:1001>b  : Read  Zero &z  Characters  *
;* 11Eh : ios_R#ZFiAtt  | Dark  White   : Light Blue    | <oooo:oooo|0111:1001>b  : Read  Zero ... Fillings    *
;* - - -+ - - - - - - - + - - - - - - - + - - - - - - - + - - - - - - - - - - - - + - - - - - - - - - - - - -  *
;* 11Fh : ios_B#HLgAtt  | Dark  White   : Dark  Black   | <oooo:oooo|0111:0000>b  : Both  HighLang Characters  *
;* -----+---------------+---------------+---------------+----------------------------------------------------  *
;*                                                                                                             *
;*=============================================================================================================*
;* SyWFName   takes as register input:                                           LBX := gmm_        Pointer    *
;*                                                                               LBP := tmm_        Pointer    *
;* SyWFName   returns:    -                                                      LBP := iol_        Pointer    *
;*                                                                                                             *
;* SyWFName   changes the registers:                                                                           *
;***************************************************************************************************************
;%% OutSTACK       (W)rt(F)ile(N)ame   ; XVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
wfn_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
wfn_ShArg002  equ  wfn_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
wfn_ShArg003  equ  wfn_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
wfn_ShArg004  equ  wfn_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;fn_StArg005  equ  wfn_ShArg004+LVSZ   ; LVAL: FastCall Normal Call Argument 005 [00016 00032 00064 00128 00256]
;fn_StArg006  equ  wfn_StArg005+LVSZ   ; LVAL: FastCall Stack! Call Argument 006 [00020 00040 00080 00160 00320]
;fn_StArg007  equ  wfn_StArg006+LVSZ   ; LVAL: FastCall Normal Call Argument 007 [00024 00048 00096 00192 00384]
;fn_StArg008  equ  wfn_StArg007+LVSZ   ; LVAL: FastCall Stack! Call Argument 008 [00028 00056 00112 00224 00448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;fn_StArg009  equ  wfn_StArg008+LVSZ   ; LVAL: FastCall Normal Call Argument 009 [00032 00064 00128 00256 00512]
;fn_StArg010  equ  wfn_StArg009+LVSZ   ; LVAL: FastCall Stack! Call Argument 010 [00036 00072 00144 00288 00576]
;fn_StArg011  equ  wfn_StArg010+LVSZ   ; LVAL: FastCall Normal Call Argument 011 [00040 00080 00160 00320 00640]
;fn_StArg012  equ  wfn_StArg011+LVSZ   ; LVAL: FastCall Stack! Call Argument 012 [00044 00088 00176 00352 00704]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;fn_StArg013  equ  wfn_StArg012+LVSZ   ; LVAL: FastCall Normal Call Argument 013 [00048 00096 00192 00384 00768]
;fn_StArg014  equ  wfn_StArg013+LVSZ   ; LVAL: FastCall Stack! Call Argument 014 [00052 00104 00208 00416 00832]
;fn_StArg015  equ  wfn_StArg014+LVSZ   ; LVAL: FastCall Normal Call Argument 015 [00056 00112 00224 00448 00896]
;fn_StArg016  equ  wfn_StArg015+LVSZ   ; LVAL: FastCall Stack! Call Argument 016 [00060 00120 00240 00480 00960]
;###############################################################################################################
;## ValFIXED       (W)rt(F)ile(N)ame   ; SVAL: Internal Part00 Non scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
wfn_FIX       equ  0000000+LVSZ*0004   ; PARA: (W)rites.(F)ile.(N)ame.part_FIXed [00064 00128 00256 00512 01024]
wfn_LNG       equ  wfn_FIX+0064*0001   ; PARA: (W)rites.(F)ile.(N)ame.part_LoNG  [+0008 +0016 +0032 +0064 +0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;fn_Valu0000  equ  wfn_FIX+0000+000    ; SVAL: Values Part0 Non scaling Values ! [%0000 %0000 %0000 %0000 %0000]
;fn_Valu0001  equ  wfn_Valu0000+04     ; SVAL: Value1 Part0                      [+0004 +0004 +0004 +0004 +0004]
;*==============================================================================================================
wfn_SYS1TIME  equ  wfn_FIX+0000+016    ; STRC: SystemTime1 Memory Space          [#0000 #0000 #0000 #0000 #0000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
wfn_S1TwYear  equ  wfn_SYS1TIME+00     ; WORD: SystemTime1 wYear                 [+0000 +0000 +0000 +0000 +0000]
wfn_S1TMonth  equ  wfn_S1TwYear+02     ; WORD: SystemTime1 wMonth                [+0002 +0002 +0002 +0002 +0002]
wfn_S1DyOfWk  equ  wfn_S1TMonth+02     ; WORD: SystemTime1 wDayOfWeek            [+0004 +0004 +0004 +0004 +0004]
wfn_S1DyOfMo  equ  wfn_S1DyOfWk+02     ; WORD: SystemTime1 wDayOfMonth           [+0006 +0006 +0006 +0006 +0006]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
wfn_S1TwHour  equ  wfn_S1DyOfMo+02     ; WORD: SystemTime1 wHour                 [+0008 +0008 +0008 +0008 +0008]
wfn_S1Minute  equ  wfn_S1TwHour+02     ; WORD: SystemTime1 wMinute               [+0010 +0010 +0010 +0010 +0010]
wfn_S1Second  equ  wfn_S1Minute+02     ; WORD: SystemTime1 wSecond               [+0012 +0012 +0012 +0012 +0012]
wfn_S1MilSec  equ  wfn_S1Second+02     ; WORD: SystemTime1 wMilliSecond          [+0014 +0014 +0014 +0014 +0014]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
wfn_S1TimEnd  equ  wfn_S1MilSec+02     ; WORD: SystemTime1 Ends                  [+0016 +0016 +0016 +0016 +0016]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  wfn_FIX+1024+000    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  wfn_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       (W)rt(F)ile(N)ame   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
wfn_PnWfnBas  equ  wfn_LNG+LVSZ*0000   ; PNTR: Internal Pnter.WriteFileName.Bass [#0000 #0000 #0000 #0000 #0000]
wfn_PnWfnTop  equ  wfn_PnWfnBas+LVSZ   ; PNTR: Internal Pnter.WriteFileName.Topp [+0004 +0008 +0016 +0032 +0064]
;*--------------------------------------------------------------------------------------------------------------
wfn_PnSysTim  equ  wfn_PnWfnTop+LVSZ   ; PNTR: Internal Pnter.SystemTime         [+0008 +0016 +0032 +0064 +0128]
;fn_PnWfnTop  equ  wfn_PnSysTim+LVSZ   ; PNTR: Internal                          [+0012 +0024 +0048 +0096 +0192]
;*==============================================================================================================
wfn_STRCSIZE  equ  wfn_LNG+LVSZ*0008   ; PARA: Internal StackFrame Structure END [+0032 +0064 +0128 +0256 +0512]
;###############################################################################################################
;## InpSTACK       (W)rt(F)ile(N)ame   ; LVAL: External Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
WFN_StackLAX  equ  wfn_STRCSIZE+0000   ; LVAL: External StackFrame Register: LAX [00000 00000 00000 00000 00000]
WFN_StackLDX  equ  WFN_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
WFN_StackLCX  equ  WFN_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN_StackLDI  equ  WFN_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
WFN_StackLSI  equ  WFN_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;FN_StackLBX  equ  WFN_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;FN_StackLBP  equ  WFN_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FN_StackL12  equ  WFN_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;FN_StackL13  equ  WFN_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;FN_StackL14  equ  WFN_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;FN_StackL15  equ  WFN_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN_StackLIP  equ  WFN_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;*==============================================================================================================
WFN_StackTOP  equ  WFN_StackLIP+LVSZ   ; PARA: External StackInput Structure TOP [+0048 +0096 +0192 +0384 +0768]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                   Num [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
MyPUBLIC      SxWFName                                         ; Called from: SysFLWrit,SysGetInput  only  !?!?
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
SxWFName: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*==============================================================================================================
WFName@1: mov        lax,  lsp                                 ; Fetch LAX := TOP_LSP   Stack Frame TopLAX Pnter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFName@2: lea        lsp, [lsp-wfn_STRCSIZE]                   ; Fetch LSP := TOP_LSP - Stack Frame STRuCt SIZE1
;* UnUsed and        lsp, BCST 000-MediaSIZ                    ; Andi: LSP := TOP_LSP & Media Align <FFFFF:FFC0>
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
WFName@3: mov        PNTR [lsp+wfn_PnWfnTop] , lax             ; Store LAX => WrtFilNam_Pnter.WriteFileName.Topp
          mov        PNTR [lsp+wfn_PnWfnBas] , lsp             ; Store LSP => WrtFilNam_Pnter.WriteFileName.Base
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Nam@4: lea        lbx, [ljp+dat_PnGmmBas]                   ; Fetch LBX := DatStatic_Addrs.GlobaMainMemo.Base
;* Input! mov        lbx, [lbx+000+00000000]                   ; Fetch LBX := DatStatic_Pnter.GlobaMainMemo.Base
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName@5: mov        lsi,  lsp                                 ; Fetch LSI := WrtFilNam_Pnter.WriteFileName.Base
;* UnUsed mov        ldi,  lax                                 ; Fetch LDI := WrtFilNam_Pnter.WriteFileName.Topp
;*--------------------------------------------------------------------------------------------------------------
WFName@9: mov        sax, 'WFN@'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  0000@0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP WFNameGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFName00: cmp        lbx, 0010000h                             ; test: LBX >= 0010000h ?
          jb         BJMP WFName01                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbx, [lbx+gmm_PnGmmBas]                   ; test: LBX == PnGmmBas ?
;         je         BJMP WFName02                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFName01                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName01: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000001                             ; ErrorLabel: "WFName01"
          call            E1WFName                             ; ErrorMessag "SyWFName"
;% Contis jmp        BJMP WFNameLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
WFName02: cmp        lbp, 0010000h                             ; test: LBP >= 0010000h ?
          jb         BJMP WFName03                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbp, [lbp+tmm_PnTmmBas]                   ; test: LBP == PnTmmBas ?
;         je         BJMP WFName04                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFName03                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName03: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000003                             ; ErrorLabel: "WFName03"
          call            E2WFName                             ; ErrorMessag "SyWFName"
;% Contis jmp        BJMP WFNameLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
WFName04: cmp        lsi, 0010000h                             ; test: LSI >= 0010000h ?
          jb         BJMP WFName05                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsi, [lsi+wfn_PnWfnBas]                   ; test: LSI == PnWfnBas ?
          je         BJMP WFName08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFName05                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName05: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000005                             ; ErrorLabel: "WFName05"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        BJMP WFNameLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
;% Nam06: cmp        ldi, 0010000h                             ; test: LDI >= 0010000h ?
;%        jb         BJMP WFName07                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;%        cmp        ldi, [lsi+wfn_PnWfnTop]                   ; test: LDI == PnWfnTop ?
;%        je         LJMP WFName08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFName07                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;% Nam07: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;%        mov        scx, 00000007                             ; ErrorLabel: "WFName07"
;%        call            E2WFName                             ; ErrorMessag "SyWFName"
;%        jmp        BJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFName08: cmp        lsp, 0010000h                             ; test: LSP >= 0010000h ?
          jb         BJMP WFName09                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsp, [lsp+wfn_PnWfnBas]                   ; test: LSP == PnWfnBas ?
          je         LJMP WFName10                             ; EQ -> Pretty Successi
;* NoWrit je         LJMP WFName20                             ; EQ -> Ignore Writings
;* IsNext jmp        BJMP WFName09                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName09: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000009                             ; ErrorLabel: "WFName09"
          call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFNameLT: mov        scx,-00000001                             ; fetch SCX := M1 for "LT"
          jmp        LJMP WFNameZ0                             ; condition to return "LT"
;*==============================================================================================================
WFName10: mov        sax, 'WFN1'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  000010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFName11: mov        sax, 'NaSP'                               ; fetch SAX := Names Strg Pnter
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lbp+tmm_NaStrPtr]               ; fetch LAX := Names Strg Pnter
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName12: mov        sax, 'NaBS'                               ; fetch SAX := Names Byte Size
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaBytSiz]               ; fetch SAX := Names Byte Size
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName13: mov        sax, 'NaBC'                               ; fetch SAX := Names BeginCount
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaBegCnt]               ; fetch LAX := Names BeginCount
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName14: mov        sax, 'NaEC'                               ; fetch SAX := Names EndCounter
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaEndCnt]               ; fetch LAX := Names EndCounter
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName15: mov        sax, 'NAST'                               ; fetch SAX := NAmes Strg STrng
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lbp+tmm_NaStrPtr]               ; fetch LAX := Namee Strg Pnter
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
          mov        sdx, 8020E09h                             ; 00128-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
          call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFName1X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00000500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Nam1Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFName20: mov        sax, 'WFN2'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  000020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;FName2@: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := Ev4FILNUM offset
;* Remark mov        sax, [lbx+ldx+ios_W00InCom]               ; fetch SAX := Wrt[FN]InComment
;* Remark mov        SVAL [lbp+000+iol_InComent] , sax         ; store SAX => WrtInsideComment
;* Remark mov        BVAL [lbp+000+iol_IsChrAtt] , 001         ; store 001 => IstCharAttribute
;*--------------------------------------------------------------------------------------------------------------
;FName21: mov        sax, [lbp+iol_InComent]                   ; fetch SAX := WrtInsideComment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FName22: cmp        sax, BCST 001                             ; test: SAX == 00,01;GT ?
;?        jb         BJMP WFName27                             ; 00 -> OuSide Comments
;?        je         BJMP WFName24                             ; 01 -> InSide Comments
;* IsNext jmp        BJMP WFName23                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;FName23: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;?        mov        scx, 00000023                             ; ErrorLabel: "WFName23"
;?        call            E2WFName                             ; ErrorMessag "SyWFName"
;?        jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFName24: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WrtNameAttribute
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName25: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName26: jmp        BJMP WFName30                             ; Goto: Contis NameStrgCopyLoop
;*--------------------------------------------------------------------------------------------------------------
WFName27: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          11111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName28: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Nam29: jmp        BJMP WFName30                             ; Goto: Contis NameStrgCopyLoop
;*==============================================================================================================
WFName30: mov        sax, 'WFN3'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  000030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFName31: xor        ldx,  ldx                                 ; clear LDX := 00000000
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          lea        lax, [ldx+000+00000004]                   ; fetch LAX := 00000004
          mov        LVAL [lbp+tmm_NaNulSiz] , lax             ; store LAX => DestStrg  Null Byte  Size
;* UnUsed mov        LVAL [lbp+tmm_CharCntr] , ldx             ; store LDX => CopyMemo  Character  Counter
;*--------------------------------------------------------------------------------------------------------------
WFName32: lea        lax, [ljp+dat_SyWFName]                   ; fetch LAX := SrceStrg  Memory     Pointer
;* Used ? mov        PNTR [lbp+tmm_NaStrPtr] , lax             ; store LAX => ReadName  String     Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      lea        lax, [ldx+000+00001600]                   ; fetch LAX := SrceStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_NaBytSiz] , lax             ; store LAX => ReadName  Full       BytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      sub        lax, [lbp+tmm_WmNulSiz]                   ; subr: LAX -= DestStrg  Null       bytSize
;* ?      mov        LVAL [lbp+tmm_NaFreSiz] , lax             ; store LAX => WritName  Free       bytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := SrceStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_NaBegCnt] , ldx             ; store LDX => ReadName  Begin      Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      lea        lax, [ldx+000+00001600]                   ; fetch LAX := SrceStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_NaEndCnt] , lax             ; store LAX => ReadName  Ends       Counter
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFName40: mov        sax, 'WFN4'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  000040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFName41: mov        lax, [lbp+tmm_PnNASTRG]                   ; fetch LAX := ReadNAme  STRinG  Pointer
          mov        PNTR [lbp+tmm_NaStrPtr] , lax             ; store LAX => ReadName  String  Pointer
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, 0010000h                             ; test: LAX >= 0010000h ?
          jge        BJMP WFName43                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFName42                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName42: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000042                             ; ErrorLabel: "WFName42"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFName43: mov        sax, [lbp+tmm_LvNABSIZ]                   ; fetch SAX := ReadNAme  string  ByteSIZe
          mov        LVAL [lbp+tmm_NaBytSiz] , lax             ; store LAX => ReadName  string  ByteSize
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* UnUsed cmp        BVAL [lbp+tmm_NaFiNull] , 000             ; test: Use Of WritName  Ending  FillNull ?
;* UnUsed je         BJMP WFName44                             ; Not-> LAX := WritName  String  ByteSize
;* UnUsed sub        lax, [lbp+tmm_NaNulSiz]                   ; Yes-> LAX -= WritName  String  NullSize
;*--------------------------------------------------------------------------------------------------------------
;* 11044: mov        LVAL [lbp+tmm_NaFreSiz] , lax             ; store LAX => WritName  String  FreeSize
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName44: cmp        lax, 2147483640                           ; test: LAX =< 2147483640  ?
          jbe        BJMP WFName46                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFName45                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName45: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000045                             ; ErrorLabel: "WFName45"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFName46: mov        sax, [lbp+tmm_LvNAECNT]                   ; fetch SAX := ReadNAme string End  CouNTer
          mov        LVAL [lbp+tmm_NaEndCnt] , lax             ; store LAX => ReadName string End  Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      cmp        lax, [lbp+tmm_NaBytSiz]                   ; test: LAX =< ReadName String Byte Size  ?
;* ?      ja         BJMP WFName47                             ; GT -> Error: Mystical
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, 2147483640                           ; test: LAX =< 2147483647  ?
          jbe        BJMP WFName48                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFName47                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName47: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000047                             ; ErrorLabel: "WFName47"
          call            E2WFName                             ; ErrorMessag "SyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFName48: mov        sax, [lbp+tmm_LvNABCNT]                   ; fetch SAX := ReadNAme string Beg  CouNTer
          mov        LVAL [lbp+tmm_NaBegCnt] , lax             ; store LAX => ReadName string Beg  Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lax, [lbp+tmm_NaEndCnt]                   ; test: LAX =< ReadName String End  Count ?
          ja         BJMP WFName49                             ; GT -> Error: Mystical
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, 2147483640                           ; test: LAX =< 2147483647  ?
          jbe        LJMP WFName50                             ; LE -> Pretty Successi
;* NoWrit jbe        LJMP WFName60                             ; LE -> Ignore Writings
;* IsNext jmp        BJMP WFName49                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName49: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000049                             ; ErrorLabel: "WFName49"
          call            E2WFName                             ; ErrorMessag "SyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFName50: mov        sax, 'WFN5'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  000050
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFName51: mov        sax, 'NaSP'                               ; fetch SAX := Names Strg Pnter
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lbp+tmm_NaStrPtr]               ; fetch LAX := Names Strg Pnter
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName52: mov        sax, 'NaCU'                               ; fetch SAX := NameControlUniCd
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sax, SVAL[lsi+tmm_NaCtrUni]               ; fetch SAX := NameControlUniCd
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName53: mov        sax, 'NaNL'                               ; fetch SAX := Write NameNewLin
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sax, SVAL[lbp+tmm_NaNewLin]               ; fetch SAX := Write NameNewLin
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName54: mov        sax, 'NaBS'                               ; fetch SAX := Names Byte Size
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaBytSiz]               ; fetch LAX := Names Byte Size
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FName55: mov        sax, 'NaNS'                               ; fetch SAX := Write NameNulSiz
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lbp+tmm_NaNulSiz]               ; fetch LAX := Write NameNulSiz
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FName56: mov        sax, 'NaFS'                               ; fetch SAX := Write NameFreSiz
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lbp+tmm_NaFreSiz]               ; fetch LAX := Write NameFreSiz
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFName57: mov        sax, 'NaBC'                               ; fetch SAX := Names BeginCount
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaBegCnt]               ; fetch LAX := Names BeginCount
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFName58: mov        sax, 'NaEC'                               ; fetch SAX := Names Ends Count
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaEndCnt]               ; fetch LAX := Names Ends Count
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
          call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFName5X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00000500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Nam5Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFName60: mov        sax, 'WFN6'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  000060
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* Nam61: jmp        LJMP WFNameGT                             ; Goto: End
;###############################################################################################################
;# 10000: Prepar     Copying<#>String                          ; Start Uni Cod String                          #
;#-------------------------------------------------------------------------------------------------------------#
;# 10010: Proces     Writing<1>String  MyRMBoms                ; Reads old BOM R1BegCnt > 00                   #
;# 10100: LoopIn     Writing<1>String  MyRMChar                ; Scans for BEG R1BegCnt > 00                   #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# 10020: Proces     Writing<1>String  MyRMBoms                ; Reads new BOM W1BegCnt > 00                   #
;# 10200: LoopIn     Writing<1>String  MyRMChar                ; Scans for BEG W1BegCnt > 00                   #
;# 10030: Proces     Writing<1>String  MyWMBoms                ; Write new BOM W1BegCnt = 00                   #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# 10040: Output     Writing<1>String                          ;                                               #
;# 10400: LoopIn     Writing<1>String  MyWMChar                : Write StartingBlankChar                       #
;#*************************************************************************************************************#
;# 11000: Proces     Reading<1>String  MyRMChar                ; Reads MemoChar 13,10 or Any                   #
;# 11010: Proces     Reading<1>String  Selects:                ; Tests 13,10|10|13|10,13                       #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# 11020: Proces     Reading<1>String  MyRMChar                ; Reads NextChar|&#| (Second)                   #
;# 11030: Proces     Reading<1>String  Selects:                ; Tests |&n| or |&z|  or |&#|                   #
;# 11040: Proces     Reading<1>String  Selects:                ; Tests |&u| or |&U|  or Rest                   #
;#-------------------------------------------------------------------------------------------------------------#
;# 11110: Proces     Writing<1>String  MyWMChar                ; Write &  Format(1)                            #
;# 11100: Proces     Writing<1>String  MyWMChar                ; Write &X Character  & Cycle                   #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# 11200: LoopIn     Reading<1>String  &u#####                 ; Reads '0','1','2',..,'8','9';'A','B'..'E','F' #
;# 11210: LoopIn     Reading<1>String  &U0####                 ; Value 000,001,002,..,008,009;010,011..014,015 #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# 11220: TestOf     Reading<1>String  010FFFFh                ; Tests: Valid ?                                #
;#-------------------------------------------------------------------------------------------------------------#
;# 11300: Proces     Writing<1>String  Selects:                ; Tests &n [Non|13,10|10|13|10,13|&n]           #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# 11310: Proces     Writing<1>String  MyWMChar                ; Write 13 CariRetn                             #
;# 11320: Proces     Writing<1>String  MyWMChar                ; Write 10 LineFeed   & Cycle                   #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# 11330: Proces     Writing<1>String  MyWMChar                ; Write 10 LineFeed                             #
;# 11340: Proces     Writing<1>String  MyWMChar                ; Write 13 CariRetn   & Cycle                   #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# 11350: Proces     Writing<1>String  MyWMChar                ; Write &  Format(1)                            #
;# 11360: Proces     Writing<1>String  MyWMChar                ; Write &n Format(2)  & Cycle                   #
;#*************************************************************************************************************#
;# 10500: LoopIn     Writing<1>String  W1TBlank                ; [Name ]  Right|Trailing Blanks                #
;# 10050: Output     Writing<1>String  Outputs1                ; [Name ]                                       #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# 10060: Proces     Writing<1>String  W1FiStop                ; [Name &]                                      #
;# 10070: Proces     Writing<1>String  W1FiZero                ; [Name &z]                                     #
;# 10700: LoopIn     Writing<1>String  W1FiRest                ; [Name &z......]                               #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# 10080: Proces     Writing<1>String  W1FiNull                ; [Name &z......|o]                             #
;# 10090: Output     Writing<1>String  Outputs2                ; [Name &z......|o]                             #
;#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#
;# 12000: Output     ResultStrings                             ; W1STRG  , R1STRG  , [R2STRG]                  #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# 12100: Output     Internal Args                             ; Internal: W1StpOff, W1StpCnt                  #
;# 12110: Stores     External ARG1                             ; External: W1SOFF                              #
;# 12120: Stores     External ARG2                             ; External: W1SCNT                              #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# 12200: Output     Internal Args                             ; Internal: R1StpOff, R1StpCnt                  #
;# 12210: Stores     External ARG1                             ; External: R1SOFF                              #
;# 12220: Stores     External ARG2                             ; External: R1SCNT                              #
;#-------------------------------------------------------------------------------------------------------------#
;# 12300: Set        Console Title                             ;                                               #
;###############################################################################################################
WFN10000: mov        sax, '1000'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  100000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN10001: xor        ldx,  ldx                                 ; clear LDX := 00000000
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          lea        lax, [ldx+000+00000004]                   ; fetch LAX := 00000004
          mov        LVAL [lbp+tmm_WmNulSiz] , lax             ; store LAX => WritMemo  Null Byte  Size
;* unused mov        LVAL [lbp+tmm_CharCntr] , ldx             ; store LDX => CopyMemo  Character  Counter
;*--------------------------------------------------------------------------------------------------------------
;* ?      mov        LVAL [lbp+tmm_NaBytSiz] , 10240           ; store TST => NameStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_NaBegCnt] , 00000           ; store TST => SrceStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_NaEndCnt] , 10240           ; store TST => SrceStrg  Memory     bytSize
;*--------------------------------------------------------------------------------------------------------------
WFN10002: mov        lax, [lbp+tmm_NaStrPtr]                   ; fetch LCX := NameStrg  Memory     Pointer
          mov        PNTR [lbp+tmm_RmStrPtr] , lax             ; store LCX => ReadMemo  String     Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        lax, [lbp+tmm_NaBytSiz]                   ; fetch LAX := NameStrg  Memory     bytSize
          mov        LVAL [lbp+tmm_RmBytSiz] , lax             ; store LAX => ReadMemo  Full       BytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, [lbp+tmm_NaBegCnt]                   ; fetch LAX := NameStrg  Memory     bytSize
          mov        LVAL [lbp+tmm_RmBegCnt] , ldx             ; store LDX => ReadMemo  Begin      Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, [lbp+tmm_NaEndCnt]                   ; fetch LAX := NameStrg  Memory     bytSize
          mov        LVAL [lbp+tmm_RmEndCnt] , lax             ; store LAX => ReadMemo  Ends       Counter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        LVAL [lbp+tmm_RmStpOff] , ldx             ; store LDX => ReadMemo  Stop       Offset
          mov        LVAL [lbp+tmm_RmStpCnt] , ldx             ; store LDX => ReadMemo  Stop       Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        LVAL [lbp+tmm_RmChrOff] , ldx             ; store LDX => ReadMemo  Character  Offset
          mov        LVAL [lbp+tmm_RmChrCnt] , ldx             ; store LDX => ReadMemo  Character  Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        LVAL [lbp+tmm_RmLinCnt] , ldx             ; store LDX => ReadMemo  Line       Counter
          mov        LVAL [lbp+tmm_RmColCnt] , ldx             ; store LDX => ReadMemo  Column     Counter
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;FN10003: mov        sax, [lbp+tmm_NaCtrUni]                   ; fetch SAX := 00000001  Latin1     $u#####
          mov        sax, 0001                                 ; fetch SAX := 00000001  Latin1     $u#####
          mov        SVAL [lbp+tmm_RmCtrUni] , sax             ; store SAX => ReadMemo  Control    UniCode
;* RMBoms mov        SVAL [lbp+tmm_RmChrCod] , sax             ; store SAX => ReadMemo  Character  Codings
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        SVAL [lbp+tmm_ReadChar] , 000             ; store 000 => ReadMemo  Character  [Last!]
;*--------------------------------------------------------------------------------------------------------------
;* 10004: lea        ldi, [lsi+wfn_SYS1TIME]                   ; fetch LDI := DestStrg  Memory     Pointer
;* ?      mov        PNTR [lbp+tmm_WmStrPtr] , ldi             ; store LDI => WritMemo  String     Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      lea        lax, [ldx+000+00000016]                   ; fetch LAX := DestStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_WmBytSiz] , lax             ; store LAX => WritMemo  Full       BytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      sub        lax, [lbp+tmm_WmNulSiz]                   ; subr: LAX -= DestStrg  Null       bytSize
;* ?      mov        LVAL [lbp+tmm_WmFreSiz] , lax             ; store LAX => WritMemo  Free       bytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := DestStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_WmBegCnt] , ldx             ; store LDX => WritMemo  Begin      Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      lea        lax, [ldx+000+00000016]                   ; fetch LAX := DestStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_WmEndCnt] , lax             ; store LAX => WritMemo  Ends       Counter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        LVAL [lbp+tmm_WmStpOff] , ldx             ; store LDX => WritMemo  Stop       Offset
;* ?      mov        LVAL [lbp+tmm_WmStpCnt] , ldx             ; store LDX => WritMemo  Stop       Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        LVAL [lbp+tmm_WmChrOff] , ldx             ; store LDX => WritMemo  Character  Offset
;* ?      mov        LVAL [lbp+tmm_WmChrCnt] , ldx             ; store LDX => WritMemo  Character  Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        LVAL [lbp+tmm_WmLinCnt] , ldx             ; store LDX => WritMemo  Line       Counter
;* ?      mov        LVAL [lbp+tmm_WmColCnt] , ldx             ; store LDX => WritMemo  Column     Counter
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 10005: mov        sax, 0001                                  ; fetch SAX := 00000001  Latin1     NonBoms
;* ?      mov        SVAL[lbp+tmm_WmCtrUni], sax               ; store SAX => WritMemo  Control    UniCode
;* ?      mov        SVAL[lbp+tmm_WmChrCod], sax               ; store SAX => WritMemo  Character  Codings
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        SVAL[lbp+tmm_WmNewLin], 001               ; store 001 => WritMemo  NewLine    Selector
;*--------------------------------------------------------------------------------------------------------------
;* 10006: mov        lax,[lbp+tmm_RmStrPtr]                    ; fetch LAX := Read Memo StrPtr
;* ?      mov        sdx, 2100000h                             ; 0512B-SAX-NN-SVAL-NwLn-HexDmp
;* ?      call            M1OutLib                             ; Write Out
;*==============================================================================================================
WFN10010: mov        sax, '1001'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  100010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN10012: call            M1RMBoms                             ; call: My own ReadMemo  ByteOrderMark( LBP,LBX )
          jg         BJMP WFN10100                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN10013                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN10013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN10013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00100013                             ; ErrorLabel: "WFN10013
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN10100: mov        sax, '1010'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  100100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN10102: mov        lax, [lbp+tmm_RmChrCnt]                   ; fetch LAX := ReadMemo  Character  Counter
          cmp        lax, [lbp+tmm_NaBegCnt]                   ; test: LAX == ReadName  Begin Inp  Counter  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jb         BJMP WFN10104                             ; LT -> Contis ReadName
          je         BJMP WFN10020                             ; EQ -> Leaves ScanLoop
;* IsNext jmp        BJMP WFN10103                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN10103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00100103                             ; ErrorLabel: "WFN10103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN10104: call            M1RMChar                             ; call: SAX := ReadMemo  Character( LBP,LBX )
          jg         BJMP WFN10106                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN10105                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN10105                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN10105: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00100105                             ; ErrorLabel: "WFN10105
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN10106: cmp        sax, 010FFFFh                             ; test: SAX =< 010FFFFh ?
          jbe        BJMP WFN10100                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN10107                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN10107: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00100107                             ; ErrorLabel: "WFN10107"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN10020: mov        sax, '1002'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  100020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 1002@: test       BVAL [lbp+tmm_DaCtrInf] , 004h            ; test: Output Wisched ?
;* ?      jmp        BJMP WFN11000                             ; Not-> Output Ignored
;* IsNext jmp        BJMP WFN10021                             ; Yes-> Output Written
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 10021: mov        sax, 'NaCO'                               ; fetch SAX := Reads Name ChrOf
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lbp+tmm_RmChrOff]               ; fetch LAX := Reads Memo ChOff
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 10022: mov        sax, 'NaCC'                               ; fetch SAX := Reads Name ChrCt
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lbp+tmm_RmChrCnt]               ; fetch LAX := Reads Memo ChCnt
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
;* 1002X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;* ?      mov        sdx, 00000500                             ; fetch SDX := 0001500 MilliSeconds
;* ?      call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 1002Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;###############################################################################################################
;# 11000: Process                                              ;                                               #
;###############################################################################################################
WFN11000: mov        sax, '1100'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11001: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadMemo  Character  (Old)
          mov        SVAL [lbp+tmm_LastChar] , sax             ; store SAX => ReadLast  Character  (New)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        lax, [lbp+tmm_RmChrCnt]                   ; fetch LAX := ReadMemo  Character  Counter
          mov        LVAL [lbp+tmm_NaStpCnt] , lax             ; store LAX => ReadName  Stopped    Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, [lbp+tmm_RmChrOff]                   ; fetch LAX := ReadMemo  Character  Offset
          mov        LVAL [lbp+tmm_NaStpOff] , lax             ; store LAX => ReadName  Stopped    Offset
;*--------------------------------------------------------------------------------------------------------------
WFN11002: call            M1RMChar                             ; call: SAX := ReadMemo  Character( LBP,LBX )
          jg         BJMP WFN11004                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN11003                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN11003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101003                             ; ErrorLabel: "WFN11003
;?        call            E2WFName                             ; ErrorMessag "SyWFName"
;?        jmp        LJMP WFNameLT                             ; Return with "LessThan"   Nur im 32 Bit Modus
          jmp        LJMP WFNameGT                             ; Return with "LessThan"   Nur im 32 Bit Modus
;*--------------------------------------------------------------------------------------------------------------
WFN11004: mov        SVAL [lbp+tmm_ReadChar] , sax             ; store SAX => ReadName   Character  Value
;*==============================================================================================================
WFN11010: mov        sax, '1101'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11011: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadName Character   UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11012: cmp        sax, BC 0000h                             ; test: SAX == NUL 000h ?  Stop
          je         LJMP WFName90                             ; EQ -> Leaves Nam>File    |&z|
;* IsNext jmp        BJMP WFN11013                             ; NE -> Contis CopyLoop
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11013: cmp        sax, [lbp+tmm_NaStChar]                   ; test: SAX == '@' 040h ?  Stop
          je         LJMP WFName90                             ; EQ -> Leaves Nam>File    |@|
;* IsNext jmp        BJMP WFN11014                             ; NE -> Contis CopyLoop
;*--------------------------------------------------------------------------------------------------------------
WFN11014: cmp        sax, BC 000Ah                             ; test: SAX == 010 00Ah ?  LineFeed
          jne        BJMP WFN11016                             ; NE -> Contis Testings
;* IsNext jmp        BJMP WFN11015                             ; EQ -> May be 013,010?
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11015: cmp        SVAL [lbp+tmm_LastChar] , BC 00Dh         ; test: LCh == 013 00Dh ?  Carriage Return
          jne        LJMP WFN21000                             ; NE -> Proces New Line
          jmp        LJMP WFN11000                             ; EQ -> Ignore SecondNL Characters: 13,10
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11016: cmp        sax, BC 000Dh                             ; test: SAX == 013 00Dh ?  Carriage Return
          jne        BJMP WFN11018                             ; NE -> Contis Testings
;* IsNext jmp        BJMP WFN11017                             ; EQ -> May be 010,013?
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11017: cmp        SVAL [lbp+tmm_LastChar] , BC 00Ah         ; test: LCh == 010 00Ah ?  LineFeed
          jne        LJMP WFN21000                             ; NE -> Proces New Line
          jmp        LJMP WFN11000                             ; EQ -> Ignore SecondNL Characters: 10,13
;*--------------------------------------------------------------------------------------------------------------
WFN11018: cmp        sax, BC 0026h                             ; test: SAX == '&'  26h ?
          jne        LJMP WFN11100                             ; NE -> Simply Writ Character
;* IsNext jmp        BJMP WFN11020                             ; EQ -> Proces '&x' Character
;*==============================================================================================================
WFN11020: mov        sax, '1102'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11022: call            M1RMChar                             ; call: SAX := ReadMemo  Character( LBP,LBX )
          jg         BJMP WFN11024                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN11024                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN11023                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11023: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101023                             ; ErrorLabel: "WFN11023
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN11024: mov        SVAL [lbp+tmm_ReadChar] , sax             ; store SAX => ReadName  Character
;*==============================================================================================================
WFN11030: mov        sax, '1103'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11031: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadName Character   UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11032: cmp        sax, BC 0000h                             ; test: SAX == NUL 000h ?  Stop
          je         LJMP WFName90                             ; EQ -> Leaves Nam>Cons    |&0|
;* IsNext jmp        BJMP WFN11033                             ; NE -> Contis CopyLoop
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11033: cmp        sax, [lbp+tmm_NaStChar]                   ; test: SAX == '@' 040h ?  Stop
          je         LJMP WFName90                             ; EQ -> Leaves Nam>Cons    |&@|
;* IsNext jmp        BJMP WFN11034                             ; NE -> Contis CopyLoop
;*--------------------------------------------------------------------------------------------------------------
WFN11034: cmp        sax, BC 000Ah                             ; test: SAX == 010 00Ah ?  LineFeed
          jne        BJMP WFN11036                             ; NE -> Contis Testings
;* IsNext jmp        BJMP WFN11035                             ; EQ -> May be 013,010?
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11035: cmp        SVAL [lbp+tmm_LastChar] , BC  00000Dh     ; test: LCh == 013 00Dh ?  Carriage Return
;* Alt !? jne        LJMP WFN11300                             ; NE -> Proces New Line
          jne        LJMP WFN21000                             ; NE -> Proces New Line
          jmp        LJMP WFN11000                             ; EQ -> Ignore SecondNL Characters: 13,&10
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11036: cmp        sax, BC 000Dh                             ; test: SAX == 013 00Dh ?  Carriage Return
          jne        BJMP WFN11038                             ; NE -> Contis Testings
;* IsNext jmp        BJMP WFN11037                             ; EQ -> May be 010,013?
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11037: cmp        SVAL [lbp+tmm_LastChar] , BC  00000Ah     ; test: LCh == 010 00Ah ?  LineFeed
;* Alt !? jne        LJMP WFN11300                             ; NE -> Proces New Line
          jne        LJMP WFN21000                             ; NE -> Proces New Line
          jmp        LJMP WFN11000                             ; EQ -> Ignore SecondNL Characters: 10,&13
;*--------------------------------------------------------------------------------------------------------------
WFN11038: cmp        sax, BC 006Eh                             ; test: SAX == 'n' 06Eh ?  NwLn
;* Weg ?? je         LJMP WFN21000                             ; EQ -> Proces New Line    |&n|
;* Alt ?? je         LJMP WFN11300                             ; EQ -> Proces New Line    |&n|
;* IsNext jmp        BJMP WFN11039                             ; NE -> Contis Testings
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11039: cmp        sax, BC 007Ah                             ; test: SAX == 'z' 07Ah ?  Stop
;* Below! je         LJMP WFName90                             ; EQ -> Leaves Nam>Cons    |&z|
;* IsNext jmp        BJMP WFN11040                             ; NE -> Contis Testings
;*==============================================================================================================
WFN11040: mov        sax, '1104'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11041: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadName Character UTF32LE
          mov        SVAL [lbp+iol_FmSelect] , sax             ; store SAX => &-Format Selects
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11042: cmp        sax, BC 0075h                             ; test: SAX == 'u' 075h ?
          jne        BJMP WFN11044                             ; NE -> May be <U> Char &U0####
;* IsNext jmp        BJMP WFN11043                             ; EQ -> Proces <u> Char &u#####
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11043: mov        SVAL [lbp+tmm_ReadChar] , 0000h           ; Init: VAL := <oo:oo:oo:o0>hex
          mov        SVAL [lbp+tmm_LoopCntr] , 00005           ; Gives VAL := <oo:0#:##:##>hex
          jmp        LJMP WFN11200                             ; Goto: VAL := <oo:oo:oo:0#>hex
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11044: cmp        sax, BC 0055h                             ; test: SAX == 'U' 055h ?
          jne        BJMP WFN11047                             ; NE -> Search Continue !
;* IsNext jmp        BJMP WFN11045                             ; EQ -> Proces <U> Char &U0####
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11045: mov        SVAL [lbp+tmm_ReadChar] , 0001h           ; Init: VAL := <oo:oo:oo:o1>hex
          mov        SVAL [lbp+tmm_LoopCntr] , 00005           ; Gives VAL := <oo:10:##:##>hex
          jmp        LJMP WFN11200                             ; Goto: VAL := <oo:oo:oo:1#>hex
;*--------------------------------------------------------------------------------------------------------------
;* 11046: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := &-Format Selects
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11047: cmp        sax, BC 0039h                             ; test: SAX == '9' 039h ?
          ja         BJMP WFN11050                             ; GT -> Search Continue !
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jl         BJMP WFN11050                             ; LT -> BAD \- '0','0','0','0','0','0',..,'0','0'
;* IsNext jmp        BJMP WFN11048                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;*--------------------------------------------------------------------------------------------------------------
WFN11048: mov        sdx, 0010                                 ; fetch SDX := 010,010,010,010,010,010,..,010,010
          mul        sdx                                       ; ItWas SAX := 000,001,002,003,004,005,..,008,009
          mov        SVAL [lbp+iol_FmSelect] , sax             ; Store SAX == 000,010,020,030,040,050,..,080,090
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        sax, BCST 090                             ; test: SAX =< 00000090 ?
          jbe        LJMP WFN30000                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN11049                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11049: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101049                             ; ErrorLabel: "WFN11049"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;###############################################################################################################
;# |&z|        Zero  Stop                                        WFName90     Standard                         #
;# |&n|        New   Line    000Dh, 000Ah                        WFN11300     Standard                         #
;# |&p|        New   Page    000Ch                               WFN11400     Extra                            #
;#                                                                                                             #
;# |&u#####|   &u00000 ... &uFFFFF  Unicode  000000h...0FFFFFh   WFN11200     Standard                         #
;# |&U#####|   &U00000 ... &U0FFFF  Unicode  100000h...10FFFFh   WFN11200     Standard                         #
;#                                                                                                             #
;#-------------------------------------------------------------------------------------------------------------#
;#                                                                                                             #
;# |&z|        ZeroStop      0000h                               WFN20000     Standard                         #
;# |&n|        New Line      000Dh, 000Ah                        WFN21000     Standard                         #
;# |&p|        New Page      000Ch                               WFN22000     Standard                         #
;#                                                                                                             #
;# |&u#####|   &u00000 ... &uFFFFF  Unicode  000000h...0FFFFFh   WFN25005     Standard                         #
;# |&U0####|   &U00000 ... &U0FFFF  Unicode  100000h...10FFFFh   WFN25006     Standard                         #
;#                                                                                                             #
;# |& |        NOP                           &b####    Hexadec   WFN26000     Used   ?                         #
;# |&&|        Ampersand     0026h           &a%%%%    Decimal   WFN26010     Used   ?                         #
;#                                                                                                             #
;# &s HLMENU:  Starts with HLgAttr  Black    Gives | HLMENU:     WFN26060                                      #
;# &S 0.0.0.0  Starts with ComAttr  DGray    Gives | 0.0.0.0     WFN26070                                      #
;#                                                                                                             #
;# &e          Ends   from HLgAttr  ?                            WFN26080     ?                                #
;# &E          Ends   from ComAttr  ?                            WFN26090     ?                                #
;#                                                                                                             #
;# |&c##|    = &c00 .. &cFF         Colors   000h ... 0FFh       WFN27002                                      #
;# |&C###|   = &C000..&C0FF..&C11F  Colors   000h ... 11Fh       WFN27003                                      #
;#                                                                                                             #
;# |&b%%|      &b00   .... &b99     Blanks   000 ... 099         WFN28002                                      #
;# |&B%%%|     &B000  .... &B999    Blanks   000 ... 999         WFN28003                                      #
;#                                                                                                             #
;# |&t%%|    = &t00 .. &t99            Tabulatorposition(Blanks) WFN29002                                      #
;# |&?%%%|   = &t000...&t099...&t999   Tabulatorposition(Blanks) WFN29003                                      #
;# |&T%%%%|  = &T0000..&T0099..&T9999  Tabulatorposition(Blanks) WFN29004                                      #
;#                                                                                                             #
;###############################################################################################################
WFN11050: mov        sax, '1105'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  110050
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN1105@: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := Format Selection
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN1105O: cmp        sax, BC 007Ah                             ; test: SAX == 'z' 07Ah ?
          je         LJMP WFN20000                             ; EQ -> Proces <Z>eroStop  |&z|
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Used ? cmp        sax, BC 005Ah                             ; test: SAX == 'Z' 05Ah ?
;* Used ? je         LJMP WFN20000                             ; EQ -> Proces <Z>eroStop  |&Z|
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11051: cmp        sax, BC 006Eh                             ; test: SAX == 'n' 06Eh ?
          je         LJMP WFN21000                             ; EQ -> Proces <N>ewLines  |&n|
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        sax, BC 004Eh                             ; test: SAX == 'N' 04Eh ?
          je         LJMP WFN21000                             ; EQ -> Proces <N>ewLines  |&N|
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11052: cmp        sax, BC 0070h                             ; test: SAX == 'p' 070h ?
          je         LJMP WFN23000                             ; EQ -> Proces <P>ageFeed  |&p|
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Used ? cmp        sax, BC 0050h                             ; test: SAX == 'P' 050h ?
;* Used ? je         LJMP WFN23000                             ; EQ -> Proces <P>aging    |&P|
;*--------------------------------------------------------------------------------------------------------------
;* 11055: cmp        sax, BC 0075h                             ; test: SAX == 'u' 075h ?
;* Above! je         LJMP WFN25005                             ; EQ -> Proces <u> Char &u#####
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 11056: cmp        sax, BC 0055h                             ; test: SAX == 'U' 055h ?
;* Above! je         LJMP WFN25006                             ; EQ -> Proces <U> Char &U0####
;*==============================================================================================================
WFN11060: mov        sax, '1106'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101060
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN1106@: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := Format Selection
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN1106O: cmp        sax, BC 0020h                             ; test: SAX == ' ' 020h ?  |& |
          je         LJMP WFN11000                             ; EQ -> Ignore <B>lanks
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Used ? cmp        sax, BC 005Fh                             ; test: SAX == '_' 05Fh ?
;* Used ? je         LJMP WFN11000                             ; EQ -> Proces <_> NOP     |&_|
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11061: cmp        sax, BC 0026h                             ; test: SAX == '&' 026h ?
          je         LJMP WFN26010                             ; EQ -> Proces <&mpersand  |&&|
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Used ? cmp        sax, BC 0026h                             ; test: SAX == '&' 026h ?
;* Used ? je         LJMP WFN26010                             ; EQ -> Proces <&mpersand  |&?|
;*--------------------------------------------------------------------------------------------------------------
;* 11062: cmp        sax, BC 0026h                             ; test: SAX == '&' 026h ?
;* Neu ?? je         LJMP WFN26020                             ; EQ -> Proces <&mpersand  |&&|
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 11063: cmp        sax, BC 0026h                             ; test: SAX == '&' 026h ?
;* Neu ?? je         LJMP WFN26030                             ; EQ -> Proces <&mpersand  |&&|
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 11064: cmp        sax, BC 0026h                             ; test: SAX == '&' 026h ?
;* Neu ?? je         LJMP WFN26040                             ; EQ -> Proces <&mpersand  |&&|
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 11065: cmp        sax, BC 0026h                             ; test: SAX == '&' 026h ?
;* Neu ?? je         LJMP WFN26050                             ; EQ -> Proces <&mpersand  |&&|
;*--------------------------------------------------------------------------------------------------------------
WFN11066: cmp        sax, BC 0073h                             ; test: SAX == 's' 073h ?
          je         LJMP WFN26060                             ; EQ -> Proces <s>tarts HLgAttr
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11067: cmp        sax, BC 0053h                             ; test: SAX == 'S' 053h ?
          je         LJMP WFN26070                             ; EQ -> Proces <S>tarts ComAttr
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11068: cmp        sax, BC 0065h                             ; test: SAX == 'e' 065h ?
          je         LJMP WFN26080                             ; EQ -> Proces <e>nding HLgAttr
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11069: cmp        sax, BC 0045h                             ; test: SAX == 'E' 045h ?
          je         LJMP WFN26090                             ; EQ -> Proces <E>nding ComAttr
;*==============================================================================================================
WFN11070: mov        sax, '1107'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  110070
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11071: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := Format Selection
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11072: cmp        sax, BC 0063h                             ; test: SAX == 'c' 063h ?
          je         LJMP WFN27002                             ; EQ -> Proces <c>olour &c##
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11073: cmp        sax, BC 0043h                             ; test: SAX == 'C' 043h ?
          je         LJMP WFN27003                             ; EQ -> Proces <C>olour &C###
;*==============================================================================================================
WFN11080: mov        sax, '1108'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  110080
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11081: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := Format Selection
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11082: cmp        sax, BC 0062h                             ; test: SAX == 'b' 062h ?
          je         LJMP WFN28002                             ; EQ -> Proces <b>lanks &b%%
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11083: cmp        sax, BC 0042h                             ; test: SAX == 'B' 042h ?
          je         LJMP WFN28003                             ; EQ -> Proces <B>lanks &B%%% ?
;*==============================================================================================================
WFN11090: mov        sax, '1109'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  110090
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11091: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := Format Selection
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11092: cmp        sax, BC 0074h                             ; test: SAX == 't' 074h ?
          je         LJMP WFN29002                             ; EQ -> Proces <t>abing &t%%
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11093: cmp        sax, BC 0054h                             ; test: SAX == 'T' 054h ?
;* ?      je         LJMP WFN29003                             ; EQ -> Proces <T>abing &T%%%
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11094: cmp        sax, BC 0054h                             ; test: SAX == 'T' 054h ?
          je         LJMP WFN29004                             ; EQ -> Proces <T>abing &T%%%%
;* IsNext jmp        BJMP WFN11099                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 11099: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;*        mov        scx, 00110099                             ; ErrorLabel: "WFN11099"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN11110: mov        sax, '1111'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11111: mov        sax, 0000026h                             ; fetch SAX := '&',026h Ampersand   Character
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11112: call            M1WFChar                             ; call: My own WritFileCharacter(SAX,LSI,LBP,LBX)
          jg         LJMP WFN11100                             ; GT -> Pretty Successi
          je         BJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN11113                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11113: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101113                             ; ErrorLabel: "WFN11113"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFNameEQ: xor        scx, scx                                  ; fetch SCX := 00 for "EQ"
          jmp        LJMP WFNameZ0                             ; condition to return "EQ"
;*==============================================================================================================
WFN11100: mov        sax, '1110'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11101: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadChar UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11102: call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         BJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN11103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101103                             ; ErrorLabel: "WFN11103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 11200: Proces     Read: &u##### or &U0####                  ; Value UnicodeCharacter Inputs                 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN11200: mov        sax, '1120'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101200
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11201: mov        sax, [lbp+tmm_ReadChar]                   ; Fetch SAX := <oo:oU:54:32>hex
          shl        sax, 0004                                 ; Shift SAX := <oo:U5:43:2o>hex
          mov        SVAL [lbp+tmm_ReadChar] , sax             ; Gives VAL := <oo:U5:43:21>hex
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11202: call            M1RMChar                             ; call: SAX := ReadMemo  Character( LBP,LBX )
          jg         BJMP WFN11204                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN11203                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN11203                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11203: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00110203                             ; ErrorLabel: "WFN11203
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN11204: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext  Character
;*==============================================================================================================
WFN11210: mov        sax, '1121'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101210
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11211: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11212: cmp        sax, BC 0039h                             ; test: SAX == '9' 39h  ?
          ja         BJMP WFN11213                             ; GT -> May be 'A','B','C','D','E','F'
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN11217                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
          jmp        BJMP WFN11215                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11213: cmp        sax, BC 0046h                             ; test: SAX == 'F' 46h  ?
          ja         BJMP WFN11214                             ; GT -> May be 'a','b','c','d','e','f'
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0041h                             ; subi: SAX == 'A','B','C','D','E','F'
          jge        BJMP WFN11216                             ; GE -> SAX := 000,001,002,003,004,005
          jmp        BJMP WFN11215                             ; LT -> Error: CharacterIsWrong
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11214: cmp        sax, BC 0066h                             ; test: SAX == 'f' 66h  ?
          ja         BJMP WFN11215                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0061h                             ; subi: SAX == 'a','b','c','d','e','f'
          jge        BJMP WFN11216                             ; GE -> SAX := 000,001,002,003,004,005
;* IsNext jmp        BJMP WFN11215                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11215: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101215                             ; ErrorLabel: "WFN11215"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN11216: add        sax, BCST 010                             ; Addi: SAX := 010,011,012,013,014,015
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <oo:oo:oo:o1>hex
WFN11217: add        sax, [lbp+tmm_ReadChar]                   ; ItWas VAL == <oo:U5:43:2o>hex
WFN1121S: mov        SVAL [lbp+tmm_ReadChar] , sax             ; Store VAL := <oo:U5:43:21>hex
;*--------------------------------------------------------------------------------------------------------------
WFN11218: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN11200                             ; GT -> Cycles ReadLoop
          je         BJMP WFN11220                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN11219                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11219: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101219                             ; ErrorLabel: "WFN11219"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN11220: mov        sax, '1122'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101220
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN11221: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadValue Character  UTF32LE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11222: cmp        lax, 000D7FFh                             ; test: LAX =< 000D7FFh ?
          jbe        LJMP WFN11100                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN11223                             ; GT -> Contis Testings
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN11223: cmp        lax, 000DFFFh                             ; test: LAX =< 000DFFFh ?
          jbe        BJMP WFN11225                             ; LE -> Error: Surrogates
;* IsNext jmp        BJMP WFN11224                             ; GT -> Contis Testings
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN11224: cmp        lax, 010FFFFh                             ; test: LAX =< 010FFFFh ?
          jbe        LJMP WFN11100                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN11225                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN11225: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00101225                             ; ErrorLabel: "WFN11225"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 11300: Proces     WriteMemory<1>    Selects:                ; Tests &n |13,10|10|13|10,13|&n|               %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% 11310: Proces     WriteMemory<1>    MyWMChar                ; Write 13  Carriage Return                     %
;% 11320: Proces     WriteMemory<1>    MyWMChar                ; Write 10  Line     Feed     &  Cycle          %
;% -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  %
;% 11330: Proces     WriteMemory<1>    MyWMChar                ; Write 10  Line     Feed                       %
;% 11340: Proces     WriteMemory<1>    MyWMChar                ; Write 13  Carriage Return   &  Cycle          %
;% -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  %
;% 11350: Proces     WriteMemory<1>    MyWMChar                ; Write &   Format   Char(1)                    %
;% 11360: Proces     WriteMemory<1>    MyWMChar                ; Write &n  Format   Char(2)  & Cycle           %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN11300: mov        sax, '1130'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101300
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 11301: mov        SVAL [lbp+iol_InComent] , 0000            ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 11302: call            S1WFNwLn                             ; call: My own WritFile NewLine(LBP,LBX)
;* ?      jg         BJMP WFN11304                             ; GT -> Pretty Successi
;* ?      je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN11303                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 11303: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00101303                             ; ErrorLabel: "WFN11303"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 11304: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 11305: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 11306: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
;* ?      mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 11307: jmp        BJMP WFN11000                             ; Enter End of FillingLooping !
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* 11400: mov        sax, '1140'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  101400
;* ?      mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;* ?      call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 11401: mov        SVAL [lbp+iol_InComent] , 0000            ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 11402: call            S1WFNwPg                             ; call: System WritFile NewPage(LSI,LBP,LBX)
;* ?      jg         BJMP WFN11404                             ; GT -> Pretty Successi
;* ?      je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN11403                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 11403: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00101403                             ; ErrorLabel: "WFN11403"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 11404: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 11405: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 11406: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
;* ?      mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 11407: jmp        BJMP WFN11000                             ; Enter End of FillingLooping !
;###############################################################################################################
;# 20000: Reads      First Format  Character                   ; Neu machen !!?                                #
;###############################################################################################################
WFN20000: mov        sax, '2000'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  200000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 20001: je         LJMP WFName90                             ; EQ -> Leaves Name>File   |&z|  was soll das ?
WFN20002: jmp        LJMP WFName90                             ; Goto: Leaves Name>File   |&z|
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 21000: Proces     Format NewLines [COM][NwL]                ; NAME: >>>>>>>C [COM]&n                        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN21000: mov        sax, '2100'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  210000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN21001: cmp        SVAL [lbp+iol_InComent] , BC 0000         ; test: Inside Comment == 000 ?
          jne        LJMP WFN21040                             ; NE -> Proces Only [NwL]
;* IsNext jmp        BJMP WFN21010                             ; EQ -> Proces [COM][NwL] Doing
;*==============================================================================================================
WFN21010: mov        sax, '2101'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  210000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN21011: cmp        SVAL [lbp+iol_FmComent] , BC 0000         ; test: Format Comments == 00 ?
          je         LJMP WFN21040                             ; EQ -> NAM &n OnlyDoes [NwL] !
;* IsNext jmp        BJMP WFN21012                             ; NE -> NAM >> >>>>>>>C [COM]&n
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 21012: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN21013: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN21014: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21015: jmp        BJMP WFN21106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN21100: mov        sax, 0000020h                             ; fetch SAX := ' ' 20h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 2Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 2Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 3Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write NAM >> >>>>>>>  [...]..
          jg         BJMP WFN21106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN21101                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21101: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00210101                             ; ErrorLabel: "WFN21101"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN21106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN21107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN21108: cmp        lax, [lbp+000+iol_FmComLft]               ; test: LAX == WritFile  Comment Left  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN21100                             ; LT -> Cycles FillLoop
;* Ok     je         BJMP WFN21020                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN21109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 21109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* Unused mov        scx, 00210109                             ; ErrorLabel: "WFN21109"
;* Unused call            E2WFName                             ; ErrorMessag "SyWFName"
;* Unused jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN21020: mov        sax, '2102'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  210020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN21021: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN21022: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN21023: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;*--------------------------------------------------------------------------------------------------------------
WFN21024: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LCX := Long[04] FILe     NUMber
WFN21025: mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := Writ[FN] Comment  Character
;* Alt !? mov        sax, [lbp+000+iol_WrComChr]               ; fetch SAX := WriteLoc Comment  Character
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN21026: call            M1WFChar                             ; Write NAM >> >>>>>>>C.[...]..
          jl         BJMP WFN21029                             ; LT -> Error: Mystical     
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN21027                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21027: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFN21028                             ; EQ -> NAM >> >>>>>>>//[...]..
          mov        sax, 0000020h                             ; NE -> NAM >> >>>>>>>C [...]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN21028: call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         BJMP WFN21030                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN21029                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21029: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00210029                             ; ErrorLabel: "WFN21029"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN21030: mov        sax, '2103'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  210030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN21032: cmp        SVAL [lbp+iol_FmComent] , BC 0002         ; test: Format Comments == 02 ?
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jb         BJMP WFN21040                             ; LT -> NAM >> >>>>>>>C/&n
          je         BJMP WFN21034                             ; EQ -> NAM >> >>>>>>>C/[COM]&n
;* IsNext jmp        BJMP WFN21033                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21033: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00210033                             ; ErrorLabel: "WFN21033"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 21034: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
;* Used ? call            M1WFChar                             ; Write NAM >> >>>>>>>C [ ..]..
;* Used ? jl         BJMP WFN21035                             ; LT -> Error: Mystical
;* Used ? je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN21034: mov        sax, 0000043h                             ; fetch SAX := 'C' 043h
          call            M1WFChar                             ; Write NAM >> >>>>>>>C [C..]..
          jl         BJMP WFN21035                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sax, 000004Fh                             ; fetch SAX := 'O' 04Fh
          call            M1WFChar                             ; Write NAM >> >>>>>>>C [CO.]..
          jl         BJMP WFN21035                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sax, 000004Dh                             ; fetch SAX := 'M' 04Dh
          call            M1WFChar                             ; Write NAM >> >>>>>>>C [COM]..
          jg         BJMP WFN21040                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN21035                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21035: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00210035                             ; ErrorLabel: "WFN21035"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN21040: mov        sax, '2104'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  210040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN21041: mov        SVAL [lbp+iol_InComent] , 000             ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN21042: call            S1WFNwLn                             ; Write NAM >> >>>>>>>C [COM]&n
          jg         BJMP WFN21044                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN21043                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21043: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00210043                             ; ErrorLabel: "WFN21043"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN21044: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WrtNameAttribute
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN21045: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN21046: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 22000: Proces     Format NewLines [COM][NwL]                ; NAME  >>>>>>>C [COM]&n                        %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN22000: mov        sax, '2200'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  220000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN22001: cmp        SVAL [lbp+iol_InComent] , BC 0000         ; test: Inside Comment == 000 ?
          jne        LJMP WFN22040                             ; NE -> Proces Only [NwL]
;* IsNext jmp        BJMP WFN22010                             ; EQ -> Proces [COM][NwL] Doing
;*==============================================================================================================
WFN22010: mov        sax, '2201'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  220010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN22011: cmp        SVAL [lbp+iol_FmComent] , BC 0000         ; test: Format Comments == 00 ?
;* Weg ?? je         LJMP WFN22040                             ; EQ -> NAM &n OnlyDoes [NwL] !
;* IsNext jmp        BJMP WFN22012                             ; NE -> NAM >> >>>>>>>C [COM]&n
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 22012: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN22013: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111011b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN22014: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22015: jmp        BJMP WFN22106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN22100: mov        sax, 0000020h                             ; fetch SAX := ' ' 20h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 2Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 2Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 3Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write NAM >> >>>>>>>  [...]..
          jg         BJMP WFN22106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN22101                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22101: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00220101                             ; ErrorLabel: "WFN22101"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN22106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN22107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN22108: cmp        lax, [lbp+000+iol_FmComLft]               ; test: LAX == WritFile  Comment Left  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN22100                             ; LT -> Cycles FillLoop
;* IsDone je         BJMP WFN22020                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN22109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 22109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* UnUsed mov        scx, 00220109                             ; ErrorLabel: "WFN22109"
;* UnUsed call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN22020: mov        sax, '2202'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  220020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN22021: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN22022: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN22023: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;*--------------------------------------------------------------------------------------------------------------
WFN22024: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LCX := Long[04] FILe     NUMber
WFN22025: mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := Writ[FN] Comment  Character
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN22026: call            M1WFChar                             ; Write NAM >> >>>>>>>C.[...]..
          jl         BJMP WFN22029                             ; LT -> Error: Mystical     
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN22027                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22027: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFN22028                             ; EQ -> NAM >> >>>>>>>//[...]..
          mov        sax, 0000020h                             ; NE -> NAM >> >>>>>>>C [...]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN22028: call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         BJMP WFN22030                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN22029                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22029: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00220029                             ; ErrorLabel: "WFN22029"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN22030: mov        sax, '2203'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  220030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN22032: cmp        SVAL [lbp+iol_FmComent] , BC 002          ; test: Format Comments == 02 ?
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jb         BJMP WFN22040                             ; LT -> NAM >> >>>>>>>C/&n
          je         BJMP WFN22034                             ; EQ -> NAM >> >>>>>>>C/[COM]&n
;* IsNext jmp        BJMP WFN22033                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22033: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00220033                             ; ErrorLabel: "WFN22033"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 22034: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
;* Used ? call            M1WFChar                             ; Write NAM >> >>>>>>>C [ ..]..
;* Used ? jl         BJMP WFN22035                             ; LT -> Error: Mystical
;* Used ? je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN22034: mov        sax, 0000043h                             ; fetch SAX := 'C' 043h
          call            M1WFChar                             ; Write NAM >> >>>>>>>C [C..]..
          jl         BJMP WFN22035                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sax, 000004Fh                             ; fetch SAX := 'O' 04Fh
          call            M1WFChar                             ; Write NAM >> >>>>>>>C [CO.]..
          jl         BJMP WFN22035                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sax, 000004Dh                             ; fetch SAX := 'M' 04Dh
          call            M1WFChar                             ; Write NAM >> >>>>>>>C [COM]..
          jg         BJMP WFN22040                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN22035                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22035: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00220035                             ; ErrorLabel: "WFN22035"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN22040: mov        sax, '2204'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  220040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN22041: mov        SVAL [lbp+iol_InComent] , 000             ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN22042: call            S1WFNwLn                             ; Write NAM >> >>>>>>>C [COM]&n
          jg         BJMP WFN22044                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN22043                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22043: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00220043                             ; ErrorLabel: "WFN22043"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN22044: mov        sax, [lbp+iol_WrMenAtt]                   ; fetch SAX := WrtMenuAttribute
;* ?      mov        sax,          01111101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN22045: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN22046: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 23000: Proces     Format Character                          ; |&p|  PageFeed                                %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN23000: mov        sax, '2300'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  230000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN23001: mov        BVAL [lbp+iol_InComent] , 0000            ; store 000 => NotInsideComment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN23002: call            S1WFNwPg                             ; call: System WritFile NewPage(LSI,LBP,LBX)
          jg         BJMP WFN23004                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN23003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN23003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00230003                             ; ErrorLabel: "WFN23003"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN23004: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WrtNameAttribute
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN23005: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN23006: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 24000: Proces     Format Character                          ; |&p|  PageFeed                                %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN24000: mov        sax, '2400'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  240000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 24001: jmp        LJMP WFNameGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 25000: Proces     Format Character                          ; Input UniCod &u#####  &U0####                 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN25000: mov        sax, '2500'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  250000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 25001: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <oo:U#:##:##>hex
;* UnUsed mov        SVAL [lbp+tmm_LoopCntr] , 001             ; Init: VAL := <oo:oo:oo:0#>hex
;* UnUsed jmp        BJMP WFN25100                             ; Goto: VAL := <oo:oo:oo:01>hex
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 25005: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <oo:oo:oo:o0>hex
;* ?      mov        SVAL [lbp+tmm_LoopCntr] , 005             ; Init: VAL := <oo:0#:##:##>hex
;* ?      jmp        BJMP WFN25100                             ; Goto: VAL := <oo:05:43:21>hex
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 25006: mov        SVAL [lbp+tmm_ReadValu] , 001             ; Init: VAL := <oo:oo:oo:o1>hex
;?        mov        SVAL [lbp+tmm_LoopCntr] , 005             ; Init: VAL := <oo:10:##:##>hex
;* IsNext jmp        BJMP WFN25100                             ; Goto: VAL := <oo:10:43:21>hex
;***************************************************************************************************************
WFN25100: mov        sax, '2510'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  250100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 25101: mov        sax, [lbp+tmm_ReadValu]                   ; Fetch SAX := <oo:oo:o0:32>hex
;* ?      shl        sax, 0004                                 ; Shift SAX := <oo:oo:03:2o>hex
;* ?      mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <oo:oo:03:21>hex
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 26000: Proces     Format Character       alt                ; |&z|  Zero                                    %
;% 26010: Proces     Format Character       alt                ; |&&|  Ampersand                               %
;% 26020: Proces     Format Character       alt                ; |&p|  PageFeed                                %
;*--------------------------------------------------------------------------------------------------------------
;% 26030: Proces     Format Character                          ; |&&|  Ampersand                               %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% 26060: Proces     Format Character                          ; |&s|  Starts 1 Comment Line                   %
;% 26070: Proces     Format Character                          ; |&S|  Starts 1 Comment Line                   %
;% 26080: Proces     Format Character                          ; |&e|  Ending 1 Comment Line                   %
;% 26090: Proces     Format Character                          ; |&E|  Ending 1 Comment Line                   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN26000: mov        sax, '2600'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26001: mov        sax, 0000000h                             ; fetch SAX := 000h Zero Charct
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 26002: call            M1WCChar                             ; call: My own WritCons Character(SAX,LBP,LBX)
;* ?      jg         LJMP WFN11000                             ; GT -> Pretty Successi
;* ?      je         LJMP WFNameEQ                             ; EQ -> Error: ByteSize
;* IsNext jmp        BJMP WFN26003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 26003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00260003                             ; ErrorLabel: "WFN26003"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 26010: Proces     Format Character                          ; |&&|  Ampersand                               *
;***************************************************************************************************************
WFN26010: mov        sax, '2601'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN26011: mov        sax, 0000026h                             ; fetch SAX := 026h Ampersand &
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN26012: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN26013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN26013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00260013                             ; ErrorLabel: "WFN26013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 26020: Proces     Format Character                          ; |&&|  Ampersand                               *
;***************************************************************************************************************
WFN26020: mov        sax, '2602'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26021: jmp        LJMP WFNameGT                             ; Goto: End
;***************************************************************************************************************
;* 26030: Proces     Format Character                          ; |&&|  Ampersand                               *
;***************************************************************************************************************
WFN26030: mov        sax, '2603'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26021: jmp        LJMP WFNameGT                             ; Goto: End
;***************************************************************************************************************
;* 26040: Proces     Format Character                          ; |&p|  PageFeed                                *
;***************************************************************************************************************
WFN20040: mov        sax, '2604'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26021: jmp        LJMP WFNameGT                             ; Goto: End
;***************************************************************************************************************
;* 26050: Proces     Format Character                          ; |&p|  PageFeed                                *
;***************************************************************************************************************
WFN26050: mov        sax, '2605'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260050
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26051: jmp        LJMP WFNameGT                             ; Goto: End
;***************************************************************************************************************
;* 26060: Proces     Format Character                          ; |&s|  Starts 1 HLg Attribute  Menu Line       *
;***************************************************************************************************************
WFN26060: mov        sax, '2606'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260060
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26061: mov        SVAL [lbp+iol_InComent] , 001             ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 26062: call            M1WFNwLn                             ; Call: My own WritFile NewLine(LBP,LBX)
;* ?      jg         BJMP WFN26064                             ; GT -> Pretty Successi
;* ?      je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN26063                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 26063: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00260063                             ; ErrorLabel: "WFN26063"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;FN26064: cmp        LVAL [lbp+iol_L1FILNUM] , BC 010          ; test: FILNUM >= 10 Memo/File ?
;?        jae        BJMP WFN26068                             ; GE -> Ignore Color Attribute
;* IsNext jmp        BJMP WFN26065                             ; LT -> Proces Color Attribute
;*--------------------------------------------------------------------------------------------------------------
;FN26065: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := Eva4Size FILe NUMber Offset  / Hex
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      mov        sax, [lbp+000+iol_WrNamAtt]               ; fetch SAX := Write Name     Part  Attribute 1#0
;* ?      mov        sax, [lbp+000+iol_WrEquAtt]               ; fetch SAX := Write Equal    Char  Attribute 1#1
;* ?      mov        sax, [lbp+000+iol_WrMrkAtt]               ; fetch SAX := Write QuotationMark  Attribute 1#2
;* ?      mov        sax, [lbp+000+iol_WrTokAtt]               ; fetch SAX := Write TokenEnd Char  Attribute 1#3
;* ?      mov        sax, [lbp+000+iol_WrComAtt]               ; fetch SAX := Write Comment  Part  Attribute 1#4
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [lbp+000+iol_WrMenAtt]               ; fetch SAX := Write Menu     Part  Attribute 1##
;* ?      mov        sax, [lbp+000+iol_WrValAtt]               ; fetch SAX := Write DataValu Part  Attribute 1##
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [lbp+000+iol_WrNChAtt]               ; fetch SAX := Write New Line Char  Attribute 1#A
;* ?      mov        sax, [lbp+000+iol_WrNFiAtt]               ; fetch SAX := Write New Line Fill  Attribute 1#B
;* ?      mov        sax, [lbp+000+iol_WrStpAtt]               ; fetch SAX := Write Stop     Char  Attribute 1#C
;* ?      mov        sax, [lbp+000+iol_WrZChAtt]               ; fetch SAX := Write Zero &z  Char  Attribute 1#D
;* ?      mov        sax, [lbp+000+iol_WrZFiAtt]               ; fetch SAX := Write Zero ... Fill  Attribute 1#E
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* used ? mov        sax, [lbp+000+iol_WrLinAtt]               ; fetch SAX := Write Sepa Line      Attribute 10F
;* used ? mov        sax, [lbp+000+iol_WrHlgAtt]               ; fetch SAX := Write High Language  Attribute 11F
;*--------------------------------------------------------------------------------------------------------------
;* Above! mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := Eva4Size FILe NUMber Offset  / Hex
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      mov        sax, [lbx+ldx+ios_W0NamAtt]               ; fetch SAX := Writ[FN] Name  Part  Attribute 100
;* ?      mov        sax, [lbx+ldx+ios_W0EquAtt]               ; fetch SAX := Writ[FN] Equal Char  Attribute 101
;* ?      mov        sax, [lbx+ldx+ios_W0MrkAtt]               ; fetch SAX := Writ[FN] Quota Mark  Attribute 102
;* ?      mov        sax, [lbx+ldx+ios_W0TokAtt]               ; fetch SAX := Writ[FN] Token End   Attribute 103
;* ?      mov        sax, [lbx+ldx+ios_W0ComAtt]               ; fetch SAX := Writ[FN] Comment     Attribute 104
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [lbx+ldx+ios_W0GVaAtt]               ; fetch SAX := Writ[FN] GeneralValu Attribute 105
;* ?      mov        sax, [lbx+ldx+ios_W0IVaAtt]               ; fetch SAX := Writ[FN] IntegerValu Attribute 106
;* ?      mov        sax, [lbx+ldx+ios_W0FVaAtt]               ; fetch SAX := Writ[FN] FloatngValu Attribute 107
;* ?      mov        sax, [lbx+ldx+ios_W0SVaAtt]               ; fetch SAX := Writ[FN] StringValue Attribute 108
;* ?      mov        sax, [lbx+ldx+ios_W0TVaAtt]               ; fetch SAX := Writ[FN] Text  Value Attribute 109
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [lbx+ldx+ios_W0NChAtt]               ; fetch SAX := Writ[FN] NewLin Char Attribute 10A
;* ?      mov        sax, [lbx+ldx+ios_W0NFiAtt]               ; fetch SAX := Writ[FN] NewLin Fill Attribute 10B
;* ?      mov        sax, [lbx+ldx+ios_W0StpAtt]               ; fetch SAX := Writ[FN] Stop @ Char Attribute 10C
;* ?      mov        sax, [lbx+ldx+ios_W0ZChAtt]               ; fetch SAX := Writ[FN] Zero &z Chr Attribute 10D
;* ?      mov        sax, [lbx+ldx+ios_W0ZFiAtt]               ; fetch SAX := Writ[FN] Zero .. Fil Attribute 10E
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        sax, [lbx+ldx+ios_B0LinAtt]               ; fetch SAX := Both[FN] Sepa  Line  Attribute 10F
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      mov        sax, [lbx+ldx+ios_R0NamAtt]               ; fetch SAX := Read[FN] Name  Part  Attribute 110
;* ?      mov        sax, [lbx+ldx+ios_R0EquAtt]               ; fetch SAX := Read[FN] Equal Char  Attribute 111
;* ?      mov        sax, [lbx+ldx+ios_R0MrkAtt]               ; fetch SAX := Read[FN] Quota Mark  Attribute 112
;* ?      mov        sax, [lbx+ldx+ios_R0TokAtt]               ; fetch SAX := Read[FN] Token End   Attribute 113
;* ?      mov        sax, [lbx+ldx+ios_R0ComAtt]               ; fetch SAX := Read[FN] Comment     Attribute 114
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [lbx+ldx+ios_R0GVaAtt]               ; fetch SAX := Read[FN] GeneralValu Attribute 115
;* ?      mov        sax, [lbx+ldx+ios_R0IVaAtt]               ; fetch SAX := Read[FN] IntegerValu Attribute 116
;* ?      mov        sax, [lbx+ldx+ios_R0FVaAtt]               ; fetch SAX := Read[FN] FloatngValu Attribute 117
;* ?      mov        sax, [lbx+ldx+ios_R0SVaAtt]               ; fetch SAX := Read[FN] StringValue Attribute 118
;* ?      mov        sax, [lbx+ldx+ios_R0TVaAtt]               ; fetch SAX := Read[FN] Text  Value Attribute 119
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [lbx+ldx+ios_R0NChAtt]               ; fetch SAX := Read[FN] NewLin Char Attribute 11A
;* ?      mov        sax, [lbx+ldx+ios_R0NFiAtt]               ; fetch SAX := Read[FN] NewLin Fill Attribute 11B
;* ?      mov        sax, [lbx+ldx+ios_R0StpAtt]               ; fetch SAX := Read[FN] Stop @ Char Attribute 11C
;* ?      mov        sax, [lbx+ldx+ios_R0ZChAtt]               ; fetch SAX := Read[FN] Zero &z Chr Attribute 11D
;* ?      mov        sax, [lbx+ldx+ios_R0ZFiAtt]               ; fetch SAX := Read[FN] Zero .. Fil Attribute 11E
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        sax, [lbx+ldx+ios_B0HLgAtt]               ; fetch SAX := Both[FN] HighLanguageAttribute 11F
;*--------------------------------------------------------------------------------------------------------------
;FN26066: mov        sax, [lbx+ldx+ios_B0HLgAtt]               ; fetch SAX := Both[FN] HighLanguageAttribute 11F
;* UnUsed mov        sax, [lbx+ldx+ios_R0ComAtt]               ; fetch SAX := Read[FN] Comment     Attribute 114
;* UnUsed mov        sax, [lbx+ldx+ios_W0ComAtt]               ; fetch SAX := Writ[FN] Comment     Attribute 104
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN26066: mov        sax, [lbp+iol_WrHLgAtt]                   ; fetch SAX := Both[FN] HighLanguageAttribute 11F
;* UnUsed mov        sax, [lbp+iol_R0ComAtt]                   ; fetch SAX := Read[FN] Comment     Attribute 114
;* UnUsed mov        sax, [lbp+iol_W0ComAtt]                   ; fetch SAX := Writ[FN] Comment     Attribute 104
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax,          01110000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN26067: mov        SVAL [lbp+iol_WrMenAtt] , sax             ; store SAX => WrtMenuAttribute
;* Used ? mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN26068: jmp        LJMP WFN22000                             ; Goto: Contis NameStrgCopyLoop
;***************************************************************************************************************
;* 26070: Proces     Format Character                          ; |&S|  Starts 1 Com Attribute  Menu Line       *
;***************************************************************************************************************
WFN26070: mov        sax, '2607'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260070
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26071: mov        SVAL [lbp+iol_InComent] , 0000            ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 26072: call            S1WFNwLn                             ; Call: System WritFile NewLine(LSI,LBP,LBX)
;* ?      jg         BJMP WFN26074                             ; GT -> Pretty Successi
;* ?      je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN26073                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 26073: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00260073                             ; ErrorLabel: "WFN26073"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 26074: cmp        LVAL [lbp+iol_L1FILNUM] , BC 010          ; test: FILNUM >= 10 Memo/File ?
;* ?      jae        BJMP WFN26078                             ; GE -> Ignore Color Attribute
;* IsNext jmp        BJMP WFN26075                             ; LT -> Proces Color Attribute
;*--------------------------------------------------------------------------------------------------------------
;* 26075: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := Ev4FILNUM offset
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 26076: mov        sax, [lbp+000+iol_WrComAtt]               ; fetch SAX := Write    Comment     Attribute 1#4
;* used ? mov        sax, [lbx+ldx+ios_W0ComAtt]               ; fetch SAX := Writ[FN] Comment     Attribute 104
;* used ? mov        sax, [lbx+ldx+ios_R0ComAtt]               ; fetch SAX := Read[FN] Comment     Attribute 114
;* unused mov        sax, [lbx+ldx+ios_B0HLgAtt]               ; fetch SAX := Both[FN] HighLanguageAttribute 11F
;*--------------------------------------------------------------------------------------------------------------
WFN26076: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := Write    Comment     Attribute 1#4
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN26077: mov        SVAL [lbp+iol_WrMenAtt] , sax             ; store SAX => WrtMenuAttribute
;* Used ? mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN26078: jmp        LJMP WFN22000                             ; Goto: Contis NameStrgCopyLoop
;***************************************************************************************************************
;* 26080: Proces     Format Character                          ; |&e|  Ending 1 HLg Attr Line                  *
;***************************************************************************************************************
WFN26080: mov        sax, '2608'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260080
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26081: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN26082: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WrtNameAttribute
;* ?      mov        sax,          01111001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN26083: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN26084: jmp        LJMP WFN11000                             ; Enter End of FillingLooping !
;***************************************************************************************************************
;* 26090: Proces     Format Character                          ; |&E|  Ending 1 Com Attr Line                  *
;***************************************************************************************************************
WFN26090: mov        sax, '2609'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  260090
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 26091: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN26092: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WrtNameAttribute
;* ?      mov        sax,          01111001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN26093: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN26094: jmp        LJMP WFN11000                             ; Enter End of FillingLooping !
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 27000: Proces     Format Character                          ; &c### Change ColorAttribute                   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN27000: mov        sax, '2700'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  270000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 27001: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <oo:oo:oo:o0>hex
;* UnUsed mov        SVAL [lbp+tmm_LoopCntr] , 001             ; Init: VAL := <oo:oo:oo:0#>hex
;* UnUsed jmp        BJMP WFN27100                             ; Goto: VAL := <oo:oo:oo:01>hex
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27002: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <oo:oo:oo:o0>hex
          mov        SVAL [lbp+tmm_LoopCntr] , 002             ; Init: VAL := <oo:oo:o0:##>hex
          jmp        BJMP WFN27100                             ; Goto: VAL := <oo:oo:o0:21>hex
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27003: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <oo:oo:oo:o0>hex
          mov        SVAL [lbp+tmm_LoopCntr] , 003             ; Init: VAL := <oo:oo:0#:##>hex
;* IsNext jmp        BJMP WFN27100                             ; Goto: VAL := <oo:oo:03:21>hex
;***************************************************************************************************************
WFN27100: mov        sax, '2710'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  270100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN27101: mov        sax, [lbp+tmm_ReadValu]                   ; Fetch SAX := <oo:oo:o0:32>hex
          shl        sax, 0004                                 ; Shift SAX := <oo:oo:03:2o>hex
          mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <oo:oo:03:21>hex
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN27102: call            M1RMChar                             ; call: SAX := ReadMemo  Character( LBP,LBX )
          jg         BJMP WFN27104                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN27103                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN27103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00270103                             ; ErrorLabel: "WFN27103
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN27104: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext  Character
;*==============================================================================================================
WFN27110: mov        sax, '2711'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  270110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN27111: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN27112: cmp        sax, BC 0039h                             ; test: SAX == '9' 39h  ?
          ja         BJMP WFN27113                             ; GT -> May be 'A','B','C','D','E','F'
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN27117                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
          jmp        BJMP WFN27115                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27113: cmp        sax, BC 0046h                             ; test: SAX == 'F' 46h  ?
          ja         BJMP WFN27114                             ; GT -> May be 'a','b','c','d','e','f'
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0041h                             ; subi: SAX == 'A','B','C','D','E','F'
          jge        BJMP WFN27116                             ; GE -> SAX := 000,001,002,003,004,005
          jmp        BJMP WFN27115                             ; LT -> Error: CharacterIsWrong
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN27114: cmp        sax, BC 0066h                             ; test: SAX == 'f' 66h  ?
          ja         BJMP WFN27115                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0061h                             ; subi: SAX == 'a','b','c','d','e','f'
          jge        BJMP WFN27116                             ; GE -> SAX := 000,001,002,003,004,005
;* IsNext jmp        BJMP WFN27115                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27115: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00270115                             ; ErrorLabel: "WFN27115"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN27116: add        sax, BCST 010                             ; Addi: SAX := 010,011,012,013,014,015
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <oo:oo:oo:o1>hex
WFN27117: add        sax, [lbp+tmm_ReadValu]                   ; ItWas VAL == <oo:oo:03:2o>hex
WFN2711S: mov        SVAL [lbp+tmm_ReadValu] , sax             ; Store VAL := <oo:oo:03:21>hex
;*--------------------------------------------------------------------------------------------------------------
WFN27118: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN27100                             ; GT -> Cycles ReadLoop
          je         BJMP WFN27010                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN27119                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27119: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00270119                             ; ErrorLabel: "WFN27119"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN27010: mov        sax, '2701'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  270010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN27011: mov        sax, [lbp+tmm_ReadValu]                   ; fetch SAX := ReadValue Colour
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN27012: cmp        sax, 000011Fh                             ; test: SAX =< 000011Fh ?
          jbe        BJMP WFN27015                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN27013                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00270013                             ; ErrorLabel: "WFN27013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 27014: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN27015: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN27016: jmp        LJMP WFN11000                             ; Enter End of FillingLooping !
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 28000: Proces     Format Character                          ; &b%%, &B%%%                                   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN28000: mov        sax, '2800'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  280000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 28001: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
;* UnUsed mov        SVAL [lbp+tmm_LoopCntr] , 001             ; Gives VAL := <ooooo:ooo01>dec
;* UnUsed jmp        BJMP WFN28100                             ; Goto: VAL := <ooooo:ooo0%>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28002: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 002             ; Gives VAL := <ooooo:oo021>dec
          jmp        BJMP WFN28100                             ; Goto: VAL := <ooooo:oo0%%>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28003: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 003             ; Gives VAL := <ooooo:o0321>dec
;* IsNext jmp        BJMP WFN28100                             ; Goto: VAL := <ooooo:o0%%%>dec
;***************************************************************************************************************
WFN28100: mov        sax, '2810'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  280100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN28101: mov        sax, 00000010                             ; ItWas VAL := <ooooo:o0432>dec
          mul        SVAL [lbp+tmm_ReadValu]                   ; Mults SAX := <ooooo:0432o>dec
          mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <ooooo:04321>dec
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN28102: call            M1RMChar                             ; call: SAX := ReadMemo  Character(LBP,LBX)
          jg         BJMP WFN28104                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN28103                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN28103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280103                             ; ErrorLabel: "WFN28103
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN28104: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext  Character
;*==============================================================================================================
WFN28110: mov        sax, '2811'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  280110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN28111: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN28112: cmp        sax, BC 0039h                             ; test: SAX == '9' 39h  ?
          ja         BJMP WFN28113                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN28114                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;* IsNext jmp        BJMP WFN28113                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28113: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280113                             ; ErrorLabel: "WFN28113"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <ooooo:oooo1>dec
WFN28114: add        sax, [lbp+tmm_ReadValu]                   ; ItWas VAL == <ooooo:o0320>dec
WFN28115: mov        SVAL [lbp+tmm_ReadValu] , sax             ; Store VAL := <ooooo:o0321>dec
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN28116: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN28100                             ; GT -> Cycles ReadLoop
          je         BJMP WFN28010                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN28117                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28117: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280117                             ; ErrorLabel: "WFN28117"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN28010: mov        sax, '2801'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  280010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN28011: mov        sax, [lbp+tmm_ReadValu]                   ; fetch SAX := Read Value
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN28012: cmp        sax, BCST 000                             ; test: SAX == 00000000 ?
          jg         BJMP WFN28200                             ; GT -> Proces FillLoop
          je         BJMP WFN28014                             ; EQ -> Proces FillChar
;* IsNext jmp        BJMP WFN28013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280013                             ; ErrorLabel: "WFN28013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN28014: mov        sax, 0000023h                             ; fetch SAX := '#' 023h NopChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
;* How ?? je         LJMP WFNameEQ                             ; EQ -> Error: ByteSize
;* IsNext jmp        BJMP WFN28015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280015                             ; ErrorLabel: "WFN28015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN28200: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 0000021h                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN28202: call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         BJMP WFN28208                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Error: ByteSize
;* IsNext jmp        BJMP WFN28203                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28203: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280203                             ; ErrorLabel: "WFN28203"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN28208: dec        SVAL [lbp+tmm_ReadValu]                   ; decrementing Fillings
;* UnUsed mov        sax, [lbp+tmm_ReadValu]                   ; fetch SAX := Counters
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         BJMP WFN28200                             ; GT -> Cycles FillLoop
          je         LJMP WFN11000                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN28209                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN28209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280209                             ; ErrorLabel: "WFN28209"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 29000: Proces     Format Character                          ; &t%%% Proces BlankTabbings                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN29000: mov        sax, '2900'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  290000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 29001: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
;* unused mov        SVAL [lbp+tmm_LoopCntr] , 001             ; Init: VAL := <ooooo:oooo%>dec
;* unused jmp        BJMP WFN29100                             ; Goto: VAL := <ooooo:ooo01>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29002: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 002             ; Init: VAL := <ooooo:oo0%%>dec
          jmp        BJMP WFN29100                             ; Goto: VAL := <ooooo:oo021>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29003: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 003             ; Init: VAL := <ooooo:o0%%%>dec
          jmp        BJMP WFN29100                             ; Goto: VAL := <ooooo:o0321>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29004: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 004             ; Init: VAL := <ooooo:0%%%%>dec
;* IsNext jmp        BJMP WFN29100                             ; Goto: VAL := <ooooo:04321>dec
;***************************************************************************************************************
WFN29100: mov        sax, '2910'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  290100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN29101: mov        sax, 00000010                             ; ItWas VAL := <ooooo:o0432>dec
          mul        SVAL [lbp+tmm_ReadValu]                   ; Mults SAX := <ooooo:0432o>dec
          mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <ooooo:04321>dec
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN29102: call            M1RMChar                             ; call: SAX := ReadMemo  Character(LBP,LBX)
          jg         BJMP WFN29104                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN29103                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN29103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290103                             ; ErrorLabel: "WFN29103
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN29104: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext  Character
;*==============================================================================================================
WFN29110: mov        sax, '2911'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  290110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN29111: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN29112: cmp        sax, BC 0039h                             ; test: SAX == '9' 039h ?
          ja         BJMP WFN29113                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN29114                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;* IsNext jmp        BJMP WFN29113                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29113: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290113                             ; ErrorLabel: "WFN29113"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <ooooo:oooo1>dec
WFN29114: add        sax, [lbp+tmm_ReadValu]                   ; ItWas VAL == <ooooo:04320>dec
WFN29115: mov        SVAL [lbp+tmm_ReadValu] , sax             ; Store VAL := <ooooo:04321>dec
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN29116: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN29100                             ; GT -> Cycles ReadLoop
          je         BJMP WFN29010                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN29117                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29117: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290117                             ; ErrorLabel: "WFN29117"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN29010: mov        sax, '2901'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  290010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN2901@: mov        sax, [lbp+tmm_ReadValu]                   ; fetch SAX := Read Value
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        sax, BCST 000                             ; test: SAX == 00000000 ?
          jg         BJMP WFN29206                             ; GT -> Proces FillLoop
          je         BJMP WFN29012                             ; EQ -> Proces TabbChar
;* IsNext jmp        BJMP WFN29011                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29011: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290011                             ; ErrorLabel: "WFN29011"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN29012: mov        sax, 0000009h                             ; fetch SAX := 0000009h TabbingCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN29013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290013                             ; ErrorLabel: "WFN29013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN29200: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN29202: call            M1WFChar                             ; Write Blanks UpToTabi
          jg         BJMP WFN29206                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN29203                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN29203: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290203                             ; ErrorLabel: "WFN29203"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN29206: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN29207: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN29208: cmp        sax, [lbp+000+tmm_ReadValu]               ; test: SAX == ReadValu  Column  Wisched  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN29200                             ; LT -> Contis FillLoop
          jmp        LJMP WFN11000                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN29209                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 29209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* UnUsed mov        scx, 00290209                             ; ErrorLabel: "WFN29209"
;* UnUsed call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;###############################################################################################################
;# 30000: Reads      Second Format Number                      ; &%<%>                                         #
;###############################################################################################################
WFN30000: mov        sax, '3000'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  300000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN30002: call            M1RMChar                             ; call: SAX := ReadMemo  Character(LBP,LBX)
          jg         BJMP WFN30004                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN30003                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN30003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN30003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00300003                             ; ErrorLabel: "WFN30003
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN30004: mov        SVAL [lbp+tmm_ReadChar] , sax             ; store SAX => ReadName Character
;*==============================================================================================================
WFN30010: mov        sax, '3010'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  300010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN30011: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := Read Next Character
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN30012: cmp        sax, BC 0039h                             ; test: SAX == '9' 039h ?
          ja         BJMP WFN30013                             ; GT -> Error: BadValue !
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN30014                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;* IsNext jmp        BJMP WFN30013                             ; LT -> Error: BadValue
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN30013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00300013                             ; ErrorLabel: "WFN30013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN30014: add        sax, [lbp+iol_FmSelect]                   ; adds: SAX += 000,010,020,030,040,050,..,080,090
          mov        SVAL [lbp+iol_FmSelect] , sax             ; store SAX => FormatSelection 000,001,..,098,099
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        sax, BCST 099                             ; test: SAX =< 00000099 ?
          jbe        BJMP WFN30020                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN30015                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN30015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00300015                             ; ErrorLabel: "WFN30015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN30020: mov        sax, '3002'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  300020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN3002@: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := Format Selection
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN30021: cmp        sax, BCST 080                             ; test: SAX >= 00000080 ?
          jae        BJMP WFN30028                             ; GE -> Proces FileName 80...99
;* IsNext jmp        BJMP WFN30022                             ; LT -> Proces FileLine 00...79
;*--------------------------------------------------------------------------------------------------------------
WFN30022: call            MyWFLine                             ; call: My own WritFile SeparatnLine(SAX,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
;* How ?? je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN30023                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN30023: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00300023                             ; ErrorLabel: "WFN30023"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 30024: cmp        sax, BCST 049                             ; test: SAX == 40,..,49 ?
;* UnUsed jbe        BJMP WFN40000                             ; Yes-> Proces It
;* UnUsed jmp        BJMP WFN30025                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 30025: cmp        sax, BCST 059                             ; test: SAX == 50,..,59 ?
;* UnUsed jbe        LJMP WFN50000                             ; Yes-> Proces It
;* UnUsed jmp        BJMP WFN30026                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 30026: cmp        sax, BCST 069                             ; test: SAX == 60,..,69 ?
;* UnUsed jbe        LJMP WFN60000                             ; Yes-> Proces It
;* UnUsed jmp        BJMP WFN30027                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 30027: cmp        sax, BCST 079                             ; test: SAX == 70,..,79 ?
;* UnUsed jbe        BJMP WFN70000                             ; Yes-> Proces It
;* UnUsed jmp        BJMP WFN30028                             ; Not-> Search Continue
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN30028: cmp        sax, BCST 089                             ; test: SAX == 80,..,89 ?
          jbe        BJMP WFN80000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFN30029                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN30029: cmp        sax, BCST 099                             ; test: SAX == 90,..,99 ?
          jbe        LJMP WFN90000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFN3002E                             ; Not-> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN3002E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00300029                             ; ErrorLabel: "WFN30029"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;###############################################################################################################
;# &80  ...   Right   |              ???    &90 FileName         Data1234.txt                                  #
;# &81  ...   Right  #|              ###    &91 ProductID        20030000123                                   #
;# &82  ...   Right  %|              %%%    &92 Date             26. Feb 2014                                  #
;# &83  ...   Right  *|              ***    &93 Time 3           12:48:59                                      #
;# &84  ...   Right  =|              ///    &94 Time 4           12:48:59:999                                  #
;# &85  ...   Middle<C>omment      ! KOM    &95 Middle<C>omment  !KOM                                          #
;# &86%%%%%   DataWidth          Numbers    &96 Middle<C>omment  !!KOM                                         #
;# &87%%%%%   DataIBL            Decimal    &97 Middle<C>omment  !!!KOM                                        #
;# &88%%%%%   CommentLeft        &880040    &98                                                                #
;# &89%%%%%   CommentRight       &890076    &99 Output Testings                                                #
;###############################################################################################################
WFN80000: mov        sax, '8000'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  800000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN8000@: mov        sax, [lbp+iol_FmSelect]                   ; fetch SAX := RFormatSelection
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN80001: cmp        sax, BCST 081                             ; test: SAX == 80,81;GT ?
          jb         BJMP WFN8@000                             ; 80 -> |C   | RightEnd
          je         LJMP WFN81000                             ; 81 -> |C# #| RightEnd
;* IsNext jmp        BJMP WFN80003                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN80003: cmp        sax, BCST 083                             ; test: SAX == 82,83;GT ?
          jb         LJMP WFN82000                             ; 82 -> |C% %| RightEnd
          je         LJMP WFN83000                             ; 83 -> |C* *| RightEnd
;* IsNext jmp        BJMP WFN80005                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN80005: cmp        sax, BCST 085                             ; test: SAX == 84,85;GT ?
          jb         LJMP WFN84000                             ; 84 -> |C= =| RightEnd
          je         LJMP WFN85000                             ; 85 -> |...!| MComment
;* IsNext jmp        BJMP WFN80007                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN80007: cmp        sax, BCST 087                             ; test: SAX == 86,87;GT ?
          jb         LJMP WFN86000                             ; 86 -> Proces &86%%%%% DataWdt
          je         LJMP WFN87000                             ; 87 -> Proces &87%%%%% DataIBL
;* IsNext jmp        BJMP WFN80009                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN80009: cmp        sax, BCST 089                             ; test: SAX == 88,89;GT ?
          jb         LJMP WFN88000                             ; 88 -> Proces &88%%%%% ComLeft
          je         LJMP WFN89000                             ; 89 -> Proces &89%%%%% ComRght
;* IsNext jmp        BJMP WFN8000E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN8000E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00800009                             ; ErrorLabel: "WFN80009"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 8@000: Write      Right End      &80                        ; Write |C  Left .. Right  |                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN8@000: mov        sax, '8@00'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  8@0000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 8@001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN8@002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN8@003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN8@004: jmp        BJMP WFN8@106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN8@100: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN8@102: call            M1WFChar                             ; Write |C  ?| [Left       .]..
          jg         BJMP WFN8@106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN8@103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN8@103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80800103                             ; ErrorLabel: "WFN8@103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN8@106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN8@107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN8@108: cmp        lax, [lbp+000+iol_FmComRM1]               ; test: SAX == ReadValu  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN8@100                             ; LT -> Contis FillLoop
          je         BJMP WFN8@005                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN8@109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN8@109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80800109                             ; ErrorLabel: "WFN8@109"
          call            E2WFName                             ; ErrorMessag "SyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN8@005: mov        sax, 0000021h                             ; fetch SAX := ' ' 020h EndChar
;* Debugs mov        sax, 0000021h                             ; fetch SAX := '!' 021h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN8@006: call            M1WFChar                             ; Write |C  ?| [Left       !]..
          jg         BJMP WFN8@010                             ; GE -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN8@007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN8@007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80880007                             ; ErrorLabel: "WFN8@007"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN8@010: mov        sax, '8@01'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  8@0010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN8@011: mov        BVAL [lbp+iol_InComent] , 000             ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN8@012: call            S1WFNwLn                             ; Write |C# ?| [Left       #]&n
          jg         BJMP WFN8@014                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN8@013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN8@013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80880013                             ; ErrorLabel: "WFN8@013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN8@014: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN8@015: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN8@016: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 81000: Write      Right End      &81                        ; Write |C# Left .. Right #|                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN81000: mov        sax, '8100'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  810000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 81001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN81002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN81003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN81004: jmp        BJMP WFN81106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN81100: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := '.' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN81102: call            M1WFChar                             ; Write |C# ?| [Left       .]..
          jg         BJMP WFN81106                             ; GE -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN81103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN81103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00810103                             ; ErrorLabel: "WFN81103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN81106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN81107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN81108: cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WrFormat  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN81100                             ; LT -> Contis FillLoop
;* IsDone je         BJMP WFN81005                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN81109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 81109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;*        mov        scx, 00810109                             ; ErrorLabel: "WFN81109"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN81005: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN81006: call            M1WFChar                             ; Write |C# ?| [Left       #]..
          jg         BJMP WFN81010                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN81007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN81007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00810007                             ; ErrorLabel: "WFN81007"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN81010: mov        sax, '8101'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  810010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN81011: mov        BVAL [lbp+iol_InComent] , 0000            ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN81012: call            S1WFNwLn                             ; Write |C# ?| [Left       #]&n
          jg         BJMP WFN81014                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN81013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN81013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00810013                             ; ErrorLabel: "WFN81013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN81014: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN81015: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN81016: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 82000: Write      Right End      &82                        ; Write |C% Left .. Right %|                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN82000: mov        sax, '8200'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  820000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 82001: mov        BVAL [lsi+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN82002: mov        sax, [lsi+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN82003: mov        SVAL [lsi+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lsi+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN82004: jmp        BJMP WFN82106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN82100: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN82102: call            M1WFChar                             ; Write |C# ?| [Left       .]..
          jg         BJMP WFN82106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN82103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN82103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00820103                             ; ErrorLabel: "WFN82103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN82106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN82107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN82108: cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WrFormat  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN82100                             ; LT -> Contis FillLoop
;* IsNext je         BJMP WFN82005                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN82109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 82109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;*        mov        scx, 00820109                             ; ErrorLabel: "WFN82109"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN82005: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN82006: call            M1WFChar                             ; Write |C% ?| [Left       %]..
          jg         BJMP WFN82010                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN82007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN82007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00820007                             ; ErrorLabel: "WFN82007"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN82010: mov        sax, '8201'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  820010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN82011: mov        BVAL [lbp+iol_InComent] , 000             ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN82012: call            S1WFNwLn                             ; Write |C% ?| [Left       %]&n
          jg         BJMP WFN82014                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN82013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN82013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00820013                             ; ErrorLabel: "WFN82013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN82014: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteNameAttribu
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN82015: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN82016: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 83000: Write      Right End      &83                        ; Write |C* Left .. Right *|                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN83000: mov        sax, '8300'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  830000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 83001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN83002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN83003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN83004: jmp        BJMP WFN83106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN83100: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN83102: call            M1WFChar                             ; Write |C% ?| [Left       .]..
          jg         BJMP WFN83106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN83103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN83103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00830103                             ; ErrorLabel: "WFN83103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN83106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN83107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN83108: cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WrFormat  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN83100                             ; LT -> Contis FillLoop
;* IsNext je         BJMP WFN83005                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN83109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 83109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;*        mov        scx, 00830109                             ; ErrorLabel: "WFN83109"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* Unused jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN83005: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN83006: call            M1WFChar                             ; Write |C* ?| [Left       *]..
          jg         BJMP WFN83010                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN83007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN83007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00830007                             ; ErrorLabel: "WFN83007"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN83010: mov        sax, '8301'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  830010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN83011: mov        BVAL [lbp+iol_InComent] , 000             ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN83012: call            S1WFNwLn                             ; Write |C% ?| [Left       %]&n
          jg         BJMP WFN83014                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN83013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN83013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00830013                             ; ErrorLabel: "WFN83013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN83014: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN83015: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN83016: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 84000: Write      Right End      &84                        ; Write |C= Left .. Right =|                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN84000: mov        sax, '8400'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  840000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 84001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN84002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN84003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN84004: jmp        BJMP WFN84106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN84100: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN84102: call            M1WFChar                             ; Write |C= ?| [Left       .]..
          jg         BJMP WFN84106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN84103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN84103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00840103                             ; ErrorLabel: "WFN84103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN84106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN84107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN84108: cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WrFormat  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN84100                             ; LT -> Contis FillLoop
;* IsDone je         BJMP WFN84005                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN84109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 84109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;*        mov        scx, 00840109                             ; ErrorLabel: "WFN84109"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN84005: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN84006: call            M1WFChar                             ; Write |C= ?| [Left       =]..
          jg         BJMP WFN84010                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN84007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN84007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00840007                             ; ErrorLabel: "WFN84007"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN84010: mov        sax, '8401'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  840010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN84011: mov        BVAL [lbp+iol_InComent] , 000             ; store 000 => InsideCommentNot
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN84012: call            S1WFNwLn                             ; Write |C= ?| [Left       =]&n
          jg         BJMP WFN84014                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN84013                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN84013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00840013                             ; ErrorLabel: "WFN84013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN84014: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteNameAttribu
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN84015: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN84016: jmp        LJMP WFN11000                             ; Goto: Contis NameStrgCopyLoop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 85000: Write      Right End      &85                        ; Write |C? Left .. Right ?|                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN85000: mov        sax, '8500'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  850000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 85001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN85002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111110b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN85003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN85004: jmp        BJMP WFN85106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN85100: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN85102: call            M1WFChar                             ; Write |C= ?| [Left       .]..
          jg         BJMP WFN85106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN85103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN85103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00850103                             ; ErrorLabel: "WFN85103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN85106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN85107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN85108: cmp        lax, [lbp+000+iol_FmComLft]               ; test: LAX == WrFormat  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN85100                             ; LT -> Contis FillLoop
;* IsNext je         BJMP WFN85010                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN85109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 85109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;*        mov        scx, 00850109                             ; ErrorLabel: "WFN85109"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN85010: mov        sax, '8501'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  850010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN85011: mov        sax, [lbp+iol_WrComChr]                   ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN85012: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFN85015                             ; LT -> Error: Mystical     
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN85013                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN85013: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFN85014                             ; EQ -> |//..| [............]..
          mov        sax, 0000020h                             ; NE -> |C ..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN85014: call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN85015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN85015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00850015                             ; ErrorLabel: "WFN85015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 86004: Input      Data WinWidth  &86%%%%                    ; Local Data   Window Width                     %
;% 86005: Input      Data WinWidth  &86%%%%%                   ; Local Data   Window Width                     %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN86000: mov        sax, '8600'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  860000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 86004: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
;* Alt !? mov        SVAL [lbp+tmm_LoopCntr] , 004             ; Gives VAL := <ooooo:04321>dec
;* IsNext jmp        BJMP WFN86100                             ; Goto: VAL := <ooooo:0%%%%>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN86005: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 005             ; Gives VAL := <oooo0:54321>dec
;* IsNext jmp        BJMP WFN86100                             ; Goto: VAL := <oooo0:%%%%%>dec
;***************************************************************************************************************
WFN86100: mov        sax, '8610'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  860100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN86101: mov        sax, 0010                                 ; ItWas VAL := <ooooo:o0432>dec
          mul        SVAL [lbp+tmm_ReadValu]                   ; Mults SAX := <ooooo:0432o>dec
          mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <ooooo:04321>dec
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN86102: call            M1RMChar                             ; call: SAX := ReadMemo Character( LBP,LBX )
          jg         BJMP WFN86104                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN86103                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN86103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN86103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00860103                             ; ErrorLabel: "WFN86103
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN86104: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext  Character
;*==============================================================================================================
WFN86110: mov        sax, '8611'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  860110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN86111: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN86112: cmp        sax, BC 0039h                             ; test: SAX == '9' 39h  ?
          ja         BJMP WFN86113                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN86114                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;* IsNext jmp        BJMP WFN86113                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN86113: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00860113                             ; ErrorLabel: "WFN86113"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <oo:oo:oo:o1>hex
WFN86114: add        sax, [lbp+tmm_ReadValu]                   ; ItWas VAL == <oo:o0:43:2o>hex
WFN86115: mov        SVAL [lbp+tmm_ReadValu] , sax             ; Store VAL := <oo:o0:43:21>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN86116: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN86100                             ; GT -> Cycles ReadLoop
          je         BJMP WFN86010                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN86117                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN86117: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00860117                             ; ErrorLabel: "WFN86117"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN86010: mov        sax, '8601'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  860010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN86011: mov        sax, [lbp+tmm_ReadValu]                   ; fetch SAX := Read Input Value
          mov        LVAL [lbp+iol_FmDatWdt] , lax             ; store LAX => FormatData Width
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN86012: cmp        lax, 00099999                             ; test: LAX =< 00099999 ?
          jbe        LJMP WFN11000                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN86013                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN86013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00860013                             ; ErrorLabel: "WFN86013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 87004: Input      Data IndBlank  &87%%%%                    ; Local Data   Indend Blanks                    %
;% 87005: Input      Data IndBlank  &87%%%%%                   ; Local Data   Indend Blanks                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN87000: mov        sax, '8700'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  870000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 87004: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
;* Alt ?? mov        SVAL [lbp+tmm_LoopCntr] , 004             ; Gives VAL := <ooooo:04321>dec
;* IsNext jmp        BJMP WFN87100                             ; Goto: VAL := <ooooo:0%%%%>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN87005: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 005             ; Gives VAL := <oooo0:54321>dec
;* IsNext jmp        BJMP WFN87100                             ; Goto: VAL := <oooo0:%%%%%>dec
;***************************************************************************************************************
WFN87100: mov        sax, '8710'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  870100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN87101: mov        sax, 0010                                 ; ItWas VAL := <ooooo:o0432>dec
          mul        SVAL [lbp+tmm_ReadValu]                   ; Mults SAX := <ooooo:0432o>dec
          mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <ooooo:04321>dec
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN87102: call            M1RMChar                             ; call: SAX := ReadMemo Character( LBP,LBX )
          jg         BJMP WFN87104                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN87103                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN87103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN87103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00870103                             ; ErrorLabel: "WFN87103
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN87104: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext  Character
;*==============================================================================================================
WFN87110: mov        sax, '8711'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  870110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN87111: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN87112: cmp        sax, BC 0039h                             ; test: SAX == '9' 39h  ?
          ja         BJMP WFN87113                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN87114                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;* IsNext jmp        BJMP WFN87113                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN87113: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00870113                             ; ErrorLabel: "WFN87113"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <oo:oo:oo:o1>hex
WFN87114: add        sax, [lbp+tmm_ReadValu]                   ; ItWas VAL == <oo:o0:43:2o>hex
WFN87115: mov        SVAL [lbp+tmm_ReadValu] , sax             ; Store VAL := <oo:o0:43:21>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN87116: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN87100                             ; GT -> Cycles ReadLoop
          je         BJMP WFN87010                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN87117                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN87117: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00870117                             ; ErrorLabel: "WFN87117"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN87010: mov        sax, '8701'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  870010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN87011: mov        sax, [lbp+tmm_ReadValu]                   ; fetch LAX := Reads Input Value
          mov        LVAL [lbp+iol_FmDatIBL] , lax             ; store LAX => Format Data Indend Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN87012: cmp        lax, 00099999                             ; test: LAX =< 00099999 ?
          jbe        LJMP WFN11000                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN87013                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN87013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00870013                             ; ErrorLabel: "WFN87013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 88004: Input      Comment Left   &88%%%%                    ; Local Comment Left Position                   %
;% 88005: Input      Comment Left   &88%%%%%                   ; Local Comment Left Position                   %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN88000: mov        sax, '8800'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  880000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 88004: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
;* Alt ?? mov        SVAL [lbp+tmm_LoopCntr] , 004             ; Gives VAL := <ooooo:04321>dec
;* IsNext jmp        BJMP WFN88100                             ; Goto: VAL := <ooooo:0%%%%>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN88005: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 005             ; Gives VAL := <oooo0:54321>dec
;* IsNext jmp        BJMP WFN88100                             ; Goto: VAL := <oooo0:%%%%%>dec
;***************************************************************************************************************
WFN88100: mov        sax, '8810'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  880100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN88101: mov        sax, 0010                                 ; ItWas VAL := <ooooo:o0432>dec
          mul        SVAL [lbp+tmm_ReadValu]                   ; Mults SAX := <ooooo:0432o>dec
          mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <ooooo:04321>dec
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN88102: call            M1RMChar                             ; call: SAX := ReadMemo Character( LBP,LBX )
          jg         BJMP WFN88104                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN88103                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN88103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN88103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00880103                             ; ErrorLabel: "WFN88103
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN88104: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext Character
;*==============================================================================================================
WFN88110: mov        sax, '8811'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  880110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN88111: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN88112: cmp        sax, BC 0039h                             ; test: SAX == '9' 39h  ?
          ja         BJMP WFN88113                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN88114                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;* IsNext jmp        BJMP WFN88113                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN88113: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00880113                             ; ErrorLabel: "WFN88113"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <oo:oo:oo:o1>hex
WFN88114: add        sax, [lbp+tmm_ReadValu]                   ; ItWas VAL == <oo:o0:43:2o>hex
WFN88115: mov        SVAL [lbp+tmm_ReadValu] , sax             ; Store VAL := <oo:o0:43:21>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN88116: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN88100                             ; GT -> Cycles ReadLoop
          je         BJMP WFN88010                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN88117                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN88117: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00880117                             ; ErrorLabel: "WFN88117"
          call            E2WFName                             ; ErrorMessag "SyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN88010: mov        sax, '8801'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  880010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN8801@: mov        sax, [lbp+tmm_ReadValu]                   ; fetch LAX := Read Input Value
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN88011: mov        LVAL [lbp+iol_FmComLft] , lax             ; store LAX => FmtComentLeft
;* ?      lea        ldx, [lax+000-00000001]                   ; fetch LDX := FmtComentLeft -1
;* ?      mov        LVAL [lbp+iol_FmComLM1] , ldx             ; store LDX => FmtComentLftMin1
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN88012: cmp        lax, 00099999                             ; test: LAX =< 00099999 ?
          jbe        LJMP WFN11000                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN88013                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN88013: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00880013                             ; ErrorLabel: "WFN88013"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 89004: Input      Comment Right  &89%%%%                    ; Local CommentRightPosition                    %
;% 89005: Input      Comment Right  &89%%%%%                   ; Local CommentRightPosition                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN89000: mov        sax, '8900'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  890000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 89001: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
;* UnUsed mov        SVAL [lbp+tmm_LoopCntr] , 001             ; Gives VAL := <ooooo:ooo01>dec
;* UnUsed jmp        BJMP WFN89100                             ; Goto: VAL := <ooooo:ooo0%>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 89004: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
;* Alt ?? mov        SVAL [lbp+tmm_LoopCntr] , 004             ; Gives VAL := <ooooo:04321>dec
;* IsNext jmp        BJMP WFN89100                             ; Goto: VAL := <ooooo:0%%%%>dec
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN89005: mov        SVAL [lbp+tmm_ReadValu] , 000             ; Init: VAL := <ooooo:oooo0>dec
          mov        SVAL [lbp+tmm_LoopCntr] , 005             ; Gives VAL := <oooo0:54321>dec
;* IsNext jmp        BJMP WFN89100                             ; Goto: VAL := <oooo0:%%%%%>dec
;***************************************************************************************************************
WFN89100: mov        sax, '8910'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  890100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN89101: mov        sax, 0010                                 ; ItWas VAL := <ooooo:o0432>dec
          mul        SVAL [lbp+tmm_ReadValu]                   ; Mults SAX := <ooooo:0432o>dec
          mov        SVAL [lbp+tmm_ReadValu] , sax             ; Gives VAL := <ooooo:04321>dec
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN89102: call            M1RMChar                             ; call: SAX := ReadMemo Character( LBP,LBX )
          jg         BJMP WFN89104                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFN89103                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN89103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN89103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00890103                             ; ErrorLabel: "WFN89103
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN89104: mov        SVAL [lbp+tmm_NextChar] , sax             ; store SAX => ReadNext Character
;*==============================================================================================================
WFN89110: mov        sax, '8911'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  890110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN89111: mov        sax, [lbp+tmm_NextChar]                   ; fetch SAX := Read Next Character  UTF32LE
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN89112: cmp        sax, BC 0039h                             ; test: SAX == '9' 39h  ?
          ja         BJMP WFN89113                             ; GT -> Error: CharacterIsWrong
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          sub        sax, BC 0030h                             ; subi: SAX == '0','1','2','3','4','5',..,'8','9'
          jge        BJMP WFN89114                             ; GE -> SAX := 000,001,002,003,004,005,..,008,009
;* IsNext jmp        BJMP WFN89113                             ; LT -> Error: CharacterIsWrong
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN89113: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00890113                             ; ErrorLabel: "WFN89113"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFName90                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* NoNeed and        sax, BCST 0Fh                             ; Andi: SAX := <oo:oo:oo:o1>hex
WFN89114: add        sax, [lbp+tmm_ReadValu]                   ; ItWas VAL == <oo:o0:43:2o>hex
WFN89115: mov        SVAL [lbp+tmm_ReadValu] , sax             ; Store VAL := <oo:o0:43:21>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN89116: dec        SVAL [lbp+tmm_LoopCntr]                   ; decrementing ReadValue
;* UnUsed mov        sax, [lbp+tmm_LoopCntr]                   ; fetch SAX := LoopCount
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         LJMP WFN89100                             ; GT -> Cycles ReadLoop
          je         BJMP WFN89010                             ; EQ -> Leaves ReadLoop
;* IsNext jmp        BJMP WFN89117                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN89117: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00890117                             ; ErrorLabel: "WFN89117"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN89010: mov        sax, '8901'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  890010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN89011: mov        sax, [lbp+tmm_ReadValu]                   ; SAX:= 00..5..16;17..28;29..40;41..52;53..64;65.
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN89012: sub        sax, BCST 005                             ; SAX:= -5..0..11;12..23;24..35;36..47;48..59;60.
          jge        BJMP WFN89013                             ; GE ->    |0..11;12..23;24..35;36..47;48..59;60.
          xor        sax, sax                                  ; LT -> 000|   MinimumValue
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN89013: mov        scx, 00000012                             ; SCX:= 12     DivisorValue
          xor        sdx, sdx                                  ; SAX:= 00..0..11;12..23;24..35;36..47;48..59;60.
          div        scx                                       ; SAX:= 00..0..00;01..01;02..02;03..03;04..04;05.
          mul        scx                                       ; SAX:= 00..0..00;12..12;24..24;36..36;48..48;60.
          add        sax, BCST 016                             ; LAX:= 16..G..16;28..28;40..40;52..52;64..64;76.
;*--------------------------------------------------------------------------------------------------------------
;* 89014: mov        LVAL [lbp+iol_FmComRgt] , lax             ; store LAX => FmtComentRight
;* Remove lea        ldx, [lax+000-00000001]                   ; fetch LDX := FmtComentRight-1
;* Remove mov        LVAL [lbp+iol_FmComRM1] , ldx             ; store LDX => FmtComentRgtMin1
;*--------------------------------------------------------------------------------------------------------------
WFN89014: mov        LVAL [lbp+iol_FmComRgt] , lax             ; store LAX => FmtComentRight
          lea        ldx, [lax+000-00000001]                   ; fetch LDX := FmtComentRight-1
          mov        LVAL [lbp+iol_FmComRM1] , ldx             ; store LDX => FmtComentRgtMin1
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, BCST 016                             ; test: LAX >= 00000016 ?
          jl         BJMP WFN89015                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lax, 00010004                             ; test: LAX =< 00010004 ?
          jbe        BJMP WFN89016                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN89015                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN89015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00890015                             ; ErrorLabel: "WFN89015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN89016: cmp        ldx, BCST 015                             ; test: LDX >= 00000015 ?
          jl         BJMP WFN89017                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        ldx, 00010003                             ; test: LDX =< 00010003 ?
          jbe        LJMP WFN11000                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN89017                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN89017: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00890017                             ; ErrorLabel: "WFN89017"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;###############################################################################################################
;# 9X000: Writes     Special Datas                             ;                                               #
;###############################################################################################################
WFN90000: mov        sax, '9000'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  900000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN9000@: mov        sax,[lbp+iol_FmSelect]                    ; fetch SAX := FormatSelections
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN90001: cmp        sax, BCST 091                             ; test: SAX == 90,91;GT ?
          jb         BJMP WFN9@000                             ; 90 -> Writes FileName
          je         LJMP WFN91000                             ; 91 -> Writes ProductID
;* IsNext jmp        BJMP WFN90003                             ; GT -> Search Continues
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN90003: cmp        sax, BCST 093                             ; test: SAX == 092,093;GT ?
          jb         LJMP WFN92000                             ; 92 -> WrDate 31. Dec 2014
          je         LJMP WFN93000                             ; 93 -> WrTime 23:59:59
;* IsNext jmp        BJMP WFN90005                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN90005: cmp        sax, BCST 095                             ; test: SAX == 94,95;GT ?
          jb         LJMP WFN94000                             ; 94 -> WrTime 23:59:59:999
          je         LJMP WFN95000                             ; 95 -> Writes ?
;* IsNext jmp        BJMP WFN90007                             ; GT -> Search Continues
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN90007: cmp        sax, BCST 097                             ; test: SAX == 96,97;GT ?
          jb         LJMP WFN96000                             ; 96 -> Writes ?
          je         LJMP WFN97000                             ; 97 -> Writes ?
;* IsNext jmp        BJMP WFN90009                             ; GT -> Search Continues
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN90009: cmp        sax, BCST 099                             ; test: SAX == 98,99;GT ?
          jb         LJMP WFN98000                             ; 98 -> Writes ?
          je         LJMP WFN99000                             ; 99 -> Writes Testings
;* IsNext jmp        BJMP WFN9000E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN9000E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00900009                             ; ErrorLabel: "WFN90009"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 9@000: Write      File Name                                 ; Datas2016_10_06.txt    (Local Variables !)    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN9@000: mov        sax, '9@00'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN9@00@: lea        ldi, [ljp+dat_SyWFName]                   ; fetch LDI := SrceStrg Pointer
          xor        lax,  lax                                 ; clear LAX := 00000000
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN9@001: mov        bax, [ldi+00]                             ; fetch LAX := Name[01] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jl         BJMP WFN9@009                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@002                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN9@002: mov        bax, [ldi+01]                             ; fetch LAX := Name[02] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jl         BJMP WFN9@009                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@003                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN9@003: mov        bax, [ldi+02]                             ; fetch LAX := Name[03] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jl         BJMP WFN9@009                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@004                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN9@004: mov        bax, [ldi+03]                             ; fetch LAX := Name[04] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jl         BJMP WFN9@009                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@005                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN9@005: mov        bax, [ldi+04]                             ; fetch LAX := Name[05] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jl         BJMP WFN9@009                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@006                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN9@006: mov        bax, [ldi+05]                             ; fetch LAX := Name[06] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jl         BJMP WFN9@009                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@007                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN9@007: mov        bax, [ldi+06]                             ; fetch LAX := Name[07] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jl         BJMP WFN9@009                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@008                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN9@008: mov        bax, [ldi+07]                             ; fetch LAX := Name[08] Character
          call            M1WFChar                             ; call: My own WritFile Character(LAX,..,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN9@009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80900009                             ; ErrorLabel: "WFN9@009"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN9@010: mov        sax, '9@01'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 9@01B: mov        lax, [lbp+iol_L1FILNUM]                   ; fetch LAX := Bval size FILNUM offset
;* 9@01S: mov        ldx, [lbp+iol_L4FILNUM]                   ; fetch LDX := Sval size FILNUM offset
;* 9@01L: mov        lcx, [lbp+iol_L9FILNUM]                   ; fetch LCX := Long size FILNUM offset
;***************************************************************************************************************
WFN9@100: mov        sax, '9@10'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0100
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 9@101: jmp        LJMP WFNameGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 9@000: Write      File Name                                 ; Datas2016_10_06.txt                           %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;FN9@000: mov        sax, '9@00'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0000
;* ?      mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;* ?      call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 9@001: xor        ldx,  ldx                                 ; clear LDX := 00000000
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      lea        lax, [ldx+000+00000004]                   ; fetch LAX := 00000004
;* ?      mov        LVAL [lbp+tmm_WmNulSiz] , lax             ; store LAX => DestStrg  Null Byte  Size
;* UnUsed mov        LVAL [lbp+tmm_CharCntr] , ldx             ; store LDX => CopyMemo  Character  Counter
;*--------------------------------------------------------------------------------------------------------------
;* 9@002: lea        lcx, [ljp+dat_SyWFName]                   ; fetch LCX := SrceStrg  Memory     Pointer
;* ?      mov        PNTR [lbp+tmm_RmStrPtr] , lcx             ; store LCX => ReadMemo  String     Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      lea        lax, [ldx+000+00000032]                   ; fetch LAX := SrceStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_RmBytSiz] , lax             ; store LAX => ReadMemo  Full       BytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := SrceStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_RmBegCnt] , ldx             ; store LDX => ReadMemo  Begin      Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      lea        lax, [ldx+000+00000032]                   ; fetch LAX := SrceStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_RmEndCnt] , lax             ; store LAX => ReadMemo  Ends       Counter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        LVAL [lbp+tmm_RmStpOff] , ldx             ; store LDX => ReadMemo  Stop       Offset
;* ?      mov        LVAL [lbp+tmm_RmStpCnt] , ldx             ; store LDX => ReadMemo  Stop       Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        LVAL [lbp+tmm_RmChrOff] , ldx             ; store LDX => ReadMemo  Character  Offset
;* ?      mov        LVAL [lbp+tmm_RmChrCnt] , ldx             ; store LDX => ReadMemo  Character  Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        LVAL [lbp+tmm_RmLinCnt] , ldx             ; store LDX => ReadMemo  Line       Counter
;* ?      mov        LVAL [lbp+tmm_RmColCnt] , ldx             ; store LDX => ReadMemo  Column     Counter
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@003: mov        sax, 0001                                 ; fetch SAX := 00000001  Latin1     $u#####
;* ?      mov        SVAL [lbp+tmm_RmCtrUni] , sax             ; store SAX => ReadMemo  Control    UniCode
;* ?      mov        SVAL [lbp+tmm_RmChrCod] , sax             ; store SAX => ReadMemo  Character  Codings
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        SVAL [lbp+tmm_ReadChar] , 000             ; store 000 => ReadMemo  Character  [Last!]
;*--------------------------------------------------------------------------------------------------------------
;* 9@004: lea        ldi, [lsi+wfn_SYS1TIME]                   ; fetch LDI := DestStrg  Memory     Pointer
;* ?      mov        PNTR [lbp+tmm_WmStrPtr] , ldi             ; store LDI => WritMemo  String     Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      lea        lax, [ldx+000+00000016]                   ; fetch LAX := DestStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_WmBytSiz] , lax             ; store LAX => WritMemo  Full       BytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      sub        lax, [lbp+tmm_WmNulSiz]                   ; subr: LAX -= DestStrg  Null       bytSize
;* ?      mov        LVAL [lbp+tmm_WmFreSiz] , lax             ; store LAX => WritMemo  Free       bytSize
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := DestStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_WmBegCnt] , ldx             ; store LDX => WritMemo  Begin      Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      lea        lax, [ldx+000+00000016]                   ; fetch LAX := DestStrg  Memory     bytSize
;* ?      mov        LVAL [lbp+tmm_WmEndCnt] , lax             ; store LAX => WritMemo  Ends       Counter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        LVAL [lbp+tmm_WmStpOff] , ldx             ; store LDX => WritMemo  Stop       Offset
;* ?      mov        LVAL [lbp+tmm_WmStpCnt] , ldx             ; store LDX => WritMemo  Stop       Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        LVAL [lbp+tmm_WmChrOff] , ldx             ; store LDX => WritMemo  Character  Offset
;* ?      mov        LVAL [lbp+tmm_WmChrCnt] , ldx             ; store LDX => WritMemo  Character  Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        LVAL [lbp+tmm_WmLinCnt] , ldx             ; store LDX => WritMemo  Line       Counter
;* ?      mov        LVAL [lbp+tmm_WmColCnt] , ldx             ; store LDX => WritMemo  Column     Counter
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@005: mov        sax, 0001                                 ; fetch SAX := 00000001  Latin1     NonBoms
;* ?      mov        SVAL [lbp+tmm_WmCtrUni] , sax             ; store SAX => WritMemo  Control    UniCode
;* ?      mov        SVAL [lbp+tmm_WmChrCod] , sax             ; store SAX => WritMemo  Character  Codings
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        SVAL [lbp+tmm_WmNewLin] , 001             ; store 001 => WritMemo  NewLine    Selector
;*==============================================================================================================
;FN9@010: mov        sax, '9@01'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0010
;?        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;?        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 9@01B: mov        lax, [lbp+iol_L1FILNUM]                   ; fetch LAX := Bval size FILNUM offset
;* 9@01S: mov        ldx, [lbp+iol_L4FILNUM]                   ; fetch LDX := Sval size FILNUM offset
;* 9@01L: mov        lcx, [lbp+iol_L9FILNUM]                   ; fetch LCX := Long size FILNUM offset
;***************************************************************************************************************
;FN9@100: mov        sax, '9@10'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0100
;?        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;?        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 9@101: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadMemo  Character  (Old)
;* ?      mov        SVAL [lbp+tmm_LastChar] , sax             ; store SAX => ReadLast  Character  (New)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        lax, [lbp+tmm_RmChrCnt]                   ; fetch LAX := ReadMemo  Character  Counter
;* ?      mov        LVAL [lbp+tmm_RmStpCnt] , lax             ; store LAX => ReadMemo  Stopped    Counter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        ldx, [lbp+tmm_RmChrOff]                   ; fetch LDX := ReadMemo  Character  Offset
;* ?      mov        LVAL [lbp+tmm_RmStpOff] , ldx             ; store LDX => ReadMemo  Stopped    Offset
;*--------------------------------------------------------------------------------------------------------------
;* Above! mov        lax, [lbp+tmm_RmChrCnt]                   ; fetch LAX := ReadMemo  Character  Counter
;* 9@102: cmp        lax, [lbp+tmm_RmEndCnt]                   ; test: LAX == ReadMemo  End Input  Counter  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      jb         BJMP WFN9@104                             ; LT -> Contis Nam2Cons
;* ?      je         LJMP WFN9@020                             ; EQ -> Leaves CopyLoop
;* IsNext jmp        BJMP WFN9@103                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00900103                             ; ErrorLabel: "WFN9@103"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* Above! mov        ldx, [lbp+tmm_RmChrOff]                   ; fetch LDX := ReadMemo  Character  Offsets
;* 9@104: cmp        ldx, [lbp+tmm_RmBytSiz]                   ; test: LDX == ReadMemo  Full Byte  Size  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      jb         BJMP WFN9@106                             ; LT -> Contis Nam2Cons
;* ?      je         LJMP WFN9@020                             ; EQ -> Leaves CopyLoop
;* IsNext jmp        BJMP WFN9@105                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@105: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00900105                             ; ErrorLabel: "WFN9@105"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* 9@106: xor        lax,  lax                                 ; clear LAX := ReadMemo  Character  <oo:oo:oo:oo>
;* ?      mov        lcx, [lbp+tmm_RmStrPtr]                   ; fetch LCX := ReadMemo  Character  StringPointer
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 9@107: mov        bax, [lcx+ldx+00000000]                   ; fetch BAX := ReadMemo  Character  <oo:oo:oo:XX>
;* BigEnd bswap      sax                                       ; bswap SAX := ReadMemo  Character  Little Endian
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 9@10A: add        ldx, BCST 001                             ; addi: LDX := ReadMemo  Character  Offsets + 001
;* ?      mov        LVAL [lbp+tmm_RmChrOff] , ldx             ; store LDX => ReadMemo  Character  Offsets   U08
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@10B: inc        LVAL [lbp+tmm_RmChrCnt]                   ; incrementing ReadMemo  Character  Counter
;* 9@10C: inc        LVAL [lbp+tmm_RmColCnt]                   ; incrementing ReadMemo  ColumnPos  Counter
;*--------------------------------------------------------------------------------------------------------------
;* 9@108: mov        SVAL [lbp+tmm_ReadChar] , sax             ; store SAX => ReadMemo  Character  Results
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      cmp        lax, 00000FFh                             ; test: LAX =< 00000FFh ?
;* ?      jbe        BJMP WFN9@110                             ; LE -> Pretty Latin1BY
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      cmp        lax, 000D7FFh                             ; test: LAX =< 000D7FFh ?
;* ?      jbe        BJMP WFN9@110                             ; LE -> Pretty UniCod16
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      cmp        lax, 000DFFFh                             ; test: LAX =< 000DFFFh ?
;* ?      jbe        BJMP WFN9@109                             ; LE -> Error: Surrogate
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      cmp        lax, 000FFFFh                             ; test: LAX =< 000FFFFh ?
;* ?      jbe        BJMP WFN9@110                             ; LE -> Pretty UniCod16
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      cmp        lax, 010FFFFh                             ; test: LAX =< 010FFFFh ?
;* ?      jbe        BJMP WFN9@110                             ; LE -> Pretty UniCod32
;* IsNext jmp        BJMP WFN9@109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 80900109                             ; ErrorLabel: "WFN9@109"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN9@110: mov        sax, '9@11'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0110
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 9@111: mov        sax, [lbp+tmm_ReadChar]                   ; fetch SAX := ReadMemo  Character  UTF32LE
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@112: cmp        sax, BC 0000h                             ; test: SAX == NUL 000h ?  ZeroChar ?
;* ?      je         BJMP WFN9@020                             ; EQ -> Leaves Nam2Cons    |&z|
;* IsNext jmp        BJMP WFN9@113                             ; NE -> Contis CopyLoop
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 9@113: cmp        sax, BC 0040h                             ; store SAX == '@' 040h ?  StopChar ?
;* ?      je         BJMP WFN9@020                             ; EQ -> Leaves Nam2Cons    |@|
;* IsNext jmp        BJMP WFN9@114                             ; NE -> Contis CopyLoop
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 9@114: cmp        sax, [lbp+tmm_RmStChar]                   ; test: SAX == '@' 040h ?  StopChar
;* Used ? je         LJMP WFN9@020                             ; EQ -> Leaves Nam2Cons    |@|
;* IsNext jmp        BJMP WFN9@118                             ; NE -> Contis CopyLoop
;*--------------------------------------------------------------------------------------------------------------
;* 9@117: mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04B1Text-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
;* 9@11X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;* ?      mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;* ?      call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@11Y: mov        sdx, 0000236h                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04B1Text-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, PNTR[lbp+tmm_ExStrPtr]               ; fetch LAX := Expon Strg Pnter
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04B1Text-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 2020C1Eh                             ; 00032-LAX-Na-[NEBT:MSiz:LFun]-Ebt-uL16HxDump-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
;* 9@118: call            M1WFChar                             ; call: My own WritFileCharacter(SAX,LSI,LBP,LBX)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      jg         LJMP WFN9@100                             ; GT -> Cycles NamePart
;* ?      je         LJMP WFNameEQ                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN9@119                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@119: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00900119                             ; ErrorLabel: "WFN9@119
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN9@020: mov        sax, '9@02'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  9@0020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 9@021: call            M1WFColo                             ; call: My own WritFile  Colon(LBP,LBX)
;* ?      jl         BJMP WFN9@029                             ; LT -> Error: Mystical
;* ?      je         LJMP WFNameEQ                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN9@022                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 9@022: call            M1WFBlnk                             ; call: My own WritFile  Blank(LBP,LBX)
;* ?      jl         BJMP WFN9@029                             ; LT -> Error: Mystical
;* ?      je         LJMP WFNameEQ                             ; EQ -> Ending Cnt|Size
;* IsNext jmp        BJMP WFN9@023                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 9@023: mov        sax, 0000021h                             ; fetch SAX := ' ' 020h
;* Debugs mov        sax, 0000021h                             ; fetch SAX := '!' 021h
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '>' 03Eh  Arrows
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 9@024: call            M1WFChar                             ; call: My own WritFileCharacter(LAX,LSI,LBP,LBX)
;* ?      jg         LJMP WFN11000                             ; GT -> Pretty Successi
;* ?      je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN9@025                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9@025: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00900025                             ; ErrorLabel: "WFN9@025"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 91000: Write      Product Identification                    ; |2014000123|                                  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN91000: mov        sax, '9100'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  910000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 91001: mov        sax, [lbp+iol_WrValAtt]                   ; fetch SAX := WrtValuAttribute
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax,          01110101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          01110101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 91002: call       MyValAtt                                  ; call: My own SetValue Attribute(SAX,LBP,LBX)
;*--------------------------------------------------------------------------------------------------------------
WFN91006: xor        ldx, ldx                                  ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0000  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000012]                   ; fetch LAX := -012  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000012]                   ; fetch LAX := +012  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN91002: mov        sax, [ljp+dat_ProducID]                   ; fetch SAX := Products_ID         2014000123
;* UnUsed mov        ldx, [lbp+iol_HFmBLeng]                   ; fetch LDX := IValBase Wished
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN91008: call            M1WFVInt                             ; call: My own WritFile Value Int(LAX,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN91009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN91009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00910009                             ; ErrorLabel: "WFN91009"
          call            E2WFName                             ; ErrorMessag "MyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;* 91001: xor        ldx,  ldx                                 ; fetch LDX := 00000 Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 00|10 Block Leng    Wished
;* ?      mov        LVAL [lsp+wfn_ShArg003] , ldx             ; store LAX => ShadowArgument03  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      lea        lax, [ldx+000-00000012]                   ; fetch LAX := -0012 FigurCount    Minimal +|-
;* ?      mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      lea        lax, [ldx+000+00000012]                   ; fetch LAX := +0012 StrgLength    Minimal L|R
;* ?      mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A1Format )
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 91002: mov        sax, [ljp+dat_ProducID]                   ; fetch SAX := Product_ID  2014000123
;* ?      mov        sax, 12345678                             ; fetch SAX := 12345678 Value
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      call            M1WFVInt                             ; call: My own WritFile Value Int( LAX..LBP,LBX )
;* ?      jg         LJMP WFN11000                             ; GT -> Pretty Successi
;* ?      je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN91003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 91003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00910003                             ; ErrorLabel: "WFN91003"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 92000: Write           Date                                 ; 31. Jan 2014                                  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% wfn_SYS1TIME  equ  wfn_FIX+0000+000    ; STRC: SystemTime1  Memory Space   [00000 00000 00000 00000 00000]  %
;% ;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  %
;% wfn_S1TwYear  equ  wfn_SYS1TIME+00     ; WORD: SystemTime1  wYear          [+0000 +0000 +0000 +0000 +0000]  %
;% wfn_S1TMonth  equ  wfn_S1TwYear+02     ; WORD: SystemTime1  wMonth         [+0002 +0002 +0002 +0002 +0002]  %
;% wfn_S1DyOfWk  equ  wfn_S1TMonth+02     ; WORD: SystemTime1  wDayOfWeek     [+0004 +0004 +0004 +0004 +0004]  %
;% wfn_S1DyOfMo  equ  wfn_S1DyOfWk+02     ; WORD: SystemTime1  wDayOfMonth    [+0006 +0006 +0006 +0006 +0006]  %
;% ;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -  %
;% wfn_S1TwHour  equ  wfn_S1DyOfMo+02     ; WORD: SystemTime1  wHour          [+0008 +0008 +0008 +0008 +0008]  %
;% wfn_S1Minute  equ  wfn_S1TwHour+02     ; WORD: SystemTime1  wMinute        [+0010 +0010 +0010 +0010 +0010]  %
;% wfn_S1Second  equ  wfn_S1Minute+02     ; WORD: SystemTime1  wSecond        [+0012 +0012 +0012 +0012 +0012]  %
;% wfn_S1MilSec  equ  wfn_S1Second+02     ; WORD: SystemTime1  wMilliSecond   [+0014 +0014 +0014 +0014 +0014]  %
;% ;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  %
;% wfn_S1TimEnd  equ  wfn_S1MilSec+02     ; WORD: SystemTime   wMilliSecond   [+0016 +0016 +0016 +0016 +0016]  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN92000: mov        sax, '9200'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  920000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*==============================================================================================================
;* 9200B: mov        lax, [lbp+000+iol_L1FILNUM]               ; fetch LAX := BvalSize FILNUM offset
;* 9200W: mov        ldx, [lbp+000+iol_L2FILNUM]               ; fetch LDX := WvalSize FILNUM offset
;* 9200S: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := SvalSize FILNUM offset
;* 9200D: mov        ldx, [lbp+000+iol_L8FILNUM]               ; fetch LDX := DvalSize FILNUM offset
;* 9200Q: mov        ldx, [lbp+000+iol_L6FILNUM]               ; fetch LDX := QvalSize FILNUM offset
;* 9200L: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := LongSize FILNUM offset
;*==============================================================================================================
WFN92010: mov        sax, '9201'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  920010
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN92011: lea        lax, [lsi+wfn_SYS1TIME]                   ; fetch LAX := LPSYS lpSystemTime 
WFN92012: mov        PNTR [lsi+wfn_PnSysTim] , lax             ; store LAX => Pointer.SystemTime
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN92014: cmp        lax, 0010000h                             ; test: LAX >= 0010000h ?
          jae        BJMP WFN92100                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN92015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00920015                             ; ErrorLabel: "WFN92015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* void   WINAPI     GetLocalTime(                            // sysinfoapi.h Kernel32.lib     Kernel32.dll    *
;*                   LPSYSTEMTIME   lpSystemTime );           // _PnSysTim    Pointer to SYSTEMTIME structure  *
;*-------------------------------------------------------------------------------------------------------------*
;* void   WINAPI     GetSystemTime(                           // sysinfoapi.h Kernel32.lib     Kernel32.dll    *
;*                   LPSYSTEMTIME   lpSystemTime );           // _PnSysTim    Pointer to SYSTEMTIME structure  *
;***************************************************************************************************************
WFN92100: mov        sax, '9210'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  921000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN92101: mov        sax, [lbx+gmm_X86_ARCH]                   ; fetch SAX := 0002,0003|0004,0005,0006,0007;0008
;* 92102: mov        sax, 0004                                 ; fetch SAX := IA32,AM64|XV32,XV64,V128,V256;V512
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92103: cmp        sax, BCST 003                             ; test: SAX == 02,03;04 |GT ???             (CPU)
;* 92104: jmp        LJMP WFNameGT                             ; 01 -> Ignore Architecture 016 Version 016 (X16)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jb         BJMP WFN92200                             ; 02 -> Proces Architecture 032 Version 032 (X32)
          je         BJMP WFN92300                             ; 03 -> Proces Architecture 064 Version 064 (X64)
;* IsNext jmp        BJMP WFN92105                             ; GT -> May be Architecture 128 Version ### (128)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 92105: cmp        sax, BCST 005                             ; test: SAX == 04,05;06 |GT ???             <X86>
;* Below! jb         BJMP WFN92400                             ; 04 -> Proces Architecture 128 Version 032 (128)
;* Below! je         BJMP WFN92400                             ; 05 -> Proces Architecture 128 Version 064 (128)
;* IsNext jmp        BJMP WFN92107                             ; GT -> May be Architecture 128 Version ### (128)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN92107: cmp        sax, BCST 007                             ; test: SAX == 06,07;08 |GT ???             <X86>
;* Below! jb         BJMP WFN92400                             ; 06 -> Proces Architecture 128 Version 128 (128)
          jbe        BJMP WFN92400                             ; 07 -> Proces Architecture 128 Version 256 (128)
;* Future jmp        BJMP WFN92800                             ; 08 -> Proces Architecture 128 Version 512 (128)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00921009                             ; ErrorLabel: "WFN92109"
          call            E2WFName                             ; ErrorMessag "SyWFName"
WFN9210A: jmp        LJMP WFNameGT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 92200: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 032 Version 064 (X64)      *
;***************************************************************************************************************
WFN92200: mov        sax, '9220'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  922000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 92202: mov        ldx,  lsp                                 ; fetch LDX := Retaining   wfn_    Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92201: push       HNDL [lsi+wfn_PnSysTim]                   ; lpSystemTime = WrtFilNam_Pointer.SystemTime
;*==============================================================================================================
WFN92210: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 92211: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN92212: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN92900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN92213                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 92213: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;* ?      mov        scx, 00922013                             ; ErrorLabel: "WFN92213"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 92300: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 064 Version 064 (X64)      *
;***************************************************************************************************************
WFN92300: mov        sax, '9230'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  923000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN92301: mov        lcx, [lsi+wfn_PnSysTim]                   ; fetch LCX := WrtFilNam_Pointer     SystemTime
;* NoNeed mov        PNTR [lsp+wfn_ShArg001] , lcx             ; store LCX => ShadowArgument001   lpSystemTime
;*==============================================================================================================
WFN92310: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 92311: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN92312: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN92900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN92313                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 92313: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;*        mov        scx, 00923013                             ; ErrorLabel: "WFN92313"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 92400: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 128 Version 032,064,128,.. *
;***************************************************************************************************************
WFN92400: mov        sax, '9240'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  924000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN92401: mov        lax, [lsi+wfn_PnSysTim]                   ; fetch LAX := WrtFilNam_Pointer     SystemTime
          mov        PNTR [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument001   lpSystemTime
;*==============================================================================================================
WFN92410: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 92411: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN92412: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN92900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN92413                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 92413: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;*        mov        scx, 00924013                             ; ErrorLabel: "WFN92413"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 92900: FINISH     GetLocalTime(lpSystemTime);               ; Intel Architecture ### Version 032,064,128,.. *
;***************************************************************************************************************
WFN92900: mov        sax, '9290'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  929000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN92901: mov        lax, [lsi+wfn_PnSysTim]                   ; fetch LAX := Pointer2.SystemTime
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN92902: cmp        lax, 0010000h                             ; test: LAX >= 0010000h ?
          jae        BJMP WFN92910                             ; GE -> Pretty Successi
;* NoWrit jae        BJMP WFN92920                             ; GE -> Ignore Writings
;* IsNext jmp        BJMP WFN92903                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92903: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00929003                             ; ErrorLabel: "WFN92903"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN92910: mov        sax, '9291'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  929010
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 92911: mov        lcx, [lbp+iol_L9FILNUM]                   ; fetch LCX := Long size FILNUM offset
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92912: mov        sax, 'PnST'                               ; fetch SAX := Pnter Syst Times
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+wfn_PnSysTim]               ; fetch LAX := Pnter Syst Times
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 92913: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0000236h                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04B1Text-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFN9291X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9291Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFN92920: mov        sax, '9292'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  929020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN92921: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004], ldx              ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000002]                   ; fetch LAX := -002  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003], lax              ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000002]                   ; fetch LAX := +002  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002], lax              ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN92922: xor        lax,  lax                                 ; clear LAX := <o|oooo:oooo|oooo:oooo|oooo:oooo>h
          mov        wax, [lsp+wfn_S1DyOfMo]                   ; fetch SAX := DayOfMonth = 0;01,02,03,04...30,31
;* Debugs mov        sax, 12345678                             ; fetch SAX := 12345678 Value
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         BJMP WFN92924                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN92923                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92923: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00929023                             ; ErrorLabel: "WFN92923"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN92924: call            M1WFPoin                             ; call: WPoint |31.*********|??
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
          jl         BJMP WFN92925                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFBlnk                             ; call: WBlank |31. ********|??
          jg         BJMP WFN92930                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN92925                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92925: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00929025                             ; ErrorLabel: "WFN92925"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN92930: mov        sax, '9293'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  929030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN9293@: xor        lax,  lax                                 ; clear LAX := <o|oooo:oooo|oooo:oooo|oooo:oooo>h
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92931: mov        wax, [lsi+wfn_S1TMonth]                   ; fetch LAX := 001,002,003,004,005,..,010,011,012
;* NoNeed lea        ldx, [lax*004-00000004]                   ; fetch LDX := 000,004,008,012,016,..,036,040,044
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN92932: cmp        lax, BCST 000                             ; test: LAX == 00000000 ?
          jle        BJMP WFN92933                             ; LE -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lax, BCST 012                             ; test: LAX =< 00000012 ?
          jbe        BJMP WFN92934                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFN92933                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92933: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00929033                             ; ErrorLabel: "WFN92933"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN92934: lea        lcx, [ljp+dat_DateText]                   ; fetch LCX := 000,004,008,012,016,..,036,040,044
          lea        lcx, [lcx+lax*04-00004]                   ; fetch LCX := Jan,Feb,Mar,Apr,May,..,Oct,Nov,Dec
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        bax, [lcx+00]                             ; fetch SAX :=     'J'
          call            M1WFChar                             ; call: WFChar |31. J*******|??
          jl         BJMP WFN92935                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        bax, [lcx+01]                             ; fetch SAX :=      'a'
          call            M1WFChar                             ; call: WFChar |31. Ja******|??
          jl         BJMP WFN92935                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        bax, [lcx+02]                             ; fetch SAX :=       'n'
          call            M1WFChar                             ; call: WFChar |31. Jan*****|??
          jg         BJMP WFN92936                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN92935                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92935: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00929035                             ; ErrorLabel: "WFN92935"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN92936: call            M1WFBlnk                             ; call: WBlank |31. Jan ****|??
          jg         BJMP WFN92940                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN92937                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92937: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00929037                             ; ErrorLabel: "WFN92937"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN92940: mov        sax, '9294'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  929040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN92941: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000004]                   ; fetch LAX := -004  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000004]                   ; fetch LAX := +004  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN92942: mov        wax, [lsi+wfn_S1TwYear]                   ; fetch SAX := STimYear = 2014 ... 9999
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN92943                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN92943: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00929043                             ; ErrorLabel: "WFN92033"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 93000: Write      Time 3 Parted                             ; 23:59:59|                                     %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% wfn_SYS1TIME  equ  wfn_FIX+0000+000    ; STRC: SystemTime1  Memory Space   [00000 00000 00000 00000 00000]  %
;% ;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  %
;% wfn_S1TwYear  equ  wfn_SYS1TIME+00     ; WORD: SystemTime1  wYear          [+0000 +0000 +0000 +0000 +0000]  %
;% wfn_S1TMonth  equ  wfn_S1TwYear+02     ; WORD: SystemTime1  wMonth         [+0002 +0002 +0002 +0002 +0002]  %
;% wfn_S1DyOfWk  equ  wfn_S1TMonth+02     ; WORD: SystemTime1  wDayOfWeek     [+0004 +0004 +0004 +0004 +0004]  %
;% wfn_S1DyOfMo  equ  wfn_S1DyOfWk+02     ; WORD: SystemTime1  wDayOfMonth    [+0006 +0006 +0006 +0006 +0006]  %
;% ;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -  %
;% wfn_S1TwHour  equ  wfn_S1DyOfMo+02     ; WORD: SystemTime1  wHour          [+0008 +0008 +0008 +0008 +0008]  %
;% wfn_S1Minute  equ  wfn_S1TwHour+02     ; WORD: SystemTime1  wMinute        [+0010 +0010 +0010 +0010 +0010]  %
;% wfn_S1Second  equ  wfn_S1Minute+02     ; WORD: SystemTime1  wSecond        [+0012 +0012 +0012 +0012 +0012]  %
;% wfn_S1MilSec  equ  wfn_S1Second+02     ; WORD: SystemTime1  wMilliSecond   [+0014 +0014 +0014 +0014 +0014]  %
;% ;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  %
;% wfn_S1TimEnd  equ  wfn_S1MilSec+02     ; WORD: SystemTime   wMilliSecond   [+0016 +0016 +0016 +0016 +0016]  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN93000: mov        sax, '9300'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  930000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*==============================================================================================================
;* 9300B: mov        lax, [lbp+000+iol_L1FILNUM]               ; fetch LAX := BvalSize FILNUM offset
;* 9300W: mov        ldx, [lbp+000+iol_L2FILNUM]               ; fetch LDX := WvalSize FILNUM offset
;* 9300S: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := SvalSize FILNUM offset
;* 9300D: mov        ldx, [lbp+000+iol_L8FILNUM]               ; fetch LDX := DvalSize FILNUM offset
;* 9300Q: mov        ldx, [lbp+000+iol_L6FILNUM]               ; fetch LDX := QvalSize FILNUM offset
;* 9300L: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := LongSize FILNUM offset
;*==============================================================================================================
WFN93010: mov        sax, '9301'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  930010
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93011: lea        lax, [lsi+wfn_SYS1TIME]                   ; fetch LAX := LPSYS lpSystemTime 
WFN93012: mov        PNTR [lsi+wfn_PnSysTim] , lax             ; store LAX => Pointer.SystemTime
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN93014: cmp        lax, 0010000h                             ; test: LAX >= 0010000h ?
          jae        BJMP WFN93100                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN93015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00930015                             ; ErrorLabel: "WFN93015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* void   WINAPI     GetLocalTime(                            // sysinfoapi.h Kernel32.lib     Kernel32.dll    *
;*                   LPSYSTEMTIME   lpSystemTime );           // _PnSysTim    Pointer to SYSTEMTIME structure  *
;*-------------------------------------------------------------------------------------------------------------*
;* void   WINAPI     GetSystemTime(                           // sysinfoapi.h Kernel32.lib     Kernel32.dll    *
;*                   LPSYSTEMTIME   lpSystemTime );           // _PnSysTim    Pointer to SYSTEMTIME structure  *
;***************************************************************************************************************
WFN93100: mov        sax, '9310'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  931000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93101: mov        sax, [lbx+gmm_X86_ARCH]                   ; fetch SAX := 0002,0003|0004,0005,0006,0007;0008
;* 93102: mov        sax, 0004                                 ; fetch SAX := IA32,AM64|XV32,XV64,V128,V256;V512
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93103: cmp        sax, BCST 003                             ; test: SAX == 02,03;04 |GT ???             (CPU)
;* 93104: jmp        LJMP WFNameGT                             ; 01 -> Ignore Architecture 016 Version 016 (X16)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jb         BJMP WFN93200                             ; 02 -> Proces Architecture 032 Version 032 (X32)
          je         BJMP WFN93300                             ; 03 -> Proces Architecture 064 Version 064 (X64)
;* IsNext jmp        BJMP WFN93105                             ; GT -> May be Architecture 128 Version ### (128)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 93105: cmp        sax, BCST 005                             ; test: SAX == 04,05;06 |GT ???             <X86>
;* Below! jb         BJMP WFN93400                             ; 04 -> Proces Architecture 128 Version 032 (128)
;* Below! je         BJMP WFN93400                             ; 05 -> Proces Architecture 128 Version 064 (128)
;* IsNext jmp        BJMP WFN93107                             ; GT -> May be Architecture 128 Version ### (128)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN93107: cmp        sax, BCST 007                             ; test: SAX == 06,07;08 |GT ???             <X86>
;* Below! jb         BJMP WFN93400                             ; 06 -> Proces Architecture 128 Version 128 (128)
          jbe        BJMP WFN93400                             ; 07 -> Proces Architecture 128 Version 256 (128)
;* Future jmp        BJMP WFN93800                             ; 08 -> Proces Architecture 128 Version 512 (128)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00931009                             ; ErrorLabel: "WFN93109"
          call            E2WFName                             ; ErrorMessag "SyWFName"
WFN9310A: jmp        LJMP WFNameGT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 93200: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 032 Version 064 (X64)      *
;***************************************************************************************************************
WFN93200: mov        sax, '9320'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  932000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 93202: mov        ldx,  lsp                                 ; fetch LDX := Retaining   wfn_    Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93201: push       HNDL [lsi+wfn_PnSysTim]                   ; lpSystemTime = WrtFilNam_Pointer.SystemTime
;*==============================================================================================================
WFN93210: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 93211: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN93212: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN93900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN93213                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 93213: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;* ?      mov        scx, 00932013                             ; ErrorLabel: "WFN93213"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 93300: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 064 Version 064 (X64)      *
;***************************************************************************************************************
WFN93300: mov        sax, '9330'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  933000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93301: mov        lcx, [lsi+wfn_PnSysTim]                   ; fetch LCX := WrtFilNam_Pointer     SystemTime
;* NoNeed mov        PNTR [lsp+wfn_ShArg001] , lcx             ; store LCX => ShadowArgument001   lpSystemTime
;*==============================================================================================================
WFN93310: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 93311: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN93312: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN93900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN93313                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 93313: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;*        mov        scx, 00933013                             ; ErrorLabel: "WFN93313"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 93400: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 128 Version 032,064,128,.. *
;***************************************************************************************************************
WFN93400: mov        sax, '9340'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  934000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93401: mov        lax, [lsi+wfn_PnSysTim]                   ; fetch LAX := WrtFilNam_Pointer     SystemTime
          mov        PNTR [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument001   lpSystemTime
;*==============================================================================================================
WFN93410: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 93411: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN93412: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN93900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN93413                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 93413: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;*        mov        scx, 00934013                             ; ErrorLabel: "WFN93413"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 93900: FINISH     GetLocalTime(lpSystemTime);               ; Intel Architecture ### Version 032,064,128,.. *
;***************************************************************************************************************
WFN93900: mov        sax, '9390'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  939000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93901: mov        lax, [lsi+wfn_PnSysTim]                   ; fetch LAX := Pointer2.SystemTime
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN93902: cmp        lax, 0010000h                             ; test: LAX >= 0010000h ?
          jae        BJMP WFN93910                             ; GE -> Pretty Successi
;* NoWrit jae        BJMP WFN93920                             ; GE -> Ignore Writings
;* IsNext jmp        BJMP WFN93903                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93903: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00939003                             ; ErrorLabel: "WFN93903"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN93910: mov        sax, '9391'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  939010
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 93911: mov        lcx, [lbp+iol_L9FILNUM]                   ; fetch LCX := Long size FILNUM offset
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93912: mov        sax, 'PnST'                               ; fetch SAX := Pnter Syst Times
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+wfn_PnSysTim]               ; fetch LAX := Pnter Syst Times
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 93913: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0000236h                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04B1Text-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFN9391X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9391Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFN93920: mov        sax, '9392'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  939020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93921: xor        ldx,  ldx                                 ; fetch LDX := 00000 Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 00|10 Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000002]                   ; fetch LAX := -0002 FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000002]                   ; fetch LAX := +0002 StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN93922: mov        wax, [lsp+wfn_S1TwHour]                   ; fetch SAX := Hour = 0,1,2,3,4,5,6...20,21,22,23
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         BJMP WFN93924                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN93923                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93923: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00939023                             ; ErrorLabel: "WFN93923"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN93924: call            M1WFColo                             ; call: WColon |23:*****|
          jg         BJMP WFN93930                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN93925                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93925: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00939025                             ; ErrorLabel: "WFN93925"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN93930: mov        sax, '9393'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  939030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93931: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000002]                   ; fetch LAX := -002  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000002]                   ; fetch LAX := +002  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN93932: mov        wax, [lsp+wfn_S1Minute]                   ; fetch SAX := Minute = 00,01,02,03,04...57,58,59
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         BJMP WFN93934                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN93933                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93933: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00939033                             ; ErrorLabel: "WFN93933"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN93934: call            M1WFColo                             ; call: WColon |23:59:**|
          jg         BJMP WFN93940                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN93935                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93935: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00939035                             ; ErrorLabel: "WFN93935"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN93940: mov        sax, '9394'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  939040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN93941: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000002]                   ; fetch LAX := -002  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000002]                   ; fetch LAX := +002  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN93942: mov        wax,[lsp+wfn_S1Second]                    ; fetch SAX := Second = 00,01,02,03,04...57,58,59
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN93943                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN93943: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00939043                             ; ErrorLabel: "WFN93943"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 94000: Write      Time 4 Parted                             ; 23:59:59:999                                  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% wfn_SYS1TIME  equ  wfn_FIX+0000+000    ; STRC: SystemTime1  Memory Space   [00000 00000 00000 00000 00000]  %
;% ;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  %
;% wfn_S1TwYear  equ  wfn_SYS1TIME+00     ; WORD: SystemTime1  wYear          [+0000 +0000 +0000 +0000 +0000]  %
;% wfn_S1TMonth  equ  wfn_S1TwYear+02     ; WORD: SystemTime1  wMonth         [+0002 +0002 +0002 +0002 +0002]  %
;% wfn_S1DyOfWk  equ  wfn_S1TMonth+02     ; WORD: SystemTime1  wDayOfWeek     [+0004 +0004 +0004 +0004 +0004]  %
;% wfn_S1DyOfMo  equ  wfn_S1DyOfWk+02     ; WORD: SystemTime1  wDayOfMonth    [+0006 +0006 +0006 +0006 +0006]  %
;% ;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -  %
;% wfn_S1TwHour  equ  wfn_S1DyOfMo+02     ; WORD: SystemTime1  wHour          [+0008 +0008 +0008 +0008 +0008]  %
;% wfn_S1Minute  equ  wfn_S1TwHour+02     ; WORD: SystemTime1  wMinute        [+0010 +0010 +0010 +0010 +0010]  %
;% wfn_S1Second  equ  wfn_S1Minute+02     ; WORD: SystemTime1  wSecond        [+0012 +0012 +0012 +0012 +0012]  %
;% wfn_S1MilSec  equ  wfn_S1Second+02     ; WORD: SystemTime1  wMilliSecond   [+0014 +0014 +0014 +0014 +0014]  %
;% ;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -  %
;% wfn_S1TimEnd  equ  wfn_S1MilSec+02     ; WORD: SystemTime   wMilliSecond   [+0016 +0016 +0016 +0016 +0016]  %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN94000: mov        sax, '9400'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  940000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*==============================================================================================================
;* 9400B: mov        lax, [lbp+000+iol_L1FILNUM]               ; fetch LAX := BvalSize FILNUM offset
;* 9400W: mov        ldx, [lbp+000+iol_L2FILNUM]               ; fetch LDX := WvalSize FILNUM offset
;* 9400S: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := SvalSize FILNUM offset
;* 9400D: mov        ldx, [lbp+000+iol_L8FILNUM]               ; fetch LDX := DvalSize FILNUM offset
;* 9400Q: mov        ldx, [lbp+000+iol_L6FILNUM]               ; fetch LDX := QvalSize FILNUM offset
;* 9400L: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := LongSize FILNUM offset
;*==============================================================================================================
WFN94010: mov        sax, '9401'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  940010
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94011: lea        lax, [lsi+wfn_SYS1TIME]                   ; fetch LAX := LPSYS lpSystemTime 
WFN94012: mov        PNTR [lsi+wfn_PnSysTim] , lax             ; store LAX => Pointer.SystemTime
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN94014: cmp        lax, 0010000h                             ; test: LAX >= 0010000h ?
          jae        BJMP WFN94100                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN94015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00940015                             ; ErrorLabel: "WFN94015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* void   WINAPI     GetLocalTime(                            // sysinfoapi.h Kernel32.lib     Kernel32.dll    *
;*                   LPSYSTEMTIME   lpSystemTime );           // _PnSysTim    Pointer to SYSTEMTIME structure  *
;*-------------------------------------------------------------------------------------------------------------*
;* void   WINAPI     GetSystemTime(                           // sysinfoapi.h Kernel32.lib     Kernel32.dll    *
;*                   LPSYSTEMTIME   lpSystemTime );           // _PnSysTim    Pointer to SYSTEMTIME structure  *
;***************************************************************************************************************
WFN94100: mov        sax, '9410'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  941000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94101: mov        sax, [lbx+gmm_X86_ARCH]                   ; fetch SAX := 0002,0003|0004,0005,0006,0007;0008
;* 94102: mov        sax, 0004                                 ; fetch SAX := IA32,AM64|XV32,XV64,V128,V256;V512
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94103: cmp        sax, BCST 003                             ; test: SAX == 02,03;04 |GT ???             (CPU)
;* 94104: jmp        LJMP WFNameGT                             ; 01 -> Ignore Architecture 016 Version 016 (X16)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jb         BJMP WFN94200                             ; 02 -> Proces Architecture 032 Version 032 (X32)
          je         BJMP WFN94300                             ; 03 -> Proces Architecture 064 Version 064 (X64)
;* IsNext jmp        BJMP WFN94105                             ; GT -> May be Architecture 128 Version ### (128)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 94105: cmp        sax, BCST 005                             ; test: SAX == 04,05;06 |GT ???             <X86>
;* Below! jb         BJMP WFN94400                             ; 04 -> Proces Architecture 128 Version 032 (128)
;* Below! je         BJMP WFN94400                             ; 05 -> Proces Architecture 128 Version 064 (128)
;* IsNext jmp        BJMP WFN94107                             ; GT -> May be Architecture 128 Version ### (128)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN94107: cmp        sax, BCST 007                             ; test: SAX == 06,07;08 |GT ???             <X86>
;* Below! jb         BJMP WFN94400                             ; 06 -> Proces Architecture 128 Version 128 (128)
          jbe        BJMP WFN94400                             ; 07 -> Proces Architecture 128 Version 256 (128)
;* Future jmp        BJMP WFN94800                             ; 08 -> Proces Architecture 128 Version 512 (128)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00941009                             ; ErrorLabel: "WFN94109"
          call            E2WFName                             ; ErrorMessag "SyWFName"
WFN9410A: jmp        LJMP WFNameGT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 94200: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 032 Version 064 (X64)      *
;***************************************************************************************************************
WFN94200: mov        sax, '9420'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  942000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 94202: mov        ldx,  lsp                                 ; fetch LDX := Retaining   wfn_    Pointer
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94201: push       HNDL [lsi+wfn_PnSysTim]                   ; lpSystemTime = WrtFilNam_Pointer.SystemTime
;*==============================================================================================================
WFN94210: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 94211: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN94212: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN94900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN94213                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 94213: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;* ?      mov        scx, 00942013                             ; ErrorLabel: "WFN94213"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 94300: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 064 Version 064 (X64)      *
;***************************************************************************************************************
WFN94300: mov        sax, '9430'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  943000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94301: mov        lcx, [lsi+wfn_PnSysTim]                   ; fetch LCX := WrtFilNam_Pointer     SystemTime
;* NoNeed mov        PNTR [lsp+wfn_ShArg001] , lcx             ; store LCX => ShadowArgument001   lpSystemTime
;*==============================================================================================================
WFN94310: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 94311: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN94312: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN94900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN94313                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 94313: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;*        mov        scx, 00943013                             ; ErrorLabel: "WFN94313"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 94400: CALL       GetLocalTime( lpSystemTime );             ; Intel Architecture 128 Version 032,064,128,.. *
;***************************************************************************************************************
WFN94400: mov        sax, '9440'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  944000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94401: mov        lax, [lsi+wfn_PnSysTim]                   ; fetch LAX := WrtFilNam_Pointer     SystemTime
          mov        PNTR [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument001   lpSystemTime
;*==============================================================================================================
WFN94410: call       GetLocalTime                              ; VOID  GetLocalTime(lpSystemTime);
;* 94411: call       GetSystemTime                             ; VOID  GetSystemTime(lpSystemTime);
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN94412: test       sax, sax                                  ; test: SAX == 00000000 ?
          jmp        BJMP WFN94900                             ; NE -> Pretty Successi
;* IsNext jmp        BJMP WFN94413                             ; EQ -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 94413: mov        sdx, EnGLoTim                             ; ErrorNumber "GetLocalTime"
;*        mov        scx, 00944013                             ; ErrorLabel: "WFN94413"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;* IsNext jmp        BJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
;* 94900: FINISH     GetLocalTime(lpSystemTime);               ; Intel Architecture ### Version 032,064,128,.. *
;***************************************************************************************************************
WFN94900: mov        sax, '9490'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  949000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94901: mov        lax, [lsi+wfn_PnSysTim]                   ; fetch LAX := Pointer2.SystemTime
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN94902: cmp        lax, 0010000h                             ; test: LAX >= 0010000h ?
          jae        BJMP WFN94910                             ; GE -> Pretty Successi
;* NoWrit jae        BJMP WFN94920                             ; GE -> Ignore Writings
;* IsNext jmp        BJMP WFN94903                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94903: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00949003                             ; ErrorLabel: "WFN94903"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN94910: mov        sax, '9491'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  949010
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 94911: mov        lcx, [lbp+iol_L9FILNUM]                   ; fetch LCX := Long size FILNUM offset
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94912: mov        sax, 'PnST'                               ; fetch SAX := Pnter Syst Times
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+wfn_PnSysTim]               ; fetch LAX := Pnter Syst Times
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* 94913: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0000236h                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04B1Text-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFN9491X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 9491Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFN94920: mov        sax, '9492'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  949020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94921: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000002]                   ; fetch LAX := -002  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000002]                   ; fetch LAX := +002  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN94922: mov        wax, [lsi+wfn_S1TwHour]                   ; fetch SAX := Hour = 0,1,2,3,4,5,6...20,21,22,23
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         BJMP WFN94924                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN94923                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94923: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00949023                             ; ErrorLabel: "WFN94923"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN94924: call            M1WFColo                             ; call: WColon |23:*********|
          jg         BJMP WFN94930                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN94925                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94925: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00949025                             ; ErrorLabel: "WFN94925"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN94930: mov        sax, '9493'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  949030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94931: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000002]                   ; fetch LAX := -002  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000002]                   ; fetch LAX := +002  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN94932: mov        wax, [lsi+wfn_S1Minute]                   ; fetch SAX := Minute = 00,01,02,03,04...57,58,59
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         BJMP WFN94934                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN94933                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94933: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00949033                             ; ErrorLabel: "WFN94933"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN94934: call            M1WFColo                             ; call: WColon |23:59:******|
          jg         BJMP WFN94940                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN94935                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94935: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00949035                             ; ErrorLabel: "WFN94935"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN94940: mov        sax, '9494'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  949040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94941: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000002]                   ; fetch LAX := -002  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000002]                   ; fetch LAX := +002  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN94942: mov        wax, [lsi+wfn_S1Second]                   ; fetch SAX := Second = 00,01,02,03,04...57,58,59
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         BJMP WFN94944                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN94943                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94943: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00940033                             ; ErrorLabel: "WFN94943"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN94944: call            M1WFColo                             ; call: WColon |23:59:59:***|
          jg         BJMP WFN94950                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN94945                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94945: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00949045                             ; ErrorLabel: "WFN94945"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN94950: mov        sax, '9495'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  949050
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN94951: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0|10  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( WFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000003]                   ; fetch LAX := -003  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( WFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000003]                   ; fetch LAX := +003  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( WFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000011]                   ; fetch LAX := 0011  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( WFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN94952: mov        wax, [lsi+wfn_S1MilSec]                   ; fetch SAX := MilliSec 000,001,002...997,998,999
;* UnUsed mov        bdx, 00000010                             ; fetch SDX := 00000010 IBase
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFVInt                             ; call: My own WritFile Value Int( LAX,LBP,LBX )
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN94953                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN94953: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00949053                             ; ErrorLabel: "WFN94953"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 95000: Write      MiddleComment   !KOM                      ;                                               %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN95000: mov        sax, '9500'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  950000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 95001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN95002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN95003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN95004: jmp        BJMP WFN95106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN95100: mov        sax, '9510'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  950100
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN95101: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '.' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN95102: call            M1WFChar                             ; Write |C= ?| [Left       .]..
          jg         BJMP WFN95106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN95103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN95103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00950103                             ; ErrorLabel: "WFN95103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN95106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN95107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN95108: cmp        lax, [lbp+000+iol_FmComLft]               ; test: LAX == WrFormat  Comment Left  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN95100                             ; LT -> Contis FillLoop
;* IsNext je         BJMP WFN95010                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN95109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 95109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* UnUsed mov        scx, 00950109                             ; ErrorLabel: "WFN95109"
;* UnUsed call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN95010: mov        sax, '9501'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  950010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN95011: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := Long[04] FILe     NUMber
WFN95012: mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := Writ[FN] Comment  Character
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN95014: call            M1WFChar                             ; call: My own WritFile Character(SAX,..,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN95015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN95015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00950015                             ; ErrorLabel: "WFN95015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 96000: Write      MiddleComment   !!KOM                     ;                                               %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN96000: mov        sax, '9600'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  960000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 96001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN96002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN96003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN96004: jmp        BJMP WFN96106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN96100: mov        sax, '9610'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  960100
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN96101: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '.' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN96102: call            M1WFChar                             ; Write |C= ?| [Left       .]..
          jg         BJMP WFN96106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN96103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN96103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00960103                             ; ErrorLabel: "WFN96103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN96106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN96107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN96108: cmp        lax, [lbp+000+iol_FmComLft]               ; test: LAX == WrFormat  Comment Left  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN96100                             ; LT -> Contis FillLoop
;* IsNext je         BJMP WFN96010                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN96109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 96109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* UnUsed mov        scx, 00960109                             ; ErrorLabel: "WFN96109"
;* UnUsed call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN96010: mov        sax, '9601'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  960010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN96011: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := Long[04]  FILe    NUMber
WFN96012: mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := Writ[FN]  Comment Character
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN96013: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFN96015                             ; LT -> Error: Mystical     
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN96014                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN96014: call            M1WFChar                             ; call: WrFile Char(SAX,..,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN96015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN96015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00960015                             ; ErrorLabel: "WFN96015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 97000: Write      MiddleComment   !!!KOM                    ;                                               %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN97000: mov        sax, '9700'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  970000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 97001: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN97002: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN97003: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN97004: jmp        BJMP WFN97106                             ; Enter End of FillingLooping !
;***************************************************************************************************************
WFN97100: mov        sax, '9710'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  970100
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN97101: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* Debugs mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Commas
;* Debugs mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Points
;* Debugs mov        sax, 000003Eh                             ; fetch SAX := '.' 03Eh  Arrows
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN97102: call            M1WFChar                             ; Write |C= ?| [Left       .]..
          jg         BJMP WFN97106                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN97103                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN97103: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00970103                             ; ErrorLabel: "WFN97103"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN97106: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
WFN97107: mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
WFN97108: cmp        lax, [lbp+000+iol_FmComLft]               ; test: LAX == WrFormat  Comment Left  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN97100                             ; LT -> Contis FillLoop
;* IsNext je         BJMP WFN97010                             ; EQ -> Leaves FillLoop
;* IsNext jmp        BJMP WFN97109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 97109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* UnUsed mov        scx, 00970109                             ; ErrorLabel: "WFN97109"
;* UnUsed call            E2WFName                             ; ErrorMessag "SyWFName"
;* UnUsed jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN97010: mov        sax, '9701'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  970010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN9701@: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := Long[04]  FILe    NUMber
WFN97011: mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := Writ[FN]  Comment Character
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN97012: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFN97015                             ; LT -> Error: Mystical     
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN97013                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN97013: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFN97015                             ; LT -> Error: Mystical     
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN97014                             ; GT -> Pretty Successi
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN97014: call            M1WFChar                             ; call: WrFile Character(SAX,LBP,LBX)
          jg         LJMP WFN11000                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN97015                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN97015: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00970015                             ; ErrorLabel: "WFN97015"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 98000: Proces     DataPartTests                             ; Color etc.                                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN98000: mov        sax, '9800'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  980000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN98009: jmp        LJMP WFN11000                             ; Goto: Cycles Input Loop
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% 99000: Proces     General Tests                             ; Lines etc.                                    %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFN99000: mov        sax, '9900'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99001: mov        sax, 0000040h                             ; fetch SAX := '@' 040h
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jl         BJMP WFN99005                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99002                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99002: mov        sax, 0000041h                             ; fetch SAX := 'A' 041h
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jl         BJMP WFN99005                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99003                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99003: mov        sax, 0000042h                             ; fetch SAX := 'B' 042h
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jl         BJMP WFN99005                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99004                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99004: mov        sax, 0000043h                             ; fetch SAX := 'C' 043h
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          jg         BJMP WFN99006                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990005                             ; ErrorLabel: "WFN99005"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99006: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;*        call            S1WFNwPg                             ; call: System WritFile NewPage(LBP,LBX)
;*        jg         BJMP WFN99008                             ; GT -> Pretty Successi
;*        je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 99007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;*        mov        scx, 00990007                             ; ErrorLabel: "WFN99007"
;*        call            E2WFName                             ; ErrorMessag "SyWFName"
;*        jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99008: call            S1WFNwLn                             ; call: System WritFile NewLine(LBP,LBX)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         BJMP WFN99010                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990009                             ; ErrorLabel: "WFN99009"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99010: mov        sax, '9901'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99011: xor        scx, scx                                  ; fetch SCX := 00000  Counter
;***************************************************************************************************************
WFN99100: mov        sax, scx                                  ; fetch SAX := 00,01..15;16,17.
          and        sax, 0Fh                                  ; andi: SAX := 00,01..15;00,01.
          add        sax, 064                                  ; addi: SAX := 64,65..79;64,65.
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; call: My own WritFileCharacter(SAX,LSI,LBP,LBX)
          jg         BJMP WFN99107                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99101                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99101: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990101                             ; ErrorLabel: "WFN99101"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99107: add        scx, BC 00001                             ; addi: SCX += 00000001
WFN99108: cmp        scx, 00000100                             ; test: SCX == 00007000 ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jb         BJMP WFN99100                             ; LT -> Cycles CharTest
          je         BJMP WFN99016                             ; EQ -> Leaves CharLoop
;* IsNext jmp        BJMP WFN99109                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99109: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990109                             ; ErrorLabel: "WFN99109"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN99016: call            S1WFNwLn                             ; call: System WritFile NewLine(LSI,LBP,LBX)
          jg         BJMP WFN99018                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99017                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99017: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990017                             ; ErrorLabel: "WFN99017"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99018: call            S1WFBuff                             ; call: System WritFile Buffer(LSI,LBP,LBX)
          jge        BJMP WFN99020                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN99019                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99019: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990019                             ; ErrorLabel: "WFN99019"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99020: mov        sax, '9902'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99021: mov        scx, 00000000                             ; fetch SCX := 00000000 Countet
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Alt !? mov        SVAL [lbp+iol_WrComChr] , ' '             ; store ' ' => CommChar <0> CON
;* Alt !? mov        SVAL [lbp+iol_WrComChr] , '#'             ; store '#' => CommChar <1> MAK
;* Alt !? mov        SVAL [lbp+iol_WrComChr] , '%'             ; store '%' => CommChar <2> TEX
;* Alt !? mov        SVAL [lbp+iol_WrComChr] , '*'             ; store '*' => CommChar <3> FOR
;? Alt !? mov        SVAL [lbp+iol_WrComChr] , '/'             ; store '/' => CommChar <4> CPP
;* Alt !? mov        SVAL [lbp+iol_WrComChr] , ';'             ; store ';' => CommChar <5> ASM
;* what ? mov        SVAL [lbp+iol_WrComChr] , '?'             ; store '?' => CommChar <6>
;* what ? mov        SVAL [lbp+iol_WrComChr] , '?'             ; store '?' => CommChar <7>
;* Alt !? mov        SVAL [lbp+iol_WrComChr] , 'C'             ; store 'C' => CommChar <8> F77
;* Alt !? mov        SVAL [lbp+iol_WrComChr] , '!'             ; store '!' => CommChar <9> F90
;***************************************************************************************************************
WFN99200: lea        sax, [scx+00]                             ; fetch SAX := 00,01,02,..,78,79
          call            MyWFLine                             ; call: My own WritFile SepaLine (SAX,LBP,LBX)
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jg         BJMP WFN99207                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99201                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99201: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990201                             ; ErrorLabel: "WFN99201"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99207: add        scx, BCST 001                             ; addi: SCX += 00000001
WFN99208: cmp        scx, BCST 080                             ; test: SCX == 00000080 ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFN99200                             ; LT -> Cycles LineTest
          je         BJMP WFN99026                             ; EQ -> Leaves LineLoop 
;* IsNext jmp        BJMP WFN99209                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990209                             ; ErrorLabel: "WFN99209"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN99026: call            S1WFNwLn                             ; call: System WritFile NewLine(LSI,LBP,LBX)
          jg         BJMP WFN99028                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99027                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99027: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990027                             ; ErrorLabel: "WFN99027"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99028: call            S1WFBuff                             ; call: System WritFile Buffer(LSI,LBP,LBX)
          jge        BJMP WFN99030                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN99029                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99029: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990029                             ; ErrorLabel: "WFN99029"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99030: mov        sax, '9903'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99031: mov        scx, 00000000                             ; fetch SCX := 000000000 Countr
;***************************************************************************************************************
WFN99300: mov        sax, '9930'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990300
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99301: mov        sax, scx                                  ; fetch SAX := <xx:xx|xH:ZE>hex
          and        sax, BCST 015                             ; andi: SAX := <oo:oo|oo:oE>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        sax, BCST 000                             ; test: SAX == 00000000 ?
          jne        BJMP WFN99310                             ; NE -> Ignore StaBlank
;* IsNext jmp        BJMP WFN99302                             ; EQ -> Writes StaBlank
;*--------------------------------------------------------------------------------------------------------------
;* 99301: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN99302: mov        sax, [lbp+iol_WrHLgAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99303: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 99304: jmp        BJMP WFN99308                             ; Enter End of FillingLooping !
;*--------------------------------------------------------------------------------------------------------------
WFN99305: mov        sax, 0000021h                             ; fetch SAX := ' ' 020h Blank !
;* Debugs mov        sax, 0000021h                             ; fetch SAX := '!' 021h Excla !
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
;* ?      jl         BJMP WFN99307                             ; LT -> Error: Mystical
;* ?      je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99306                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99306: call            M1WFBlnk                             ; call: My own WritFile Blank(LSI,LBP,LBX)
          jg         BJMP WFN99310                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99307                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99307: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990307                             ; ErrorLabel: "WFN99307"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99310: mov        sax, '9931'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990310
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* 99311: mov        BVAL [lbp+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN99312: mov        sax,  scx                                 ; fetch SAX := ColourAttributes
;* ?      mov        sax,          01110101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99313: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* 99314: jmp        BJMP WFN99308                             ; Enter End of FillingLooping !
;*==============================================================================================================
WFN99320: mov        sax, '9932'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990320
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99321: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h Blank !
          call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jl         BJMP WFN99329                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99322                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99322: mov        sax, scx                                  ; fetch SAX := <xx:xx|xH:ZE>hex
          shr        sax,      008                             ; shift SAX := <oo:xx|xx:xH>hex
          and        sax, BCST 015                             ; andi: LAX := <oo:oo|oo:oH>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        ldx, [ljp+dat_FigToChr]                   ; ItWas LAX := 000,001,002..008,009;010,011..015;
          mov        bax, [ldx+lax+00000000]                   ; Fetch LAX := '0','1','2'..'8','9';'A','B'..'F';
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jl         BJMP WFN99329                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99323                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99323: mov        sax, scx                                  ; fetch SAX := <xx:xx|xH:ZE>hex
          shr        sax,      004                             ; shift SAX := <ox:xx|xx:xZ>hex
          and        sax, BCST 015                             ; andi: LAX := <oo:oo|oo:oZ>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        ldx, [ljp+dat_FigToChr]                   ; ItWas LAX := 000,001,002..008,009;010,011..015;
          mov        bax, [ldx+lax+00000000]                   ; Fetch LAX := '0','1','2'..'8','9';'A','B'..'F';
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jl         BJMP WFN99329                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99324                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99324: mov        sax, scx                                  ; fetch SAX := <xx:xx|xH:ZE>hex
;* NoNeed shr        sax,      000                             ; shift SAX := <xx:xx|xH:ZE>hex
          and        sax, BCST 015                             ; andi: LAX := <oo:oo|oo:oE>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        ldx, [ljp+dat_FigToChr]                   ; ItWas LAX := 000,001,002..008,009;010,011..015;
          mov        bax, [ldx+lax+00000000]                   ; Fetch LAX := '0','1','2'..'8','9';'A','B'..'F';
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jl         BJMP WFN99329                             ; LT -> Error: Mystical
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99325                             ; GT -> Pretty Successi
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99325: mov        sax, 0000068h                             ; fetch SAX := 'h' 068h Hexa-Decimal
          call            M1WFChar                             ; call: My own WritFile Charcter(SAX,LSI,LBP,LBX)
          jg         BJMP WFN99330                             ; GE -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99329                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99329: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990329                             ; ErrorLabel: "WFN99329"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99330: mov        sax, '9933'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990330
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99333: mov        sax, scx                                  ; fetch SAX := <xx:xx|xH:ZE>hex
          and        sax, BCST 015                             ; andi: SAX := <oo:oo|oo:oE>hex
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN99334: cmp        sax, BCST 015                             ; test: SAX == 00000015 ?
          jne        BJMP WFN99337                             ; NE -> Ignore New Line
;* IsNext jmp        BJMP WFN99335                             ; EQ -> Writes New Line
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99335: call            S1WFNwLn                             ; call: System WritFile NewLine(LSI,LBP,LBX)
          jg         BJMP WFN99337                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99336                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99336: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990336                             ; ErrorLabel: "WFN99336"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99337: add        scx, BC 0001h                             ; addi: SCX += 0000001h
WFN99338: cmp        scx, 0000100h                             ; test: SCX == 0000120h ?
          jl         LJMP WFN99300                             ; LT -> Cycles LineTest
          je         BJMP WFN99036                             ; EQ -> Leaves LineLoop 
;* IsNext jmp        BJMP WFN99339                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99339: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990339                             ; ErrorLabel: "WFN99339"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN99036: call            S1WFNwLn                             ; call: System WritFile NewLine(LSI,LBP,LBX)
          jg         BJMP WFN99038                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99037                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99037: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990037                             ; ErrorLabel: "WFN99037"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99038: call            S1WFBuff                             ; call: System WritFile Buffer(LSI,LBP,LBX)
          jge        BJMP WFN99040                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN99039                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99039: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990039                             ; ErrorLabel: "WFN99039"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99040: mov        sax, '9904'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;FN99048: jge        LJMP WFN11000                             ; Goto: MyRead MemChar(LCX,LBX)
;FN99049: jmp        LJMP WFNameGT                             ; Goto: End
;*==============================================================================================================
WFN99050: mov        sax, '9905'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990050
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;FN99058: jge        LJMP WFN11000                             ; Goto: MyRead MemChar(LCX,LBX)
;FN99059: jmp        LJMP WFNameGT                             ; Goto: End
;*==============================================================================================================
WFN99060: mov        sax, '9906'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990060
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;FN99061: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WrtNameAttribute
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteNamPartAttr
;* ?      mov        sax, [lbp+iol_WrEquAtt]                   ; fetch SAX := WriteEquCharAttr
;* ?      mov        sax, [lbp+iol_WrMrkAtt]                   ; fetch SAX := WriteQuoMarkAttr
;* ?      mov        sax, [lbp+iol_WrTokAtt]                   ; fetch SAX := WriteToknEndAttr
;* ?      mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [lbp+iol_WrNChAtt]                   ; fetch SAX := WriteFillingAttr
;* ?      mov        sax, [lbp+iol_WrNFiAtt]                   ; fetch SAX := WriteNewLineAttr
;* ?      mov        sax, [lbp+iol_WrSChAtt]                   ; fetch SAX := WriteStopEndAttr
;* ?      mov        sax, [lbp+iol_WrZChAtt]                   ; fetch SAX := WriteZeroEndAttr
;* ?      mov        sax, [lbp+iol_WrZFiAtt]                   ; fetch SAX := WriteZeroEndAttr
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        sax, [lbp+iol_WrLinAtt]                   ; fetch SAX := WriteSepLineAttr
;* ?      mov        sax, [lbp+iol_WrResAtt]                   ; fetch SAX := WriteResrvedAttr
;*--------------------------------------------------------------------------------------------------------------
;* 99062: mov        ldx, [lbp+iol_L4FILNUM]                   ; fetch LDX := Ev4FILNUM offset
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      mov        sax, [ljp+dat_WcNamAtt]                   ; fetch SAX := WritCons Name Part   Attribute 100
;* ?      mov        sax, [ljp+dat_WcEquAtt]                   ; fetch SAX := WritCons EqualChar   Attribute 101
;* ?      mov        sax, [ljp+dat_WcMrkAtt]                   ; fetch SAX := WritCons QuotMark    Attribute 102
;* ?      mov        sax, [ljp+dat_WcTokAtt]                   ; fetch SAX := WritCons TokenEnd    Attribute 103
;* ?      mov        sax, [ljp+dat_WcComAtt]                   ; fetch SAX := WritCons Comment     Attribute 104
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [ljp+dat_WcGVaAtt]                   ; fetch SAX := WritCons GenValue    Attribute 105
;* ?      mov        sax, [ljp+dat_WcIVaAtt]                   ; fetch SAX := WritCons IntValue    Attribute 106
;* ?      mov        sax, [ljp+dat_WcFVaAtt]                   ; fetch SAX := WritCons FltValue    Attribute 107
;* ?      mov        sax, [ljp+dat_WcSVaAtt]                   ; fetch SAX := WritCons StrValue    Attribute 108
;* ?      mov        sax, [ljp+dat_WcTVaAtt]                   ; fetch SAX := WritCons TxtValue    Attribute 109
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [ljp+dat_WcNChAtt]                   ; fetch SAX := WritCons NewLineChar Attribute 10A
;* ?      mov        sax, [ljp+dat_WcNFiAtt]                   ; fetch SAX := WritCons NewLineFill Attribute 10B
;* ?      mov        sax, [ljp+dat_WcSChAtt]                   ; fetch SAX := WritCons StopEndChar Attribute 10C
;* ?      mov        sax, [ljp+dat_WcZChAtt]                   ; fetch SAX := WritCons ZeroEndChar Attribute 10D
;* ?      mov        sax, [ljp+dat_WcZFiAtt]                   ; fetch SAX := WritCons ZeroEndFill Attribute 10E
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        sax, [ljp+dat_B0LinAtt]                   ; fetch SAX := BothCons SeparatLine Attribute 10F
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* ?      mov        sax, [ljp+dat_RcNamAtt]                   ; fetch SAX := ReadCons Name Part   Attribute 110
;* ?      mov        sax, [ljp+dat_RcEquAtt]                   ; fetch SAX := ReadCons EqualChar   Attribute 111
;* ?      mov        sax, [ljp+dat_RcMrkAtt]                   ; fetch SAX := ReadCons QuotaMark   Attribute 112
;* ?      mov        sax, [ljp+dat_RcTokAtt]                   ; fetch SAX := ReadCons TokenEnd    Attribute 113
;* ?      mov        sax, [ljp+dat_RcComAtt]                   ; fetch SAX := ReadCons Comment     Attribute 114
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [ljp+dat_RcGVaAtt]                   ; fetch SAX := ReadCons Gen Value   Attribute 115
;* ?      mov        sax, [ljp+dat_RcIVaAtt]                   ; fetch SAX := ReadCons Int Value   Attribute 116
;* ?      mov        sax, [ljp+dat_RcFVaAtt]                   ; fetch SAX := ReadCons Flt Value   Attribute 117
;* ?      mov        sax, [ljp+dat_RcSVaAtt]                   ; fetch SAX := ReadCons Str Value   Attribute 118
;* ?      mov        sax, [ljp+dat_RcTVaAtt]                   ; fetch SAX := ReadCons Txt Value   Attribute 119
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sax, [ljp+dat_RcNChAtt]                   ; fetch SAX := ReadCons NewLineChar Attribute 11A
;* ?      mov        sax, [ljp+dat_RcNFiAtt]                   ; fetch SAX := ReadCons NewLineFill Attribute 11B
;* ?      mov        sax, [ljp+dat_RcSChAtt]                   ; fetch SAX := ReadCons StopEndChar Attribute 11C
;* ?      mov        sax, [ljp+dat_RcZChAtt]                   ; fetch SAX := ReadCons ZeroEndChar Attribute 11D
;* ?      mov        sax, [ljp+dat_RcZFiAtt]                   ; fetch SAX := ReadCons ZeroEndFill Attribute 11E
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      mov        sax, [ljp+dat_B0HLgAtt]                   ; fetch SAX := BothCons SeparatLine Attribute 11F
;*--------------------------------------------------------------------------------------------------------------
;* 99062: mov        BVAL [lsi+iol_InComent] , 001             ; store 001 => NowInsideComment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFN99063: mov        sax, [lsi+iol_WrNamAtt]                   ; fetch SAX := ColourAttributes
;* ?      mov        sax,          11110101b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99064: mov        SVAL [lsi+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
          mov        BVAL [lsi+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99065: xor        scx,  scx                                 ; fetch SCX := 0000 ValueCountr
;***************************************************************************************************************
WFN99600: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* ?      lea        lax, [ldx+000+00000004]                   ; fetch LAX := 0|04  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( TFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000005]                   ; fetch LAX := +005  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( TFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000014]                   ; fetch LAX := +014  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( TFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0000  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( TFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN99601: mov        lax, lcx                                  ; fetch LAX := 0000,0001...0129,130,131...259,260
          sub        lax, 130                                  ; subi: LAX := -130,-129...-001,000,001...129,130
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99602: call            M1TFValu                             ; call: My own TestFile ValueAll(LAX,LBP,LBX)
          jg         BJMP WFN99607                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99603                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99603: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990603                             ; ErrorLabel: "WFN99603"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99607: add        scx, BC 00001                             ; addi: SCX += 00000001
WFN99608: cmp        scx, SC 00260                             ; test: SCX == 00000260 ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jb         BJMP WFN99600                             ; LT -> Cycles CharTest
          je         BJMP WFN99066                             ; EQ -> Leaves CharLoop
;* IsNext jmp        BJMP WFN99609                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99609: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990609                             ; ErrorLabel: "WFN99609"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN99066: call            S1WFNwLn                             ; call: System WritFile NewLine(LBP,LBX)
          jg         BJMP WFN99068                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99067                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99067: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990067                             ; ErrorLabel: "WFN99067"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99068: call            S1WFBuff                             ; call: System WritFile Buffer(LBP,LBX)
          jge        BJMP WFN99070                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN99069                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99069: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990069                             ; ErrorLabel: "WFN99069"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99070: mov        sax, '9907'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990070
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99071: xor        scx,  scx                                 ; fetch SCX := 0000  ValueCount
;***************************************************************************************************************
WFN99700: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000004]                   ; fetch LAX := 0|04  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( TFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000005]                   ; fetch LAX := -005  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( TFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000014]                   ; fetch LAX := +014  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( TFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0000  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( TFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN99701: mov        lax,  lcx                                 ; fetch LAX := 0000,0001...0129,130,131...259,260
          sub        lax, 00000130                             ; subi: LAX := -130,-129...-001,000,001...129,130
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99702: call            M1TFValu                             ; call: My own TestFile Value All( LAX,LBP,LBX )
          jg         BJMP WFN99707                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99703                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99703: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990703                             ; ErrorLabel: "WFN99703"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99707: add        scx, BC 00001                             ; addi: SCX += 00000001
WFN99708: cmp        scx, 00000260                             ; test: SCX == 00000260 ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jb         BJMP WFN99700                             ; LT -> Cycles CharTest
          je         BJMP WFN99076                             ; EQ -> Leaves CharLoop
;* IsNext jmp        BJMP WFN99709                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99709: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990709                             ; ErrorLabel: "WFN99709"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN99076: call            S1WFNwLn                             ; call: System WritFile NewLine(LSI,LBP,LBX)
          jg         BJMP WFN99078                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99077                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99077: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990077                             ; ErrorLabel: "WFN99077"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99078: call            S1WFBuff                             ; call: System WritFile Buffer(LSI,LBP,LBX)
          jge        BJMP WFN99080                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN99079                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99079: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990079                             ; ErrorLabel: "WFN99079"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99080: mov        sax, '9908'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990080
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99081: xor        scx,  scx                                 ; fetch SCX := 0000  ValueCount
;***************************************************************************************************************
WFN99800: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000004]                   ; fetch LAX := 0|04  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( TFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000005]                   ; fetch LAX := +005  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( TFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000014]                   ; fetch LAX := -014  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( TFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0000  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( TFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN99801: mov        lax,  lcx                                 ; fetch LAX := 0000,0001...0129,130,131...259,260
          sub        lax, 00000130                             ; subi: LAX := -130,-129...-001,000,001...129,130
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99802: call            M1TFValu                             ; call: My own TestFile Value All( LAX,LBP,LBX )
          jg         BJMP WFN99807                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99803                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99803: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990803                             ; ErrorLabel: "WFN99803"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99807: add        scx, BC 00001                             ; addi: SCX += 00000001
WFN99808: cmp        scx, 00000260                             ; test: SCX == 00000260 ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jb         BJMP WFN99800                             ; LT -> Cycles CharTest
          je         BJMP WFN99086                             ; EQ -> Leaves CharLoop
;* IsNext jmp        BJMP WFN99809                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99809: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990809                             ; ErrorLabel: "WFN99809"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN99086: call            S1WFNwLn                             ; call: System WritFile NewLine(LSI,LBP,LBX)
          jg         BJMP WFN99088                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99087                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99087: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990087                             ; ErrorLabel: "WFN99087"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99088: call            S1WFBuff                             ; call: System WritFile Buffer(LSI,LBP,LBX)
          jge        BJMP WFN99090                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN99089                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99089: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990089                             ; ErrorLabel: "WFN99089"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFN99090: mov        sax, '9909'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  990090
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFN99091: xor        scx,  scx                                 ; fetch SCX := 0000  ValueCount
;***************************************************************************************************************
WFN99900: xor        ldx,  ldx                                 ; fetch LDX := 0000  Value Null 
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Direct lea        lax, [ldx+000+00000004]                   ; fetch LAX := 0|04  Block Leng    Wished
          mov        LVAL [lsp+wfn_ShArg004] , ldx             ; store LAX => ShadowArgument04  ( TFV_A3BlkLen )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000005]                   ; fetch LAX := -005  FigurCount    Minimal +|-
          mov        LVAL [lsp+wfn_ShArg003] , lax             ; store LAX => ShadowArgument03  ( TFV_A2Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000-00000014]                   ; fetch LAX := -014  StrgLength    Minimal L|R
          mov        LVAL [lsp+wfn_ShArg002] , lax             ; store LAX => ShadowArgument02  ( TFV_A1Format )
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          lea        lax, [ldx+000+00000000]                   ; fetch LAX := 0000  Converting    Argument
          mov        LVAL [lsp+wfn_ShArg001] , lax             ; store LAX => ShadowArgument01  ( TFV_A0CvtArg )
;*--------------------------------------------------------------------------------------------------------------
WFN99901: mov        lax,  lcx                                 ; fetch LAX := 0000,0001...0129,130,131...259,260
          sub        lax, 00000130                             ; subi: LAX := -130,-129...-001,000,001...129,130
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFN99902: call            M1TFValu                             ; call: My own TestFile Value All( LAX,LBP,LBX )
          jg         BJMP WFN99907                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99903                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99903: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990903                             ; ErrorLabel: "WFN99903"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99907: add        scx, BC 00001                             ; addi: SCX += 00000001
WFN99908: cmp        scx, SC 00260                             ; test: SCX == 00000260 ?
          jb         BJMP WFN99900                             ; LT -> Cycles CharTest
          je         BJMP WFN99096                             ; EQ -> Leaves CharLoop
;* IsNext jmp        BJMP WFN99909                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99909: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990909                             ; ErrorLabel: "WFN99909"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFN99096: call            S1WFNwLn                             ; call: System WritFile NewLine(LBP,LBX)
          jg         BJMP WFN99098                             ; GT -> Pretty Successi
          je         LJMP WFNameEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFN99097                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99097: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990097                             ; ErrorLabel: "WFN99097"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFN99098: call            S1WFBuff                             ; call: System WritFile Buffer(LBP,LBX)
          jge        LJMP WFN11000                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFN99099                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFN99099: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00990099                             ; ErrorLabel: "WFN99099"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;###############################################################################################################
;# Finish Writes     File Namepart                             ; call: Writes File Buffer                      #
;###############################################################################################################
WFNA0000: mov        sax, 'A000'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFNA0001: cmp        LVAL [lbp+iol_L1FILNUM] , BC 010          ; test: FILNUM >= 10 FileMemo ?
          jae        BJMP WFNA0007                             ; GE -> Ignore Write FileBuffer
;* IsNext jmp        BJMP WFNA0002                             ; LT -> Proces Write FileBuffer
;*--------------------------------------------------------------------------------------------------------------
WFNA0002: call            S1WFBuff                             ; call: System WritFile Buffer(LBP,LBX)
          jge        BJMP WFNA0007                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFNA0003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNA0003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 01000003                             ; ErrorLabel: "WFNA0003"
          call            E2WFName                             ; ErrorMessag "SyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;* A0004: call            S1WFNwLn                             ; call: System WritFile NewLine(LBP,LBX)
;* ?      jg         BJMP WFNA0007                             ; GE -> Pretty Successi
;* IsNext jmp        BJMP WFNA0005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* A0005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 01000005                             ; ErrorLabel: "WFNA0005"
;* ?      call            E2WFName                             ; ErrorMessag "SyWFName"
;* ?      jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFNA0007: mov        lax, [lbp+tmm_NaStpCnt]                   ; fetch LAX := Internal Name  Stop  Counter
WFNA0008: cmp        lax, [lbp+tmm_NaStpOff]                   ; test: LAX == Internal Name  Stop  Offset?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jbe        BJMP WFNA0010                             ; LE -> Pretty Successi
;* NoWrit jbe        BJMP WFNA0020                             ; LE -> Ignore Writings
;* IsNext jmp        BJMP WFNA0009                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNA0009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 01000009                             ; ErrorLabel: "WFNA0009"
          call            E2WFName                             ; ErrorMessag "MyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFNA0010: mov        sax, 'A001'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFNA0011: mov        sax, 'NaSO'                               ; fetch SAX := Copys NameStpOff
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaStpOff]               ; fetch LAX := Copys NameStpOff
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFNA0012: mov        sax, 'NaSC'                               ; fetch SAX := Copys NameStpCnt
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaStpCnt]               ; fetch LAX := Copys NameStpCnt
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* A0013: mov        sax,'IVBa'                                ; fetch SAX := Integ ValueBase
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lbp+tmm_IValBase]               ; fetch LAX := Integ ValueBase
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFNA001X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* A001Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFNA0020: mov        sax, 'A002'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFNA0021: mov        ldx, [lbp+tmm_PnNASOFF]                   ; fetch LDX := External NAme Stop OFFset  Pointer
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFNA0022: cmp        ldx, BCST 000                             ; test: LDX == 00000000 ?
          je         BJMP WFNA0030                             ; EQ -> NASOFF Retained
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        ldx, 0010000h                             ; test: LDX >= 0010000h ?
          jge        BJMP WFNA0024                             ; GE -> NASOFF Changing
;* IsNext jmp        BJMP WFNA0023                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNA0023: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 01000023                             ; ErrorLabel: "WFNA0023"
          call            E2WFName                             ; ErrorMessag "MyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFNA0024: mov        lax, [lbp+tmm_NaStpOff]                   ; fetch LAX := Internal Name  Stop  Offset  Value
          mov        SVAL [ldx+000+00000000] , sax             ; store SAX => External Name  Stop  OFFset  Value
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, 02147483647                          ; test: LAX =< MaxValue [+2147483647|+4294967295]
          jbe        BJMP WFNA0030                             ; LE -> Pretty Successi ?
;* IsNext jmp        BJMP WFNA0025                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNA0025: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 01000025                             ; ErrorLabel: "WFNA0025"
          call            E2WFName                             ; ErrorMessag "MyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFNA0030: mov        sax, 'A003'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFNA0031: mov        ldx, [lbp+tmm_PnNASCNT]                   ; fetch LDX := External NAme Stop CouNTer Pointer
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFNA0032: cmp        ldx, BCST 000                             ; test: LDX == 00000000 ?
          je         BJMP WFNA0040                             ; EQ -> NASCNT Retained
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        ldx, 0010000h                             ; test: LDX >= 0010000h ?
          jae        BJMP WFNA0034                             ; GE -> NASCNT Changing
;* IsNext jmp        BJMP WFNA0033                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNA0033: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 01000033                             ; ErrorLabel: "WFNA0033"
          call            E2WFName                             ; ErrorMessag "MyWFName"
          jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFNA0034: mov        lax, [lbp+tmm_NaStpCnt]                   ; fetch LAX := Internal Name  Stop  Counter Value
          mov        SVAL [ldx+000+00000000] , sax             ; store SAX => External Name  Stop  Counter Value
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, 02147483647                          ; test: LAX =< MaxValue [+2147483647|+4294967295]
          jbe        BJMP WFNA0040                             ; LE -> Pretty Successi ?
;* IsNext jmp        BJMP WFNA0035                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNA0035: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 01000035                             ; ErrorLabel: "WFNA0035"
          call            E2WFName                             ; ErrorMessag "MyWFName"
;% Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFNA0040: mov        sax, 'A004'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;FNA0041: mov        ldx, [lbp+tmm_PnBASFND]                   ; fetch LDX := IValBASe FouND Pointer
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FNA0042: cmp        ldx, BCST 000                             ; test: LDX == 00000000 ?
;?        je         BJMP WFNA0050                             ; EQ -> BASFND Retained
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;?        cmp        ldx, 0010000h                             ; test: LDX >= 0010000h ?
;?        jae        BJMP WFNA0044                             ; GE -> BASFND Changing
;* IsNext jmp        BJMP WFNA0043                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;FNA0043: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;?        mov        scx, 01000043                             ; ErrorLabel: "WFNA0043"
;?        call            E2WFName                             ; ErrorMessag "MyWFName"
;?        jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
;FNA0044: mov        lax, [lbp+tmm_IValBase]                   ; fetch LAX := Internal Integer Value Base
;?        mov        SVAL [ldx+000+00000000] , sax             ; store SAX => External Integer Value BASe FouND
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;?        cmp        lax, 00000036                             ; test: LAX =< MaxValue ?
;?        jbe        BJMP WFNA0050                             ; LE -> Pretty Successi
;* IsNext jmp        BJMP WFNA0045                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;FNA0045: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;?        mov        scx, 01000045                             ; ErrorLabel: "WFNA0045"
;?        call            E2WFName                             ; ErrorMessag "MyWFName"
;% Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFNA0050: mov        sax, 'A005'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00050
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* A0051: test       BVAL [lbp+iol_MLCtrInf] , 004h            ; test: Output Wisched ?
;* Used ? jmp        LJMP WFNA0070                             ; Not-> Output Ignored
;* IsNext jmp        BJMP WFNA0060                             ; Yes-> Output Written
;*--------------------------------------------------------------------------------------------------------------
WFNA0057: mov        lax, [lbp+tmm_NaStpCnt]                   ; fetch LAX := Internal Name  Stop  Counter
WFNA0058: cmp        lax, [lbp+tmm_NaStpOff]                   ; test: LAX == Internal Name  Stop  Offset?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jbe        BJMP WFNA0060                             ; LE -> Pretty Successi
;* NoWrit jbe        BJMP WFNA0070                             ; LE -> Ignore Writings
;* IsNext jmp        BJMP WFNA0059                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNA0059: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 01000059                             ; ErrorLabel: "WFNA0059"
          call            E2WFName                             ; ErrorMessag "MyWFName"
;* Used ? jmp        LJMP WFNameLT                             ; Return with "LessThan"
;*==============================================================================================================
WFNA0060: mov        sax, 'A006'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00060
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFNA0061: mov        sax, 'NaCd'                               ; fetch SAX := Reads NameCoding
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sax, SVAL[lbp+tmm_NaChrCod]               ; fetch LAX := Reads NameChrCod
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000238h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFNA0062: mov        sax, 'NaSO'                               ; fetch SAX := Reads NameStpOff
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaStpOff]               ; fetch LAX := Reads NameStpOff
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
          call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFNA0063: mov        sax, 'NaSC'                               ; fetch SAX := Reads NameStpCnt
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, LVAL[lbp+tmm_NaStpCnt]               ; fetch LAX := Reads NameStpCnt
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
          call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* A0064: mov        sax, 'NaCO'                               ; fetch SAX := Reads NameChrOff
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lbp+tmm_NaChrOff]               ; fetch LAX := Reads NameChrOff
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* A0065: mov        sax, 'NaCC'                               ; fetch SAX := Reads NameChrCnt
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lbp+tmm_NaChrCnt]               ; fetch LAX := Reads NameChrCnt
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFNA0066: mov        sax, 'NAST'                               ; fetch SAX := NAmes     STring
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lbp+tmm_PnNASTRG]               ; fetch LAX := NAmes STRG Pnter
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40V-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
          call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFNA006X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* A006Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFN_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFNA0070: mov        sax, 'A007'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  A00070
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* A0071: jmp        LJMP WFNameGT                             ; Goto: End
;###############################################################################################################
;# Finish Writes     File Namepart                             ; call: Writes File Buffer                      #
;###############################################################################################################
WFName90: mov        sax, 'WFN9'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  000090
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFNameGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
;* Nam91: jmp        LJMP WFNameGT                             ; Goto: End
;*==============================================================================================================
WFNameGT: mov        scx,+00000001                             ; fetch SCX := +1 for "GT"
;% IsNext jmp        BJMP WFNameZ0                             ; condition to return "GT"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFNameZ0: mov        sax, 'WFNZ'                               ; fetch SAX := (W)rt(F)il(N)ame <?>  0000Z0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*        mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMillisecondSleep(SAX,SDX)
;*==============================================================================================================
WFNameZ3: test       scx,  scx                                 ; Test: SCX as ReturnCondition
;*--------------------------------------------------------------------------------------------------------------
WFNameZ4: mov        lsp, [lsp+wfn_PnWfnTop]                   ; Fetch LSP := WrtFilNam_Pnter.WriteFileName.Topp
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNameZ5: pop        lax                                       ; Fetch LAX := TOP[+0000 +0000 +0000 +0000 +0000]
          pop        ldx                                       ; Fetch LDX := TOP[+0004 +0008 +0016 +0032 +0064]
          pop        lcx                                       ; Fetch LCX := TOP[+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFNameZ6: pop        ldi                                       ; Fetch LDI := TOP[+0012 +0024 +0048 +0096 +0192]
          pop        lsi                                       ; Fetch LSI := TOP[+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* NamZ7: pop        lbx                                       ; Fetch LBX := TOP[+0020 +0040 +0080 +0160 +0320]
;* IsKept pop        lbp                                       ; Fetch LBP := TOP[+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* NamZ8: pop        l12                                       ; Fetch L12 := TOP[+0028 +0056 +0112 +0224 +0448]
;* UnUsed pop        l13                                       ; Fetch L13 := TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed pop        l14                                       ; Fetch L14 := TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed pop        l15                                       ; Fetch L15 := TOP[+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFNameZ9: ret                                                  ; Fetch LIP := TOP[+0044 +0088 +0176 +0352 +0704]
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] #
;# ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
E1WFName: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFNa32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E1WFNa31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E1WFNa26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E1WFNa25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFNa24: lea        lax, [ljp+dat_SyWFName]                   ; fetch LAX := Static String  Data "SyWFName",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFNa23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFNa22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFNa21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E1WFNa16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFNa15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFNa14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFNa13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFNa12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E1WFNa11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E1WFNa01: call            S1EM1Box                             ; CALL EM1Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*WFNa02: jge        BJMP E1WFNa06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E1WFNa06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E1WFNa07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E1WFNa08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E1WFNa09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] %
;% ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] %
;% ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] %
;% ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] %
;% ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] %
;% ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] %
;% ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] %
;% ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] %
;% ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] %
;% ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] %
;% ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] %
;%=============================================================================================================%
;% ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] %
;% ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
E2WFName: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFNa32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E2WFNa31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E2WFNa26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E2WFNa25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFNa24: lea        lax, [ljp+dat_SyWFName]                   ; fetch LAX := Static String  Data "SyWFName",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFNa23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFNa22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFNa21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E2WFNa16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFNa15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFNa14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFNa13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFNa12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E2WFNa11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E2WFNa01: call            S1EM2Box                             ; CALL EM2Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*WFNa02: jge        BJMP E2WFNa06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E2WFNa06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E2WFNa07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E2WFNa08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E2WFNa09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanguage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanguage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanguage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_PnP64PTR  equ  ejq_PnASMFUN+LVSZ ; PNTR: JnpQutPut_Precision(64) PnTeR 09 [0036 0072  0144 0288 |00576] #
;# ejq_LvHEXFMT  equ  ejq_PnP64PTR+LVSZ ; LVAL: JnpQutPut_HEX LenRgCSFh (SDX) 10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvHEXFMT+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
TMM1QPut: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TMM1QP32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
TMM1QP31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
TMM1QP26: mov        sax,  sdx                                 ; fetch LAX := <BytLen|Regis  |NEBT:MSiz:LFun>bin
          mov        LVAL [lsp+ejq_LvHEXFMT] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvHEXaFMT
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
TMM1QP25: mov        lax, [lbp+tmm_JqP64PTR]                   ; fetch LAX := QutLib.Static  ThrMaiMem_EqP64PnTR
          mov        PNTR [lsp+ejq_PnP64PTR] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_PnP64PnTR
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TMM1QP24: mov        lax, [lbp+tmm_EqASMFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqASMFUNc
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
TMM1QP23: mov        lax, [lbp+tmm_EqASMFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqASMFILe
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TMM1QP22: mov        sax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
TMM1QP21: mov        sax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
TMM1QP16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
TMM1QP15: mov        sax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TMM1QP14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
TMM1QP13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
TMM1QP12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
TMM1QP11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
TMM1QP01: call            S1QutPut                             ; CALL QutPut(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;* 1QP02: jge        BJMP TMM1QP06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,P64VAL,HEXFMT)
;***************************************************************************************************************
TMM1QP06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
TMM1QP07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
TMM1QP08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
TMM1QP09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;###############################################################################################################
S1MSleep: jmp        LJMP SyMSleep                             ; CALL: System Millis seconds Sleep
S1EM1Box: jmp        LJMP SyEM1Box                             ; CALL: System Error1 Message Box
S1EM2Box: jmp        LJMP SyEM2Box                             ; CALL: System Error2 Message Box
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*QutPut: jmp        LJMP SyQutWrt                             ; CALL: System Qutput Writing
;*QutPut: jmp        LJMP SyQutLib                             ; CALL: System Qutput Library
S1QutPut: jmp        LJMP SyQutPut                             ; CALL: System QutPut library
;************************************************************************************************** end SyWFName

;***************************************************************************************************************
;* MyWFLine   My own   Write Console|File|Memory Separation Lines                                              *
;*                                                                                                             *
;*=============================================================================================================*
;* MyWFLine   takes as register input:                                           LBX =  gmm_        Pointer    *
;*                                                                               LBP =  tmm_        Pointer    *
;* MyWFLine   returns:    -                                                      LBP =  iol_        Pointer    *
;*                                                                               SAX =  Selector    00...79    *
;* MyWFLine   changes the registers:                                                                           *
;***************************************************************************************************************
;%% OutSTACK       (W)rt(F)ile(L)ine   ; XVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
wfl_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
wfl_ShArg002  equ  wfl_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
wfl_ShArg003  equ  wfl_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
wfl_ShArg004  equ  wfl_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;fl_StArg005  equ  wfl_ShArg004+LVSZ   ; LVAL: FastCall Normal Call Argument 005 [00016 00032 00064 00128 00256]
;fl_StArg006  equ  wfl_StArg005+LVSZ   ; LVAL: FastCall Stack! Call Argument 006 [00020 00040 00080 00160 00320]
;fl_StArg007  equ  wfl_StArg006+LVSZ   ; LVAL: FastCall Normal Call Argument 007 [00024 00048 00096 00192 00384]
;fl_StArg008  equ  wfl_StArg007+LVSZ   ; LVAL: FastCall Stack! Call Argument 008 [00028 00056 00112 00224 00448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;fl_StArg009  equ  wfl_StArg008+LVSZ   ; LVAL: FastCall Normal Call Argument 009 [00032 00064 00128 00256 00512]
;fl_StArg010  equ  wfl_StArg009+LVSZ   ; LVAL: FastCall Stack! Call Argument 010 [00036 00072 00144 00288 00576]
;fl_StArg011  equ  wfl_StArg010+LVSZ   ; LVAL: FastCall Normal Call Argument 011 [00040 00080 00160 00320 00640]
;fl_StArg012  equ  wfl_StArg011+LVSZ   ; LVAL: FastCall Stack! Call Argument 012 [00044 00088 00176 00352 00704]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;fl_StArg013  equ  wfl_StArg012+LVSZ   ; LVAL: FastCall Normal Call Argument 013 [00048 00096 00192 00384 00768]
;fl_StArg014  equ  wfl_StArg013+LVSZ   ; LVAL: FastCall Stack! Call Argument 014 [00052 00104 00208 00416 00832]
;fl_StArg015  equ  wfl_StArg014+LVSZ   ; LVAL: FastCall Normal Call Argument 015 [00056 00112 00224 00448 00896]
;fl_StArg016  equ  wfl_StArg015+LVSZ   ; LVAL: FastCall Stack! Call Argument 016 [00060 00120 00240 00480 00960]
;###############################################################################################################
;## ValFIXED       (W)rt(F)ile(L)ine   ; SVAL: Internal Part00 Non scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
wfl_FIX       equ  0000000+LVSZ*0004   ; PARA: Internal (W)rit(F)ile(L)ine_FIXed [00064 00128 00256 00512 01024]
wfl_LNG       equ  wfl_FIX+LVSZ*0002   ; PARA: Internal (W)rit(F)ile(L)ine_LoNG  [+0008 +0016 +0032 +0064 +0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;fl_Valu0000  equ  wfl_FIX+0000+000    ; SVAL: Internal Value0                   [%0000 %0000 %0000 %0000 %0000]
;fl_Valu0001  equ  wfl_Valu0000+04     ; SVAL: Internal Value1                   [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  wfl_FIX+1024+000    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  wfl_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       (W)rt(F)ile(L)ine   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
wfl_PnWflBas  equ  wfl_LNG+LVSZ*0000   ; PNTR: Internal Pnter.WriteFileLine.Base [#0000 #0000 #0000 #0000 #0000]
wfl_PnWflTop  equ  wfl_PnWflBas+LVSZ   ; PNTR: Internal Pnter.WriteFileLine.Topp [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
wfl_STRCSIZE  equ  wfl_LNG+LVSZ*0002   ; PARA: Internal StackFrame Structure END [+0008 +0016 +0032 +0064 +0128]
;###############################################################################################################
;## InpSTACK       (W)rt(F)ile(L)ine   ; LVAL: External Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
WFL_StackLAX  equ  wfl_STRCSIZE+0000   ; LVAL: External StackFrame Register: LAX [#0000 #0000 #0000 #0000 #0000]
WFL_StackLDX  equ  WFL_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
WFL_StackLCX  equ  WFL_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL_StackLDI  equ  WFL_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
WFL_StackLSI  equ  WFL_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;FL_StackLBX  equ  WFL_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;FL_StackLBP  equ  WFL_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FL_StackL12  equ  WFL_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;FL_StackL13  equ  WFL_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;FL_StackL14  equ  WFL_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;FL_StackL15  equ  WFL_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL_StackLIP  equ  WFL_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;*==============================================================================================================
WFL_StackTOP  equ  WFL_StackLIP+LVSZ   ; PARA: External StackInput Structure TOP [#0048 #0096 #0192 #0384 #0768]
;###############################################################################################################
;yPUBLIC      MyWFLine                                         ; Called from: SysWFName  only  !?!?
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyWFLine: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*==============================================================================================================
WFLine@1: mov        lax,  lsp                                 ; Fetch LAX := TOP_LSP   Stack Frame TopLAX Pnter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLine@2: lea        lsp, [lsp-wfl_STRCSIZE]                   ; Fetch LSP := TOP_LSP - Stack Frame STRuCt SIZE1
;* UnUsed and        lsp, BCST 000-MediaSIZ                    ; Andi: LSP := TOP_LSP & Media Align <FFFFF:FFC0>
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
WFLine@3: mov        PNTR [lsp+wfl_PnWflTop] , lax             ; Store LAX => WrtFilLin_Pnter.WriteFileLine.Topp
          mov        PNTR [lsp+wfl_PnWflBas] , lsp             ; Store LSP => WrtFilLin_Pnter.WriteFileLine.Base
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Lin@4: lea        lbx, [ljp+dat_PnGmmBas]                   ; Fetch LBX := DatStatic_Addrs.GlobaMainMemo.Base
;* Input! mov        lbx, [lbx+000+00000000]                   ; Fetch LBX := DatStatic_Pnter.GlobaMainMemo.Base
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine@5: mov        lsi,  lsp                                 ; Fetch LSI := WrtFilLin_Pnter.WriteFileLine.Base
;* UnUsed mov        ldi,  lax                                 ; Fetch LDI := WrtFilLin_Pnter.WriteFileLine.Topp
;*--------------------------------------------------------------------------------------------------------------
WFLine@9: mov        sax, 'WFL@'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  0000@0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP WFLineGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFLine00: cmp        lbx, 0010000h                             ; test: LBX >= 0010000h ?
          jb         BJMP WFLine01                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbx, [lbx+gmm_PnGmmBas]                   ; test: LBX == PnGmmBas ?
;         je         BJMP WFLine02                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFLine01                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine01: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000001                             ; ErrorLabel: "WFLine01"
          call            E1WFLine                             ; ErrorMessag "MyWFLine"
;% Contis jmp        BJMP WFLineLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
WFLine02: cmp        lbp, 0010000h                             ; test: LBP >= 0010000h ?
          jb         BJMP WFLine03                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbp, [lbp+tmm_PnTmmBas]                   ; test: LBP == PnTmmBas ?
;         je         BJMP WFLine04                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFLine03                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine03: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000003                             ; ErrorLabel: "WFLine03"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
;% Contis jmp        BJMP WFLineLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
WFLine04: cmp        lsi, 0010000h                             ; test: LSI >= 0010000h ?
          jb         BJMP WFLine05                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsi, [lsi+wfl_PnWflBas]                   ; test: LSI == PnWflBas ?
          je         BJMP WFLine08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFLine05                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine05: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000005                             ; ErrorLabel: "WFLine05"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
;% Contis jmp        BJMP WFLineLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
;% Lin06: cmp        ldi, 0010000h                             ; test: LDI >= 0010000h ?
;%        jb         BJMP WFLine07                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;%        cmp        ldi, [lsi+wfl_PnWflTop]                   ; test: LDI == PnWflTop ?
;%        je         BJMP WFLine08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFLine07                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;% Lin07: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;%        mov        scx, 00000007                             ; ErrorLabel: "WFLine07"
;%        call            E2WFLine                             ; ErrorMessag "MyWFLine"
;%        jmp        BJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFLine08: cmp        lsp, 0010000h                             ; test: LSP >= 0010000h ?
          jb         BJMP WFLine09                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsp, [lsp+wfl_PnWflBas]                   ; test: LSP == PnWflBas ?
          je         LJMP WFLine20                             ; EQ -> Pretty Successi
;* NoWrit je         LJMP WFLine20                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP WFLine09                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine09: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000009                             ; ErrorLabel: "WFLine09"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
;* IsNext jmp        BJMP WFLineLT                             ; Return with "LessThan"
;*==============================================================================================================
WFLineLT: mov        scx,-00000001                             ; fetch SCX := M1 for "LT"
          jmp        LJMP WFLineZ0                             ; condition to return "LT"
;*==============================================================================================================
WFLine10: mov        sax, 'WFL1'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  000010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFLine11: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+WFL_StackLAX]               ; fetch LAX := UTF32-LE InChars
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Lin12: mov        sax, 'A1Fm'                               ; fetch SAX := Input Arg1 Frmat
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFL_A1Format]               ; fetch LAX := Input Arg1 Frmat
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Lin13: mov        sax, 'A2Fm'                               ; fetch SAX := Input Arg2 Frmat
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFL_A2Format]               ; fetch LAX := Input Arg2 Frmat
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFLine1X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Lin1Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFL_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFLine20: mov        sax, 'WFL2'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  000020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFLine21: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* UnUsed cmp        lax, [lbp+000+iol_FmComLft]               ; test: LAX == WrFormat  Comment Left  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFLine22: cmp        lax, BCST 000                             ; test: LAX == 00000000 ?
          jg         BJMP WFLine24                             ; GT -> Writes NewLines
          je         BJMP WFLine30                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP WFLine23                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine23: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000023                             ; ErrorLabel: "WFLine23"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFLine24: call            S1WFNwLn                             ; call: System WritFile  NewLine(LSI,LBP,LBX)
          jg         BJMP WFLine26                             ; GT -> Pretty Successi
;* How ?? je         BJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFLine25                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine25: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000025                             ; ErrorLabel: "WFLine25"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFLine26: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, BCST 000                             ; test: LAX == 00000000 ?
          je         BJMP WFLine30                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP WFLine27                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine27: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;* ?      mov        scx, 00000027                             ; ErrorLabel: "WFLine27"
;* ?      call            E2WFLine                             ; ErrorMessag "MyWFLine"
WFLine28: jmp        BJMP WFLine30                             ; Return with "LessThan"
;*==============================================================================================================
WFLineEQ: xor        scx, scx                                  ; fetch SCX := 00 for "EQ"
          jmp        LJMP WFLineZ0                             ; condition to return "EQ"
;*==============================================================================================================
WFLine30: mov        sax, 'WFL3'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  000030
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFLine31: cmp        SVAL [lsi+WFL_StackLAX] , BC 010          ; test: LAX >= 0000000000000010 ?
          jae        BJMP WFLine34                             ; GE -> Proces CommentAttribute
;* IsNext jmp        BJMP WFLine32                             ; LT -> Proces SepLineAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine32: mov        sax, [lbp+iol_WrLinAtt]                   ; fetch SAX := WriteSepLineAttr
;* ?      mov        sax,          01111111b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLine33: jmp        BJMP WFLine36                             ; store SAX => WrtCharAttribute
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFLine34: mov        sax, [lbp+iol_WrComAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01111000b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* Debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* IsNext jmp        BJMP WFLine36                             ; store SAX => WrtCharAttribute
;*--------------------------------------------------------------------------------------------------------------
WFLine36: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
WFLine37: mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;*==============================================================================================================
WFLine40: mov        sax, 'WFL4'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  000040
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFLine4Q: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine4@: cmp        lax, BCST 009                             ; test: LAX == 00,..,09 ?
          jbe        BJMP WFL@0000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine41                             ; Not-> Search Continue
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFLine41: cmp        lax, BCST 019                             ; test: LAX == 10,..,19 ?
          jbe        LJMP WFL10000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine42                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLine42: cmp        lax, BCST 029                             ; test: LAX == 20,..,29 ?
          jbe        LJMP WFL20000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine43                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLine43: cmp        lax, BCST 039                             ; test: LAX == 30,..,39 ?
          jbe        LJMP WFL30000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine44                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLine44: cmp        lax, BCST 049                             ; test: LAX == 40,..,49 ?
          jbe        LJMP WFL40000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine45                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLine45: cmp        lax, BCST 059                             ; test: LAX == 50,..,59 ?
          jbe        LJMP WFL50000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine46                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLine46: cmp        lax, BCST 069                             ; test: LAX == 60,..,69 ?
          jbe        LJMP WFL60000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine47                             ; Not-> Search Continue
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFLine47: cmp        lax, BCST 079                             ; test: LAX == 70,..,79 ?
          jbe        LJMP WFL70000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine48                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Lin48: cmp        lax, BCST 089                             ; test: LAX == 80,..,89 ?
;* Used ? jbe        LJMP WFL80000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine49                             ; Not-> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* Lin49: cmp        lax, BCST 099                             ; test: LAX == 90,..,99 ?
;* Used ? jbe        LJMP WFL90000                             ; Yes-> Proces It
;* IsNext jmp        BJMP WFLine4E                             ; Not-> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine4E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000049                             ; ErrorLabel: "WFLine49"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL@0000: mov        sax, '@000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @00000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@0002: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@0001: cmp        lax, BCST 001                             ; test: LAX == 00,01;GT ?
          jb         BJMP WFL@@000                             ; 00 -> |C   | [            ]&n
          je         LJMP WFL@1000                             ; 01 -> |C###| [############]&n
;* IsNext jmp        BJMP WFL@0003                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@0003: cmp        lax, BCST 003                             ; test: LAX == 02,03;GT ?
          jb         LJMP WFL@2000                             ; 02 -> |C%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFL@3000                             ; 03 -> |C***| [************]&n
;* IsNext jmp        BJMP WFL@0005                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@0005: cmp        lax, BCST 005                             ; test: LAX == 04,05;GT ?
          jb         LJMP WFL@4000                             ; 04 -> |C===| [============]&n
          je         LJMP WFL@5000                             ; 05 -> |C---| [------------]&n
;* IsNext jmp        BJMP WFL@0007                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@0007: cmp        lax, BCST 007                             ; test: LAX == 06,07;GT ?
          jb         LJMP WFL@6000                             ; 06 -> |C- -| [ - - - - - -]&n
          je         LJMP WFL@7000                             ; 07 -> |C- -| [  -  -  -  -]&n
;* IsNext jmp        BJMP WFL@0009                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@0009: cmp        lax, BCST 009                             ; test: LAX == 08,09;GT ?
          jb         LJMP WFL@8000                             ; 08 -> |C- -| [   -   -   -]&n
          je         LJMP WFL@9000                             ; 09 -> |C- -| [     -     -]&n
;* IsNext jmp        BJMP WFL@000E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@000E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80000009                             ; ErrorLabel: "WFL@0009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@@000: mov        sax, '@@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @@0000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@@001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@@002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@@005                             ; LT -> Error: Mystical
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@@003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@@003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@@004                             ; EQ -> |//..| [............]..
          mov        sax, 0000020h                             ; NE -> |C ..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@@004: call            M1WFChar                             ; call: My own WritFileCharacter(SAX,LSI,LBP,LBX)
          jg         BJMP WFL@@006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 88000005                             ; ErrorLabel: "WFL@@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@@006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C  .| [............]..
          jl         BJMP WFL@@007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* is Ok! mov        sax, 0000020h                             ; fetch SAX := ' ' 02Dh
          call            M1WFChar                             ; Write |C   | [............]..
          jg         BJMP WFL@@008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@@007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@@007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 88000007                             ; ErrorLabel: "WFL@@007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@@008: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF@Dash                             ; Write |C*  | [            ]..
          jg         LJMP WFLine90                             ; GT -> |C*  | [            ]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@@009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@@009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 88000009                             ; ErrorLabel: "WFL@@009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@1000: mov        sax, '@100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @10000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@1001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@1002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@1005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@1003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@1003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@1004                             ; EQ -> |//..| [............]..
          mov        sax, 0000023h                             ; NE -> |C#..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@1004: call            M1WFChar                             ; call: My own WritFileCharacter(SAX,LBP,LBX)
          jg         BJMP WFL@1006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@1005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@1005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80010005                             ; ErrorLabel: "WFL@1005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@1006: mov        sax, 0000023h                             ; fetch SAX := '#' 023h
          call            M1WFChar                             ; Write |C##.| [............]..
          jl         BJMP WFL@1007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C###| [............]..
          jg         BJMP WFL@1008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@1007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@1007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80010007                             ; ErrorLabel: "WFL@1007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@1008: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF1Dash                             ; Write |C###| [############]..
          jg         LJMP WFLine90                             ; GT -> |C###| [############]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@1009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@1009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80010009                             ; ErrorLabel: "WFL@1009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@2000: mov        sax, '@200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @20000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@2001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@2002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@2005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@2003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@2003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@2004                             ; EQ -> |//..| [............]..
          mov        sax, 0000025h                             ; NE -> |C%..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@2004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@2006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@2005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@2005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80020005                             ; ErrorLabel: "WFL@2005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@2006: mov        sax, 0000025h                             ; fetch SAX := '%' 025h
          call            M1WFChar                             ; Write |C%%.| [............]..
          jl         BJMP WFL@2007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C%%%| [............]..
          jg         BJMP WFL@2008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@2007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@2007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80020007                             ; ErrorLabel: "WFL@2007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@2008: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF2Dash                             ; Write |C%%%| [%%%%%%%%%%%%]..
          jg         LJMP WFLine90                             ; GT -> |C%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@2009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@2009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80020009                             ; ErrorLabel: "WFL@2009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@3000: mov        sax, '@300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @30000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@3001: mov        ldx, [lbp+000+iol_L4FILNUM]                ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]                ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@3002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@3005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@3003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@3003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@3004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@3004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@3006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@3005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@3005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80030005                             ; ErrorLabel: "WFL@3005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@3006: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah
          call            M1WFChar                             ; Write |C**.| [............]..
          jl         BJMP WFL@3007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C***| [............]..
          jg         BJMP WFL@3008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@3007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@3007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80030007                             ; ErrorLabel: "WFL@3007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@3008: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF3Dash                             ; Write |C***| [************]..
          jg         LJMP WFLine90                             ; GT -> |C***| [************]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@3009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@3009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80030009                             ; ErrorLabel: "WFL@3009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@4000: mov        sax, '@400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @40000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@4001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@4002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@4005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@4003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@4003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@4004                             ; EQ -> |//..| [............]..
          mov        sax, 000003Dh                             ; NE -> |C=..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@4004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@4006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@4005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@4005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80040005                             ; ErrorLabel: "WFL@4005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@4006: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh
          call            M1WFChar                             ; Write |C==.| [............]..
          jl         BJMP WFL@4007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C===| [............]..
          jg         BJMP WFL@4008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@4007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@4007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80040007                             ; ErrorLabel: "WFL@4007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@4008: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF4Dash                             ; Write |C===| [============]..
          jg         LJMP WFLine90                             ; GT -> |C===| [============]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@4009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@4009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80040009                             ; ErrorLabel: "WFL@4009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@5000: mov        sax, '@500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @50000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@5001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@5002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@5005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@5003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@5003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@5004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@5004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@5006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@5005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@5005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80050005                             ; ErrorLabel: "WFL@5005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@5006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C--.| [............]..
          jl         BJMP WFL@5007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C---| [............]..
          jg         BJMP WFL@5008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@5007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@5007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80050007                             ; ErrorLabel: "WFL@5007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@5008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |C---| [------------]..
          jg         LJMP WFLine90                             ; GT -> |C---| [------------]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@5009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@5009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80050009                             ; ErrorLabel: "WFL@5009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@6000: mov        sax, '@600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @60000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@6001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@6002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@6005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@6003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@6003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@6004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@6004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@6006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@6005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@6005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80060005                             ; ErrorLabel: "WFL@6005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@6006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL@6007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL@6008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@6007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@6007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80060007                             ; ErrorLabel: "WFL@6007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@6008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |C- -| [ - - - - - -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [ - - - - - -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@6009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@6009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80060009                             ; ErrorLabel: "WFL@6009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@7000: mov        sax, '@700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @70000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@7001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@7002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@7005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@7003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@7003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@7004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@7004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@7006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@7005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@7005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80070005                             ; ErrorLabel: "WFL@7005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@7006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL@7007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL@7008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@7007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@7007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80070007                             ; ErrorLabel: "WFL@7007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@7008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |C- -| [  -  -  -  -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [  -  -  -  -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@7009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@7009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80070009                             ; ErrorLabel: "WFL@7009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@8000: mov        sax, '@800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @80000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@8001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@8002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@8005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@8003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@8003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@8004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@8004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@8006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@8005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@8005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80080005                             ; ErrorLabel: "WFL@8005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@8006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL@8007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL@8008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@8007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@8007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80080007                             ; ErrorLabel: "WFL@8007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@8008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |C- -| [   -   -   -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [   -   -   -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@8009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@8009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80080009                             ; ErrorLabel: "WFL@8009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL@9000: mov        sax, '@900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  @90000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL@9001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL@9002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL@9005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@9003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@9003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL@9004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL@9004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL@9006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@9005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@9005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80090005                             ; ErrorLabel: "WFL@9005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@9006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL@9007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL@9008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@9007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@9007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80090007                             ; ErrorLabel: "WFL@9007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL@9008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |C- -| [     -     -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [     -     -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL@9009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL@9009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80090009                             ; ErrorLabel: "WFL@9009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL10000: mov        sax, '1000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  100000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL10001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL10002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL10005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL10003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL10003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL10004                             ; EQ -> |//..| [............]..
          mov        sax, 0000023h                             ; NE -> |C#..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL10004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL10010                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL10005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL10005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00100005                             ; ErrorLabel: "WFL10005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*==============================================================================================================
WFL10010: mov        sax, '1001'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  100010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL10012: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL10011: cmp        lax, BCST 011                             ; test: LAX == 10,11;GT ?
          jb         BJMP WFL1@000                             ; 10 -> |C#  | [           #]&n
          je         LJMP WFL11000                             ; 11 -> |C###| [############]&n
;* IsNext jmp        BJMP WFL10013                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL10013: cmp        lax, BCST 013                             ; test: LAX == 12,13;GT ?
          jb         LJMP WFL12000                             ; 12 -> |C#%%| [%%%%%%%%%%%#]&n
          je         LJMP WFL13000                             ; 13 -> |C#**| [***********#]&n
;* IsNext jmp        BJMP WFL10015                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL10015: cmp        lax, BCST 015                             ; test: LAX == 14,15;GT ?
          jb         LJMP WFL14000                             ; 14 -> |C#==| [===========#]&n
          je         LJMP WFL15000                             ; 15 -> |C#--| [-----------#]&n
;* IsNext jmp        BJMP WFL10017                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL10017: cmp        lax, BCST 017                             ; test: LAX == 16,17;GT ?
          jb         LJMP WFL16000                             ; 16 -> |C# -| [ - - - - - #]&n
          je         LJMP WFL17000                             ; 17 -> |C# -| [  -  -  -  #]&n
;* IsNext jmp        BJMP WFL10019                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL10019: cmp        lax, BCST 019                             ; test: LAX == 18,19;GT ?
          jb         LJMP WFL18000                             ; 18 -> |C# -| [   -   -   #]&n
          je         LJMP WFL19000                             ; 19 -> |C# -| [     -     #]&n
;* IsNext jmp        BJMP WFL1001E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL1001E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00100019                             ; ErrorLabel: "WFL10019"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL1@000: mov        sax, '1@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  1@0000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL1@001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C# .| [............]..
          jl         BJMP WFL1@003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL1@002: call            M1WFChar                             ; Write |C#  | [............]..
          jg         BJMP WFL1@004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL1@003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL1@003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80100003                             ; ErrorLabel: "WFL1@003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL1@004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF@Dash                             ; Write |C#  | [           #]..
          jg         LJMP WFLine90                             ; GT -> |C#  | [           #]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL1@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL1@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80100005                             ; ErrorLabel: "WFL1@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL11000: mov        sax, '1100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  110000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL11001: mov        sax, 0000023h                             ; fetch SAX := '#' 023h
          call            M1WFChar                             ; Write |C##.| [............]..
          jl         BJMP WFL11003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL11002: call            M1WFChar                             ; Write |C###| [............]..
          jg         BJMP WFL11004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL11003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL11003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00110003                             ; ErrorLabel: "WFL11003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL11004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF1Dash                             ; Write |C###| [############]..
          jg         LJMP WFLine90                             ; GT -> |C###| [############]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL11005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL11005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00110005                             ; ErrorLabel: "WFL11005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL12000: mov        sax, '1200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  120000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL12001: mov        sax, 0000025h                             ; fetch SAX := '%' 025h
          call            M1WFChar                             ; Write |C#%.| [............]..
          jl         BJMP WFL12003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL12002: call            M1WFChar                             ; Write |C#%%| [............]..
          jg         BJMP WFL12004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL12003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL12003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00120003                             ; ErrorLabel: "WFL12003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL12004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF2Dash                             ; Write |C#%%| [%%%%%%%%%%#]..
          jg         LJMP WFLine90                             ; GT -> |C#%%| [%%%%%%%%%%#]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL12005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL12005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00120005                             ; ErrorLabel: "WFL12005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL13000: mov        sax, '1300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  130000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL13001: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah
          call            M1WFChar                             ; Write |C#*.| [............]..
          jl         BJMP WFL13003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL13002: call            M1WFChar                             ; Write |C#**| [............]..
          jg         BJMP WFL13004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL13003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL13003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00130003                             ; ErrorLabel: "WFL13003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL13004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF3Dash                             ; Write |C#**| [***********#]..
          jg         LJMP WFLine90                             ; GT -> |C#**| [***********#]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL13005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL13005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00130005                             ; ErrorLabel: "WFL13005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL14000: mov        sax, '1400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  140000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL14001: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh
          call            M1WFChar                             ; Write |C#=.| [............]..
          jl         BJMP WFL14003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL14002: call            M1WFChar                             ; Write |C#==| [............]..
          jg         BJMP WFL14004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL14003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL14003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00140003                             ; ErrorLabel: "WFL14003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL14004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF4Dash                             ; Write |C#==| [===========#]..
          jg         LJMP WFLine90                             ; GT -> |C#==| [===========#]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL14005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL14005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00140005                             ; ErrorLabel: "WFL14005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL15000: mov        sax, '1500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  150000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL15001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C#-.| [............]..
          jl         BJMP WFL15003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL15002: call            M1WFChar                             ; Write |C#--| [............]..
          jg         BJMP WFL15004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL15003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL15003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00150003                             ; ErrorLabel: "WFL15003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL15004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |C#--| [-----------#]..
          jg         LJMP WFLine90                             ; GT -> |C#--| [-----------#]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL15005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL15005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00150005                             ; ErrorLabel: "WFL15005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL16000: mov        sax, '1600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  160000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL16001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C# .| [............]..
          jl         BJMP WFL16003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL16002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C# -| [............]..
          jg         BJMP WFL16004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL16003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL16003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00160003                             ; ErrorLabel: "WFL16003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL16004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |C# -| [ - - - - - #]..
          jg         LJMP WFLine90                             ; GT -> |C# -| [ - - - - - #]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL16005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL16005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00160005                             ; ErrorLabel: "WFL16005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL17000: mov        sax, '1700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  170000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL17001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C# .| [............]..
          jl         BJMP WFL17003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL17002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C# -| [............]..
          jg         BJMP WFL17004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL17003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL17003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00170003                             ; ErrorLabel: "WFL17003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL17004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |C# -| [  -  -  -  #]..
          jg         LJMP WFLine90                             ; GT -> |C# -| [  -  -  -  #]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL17005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL17005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00170005                             ; ErrorLabel: "WFL17005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL18000: mov        sax, '1800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  180000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL18001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C# .| [............]..
          jl         BJMP WFL18003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL18002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C# -| [............]..
          jg         BJMP WFL18004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL18003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL18003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00180003                             ; ErrorLabel: "WFL18003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL18004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |C# -| [   -   -   #]..
          jg         LJMP WFLine90                             ; GT -> |C# -| [   -   -   #]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL18005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL18005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00180005                             ; ErrorLabel: "WFL18005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL19000: mov        sax, '1900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  190000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL19001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C# .| [............]..
          jl         BJMP WFL19003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL19002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C# -| [............]..
          jg         BJMP WFL19004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL19003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL19003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00190003                             ; ErrorLabel: "WFL19003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL19004: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |C# -| [     -     #]..
          jg         LJMP WFLine90                             ; GT -> |C# -| [     -     #]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL19005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL19005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00190005                             ; ErrorLabel: "WFL19005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL20000: mov        sax, '2000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  200000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL20001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL20002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL20005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL20003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL20003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL20004                             ; EQ -> |//..| [............]..
          mov        sax, 0000025h                             ; NE -> |C%..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL20004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL20010                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL20005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL20005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00200005                             ; ErrorLabel: "WFL20005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*==============================================================================================================
WFL20010: mov        sax, '2001'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  200010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL2001@: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL20011: cmp        lax, BCST 021                             ; test: LAX == 20,21;GT ?
          jb         BJMP WFL2@000                             ; 20 -> |C%  | [           %]&n
          je         LJMP WFL21000                             ; 21 -> |C%##| [###########%]&n
;* IsNext jmp        BJMP WFL20013                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL20013: cmp        lax, BCST 023                             ; test: LAX == 22,23;GT ?
          jb         LJMP WFL22000                             ; 22 -> |C%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFL23000                             ; 23 -> |C%**| [***********%]&n
;* IsNext jmp        BJMP WFL20015                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL20015: cmp        lax, BCST 025                             ; test: LAX == 24,25;GT ?
          jb         LJMP WFL24000                             ; 24 -> |C%==| [===========%]&n
          je         LJMP WFL25000                             ; 25 -> |C%--| [-----------%]&n
;* IsNext jmp        BJMP WFL20017                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL20017: cmp        lax, BCST 027                             ; test: LAX == 26,27;GT ?
          jb         LJMP WFL26000                             ; 26 -> |C% -| [ - - - - - %]&n
          je         LJMP WFL27000                             ; 27 -> |C% -| [  -  -  -  %]&n
;* IsNext jmp        BJMP WFL20019                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL20019: cmp        lax, BCST 029                             ; test: L    AX == 28,29;GT ?
          jb         LJMP WFL28000                             ; 28 -> |C% -| [   -   -   %]&n
          je         LJMP WFL29000                             ; 29 -> |C% -| [     -     %]&n
;* IsNext jmp        BJMP WFL2001E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL2001E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00200019                             ; ErrorLabel: "WFL20019"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL2@000: mov        sax, '2@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  2@0000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL2@001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C% .| [............]..
          jl         BJMP WFL2@003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL2@002: call            M1WFChar                             ; Write |C%  | [............]..
          jg         BJMP WFL2@004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL2@003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL2@003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80200003                             ; ErrorLabel: "WFL2@003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL2@004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF@Dash                             ; Write |C%  | [           %]..
          jg         LJMP WFLine90                             ; GT -> |C%  | [           %]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL2@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL2@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80200005                             ; ErrorLabel: "WFL2@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL21000: mov        sax, '2100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  210000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL21001: mov        sax, 0000023h                             ; fetch SAX := '#' 023h
          call            M1WFChar                             ; Write |C%#.| [............]..
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
          jl         BJMP WFL21003                             ; LT -> Error: Mystical     
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL21002: call            M1WFChar                             ; Write |C%##| [............]..
          jg         BJMP WFL21004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL21003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL21003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00210003                             ; ErrorLabel: "WFL21003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL21004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF1Dash                             ; Write |C%##| [###########%]..
          jg         LJMP WFLine90                             ; GT -> |C%##| [###########%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL21005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL21005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00210005                             ; ErrorLabel: "WFL21005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL22000: mov        sax, '2200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  220000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL22001: mov        sax, 0000025h                             ; fetch SAX := '%' 025h
          call            M1WFChar                             ; Write |C%%.| [............]..
          jl         BJMP WFL22003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL22002: call            M1WFChar                             ; Write |C%%%| [............]..
          jg         BJMP WFL22004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL22003                             ; LE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL22003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00220003                             ; ErrorLabel: "WFL22003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL22004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF2Dash                             ; Write |C%%%| [%%%%%%%%%%%%]..
          jg         LJMP WFLine90                             ; GT -> |C%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL22005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL22005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00220005                             ; ErrorLabel: "WFL22005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL23000: mov        sax, '2300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  230000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL23001: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah
          call            M1WFChar                             ; Write |C%*.| [............]..
          jl         BJMP WFL23003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL23002: call            M1WFChar                             ; Write |C%**| [............]..
          jg         BJMP WFL23004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL23003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL23003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00230003                             ; ErrorLabel: "WFL23003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL23004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF3Dash                             ; Write |C%**| [***********%]..
          jg         LJMP WFLine90                             ; GT -> |C%**| [***********%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL23005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL23005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00230005                             ; ErrorLabel: "WFL23005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL24000: mov        sax, '2400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  240000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL24001: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh
          call            M1WFChar                             ; Write |C%=.| [............]..
          jl         BJMP WFL24003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL24002: call            M1WFChar                             ; Write |C%==| [............]..
          jg         BJMP WFL24004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL24003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL24003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00240003                             ; ErrorLabel: "WFL24003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL24004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF4Dash                             ; Write |C%==| [===========%]..
          jg         LJMP WFLine90                             ; GT -> |C%==| [===========%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL24005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL24005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00240005                             ; ErrorLabel: "WFL24005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL25000: mov        sax, '2500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  250000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL25001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C%-.| [............]..
          jl         BJMP WFL25003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL25002: call            M1WFChar                             ; Write |C%--| [............]..
          jg         BJMP WFL25004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL25003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL25003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00250003                             ; ErrorLabel: "WFL25003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL25004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |C%--| [-----------%]..
          jg         LJMP WFLine90                             ; GT -> |C%--| [-----------%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL25005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL25005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00250005                             ; ErrorLabel: "WFL25005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL26000: mov        sax, '2600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  260000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL26001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C% .| [............]..
          jl         BJMP WFL26003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL26002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C% -| [............]..
          jg         BJMP WFL26004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL26003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL26003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00260003                             ; ErrorLabel: "WFL26003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL26004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |C% -| [ - - - - - %]..
          jg         LJMP WFLine90                             ; GT -> |C% -| [ - - - - - %]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL26005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL26005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00260005                             ; ErrorLabel: "WFL26005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL27000: mov        sax, '2700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  270000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL27001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C% .| [............]..
          jl         BJMP WFL27003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL27002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C% -| [............]..
          jg         BJMP WFL27004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL27003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL27003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00270003                             ; ErrorLabel: "WFL27003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL27004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |C% -| [  -  -  -  %]..
          jg         LJMP WFLine90                             ; GT -> |C% -| [  -  -  -  %]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL27005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL27005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00270005                             ; ErrorLabel: "WFL27005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL28000: mov        sax, '2800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  280000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL28001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C% .| [............]..
          jl         BJMP WFL28003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL28002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C% -| [............]..
          jg         BJMP WFL28004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL28003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL28003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280003                             ; ErrorLabel: "WFL28003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL28004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |C% -| [   -   -   %]..
          jg         LJMP WFLine90                             ; GT -> |C% -| [   -   -   %]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL28005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL28005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00280005                             ; ErrorLabel: "WFL28005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL29000: mov        sax, '2900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  290000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL29001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C% .| [............]..
          jl         BJMP WFL29003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL29002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C% -| [............]..
          jg         BJMP WFL29004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL29003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL29003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290003                             ; ErrorLabel: "WFL29003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL29004: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |C% -| [     -     %]..
          jg         LJMP WFLine90                             ; GT -> |C% -| [     -     %]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL29005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL29005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00290005                             ; ErrorLabel: "WFL29005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL30000: mov        sax, '3000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  300000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL30001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL30002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL30005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL30003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL30003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL30004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL30004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL30010                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL30005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL30005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00300005                             ; ErrorLabel: "WFL30005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*==============================================================================================================
WFL30010: mov        sax, '3001'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  300010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL3001@: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL30011: cmp        lax, BCST 031                             ; test: LAX == 30,31;GT ?
          jb         BJMP WFL3@000                             ; 30 -> |C*  | [           *]&n
          je         LJMP WFL31000                             ; 31 -> |C*##| [###########*]&n
;* IsNext jmp        BJMP WFL30013                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL30013: cmp        lax, BCST 033                             ; test: LAX == 32,33;GT ?
          jb         LJMP WFL32000                             ; 32 -> |C*%%| [%%%%%%%%%%%*]&n
          je         LJMP WFL33000                             ; 33 -> |C***| [************]&n
;* IsNext jmp        BJMP WFL30015                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL30015: cmp        lax, BCST 035                             ; test: LAX == 34,35;GT ?
          jb         LJMP WFL34000                             ; 34 -> |C*==| [===========*]&n
          je         LJMP WFL35000                             ; 35 -> |C*--| [-----------*]&n
;* IsNext jmp        BJMP WFL30017                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL30017: cmp        lax, BCST 037                             ; test: LAX == 36,37;GT ?
          jb         LJMP WFL36000                             ; 36 -> |C* -| [ - - - - - *]&n
          je         LJMP WFL37000                             ; 37 -> |C* -| [  -  -  -  *]&n
;* IsNext jmp        BJMP WFL30019                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL30019: cmp        lax, BCST 039                             ; test: LAX == 38,39;GT ?
          jb         LJMP WFL38000                             ; 38 -> |C* -| [   -   -   *]&n
          je         LJMP WFL39000                             ; 39 -> |C* -| [     -     *]&n
;* IsNext jmp        BJMP WFL3001E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL3001E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00300019                             ; ErrorLabel: "WFL30019"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL3@000: mov        sax, '3@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  3@0000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL3@001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL3@003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL3@002: call            M1WFChar                             ; Write |C*  | [............]..
          jg         BJMP WFL3@004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL3@003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL3@003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80300003                             ; ErrorLabel: "WFL3@003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL3@004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF@Dash                             ; Write |C*  | [           *]..
          jg         LJMP WFLine90                             ; GT -> |C*  | [           *]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL3@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL3@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80300005                             ; ErrorLabel: "WFL3@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL31000: mov        sax, '3100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  310000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL31001: mov        sax, 0000023h                             ; fetch SAX := '#' 023h
          call            M1WFChar                             ; Write |C*#.| [............]..
          jl         BJMP WFL31003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL31002: call            M1WFChar                             ; Write |C*##| [............]..
          jg         BJMP WFL31004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL31003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL31003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00310003                             ; ErrorLabel: "WFL31003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL31004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF1Dash                             ; Write |C*##| [###########*]..
          jg         LJMP WFLine90                             ; GT -> |C*##| [###########*]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL31005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL31005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00310005                             ; ErrorLabel: "WFL31005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL32000: mov        sax, '3200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  320000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL32001: mov        sax, 0000025h                             ; fetch SAX := '%' 025h
          call            M1WFChar                             ; Write |C*%.| [............]..
          jl         BJMP WFL32003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL32002: call            M1WFChar                             ; Write |C*%%| [............]..
          jg         BJMP WFL32004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL32003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL32003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00320003                             ; ErrorLabel: "WFL32003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL32004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF2Dash                             ; Write |C*%%| [%%%%%%%%%%%*]..
          jg         LJMP WFLine90                             ; GT -> |C*%%| [%%%%%%%%%%%*]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL32005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL32005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00320005                             ; ErrorLabel: "WFL32005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL33000: mov        sax, '3300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  330000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL33001: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah
          call            M1WFChar                             ; Write |C**.| [............]..
          jl         BJMP WFL33003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL33002: call            M1WFChar                             ; Write |C***| [............]..
          jg         BJMP WFL33004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL33003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL33003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00330003                             ; ErrorLabel: "WFL33003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL33004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF3Dash                             ; Write |C***| [************]..
          jg         LJMP WFLine90                             ; GT -> |C***| [************]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL33005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL33005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00330005                             ; ErrorLabel: "WFL33005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL34000: mov        sax, '3400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  340000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL34001: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh
          call            M1WFChar                             ; Write |C*=.| [............]..
          jl         BJMP WFL34003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL34002: call            M1WFChar                             ; Write |C*==| [............]..
          jg         BJMP WFL34004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL34003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL34003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00340003                             ; ErrorLabel: "WFL34003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL34004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF4Dash                             ; Write |C*==| [===========*]..
          jg         LJMP WFLine90                             ; GT -> |C*==| [===========*]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL34005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL34005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00340005                             ; ErrorLabel: "WFL34005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL35000: mov        sax, '3500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  350000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL35001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C*-.| [............]..
          jl         BJMP WFL35003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL35002: call            M1WFChar                             ; Write |C*--| [............]..
          jg         BJMP WFL35004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL35003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL35003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00350003                             ; ErrorLabel: "WFL35003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL35004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |C*--| [-----------*]..
          jg         LJMP WFLine90                             ; GT -> |C*--| [-----------*]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL35005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL35005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00350005                             ; ErrorLabel: "WFL35005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL36000: mov        sax, '3600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  360000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL36001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL36003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL36002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL36004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL36003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL36003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00360003                             ; ErrorLabel: "WFL36003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL36004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |C* -| [ - - - - - *]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [ - - - - - *]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL36005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL36005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00360005                             ; ErrorLabel: "WFL36005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL37000: mov        sax, '3700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  370000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL37001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL37003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL37002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL37004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL37003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL37003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00370003                             ; ErrorLabel: "WFL37003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL37004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |C* -| [  -  -  -  *]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [  -  -  -  *]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL37005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL37005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00370005                             ; ErrorLabel: "WFL37005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL38000: mov        sax, '3800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  380000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL38001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL38003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL38002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL38004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL38003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL38003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00380003                             ; ErrorLabel: "WFL38003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL38004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |C* -| [   -   -   *]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [   -   -   *]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL38005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL38005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00380005                             ; ErrorLabel: "WFL38005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL39000: mov        sax, '3900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  390000
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL39001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL39003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL39002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL39004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL39003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL39003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00390003                             ; ErrorLabel: "WFL39003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL39004: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |C* -| [     -     *]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [     -     *]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL39005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL39005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00390005                             ; ErrorLabel: "WFL39005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL40000: mov        sax, '4000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  400000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL40001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL40002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL40005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL40003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL40003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL40004                             ; EQ -> |//..| [............]..
          mov        sax, 000003Dh                             ; NE -> |C=..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL40004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL40010                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL40005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL40005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00400005                             ; ErrorLabel: "WFL40005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*==============================================================================================================
WFL40010: mov        sax, '4001'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  400010
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL4001@: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL40011: cmp        lax, BCST 041                             ; test: LAX == 40,41;GT ?
          jb         BJMP WFL4@000                             ; 40 -> |C=  | [           =]&n
          je         LJMP WFL41000                             ; 41 -> |C=##| [###########=]&n
;* IsNext jmp        BJMP WFL40013                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL40013: cmp        lax, BCST 043                             ; test: LAX == 42,43;GT ?
          jb         LJMP WFL42000                             ; 42 -> |C=%%| [%%%%%%%%%%%=]&n
          je         LJMP WFL43000                             ; 43 -> |C=**| [***********=]&n
;* IsNext jmp        BJMP WFL40015                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL40015: cmp        lax, BCST 045                             ; test: LAX == 44,45;GT ?
          jb         LJMP WFL44000                             ; 44 -> |C===| [============]&n
          je         LJMP WFL45000                             ; 45 -> |C=--| [-----------=]&n
;* IsNext jmp        BJMP WFL40017                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL40017: cmp        lax, BCST 047                             ; test: LAX == 46,47;GT ?
          jb         LJMP WFL46000                             ; 46 -> |C= -| [ - - - - - =]&n
          je         LJMP WFL47000                             ; 47 -> |C= -| [  -  -  -  =]&n
;* IsNext jmp        BJMP WFL40019                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL40019: cmp        lax, BCST 049                             ; test: LAX == 48,49;GT ?
          jb         LJMP WFL48000                             ; 48 -> |C= -| [   -   -   =]&n
          je         LJMP WFL49000                             ; 49 -> |C= -| [     -     =]&n
;* IsNext jmp        BJMP WFL4001E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL4001E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00400019                             ; ErrorLabel: "WFL40019"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL4@000: mov        sax, '4@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  4@0000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL4@001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C= .| [............]..
          jl         BJMP WFL4@003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL4@002: call            M1WFChar                             ; Write |C=  | [............]..
          jg         BJMP WFL4@004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL4@003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL4@003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80400003                             ; ErrorLabel: "WFL4@003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL4@004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF@Dash                             ; Write |C=  | [           =]..
          jg         LJMP WFLine90                             ; GT -> |C=  | [           =]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL4@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL4@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80400005                             ; ErrorLabel: "WFL4@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL41000: mov        sax, '4100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  410000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL41001: mov        sax, 0000023h                             ; fetch SAX := '#' 023h
          call            M1WFChar                             ; Write |C=#.| [............]..
          jl         BJMP WFL41003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL41002: call            M1WFChar                             ; Write |C=##| [............]..
          jg         BJMP WFL41004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL41003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL41003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00410003                             ; ErrorLabel: "WFL41003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL41004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF1Dash                             ; Write |C=##| [###########=]..
          jg         LJMP WFLine90                             ; GT -> |C=##| [###########=]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL41005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL41005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00410005                             ; ErrorLabel: "WFL41005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL42000: mov        sax, '4200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  420000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL42001: mov        sax, 0000025h                             ; fetch SAX := '%' 025h
          call            M1WFChar                             ; Write |C=%.| [............]..
          jl         BJMP WFL42003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL42002: call            M1WFChar                             ; Write |C=%%| [............]..
          jg         BJMP WFL42004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL42003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL42003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00420003                             ; ErrorLabel: "WFL42003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL42004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF2Dash                             ; Write |C=%%| [%%%%%%%%%%%=]..
          jg         LJMP WFLine90                             ; GT -> |C=%%| [%%%%%%%%%%%=]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL42005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL42005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00420005                             ; ErrorLabel: "WFL42005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL43000: mov        sax, '4300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  430000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL43001: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah
          call            M1WFChar                             ; Write |C=*.| [............]..
          jl         BJMP WFL43003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL43002: call            M1WFChar                             ; Write |C=**| [............]..
          jg         BJMP WFL43004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL43003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL43003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00430003                             ; ErrorLabel: "WFL43003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL43004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF3Dash                             ; Write |C=**| [***********=]..
          jg         LJMP WFLine90                             ; GT -> |C=**| [***********=]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL43005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL43005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00430005                             ; ErrorLabel: "WFL43005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL44000: mov        sax, '4400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  440000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL44001: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh
          call            M1WFChar                             ; Write |C==.| [............]..
          jl         BJMP WFL44003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL44002: call            M1WFChar                             ; Write |C===| [............]..
          jg         BJMP WFL44004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL44003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL44003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00440003                             ; ErrorLabel: "WFL44003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL44004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF4Dash                             ; Write |C===| [============]..
          jg         LJMP WFLine90                             ; GT -> |C===| [============]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL44005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL44005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00440005                             ; ErrorLabel: "WFL44005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL45000: mov        sax, '4500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  450000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL45001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C=-.| [............]..
          jl         BJMP WFL45003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL45002: call            M1WFChar                             ; Write |C=--| [............]..
          jg         BJMP WFL45004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL45003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL45003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00450003                             ; ErrorLabel: "WFL45003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL45004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |C=--| [-----------=]..
          jg         LJMP WFLine90                             ; GT -> |C=--| [-----------=]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL45005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL45005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00450005                             ; ErrorLabel: "WFL45005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL46000: mov        sax, '4600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  460000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL46001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C= .| [............]..
          jl         BJMP WFL46003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL46002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C= -| [............]..
          jg         BJMP WFL46004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL46003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL46003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00460003                             ; ErrorLabel: "WFL46003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL46004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |C= -| [ - - - - - =]..
          jg         LJMP WFLine90                             ; GT -> |C= -| [ - - - - - =]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL46005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL46005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00460005                             ; ErrorLabel: "WFL46005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL47000: mov        sax, '4700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  470000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL47001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C= .| [............]..
          jl         BJMP WFL47003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL47002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C= -| [............]..
          jg         BJMP WFL47004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL47003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL47003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00470003                             ; ErrorLabel: "WFL47003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL47004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |C= -| [  -  -  -  =]..
          jg         LJMP WFLine90                             ; GT -> |C= -| [  -  -  -  =]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL47005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL47005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00470005                             ; ErrorLabel: "WFL47005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL48000: mov        sax, '4800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  480000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL48001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C= .| [............]..
          jl         BJMP WFL48003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL48002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C= -| [............]..
          jg         BJMP WFL48004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL48003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL48003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00480003                             ; ErrorLabel: "WFL48003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL48004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |C= -| [   -   -   =]..
          jg         LJMP WFLine90                             ; GT -> |C= -| [   -   -   =]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL48005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL48005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00480005                             ; ErrorLabel: "WFL48005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL49000: mov        sax, '4900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  490000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL49001: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C= .| [............]..
          jl         BJMP WFL49003                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL49002: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C= -| [............]..
          jg         BJMP WFL49004                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL49003                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL49003: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00490003                             ; ErrorLabel: "WFL49003"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL49004: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |C= -| [     -     =]..
          jg         LJMP WFLine90                             ; GT -> |C= -| [     -     =]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL49005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL49005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00490005                             ; ErrorLabel: "WFL49005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL50000: mov        sax, '5000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  500000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL50002: mov        sax, [lsi+WFL_StackLAX]                   ; fetch SAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL50001: cmp        sax, BCST 051                             ; test: SAX == 50,51;GT ?
          jb         BJMP WFL5@000                             ; 50 -> |C#  | [            ]&n
          je         LJMP WFL51000                             ; 51 -> |C###| [############]&n
;* IsNext jmp        BJMP WFL50003                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL50003: cmp        sax, BCST 053                             ; test: SAX == 52,53;GT ?
          jb         LJMP WFL52000                             ; 52 -> |C%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFL53000                             ; 53 -> |C***| [************]&n
;* IsNext jmp        BJMP WFL50005                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL50005: cmp        sax, BCST 055                             ; test: SAX == 54,55;GT ?
          jb         LJMP WFL54000                             ; 54 -> |C*==| [============]&n
          je         LJMP WFL55000                             ; 55 -> |C*--| [------------]&n
;* IsNext jmp        BJMP WFL50007                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL50007: cmp        sax, BCST 057                             ; test: SAX == 56,57;GT ?
          jb         LJMP WFL56000                             ; 56 -> |C* -| [ - - - - - -]&n
          je         LJMP WFL57000                             ; 57 -> |C* -| [  -  -  -  -]&n
;* IsNext jmp        BJMP WFL50009                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL50009: cmp        sax, BCST 059                             ; test: SAX == 58,59;GT ?
          jb         LJMP WFL58000                             ; 58 -> |C* -| [   -   -   -]&n
          je         LJMP WFL59000                             ; 59 -> |C* -| [     -     -]&n
;* IsNext jmp        BJMP WFL5000E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL5000E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00500009                             ; ErrorLabel: "WFL50009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL5@000: mov        sax, '5@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  5@0000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL5@001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL5@002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL5@005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL5@003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL5@003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL5@004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL5@004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL5@006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL5@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL5@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80500005                             ; ErrorLabel: "WFL5@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL5@006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C# .| [............]..
          jl         BJMP WFL5@007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* is Ok! mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C#  | [............]..
          jg         BJMP WFL5@008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL5@007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL5@007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80500007                             ; ErrorLabel: "WFL5@007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL5@008: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF@Dash                             ; Write |C#  | [            ]..
          jg         LJMP WFLine90                             ; GT -> |C#  | [            ]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL5@009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL5@009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80500009                             ; ErrorLabel: "WFL5@009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL51000: mov        sax, '5100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  510000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL51001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL51002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL51005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL51003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL51003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL51004                             ; EQ -> |//..| [............]..
          mov        sax, 0000023h                             ; NE -> |C#..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL51004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL51006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL51005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL51005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00510005                             ; ErrorLabel: "WFL51005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL51006: mov        sax, 0000023h                             ; fetch SAX := '#' 023h
          call            M1WFChar                             ; Write |C##.| [............]..
          jl         BJMP WFL51007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C###| [............]..
          jg         BJMP WFL51008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL51007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL51007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00510007                             ; ErrorLabel: "WFL51007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL51008: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF1Dash                             ; Write |C###| [############]..
          jg         LJMP WFLine90                             ; GT -> |C###| [############]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL51009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL51009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00510009                             ; ErrorLabel: "WFL51009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL52000: mov        sax, '5200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  520000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL52001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL52002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL52005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL52003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL52003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL52004                             ; EQ -> |//..| [............]..
          mov        sax, 0000025h                             ; NE -> |C%..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL52004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL52006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL52005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL52005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00520005                             ; ErrorLabel: "WFL52005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL52006: mov        sax, 0000025h                             ; fetch SAX := '%' 025h
          call            M1WFChar                             ; Write |C%%.| [............]..
          jl         BJMP WFL52007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C%%%| [............]..
          jg         BJMP WFL52008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL52007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL52007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00520007                             ; ErrorLabel: "WFL52007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL52008: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF2Dash                             ; Write |C%%%| [%%%%%%%%%%%%]..
          jg         LJMP WFLine90                             ; GT -> |C%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL52009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL52009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00520009                             ; ErrorLabel: "WFL52009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL53000: mov        sax, '5300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  530000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL53001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL53002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL53005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL53003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL53003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL53004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL53004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL53006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL53005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL53005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00530005                             ; ErrorLabel: "WFL53005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL53006: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah
          call            M1WFChar                             ; Write |C**.| [............]..
          jl         BJMP WFL53007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C***| [............]..
          jg         BJMP WFL53008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL53007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL53007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00530007                             ; ErrorLabel: "WFL53007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL53008: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF3Dash                             ; Write |C***| [************]..
          jg         LJMP WFLine90                             ; GT -> |C***| [************]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL53009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL53009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00530009                             ; ErrorLabel: "WFL53009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL54000: mov        sax, '5400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  540000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL54001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL54002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL54005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL54003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL54003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL54004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL54004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL54006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL54005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL54005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00540005                             ; ErrorLabel: "WFL54005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL54006: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh
          call            M1WFChar                             ; Write |C*=.| [............]..
          jl         BJMP WFL54007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C*==| [............]..
          jg         BJMP WFL54008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL54007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL54007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00540007                             ; ErrorLabel: "WFL54007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL54008: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF4Dash                             ; Write |C*==| [============]..
          jg         LJMP WFLine90                             ; GT -> |C*==| [============]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL54009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL54009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00540009                             ; ErrorLabel: "WFL54009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL55000: mov        sax, '5500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  550000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL55001: mov        ldx,[lbp+000+iol_L4FILNUM]                ; fetch LDX := EvaFILNUM offset
          mov        sax,[lbx+ldx+ios_W00CmChr]                ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL55002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL55005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL55003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL55003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL55004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL55004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL55006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL55005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL55005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00550005                             ; ErrorLabel: "WFL55005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL55006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C*-.| [............]..
          jl         BJMP WFL55007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C*--| [............]..
          jg         BJMP WFL55008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL55007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL55007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00550007                             ; ErrorLabel: "WFL55007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL55008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |C*--| [------------]..
          jg         LJMP WFLine90                             ; GT -> |C*--| [------------]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL55009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL55009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00550009                             ; ErrorLabel: "WFL55009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL56000: mov        sax, '5600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  560000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL56001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL56002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL56005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL56003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL56003: cmp        sax, BCST 2Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL56004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL56004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL56006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL56005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL56005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00560005                             ; ErrorLabel: "WFL56005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL56006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL56007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL56008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL56007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL56007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00560007                             ; ErrorLabel: "WFL56007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL56008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |C* -| [ - - - - - -]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [ - - - - - -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL56009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL56009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00560009                             ; ErrorLabel: "WFL56009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL57000: mov        sax, '5700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  570000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL57001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL57002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL57005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL57003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL57003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL57004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL57004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL57006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL57005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL57005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00570005                             ; ErrorLabel: "WFL57005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL57006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL57007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL57008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL57007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL57007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00570007                             ; ErrorLabel: "WFL57007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL57008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |C* -| [  -  -  -  -]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [  -  -  -  -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL57009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL57009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00570009                             ; ErrorLabel: "WFL57009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL58000: mov        sax, '5800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  580000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL58001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL58002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL58005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL58003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL58003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL58004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL58004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL58006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL58005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL58005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00580005                             ; ErrorLabel: "WFL58005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL58006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL58007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL58008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL58007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL58007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00580007                             ; ErrorLabel: "WFL58007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL58008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |C* -| [   -   -   -]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [   -   -   -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL58009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL58009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00580009                             ; ErrorLabel: "WFL58009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL59000: mov        sax, '5900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  590000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL59001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL59002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL59005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL59003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL59003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL59004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Ah                             ; NE -> |C*..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL59004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL59006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL59005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL59005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00590005                             ; ErrorLabel: "WFL59005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL59006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C* .| [............]..
          jl         BJMP WFL59007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C* -| [............]..
          jg         BJMP WFL59008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL59007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL59007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00590007                             ; ErrorLabel: "WFL59007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL59008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |C* -| [     -     -]..
          jg         LJMP WFLine90                             ; GT -> |C* -| [     -     -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL59009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL59009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00590009                             ; ErrorLabel: "WFL59009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL60000: mov        sax, '6000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  600000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL60002: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL60001: cmp        lax, BCST 061                             ; test: LAX == 60,61;GT ?
          jb         BJMP WFL6@000                             ; 60 -> |C   | LftStart
          je         LJMP WFL61000                             ; 61 -> |C#  | LftStart
;* IsNext jmp        BJMP WFL60003                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL60003: cmp        lax, BCST 063                             ; test: LAX == 62,63;GT ?
          jb         LJMP WFL62000                             ; 62 -> |C%  | LftStart
          je         LJMP WFL63000                             ; 63 -> |C*  | LftStart
;* IsNext jmp        BJMP WFL60005                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL60005: cmp        lax, BCST 065                             ; test: LAX == 64,65;GT ?
          jb         LJMP WFL64000                             ; 64 -> |C=  | LftStart
          je         LJMP WFL65000                             ; 65 -> |C---| [------------]&n
;* IsNext jmp        BJMP WFL60007                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL60007: cmp        lax, BCST 067                             ; test: LAX == 66,67;GT ?
          jb         LJMP WFL66000                             ; 66 -> |C- -| [ - - - - - -]&n
          je         LJMP WFL67000                             ; 67 -> |C- -| [  -  -  -  -]&n
;* IsNext jmp        BJMP WFL60009                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL60009: cmp        lax, BCST 069                             ; test: LAX == 68,69;GT ?
          jb         LJMP WFL68000                             ; 68 -> |C- -| [   -   -   -]&n
          je         LJMP WFL69000                             ; 69 -> |C- -| [     -     -]&n
;* IsNext jmp        BJMP WFL6000E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL6000E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00600009                             ; ErrorLabel: "WFL60009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL6@000: mov        sax, '6@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  6@0000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL6@001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL6@002: call            M1WFChar                             ; Write |C...| [Left .. Rgt ]&n
          jl         BJMP WFL6@005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL6@003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL6@003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL6@004                             ; EQ -> |//..| [Left .. Rgt ]&n
          mov        sax, 0000020h                             ; NE -> |C ..| [Left .. Rgt ]&n
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL6@004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         LJMP WFLineGT                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL6@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL6@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80600005                             ; ErrorLabel: "WFL6@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL61000: mov        sax, '6100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  610000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL61001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL61002: call            M1WFChar                             ; Write |C...| [Left .. Rgt*]&n
          jl         BJMP WFL61005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL61003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL61003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL61004                             ; EQ -> |//..| [Left .. Rgt*]&n
          mov        sax, 0000023h                             ; NE -> |C#..| [Left .. Rgt*]&n
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL61004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         LJMP WFLineGT                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL61005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL61005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00610005                             ; ErrorLabel: "WFL61005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL62000: mov        sax, '6200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  620000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL62001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL62002: call            M1WFChar                             ; Write |C...| [Left .. Rgt#]&n
          jl         BJMP WFL62005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL62003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL62003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL62004                             ; EQ -> |//..| [Left .. Rgt#]&n
          mov        sax, 0000025h                             ; NE -> |C%..| [Left .. Rgt#]&n
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL62004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         LJMP WFLineGT                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL62005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL62005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00620005                             ; ErrorLabel: "WFL62005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL63000: mov        sax, '6300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  630000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL63001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL63002: call            M1WFChar                             ; Write |C...| [Left .. Rgt%]&n
          jl         BJMP WFL63005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL63003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL63003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL63004                             ; EQ -> |//..| [Left .. Rgt%]&n
          mov        sax, 000002Ah                             ; NE -> |C*..| [Left .. Rgt%]&n
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL63004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         LJMP WFLineGT                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL63005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL63005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00630005                             ; ErrorLabel: "WFL63005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL64000: mov        sax, '6400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  640000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL64001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL64002: call            M1WFChar                             ; Write |C...| [Left .. Rgt=]&n
          jl         BJMP WFL64005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL64003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL64003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL64004                             ; EQ -> |//..| [Left .. Rgt=]&n
          mov        sax, 000003Dh                             ; NE -> |C=..| [Left .. Rgt=]&n
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL64004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         LJMP WFLineGT                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL64005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL64005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00640005                             ; ErrorLabel: "WFL64005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL65000: mov        sax, '6500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  650000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL65001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL65002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL65005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL65003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL65003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL65004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL65004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL65006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL65005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL65005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00650005                             ; ErrorLabel: "WFL65005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL65006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C--.| [............]..
          jl         BJMP WFL65007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C---| [............]..
          jg         BJMP WFL65008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL65007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL65007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00650007                             ; ErrorLabel: "WFL65007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL65008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |C---| [------------]..
          jg         LJMP WFLine90                             ; GT -> |C---| [------------]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL65009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL65009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00650009                             ; ErrorLabel: "WFL65009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL66000: mov        sax, '6600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  660000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL66001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL66002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL66005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL66003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL66003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL66004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -
WFL66004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL66006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL66005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL66005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00660005                             ; ErrorLabel: "WFL66005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL66006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL66007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL66008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL66007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL66007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00660007                             ; ErrorLabel: "WFL66007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL66008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |C- -| [ - - - - - -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [ - - - - - -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL66009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL66009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00660009                             ; ErrorLabel: "WFL66009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL67000: mov        sax, '6700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  670000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL67001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL67002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL67005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL67003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL67003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL67004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL67004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL67006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL67005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL67005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00670005                             ; ErrorLabel: "WFL67005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL67006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL67007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL67008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL67007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL67007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00670007                             ; ErrorLabel: "WFL67007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL67008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |C- -| [  -  -  -  -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [  -  -  -  -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL67009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL67009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00670009                             ; ErrorLabel: "WFL67009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL68000: mov        sax, '6800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  680000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL68001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL68002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL68005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL68003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL68003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL68004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL68004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL68006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL68005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL68005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00680005                             ; ErrorLabel: "WFL68005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL68006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL68007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL68008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL68007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL68007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00680007                             ; ErrorLabel: "WFL68007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL68008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |C- -| [   -   -   -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [   -   -   -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL68009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL68009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00680009                             ; ErrorLabel: "WFL68009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL69000: mov        sax, '6900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  690000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL69001: mov        ldx, [lbp+000+iol_L4FILNUM]               ; fetch LDX := EvaFILNUM offset
          mov        sax, [lbx+ldx+ios_W00CmChr]               ; fetch SAX := CommentCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL69002: call            M1WFChar                             ; Write |C...| [............]..
          jl         BJMP WFL69005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL69003                             ; GT -> Pretty Successi
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL69003: cmp        sax, BC 002Fh                             ; test: SAX == '/' 02Fh ?
          je         BJMP WFL69004                             ; EQ -> |//..| [............]..
          mov        sax, 000002Dh                             ; NE -> |C-..| [............]..
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL69004: call            M1WFChar                             ; call: My own WritFile Character(SAX,LBP,LBX)
          jg         BJMP WFL69006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL69005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL69005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00690005                             ; ErrorLabel: "WFL69005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL69006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |C- .| [............]..
          jl         BJMP WFL69007                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |C- -| [............]..
          jg         BJMP WFL69008                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL69007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL69007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00690007                             ; ErrorLabel: "WFL69007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL69008: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |C- -| [     -     -]..
          jg         LJMP WFLine90                             ; GT -> |C- -| [     -     -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL69009                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL69009: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00690009                             ; ErrorLabel: "WFL69009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFL70000: mov        sax, '7000'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  700000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL7000@: mov        lax, [lsi+WFL_StackLAX]                   ; fetch LAX := LineTypeSelector
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL70001: cmp        lax, BCST 071                             ; test: LAX == 70,71;GT ?
          jb         BJMP WFL7@000                             ; 70 -> |    | [            ]&n
          je         LJMP WFL71000                             ; 71 -> |####| [############]&n
;* IsNext jmp        BJMP WFL70003                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL70003: cmp        lax, BCST 073                             ; test: LAX == 72,73;GT ?
          jb         LJMP WFL72000                             ; 72 -> |%%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFL73000                             ; 73 -> |****| [************]&n
;* IsNext jmp        BJMP WFL70005                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL70005: cmp        lax, BCST 075                             ; test: LAX == 74,75;GT ?
          jb         LJMP WFL74000                             ; 74 -> |====| [============]&n
          je         LJMP WFL75000                             ; 75 -> |----| [------------]&n
;* IsNext jmp        BJMP WFL70007                             ; GT -> Search
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL70007: cmp        lax, BCST 077                             ; test: LAX == 76,77;GT ?
          jb         LJMP WFL76000                             ; 76 -> |-  -| [ - - - - - -]&n
          je         LJMP WFL77000                             ; 77 -> |-  -| [  -  -  -  -]&n
;* IsNext jmp        BJMP WFL70009                             ; GT -> Search Continue
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL70009: cmp        lax, BCST 079                             ; test: LAX == 78,79;GT ?
          jb         LJMP WFL78000                             ; 78 -> |-  -| [   -   -   -]&n
          je         LJMP WFL79000                             ; 79 -> |-  -| [     -     -]&n
;* IsNext jmp        BJMP WFL7000E                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL7000E: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00700009                             ; ErrorLabel: "WFL70009"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL7@000: mov        sax, '7@00'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  7@0000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL7@00@: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL7@001: call            M1WFChar                             ; Write | ...| [............]..
          jl         BJMP WFL7@005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL7@002: call            M1WFChar                             ; Write |  ..| [............]..
          jl         BJMP WFL7@005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL7@003: call            M1WFChar                             ; Write |   .| [............]..
          jl         BJMP WFL7@005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL7@004: call            M1WFChar                             ; Write |    | [............]..
          jg         BJMP WFL7@006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL7@005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL7@005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80700005                             ; ErrorLabel: "WFL7@005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL7@006: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF@Dash                             ; Write |    | [            ]..
          jg         LJMP WFLine90                             ; GT -> |    | [            ]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL7@007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL7@007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 80700007                             ; ErrorLabel: "WFL7@007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL71000: mov        sax, '7100'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  710000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL7100@: mov        sax, 0000023h                             ; fetch SAX := '#' 023h
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL71001: call            M1WFChar                             ; Write |#...| [............]..
          jl         BJMP WFL71005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL71002: call            M1WFChar                             ; Write |##..| [............]..
          jl         BJMP WFL71005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL71003: call            M1WFChar                             ; Write |###.| [............]..
          jl         BJMP WFL71005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL71004: call            M1WFChar                             ; Write |####| [............]..
          jg         BJMP WFL71006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL71005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL71005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00710005                             ; ErrorLabel: "WFL71005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL71006: mov        sax, 0000023h                             ; fetch SAX := '#' 023h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF1Dash                             ; Write |####| [############]..
          jg         LJMP WFLine90                             ; GT -> |####| [############]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL71007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL71007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00710007                             ; ErrorLabel: "WFL71007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL72000: mov        sax, '7200'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  720000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL7200@: mov        sax, 0000025h                             ; fetch SAX := '%' 025h
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL72001: call            M1WFChar                             ; Write |%...| [............]..
          jl         BJMP WFL72005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL72002: call            M1WFChar                             ; Write |%%..| [............]..
          jl         BJMP WFL72005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL72003: call            M1WFChar                             ; Write |%%%.| [............]..
          jl         BJMP WFL72005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL72004: call            M1WFChar                             ; Write |%%%%| [............]..
          jg         BJMP WFL72006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL72005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL72005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00720005                             ; ErrorLabel: "WFL72005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL72006: mov        sax, 0000025h                             ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF2Dash                             ; Write |%%%%| [%%%%%%%%%%%%]..
          jg         LJMP WFLine90                             ; GT -> |%%%%| [%%%%%%%%%%%%]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL72007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL72007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00720007                             ; ErrorLabel: "WFL72007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL73000: mov        sax, '7300'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  730000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL7300@: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL73001: call            M1WFChar                             ; Write |*...| [............]..
          jl         BJMP WFL73005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL73002: call            M1WFChar                             ; Write |**..| [............]..
          jl         BJMP WFL73005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL73003: call            M1WFChar                             ; Write |***.| [............]..
          jl         BJMP WFL73005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL73004: call            M1WFChar                             ; Write |****| [............]..
          jg         BJMP WFL73006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL73005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL73005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00730005                             ; ErrorLabel: "WFL73005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL73006: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF3Dash                             ; Write |****| [************]..
          jg         LJMP WFLine90                             ; GT -> |****| [************]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL73007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL73007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00730007                             ; ErrorLabel: "WFL73007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL74000: mov        sax, '7400'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  740000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL7400@: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL74001: call            M1WFChar                             ; Write |=...| [............]..
          jl         BJMP WFL74005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL74002: call            M1WFChar                             ; Write |==..| [............]..
          jl         BJMP WFL74005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL74003: call            M1WFChar                             ; Write |===.| [............]..
          jl         BJMP WFL74005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL74004: call            M1WFChar                             ; Write |====| [............]..
          jg         BJMP WFL74006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL74005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL74005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00740005                             ; ErrorLabel: "WFL74005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL74006: mov        sax, 000003Dh                             ; fetch SAX := '=' 03Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF4Dash                             ; Write |====| [============]..
          jg         LJMP WFLine90                             ; GT -> |====| [============]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL74007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL74007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00740007                             ; ErrorLabel: "WFL74007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL75000: mov        sax, '7500'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  750000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL7500@: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL75001: call            M1WFChar                             ; Write |-...| [............]..
          jl         BJMP WFL75005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL75002: call            M1WFChar                             ; Write |--..| [............]..
          jl         BJMP WFL75005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL75003: call            M1WFChar                             ; Write |---.| [............]..
          jl         BJMP WFL75005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFL75004: call            M1WFChar                             ; Write |----| [............]..
          jg         BJMP WFL75006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL75005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL75005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00750005                             ; ErrorLabel: "WFL75005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL75006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF5Dash                             ; Write |----| [------------]..
          jg         LJMP WFLine90                             ; GT -> |----| [------------]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL75007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL75007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00750007                             ; ErrorLabel: "WFL75007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL76000: mov        sax, '7600'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  760000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL76001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-...| [............]..
          jl         BJMP WFL76005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL76002: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |- ..| [............]..
          jl         BJMP WFL76005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;CL76003: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |-  .| [............]..
          jl         BJMP WFL76005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL76004: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-  -| [............]..
          jg         BJMP WFL76006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL76005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL76005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00760005                             ; ErrorLabel: "WFL76005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL76006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF6Dash                             ; Write |-  -| [ - - - - - -]..
          jg         LJMP WFLine90                             ; GT -> |-  -| [ - - - - - -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL76007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL76007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00760007                             ; ErrorLabel: "WFL76007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL77000: mov        sax, '7700'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  770000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL77001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-...| [............]..
          jl         BJMP WFL77005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL77002: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |- ..| [............]..
          jl         BJMP WFL77005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;CL77003: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |-  .| [............]..
          jl         BJMP WFL77005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL77004: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-  -| [............]..
          jg         BJMP WFL77006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL77005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL77005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00770005                             ; ErrorLabel: "WFL77005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL77006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF7Dash                             ; Write |-  -| [  -  -  -  -]..
          jg         LJMP WFLine90                             ; GT -> |-  -| [  -  -  -  -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL77007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL77007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00770007                             ; ErrorLabel: "WFL77007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL78000: mov        sax, '7800'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  780000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL78001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-...| [............]..
          jl         BJMP WFL78005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL78002: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |- ..| [............]..
          jl         BJMP WFL78005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* 78003: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |-  .| [............]..
          jl         BJMP WFL78005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL78004: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-  -| [............]..
          jg         BJMP WFL78006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL78005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL78005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00780005                             ; ErrorLabel: "WFL78005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL78006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF8Dash                             ; Write |-  -| [   -   -   -]..
          jg         LJMP WFLine90                             ; GT -> |-  -| [   -   -   -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL78007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL78007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00780007                             ; ErrorLabel: "WFL78007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFL79000: mov        sax, '7900'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  790000
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFL79001: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-...| [............]..
          jl         BJMP WFL79005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL79002: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |- ..| [............]..
          jl         BJMP WFL79005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;CL79003: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h
          call            M1WFChar                             ; Write |-  .| [............]..
          jl         BJMP WFL79005                             ; LT -> Error: Mystical     
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFL79004: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh
          call            M1WFChar                             ; Write |-  -| [............]..
          jg         BJMP WFL79006                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL79005                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL79005: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00790005                             ; ErrorLabel: "WFL79005"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFL79006: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            MyF9Dash                             ; Write |-  -| [     -     -]..
          jg         BJMP WFLine90                             ; GT -> |-  -| [     -     -]&n
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFL79007                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFL79007: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00790007                             ; ErrorLabel: "WFL79007"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;###############################################################################################################
WFLine90: mov        sax, 'WFL9'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  000090
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFLine9@: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
          cmp        lax, [lbp+000+iol_FmComRgt]               ; test: LAX == WritFile  Comment Right ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          je         BJMP WFLine92                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP WFLine91                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine91: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000091                             ; ErrorLabel: "WFLine91"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
;* Used ? jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFLine92: call            S1WFNwLn                             ; call: System WritFile NewLine(LSI,LBP,LBX)
          jg         BJMP WFLine94                             ; GT -> Pretty Successi
          je         LJMP WFLineEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFLine93                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine93: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000093                             ; ErrorLabel: "WFLine93"
          call            E2WFLine                             ; ErrorMessag "MyWFLine"
          jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFLine94: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          cmp        lax, BCST 000                             ; test: LAX == 00000000 ?
          je         BJMP WFLine96                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP WFLine95                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine95: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;?        mov        scx, 00000095                             ; ErrorLabel: "WFLine95"
;?        call            E2WFLine                             ; ErrorMessag "MyWFLine"
;?        jmp        LJMP WFLineLT                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFLine96: mov        BVAL [lbp+iol_InComent] , 0000            ; store 000 => OutsideComment !
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLine97: mov        sax, [lbp+iol_WrNamAtt]                   ; fetch SAX := WriteCommentAttr
;* ?      mov        sax,          01110010b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* debugs mov        sax,          00000001b                   ; fetch SAX := BgFg<IRGB|IRGB>b
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFLine98: mov        SVAL [lbp+iol_WrChrAtt] , sax             ; store SAX => WrtCharAttribute
WFLine99: mov        BVAL [lbp+iol_IsChrAtt] , 000             ; store 000 => IstCharAttribute
;*==============================================================================================================
WFLineGT: mov        scx,+00000001                             ; fetch SCX := +1 for "GT"
;% IsNext jmp        BJMP WFLineZ0                             ; condition to return "GT"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFLineZ0: mov        sax, 'WFLZ'                               ; fetch SAX := (W)rt(F)il(L)ine <?>  0000Z0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFLineGT                             ; Goto: End
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*        mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMillisecondSleep(SAX,SDX)
;*==============================================================================================================
WFLineZ3: cmp        scx, BCST 000                             ; Test: SCX as ReturnCondition
;*--------------------------------------------------------------------------------------------------------------
WFLineZ4: mov        lsp, [lsp+wfl_PnWflTop]                   ; Fetch LSP := WrtFilLin_Pnter.WriteFileLine.Topp
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLineZ5: pop        lax                                       ; Fetch LAX := TOP[+0000 +0000 +0000 +0000 +0000]
          pop        ldx                                       ; Fetch LDX := TOP[+0004 +0008 +0016 +0032 +0064]
          pop        lcx                                       ; Fetch LCX := TOP[+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFLineZ6: pop        ldi                                       ; Fetch LDI := TOP[+0012 +0024 +0048 +0096 +0192]
          pop        lsi                                       ; Fetch LSI := TOP[+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* LinZ7: pop        lbx                                       ; Fetch LBX := TOP[+0020 +0040 +0080 +0160 +0320]
;* IsKept pop        lbp                                       ; Fetch LBP := TOP[+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* LinZ8: pop        l12                                       ; Fetch L12 := TOP[+0028 +0056 +0112 +0224 +0448]
;* UnUsed pop        l13                                       ; Fetch L13 := TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed pop        l14                                       ; Fetch L14 := TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed pop        l15                                       ; Fetch L15 := TOP[+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFLineZ9: ret                                                  ; Fetch LIP := TOP[+0044 +0088 +0176 +0352 +0704]
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] #
;# ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
E1WFLine: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFLi32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E1WFLi31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E1WFLi26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E1WFLi25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFLi24: lea        lax, [ljp+dat_MyWFLine]                   ; fetch LAX := Static String  Data "MyWFLine",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFLi23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFLi22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFLi21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E1WFLi16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFLi15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFLi14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFLi13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFLi12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E1WFLi11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E1WFLi01: call            S1EM1Box                             ; CALL EM1Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*WFLi02: jge        BJMP E1WFLi06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E1WFLi06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E1WFLi07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E1WFLi08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E1WFLi09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] %
;% ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] %
;% ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] %
;% ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] %
;% ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] %
;% ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] %
;% ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] %
;% ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] %
;% ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] %
;% ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] %
;% ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] %
;%=============================================================================================================%
;% ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] %
;% ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
E2WFLine: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFLi32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E2WFLi31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E2WFLi26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E2WFLi25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFLi24: lea        lax, [ljp+dat_MyWFLine]                   ; fetch LAX := Static String  Data "MyWFLine",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFLi23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFLi22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFLi21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E2WFLi16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFLi15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFLi14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFLi13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFLi12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E2WFLi11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E2WFLi01: call            S1EM2Box                             ; CALL EM2Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*WFLi02: jge        BJMP E2WFLi06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E2WFLi06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E2WFLi07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E2WFLi08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E2WFLi09: ret                                                  ; Retrn LIP := StackArg(@13)
;************************************************************************************************* End MyWFiLine

;***************************************************************************************************************
;* MyF@Dash  My own  write Console|File|Memory Type <X0> Dashing   ' '                                         *
;* MyF1Dash  My own  write Console|File|Memory Type <X1> Dashing   '#'                                         *
;* MyF2Dash  My own  write Console|File|Memory Type <X2> Dashing   '%'                                         *
;* MyF3Dash  My own  write Console|File|Memory Type <X3> Dashing   '*'                                         *
;* MyF4Dash  My own  write Console|File|Memory Type <X4> Dashing   '='                                         *
;* MyF5Dash  My own  write Console|File|Memory Type <X5> Dashing   '-'                                         *
;*                                                                                                             *
;*=============================================================================================================*
;* MyWFDash   takes as register input:                                           LBX := gmm_        Pointer    *
;*                                                                               LBP := tmm_        Pointer    *
;* MyWFDash   returns:    -                                                      LBP := iol_        Pointer    *
;*                                                                               SAX := UTF32LE     EndChar    *
;* MyWFDash   changes the registers:                                                                           *
;***************************************************************************************************************
;%% OutSTACK       (W)rt(F)ile(D)ash   ; LVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
wfd_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
wfd_ShArg002  equ  wfd_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
wfd_ShArg003  equ  wfd_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
wfd_ShArg004  equ  wfd_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;fd_StArg005  equ  wfd_ShArg004+LVSZ   ; LVAL: FastCall Normal Call Argument 005 [00016 00032 00064 00128 00256]
;fd_StArg006  equ  wfd_StArg005+LVSZ   ; LVAL: FastCall Stack! Call Argument 006 [00020 00040 00080 00160 00320]
;fd_StArg007  equ  wfd_StArg006+LVSZ   ; LVAL: FastCall Normal Call Argument 007 [00024 00048 00096 00192 00384]
;fd_StArg008  equ  wfd_StArg007+LVSZ   ; LVAL: FastCall Stack! Call Argument 008 [00028 00056 00112 00224 00448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;fd_StArg009  equ  wfd_StArg008+LVSZ   ; LVAL: FastCall Normal Call Argument 009 [00032 00064 00128 00256 00512]
;fd_StArg010  equ  wfd_StArg009+LVSZ   ; LVAL: FastCall Stack! Call Argument 010 [00036 00072 00144 00288 00576]
;fd_StArg011  equ  wfd_StArg010+LVSZ   ; LVAL: FastCall Normal Call Argument 011 [00040 00080 00160 00320 00640]
;fd_StArg012  equ  wfd_StArg011+LVSZ   ; LVAL: FastCall Stack! Call Argument 012 [00044 00088 00176 00352 00704]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;fd_StArg013  equ  wfd_StArg012+LVSZ   ; LVAL: FastCall Normal Call Argument 013 [00048 00096 00192 00384 00768]
;fd_StArg014  equ  wfd_StArg013+LVSZ   ; LVAL: FastCall Stack! Call Argument 014 [00052 00104 00208 00416 00832]
;fd_StArg015  equ  wfd_StArg014+LVSZ   ; LVAL: FastCall Normal Call Argument 015 [00056 00112 00224 00448 00896]
;fd_StArg016  equ  wfd_StArg015+LVSZ   ; LVAL: FastCall Stack! Call Argument 016 [00060 00120 00240 00480 00960]
;###############################################################################################################
;## ValFIXED       (W)rt(F)ile(D)ash   ; SVAL: Internal Part00 Non scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
wfd_FIX       equ  0000000+LVSZ*0004   ; PARA: Internal (W)rit(F)ile(D)ash_FIXed [00064 00128 00256 00512 01024]
wfd_LNG       equ  wfd_FIX+LVSZ*0002   ; PARA: Internal (W)rit(F)ile(D)ash_LoNG  [+0008 +0016 +0032 +0064 +0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
wfd_LineChar  equ  wfd_FIX+0000+000    ; SVAL: WritFile Dashes Lines Character   [00000 00000 00000 00000 00000]
;fd_Valu0002  equ  wfd_LineChar+04     ; SVAL: Internal Value2                   [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  wfd_FIX+1024+000    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  wfd_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       (W)rt(F)ile(D)ash   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
wfd_PnWfdBas  equ  wfd_LNG+LVSZ*0000   ; PNTR: Internal Pnter.WriteFileDash.Base [#0000 #0000 #0000 #0000 #0000]
wfd_PnWfdTop  equ  wfd_PnWfdBas+LVSZ   ; PNTR: Internal Pnter.WriteFileDash.Topp [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
wfd_STRCSIZE  equ  wfl_LNG+LVSZ*0002   ; PARA: Internal StackFrame Structure END [+0008 +0016 +0032 +0064 +0128]
;###############################################################################################################
;## InpSTACK       (W)rt(F)ile(D)ash   ; LVAL: External Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
WFD_StackLAX  equ  wfd_STRCSIZE+0000   ; LVAL: External StackFrame Register: LAX [00000 00000 00000 00000 00000]
WFD_StackLDX  equ  WFD_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
WFD_StackLCX  equ  WFD_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFD_StackLDI  equ  WFD_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
WFD_StackLSI  equ  WFD_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;FD_StackLBX  equ  WFD_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;FD_StackLBP  equ  WFD_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;FD_StackL12  equ  WFD_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;FD_StackL13  equ  WFD_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;FD_StackL14  equ  WFD_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;FD_StackL15  equ  WFD_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFD_StackLIP  equ  WFD_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;*==============================================================================================================
WFD_StackTOP  equ  WFD_StackLIP+LVSZ   ; PARA: External StackInput Structure TOP [+0048 +0096 +0192 +0384 +0768]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                   Num [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;yPUBLIC      MyF@Dash                                         ; Called from: MyWFiLine  only  !!!!
;yPUBLIC      MyF1Dash                                         ; Called from: MyWFiLine  only  !!!!
;yPUBLIC      MyF2Dash                                         ; Called from: MyWFiLine  only  !!!!
;yPUBLIC      MyF3Dash                                         ; Called from: MyWFiLine  only  !!!!
;yPUBLIC      MyF4Dash                                         ; Called from: MyWFiLine  only  !!!!
;yPUBLIC      MyF5Dash                                         ; Called from: MyWFiLine  only  !!!!
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF@Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*--------------------------------------------------------------------------------------------------------------
F@Dash@1: mov        sax, 0000020h                             ; Fetch SAX := ' ' 020h
F@Dash@2: jmp        BJMP WFDash@1                             ; Enter Writes FileDash
;***************************************************************************************************************
;* CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF1Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*--------------------------------------------------------------------------------------------------------------
F1Dash@1: mov        sax, 0000023h                             ; Fetch SAX := '#' 023h
F1Dash@2: jmp        BJMP WFDash@1                             ; Enter Writes FileDash
;***************************************************************************************************************
;* CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF2Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*--------------------------------------------------------------------------------------------------------------
F2Dash@1: mov        sax, 0000025h                             ; Fetch SAX := '%' 025h
F2Dash@2: jmp        BJMP WFDash@1                             ; Enter Writes FileDash
;***************************************************************************************************************
;* CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF3Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*--------------------------------------------------------------------------------------------------------------
F3Dash@1: mov        sax, 000002Ah                             ; Fetch SAX := '*' 02Ah
F3Dash@2: jmp        BJMP WFDash@1                             ; Enter Writes FileDash
;***************************************************************************************************************
;* CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF4Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*--------------------------------------------------------------------------------------------------------------
F4Dash@1: mov        sax, 000003Dh                             ; Fetch SAX := '=' 03Dh
F4Dash@2: jmp        BJMP WFDash@1                             ; Enter Writes FileDash
;***************************************************************************************************************
;* CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF5Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*--------------------------------------------------------------------------------------------------------------
F5Dash@1: mov        sax, 000002Dh                             ; Fetch SAX := '-' 02Dh
;*Dash@2: jmp        BJMP WFDash@1                             ; Enter Writes ConsDash
;*==============================================================================================================
WFDash@1: mov        ldx,  lsp                                 ; Fetch LDX := TOP_LSP   Stack Frame TopLAX Pnter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFDash@2: lea        lsp, [lsp-wfd_STRCSIZE]                   ; Fetch LSP := TOP_LSP - Stack Frame STRuCt SIZE1
;* UnUsed and        lsp, BCST 000-MediaSIZ                    ; Andi: LSP := TOP_LSP & Media Align <FFFFF:FFC0>
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
WFDash@3: mov        PNTR [lsp+wfd_PnWfdTop] , ldx             ; Store LDX => WrtFilDsh_Pnter.WriteFileDash.Topp
          mov        PNTR [lsp+wfd_PnWfdBas] , lsp             ; Store LSP => WrtFilDsh_Pnter.WriteFileDash.Base
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Lin@4: lea        lbx, [ljp+dat_PnGmmBas]                   ; Fetch LBX := DatStatic_Addrs.GlobaMainMemo.Base
;* Input! mov        lbx, [lbx+000+00000000]                   ; Fetch LBX := DatStatic_Pnter.GlobaMainMemo.Base
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDash@5: mov        lsi,  lsp                                 ; Fetch LSI := WrtFilDsh_Pnter.WriteFileDash.Base
;* UnUsed mov        ldi,  ldx                                 ; Fetch LDI := WrtFilDsh_Pnter.WriteFileDash.Topp
;*--------------------------------------------------------------------------------------------------------------
WFDash@6: mov        SVAL [lsp+wfd_LineChar] , sax             ; Store SAX => Writ.File.Dashs_Line.Character
;*--------------------------------------------------------------------------------------------------------------
WFDash@9: mov        sax, 'WFD@'                               ; fetch SAX := (W)rt(F)il(D)ash <?>  0000@0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP WFDashGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFDash00: cmp        lbx, 0010000h                             ; test: LBX >= 0010000h ?
          jb         BJMP WFDash01                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbx, [lbx+gmm_PnGmmBas]                   ; test: LBX == PnGmmBas ?
;         je         BJMP WFDash02                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFDash01                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDash01: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000001                             ; ErrorLabel: "WFDash01"
          call            E1WFDash                             ; ErrorMessag "MyWFDash"
;% Contis jmp        BJMP WFDashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
WFDash02: cmp        lbp, 0010000h                             ; test: LBP >= 0010000h ?
          jb         BJMP WFDash03                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbp, [lbp+tmm_PnTmmBas]                   ; test: LBP == PnTmmBas ?
;         je         BJMP WFDash04                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFDash03                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDash03: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000003                             ; ErrorLabel: "WFDash03"
          call            E2WFDash                             ; ErrorMessag "MyWFDash"
;% Contis jmp        BJMP WFDashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
WFDash04: cmp        lsi, 0010000h                             ; test: LSI >= 0010000h ?
          jb         BJMP WFDash05                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsi, [lsi+wfd_PnWfdBas]                   ; test: LSI == PnWfdBas ?
          je         BJMP WFDash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFDash05                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDash05: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000005                             ; ErrorLabel: "WFDash05"
          call            E2WFDash                             ; ErrorMessag "MyWFDash"
;% Contis jmp        BJMP WFDashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
;% Dsh06: cmp        ldi, 0010000h                             ; test: LDI >= 0010000h ?
;%        jb         BJMP WFDash07                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;%        cmp        ldi, [lsi+wfd_PnWfdTop]                   ; test: LDI == PnWfdTop ?
;%        je         BJMP WFDash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP WFDash07                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;% Dsh07: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;%        mov        scx, 00000007                             ; ErrorLabel: "WFDash07"
;%        call            E2WFDash                             ; ErrorMessag "MyWFDash"
;%        jmp        BJMP WFDashLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFDash08: cmp        lsp, 0010000h                             ; test: LSP >= 0010000h ?
          jb         BJMP WFDash09                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsp, [lsp+wfd_PnWfdBas]                   ; test: LSP == PnWfdBas ?
          je         LJMP WFDash10                             ; EQ -> Pretty Successi
;* NoWrit je         LJMP WFDash20                             ; EQ -> Ignore Writings
;* IsNext jmp        BJMP WFDash09                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDash09: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000009                             ; ErrorLabel: "WFDash09"
          call            E2WFDash                             ; ErrorMessag "MyWFDash"
;* IsNext jmp        BJMP WFDashLT                             ; Return with "LessThan"
;*==============================================================================================================
WFDashLT: mov        scx,-00000001                             ; fetch SCX := M1 for "LT"
          jmp        LJMP WFDashZ0                             ; condition to return "LT"
;*==============================================================================================================
WFDash10: mov        sax, 'WFD1'                               ; fetch SAX := (W)rt(F)il(D)ash <?>  000010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFDash11: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+WFD_StackLAX]               ; fetch LAX := UTF32-LE InChars
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Dsh12: mov        sax, 'A1Fm'                               ; fetch SAX := Input Arg1 Frmat
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFD_A1Format]               ; fetch LAX := Input Arg1 Frmat
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Dsh13: mov        sax, 'A2Fm'                               ; fetch SAX := Input Arg2 Frmat
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFD_A2Format]               ; fetch LAX := Input Arg2 Frmat
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000258h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-mL
;* ?      call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
WFDash1X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Dsh1Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+WFD_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
WFDash20: mov        sax, 'WFD2'                               ; fetch SAX := (W)rt(F)il(D)ash <?>  000020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFDash21: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* UnUsed cmp        lax, [lbp+000+iol_FmComRgt]               ; test: LAX == WritFile  Comment Right ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
WFDash22: cmp        lax, BCST 004                             ; test: LAX == 00000004 ?
          je         BJMP WFDas200                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP WFDash23                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDash23: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000023                             ; ErrorLabel: "WFDash23"
          call            E2WFDash                             ; ErrorMessag "MyWFDash"
WFDash24: jmp        BJMP WFDas200                             ; Return with "LessThan"
;*==============================================================================================================
WFDashEQ: xor        scx, scx                                  ; fetch SCX := 00 for "EQ"
          jmp        LJMP WFDashZ0                             ; condition to return "EQ"
;***************************************************************************************************************
;* FD200: mov        sax, 'WD20'                               ; fetch SAX := (W)rt(F)il(D)ash <?>  000200
;* Used ? mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;* Used ? call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
WFDas200: mov        sax, [lsi+wfd_LineChar]                   ; fetch SAX := '=' 03Dh  Dashes
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C%==| [=...........]&n
          jl         LJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [==..........]&n
          jl         LJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [===.........]&n
          jl         LJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [====........]&n
          jl         LJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [=====.......]&n
          jl         BJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [======......]&n
          jl         BJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C%==| [=======.....]&n
          jl         BJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [========....]&n
          jl         BJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [=========...]&n
          jl         BJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [==========..]&n
          jl         BJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C%==| [===========.]&n
          jl         BJMP WFDas209                             ; LT -> Error: Mystical
          je         BJMP WFDashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
WFDas206: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
          cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WritFile  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP WFDas208                             ; LT -> Contis DashLoop
          je         BJMP WFDash26                             ; EQ -> Leaves DashLoop
;* IsNext jmp        BJMP WFDas207                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDas207: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000207                             ; ErrorLabel: "WFDas207"
          call            E2WFDash                             ; ErrorMessag "MyWFDash"
          jmp        BJMP WFDash26                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
WFDas208: mov        sax, [lsi+wfd_LineChar]                   ; fetch SAX := '=' 03Dh  Dashes
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C%==| [============]&n
          jg         LJMP WFDas200                             ; GT -> Cycles DashLoop
          je         LJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFDas209                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDas209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000209                             ; ErrorLabel: "WFDas209"
          call            E2WFDash                             ; ErrorMessag "MyWFDash"
          jmp        LJMP WFDashLT                             ; Return with "LessThan"
;***************************************************************************************************************
WFDash26: mov        sax, [lsi+WFD_StackLAX]                   ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C%==| [===========%]&n
          jg         BJMP WFDashGT                             ; GT -> Pretty Successi
          je         LJMP WFDashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP WFDash27                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDash27: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000027                             ; ErrorLabel: "WFDash27"
          call            E2WFDash                             ; ErrorMessag "MyWFDash"
          jmp        LJMP WFDashLT                             ; Return with "LessThan"
;*==============================================================================================================
WFDashGT: mov        scx,+00000001                             ; fetch SCX := +1 for "GT"
;% IsNext jmp        BJMP WFDashZ0                             ; condition to return "GT"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
WFDashZ0: mov        sax, 'WFDZ'                               ; fetch SAX := (W)rt(F)il(D)ash <?>  0000Z0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*        mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMillisecondSleep(SAX,SDX)
;*==============================================================================================================
WFDashZ3: cmp        scx, BCST 000                             ; Test: SCX as ReturnCondition
;*--------------------------------------------------------------------------------------------------------------
WFDashZ4: mov        lsp, [lsp+wfd_PnWfdTop]                   ; Fetch LSP := WrtFilDsh_Pnter.WriteFileDash.Topp
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDashZ5: pop        lax                                       ; Fetch LAX := TOP[+0000 +0000 +0000 +0000 +0000]
          pop        ldx                                       ; Fetch LDX := TOP[+0004 +0008 +0016 +0032 +0064]
          pop        lcx                                       ; Fetch LCX := TOP[+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
WFDashZ6: pop        ldi                                       ; Fetch LDI := TOP[+0012 +0024 +0048 +0096 +0192]
          pop        lsi                                       ; Fetch LSI := TOP[+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* DshZ7: pop        lbx                                       ; Fetch LBX := TOP[+0020 +0040 +0080 +0160 +0320]
;* IsKept pop        lbp                                       ; Fetch LBP := TOP[+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* DshZ8: pop        l12                                       ; Fetch L12 := TOP[+0028 +0056 +0112 +0224 +0448]
;* UnUsed pop        l13                                       ; Fetch L13 := TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed pop        l14                                       ; Fetch L14 := TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed pop        l15                                       ; Fetch L15 := TOP[+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
WFDashZ9: ret                                                  ; Fetch LIP := TOP[+0044 +0088 +0176 +0352 +0704]
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] #
;# ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
E1WFDash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFDa32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E1WFDa31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E1WFDa26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E1WFDa25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFDa24: lea        lax, [ljp+dat_MyWFDash]                   ; fetch LAX := Static String  Data "MyWFDash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFDa23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFDa22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFDa21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E1WFDa16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFDa15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFDa14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1WFDa13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1WFDa12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E1WFDa11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E1WFDa01: call            S1EM1Box                             ; CALL EM1Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*WFDa02: jge        BJMP E1WFDa06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E1WFDa06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E1WFDa07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E1WFDa08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E1WFDa09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] %
;% ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] %
;% ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] %
;% ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] %
;% ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] %
;% ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] %
;% ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] %
;% ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] %
;% ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] %
;% ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] %
;% ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] %
;%=============================================================================================================%
;% ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] %
;% ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
E2WFDash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFDa32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E2WFDa31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E2WFDa26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E2WFDa25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFDa24: lea        lax, [ljp+dat_MyWFDash]                   ; fetch LAX := Static String  Data "MyWFDash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFDa23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFDa22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFDa21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E2WFDa16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFDa15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFDa14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2WFDa13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2WFDa12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E2WFDa11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E2WFDa01: call            S1EM2Box                             ; CALL EM2Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*WFDa02: jge        BJMP E2WFDa06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E2WFDa06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E2WFDa07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E2WFDa08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E2WFDa09: ret                                                  ; Retrn LIP := StackArg(@13)
;************************************************************************************************* End MyWFiDash

;***************************************************************************************************************
;* MyF6Dash  My own  write Console|File|Memory Type <X6> Dashing                                               *
;*                                                                                                             *
;*=============================================================================================================*
;* MyF6Dash   takes as register input:                                           LBX := gmm_        Pointer    *
;*                                                                               LBP := tmm_        Pointer    *
;* MyF6Dash   returns:    -                                                      LBP := iol_        Pointer    *
;*                                                                               SAX := UTF32LE     EndChar    *
;* MyF6Dash   changes the registers:                                                                           *
;***************************************************************************************************************
;%% OutSTACK       Wrt(F)il(6)(D)ash   ; LVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f6d_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
f6d_ShArg002  equ  f6d_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
f6d_ShArg003  equ  f6d_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
f6d_ShArg004  equ  f6d_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;6d_StArg005  equ  f6d_ShArg004+LVSZ   ; LVAL: FastCall Normal Call Argument 005 [00016 00032 00064 00128 00256]
;6d_StArg006  equ  f6d_StArg005+LVSZ   ; LVAL: FastCall Stack! Call Argument 006 [00020 00040 00080 00160 00320]
;6d_StArg007  equ  f6d_StArg006+LVSZ   ; LVAL: FastCall Normal Call Argument 007 [00024 00048 00096 00192 00384]
;6d_StArg008  equ  f6d_StArg007+LVSZ   ; LVAL: FastCall Stack! Call Argument 008 [00028 00056 00112 00224 00448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;6d_StArg009  equ  f6d_StArg008+LVSZ   ; LVAL: FastCall Normal Call Argument 009 [00032 00064 00128 00256 00512]
;6d_StArg010  equ  f6d_StArg009+LVSZ   ; LVAL: FastCall Stack! Call Argument 010 [00036 00072 00144 00288 00576]
;6d_StArg011  equ  f6d_StArg010+LVSZ   ; LVAL: FastCall Normal Call Argument 011 [00040 00080 00160 00320 00640]
;6d_StArg012  equ  f6d_StArg011+LVSZ   ; LVAL: FastCall Stack! Call Argument 012 [00044 00088 00176 00352 00704]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;6d_StArg013  equ  f6d_StArg012+LVSZ   ; LVAL: FastCall Normal Call Argument 013 [00048 00096 00192 00384 00768]
;6d_StArg014  equ  f6d_StArg013+LVSZ   ; LVAL: FastCall Stack! Call Argument 014 [00052 00104 00208 00416 00832]
;6d_StArg015  equ  f6d_StArg014+LVSZ   ; LVAL: FastCall Normal Call Argument 015 [00056 00112 00224 00448 00896]
;6d_StArg016  equ  f6d_StArg015+LVSZ   ; LVAL: FastCall Stack! Call Argument 016 [00060 00120 00240 00480 00960]
;###############################################################################################################
;## ValFIXED       Wrt(F)il(6)(D)ash   ; SVAL: Internal Part00 Non scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f6d_FIX       equ  0000000+LVSZ*0004   ; PARA: Internal (W)rit(F)il(6D)ash_FIXed [00064 00128 00256 00512 01024]
f6d_LNG       equ  f6d_FIX+LVSZ*0002   ; PARA: Internal (W)rit(F)il(6D)ash_LoNG  [+0008 +0016 +0032 +0064 +0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;6d_LineChar  equ  f6d_FIX+0000+000    ; SVAL: WritFile Dashes Lines Character   [00000 00000 00000 00000 00000]
;6d_Valu0002  equ  f6d_LineChar+04     ; SVAL: Internal Value2                   [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  f6d_FIX+1024+000    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  f6d_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       Wrt(F)il(6)(D)ash   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f6d_PnF6dBas  equ  f6d_LNG+LVSZ*0000   ; PNTR: Internal Pnter.WriteFile6Dash.Bas [#0000 #0000 #0000 #0000 #0000]
f6d_PnF6dTop  equ  f6d_PnF6dBas+LVSZ   ; PNTR: Internal Pnter.WriteFile6Dash.Top [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
f6d_STRCSIZE  equ  f6d_LNG+LVSZ*0002   ; PARA: Internal StackFrame Structure END [+0008 +0016 +0032 +0064 +0128]
;###############################################################################################################
;## InpSTACK       Wrt(F)il(6)(D)ash   ; LVAL: External Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
F6D_StackLAX  equ  f6d_STRCSIZE+0000   ; LVAL: External StackFrame Register: LAX [00000 00000 00000 00000 00000]
F6D_StackLDX  equ  F6D_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
F6D_StackLCX  equ  F6D_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F6D_StackLDI  equ  F6D_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
F6D_StackLSI  equ  F6D_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;6D_StackLBX  equ  F6D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;6D_StackLBP  equ  F6D_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;6D_StackL12  equ  F6D_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;6D_StackL13  equ  F6D_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;6D_StackL14  equ  F6D_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;6D_StackL15  equ  F6D_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6D_StackLIP  equ  F6D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;*==============================================================================================================
F6D_StackTOP  equ  F6D_StackLIP+LVSZ   ; PARA: External StackInput Structure TOP [+0048 +0096 +0192 +0384 +0768]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                   Num [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;# CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF6Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*==============================================================================================================
F6Dash@1: mov        ldx,  lsp                                 ; Fetch LDX := TOP_LSP   Stack Frame TopLAX Pnter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F6Dash@2: lea        lsp, [lsp-f6d_STRCSIZE]                   ; Fetch LSP := TOP_LSP - Stack Frame STRuCt SIZE1
;* UnUsed and        lsp, BCST 000-MediaSIZ                    ; Andi: LSP := TOP_LSP & Media Align <FFFFF:FFC0>
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
F6Dash@3: mov        PNTR [lsp+f6d_PnF6dTop] , ldx             ; Store LDX => Fil<6>Dsh_Pnter.WritFile6Dash.Topp
          mov        PNTR [lsp+f6d_PnF6dBas] , lsp             ; Store LSP => Fil<6>Dsh_Pnter.WritFile6Dash.Base
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Lin@4: lea        lbx, [ljp+dat_PnGmmBas]                   ; Fetch LBX := DatStatic_Addrs.GlobaMainMemo.Base
;* Input! mov        lbx, [lbx+000+00000000]                   ; Fetch LBX := DatStatic_Pnter.GlobaMainMemo.Base
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Dash@5: mov        lsi,  lsp                                 ; Fetch LSI := Fil<6>Dsh_Pnter.WritFile6Dash.Base
;* UnUsed mov        ldi,  ldx                                 ; Fetch LDI := Fil<6>Dsh_Pnter.WritFile6Dash.Topp
;*--------------------------------------------------------------------------------------------------------------
F6Dash@9: mov        sax, 'F6D@'                               ; fetch SAX := Wrt(F)il(6)(D)sh <?>  0000@0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP F6DashGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F6Dash00: cmp        lbx, 0010000h                             ; test: LBX >= 0010000h ?
          jb         BJMP F6Dash01                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbx, [lbx+gmm_PnGmmBas]                   ; test: LBX == PnGmmBas ?
;         je         BJMP F6Dash02                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F6Dash01                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Dash01: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000001                             ; ErrorLabel: "F6Dash01"
          call            E1F6Dash                             ; ErrorMessag "MyF6Dash"
;% Contis jmp        BJMP F6DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F6Dash02: cmp        lbp, 0010000h                             ; test: LBP >= 0010000h ?
          jb         BJMP F6Dash03                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbp, [lbp+tmm_PnTmmBas]                   ; test: LBP == PnTmmBas ?
;         je         BJMP F6Dash04                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F6Dash03                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Dash03: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000003                             ; ErrorLabel: "F6Dash03"
          call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
;% Contis jmp        BJMP F6DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F6Dash04: cmp        lsi, 0010000h                             ; test: LSI >= 0010000h ?
          jb         BJMP F6Dash05                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsi, [lsi+f6d_PnF6dBas]                   ; test: LSI == PnF6dBas ?
          je         BJMP F6Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F6Dash05                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Dash05: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000005                             ; ErrorLabel: "F6Dash05"
          call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
;% Contis jmp        BJMP F6DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
;% Dsh06: cmp        ldi, 0010000h                             ; test: LDI >= 0010000h ?
;%        jb         BJMP F6Dash07                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;%        cmp        ldi, [lsi+f6d_PnF6dTop]                   ; test: LDI == PnF6dTop ?
;%        je         BJMP F6Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F6Dash07                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;% Dsh07: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;%        mov        scx, 00000007                             ; ErrorLabel: "F6Dash07"
;%        call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
;%        jmp        BJMP F6DashLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F6Dash08: cmp        lsp, 0010000h                             ; test: LSP >= 0010000h ?
          jb         BJMP F6Dash09                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsp, [lsp+f6d_PnF6dBas]                   ; test: LSP == PnF6dBas ?
          je         LJMP F6Dash10                             ; EQ -> Pretty Successi
;* NoWrit je         LJMP F6Dash20                             ; EQ -> Ignore Writings
;* IsNext jmp        BJMP F6Dash09                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Dash09: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000009                             ; ErrorLabel: "F6Dash09"
          call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
;* IsNext jmp        BJMP F6DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F6DashLT: mov        scx,-00000001                             ; fetch SCX := M1 for "LT"
          jmp        LJMP F6DashZ0                             ; condition to return "LT"
;*==============================================================================================================
F6Dash10: mov        sax, 'F6D1'                               ; fetch SAX := Wr(F)il(6)(D)ash <?>  000010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F6Dash11: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+F6D_StackLAX]               ; fetch LAX := UTF32-LE InChars
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
F6Dash1X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Dsh1Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+F6D_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
F6Dash20: mov        sax, 'F6D2'                               ; fetch SAX := Wr(F)il(6)(D)ash <?>  000020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F6Dash21: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* UnUsed cmp        lax, [lbp+000+iol_FmComRgt]               ; test: LAX == WritFile  Comment Right ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
F6Dash22: cmp        lax, BCST 004                             ; test: LAX == 00000004 ?
          je         BJMP F6Das200                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP F6Dash23                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Dash23: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000023                             ; ErrorLabel: "F6Dash23"
          call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
          jmp        LJMP F6DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F6DashEQ: xor        scx, scx                                  ; fetch SCX := 00 for "EQ"
          jmp        LJMP F6DashZ0                             ; condition to return "EQ"
;***************************************************************************************************************
;* as200: mov        sax, '6D20'                               ; fetch SAX := Wr(F)il(6)(D)ash <?>  000200
;* UnUsed mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;* UnUsed call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F6Das200: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ ...........]&n
          jl         LJMP F6Das209                             ; LT -> Error: Mystical     
          je         BJMP F6DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ -..........]&n
          jl         LJMP F6Das209                             ; LT -> Error: Mystical     
          je         BJMP F6DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F6Das201: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - .........]&n
          jl         LJMP F6Das209                             ; LT -> Error: Mystical     
          je         BJMP F6DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - -........]&n
          jl         LJMP F6Das209                             ; LT -> Error: Mystical     
          je         BJMP F6DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F6Das202: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - .......]&n
          jl         LJMP F6Das209                             ; LT -> Error: Mystical     
          je         BJMP F6DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - -......]&n
          jl         LJMP F6Das209                             ; LT -> Error: Mystical     
          je         BJMP F6DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F6Das203: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - - .....]&n
          jl         LJMP F6Das209                             ; LT -> Error: Mystical     
          je         LJMP F6DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - - -....]&n
          jl         BJMP F6Das209                             ; LT -> Error: Mystical     
          je         LJMP F6DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F6Das204: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - - - ...]&n
          jl         BJMP F6Das209                             ; LT -> Error: Mystical     
          je         LJMP F6DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - - - -..]&n
          jl         BJMP F6Das209                             ; LT -> Error: Mystical     
          je         LJMP F6DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F6Das205: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - - - - .]&n
          jl         BJMP F6Das209                             ; LT -> Error: Mystical     
          je         LJMP F6DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F6Das206: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
          cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WritFile  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP F6Das208                             ; LT -> Contis DashLoop
          je         BJMP F6Dash24                             ; EQ -> Leaves DashLoop
;* IsNext jmp        BJMP F6Das207                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Das207: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000207                             ; ErrorLabel: "F6Das207"
          call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
          jmp        BJMP F6Dash24                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
F6Das208: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ - - - - - -]&n
          jg         LJMP F6Das200                             ; GT -> Cycles DashLoop
          je         LJMP F6DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F6Das209                             ; LE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Das209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000209                             ; ErrorLabel: "F6Das209"
          call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
          jmp        LJMP F6DashLT                             ; Return with "LessThan"
;***************************************************************************************************************
F6Dash24: mov        sax, [lsi+F6D_StackLAX]                   ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [     -     %]&n
          jg         BJMP F6DashGT                             ; GT -> Pretty Successi
          je         LJMP F6DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F6Dash25                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6Dash25: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000025                             ; ErrorLabel: "F6Dash25"
          call            E2F6Dash                             ; ErrorMessag "MyF6Dash"
          jmp        LJMP F6DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F6DashGT: mov        scx,+00000001                             ; fetch SCX := +1 for "GT"
;% IsNext jmp        BJMP F6DashZ0                             ; condition to return "GT"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F6DashZ0: mov        sax, 'F6DZ'                               ; fetch SAX := Wr(F)il(6)(D)ash <?>  0000Z0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F6DashGT                             ; Goto: End
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*        mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMillisecondSleep(SAX,SDX)
;*==============================================================================================================
F6DashZ3: cmp        scx, BCST 000                             ; Test: SCX as ReturnCondition
;*--------------------------------------------------------------------------------------------------------------
F6DashZ4: mov        lsp, [lsp+f6d_PnF6dTop]                   ; Fetch LSP := Fil<6>Dsh_Pnter.WritFile6Dash.Topp
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6DashZ5: pop        lax                                       ; Fetch LAX := TOP[+0000 +0000 +0000 +0000 +0000]
          pop        ldx                                       ; Fetch LDX := TOP[+0004 +0008 +0016 +0032 +0064]
          pop        lcx                                       ; Fetch LCX := TOP[+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F6DashZ6: pop        ldi                                       ; Fetch LDI := TOP[+0012 +0024 +0048 +0096 +0192]
          pop        lsi                                       ; Fetch LSI := TOP[+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* DshZ7: pop        lbx                                       ; Fetch LBX := TOP[+0020 +0040 +0080 +0160 +0320]
;* IsKept pop        lbp                                       ; Fetch LBP := TOP[+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* DshZ8: pop        l12                                       ; Fetch L12 := TOP[+0028 +0056 +0112 +0224 +0448]
;* UnUsed pop        l13                                       ; Fetch L13 := TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed pop        l14                                       ; Fetch L14 := TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed pop        l15                                       ; Fetch L15 := TOP[+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F6DashZ9: ret                                                  ; Fetch LIP := TOP[+0044 +0088 +0176 +0352 +0704]
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] #
;# ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
E1F6Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F6Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E1F6Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E1F6Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E1F6Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F6Da24: lea        lax, [ljp+dat_MyF6Dash]                   ; fetch LAX := Static String  Data "MyF6Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F6Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F6Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F6Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E1F6Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F6Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F6Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F6Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F6Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E1F6Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E1F6Da01: call            S1EM1Box                             ; CALL EM1Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F6Da02: jge        BJMP E1F6Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E1F6Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E1F6Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E1F6Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E1F6Da09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] %
;% ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] %
;% ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] %
;% ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] %
;% ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] %
;% ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] %
;% ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] %
;% ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] %
;% ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] %
;% ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] %
;% ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] %
;%=============================================================================================================%
;% ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] %
;% ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
E2F6Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F6Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E2F6Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E2F6Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E2F6Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F6Da24: lea        lax, [ljp+dat_MyF6Dash]                   ; fetch LAX := Static String  Data "MyF6Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F6Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F6Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F6Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E2F6Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F6Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F6Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F6Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F6Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E2F6Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E2F6Da01: call            S1EM2Box                             ; CALL EM2Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F6Da02: jge        BJMP E2F6Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E2F6Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E2F6Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E2F6Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E2F6Da09: ret                                                  ; Retrn LIP := StackArg(@13)
;************************************************************************************************* End MyWF6Dash

;***************************************************************************************************************
;* MyF7Dash  My own  write Console|File|Memory Type<7> Dashing                                                 *
;*                                                                                                             *
;*=============================================================================================================*
;* MyF7Dash   takes as register input:                                           LBX := gmm_        Pointer    *
;*                                                                               LBP := tmm_        Pointer    *
;* MyF7Dash   returns:    -                                                      LBP := iol_        Pointer    *
;*                                                                               SAX := UTF32LE     EndChar    *
;* MyF7Dash   changes the registers:                                                                           *
;***************************************************************************************************************
;%% OutSTACK       Wrt(F)il(7)(D)ash   ; LVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f7d_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
f7d_ShArg002  equ  f7d_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
f7d_ShArg003  equ  f7d_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
f7d_ShArg004  equ  f7d_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;7d_StArg005  equ  f7d_ShArg004+LVSZ   ; LVAL: FastCall Normal Call Argument 005 [00016 00032 00064 00128 00256]
;7d_StArg006  equ  f7d_StArg005+LVSZ   ; LVAL: FastCall Stack! Call Argument 006 [00020 00040 00080 00160 00320]
;7d_StArg007  equ  f7d_StArg006+LVSZ   ; LVAL: FastCall Normal Call Argument 007 [00024 00048 00096 00192 00384]
;7d_StArg008  equ  f7d_StArg007+LVSZ   ; LVAL: FastCall Stack! Call Argument 008 [00028 00056 00112 00224 00448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;7d_StArg009  equ  f7d_StArg008+LVSZ   ; LVAL: FastCall Normal Call Argument 009 [00032 00064 00128 00256 00512]
;7d_StArg010  equ  f7d_StArg009+LVSZ   ; LVAL: FastCall Stack! Call Argument 010 [00036 00072 00144 00288 00576]
;7d_StArg011  equ  f7d_StArg010+LVSZ   ; LVAL: FastCall Normal Call Argument 011 [00040 00080 00160 00320 00640]
;7d_StArg012  equ  f7d_StArg011+LVSZ   ; LVAL: FastCall Stack! Call Argument 012 [00044 00088 00176 00352 00704]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;7d_StArg013  equ  f7d_StArg012+LVSZ   ; LVAL: FastCall Normal Call Argument 013 [00048 00096 00192 00384 00768]
;7d_StArg014  equ  f7d_StArg013+LVSZ   ; LVAL: FastCall Stack! Call Argument 014 [00052 00104 00208 00416 00832]
;7d_StArg015  equ  f7d_StArg014+LVSZ   ; LVAL: FastCall Normal Call Argument 015 [00056 00112 00224 00448 00896]
;7d_StArg016  equ  f7d_StArg015+LVSZ   ; LVAL: FastCall Stack! Call Argument 016 [00060 00120 00240 00480 00960]
;###############################################################################################################
;## ValFIXED       Wrt(F)il(7)(D)ash   ; SVAL: Internal Part00 Non scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f7d_FIX       equ  0000000+LVSZ*0004   ; PARA: Internal (W)rit(F)il(7D)ash_FIXed [00064 00128 00256 00512 01024]
f7d_LNG       equ  f7d_FIX+LVSZ*0002   ; PARA: Internal (W)rit(F)il(7D)ash_LoNG  [+0008 +0016 +0032 +0064 +0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;7d_LineChar  equ  f7d_FIX+0000+000    ; SVAL: WritFile Dashes Lines Character   [00000 00000 00000 00000 00000]
;7d_Valu0002  equ  f7d_LineChar+04     ; SVAL: Internal Value2                   [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  f7d_FIX+1024+000    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  f7d_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       Wrt(F)il(7)(D)ash   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f7d_PnF7dBas  equ  f7d_LNG+LVSZ*0000   ; PNTR: Internal Pnter.WriteFile7Dash.Bas [#0000 #0000 #0000 #0000 #0000]
f7d_PnF7dTop  equ  f7d_PnF7dBas+LVSZ   ; PNTR: Internal Pnter.WriteFile7Dash.Top [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
f7d_STRCSIZE  equ  f7d_LNG+LVSZ*0002   ; PARA: Internal StackFrame Structure END [+0008 +0016 +0032 +0064 +0128]
;###############################################################################################################
;## InpSTACK       Wrt(F)il(7)(D)ash   ; LVAL: External Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
F7D_StackLAX  equ  f7d_STRCSIZE+0000   ; LVAL: External StackFrame Register: LAX [00000 00000 00000 00000 00000]
F7D_StackLDX  equ  F7D_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
F7D_StackLCX  equ  F7D_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F7D_StackLDI  equ  F7D_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
F7D_StackLSI  equ  F7D_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;7D_StackLBX  equ  F7D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;7D_StackLBP  equ  F7D_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;7D_StackL12  equ  F7D_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;7D_StackL13  equ  F7D_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;7D_StackL14  equ  F7D_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;7D_StackL15  equ  F7D_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7D_StackLIP  equ  F7D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;*==============================================================================================================
F7D_StackTOP  equ  F7D_StackLIP+LVSZ   ; PARA: External StackInput Structure TOP [+0048 +0096 +0192 +0384 +0768]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                   Num [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;# CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF7Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*==============================================================================================================
F7Dash@1: mov        ldx,  lsp                                 ; Fetch LDX := TOP_LSP   Stack Frame TopLAX Pnter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F7Dash@2: lea        lsp, [lsp-f7d_STRCSIZE]                   ; Fetch LSP := TOP_LSP - Stack Frame STRuCt SIZE1
;* UnUsed and        lsp, BCST 000-MediaSIZ                    ; Andi: LSP := TOP_LSP & Media Align <FFFFF:FFC0>
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
F7Dash@3: mov        PNTR [lsp+f7d_PnF7dTop] , ldx             ; Store LDX => Fil<7>Dsh_Pnter.WritFile7Dash.Topp
          mov        PNTR [lsp+f7d_PnF7dBas] , lsp             ; Store LSP => Fil<7>Dsh_Pnter.WritFile7Dash.Base
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Lin@4: lea        lbx, [ljp+dat_PnGmmBas]                   ; Fetch LBX := DatStatic_Addrs.GlobaMainMemo.Base
;* Input! mov        lbx, [lbx+000+00000000]                   ; Fetch LBX := DatStatic_Pnter.GlobaMainMemo.Base
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Dash@5: mov        lsi,  lsp                                 ; Fetch LSI := Fil<7>Dsh_Pnter.WritFile7Dash.Base
;* UnUsed mov        ldi,  ldx                                 ; Fetch LDI := Fil<7>Dsh_Pnter.WritFile7Dash.Topp
;*--------------------------------------------------------------------------------------------------------------
F7Dash@9: mov        sax, 'F7D@'                               ; fetch SAX := Wrt(F)il(7)(D)sh <?>  0000@0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP F7DashGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F7Dash00: cmp        lbx, 0010000h                             ; test: LBX >= 0010000h ?
          jb         BJMP F7Dash01                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbx, [lbx+gmm_PnGmmBas]                   ; test: LBX == PnGmmBas ?
;         je         BJMP F7Dash02                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F7Dash01                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Dash01: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000001                             ; ErrorLabel: "F7Dash01"
          call            E1F7Dash                             ; ErrorMessag "MyF7Dash"
;% Contis jmp        BJMP F7DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F7Dash02: cmp        lbp, 0010000h                             ; test: LBP >= 0010000h ?
          jb         BJMP F7Dash03                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbp, [lbp+tmm_PnTmmBas]                   ; test: LBP == PnTmmBas ?
;         je         BJMP F7Dash04                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F7Dash03                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Dash03: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000003                             ; ErrorLabel: "F7Dash03"
          call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
;% Contis jmp        BJMP F7DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F7Dash04: cmp        lsi, 0010000h                             ; test: LSI >= 0010000h ?
          jb         BJMP F7Dash05                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsi, [lsi+f7d_PnF7dBas]                   ; test: LSI == PnF7dBas ?
          je         BJMP F7Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F7Dash05                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Dash05: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000005                             ; ErrorLabel: "F7Dash05"
          call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
;% Contis jmp        BJMP F7DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
;% Dsh06: cmp        ldi, 0010000h                             ; test: LDI >= 0010000h ?
;%        jb         BJMP F7Dash07                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;%        cmp        ldi, [lsi+f7d_PnF7dTop]                   ; test: LDI == PnF7dTop ?
;%        je         BJMP F7Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F7Dash07                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;% Dsh07: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;%        mov        scx, 00000007                             ; ErrorLabel: "F7Dash07"
;%        call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
;%        jmp        BJMP F7DashLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F7Dash08: cmp        lsp, 0010000h                             ; test: LSP >= 0010000h ?
          jb         BJMP F7Dash09                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsp, [lsp+f7d_PnF7dBas]                   ; test: LSP == PnF7dBas ?
          je         LJMP F7Dash10                             ; EQ -> Pretty Successi
;* NoWrit je         LJMP F7Dash20                             ; EQ -> Ignore Writings
;* IsNext jmp        BJMP F7Dash09                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Dash09: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000009                             ; ErrorLabel: "F7Dash09"
          call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
;* IsNext jmp        BJMP F7DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F7DashLT: mov        scx,-00000001                             ; fetch SCX := M1 for "LT"
          jmp        LJMP F7DashZ0                             ; condition to return "LT"
;*==============================================================================================================
F7Dash10: mov        sax, 'F7D1'                               ; fetch SAX := Wr(F)il(7)(D)ash <?>  000010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F7DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F7Dash11: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+F7D_StackLAX]               ; fetch LAX := UTF32-LE InChars
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
F7Dash1X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Dsh1Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+F7D_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
F7Dash20: mov        sax, 'F7D2'                               ; fetch SAX := Wr(F)il(7)(D)ash <?>  000020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F7DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F7Dash21: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* UnUsed cmp        lax, [lbp+000+iol_FmComRgt]               ; test: LAX == WritFile  Comment Right ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
F7Dash22: cmp        lax, BCST 004                             ; test: LAX == 00000004 ?
          je         BJMP F7Das200                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP F7Dash23                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Dash23: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000023                             ; ErrorLabel: "F7Dash23"
          call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
          jmp        LJMP F7DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F7DashEQ: xor        scx, scx                                  ; fetch SCX := 00 for "EQ"
          jmp        LJMP F7DashZ0                             ; condition to return "EQ"
;***************************************************************************************************************
;7Das200: mov        sax, '7D20'                               ; fetch SAX := Wr(F)il(7)(D)ash <?>  000200
;* UnUsed mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;* UnUsed call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F7DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F7Das200: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ ...........]&n
          jl         LJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [  ..........]&n
          jl         LJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [  -.........]&n
          jl         LJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F7Das201: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [  - ........]&n
          jl         LJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [  -  .......]&n
          jl         LJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [  -  -......]&n
          jl         LJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F7Das202: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [  -  - .....]&n
          jl         BJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [  -  -  ....]&n
          jl         BJMP F7Das209                             ; LT -> Error: Mystical     
          je         BJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [  -  -  -...]&n
          jl         BJMP F7Das209                             ; LT -> Error: Mystical     
          je         LJMP F7DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F7Das203: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [  -  -  - ..]&n
          jl         BJMP F7Das209                             ; LT -> Error: Mystical     
          je         LJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [  -  -  -  .]&n
          jl         BJMP F7Das209                             ; LT -> Error: Mystical     
          je         LJMP F7DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F7Das206: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
          cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WritFile  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP F7Das208                             ; LT -> Contis DashLoop
          je         BJMP F7Dash24                             ; EQ -> Leaves DashLoop
;* IsNext jmp        BJMP F7Das207                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Das207: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000207                             ; ErrorLabel: "F7Das207"
          call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
          jmp        BJMP F7Dash24                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
F7Das208: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [  -  -  -  -]&n
          jg         LJMP F7Das200                             ; GT -> Cycles DashLoop
          je         LJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F7Das209                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Das209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000209                             ; ErrorLabel: "F7Das209"
          call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
          jmp        LJMP F7DashLT                             ; Return with "LessThan"
;***************************************************************************************************************
F7Dash24: mov        sax, [lsi+F7D_StackLAX]                   ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [     -     %]&n
          jg         BJMP F7DashGT                             ; GT -> Pretty Successi
          je         LJMP F7DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F7Dash25                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7Dash25: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000025                             ; ErrorLabel: "F7Dash25"
          call            E2F7Dash                             ; ErrorMessag "MyF7Dash"
          jmp        LJMP F7DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F7DashGT: mov        scx,+00000001                             ; fetch SCX := +1 for "GT"
;% IsNext jmp        BJMP F7DashZ0                             ; condition to return "GT"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F7DashZ0: mov        sax, 'F7DZ'                               ; fetch SAX := Wr(F)il(7)(D)ash <?>  0000Z0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F7DashGT                             ; Goto: End
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*        mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMillisecondSleep(SAX,SDX)
;*==============================================================================================================
F7DashZ3: cmp        scx, BCST 000                             ; Test: SCX as ReturnCondition
;*--------------------------------------------------------------------------------------------------------------
F7DashZ4: mov        lsp, [lsp+f7d_PnF7dTop]                   ; Fetch LSP := Fil<7>Dsh_Pnter.WritFile7Dash.Topp
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7DashZ5: pop        lax                                       ; Fetch LAX := TOP[+0000 +0000 +0000 +0000 +0000]
          pop        ldx                                       ; Fetch LDX := TOP[+0004 +0008 +0016 +0032 +0064]
          pop        lcx                                       ; Fetch LCX := TOP[+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F7DashZ6: pop        ldi                                       ; Fetch LDI := TOP[+0012 +0024 +0048 +0096 +0192]
          pop        lsi                                       ; Fetch LSI := TOP[+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* DshZ7: pop        lbx                                       ; Fetch LBX := TOP[+0020 +0040 +0080 +0160 +0320]
;* IsKept pop        lbp                                       ; Fetch LBP := TOP[+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* DshZ8: pop        l12                                       ; Fetch L12 := TOP[+0028 +0056 +0112 +0224 +0448]
;* UnUsed pop        l13                                       ; Fetch L13 := TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed pop        l14                                       ; Fetch L14 := TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed pop        l15                                       ; Fetch L15 := TOP[+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F7DashZ9: ret                                                  ; Fetch LIP := TOP[+0044 +0088 +0176 +0352 +0704]
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] #
;# ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
E1F7Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F7Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E1F7Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E1F7Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E1F7Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F7Da24: lea        lax, [ljp+dat_MyF7Dash]                   ; fetch LAX := Static String  Data "MyF7Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F7Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F7Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F7Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E1F7Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F7Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F7Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F7Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F7Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E1F7Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E1F7Da01: call            S1EM1Box                             ; CALL EM1Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F7Da02: jge        BJMP E1F7Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E1F7Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E1F7Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E1F7Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E1F7Da09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] %
;% ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] %
;% ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] %
;% ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] %
;% ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] %
;% ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] %
;% ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] %
;% ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] %
;% ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] %
;% ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] %
;% ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] %
;%=============================================================================================================%
;% ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] %
;% ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
E2F7Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F7Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E2F7Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E2F7Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E2F7Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F7Da24: lea        lax, [ljp+dat_MyF7Dash]                   ; fetch LAX := Static String  Data "MyF7Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F7Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F7Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F7Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E2F7Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F7Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F7Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F7Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F7Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E2F7Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E2F7Da01: call            S1EM2Box                             ; CALL EM2Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F7Da02: jge        BJMP E2F7Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E2F7Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E2F7Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E2F7Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E2F7Da09: ret                                                  ; Retrn LIP := StackArg(@13)
;************************************************************************************************* End MyWF7Dash

;***************************************************************************************************************
;* MyF8Dash  My own  write Console|File|Memory Type<8> Dashing                                                 *
;*                                                                                                             *
;*=============================================================================================================*
;* MyF8Dash   takes as register input:                                           LBX := gmm_        Pointer    *
;*                                                                               LBP := tmm_        Pointer    *
;* MyF8Dash   returns:    -                                                      LBP := iol_        Pointer    *
;*                                                                               SAX := UTF32LE     EndChar    *
;* MyF8Dash   changes the registers:                                                                           *
;***************************************************************************************************************
;%% OutSTACK       Wrt(F)il(8)(D)ash   ; LVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;8d_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
;8d_ShArg002  equ  f8d_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
;8d_ShArg003  equ  f8d_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
;8d_ShArg004  equ  f8d_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;8d_StArg005  equ  f8d_ShArg004+LVSZ   ; LVAL: FastCall Normal Call Argument 005 [00016 00032 00064 00128 00256]
;8d_StArg006  equ  f8d_StArg005+LVSZ   ; LVAL: FastCall Stack! Call Argument 006 [00020 00040 00080 00160 00320]
;8d_StArg007  equ  f8d_StArg006+LVSZ   ; LVAL: FastCall Normal Call Argument 007 [00024 00048 00096 00192 00384]
;8d_StArg008  equ  f8d_StArg007+LVSZ   ; LVAL: FastCall Stack! Call Argument 008 [00028 00056 00112 00224 00448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;8d_StArg009  equ  f8d_StArg008+LVSZ   ; LVAL: FastCall Normal Call Argument 009 [00032 00064 00128 00256 00512]
;8d_StArg010  equ  f8d_StArg009+LVSZ   ; LVAL: FastCall Stack! Call Argument 010 [00036 00072 00144 00288 00576]
;8d_StArg011  equ  f8d_StArg010+LVSZ   ; LVAL: FastCall Normal Call Argument 011 [00040 00080 00160 00320 00640]
;8d_StArg012  equ  f8d_StArg011+LVSZ   ; LVAL: FastCall Stack! Call Argument 012 [00044 00088 00176 00352 00704]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;8d_StArg013  equ  f8d_StArg012+LVSZ   ; LVAL: FastCall Normal Call Argument 013 [00048 00096 00192 00384 00768]
;8d_StArg014  equ  f8d_StArg013+LVSZ   ; LVAL: FastCall Stack! Call Argument 014 [00052 00104 00208 00416 00832]
;8d_StArg015  equ  f8d_StArg014+LVSZ   ; LVAL: FastCall Normal Call Argument 015 [00056 00112 00224 00448 00896]
;8d_StArg016  equ  f8d_StArg015+LVSZ   ; LVAL: FastCall Stack! Call Argument 016 [00060 00120 00240 00480 00960]
;###############################################################################################################
;## ValFIXED       Wrt(F)il(8)(D)ash   ; SVAL: Internal Part00 Non scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f8d_FIX       equ  0000000+LVSZ*0004   ; PARA: Internal (W)rit(F)il(8D)ash_FIXed [00064 00128 00256 00512 01024]
f8d_LNG       equ  f8d_FIX+LVSZ*0002   ; PARA: Internal (W)rit(F)il(8D)ash_LoNG  [+0008 +0016 +0032 +0064 +0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;8d_LineChar  equ  f8d_FIX+0000+000    ; SVAL: WritFile Dashes Lines Character   [00000 00000 00000 00000 00000]
;8d_Valu0002  equ  f8d_LineChar+04     ; SVAL: Internal Value2                   [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  f8d_FIX+1024+000    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  f8d_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       Wrt(F)il(8)(D)ash   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f8d_PnF8dBas  equ  f8d_LNG+LVSZ*0000   ; PNTR: Internal Pnter.WriteFile8Dash.Bas [#0000 #0000 #0000 #0000 #0000]
f8d_PnF8dTop  equ  f8d_PnF8dBas+LVSZ   ; PNTR: Internal Pnter.WriteFile8Dash.Top [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
f8d_STRCSIZE  equ  f8d_LNG+LVSZ*0002   ; PARA: Internal StackFrame Structure END [+0008 +0016 +0032 +0064 +0128]
;###############################################################################################################
;## InpSTACK       Wrt(F)il(8)(D)ash   ; LVAL: External Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
F8D_StackLAX  equ  f8d_STRCSIZE+0000   ; LVAL: External StackFrame Register: LAX [00000 00000 00000 00000 00000]
F8D_StackLDX  equ  F8D_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
F8D_StackLCX  equ  F8D_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F8D_StackLDI  equ  F8D_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
F8D_StackLSI  equ  F8D_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;8D_StackLBX  equ  F8D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;8D_StackLBP  equ  F8D_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;8D_StackL12  equ  F8D_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;8D_StackL13  equ  F8D_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;8D_StackL14  equ  F8D_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;8D_StackL15  equ  F8D_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8D_StackLIP  equ  F8D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;*==============================================================================================================
F8D_StackTOP  equ  F8D_StackLIP+LVSZ   ; PARA: External StackInput Structure TOP [+0048 +0096 +0192 +0384 +0768]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                   Num [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;yPUBLIC  MyF8Dash                                             ; Called from Myn WFLine  only  ????
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF8Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*==============================================================================================================
F8Dash@1: mov        ldx,  lsp                                 ; Fetch LDX := TOP_LSP   Stack Frame TopLAX Pnter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F8Dash@2: lea        lsp, [lsp-f8d_STRCSIZE]                   ; Fetch LSP := TOP_LSP - Stack Frame STRuCt SIZE1
;* UnUsed and        lsp, BCST 000-MediaSIZ                    ; Andi: LSP := TOP_LSP & Media Align <FFFFF:FFC0>
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
F8Dash@3: mov        PNTR [lsp+f8d_PnF8dTop] , ldx             ; Store LDX => Fil<8>Dsh_Pnter.WritFile8Dash.Topp
          mov        PNTR [lsp+f8d_PnF8dBas] , lsp             ; Store LSP => Fil<8>Dsh_Pnter.WritFile8Dash.Base
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Dsh@4: lea        lbx, [ljp+dat_PnGmmBas]                   ; Fetch LBX := DatStatic_Addrs.GlobaMainMemo.Base
;* Input! mov        lbx, [lbx+000+00000000]                   ; Fetch LBX := DatStatic_Pnter.GlobaMainMemo.Base
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Dash@5: mov        lsi,  lsp                                 ; Fetch LSI := Fil<8>Dsh_Pnter.WritFile8Dash.Base
;* UnUsed mov        ldi,  ldx                                 ; Fetch LDI := Fil<8>Dsh_Pnter.WritFile8Dash.Topp
;*--------------------------------------------------------------------------------------------------------------
F8Dash@9: mov        sax, 'F8D@'                               ; fetch SAX := Wr(F)il(8)(D)ash <?>  0000@0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP F8DashGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F8Dash00: cmp        lbx, 0010000h                             ; test: LBX >= 0010000h ?
          jb         BJMP F8Dash01                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbx, [lbx+gmm_PnGmmBas]                   ; test: LBX == PnGmmBas ?
;         je         BJMP F8Dash02                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F8Dash01                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Dash01: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000001                             ; ErrorLabel: "F8Dash01"
          call            E1F8Dash                             ; ErrorMessag "MyF8Dash"
;% Contis jmp        BJMP F8DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F8Dash02: cmp        lbp, 0010000h                             ; test: LBP >= 0010000h ?
          jb         BJMP F8Dash03                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbp, [lbp+tmm_PnTmmBas]                   ; test: LBP == PnTmmBas ?
;         je         BJMP F8Dash04                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F8Dash03                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Dash03: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000003                             ; ErrorLabel: "F8Dash03"
          call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
;% Contis jmp        BJMP F8DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F8Dash04: cmp        lsi, 0010000h                             ; test: LSI >= 0010000h ?
          jb         BJMP F8Dash05                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsi, [lsi+f8d_PnF8dBas]                   ; test: LSI == PnF8dBas ?
          je         BJMP F8Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F8Dash05                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Dash05: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000005                             ; ErrorLabel: "F8Dash05"
          call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
;% Contis jmp        BJMP F8DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
;% Dsh06: cmp        ldi, 0010000h                             ; test: LDI >= 0010000h ?
;%        jb         BJMP F8Dash07                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;%        cmp        ldi, [lsi+f8d_PnF8dTop]                   ; test: LDI == PnF8dTop ?
;%        je         BJMP F8Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F8Dash07                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;% Dsh07: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;%        mov        scx, 00000007                             ; ErrorLabel: "F8Dash07"
;%        call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
;%        jmp        BJMP F8DashLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F8Dash08: cmp        lsp, 0010000h                             ; test: LSP >= 0010000h ?
          jb         BJMP F8Dash09                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsp, [lsp+f8d_PnF8dBas]                   ; test: LSP == PnF8dBas ?
          je         LJMP F8Dash10                             ; EQ -> Pretty Successi
;* NoWrit je         LJMP F8Dash20                             ; EQ -> Ignore Writings
;* IsNext jmp        BJMP F8Dash09                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Dash09: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000009                             ; ErrorLabel: "F8Dash09"
          call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
;* IsNext jmp        BJMP F8DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F8DashLT: mov        scx,-00000001                             ; fetch SCX := M1 for "LT"
          jmp        LJMP F8DashZ0                             ; condition to return "LT"
;*==============================================================================================================
F8Dash10: mov        sax, 'F8D1'                               ; fetch SAX := Wr(F)il(8)(D)ash <?>  000010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F8DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F8Dash11: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+F8D_StackLAX]               ; fetch LAX := UTF32-LE InChars
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
F8Dash1X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Dsh1Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+F8D_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
F8Dash20: mov        sax, 'F8D2'                               ; fetch SAX := Wr(F)il(8)(D)ash <?>  000020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP WFDashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F8Dash21: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* UnUsed cmp        lax, [lbp+000+iol_FmComRgt]               ; test: LAX == WritFile  Comment Right ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
F8Dash22: cmp        lax, BCST 004                             ; test: LAX == 00000004 ?
          je         BJMP F8Das200                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP F8Dash23                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Dash23: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000023                             ; ErrorLabel: "F8Dash23"
          call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
          jmp        LJMP F8DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F8DashEQ: xor        scx, scx                                  ; fetch SCX := 00 for "EQ"
          jmp        LJMP F8DashZ0                             ; condition to return "EQ"
;***************************************************************************************************************
;* Da200: mov        sax,'8D20'                                ; fetch SAX := Wr(F)il(8)(D)ash <?>  000200
;*        mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;*        call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP C8DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F8Das200: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ ...........]&n
          jl         LJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [  ..........]&n
          jl         LJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [   .........]&n
          jl         LJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [   -........]&n
          jl         LJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F8Das201: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [   - .......]&n
          jl         LJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [   -  .......]&n
          jl         LJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [   -   .....]&n
          jl         BJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [   -   -....]&n
          jl         BJMP F8Das209                             ; LT -> Error: Mystical     
          je         BJMP F8DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F8Das202: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [   -   - ...]&n
          jl         BJMP F8Das209                             ; LT -> Error: Mystical     
          je         LJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [   -   -  ..]&n
          jl         BJMP F8Das209                             ; LT -> Error: Mystical     
          je         LJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [   -   -   .]&n
          jl         BJMP F8Das209                             ; LT -> Error: Mystical     
          je         LJMP F8DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F8Das206: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
          cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WritFile  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP F8Das208                             ; LT -> Contis DashLoop
          je         BJMP F8Dash24                             ; EQ -> Leaves DashLoop
;* IsNext jmp        BJMP F8Das207                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Das207: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000207                             ; ErrorLabel: "F8Das207"
          call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
          jmp        BJMP F8Dash24                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
F8Das208: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [   -   -   -]&n
          jg         LJMP F8Das200                             ; GT -> Cycles DashLoop
          je         LJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F8Das209                             ; LE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Das209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000209                             ; ErrorLabel: "F8Das209"
          call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
          jmp        LJMP F8DashLT                             ; Return with "LessThan"
;***************************************************************************************************************
F8Dash24: mov        sax, [lsi+F8D_StackLAX]                   ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [     -     %]&n
          jg         BJMP F8DashGT                             ; GT -> Pretty Successi
          je         LJMP F8DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F8Dash25                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8Dash25: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000025                             ; ErrorLabel: "F8Dash25"
          call            E2F8Dash                             ; ErrorMessag "MyF8Dash"
          jmp        LJMP F8DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F8DashGT: mov        scx,+00000001                             ; fetch SCX := +1 for "GT"
;% IsNext jmp        BJMP F8DashZ0                             ; condition to return "GT"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F8DashZ0: mov        sax, 'F8DZ'                               ; fetch SAX := Wr(F)il(8)(D)ash <?>  0000Z0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F8DashGT                             ; Goto: End
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*        mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMillisecondSleep(SAX,SDX)
;*==============================================================================================================
F8DashZ3: cmp        scx, BCST 000                             ; Test: SCX as ReturnCondition
;*--------------------------------------------------------------------------------------------------------------
F8DashZ4: mov        lsp, [lsp+f8d_PnF8dTop]                   ; Fetch LSP := Fil<8>Dsh_Pnter.WritFile8Dash.Topp
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8DashZ5: pop        lax                                       ; Fetch LAX := TOP[+0000 +0000 +0000 +0000 +0000]
          pop        ldx                                       ; Fetch LDX := TOP[+0004 +0008 +0016 +0032 +0064]
          pop        lcx                                       ; Fetch LCX := TOP[+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F8DashZ6: pop        ldi                                       ; Fetch LDI := TOP[+0012 +0024 +0048 +0096 +0192]
          pop        lsi                                       ; Fetch LSI := TOP[+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* DshZ7: pop        lbx                                       ; Fetch LBX := TOP[+0020 +0040 +0080 +0160 +0320]
;* IsKept pop        lbp                                       ; Fetch LBP := TOP[+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* DshZ8: pop        l12                                       ; Fetch L12 := TOP[+0028 +0056 +0112 +0224 +0448]
;* UnUsed pop        l13                                       ; Fetch L13 := TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed pop        l14                                       ; Fetch L14 := TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed pop        l15                                       ; Fetch L15 := TOP[+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F8DashZ9: ret                                                  ; Fetch LIP := TOP[+0044 +0088 +0176 +0352 +0704]
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] #
;# ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
E1F8Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F8Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E1F8Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E1F8Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E1F8Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F8Da24: lea        lax, [ljp+dat_MyF8Dash]                   ; fetch LAX := Static String  Data "MyF8Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F8Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F8Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F8Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E1F8Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F8Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F8Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F8Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F8Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E1F8Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E1F8Da01: call            S1EM1Box                             ; CALL EM1Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F8Da02: jge        BJMP E1F8Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E1F8Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E1F8Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E1F8Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E1F8Da09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] %
;% ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] %
;% ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] %
;% ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] %
;% ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] %
;% ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] %
;% ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] %
;% ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] %
;% ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] %
;% ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] %
;% ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] %
;%=============================================================================================================%
;% ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] %
;% ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
E2F8Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F8Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E2F8Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E2F8Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E2F8Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F8Da24: lea        lax, [ljp+dat_MyF8Dash]                   ; fetch LAX := Static String  Data "MyF8Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F8Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F8Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F8Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E2F8Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F8Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F8Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F8Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F8Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E2F8Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E2F8Da01: call            S1EM2Box                             ; CALL EM2Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F8Da02: jge        BJMP E2F6Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E2F8Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E2F8Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E2F8Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E2F8Da09: ret                                                  ; Retrn LIP := StackArg(@13)
;************************************************************************************************* End MyWF8Dash

;***************************************************************************************************************
;* MyF9Dash  My own  write Console|File|Memory Type<9> Dashing                                                 *
;*                                                                                                             *
;*=============================================================================================================*
;* MyF9Dash   takes as register input:                                           LBX := gmm_        Pointer    *
;*                                                                               LBP := tmm_        Pointer    *
;* MyF9Dash   returns:    -                                                      LBP := iol_        Pointer    *
;*                                                                               SAX := UTF32LE     EndChar    *
;* MyF9Dash   changes the registers:                                                                           *
;***************************************************************************************************************
;%% OutSTACK       Wrt(F)il(9)(D)ash   ; LVAL: Description                       [Int32 Amd64 IA128 IA256 IA512]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
f9d_ShArg001  equ  000+00000000+0000   ; LVAL: FastCall Shadow Call Arg(LCX) 001 [00000 00000 00000 00000 00000]
f9d_ShArg002  equ  f9d_ShArg001+LVSZ   ; LVAL: FastCall Shadow Call Arg(LDX) 002 [00004 00008 00016 00032 00064]
f9d_ShArg003  equ  f9d_ShArg002+LVSZ   ; LVAL: FastCall Shadow Call Arg(L08) 003 [00008 00016 00032 00064 00128]
f9d_ShArg004  equ  f9d_ShArg003+LVSZ   ; LVAL: FastCall Shadow Call Arg(L09) 004 [00012 00024 00048 00096 00192]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;9d_StArg005  equ  f9d_ShArg004+LVSZ   ; LVAL: FastCall Normal Call Argument 005 [00016 00032 00064 00128 00256]
;9d_StArg006  equ  f9d_StArg005+LVSZ   ; LVAL: FastCall Stack! Call Argument 006 [00020 00040 00080 00160 00320]
;9d_StArg007  equ  f9d_StArg006+LVSZ   ; LVAL: FastCall Normal Call Argument 007 [00024 00048 00096 00192 00384]
;9d_StArg008  equ  f9d_StArg007+LVSZ   ; LVAL: FastCall Stack! Call Argument 008 [00028 00056 00112 00224 00448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;9d_StArg009  equ  f9d_StArg008+LVSZ   ; LVAL: FastCall Normal Call Argument 009 [00032 00064 00128 00256 00512]
;9d_StArg010  equ  f9d_StArg009+LVSZ   ; LVAL: FastCall Stack! Call Argument 010 [00036 00072 00144 00288 00576]
;9d_StArg011  equ  f9d_StArg010+LVSZ   ; LVAL: FastCall Normal Call Argument 011 [00040 00080 00160 00320 00640]
;9d_StArg012  equ  f9d_StArg011+LVSZ   ; LVAL: FastCall Stack! Call Argument 012 [00044 00088 00176 00352 00704]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;9d_StArg013  equ  f9d_StArg012+LVSZ   ; LVAL: FastCall Normal Call Argument 013 [00048 00096 00192 00384 00768]
;9d_StArg014  equ  f9d_StArg013+LVSZ   ; LVAL: FastCall Stack! Call Argument 014 [00052 00104 00208 00416 00832]
;9d_StArg015  equ  f9d_StArg014+LVSZ   ; LVAL: FastCall Normal Call Argument 015 [00056 00112 00224 00448 00896]
;9d_StArg016  equ  f9d_StArg015+LVSZ   ; LVAL: FastCall Stack! Call Argument 016 [00060 00120 00240 00480 00960]
;###############################################################################################################
;## ValFIXED       Wrt(F)il(9)(D)ash   ; SVAL: Internal Part00 Non scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f9d_FIX       equ  0000000+LVSZ*0004   ; PARA: Internal (W)rit(F)il(9D)ash_FIXed [00064 00128 00256 00512 01024]
f9d_LNG       equ  f9d_FIX+LVSZ*0002   ; PARA: Internal (W)rit(F)il(9D)ash_LoNG  [+0008 +0016 +0032 +0064 +0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;9d_LineChar  equ  f9d_FIX+0000+000    ; SVAL: WritFile Dashes Lines Character   [00000 00000 00000 00000 00000]
;9d_Valu0002  equ  f9d_LineChar+04     ; SVAL: Internal Value2                   [+0004 +0004 +0004 +0004 +0004]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu1024  equ  f9d_FIX+1024+000    ; XVAL: Internal Part01 Non scaling Value [%1024 %1024 %1024 %1024 %1024]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;%% Valu2048  equ  f9d_FIX+2048+000    ; XVAL: Internal Part02 Non scaling Value [%2048 %2048 %2048 %2048 %2048]
;###############################################################################################################
;## ValuLONG       Wrt(F)il(9)(D)ash   ; LVAL: Internal Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
f9d_PnF9dBas  equ  f9d_LNG+LVSZ*0000   ; PNTR: Internal Pnter.WriteFile9Dash.Bas [#0000 #0000 #0000 #0000 #0000]
f9d_PnF9dTop  equ  f9d_PnF9dBas+LVSZ   ; PNTR: Internal Pnter.WriteFile9Dash.Top [+0004 +0008 +0016 +0032 +0064]
;*==============================================================================================================
f9d_STRCSIZE  equ  f9d_LNG+LVSZ*0002   ; PARA: Internal StackFrame Structure END [+0008 +0016 +0032 +0064 +0128]
;###############################################################################################################
;## InpSTACK       Wrt(F)il(9)(D)ash   ; LVAL: External Long SIZes scaling Value [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
F9D_StackLAX  equ  f9d_STRCSIZE+0000   ; LVAL: External StackFrame Register: LAX [00000 00000 00000 00000 00000]
F9D_StackLDX  equ  F9D_StackLAX+LVSZ   ; LVAL: External StackFrame Register: LDX [+0004 +0008 +0016 +0032 +0064]
F9D_StackLCX  equ  F9D_StackLDX+LVSZ   ; LVAL: External StackFrame Register: LCX [+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F9D_StackLDI  equ  F9D_StackLCX+LVSZ   ; PNTR: External StackFrame Register: LDI [+0012 +0024 +0048 +0096 +0192]
F9D_StackLSI  equ  F9D_StackLDI+LVSZ   ; PNTR: External StackFrame Register: LSI [+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;9D_StackLBX  equ  F9D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LBX [+0020 +0040 +0080 +0160 +0320]
;9D_StackLBP  equ  F9D_StackLBX+LVSZ   ; PNTR: External StackFrame Register: LBP [+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;9D_StackL12  equ  F9D_StackLBP+LVSZ   ; PNTR: External StackFrame Register: L12 [+0028 +0056 +0112 +0224 +0448]
;9D_StackL13  equ  F9D_StackL12+LVSZ   ; PNTR: External StackFrame Register: L13 [+0032 +0064 +0128 +0256 +0512]
;9D_StackL14  equ  F9D_StackL13+LVSZ   ; PNTR: External StackFrame Register: L14 [+0036 +0072 +0144 +0288 +0576]
;9D_StackL15  equ  F9D_StackL14+LVSZ   ; PNTR: External StackFrame Register: L15 [+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9D_StackLIP  equ  F9D_StackLSI+LVSZ   ; PNTR: External StackFrame Register: LIP [+0044 +0088 +0176 +0352 +0704]
;*==============================================================================================================
F9D_StackTOP  equ  F9D_StackLIP+LVSZ   ; PARA: External StackInput Structure TOP [+0048 +0096 +0192 +0384 +0768]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;23_12345678  equ  nam_Variable+XSIZ   ; XVAL: Description                   Num [Int32 Amd64 IA128 IA256 IA512]
;###############################################################################################################
;yPUBLIC  MyF9Dash                                             ; Called from Myn WFLine  only  ????
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% CALL ! push       lip                                       ; Save: LIP => TOP[+0044 +0088 +0176 +0352 +0704]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* UnUsed push       l15                                       ; Save: L15 => TOP[+0040 +0080 +0160 +0320 +0640]
;* UnUsed push       l14                                       ; Save: L14 => TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed push       l13                                       ; Save: L13 => TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed push       l12                                       ; Save: L12 => TOP[+0028 +0056 +0112 +0224 +0448]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* IsKept push       lbp                                       ; Save: LBP => TOP[+0024 +0048 +0096 +0192 +0384]
;* IsKept push       lbx                                       ; Save: LBX => TOP[+0020 +0040 +0080 +0160 +0320]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
MyF9Dash: push       lsi                                       ; Save: LSI => TOP[+0016 +0032 +0064 +0128 +0256]
          push       ldi                                       ; Save: LDI => TOP[+0012 +0024 +0048 +0096 +0192]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          push       lcx                                       ; Save: LCX => TOP[+0008 +0016 +0032 +0064 +0128]
          push       ldx                                       ; Save: LDX => TOP[+0004 +0008 +0016 +0032 +0064]
          push       lax                                       ; Save: LAX => TOP[00000 00000 00000 00000 00000]
;*==============================================================================================================
F9Dash@1: mov        ldx,  lsp                                 ; Fetch LDX := TOP_LSP   Stack Frame TopLAX Pnter
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F9Dash@2: lea        lsp, [lsp-f9d_STRCSIZE]                   ; Fetch LSP := TOP_LSP - Stack Frame STRuCt SIZE1
;* UnUsed and        lsp, BCST 000-MediaSIZ                    ; Andi: LSP := TOP_LSP & Media Align <FFFFF:FFC0>
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
F9Dash@3: mov        PNTR [lsp+f9d_PnF9dTop] , ldx             ; Store LDX => Fil<9>Dsh_Pnter.WritFile9Dash.Topp
          mov        PNTR [lsp+f9d_PnF9dBas] , lsp             ; Store LSP => Fil<9>Dsh_Pnter.WritFile9Dash.Base
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* Lin@4: lea        lbx, [ljp+dat_PnGmmBas]                   ; Fetch LBX := DatStatic_Addrs.GlobaMainMemo.Base
;* Input! mov        lbx, [lbx+000+00000000]                   ; Fetch LBX := DatStatic_Pnter.GlobaMainMemo.Base
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Dash@5: mov        lsi,  lsp                                 ; Fetch LSI := Fil<9>Dsh_Pnter.WritFile9Dash.Base
;* UnUsed mov        ldi,  ldx                                 ; Fetch LDI := Fil<9>Dsh_Pnter.WritFile9Dash.Topp
;*--------------------------------------------------------------------------------------------------------------
F9Dash@9: mov        sax, 'F9D@'                               ; fetch SAX := Wrt(F)il(9)(D)sh <?>  0000@0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;% Debugs jmp        LJMP F9DashGT                             ; Goto: End
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F9Dash00: cmp        lbx, 0010000h                             ; test: LBX >= 0010000h ?
          jb         BJMP F9Dash01                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbx, [lbx+gmm_PnGmmBas]                   ; test: LBX == PnGmmBas ?
;         je         BJMP F9Dash02                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F9Dash01                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Dash01: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000001                             ; ErrorLabel: "F9Dash01"
          call            E1F9Dash                             ; ErrorMessag "MyF9Dash"
;% Contis jmp        BJMP F9DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F9Dash02: cmp        lbp, 0010000h                             ; test: LBP >= 0010000h ?
          jb         BJMP F9Dash03                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lbp, [lbp+tmm_PnTmmBas]                   ; test: LBP == PnTmmBas ?
;         je         BJMP F9Dash04                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F9Dash03                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Dash03: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000003                             ; ErrorLabel: "F9Dash03"
          call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
;% Contis jmp        BJMP F9DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
F9Dash04: cmp        lsi, 0010000h                             ; test: LSI >= 0010000h ?
          jb         BJMP F9Dash05                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsi, [lsi+f9d_PnF9dBas]                   ; test: LSI == PnF9dBas ?
          je         BJMP F9Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F9Dash05                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Dash05: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000005                             ; ErrorLabel: "F9Dash05"
          call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
;% Contis jmp        BJMP F9DashLT                             ; Return with "LessThan"
;%--------------------------------------------------------------------------------------------------------------
;% Dsh06: cmp        ldi, 0010000h                             ; test: LDI >= 0010000h ?
;%        jb         BJMP F9Dash07                             ; LT -> Error: Mystical
;% -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;%        cmp        ldi, [lsi+f9d_PnF9dTop]                   ; test: LDI == PnF9dTop ?
;%        je         BJMP F9Dash08                             ; EQ -> Pretty Successi
;% IsNext jmp        BJMP F9Dash07                             ; NE -> Error: Mystical
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;% Dsh07: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
;%        mov        scx, 00000007                             ; ErrorLabel: "F9Dash07"
;%        call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
;%        jmp        BJMP F9DashLT                             ; Return with "LessThan"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F9Dash08: cmp        lsp, 0010000h                             ; test: LSP >= 0010000h ?
          jb         BJMP F9Dash09                             ; LT -> Error: Mystical
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          cmp        lsp, [lsp+f9d_PnF9dBas]                   ; test: LSP == PnF9dBas ?
          je         LJMP F9Dash10                             ; EQ -> Pretty Successi
;* NoWrit je         LJMP F9Dash20                             ; EQ -> Ignore Writings
;* IsNext jmp        BJMP F9Dash09                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Dash09: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000009                             ; ErrorLabel: "F9Dash09"
          call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
;* IsNext jmp        BJMP F9DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F9DashLT: mov        scx,-00000001                             ; fetch SCX := M1 for "LT"
          jmp        LJMP F9DashZ0                             ; condition to return "LT"
;*==============================================================================================================
F9Dash10: mov        sax, 'F9D1'                               ; fetch SAX := Wr(F)il(9)(D)ash <?>  000010
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F9DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F9Dash11: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
          mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
          call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          mov        lax, PNTR[lsi+F9D_StackLAX]               ; fetch LAX := UTF32-LE InChars
          mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
          call            TMM1QPut                             ; Write Out
          mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
          call            TMM1QPut                             ; Write Out
;*--------------------------------------------------------------------------------------------------------------
F9Dash1X: mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
          mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
          call            S1MSleep                             ; call: SyMilliSecondSleep(SAX,SDX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* Dsh1Y: mov        sax, 'LAX:'                               ; fetch SAX := Stack Char <LAX>
;* ?      mov        sdx, 0100037h                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Txt04R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        lax, LVAL[lsi+F9D_StackLAX]               ; fetch LAX := UTF32-LE InChars
;* ?      mov        sdx, 0000651h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-EBt-uI16Hex32R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 0000250h                             ; 00000-QAX-na-[NEBT:MSiz:LFun]-eBt-sI16Int40R-ml
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 000023Eh                             ; 00000-SAX-na-[NEBT:MSiz:LFun]-eBt-uI04Str04R-mL
;* ?      call            TMM1QPut                             ; Write Out
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;* ?      mov        sdx, 4020E09h                             ; 00064-LAX-Na-[NEBT:MSiz:LFun]-EBt-uI01Hex02D-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C0E7Fh                             ; 00000-ST0-Na-[NEBT:MSiz:LFun]-EBt-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;* ?      mov        sdx, 00C1F7Fh                             ; 00000-ST1-Na-[NEBT:MSiz:LFun]-EBT-HSV-TmpExp-mL
;* ?      call            TMM1QPut                             ; Write Out
;*==============================================================================================================
F9Dash20: mov        sax, 'F9D2'                               ; fetch SAX := Wr(F)il(9)(D)ash <?>  000020
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F9DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F9Dash21: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
;* UnUsed cmp        lax, [lbp+000+iol_FmComRgt]               ; test: LAX == WritFile  Comment Right ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
F9Dash22: cmp        lax, BCST 004                             ; test: LAX == 00000004 ?
          je         BJMP F9Das200                             ; EQ -> Pretty Successi
;* IsNext jmp        BJMP F9Dash23                             ; NE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Dash23: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000023                             ; ErrorLabel: "F9Dash23"
          call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
          jmp        LJMP F9DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F9DashEQ: xor        scx, scx                                  ; fetch SCX := 00 for "EQ"
          jmp        LJMP F9DashZ0                             ; condition to return "EQ"
;***************************************************************************************************************
;* Da200: mov        sax,'9D20'                                ; fetch SAX := Wr(F)il(9)(D)ash <?>  000200
;* UnUsed mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
;* UnUsed call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F9DashGT                             ; Goto: End
;*--------------------------------------------------------------------------------------------------------------
F9Das200: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [ ...........]&n
          jl         LJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [  ..........]&n
          jl         LJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [   .........]&n
          jl         LJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [    ........]&n
          jl         LJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [     .......]&n
          jl         LJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
          mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [     -......]&n
          jl         BJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F9Das201: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blanks
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [     - .....]&n
          jl         BJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [     -  ....]&n
          jl         BJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [     -   ...]&n
          jl         BJMP F9Das209                             ; LT -> Error: Mystical     
          je         BJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [     -    ..]&n
          jl         BJMP F9Das209                             ; LT -> Error: Mystical     
          je         LJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
          call            M1WFChar                             ; Write |C% -| [     -     .]&n
          jl         BJMP F9Das209                             ; LT -> Error: Mystical     
          je         LJMP F9DashEQ                             ; EQ -> Memory BuffFull
;*--------------------------------------------------------------------------------------------------------------
F9Das206: mov        lcx, [lbp+000+iol_L9FILNUM]               ; fetch LCX := Long[LS]  FILe    NUMber
          mov        lax, [lbx+lcx+ios_W00CoCnt]               ; fetch LAX := Writ[FN]  Column  Counter
          cmp        lax, [lbp+000+iol_FmComRM1]               ; test: LAX == WritFile  Comment Right Minus 1  ?
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          jl         BJMP F9Das208                             ; LT -> Contis DashLoop
          je         BJMP F9Dash24                             ; EQ -> Leaves DashLoop
;* IsNext jmp        BJMP F9Das207                             ; GT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Das207: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000207                             ; ErrorLabel: "F9Das207"
          call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
          jmp        BJMP F9Dash24                             ; Return with "LessThan"
;*--------------------------------------------------------------------------------------------------------------
F9Das208: mov        sax, 000002Dh                             ; fetch SAX := '-' 02Dh  <Dash>
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [     -     -]&n
          jg         LJMP F9Das200                             ; GT -> Cycles DashLoop
          je         LJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F9Das209                             ; LE -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Das209: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000209                             ; ErrorLabel: "F9Das209"
          call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
          jmp        LJMP F9DashLT                             ; Return with "LessThan"
;***************************************************************************************************************
F9Dash24: mov        sax, [lsi+F9D_StackLAX]                   ; fetch SAX := '%' 025h EndChar
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
          call            M1WFChar                             ; Write |C% -| [     -     %]&n
          jg         BJMP F9DashGT                             ; GT -> Pretty Successi
          je         LJMP F9DashEQ                             ; EQ -> Memory BuffFull
;* IsNext jmp        BJMP F9Dash25                             ; LT -> Error: Mystical
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9Dash25: mov        sdx, EnMystic                             ; ErrorNumber "Mystical"
          mov        scx, 00000025                             ; ErrorLabel: "F9Dash25"
          call            E2F9Dash                             ; ErrorMessag "MyF9Dash"
          jmp        LJMP F9DashLT                             ; Return with "LessThan"
;*==============================================================================================================
F9DashGT: mov        scx,+00000001                             ; fetch SCX := +1 for "GT"
;% IsNext jmp        BJMP F9DashZ0                             ; condition to return "GT"
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
F9DashZ0: mov        sax, 'F9DZ'                               ; fetch SAX := Wr(F)il(9)(D)ash <?>  0000Z0
          mov        sdx, 01000BEh                             ; 00001-SAX-na-[NEBT:MSiz:LFun]-ebt-uI04Str04R-ML
          call            TMM1QPut                             ; Write Out
;* Debugs jmp        LJMP F9DashGT                             ; Goto: End
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;*        mov        sax, 00000000                             ; fetch SAX := CONTROL <1IAUSN####>
;*        mov        sdx, 00001500                             ; fetch SDX := 0001500 MilliSeconds
;*        call            S1MSleep                             ; call: SyMillisecondSleep(SAX,SDX)
;*==============================================================================================================
F9DashZ3: cmp        scx, BCST 000                             ; Test: SCX as ReturnCondition
;*--------------------------------------------------------------------------------------------------------------
F9DashZ4: mov        lsp, [lsp+f9d_PnF9dTop]                   ; Fetch LSP := Fil<9>Dsh_Pnter.WritFile9Dash.Topp
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9DashZ5: pop        lax                                       ; Fetch LAX := TOP[+0000 +0000 +0000 +0000 +0000]
          pop        ldx                                       ; Fetch LDX := TOP[+0004 +0008 +0016 +0032 +0064]
          pop        lcx                                       ; Fetch LCX := TOP[+0008 +0016 +0032 +0064 +0128]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
F9DashZ6: pop        ldi                                       ; Fetch LDI := TOP[+0012 +0024 +0048 +0096 +0192]
          pop        lsi                                       ; Fetch LSI := TOP[+0016 +0032 +0064 +0128 +0256]
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* DshZ7: pop        lbx                                       ; Fetch LBX := TOP[+0020 +0040 +0080 +0160 +0320]
;* IsKept pop        lbp                                       ; Fetch LBP := TOP[+0024 +0048 +0096 +0192 +0384]
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* DshZ8: pop        l12                                       ; Fetch L12 := TOP[+0028 +0056 +0112 +0224 +0448]
;* UnUsed pop        l13                                       ; Fetch L13 := TOP[+0032 +0064 +0128 +0256 +0512]
;* UnUsed pop        l14                                       ; Fetch L14 := TOP[+0036 +0072 +0144 +0288 +0576]
;* UnUsed pop        l15                                       ; Fetch L15 := TOP[+0040 +0080 +0160 +0320 +0640]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
F9DashZ9: ret                                                  ; Fetch LIP := TOP[+0044 +0088 +0176 +0352 +0704]
;###############################################################################################################
;# ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] #
;# ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] #
;# ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] #
;# ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] #
;# ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] #
;# ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] #
;# ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] #
;# ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] #
;# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
;# ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] #
;# ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] #
;#-------------------------------------------------------------------------------------------------------------#
;# ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] #
;# ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] #
;# ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] #
;#=============================================================================================================#
;# ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] #
;# ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] #
;###############################################################################################################
E1F9Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F9Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E1F9Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E1F9Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E1F9Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F9Da24: lea        lax, [ljp+dat_MyF9Dash]                   ; fetch LAX := Static String  Data "MyF9Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F9Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F9Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F9Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E1F9Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F9Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F9Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E1F9Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E1F9Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E1F9Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E1F9Da01: call            S1EM1Box                             ; CALL EM1Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F9Da02: jge        BJMP E1F9Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E1F9Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E1F9Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E1F9Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E1F9Da09: ret                                                  ; Retrn LIP := StackArg(@13)  ErrJnpQut_PnCALLLIP
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% ejq_PnBOXTIT  equ  000+00000000+0000 ; PNTR: ErrJnpQut_MessageBOXes.TITle  00 [0000 0000  0000 0000 |00000] %
;% ejq_PnHLGFIL  equ  ejq_PnBOXTIT+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FILe  @01 [0004 0008  0016 0032 |00064] %
;% ejq_PnHLGFUN  equ  ejq_PnHLGFIL+LVSZ ; PNTR: ErrJnpQut_HighLanGuage.FUNc  @02 [0008 0016  0032 0064 |00128] %
;% ejq_LvHLGLIN  equ  ejq_PnHLGFUN+LVSZ ; LVAL: ErrJnpQut_HighLanGuage.LINe  @03 [0012 0024  0048 0096 |00192] %
;% ejq_HnPARENT  equ  ejq_LvHLGLIN+LVSZ ; HNDL: ErrJnpQut_DialogWindow.PARENT 04 [0016 0032  0064 0128 |00256] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvCONTRL  equ  ejq_HnPARENT+LVSZ ; LVAL: ErrJnpQut_CTRL <1IA USN ????> 05 [0020 0040  0080 0160 |00320] %
;% ejq_LvFILNUM  equ  ejq_LvCONTRL+LVSZ ; LVAL: ErrJnpQut_FILes.NUMber        06 [0024 0048  0096 0192 |00384] %
;% ejq_PnASMFIL  equ  ejq_LvFILNUM+LVSZ ; PNTR: ErrJnpQut_ASseM.FILe         @07 [0028 0056  0112 0224 |00448] %
;% ejq_PnASMFUN  equ  ejq_PnASMFIL+LVSZ ; PNTR: ErrJnpQut_ASseM.FUNction     @08 [0032 0064  0128 0256 |00512] %
;% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - %
;% ejq_LvERRLAB  equ  ejq_PnASMFUN+LVSZ ; LVAL: ErrMsgBox_ERRor.LABel  (SCX) @09 [0036 0072  0144 0288 |00576] %
;% ejq_LvERRNUM  equ  ejq_LvERRLAB+LVSZ ; LVAL: ErrMsgBox_ERRor.NUMber (SDX) @10 [0040 0080  0160 0320 |00640] %
;%-------------------------------------------------------------------------------------------------------------%
;% ejq_LvSAVLAX  equ  ejq_LvERRNUM+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LAX> 11 [0044 0088  0176 0352 |00704] %
;% ejq_LvSAVLDX  equ  ejq_LvSAVLAX+LVSZ ; LVAL: ErrJnpQut_SAVes.Register<LDX> 12 [0048 0096  0192 0384 |00768] %
;% ejq_PnCALLIP  equ  ejq_LvSAVLDX+LVSZ ; PNTR: ErrJnpQut_CALLs.Register<LIP> 13 [0052 0104  0208 0416 |00832] %
;%=============================================================================================================%
;% ejq_STRCSIZE  equ  ejq_LvSAVLDX+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(1) LSZ * 13 [0052 0104  0208 0416 |00832] %
;% ejq_STRCSIZ2  equ  ejq_PnCALLIP+LVSZ ; PARA: ErrJnpQut_STRCt.SIZE(2) LSZ * 14 [0056 0112  0224 0448 |00896] %
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
E2F9Dash: lea        lsp, [lsp-ejq_STRCSIZE]                   ; fetch LSP := LSP-LVSZ*0013  ErrJnpQut_STRCSIZE1
;*--------------------------------------------------------------------------------------------------------------
;* CALL ! mov        PNTR [lsp+ejq_PnCALLIP] , lip             ; store LIP => StackArg(@13)  ErrJnpQut_PnCALLLIP
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F9Da32: mov        LVAL [lsp+ejq_LvSAVLDX] , ldx             ; store LDX => StackArg(@12)  ErrJnpQut_LvSAVeLDX
E2F9Da31: mov        LVAL [lsp+ejq_LvSAVLAX] , lax             ; store LAX => StackArg(@11)  ErrJnpQut_LvSAVeLAX
;***************************************************************************************************************
E2F9Da26: mov        sax,  sdx                                 ; fetch LAX := Register<SDX>  LongValue(EvERRNUM)
          mov        LVAL [lsp+ejq_LvERRNUM] , lax             ; store LAX => StackArg(@10)  ErrJnpQut_LvERRNUMb
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
E2F9Da25: mov        sax,  scx                                 ; fetch LAX := Register<SCX>  LongValue(EvERRLAB)
          mov        LVAL [lsp+ejq_LvERRLAB] , lax             ; store LAX => StackArg(@09)  ErrJnpQut_LvERRLABl
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F9Da24: lea        lax, [ljp+dat_MyF9Dash]                   ; fetch LAX := Static String  Data "MyF9Dash",000
          mov        PNTR [lsp+ejq_PnASMFUN] , lax             ; store LAX => StackArg(@08)  ErrJnpQut_PnASMFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F9Da23: lea        lax, [ljp+dat_EqASMFIL]                   ; fetch LAX := Static String  Data "DL1iol32.asm"
          mov        PNTR [lsp+ejq_PnASMFIL] , lax             ; store LAX => StackArg(@07)  ErrJnpQut_PnASMFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F9Da22: mov        lax, [lbp+tmm_EqFILNUM]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqFILeNUM
          mov        LVAL [lsp+ejq_LvFILNUM] , lax             ; store LAX => StackArg(@06)  ErrJnpQut_LvFILeNUM
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F9Da21: mov        lax, [lbp+tmm_EqCONTRL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqCONTRoL
          mov        LVAL [lsp+ejq_LvCONTRL] , lax             ; store LAX => StackArg(@05)  ErrJnpQut_LvCONTRoL
;*--------------------------------------------------------------------------------------------------------------
E2F9Da16: mov        lax, [lbp+tmm_EqPARENT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqPARENTw
          mov        HNDL [lsp+ejq_HnPARENT] , lax             ; store LAX => StackArg(@04)  ErrJnpQut_HnPARENTw
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F9Da15: mov        lax, [lbp+tmm_EqHLGLIN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGLINe
          mov        LVAL [lsp+ejq_LvHLGLIN] , lax             ; store LAX => StackArg(@03)  ErrJnpQut_LvHLGLINe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F9Da14: mov        lax, [lbp+tmm_EqHLGFUN]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFUNc
          mov        PNTR [lsp+ejq_PnHLGFUN] , lax             ; store LAX => StackArg(@02)  ErrJnpQut_PnHLGFUNc
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
E2F9Da13: mov        lax, [lbp+tmm_EqHLGFIL]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqHLGFILe
          mov        PNTR [lsp+ejq_PnHLGFIL] , lax             ; store LAX => StackArg(@01)  ErrJnpQut_PnHLGFILe
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
E2F9Da12: mov        lax, [lbp+tmm_EqBOXTIT]                   ; fetch LAX := ErrBox/QutLib  ThrMaiMem_EqBOXTITl
          mov        PNTR [lsp+ejq_PnBOXTIT] , lax             ; store LAX => StackArg(@00)  ErrJnpQut_PnBOXTITl
;*--------------------------------------------------------------------------------------------------------------
E2F9Da11: mov        lax, [lsp+ejq_LvSAVLAX]                   ; fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
;*==============================================================================================================
E2F9Da01: call            S1EM2Box                             ; CALL EM2Box(BOXTIT,HLGFIL,HLGFUN,HLGLIN,PARENT,
;*F9Da02: jge        BJMP E2F9Da06                             ; Tst\ CONTRL,FILNUM,ASMFIL,ASMFUN,ERRLAB,ERRNUM)
;***************************************************************************************************************
E2F9Da06: mov        lax, [lsp+ejq_LvSAVLAX]                   ; Fetch LAX := StackArg(@11)  ErrJnpQut_LvSAVeLAX
E2F9Da07: mov        ldx, [lsp+ejq_LvSAVLDX]                   ; Fetch LDX := StackArg(@12)  ErrJnpQut_LvSAVeLDX
;*--------------------------------------------------------------------------------------------------------------
E2F9Da08: lea        lsp, [lsp+ejq_STRCSIZE]                   ; Fetch LSP := LSP+LVSZe*13   ErrJnpQut_STRCSIZE1
E2F9Da09: ret                                                  ; Retrn LIP := StackArg(@13)
;************************************************************************************************* End MyWF9Dash

;***************************************************************************************************************
;* MyWF#xxx  My own Write Console|File|Memory special Characters often used.                                   *
;*                                                                                                             *
;*=============================================================================================================*
;* MyWF#xxx  takes as register input:                            LBX = gmm_   Pointer                          *
;*                                                               LBP = tmm_   Pointer                          *
;* MyWF#xxx  returns:    -                                       LBP = iol_   Pointer                          *
;*                                                                                                             *
;* MyWF#xxx  changes the registers:                              LAX                                           *
;***************************************************************************************************************
;1WFZero: mov        sax, 0000000h                             ; fetch SAX := Nul 000h  Zero       Stopping
;?        jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;1WFTabb: mov        sax, 0000009h                             ; fetch SAX := Tab 009h  Tabbing
;?        jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
M1WFBlnk: mov        sax, 0000020h                             ; fetch SAX := ' ' 020h  Blank
          jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;1WFStar: mov        sax, 000002Ah                             ; fetch SAX := '*' 02Ah  Star       Asterix
;?        jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;1WFComa: mov        sax, 000002Ch                             ; fetch SAX := ',' 02Ch  Comma
;?        jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
M1WFPoin: mov        sax, 000002Eh                             ; fetch SAX := '.' 02Eh  Point
          jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
M1WFColo: mov        sax, 000003Ah                             ; fetch SAX := ':' 03Ah  Colon
          jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;1WFSepa: mov        sax, 007Ch                                ; fetch SAX := '|' 07Ch  Verical    Separation
;* next   jmp        BJMP M1WFChar                             ; call: My own WritFile  Character  (SAX,LBP,LBX)
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
M1WFChar: jmp        LJMP MyQWChar                             ; CALL: My own WritFile  |Console|MemoryCharacter
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
S1WFNwLn: jmp        LJMP SyQWNwLn                             ; CALL: System WritFile  |Console|Memory  NewLine
S1WFNwPg: jmp        LJMP SyQWNwPg                             ; CALL: System WritFile  |Console|Memory  NewPage
S1WFBuff: jmp        LJMP SyQWBuff                             ; CALL: System WritFile  |Console|Memory  Buffer
S1WFAttr: jmp        LJMP SyQWAttr                             ; CALL: System WritFile  |Console|MemoryAttribute
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
M1TFValu: jmp        LJMP MyTWValu                             ; CALL: My own TestFileValue
M1WFVInt: jmp        LJMP MyQWVInt                             ; CALL: My own WritFileValueInteger
M1WFVHex: jmp        LJMP MyQWVHex                             ; CALL: My own WritFileValueHexadecimal
M1WFVBin: jmp        LJMP MyQWVBin                             ; CALL: My own WritFileValueBinary
M1WFVOct: jmp        LJMP MyQWVOct                             ; CALL: My own WritFileValueOctal
M1WFVDec: jmp        LJMP MyQWVDec                             ; CALL: My own WritFileValueDecimal
M1WFVBas: jmp        LJMP MyQWVBas                             ; CALL: My own WritFileValueDecimal
;*--------------------------------------------------------------------------------------------------------------
M1RMBoms: jmp        LJMP MyRMBoms                             ; CALL: My own ReadMemoryByteOrderMark
M1RMChar: jmp        LJMP MyRMChar                             ; CALL: My own ReadMemoryCharacter
;************************************************************************************************* End MyWFiChar

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
EndCODE1                                                       ; Ended CODE 1 segment
;###############################################################################################################

;###############################################################################################################
BegDATA1                                                       ; Begin DATA 1 segment
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;** FigValue        000,001,002,003,004,005,006,007,008,009    ; BYTE:  000,001,002,003,004,005,006,007,008,009
dat_FigToChr  db    '0','1','2','3','4','5','6','7','8','9'    ; BYTE:  '0','1','2','3','4','5','6','7','8','9'
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;** FigValue        010,011,012,013,014,015|016,017,018,019    ; BYTE:  010,011,012,013,014,015,016,017,018,019
dat_Fig10Chr  db    'A','B','C','D','E','F','G','H','I','J'    ; BYTE:  'A','B','C','D','E','F','G','H','I','J'
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;** FigValue        020,021,022,023,024,025,026,027,028,029    ; BYTE:  020,021,022,023,024,025,026,027,028,029
dat_Fig20Chr  db    'K','L','M','N','O','P','Q','R','S','T'    ; BYTE:  'K','L','M','N','O','P','Q','R','S','T'
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;** FigValue        030,031,032,033,034,035,036,037,038,039    ; BYTE:  030,031,032,033,034,035,036,037,038,039
dat_Fig30Chr  db    'U','V','W','X','Y','Z','%','%','%','%'    ; BYTE:  'U','V','W','X','Y','Z','%','%','%','%'
;*==============================================================================================================
dat_DateText  db    'Jan',0,'Feb',0,'Mar',0,'Apr',00           ; STRG:                                   [+0000]
              db    'May',0,'Jun',0,'Jul',0,'Aug',00           ; STRG:                                   [+0000]
              db    'Sep',0,'Oct',0,'Nov',0,'Dez',00           ; STRG:                                   [+0000]
;*--------------------------------------------------------------------------------------------------------------
dat_ProducID  dd     2014000123                                ; BYTE:                                   [+0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dat_MbAsmFil  db    'DL1iol32.asm',00                          ; STRG: MessageBox: Assembler  File Name  [00000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
dat_SyWFName  db    'SyWFName',0                               ; STRG: System Write File Name Strg  WFN_ [+0000]
dat_MyWFLine  db    'MyWFLine',0                               ; STRG: My own Write File Sepa Line  WFL_ [+0000]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
dat_MyWFDash  db    'MyWFDash',0                               ; STRG: My own Write File Line Dash  WFD_ [+0000]
dat_MyF6Dash  db    'MyF6Dash',0                               ; STRG: My own Write File <X6> Dash  F6D_ [+0000]
dat_MyF7Dash  db    'MyF7Dash',0                               ; STRG: My own Write File <X7> Dash  F7D_ [+0000]
dat_MyF8Dash  db    'MyF8Dash',0                               ; STRG: My own Write File <X8> Dash  F8D_ [+0000]
dat_MyF9Dash  db    'MyF9Dash',0                               ; STRG: My own Write File <X9> Dash  F9D_ [+0000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
EndDATA1                                                       ; Ended DATA 1 segment
;###############################################################################################################

;###############################################################################################################
BegDATA1                                                       ; Begin DATA 1 segment
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;ntrEXTN           dat_PnGmmBas                                ; PNTR: PointerGlobalMainMemory.Base DL1sys00.obj
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dat_NameST0@  db  'ST0@','ST1@','ST2@','ST3@','ST4@','ST5@','ST6@','ST7@'  ; STRG: STMP[00],..,STMP[07]  [00000]
dat_NameSTA@  db  'ST8@','ST9@','STA@','STB@','STC@','STD@','STE@','STF@'  ; STRG: STMP[08],..,STMP[15]  [+0032]
dat_NameH16@  db  'STG@','STH@','STI@','STJ@','STK@','STL@','STM@','STN@'  ; STRG: STMP[16],..,STMP[23]  [+0064]
dat_NameH24@  db  'STO@','STP@','STQ@','STR@','STS@','STT@','STU@','STV@'  ; STRG: STMP[24],..,STMP[31]  [+0096]
;*--------------------------------------------------------------------------------------------------------------
;at_NameBAX@  db  'BAX@','BDX@','BCX@','BDI@','BSI@','BBX@','BBP@','BSP@'  ; STRG: BVAL[00],..,BVAL[07]  [00160]
;at_NameB08@  db  'B08@','B09@','B10@','B11@','B12@','B13@','B14@','B15@'  ; STRG: BVAL[08],..,BVAL[15]  [+0032]
;at_NameB16@  db  'B16@','B17@','B18@','B19@','B20@','B21@','B22@','B23@'  ; STRG: BVAL[16],..,BVAL[23]  [+0064]
;at_NameB24@  db  'B24@','B25@','B26@','B27@','B28@','B29@','B30@','B31@'  ; STRG: BVAL[24],..,BVAL[31]  [+0096]
;at_NameB32@  db  'BIP@','B33@','B34@','B35@','B36@','B37@','B38@','B39@'  ; STRG: BVAL[32],..,BVAL[39]  [+0128]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;at_H1QUTLIB  db   ' ERROR1 = HLG(QUTLIB, BOXTIT, INPLDX,..., ERRNUM)',00  ; STRG: HLG(FUNCTN,ARGU01,..) [00000]
;at_C1QUTLIB  db   ' ERROR1 = CPP_QUTLIB( INPLCX, INPLDX,..., ERRNUM)',00  ; STRG: CPP_FUNCTN(ARGU01,..) [00000]
;at_F1QUTLIB  db   ' ERROR1 = FOR_QUTLIB( INPLCX, INPLDX,..., ERRNUM)',00  ; STRG: FOR_FUNCTN(ARGU01,..) [00000]
;at_P1QUTLIB  db   ' ERROR1 = PAS_QUTLIB( INPLCX, INPLDX,..., ERRNUM)',00  ; STRG: PAS_FUNCTN(ARGU01,..) [00000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
dat_H1QUTWRT  db   ' ERROR1 = HLG(QUTWRT, BOXTIT, FILNUM, ... ERRNUM)',00  ; STRG: HLG(ANYFUN, ARGU01..) [00000]
dat_C1QUTWRT  db   ' ERROR1 = CPP_QUTWRT( BOXTIT, FILNUM, ... ERRNUM)',00  ; STRG: CPP_ANYFUN( ARGU01..) [00000]
dat_F1QUTWRT  db   ' ERROR1 = FOR_QUTWRT( BOXTIT, FILNUM, ... ERRNUM)',00  ; STRG: FOR_ANYFUN( ARGU01..) [00000]
dat_P1QUTWRT  db   ' ERROR1 = PAS_QUTWRT( BOXTIT, FILNUM, ... ERRNUM)',00  ; STRG: PAS_ANYFUN( ARGU01..) [00000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
dat_H2QutWrt  db    'HLG_QutWrt',000                           ; STRG: HighLanGuage  H1AnyFun( Argumen ) [00000]
dat_C2QutWrt  db    'CPP_QutWrt',000                           ; STRG: CPP / C       C1AnyFun( Argumen ) [00000]
dat_F2QutWrt  db    'FOR_QutWrt',000                           ; STRG: FORtran       F1AnyFun( Argumen ) [00000]
dat_P2QutWrt  db    'PAS_QutWrt',000                           ; STRG: PAScal        P1AnyFun( Argumen ) [00000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
dat_SyQutWrt  db    'SyQutWrt',000                             ; STRG: System                            [00000]
;*--------------------------------------------------------------------------------------------------------------
dat_EqASMFIL  db    'DL1iol41.asm',00                          ; STRG: MessageBox: Assembler    FileName [00000]
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
dat_C1HLGFIL  db    'CDK1FUNC.cpp',00                          ; STRG: MessageBox: HighLanguage FileName [00000]
dat_C1HLGFUN  db    'K1M23A( DUMMY1, DUMMY2)',00               ; STRG: MessageBox: HighLanguage FuncName [00000]
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
dat_F1HLGFIL  db    'FDK1FUNC.for',00                          ; STRG: MessageBox: HighLanguage FileName [00000]
dat_F1HLGFUN  db    'K1M23A( DUMMY1, DUMMY2)',00               ; STRG: MessageBox: HighLanguage FuncName [00000]
;*==============================================================================================================
dat_EqBOXTIT  db    'EqBOXTIT ! ?',00                          ; STRG: MessageBox: Assembler    FileName [00000]
dat_EqHLGFIL  db    'EqHLGFIL ! ?',00                          ; STRG: MessageBox: Assembler    FileName [00000]
dat_EqHLGFUN  db    'EqHLGFUN ! ?',00                          ; STRG: MessageBox: Assembler    FileName [00000]
;*t_EqASMFIL  db    'EqASMFIL ! ?',00                          ; STRG: MessageBox: Assembler    FileName [00000]
dat_EqASMFUN  db    'EqASMFUN ! ?',00                          ; STRG: MessageBox: Assembler    FileName [00000]
;*--------------------------------------------------------------------------------------------------------------
;at_E1BoxTit  db    'SyQutWrt: Box Title',00                   ; STRG: MessageBox: Box Title    String   [00000]
;at_E1HlgFil  db    'SyQutWrt: Hlg FileName',00                ; STRG: MessageBox: HighLanguage FileName [00000]
;at_E1HlgFun  db    'SyQutWrt: Hlg Function',00                ; STRG: MessageBox: HighLanguage FuncName [00000]
;at_E1AsmFil  db    'SyQutWrt: Asm FileName',00                ; STRG: MessageBox: Assembler    FileName [00000]
;at_E1AsmFun  db    'SyQutWrt: Asm Function',00                ; STRG: MessageBox: Assembler    FuncName [00000]
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
EndDATA1                                                       ; Ended DATA 1 segment
;###############################################################################################################



MyFilEND

;###############################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################

;###########################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************
;*==========================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###########################################################################################################################

;***************************************************************************************************************************************
;* DL1iol05.asm   Display Library 1                                        *                                                           *
;*                                                                         *                                                           *
;*=========================================================================*===========================================================*
;* Wolfgang  Renner            Creation Date = 22. May 2014                *                                                           *
;*                                                                         *                                                           *
;* Gimbacher Weg 34            Creation Time = 11:45:00:000                *                                                           *
;*                                                                         *                                                           *
;* D-65779 Kelkheim            Last  Changed = 22. Mar 2019                *                                                           *
;*                                                                         *                                                           *
;* Copyright  (C) 1993  2003   For Processor :                             *                                                           *
;*                      2013                                               *                                                           *
;* All Rights Reserved  2023   X86-32|64|128 ! DataPart |                  *                                                           *
;***************************************************************************************************************************************
;EWiMItXYZ,"1234567890123456789012345678901234567890",-Left,-Topp,-Wdth,-Hght,'ACS-NP0@ ', # "1234567890123456789012345678901234567890";
;*--------------------------------------------------------------------------------------------------------------------------------------
;300100000,"File@                                   ",-0000,-0000,-0000,-0000,'InitStrg@', # "En00: File@                             ";
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;300101000,"En00-101: Leave Message Loop@           ",00000,00000,00000,00000,'@        ', # "En00-120: Show Console 0@               ";
;300102000,"En00-102: Fast  Save ?@                 ",00000,00000,00000,00000,'AC-S@    ', # "En00-121: Show Display 1@               ";
;300103000,"En00-103: @                             ",00000,00000,00000,00000,'@        ', # "En00-122: Show Display 2@               ";
;300104000,"En00-104: Clear ?  Display@             ",00000,00000,00000,00000,'@        ', # "En00-124: Show Display 4@               ";
;300105000,"En00-105: Redraw   Display@             ",00000,00000,00000,00000,'@        ', # "En00-125: Show Display 5@               ";
;300106000,"En00-106: Minimize Display@             ",00000,00000,00000,00000,'@        ', # "En00-126: Show Display 6@               ";
;300107000,"En00-107: Restore  Display@             ",00000,00000,00000,00000,'@        ', # "En00-127: Show Display 7@               ";
;300108000,"En00-108: Maximize Display@             ",00000,00000,00000,00000,'@        ', # "En00-128: Show Display 8@               ";
;300109000,"En00-109: Close    Display@             ",00000,00000,00000,00000,'@        ', # "En00-129: Show Display 9@               ";
;#######################################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************************
;*======================================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;#######################################################################################################################################

;***************************************************************************************************************************************************
;* DL1iol05.asm   Display Library 1                                                                                                                *
;*                                                                                                                                                 *
;*=================================================================================================================================================*
;* Wolfgang  Renner            Creation Date = 22. May 2014                                                                                        *
;*                                                                                                                                                 *
;* Gimbacher Weg 34            Creation Time = 11:45:00:000                                                                                        *
;*                                                                                                                                                 *
;* D-65779 Kelkheim            Last  Changed = 22. Mar 2019                                                                                        *
;*                                                                                                                                                 *
;* Copyright  (C) 1993  2003   For Processor :                                                                                                     *
;*                      2013                                                                                                                       *
;* All Rights Reserved  2023   X86-32|64|128 ! DataPart |                                                                                          *
;***************************************************************************************************************************************************
;EWiMItXYZ,"12345678901234567890123456789012345678901234",-Left,-Topp,-Wdth,-Hght,'123456789012@', # "12345678901234567890123456789012345678901234";
;*--------------------------------------------------------------------------------------------------------------------------------------------------
;300100000,"File@                                       ",-0000,-0000,-0000,-0000,'InitStrg@    ', # "En00: File@                                 ";
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;300101000,"En00-101: Leave Message Loop@               ",00000,00000,00000,00000,'@            ', # "En00-120: Show Console 0@                   ";
;300102000,"En00-102: Fast  Save ?@                     ",00000,00000,00000,00000,'AC-S@        ', # "En00-121: Show Display 1@                   ";
;300103000,"En00-103: @                                 ",00000,00000,00000,00000,'@            ', # "En00-122: Show Display 2@                   ";
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;300104000,"En00-104: Clear ?  Display@                 ",00000,00000,00000,00000,'@            ', # "En00-124: Show Display 4@                   ";
;300105000,"En00-105: Redraw   Display@                 ",00000,00000,00000,00000,'@            ', # "En00-125: Show Display 5@                   ";
;300106000,"En00-106: Minimize Display@                 ",00000,00000,00000,00000,'@            ', # "En00-126: Show Display 6@                   ";
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;300107000,"En00-107: Restore  Display@                 ",00000,00000,00000,00000,'@            ', # "En00-127: Show Display 7@                   ";
;300108000,"En00-108: Maximize Display@                 ",00000,00000,00000,00000,'@            ', # "En00-128: Show Display 8@                   ";
;300109000,"En00-109: Close    Display@                 ",00000,00000,00000,00000,'@            ', # "En00-129: Show Display 9@                   ";
;###################################################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************************************
;*==================================================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###################################################################################################################################################

;***************************************************************************************************************************************************************
;* DL1iol05.asm   Display Library 1                                                                                                                            *
;*                                                                                                                                                             *
;*=============================================================================================================================================================*
;* Wolfgang  Renner            Creation Date = 22. May 2014                                                                                                    *
;*                                                                                                                                                             *
;* Gimbacher Weg 34            Creation Time = 11:45:00:000                                                                                                    *
;*                                                                                                                                                             *
;* D-65779 Kelkheim            Last  Changed = 22. Mar 2019                                                                                                    *
;*                                                                                                                                                             *
;* Copyright  (C) 1993  2003   For Processor :                                                                                                                 *
;*                      2013                                                                                                                                   *
;* All Rights Reserved  2023   X86-32|64|128 ! DataPart |                                                                                                      *
;***************************************************************************************************************************************************************
;EWiMItXYZ,"12345678901234567890123456789012345678901234567890",-Left,-Topp,-Wdth,-Hght,'123456789012@', # "12345678901234567890123456789012345678901234567890";
;*--------------------------------------------------------------------------------------------------------------------------------------------------------------
;300100000,"File@                                             ",-0000,-0000,-0000,-0000,'InitStrg@    ', % "En00: File@                                       ";
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;300101000,"En00-101: Leave Message Loop@                     ",00000,00000,00000,00000,'@            ', CC "En00-120: Show Console 0@                        ";
;300102000,"En00-102: Fast  Save ?@                           ",00000,00000,00000,00000,'AC-S@        ', CC "En00-121: Show Display 1@                        ";
;300103000,"En00-103: @                                       ",00000,00000,00000,00000,'@            ', CC "En00-122: Show Display 2@                        ";
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;300104000,"En00-104: Clear ?  Display@                       ",00000,00000,00000,00000,'@            ', // "En00-124: Show Display 4@                        ";
;300105000,"En00-105: Redraw   Display@                       ",00000,00000,00000,00000,'@            ', // "En00-125: Show Display 5@                        ";
;300106000,"En00-106: Minimize Display@                       ",00000,00000,00000,00000,'@            ', // "En00-126: Show Display 6@                        ";
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;300107000,"En00-107: Restore  Display@                       ",00000,00000,00000,00000,'@            ', ## "En00-127: Show Display 7@                        ";
;300108000,"En00-108: Maximize Display@                       ",00000,00000,00000,00000,'@            ', ## "En00-128: Show Display 8@                        ";
;300109000,"En00-109: Close    Display@                       ",00000,00000,00000,00000,'@            ', ## "En00-129: Show Display 9@                        ";
;###############################################################################################################################################################
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************************************************************
;*==============================================================================================================================================================
;*--------------------------------------------------------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################################################################
