;***************************************************************************************************************
;* PRP2YASM/PREPARES.i                                                                                         *
;*                                                                                                             *
;* Wolfgang  Renner                  Creation Date = 09. Oct 2021                                              *
;* Gimbacher Weg 34                  Creation Time = 12:34:00:000                                              *
;*                                                                                                             *
;* D-65779 Kelkheim                  Changing Last = 14. Jan 2021                                              *
;* Germany / Hessen                  Changing Time = 00:00:00:000                                              *
;*                                                                                                             *
;* Copyright (C)   1993, 2003, 2013, 2023, 2033                                                                *
;*                                                                                                             *
;* For  X86-32|64|128|256|512  Multimodus  Assembler                                                           *
;*                                                                                                             *
;* 12345678901234567890123456789012345678901234567890 = "12345678901234567890123456789012345678901234567890",  *
;***************************************************************************************************************
%idefine INCLUDE                                               ; Comment
%idefine PrpASSEM.i                                            ; Comment
;*==============================================================================================================
%define  BegCODE1                section     .text             ; Comment
%define  EndCODE1                                              ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%define  BegDATA1                section     .data             ; Comment
%define  EndDATA1                                              ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%define  MyPUBLIC                global                        ; NASM public
%define  MyFilEND                                              ; Comment
;*--------------------------------------------------------------------------------------------------------------
DEFAULT  REL                                                   ; NASM & YASM  need  this
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;% fine  1234567890123456789012  12345678901234567890123456789 ; Comment
;*--------------------------------------------------------------------------------------------------------------
%define  ProcEXTN                extern                        ; NASM external procedure definition
%define  ByteEXTN                extern                        ; NASM ByteDATA 08        Bit
%define  DWrdEXTN                extern                        ; NASM DWrdDATA 32        Bit
%define  PntrEXTN                extern                        ; NASM PntrDATA 32|64|128 Bit
;*-------------------------------------------------------------+------------------------------------------------
%define  BJMP                    short                         ; ByteJuMP:     jmp  BJMP MyLabel
%define  LJMP                    near                          ; LongJuMP:     jmp  LJMP MyLabel
;*==============================================================================================================
;macro         W32Ret    01                                    ; Comment   X32
;*             ret       %1                                    ; Comment   X32
;endmacro                                                      ; Comment   X32
;*-------------------------------------------------------------+------------------------------------------------
%macro         W32Ret    01                                    ; Comment   X64
               ret                                             ; Comment   X64
%endmacro                                                      ; Comment   X64
;*==============================================================================================================
;define        GetWindowLongPtrA     GetWindowLongA            ; Comment   X32
;define        GetWindowLongPtrW     GetWindowLongW            ; Comment   X32
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;define        SetWindowLongPtrA     SetWindowLongA            ; Comment   X32
;define        SetWindowLongPtrW     SetWindowLongW            ; Comment   X32
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
extern         GetWindowLongPtrA                               ; Only for  X64
extern         GetWindowLongPtrW                               ; Only for  X64
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
extern         SetWindowLongPtrA                               ; Only for  X64
extern         SetWindowLongPtrW                               ; Only for  X64
;###############################################################################################################
%macro         HeadINCL__AZ1gmm      000                       ; Comment
%include       "AZ1gmm.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__AZ1tmm      000                       ; Comment
%include       "AZ1tmm.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__AZ1err      000                       ; Comment
%include       "AZ1err.i"                                      ; Comment
%endmacro                                                      ; Comment
;###############################################################################################################
;%macro        HeadINCL__A1DemBAS    000                       ; Comment
;%include      "A1DemBAS.i"                                    ; Comment
;%endmacro                                                     ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;%macro        HeadINCL__A1DemCON    000                       ; Comment
;%include      "A1DemCON.i"                                    ; Comment
;%endmacro                                                     ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;%macro        HeadINCL__A1DemIOL    000                       ; Comment
;%include      "A1DemIOL.i"                                    ; Comment
;%endmacro                                                     ; Comment
;*--------------------------------------------------------------------------------------------------------------
%macro         HeadINCL__CommCtrl    000                       ; Comment
%include       "Z9CommCtrl.i"                                  ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__CommDlg     000                       ; Comment
%include       "Z9CommDlg.i"                                   ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__Dlgs        000                       ; Comment
%include       "Z9Dlgs.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__ObjBase     000                       ; Comment
%include       "Z9ObjBase.i"                                   ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__RichEdit    000                       ; Comment
%include       "Z9RichEdit.i"                                  ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ScrnSave    000                       ; Comment
%include       "Z9ScrnSave.i"                                  ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ShellAPI    000                       ; Comment
%include       "Z9ShellAPI.i"                                  ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ShlObj      000                       ; Comment
%include       "Z9ShlObj.i"                                    ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__WinBase     000                       ; Comment
%include       "Z9WinBase.i"                                   ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__WinCon      000                       ; Comment
%include       "Z9WinCon.i"                                    ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__Windows     000                       ; Comment
%include       "Z9Windows.i"                                   ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__WinError    000                       ; Comment
%include       "Z9WinError.i"                                  ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__WinGDI      000                       ; Comment
%include       "Z9WinGDI.i"                                    ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__WinNT       000                       ; Comment
%include       "Z9WinNT.i"                                     ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__WinUser     000                       ; Comment
%include       "Z9WinUser.i"                                   ; Comment
%endmacro                                                      ; Comment
;*--------------------------------------------------------------------------------------------------------------
%macro         HeadINCL__Z           000                       ; Comment
%include       "A9Z.i"                                         ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZ          000                       ; Comment
%include       "A9ZZ.i"                                        ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZZ         000                       ; Comment
%include       "A9ZZZ.i"                                       ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZZZ        000                       ; Comment
%include       "A9ZZZZ.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZZZZ       000                       ; Comment
%include       "A9ZZZZZ.i"                                     ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__ZZZZZZ      000                       ; Comment
%include       "A9ZZZZZZ.i"                                    ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZZZZZZ     000                       ; Comment
%include       "A9ZZZZZZZ.i"                                   ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZZZZZZZ    000                       ; Comment
%include       "A9ZZZZZZZZ.i"                                  ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZZZZZZZZ   000                       ; Comment
%include       "A9ZZZZZZZZZ.i"                                 ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__ZZZZZZZZZZ  000                       ; Comment
%include       "A9ZZZZZZZZZZ.i"                                ; Comment
%endmacro                                                      ; Comment
;*==============================================================================================================
;macro         ProcINCL__Win32API    000                       ; Comment
;include       "A1WinAPI.i"                                    ; Comment
;endmacro                                                      ; Comment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
%macro         ProcINCL__A1WinAPI    000                       ; Comment
%include       "A1WinAPI.i"                                    ; Comment
%endmacro                                                      ; Comment
;*--------------------------------------------------------------------------------------------------------------
%macro         HeadINCL__WStruct0    000                       ; Comment
%include       "WStruct0.i"                                    ; Comment
%endmacro                                                      ; Comment
;*==============================================================================================================
%macro         HeadINCL__DL1abc      000                       ; Comment
%include       "DL1abc.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1att      000                       ; Comment
%include       "DL1att.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1axi      000                       ; Comment
%include       "DL1axi.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1bmc      000                       ; Comment
%include       "DL1bmc.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1bmp      000                       ; Comment
%include       "DL1bmp.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1cfg      000                       ; Comment
%include       "DL1cfg.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
%macro         HeadINCL__DL1chl      000                       ; Comment
%include       "DL1chl.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
%macro         HeadINCL__DL1con      000                       ; Comment
%include       "DL1con.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1cop      000                       ; Comment
%include       "DL1cop.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1dcm      000                       ; Comment
%include       "DL1dcm.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1dem      000                       ; Comment
%include       "DL1dem.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1des      000                       ; Comment
%include       "DL1des.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1drw      000                       ; Comment
%include       "DL1drw.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1dlg      000                       ; Comment
%include       "DL1dlg.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1dsp      000                       ; Comment
%include       "DL1dsp.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1err      000                       ; Comment
%include       "DL1err.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1fnt      000                       ; Comment
%include       "DL1fnt.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1fun      000                       ; Comment
%include       "DL1fun.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1get      000                       ; Comment
%include       "DL1get.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1gmm      000                       ; Comment
%include       "DL1gmm.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1iod      000                       ; Comment
%include       "DL1iod.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1iol      000                       ; Comment
%include       "DL1iol.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1jpg      000                       ; Comment
%include       "DL1jpg.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1jpz      000                       ; Comment
%include       "DL1jpz.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1kio      000                       ; Comment
%include       "DL1kio.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1lod      000                       ; Comment
%include       "DL1lod.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1mat      000                       ; Comment
%include       "DL1mat.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1mbk      000                       ; Comment
%include       "DL1mbk.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1mem      000                       ; Comment
%include       "DL1mem.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1msf      000                       ; Comment
%include       "DL1msf.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1obm      000                       ; Comment
%include       "DL1obm.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1ocd      000                       ; Comment
%include       "DL1ocd.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1opu      000                       ; Comment
%include       "DL1opu.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1owi      000                       ; Comment
%include       "DL1owi.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1pic      000                       ; Comment
%include       "DL1pic.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1png      000                       ; Comment
%include       "DL1png.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1pri      000                       ; Comment
%include       "DL1pri.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1qls      000                       ; Comment
%include       "DL1qls.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1qps      000                       ; Comment
%include       "DL1qps.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1rul      000                       ; Comment
%include       "DL1rul.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1sat      000                       ; Comment
%include       "DL1sat.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1sys      000                       ; Comment
%include       "DL1sys.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1tbu      000                       ; Comment
%include       "DL1tbu.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1tif      000                       ; Comment
%include       "DL1tif.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1tpr      000                       ; Comment
%include       "DL1tpr.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1thr      000                       ; Comment
%include       "DL1thr.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1tmm      000                       ; Comment
%include       "DL1tmm.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1tst      000                       ; Comment
%include       "DL1tst.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1txt      000                       ; Comment
%include       "DL1txt.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1win      000                       ; Comment
%include       "DL1win.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1wim      000                       ; Comment
%include       "DL1wim.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1wmb      000                       ; Comment
%include       "DL1wmb.i"                                      ; Comment
%endmacro                                                      ; Comment
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
%macro         HeadINCL__DL1wpr      000                       ; Comment
%include       "DL1wpr.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1zip      000                       ; Comment
%include       "DL1zip.i"                                      ; Comment
%endmacro                                                      ; Comment
;*==============================================================================================================
%macro         HeadINCL__DL1men      000                       ; Comment
%include       "DL1men.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1but      000                       ; Comment
%include       "DL1but.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1grp      000                       ; Comment
%include       "DL1grp.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1edi      000                       ; Comment
%include       "DL1edi.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1lst      000                       ; Comment
%include       "DL1lst.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1com      000                       ; Comment
%include       "DL1com.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1sli      000                       ; Comment
%include       "DL1sli.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1fld      000                       ; Comment
%include       "DL1fld.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1inf      000                       ; Comment
%include       "DL1inf.i"                                      ; Comment
%endmacro                                                      ; Comment
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%macro         HeadINCL__DL1sta      000                       ; Comment
%include       "DL1sta.i"                                      ; Comment
%endmacro                                                      ; Comment
;*--------------------------------------------------------------------------------------------------------------
%macro         HeadINCL__DL1itc      000                       ; Comment
%include       "DL1itc.i"                                      ; Comment
%endmacro                                                      ; Comment
;###############################################################################################################
;# Regists |   008     008     016 :   032 |   064 |   128 |   256 :   512 | General  X32-32|64 Register Names #
;# --------+-----------------------+-------+-------+-------+-------+-------+-------+-------------------------- #
;# 000 00h |   HAX     BAX     WAX :   SAX |   DAX |   QAX |   GAX :   PAX |   LAX |  AH  AL   AX   EAX   RAX  #
;# 001 01h |   HDX     BDX     WDX :   SDX |   DDX |   QDX |   GDX :   PDX |   LDX |  DH  DL   DX   EDX   RDX  #
;# 002 02h |   HCX     BCX     WCX :   SCX |   DCX |   QCX |   GCX :   PCX |   LCX |  CH  CL   CX   ECX   RCX  #
;# 003 03h |   HDI     BDI     WDI :   SDI |   DDI |   QDI |   GDI :   PDI |   LDI |      DIL  DI   EDI   RDI  #
;# -   -   +   -   -   -   -   -   +   -   +   -   +   -   +   -   +   -   +   -   -   -   -   -   -   -   -   #
;# 004 04h |   HSI     BSI     WSI :   SSI |   DSI |   QSI |   GSI :   PSI |   LSI |      SIL  SI   ESI   RSI  #
;# 005 05h |   HBX     BBX     WBX :   SBX |   DBX |   QBX |   GBX :   PBX |   LBX |  BH  BL   BX   EBX   RBX  #
;# 006 06h |   HBP     BBP     WBP :   SBP |   DBP |   QBP |   GBP :   PBP |   LBP |      BPL  BP   EBP   RBP  #
;# 007 07h |   HSP     BSP     WSP :   SSP |   DSP |   QSP |   GSP :   PSP |   LSP |      SPL  SP   ESP   RSP  #
;# --------+-----------------------+-------+   -   +   -   +   -   +   -   +   -   -   -   -   -   -   -   -   #
;# 008 08h |   H08     B08     W08     S08     D08 |   Q08 |   G08 :   P08 |   L08 |     R8B   R8W  R8D   R8   #
;# 009 09h |   H09     B09     W09     S09     D09 |   Q09 |   G09 :   P09 |   L09 |     R9B   R9W  R9D   R9   #
;# 010 0Ah |   H10     B10     W10     S10     D10 |   Q10 |   G10 :   P10 |   L10 |    R10B  R10W  R10D  R10  #
;# 011 0Bh |   H11     B11     W11     S11     D11 |   Q11 |   G11 :   P11 |   L11 |    R11B  R11W  R11D  R11  #
;# -   -   +   -   -   -   -   -   -   -   -   -   +   -   +   -   +   -   +   -   -   -   -   -   -   -   -   #
;# 012 0Ch |   H12     B12     W12     S12     D12 |   Q12 |   G12 :   P12 |   L12 |    R12B  R12W  R12D  R12  #
;# 013 0Dh |   H13     B13     W13     S13     D13 |   Q13 |   G13 :   P13 |   L13 |    R13B  R13W  R13D  R13  #
;# 014 0Eh |   H14     B14     W14     S14     D14 |   Q14 |   G14 :   P14 |   L14 |    R14B  R14W  R14D  R14  #
;# 015 0Fh |   H15     B15     W15     S15     D15 |   Q15 |   G15 :   P15 |   L15 |    R15B  R15W  R15D  R15  #
;# --------+---------------------------------------+   -   +   -   +   -   +   -   + - - - - - - - - - - - - - #
;# 016 10h |   H16     B16     W16     S16     D16     Q16 |   G16 :   P16 |   L16 |                           #
;# 017 11h |   H17     B17     W17     S17     D17     Q17 |   G17 :   P17 |   L17 |                           #
;# 018 12h |   H18     B18     W18     S18     D18     Q18 |   G18 :   P18 |   L18 |                           #
;# 019 13h |   H19     B19     W19     S19     D19     Q19 |   G19 :   P19 |   L19 |                           #
;# -   -   +   -   -   -   -   -   -   -   -   -   -   -   +   -   +   -   +   -   -   -   -   -   -   -   -   #
;# 020 14h |   H20     B20     W20     S20     D20     Q20 |   G20 :   P20 |   L20 |                           #
;# 021 15h |   H21     B21     W21     S21     D21     Q21 |   G21 :   P21 |   L21 |                           #
;# 022 16h |   H22     B22     W22     S22     D22     Q22 |   G22 :   P22 |   L22 |                           #
;# 023 17h |   H23     B23     W23     S23     D23     Q23 |   G23 :   P23 |   L23 |                           #
;# - - - - + - - - - - - - - - - - - - - - - - - - - - - - + - - - + - - - + - - - + - - - - - - - - - - - - - #
;# 024 18h |   H24     B24     W24     S24     D24     Q24 |   G24 :   P24 |   L24 |                           #
;# 025 19h |   H25     B25     W25     S25     D25     Q25 |   G25 :   P25 |   L25 |                           #
;# 026 1Ah |   H26     B26     W26     S26     D26     Q26 |   G26 :   P26 |   L26 |                           #
;# 027 1Bh |   H27     B27     W27     S27     D27     Q27 |   G27 :   P27 |   L27 |                           #
;# -   -   +   -   -   -   -   -   -   -   -   -   -   -   +   -   +   -   +   -   -   -   -   -   -   -   -   #
;# 028 1Ch |   H28     B28     W28     S28     D28     Q28 |   G28 :   P28 |   L28 |                           #
;# 029 1Dh |   H29     B29     W29     S29     D29     Q29 |   G29 :   P29 |   L29 |                           #
;# 030 1Eh |   H30     B30     W30     S30     D30     Q30 |   G30 :   P30 |   L30 |                           #
;# 031 1Fh |   H31     B31     W31     S31     D31     Q31 |   G31 :   P31 |   L31 |                           #
;# --------+-----------------------------------------------+-------+-------+-------+-------------------------- #
;# Memory: |  BVAL    BVAL    WVAL    SVAL    DVAL    QVAL |  GVAL :  PVAL |  LVAL | X86-Unit  Memory          #
;# Integer |  I01V    I01V    I02V    I04V    I08V    I16V |  I32V :  I64V |  I99V | X86-Unit  Memory          #
;# Unsignd |  U01V    U01V    U02V    U04V    U08V    U16V |  U32V :  U64V |  U99V | X86-Unit  Memory          #
;# - - - - + - - - - - - - - - - - - - - - - - - - - - - - + - - - + - - - + - - - + - - - - - - - - - - - - - #
;# Scaling |  BVSZ    BVSZ    WVSZ    SVSZ    DVSZ    QVSZ |  GVSZ :  PVSZ |  LVSZ | X86-Unit  Register Size   #
;# Short   |  BV      BV      WV      SV      DV      QV   |  GV   :  PV   |  LV   | X86-Unit  Register Size   #
;#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%#
;# Tst10: mov        BVAL[lsp+lcx*BVSZ+BDIS 0012h],BCST 0012h  ; store #AL =>                                  #
;# Tst11: mov        WVAL[lsp+lcx*WVSZ+WDIS 1234h],WCST 1234h  ; store #AL =>                                  #
;# Tst12: mov        SVAL[lsp+lcx*SVSZ+SDIS 1234h],SCST 1234h  ; store #AL =>                                  #
;# Tst13: mov        DVAL[lsp+lcx*DVSZ+RDIS 1234h],RCST 1234h  ; store #AL =>                                  #
;# -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     #
;# Tst14: mov        QVAL[lsp+lcx*QVSZ+QDIS 1234h],QCST 1234h  ; store #AL =>                                  #
;# Tst15: mov        GVAL[lsp+lcx*GVSZ+GDIS 1234h],GCST 1234h  ; store #AL =>                                  #
;# Tst16: mov        PVAL[lsp+lcx*PVSZ+PDIS 1234h],PCST 1234h  ; store #AL =>                                  #
;# Tst17: mov        XVAL[lsp+lcx*XVSZ+XDIS 1234h],XCST 1234h  ; store #AL =>                                  #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# Tst18: mov        LVAL[lsp+lcx*LVSZ+LDIS 1234h],LCST 1234h  ; store #AL =>                                  #
;# Tst19: mov        LVAL[lsp+lcx*LVSZ+LDIS 1234h],LCST 1234h  ; store #AL =>                                  #
;#-------------------------------------------------------------------------------------------------------------#
;# Tst20: mov        I01V[lsp+lcx*BV+BD 00000012h],BC 000012h  ; store #AL =>                                  #
;# Tst21: mov        I02V[lsp+lcx*WV+WD 00001234h],WC 001234h  ; store #AL =>                                  #
;# Tst22: mov        I04V[lsp+lcx*SV+ED 12345678h],EC 123456h  ; store #AL =>                                  #
;# Tst23: mov        I08V[lsp+lcx*DV+RD 12345678h],RC 123456h  ; store #AL =>                                  #
;# -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     #
;# Tst24: mov        I16V[lsp+lcx*QV+QD 12345678h],QC 123456h  ; store #AL =>                                  #
;# Tst25: mov        I32V[lsp+lcx*GV+GD 12345678h],GC 123456h  ; store #AL =>                                  #
;# Tst26: mov        I64V[lsp+lcx*PV+PD 12345678h],PC 123456h  ; store #AL =>                                  #
;# Tst27: mov        I77V[lsp+lcx*XV+XD 12345678h],XC 123456h  ; store #AL =>                                  #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# Tst28: mov        I99V[lsp+lcx*LZ+LD 12345678h],LC 123456h  ; store #AL =>                                  #
;# Tst29: mov        I99V[lsp+lcx*LZ+LD 12345678h],LC 123456h  ; store #AL =>                                  #
;###############################################################################################################
;% NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
%define  X86_ARCH    00003 ;     00002 :     00003 |     00004 :     00005 :     00006 :     00007 :     00008 *
%define  X87_ARCH    00003 ;     00002 :     00003 |     00004 :     00005 :     00006 :     00007 :     00008 *
%define  XMM_ARCH    00003 ;     00002 :     00003 |     00004 :     00005 :     00006 :     00007 :     00008 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define  FloatSIZe   00064 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
%define  MediaSIZ    00064 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00128 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;define  FloatSIZe   00128 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;define  MediaSIZ    00128 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00128 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define  fuld        fild  ; Floating  : Unsigned  |  LoaDing  :           :           :           :           *
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;% NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
%define  DSHF        00006 ;     00005 :     00006 |     00005 :     00006 :     00006 :     00006 :     00006 *
%define  DMSK        00063 ;     00031 :     00063 |     00031 :     00063 :     00063 :     00063 :     00063 *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define  QSHF        00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00007 :     00007 *
%define  QMSK        00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00127 :     00127 *
;* -   -   -   -   -   -   +   -   -   +   -   -   +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define  GSHF        00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00008 :     00008 *
%define  GMSK        00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00255 :     00255 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define  PSHF        00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00008 :     00009 *
%define  PMSK        00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00255 :     00511 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define  LSHF        00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00008 :     00009 *
%define  LMSK        00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00255 :     00511 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;define  BShft       00003 ;     00003 :     00003 |     00003 :     00003 :     00003 :     00003 :     00003 *
;define  BMask       00007 ;     00007 :     00007 |     00007 :     00007 :     00007 :     00007 :     00007 *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
;define  WShft       00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;define  WMask       00015 ;     00015 :     00015 |     00015 :     00015 :     00015 :     00015 :     00015 *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
;define  SShft       00005 ;     00005 :     00005 |     00005 :     00005 :     00005 :     00005 :     00005 *
;define  SMask       00031 ;     00031 :     00031 |     00031 :     00031 :     00031 :     00031 :     00031 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define  DShft       00006 ;     00005 :     00006 |     00005 :     00006 :     00006 :     00006 :     00006 *
%define  DMask       00063 ;     00031 :     00063 |     00031 :     00063 :     00063 :     00063 :     00063 *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define  QShft       00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00007 :     00007 *
%define  QMask       00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00127 :     00127 *
;* -   -   -   -   -   -   +   -   -   +   -   -   +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define  GShft       00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00008 :     00008 *
%define  GMask       00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00255 :     00255 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define  PShft       00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00008 :     00009 *
%define  PMask       00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00255 :     00511 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define  LShft       00006 ;     00005 :     00006 |     00005 :     00006 :     00007 :     00008 :     00009 *
%define  LMask       00063 ;     00031 :     00063 |     00031 :     00063 :     00127 :     00255 :     00511 *
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;% NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
%define   BDIS        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WDIS        word ;      word :      word |      word :      word :      word :      word :      word *
%define   SDIS       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
%define   DDIS       qword ;     dword :     qword |     dword :     qword :     qword :     qword :     qword *
;* -   -   -   -   -   -   +   -   -   +   -   -   +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   QDIS       qword ;     dword :     qword |     dword :     qword : 016 bytes : 016 bytes : 016 bytes *
%define   GDIS       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 032 bytes *
%define   PDIS       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
%define   XDIS       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 128 bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LDIS       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BD          byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WD          word ;      word :      word |      word :      word :      word :      word :      word *
%define   SD         dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;define   DD         qword ;     dword :     qword |     dword :     qword :     qword :     qword :     qword *
;* -   -   -   -   -   -   +   -   -   +   -   -   +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   QD         qword ;     dword :     qword |     dword :     qword : 016 bytes : 016 bytes : 016 bytes *
%define   GD         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 032 bytes *
%define   PD         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
%define   XD         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 128 bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LD         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   BCST        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WCST        word ;      word :      word |      word :      word :      word :      word :      word *
%define   SCST             ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
%define   DCST       qword ;     dword :     qword |     dword :     qword :     qword :     qword :     qword *
;* -   -   -   -   -   -   +   -   -   +   -   -   +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   QCST       qword ;     dword :     qword |     dword :     qword : 016 bytes : 016 bytes : 016 bytes *
%define   GCST       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 032 bytes *
%define   PCST       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
%define   XCST       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 128 bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LCST       qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
%define   ACST             ;           :           |           :           :           :           :           *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BC          byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WC          word ;      word :      word |      word :      word :      word :      word :      word *
%define   SC               ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
%define   DC         qword ;     dword :     qword |     dword :     qword :     qword :     qword :     qword *
;* -   -   -   -   -   -   +   -   -   +   -   -   +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   QC         qword ;     dword :     qword |     dword :     qword : 016 bytes : 016 bytes : 016 bytes *
%define   GC         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 032 bytes *
%define   PC         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
%define   XC         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 128 bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LC         qword ;     dword :     qword |     dword :     qword : 016 bytes : 032 bytes : 064 bytes *
%define   AC               ;           :           |           :           :           :           :           *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;define   SCST       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;define   SC         dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;##########################%###########%###########%###########%###########%###########%###########%############
;# NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 #
;##########################%###########%###########%###########%###########%###########%###########%############
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;**************************#***********#***********#***********#***********#***********#***********#************
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
;##########################%###########%###########%###########%###########%###########%###########%############
%define   hax          ah  ;       AH  :       AH  |      HAX  :      HAX  :      HAX  :      HAX  :      HAX  *
%define   hdx          dh  ;       DH  :       DH  |      HDX  :      HDX  :      HDX  :      HDX  :      HDX  *
%define   hcx          ch  ;       CH  :       CH  |      HCX  :      HCX  :      HCX  :      HCX  :      HCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   hdi          ah  ;           :           |      HDI  :      HDI  :      HDI  :      HDI  :      HDI  *
%define   hsi          ah  ;           :           |      HSI  :      HSI  :      HSI  :      HSI  :      HSI  *
%define   hbx          bh  ;       BH  :       BH  |      HBX  :      HBX  :      HBX  :      HBX  :      HBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   hbp          ah  ;           :           |      HBP  :      HBP  :      HBP  :      HBP  :      HBP  *
%define   hsp          ah  ;           :           |      HSP  :      HSP  :      HSP  :      HSP  :      HSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   h08          ah  ;           :           |      H08  :      H08  :      H08  :      H08  :      H08  *
%define   h09          ah  ;           :           |      H09  :      H09  :      H09  :      H09  :      H09  *
%define   h10          ah  ;           :           |      H10  :      H10  :      H10  :      H10  :      H10  *
%define   h11          ah  ;           :           |      H11  :      H11  :      H11  :      H11  :      H11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   h12          ah  ;           :           |      H12  :      H12  :      H12  :      H12  :      H12  *
%define   h13          ah  ;           :           |      H13  :      H13  :      H13  :      H13  :      H13  *
%define   h14          ah  ;           :           |      H14  :      H14  :      H14  :      H14  :      H14  *
%define   h15          ah  ;           :           |      H15  :      H15  :      H15  :      H15  :      H15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   h16          ah  ;           :           |      H16  :      H16  :      H16  :      H16  :      H16  *
%define   h17          ah  ;           :           |      H17  :      H17  :      H17  :      H17  :      H17  *
%define   h18          ah  ;           :           |      H18  :      H18  :      H18  :      H18  :      H18  *
%define   h19          ah  ;           :           |      H19  :      H19  :      H19  :      H19  :      H19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   h20          ah  ;           :           |      H20  :      H20  :      H20  :      H20  :      H20  *
%define   h21          ah  ;           :           |      H21  :      H21  :      H21  :      H21  :      H21  *
%define   h22          ah  ;           :           |      H22  :      H22  :      H22  :      H22  :      H22  *
%define   h23          ah  ;           :           |      H23  :      H23  :      H23  :      H23  :      H23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   h24          ah  ;           :           |      H24  :      H24  :      H24  :      H24  :      H24  *
%define   h25          ah  ;           :           |      H25  :      H25  :      H25  :      H25  :      H25  *
%define   h26          ah  ;           :           |      H26  :      H26  :      H26  :      H26  :      H26  *
%define   h27          ah  ;           :           |      H27  :      H27  :      H27  :      H27  :      H27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   h28          ah  ;           :           |      H28  :      H28  :      H28  :      H28  :      H28  *
%define   h29          ah  ;           :           |      H29  :      H29  :      H29  :      H29  :      H29  *
%define   h30          ah  ;           :           |      H30  :      H30  :      H30  :      H30  :      H30  *
%define   h31          ah  ;           :           |      H31  :      H31  :      H31  :      H31  :      H31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   hip          ah  ;           :           |      HIP  :      HIP  :      HIP  :      HIP  :      HIP  *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   bax          al  ;       AL  :       AL  |      BAX  :      BAX  :      BAX  :      BAX  :      BAX  *
%define   bdx          dl  ;       DL  :       DL  |      BDX  :      BDX  :      BDX  :      BDX  :      BDX  *
%define   bcx          cl  ;       CL  :       CL  |      BCX  :      BCX  :      BCX  :      BCX  :      BCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   bdi         dil  ;           :      DIL  |      BDI  :      BDI  :      BDI  :      BDI  :      BDI  *
%define   bsi         sil  ;           :      SIL  |      BSI  :      BSI  :      BSI  :      BSI  :      BSI  *
%define   bbx          bl  ;       BL  :       BL  |      BBX  :      BBX  :      BBX  :      BBX  :      BBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   bbp         bpl  ;           :      BPL  |      BBP  :      BBP  :      BBP  :      BBP  :      BBP  *
%define   bsp         spl  ;           :      SPL  |      BSP  :      BSP  :      BSP  :      BSP  :      BSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   b08         r8b  ;           :      R8B  |      B08  :      B08  :      B08  :      B08  :      B08  *
%define   b09         r9b  ;           :      R9B  |      B09  :      B09  :      B09  :      B09  :      B09  *
%define   b10        r10b  ;           :     R10B  |      B10  :      B10  :      B10  :      B10  :      B10  *
%define   b11        r11b  ;           :     R11B  |      B11  :      B11  :      B11  :      B11  :      B11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   b12        r12b  ;           :     R12B  |      B12  :      B12  :      B12  :      B12  :      B12  *
%define   b13        r13b  ;           :     R13B  |      B13  :      B13  :      B13  :      B13  :      B13  *
%define   b14        r14b  ;           :     R14B  |      B14  :      B14  :      B14  :      B14  :      B14  *
%define   b15        r15b  ;           :     R15B  |      B15  :      B15  :      B15  :      B15  :      B15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   b16          al  ;           :           |      B16  :      B16  :      B16  :      B16  :      B16  *
%define   b17          al  ;           :           |      B17  :      B17  :      B17  :      B17  :      B17  *
%define   b18          al  ;           :           |      B18  :      B18  :      B18  :      B18  :      B18  *
%define   b19          al  ;           :           |      B19  :      B19  :      B19  :      B19  :      B19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   b20          al  ;           :           |      B20  :      B20  :      B20  :      B20  :      B20  *
%define   b21          al  ;           :           |      B21  :      B21  :      B21  :      B21  :      B21  *
%define   b22          al  ;           :           |      B22  :      B22  :      B22  :      B22  :      B22  *
%define   b23          al  ;           :           |      B23  :      B23  :      B23  :      B23  :      B23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   b24          al  ;           :           |      B24  :      B24  :      B24  :      B24  :      B24  *
%define   b25          al  ;           :           |      B25  :      B25  :      B25  :      B25  :      B25  *
%define   b26          al  ;           :           |      B26  :      B26  :      B26  :      B26  :      B26  *
%define   b27          al  ;           :           |      B27  :      B27  :      B27  :      B27  :      B27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   b28          al  ;           :           |      B28  :      B28  :      B28  :      B28  :      B28  *
%define   b29          al  ;           :           |      B29  :      B29  :      B29  :      B29  :      B29  *
%define   b30          al  ;           :           |      B30  :      B30  :      B30  :      B30  :      B30  *
%define   b31          al  ;           :           |      B31  :      B31  :      B31  :      B31  :      B31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   bip          al  ;           :           |      BIP  :      BIP  :      BIP  :      BIP  :      BIP  *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   wax          ax  ;       AX  :       AX  |      WAX  :      WAX  :      WAX  :      WAX  :      WAX  *
%define   wdx          dx  ;       DX  :       DX  |      WDX  :      WDX  :      WDX  :      WDX  :      WDX  *
%define   wcx          cx  ;       CX  :       CX  |      WCX  :      WCX  :      WCX  :      WCX  :      WCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   wdi          di  ;       DI  :       DI  |      WDI  :      WDI  :      WDI  :      WDI  :      WDI  *
%define   wsi          si  ;       SI  :       SI  |      WSI  :      WSI  :      WSI  :      WSI  :      WSI  *
%define   wbx          bx  ;       BX  :       BX  |      WBX  :      WBX  :      WBX  :      WBX  :      WBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   wbp          bp  ;       BP  :       BP  |      WBP  :      WBP  :      WBP  :      WBP  :      WBP  *
%define   wsp          sp  ;       SP  :       SP  |      WSP  :      WSP  :      WSP  :      WSP  :      WSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   w08         r8w  ;           :      R8W  |      W08  :      W08  :      W08  :      W08  :      W08  *
%define   w09         r9w  ;           :      R9W  |      W09  :      W09  :      W09  :      W09  :      W09  *
%define   w10        r10w  ;           :     R10W  |      W10  :      W10  :      W10  :      W10  :      W10  *
%define   w11        r11w  ;           :     R11W  |      W11  :      W11  :      W11  :      W11  :      W11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   w12        r12w  ;           :     R12W  |      W12  :      W12  :      W12  :      W12  :      W12  *
%define   w13        r13w  ;           :     R13W  |      W13  :      W13  :      W13  :      W13  :      W13  *
%define   w14        r14w  ;           :     R14W  |      W14  :      W14  :      W14  :      W14  :      W14  *
%define   w15        r15w  ;           :     R15W  |      W15  :      W15  :      W15  :      W15  :      W15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   w16          ax  ;           :           |      W16  :      W16  :      W16  :      W16  :      W16  *
%define   w17          ax  ;           :           |      W17  :      W17  :      W17  :      W17  :      W17  *
%define   w18          ax  ;           :           |      W18  :      W18  :      W18  :      W18  :      W18  *
%define   w19          ax  ;           :           |      W19  :      W19  :      W19  :      W19  :      W19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   w20          ax  ;           :           |      W20  :      W20  :      W20  :      W20  :      W20  *
%define   w21          ax  ;           :           |      W21  :      W21  :      W21  :      W21  :      W21  *
%define   w22          ax  ;           :           |      W22  :      W22  :      W22  :      W22  :      W22  *
%define   w23          ax  ;           :           |      W23  :      W23  :      W23  :      W23  :      W23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   w24          ax  ;           :           |      W24  :      W24  :      W24  :      W24  :      W24  *
%define   w25          ax  ;           :           |      W25  :      W25  :      W25  :      W25  :      W25  *
%define   w26          ax  ;           :           |      W26  :      W26  :      W26  :      W26  :      W26  *
%define   w27          ax  ;           :           |      W27  :      W27  :      W27  :      W27  :      W27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   w28          ax  ;           :           |      W28  :      W28  :      W28  :      W28  :      W28  *
%define   w29          ax  ;           :           |      W29  :      W29  :      W29  :      W29  :      W29  *
%define   w30          ax  ;           :           |      W30  :      W30  :      W30  :      W30  :      W30  *
%define   w31          ax  ;           :           |      W31  :      W31  :      W31  :      W31  :      W31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   wip          ip  ;       IP  :       IP  |      WIP  :      WIP  :      WIP  :      WIP  :      WIP  *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   sax         eax  ;      EAX  :      EAX  |      SAX  :      SAX  :      SAX  :      SAX  :      SAX  *
%define   sdx         edx  ;      EDX  :      EDX  |      SDX  :      SDX  :      SDX  :      SDX  :      SDX  *
%define   scx         ecx  ;      ECX  :      ECX  |      SCX  :      SCX  :      SCX  :      SCX  :      SCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   sdi         edi  ;      EDI  :      EDI  |      SDI  :      SDI  :      SDI  :      SDI  :      SDI  *
%define   ssi         esi  ;      ESI  :      ESI  |      SSI  :      SSI  :      SSI  :      SSI  :      SSI  *
%define   sbx         ebx  ;      EBX  :      EBX  |      SBX  :      SBX  :      SBX  :      SBX  :      SBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   sbp         ebp  ;      EBP  :      EBP  |      SBP  :      SBP  :      SBP  :      SBP  :      SBP  *
%define   ssp         esp  ;      ESP  :      ESP  |      SSP  :      SSP  :      SSP  :      SSP  :      SSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   s08         r8d  ;           :      R8D  |      S08  :      S08  :      S08  :      S08  :      S08  *
%define   s09         r9d  ;           :      R9D  |      S09  :      S09  :      S09  :      S09  :      S09  *
%define   s10        r10d  ;           :     R10D  |      S10  :      S10  :      S10  :      S10  :      S10  *
%define   s11        r11d  ;           :     R11D  |      S11  :      S11  :      S11  :      S11  :      S11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   s12        r12d  ;           :     R12D  |      S12  :      S12  :      S12  :      S12  :      S12  *
%define   s13        r13d  ;           :     R13D  |      S13  :      S13  :      S13  :      S13  :      S13  *
%define   s14        r14d  ;           :     R14D  |      S14  :      S14  :      S14  :      S14  :      S14  *
%define   s15        r15d  ;           :     R15D  |      S15  :      S15  :      S15  :      S15  :      S15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   s16         eax  ;           :           |      S16  :      S16  :      S16  :      S16  :      S16  *
%define   s17         eax  ;           :           |      S17  :      S17  :      S17  :      S17  :      S17  *
%define   s18         eax  ;           :           |      S18  :      S18  :      S18  :      S18  :      S18  *
%define   s19         eax  ;           :           |      S19  :      S19  :      S19  :      S19  :      S19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   s20         eax  ;           :           |      S20  :      S20  :      S20  :      S20  :      S20  *
%define   s21         eax  ;           :           |      S21  :      S21  :      S21  :      S21  :      S21  *
%define   s22         eax  ;           :           |      S22  :      S22  :      S22  :      S22  :      S22  *
%define   s23         eax  ;           :           |      S23  :      S23  :      S23  :      S23  :      S23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   s24         eax  ;           :           |      S24  :      S24  :      S24  :      S24  :      S24  *
%define   s25         eax  ;           :           |      S25  :      S25  :      S25  :      S25  :      S25  *
%define   s26         eax  ;           :           |      S26  :      S26  :      S26  :      S26  :      S26  *
%define   s27         eax  ;           :           |      S27  :      S27  :      S27  :      S27  :      S27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   s28         eax  ;           :           |      S28  :      S28  :      S28  :      S28  :      S28  *
%define   s29         eax  ;           :           |      S29  :      S29  :      S29  :      S29  :      S29  *
%define   s30         eax  ;           :           |      S30  :      S30  :      S30  :      S30  :      S30  *
%define   s31         eax  ;           :           |      S31  :      S31  :      S31  :      S31  :      S31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   sip         eip  ;      EIP  :      RIP  |      SIP  :      SIP  :      SIP  :      SIP  :      SIP  *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   dax         rax  ;      EAX  :      RAX  |      SAX  :      DAX  :      DAX  :      DAX  :      DAX  *
%define   ddx         rdx  ;      EDX  :      RDX  |      SDX  :      DDX  :      DDX  :      DDX  :      DDX  *
%define   dcx         rcx  ;      ECX  :      RCX  |      SCX  :      DCX  :      DCX  :      DCX  :      DCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   ddi         rdi  ;      EDI  :      RDI  |      SDI  :      DDI  :      DDI  :      DDI  :      DDI  *
%define   dsi         rsi  ;      ESI  :      RSI  |      SSI  :      DSI  :      DSI  :      DSI  :      DSI  *
%define   dbx         rbx  ;      EBX  :      RBX  |      SBX  :      DBX  :      DBX  :      DBX  :      DBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   dbp         rbp  ;      EBP  :      RBP  |      SBP  :      DBP  :      DBP  :      DBP  :      DBP  *
%define   dsp         rsp  ;      ESP  :      RSP  |      SSP  :      DSP  :      DSP  :      DSP  :      DSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   d08         r8   ;           :      R8   |      S08  :      D08  :      D08  :      D08  :      D08  *
%define   d09         r9   ;           :      R9   |      S09  :      D09  :      D09  :      D09  :      D09  *
%define   d10         r10  ;           :      R10  |      S10  :      D10  :      D10  :      D10  :      D10  *
%define   d11         r11  ;           :      R11  |      S11  :      D11  :      D11  :      D11  :      D11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   d12         r12  ;           :      R12  |      S12  :      D12  :      D12  :      D12  :      D12  *
%define   d13         r13  ;           :      R13  |      S13  :      D13  :      D13  :      D13  :      D13  *
%define   d14         r14  ;           :      R14  |      S14  :      D14  :      D14  :      D14  :      D14  *
%define   d15         r15  ;           :      R15  |      S15  :      D15  :      D15  :      D15  :      D15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   d16         rax  ;           :           |      S16  :      D16  :      D16  :      D16  :      D16  *
%define   d17         rax  ;           :           |      S17  :      D17  :      D17  :      D17  :      D17  *
%define   d18         rax  ;           :           |      S18  :      D18  :      D18  :      D18  :      D18  *
%define   d19         rax  ;           :           |      S19  :      D19  :      D19  :      D19  :      D19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   d20         rax  ;           :           |      S20  :      D20  :      D20  :      D20  :      D20  *
%define   d21         rax  ;           :           |      S21  :      D21  :      D21  :      D21  :      D21  *
%define   d22         rax  ;           :           |      S22  :      D22  :      D22  :      D22  :      D22  *
%define   d23         rax  ;           :           |      S23  :      D23  :      D23  :      D23  :      D23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   d24         rax  ;           :           |      S24  :      D24  :      D24  :      D24  :      D24  *
%define   d25         rax  ;           :           |      S25  :      D25  :      D25  :      D25  :      D25  *
%define   d26         rax  ;           :           |      S26  :      D26  :      D26  :      D26  :      D26  *
%define   d27         rax  ;           :           |      S27  :      D27  :      D27  :      D27  :      D27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   d28         rax  ;           :           |      S28  :      D28  :      D28  :      D28  :      D28  *
%define   d29         rax  ;           :           |      S29  :      D29  :      D29  :      D29  :      D29  *
%define   d30         rax  ;           :           |      S30  :      D30  :      D30  :      D30  :      D30  *
%define   d31         rax  ;           :           |      S31  :      D31  :      D31  :      D31  :      D31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   dip         rip  ;      EIP  :      RIP  |      SIP  :      DIP  :      DIP  :      DIP  :      DIP  *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   qax         rax  ;      EAX  :      RAX  |      SAX  :      DAX  :      QAX  :      QAX  :      QAX  *
%define   qdx         rdx  ;      EDX  :      RDX  |      SDX  :      DDX  :      QDX  :      QDX  :      QDX  *
%define   qcx         rcx  ;      ECX  :      RCX  |      SCX  :      DCX  :      QCX  :      QCX  :      QCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   qdi         rdi  ;      EDI  :      RDI  |      SDI  :      DDI  :      QDI  :      QDI  :      QDI  *
%define   qsi         rsi  ;      ESI  :      RSI  |      SSI  :      DSI  :      QSI  :      QSI  :      QSI  *
%define   qbx         rbx  ;      EBX  :      RBX  |      SBX  :      DBX  :      QBX  :      QBX  :      QBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   qbp         rbp  ;      EBP  :      RBP  |      SBP  :      DBP  :      QBP  :      QBP  :      QBP  *
%define   qsp         rsp  ;      ESP  :      RSP  |      SSP  :      DSP  :      QSP  :      QSP  :      QSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   q08         r8   ;           :      R8   |      S08  :      D08  :      Q08  :      Q08  :      Q08  *
%define   q09         r9   ;           :      R9   |      S09  :      D09  :      Q09  :      Q09  :      Q09  *
%define   q10         r10  ;           :      R10  |      S10  :      D10  :      Q10  :      Q10  :      Q10  *
%define   q11         r11  ;           :      R11  |      S11  :      D11  :      Q11  :      Q11  :      Q11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   q12         r12  ;           :      R12  |      S12  :      D12  :      Q12  :      Q12  :      Q12  *
%define   q13         r13  ;           :      R13  |      S13  :      D13  :      Q13  :      Q13  :      Q13  *
%define   q14         r14  ;           :      R14  |      S14  :      D14  :      Q14  :      Q14  :      Q14  *
%define   q15         r15  ;           :      R15  |      S15  :      D15  :      Q15  :      Q15  :      Q15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   q16         rax  ;           :           |      S16  :      D16  :      Q16  :      Q16  :      Q16  *
%define   q17         rax  ;           :           |      S17  :      D17  :      Q17  :      Q17  :      Q17  *
%define   q18         rax  ;           :           |      S18  :      D18  :      Q18  :      Q18  :      Q18  *
%define   q19         rax  ;           :           |      S19  :      D19  :      Q19  :      Q19  :      Q19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   q20         rax  ;           :           |      S20  :      D20  :      Q20  :      Q20  :      Q20  *
%define   q21         rax  ;           :           |      S21  :      D21  :      Q21  :      Q21  :      Q21  *
%define   q22         rax  ;           :           |      S22  :      D22  :      Q22  :      Q22  :      Q22  *
%define   q23         rax  ;           :           |      S23  :      D23  :      Q23  :      Q23  :      Q23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   q24         rax  ;           :           |      S24  :      D24  :      Q24  :      Q24  :      Q24  *
%define   q25         rax  ;           :           |      S25  :      D25  :      Q25  :      Q25  :      Q25  *
%define   q26         rax  ;           :           |      S26  :      D26  :      Q26  :      Q26  :      Q26  *
%define   q27         rax  ;           :           |      S27  :      D27  :      Q27  :      Q27  :      Q27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   q28         rax  ;           :           |      S28  :      D28  :      Q28  :      Q28  :      Q28  *
%define   q29         rax  ;           :           |      S29  :      D29  :      Q29  :      Q29  :      Q29  *
%define   q30         rax  ;           :           |      S30  :      D30  :      Q30  :      Q30  :      Q30  *
%define   q31         rax  ;           :           |      S31  :      D31  :      Q31  :      Q31  :      Q31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   qip         rip  ;      EIP  :      RIP  |      SIP  :      DIP  :      QIP  :      QIP  :      QIP  *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   gax         rax  ;      EAX  :      RAX  |      SAX  :      DAX  :      QAX  :      GAX  :      GAX  *
%define   gdx         rdx  ;      EDX  :      RDX  |      SDX  :      DDX  :      QDX  :      GDX  :      GDX  *
%define   gcx         rcx  ;      ECX  :      RCX  |      SCX  :      DCX  :      QCX  :      GCX  :      GCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   gdi         rdi  ;      EDI  :      RDI  |      SDI  :      DDI  :      QDI  :      GDI  :      GDI  *
%define   gsi         rsi  ;      ESI  :      RSI  |      SSI  :      DSI  :      QSI  :      GSI  :      GSI  *
%define   gbx         rbx  ;      EBX  :      RBX  |      SBX  :      DBX  :      QBX  :      GBX  :      GBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   gbp         rbp  ;      EBP  :      RBP  |      SBP  :      DBP  :      QBP  :      GBP  :      GBP  *
%define   gsp         rsp  ;      ESP  :      RSP  |      SSP  :      DSP  :      QSP  :      GSP  :      GSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   g08         r8   ;           :      R8   |      S08  :      D08  :      Q08  :      G08  :      G08  *
%define   g09         r9   ;           :      R9   |      S09  :      D09  :      Q09  :      G09  :      G09  *
%define   g10         r10  ;           :      R10  |      S10  :      D10  :      Q10  :      G10  :      G10  *
%define   g11         r11  ;           :      R11  |      S11  :      D11  :      Q11  :      G11  :      G11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   g12         r12  ;           :      R12  |      S12  :      D12  :      Q12  :      G12  :      G12  *
%define   g13         r13  ;           :      R13  |      S13  :      D13  :      Q13  :      G13  :      G13  *
%define   g14         r14  ;           :      R14  |      S14  :      D14  :      Q14  :      G14  :      G14  *
%define   g15         r15  ;           :      R15  |      S15  :      D15  :      Q15  :      G15  :      G15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   g16         rax  ;           :           |      S16  :      D16  :      Q16  :      G16  :      G16  *
%define   g17         rax  ;           :           |      S17  :      D17  :      Q17  :      G17  :      G17  *
%define   g18         rax  ;           :           |      S18  :      D18  :      Q18  :      G18  :      G18  *
%define   g19         rax  ;           :           |      S19  :      D19  :      Q19  :      G19  :      G19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   g20         rax  ;           :           |      S20  :      D20  :      Q20  :      G20  :      G20  *
%define   g21         rax  ;           :           |      S21  :      D21  :      Q21  :      G21  :      G21  *
%define   g22         rax  ;           :           |      S22  :      D22  :      Q22  :      G22  :      G22  *
%define   g23         rax  ;           :           |      S23  :      D23  :      Q23  :      G23  :      G23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   g24         rax  ;           :           |      S24  :      D24  :      Q24  :      G24  :      G24  *
%define   g25         rax  ;           :           |      S25  :      D25  :      Q25  :      G25  :      G25  *
%define   g26         rax  ;           :           |      S26  :      D26  :      Q26  :      G26  :      G26  *
%define   g27         rax  ;           :           |      S27  :      D27  :      Q27  :      G27  :      G27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   g28         rax  ;           :           |      S28  :      D28  :      Q28  :      G28  :      G28  *
%define   g29         rax  ;           :           |      S29  :      D29  :      Q29  :      G29  :      G29  *
%define   g30         rax  ;           :           |      S30  :      D30  :      Q30  :      G30  :      G30  *
%define   g31         rax  ;           :           |      S31  :      D31  :      Q31  :      G31  :      G31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   gip         rip  ;      EIP  :      RIP  |      SIP  :      DIP  :      QIP  :      GIP  :      GIP  *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   pax         rax  ;      EAX  :      RAX  |      SAX  :      DAX  :      QAX  :      GAX  :      PAX  *
%define   pdx         rdx  ;      EDX  :      RDX  |      SDX  :      DDX  :      QDX  :      GDX  :      PDX  *
%define   pcx         rcx  ;      ECX  :      RCX  |      SCX  :      DCX  :      QCX  :      GCX  :      PCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   pdi         rdi  ;      EDI  :      RDI  |      SDI  :      DDI  :      QDI  :      GDI  :      PDI  *
%define   psi         rsi  ;      ESI  :      RSI  |      SSI  :      DSI  :      QSI  :      GSI  :      PSI  *
%define   pbx         rbx  ;      EBX  :      RBX  |      SBX  :      DBX  :      QBX  :      GBX  :      PBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   pbp         rbp  ;      EBP  :      RBP  |      SBP  :      DBP  :      QBP  :      GBP  :      PBP  *
%define   psp         rsp  ;      ESP  :      RSP  |      SSP  :      DSP  :      QSP  :      GSP  :      PSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   p08         r8   ;           :      R8   |      S08  :      D08  :      Q08  :      G08  :      P08  *
%define   p09         r9   ;           :      R9   |      S09  :      D09  :      Q09  :      G09  :      P09  *
%define   p10         r10  ;           :      R10  |      S10  :      D10  :      Q10  :      G10  :      P10  *
%define   p11         r11  ;           :      R11  |      S11  :      D11  :      Q11  :      G11  :      P11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   p12         r12  ;           :      R12  |      S12  :      D12  :      Q12  :      G12  :      P12  *
%define   p13         r13  ;           :      R13  |      S13  :      D13  :      Q13  :      G13  :      P13  *
%define   p14         r14  ;           :      R14  |      S14  :      D14  :      Q14  :      G14  :      P14  *
%define   p15         r15  ;           :      R15  |      S15  :      D15  :      Q15  :      G15  :      P15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   p16         rax  ;           :           |      S16  :      D16  :      Q16  :      G16  :      P16  *
%define   p17         rax  ;           :           |      S17  :      D17  :      Q17  :      G17  :      P17  *
%define   p18         rax  ;           :           |      S18  :      D18  :      Q18  :      G18  :      P18  *
%define   p19         rax  ;           :           |      S19  :      D19  :      Q19  :      G19  :      P19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   p20         rax  ;           :           |      S20  :      D20  :      Q20  :      G20  :      P20  *
%define   p21         rax  ;           :           |      S21  :      D21  :      Q21  :      G21  :      P21  *
%define   p22         rax  ;           :           |      S22  :      D22  :      Q22  :      G22  :      P22  *
%define   p23         rax  ;           :           |      S23  :      D23  :      Q23  :      G23  :      P23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   p24         rax  ;           :           |      S24  :      D24  :      Q24  :      G24  :      P24  *
%define   p25         rax  ;           :           |      S25  :      D25  :      Q25  :      G25  :      P25  *
%define   p26         rax  ;           :           |      S26  :      D26  :      Q26  :      G26  :      P26  *
%define   p27         rax  ;           :           |      S27  :      D27  :      Q27  :      G27  :      P27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   p28         rax  ;           :           |      S28  :      D28  :      Q28  :      G28  :      P28  *
%define   p29         rax  ;           :           |      S29  :      D29  :      Q29  :      G29  :      P29  *
%define   p30         rax  ;           :           |      S30  :      D30  :      Q30  :      G30  :      P30  *
%define   p31         rax  ;           :           |      S31  :      D31  :      Q31  :      G31  :      P31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   pip         rip  ;      EIP  :      RIP  |      SIP  :      DIP  :      QIP  :      GIP  :      PIP  *
;**************************#***********#***********#***********#***********#***********#***********#************
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;**************************#***********#***********#***********#***********#***********#***********#************
%define   lax         rax  ;      EAX  :      RAX  |      SAX  :      DAX  :      QAX  :      GAX  :      PAX  *
%define   ldx         rdx  ;      EDX  :      RDX  |      SDX  :      DDX  :      QDX  :      GDX  :      PDX  *
%define   lcx         rcx  ;      ECX  :      RCX  |      SCX  :      DCX  :      QCX  :      GCX  :      PCX  *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   ldi         rdi  ;      EDI  :      RDI  |      SDI  :      DDI  :      QDI  :      GDI  :      PDI  *
%define   lsi         rsi  ;      ESI  :      RSI  |      SSI  :      DSI  :      QSI  :      GSI  :      PSI  *
%define   lbx         rbx  ;      EBX  :      RBX  |      SBX  :      DBX  :      QBX  :      GBX  :      PBX  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
%define   lbp         rbp  ;      EBP  :      RBP  |      SBP  :      DBP  :      QBP  :      GBP  :      PBP  *
%define   lsp         rsp  ;      ESP  :      RSP  |      SSP  :      DSP  :      QSP  :      GSP  :      PSP  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   l08         r8   ;           :      R8   |      S08  :      D08  :      Q08  :      G08  :      P08  *
%define   l09         r9   ;           :      R9   |      S09  :      D09  :      Q09  :      G09  :      P09  *
%define   l10         r10  ;           :      R10  |      S10  :      D10  :      Q10  :      G10  :      P10  *
%define   l11         r11  ;           :      R11  |      S11  :      D11  :      Q11  :      G11  :      P11  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   l12         r12  ;           :      R12  |      S12  :      D12  :      Q12  :      G12  :      P12  *
%define   l13         r13  ;           :      R13  |      S13  :      D13  :      Q13  :      G13  :      P13  *
%define   l14         r14  ;           :      R14  |      S14  :      D14  :      Q14  :      G14  :      P14  *
%define   l15         r15  ;           :      R15  |      S15  :      D15  :      Q15  :      G15  :      P15  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   l16         rax  ;           :           |      S16  :      D16  :      Q16  :      G16  :      P16  *
%define   l17         rax  ;           :           |      S17  :      D17  :      Q17  :      G17  :      P17  *
%define   l18         rax  ;           :           |      S18  :      D18  :      Q18  :      G18  :      P18  *
%define   l19         rax  ;           :           |      S19  :      D19  :      Q19  :      G19  :      P19  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   l20         rax  ;           :           |      S20  :      D20  :      Q20  :      G20  :      P20  *
%define   l21         rax  ;           :           |      S21  :      D21  :      Q21  :      G21  :      P21  *
%define   l22         rax  ;           :           |      S22  :      D22  :      Q22  :      G22  :      P22  *
%define   l23         rax  ;           :           |      S23  :      D23  :      Q23  :      G23  :      P23  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   l24         rax  ;           :           |      S24  :      D24  :      Q24  :      G24  :      P24  *
%define   l25         rax  ;           :           |      S25  :      D25  :      Q25  :      G25  :      P25  *
%define   l26         rax  ;           :           |      S26  :      D26  :      Q26  :      G26  :      P26  *
%define   l27         rax  ;           :           |      S27  :      D27  :      Q27  :      G27  :      P27  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   l28         rax  ;           :           |      S28  :      D28  :      Q28  :      G28  :      P28  *
%define   l29         rax  ;           :           |      S29  :      D29  :      Q29  :      G29  :      P29  *
%define   l30         rax  ;           :           |      S30  :      D30  :      Q30  :      G30  :      P30  *
%define   l31         rax  ;           :           |      S31  :      D31  :      Q31  :      G31  :      P31  *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   lip         rip  ;      EIP  :      RIP  |      SIP  :      DIP  :      QIP  :      GIP  :      PIP  *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   ljp         000  ;      000  :      000  |      000  :      000  :      000  !      000  :      000  *
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;% NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
%define   I01V        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   I02V        word ;      word :      word |      word :      word :      word :      word :      word *
%define   I04V       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   I08V       qword ;     dword :     qword |     dword :     qword :     qword :     qword :     qword *
%define   I16V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   I32V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 032 Bytes *
%define   I64V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   I77V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
%define   I99V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   U01V        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   U02V        word ;      word :      word |      word :      word :      word :      word :      word *
%define   U04V       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   U08V       qword ;     dword :     qword |     dword :     qword :     qword :     qword :     qword *
%define   U16V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   U32V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 032 Bytes *
%define   U64V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   U77V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
%define   U99V       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   BVAL        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WVAL        word ;      word :      word |      word :      word :      word :      word :      word *
%define   SVAL       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DVAL       qword ;     dword :     qword |     dword :     qword :     qword :     qword :     qword *
%define   QVAL       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GVAL       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 032 Bytes *
%define   PVAL       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LVAL       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
%define   XVAL       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BVSZ       00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WVSZ       00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SVSZ       00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DVSZ       00008 ;     00004 :     00008 |     00004 :     00008 :     00008 :     00008 :     00008 *
%define   QVSZ       00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GVSZ       00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00032 *
%define   PVSZ       00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00064 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LVSZ       00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00064 *
%define   XVSZ       00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00064 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BV         00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WV         00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SV         00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DV         00008 ;     00004 :     00008 |     00004 :     00008 :     00008 :     00008 :     00008 *
%define   QV         00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GV         00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00032 *
%define   PV         00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00064 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LV         00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00064 *
%define   XV         00008 ;     00004 :     00008 |     00004 :     00008 :     00016 :     00032 :     00064 *
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;% NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
%define   PNTR       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
%define   HNDL       qword ;     dword :     qword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   NVAL             ;           :           |           :           :           :           :           *
%define   STRC             ;           :           |           :           :           :           :           *
;###############################################################################################################
;# Floats: |  0008    0016    0032 |  0064 |  0128    0256    0512    1024 | General                           #
;# --------+-----------------------+-------+-------------------------------+-------+-------------------------- #
;# 000 00h |  BT00    WT00    ST00 |  DT00 |  QT00    GT00    PT00    XT00 |   T00 |   ST0                     #
;# 001 01h |  BT01    WT01    ST01 |  DT01 |  QT01    GT01    PT01    XT01 |   T01 |   ST1                     #
;# 002 02h |  BT02    WT02    ST02 |  DT02 |  QT02    GT02    PT02    XT02 |   T02 |   ST2                     #
;# 003 03h |  BT03    WT03    ST03 |  DT03 |  QT03    GT03    PT03    XT03 |   T03 |   ST3                     #
;# -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# 004 04h |  BT04    WT04    ST04 |  DT04 |  QT04    GT04    PT04    XT04 |   T04 |   ST4                     #
;# 005 05h |  BT05    WT05    ST05 |  DT05 |  QT05    GT05    PT05    XT05 |   T05 |   ST5                     #
;# 006 06h |  BT06    WT06    ST06 |  DT06 |  QT06    GT06    PT06    XT06 |   T06 |   ST6                     #
;# 007 07h |  BT07    WT07    ST07 |  DT07 |  QT07    GT07    PT07    XT07 |   T07 |   ST7                     #
;# --------+-----------------------+-------+-------------------------------+-------+-------------------------- #
;# 008 08h |  BT08    WT08    ST08 :  DT08 :  QT08    GT08    PT08    XT08 |   T08 |                           #
;# 009 09h |  BT09    WT09    ST09 :  DT09 :  QT09    GT09    PT09    XT09 |   T09 |                           #
;# 010 0Ah |  BT10    WT10    ST10 :  DT10 :  QT10    GT10    PT10    XT10 |   T10 |                           #
;# 011 0Bh |  BT11    WT11    ST11 :  DT11 :  QT11    GT11    PT11    XT11 |   T11 |                           #
;# -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# 012 0Ch |  BT12    WT12    ST12 :  DT12 :  QT12    GT12    PT12    XT12 |   T12 |                           #
;# 013 0Dh |  BT13    WT13    ST13 :  DT13 :  QT13    GT13    PT13    XT13 |   T13 |                           #
;# 014 0Eh |  BT14    WT14    ST14 :  DT14 :  QT14    GT14    PT14    XT14 |   T14 |                           #
;# 015 0Fh |  BT15    WT15    ST15 :  DT15 :  QT15    GT15    PT15    XT15 |   T15 |                           #
;# - - - - - - - - - - - - - - - - + - - - + - - - - - - - - - - - - - - - + - - - + - - - - - - - - - - - - - #
;# 016 10h |  BT16    WT16    ST16 :  DT16 :  QT16    GT16    PT16    XT16 |   T16 |                           #
;# 017 11h |  BT17    WT17    ST17 :  DT17 :  QT17    GT17    PT17    XT17 |   T17 |                           #
;# 018 12h |  BT18    WT18    ST18 :  DT18 :  QT18    GT18    PT18    XT18 |   T18 |                           #
;# 019 13h |  BT19    WT19    ST19 :  DT19 :  QT19    GT19    PT19    XT19 |   T19 |                           #
;# -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# 020 14h |  BT20    WT20    ST20 :  DT20 :  QT20    GT20    PT20    XT20 |   T20 |                           #
;# 021 15h |  BT21    WT21    ST21 :  DT21 :  QT21    GT21    PT21    XT21 |   T21 |                           #
;# 022 16h |  BT22    WT22    ST22 :  DT22 :  QT22    GT22    PT22    XT22 |   T22 |                           #
;# 023 17h |  BT23    WT23    ST23 :  DT23 :  QT23    GT23    PT23    XT23 |   T23 |                           #
;# - - - - - - - - - - - - - - - - + - - - + - - - - - - - - - - - - - - - + - - - + - - - - - - - - - - - - - #
;# 024 18h |  BT24    WT24    ST24 :  DT24 :  QT24    GT24    PT24    XT24 |   T24 |                           #
;# 025 19h |  BT25    WT25    ST25 :  DT25 :  QT25    GT25    PT25    XT25 |   T25 |                           #
;# 026 1Ah |  BT26    WT26    ST26 :  DT26 :  QT26    GT26    PT26    XT26 |   T26 |                           #
;# 027 1Bh |  BT27    WT27    ST27 :  DT27 :  QT27    GT27    PT27    XT27 |   T27 |                           #
;# -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# 028 1Ch |  BT28    WT28    ST28 :  DT28 :  QT28    GT28    PT28    XT28 |   T28 |                           #
;# 029 1Dh |  BT29    WT29    ST29 :  DT29 :  QT29    GT29    PT29    XT29 |   T29 |                           #
;# 030 1Eh |  BT30    WT30    ST30 :  DT30 :  QT30    GT30    PT30    XT30 |   T30 |                           #
;# 031 1Fh |  BT31    WT31    ST31 :  DT31 :  QT31    GT31    PT31    XT31 |   T31 |                           #
;# --------+-----------------------+-------+-------------------------------+-------+-------------------------- #
;# Integer |  I01F    I02F    I04F :  I08F :  I16F    I32F    I64F    I67F |  I99F | X87-Unit  Memory          #
;# Unsignd |  U01F    U02F    U04F :  U08F :  U16F    U32F    U64F    U67F |  U99F | X87-Unit  Memory          #
;# -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# FltReal |  R01F    R02F    R04F :  R08F :  R16F    R32F    R64F    R77F |  R99F | X87-Unit  Memory          #
;# Jmagina |  J01F    J02F    J04F :  J08F :  J16F    J32F    J64F    J77F |  J99F | X87-Unit  Memory          #
;# -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# TmpReal |  TEMP    R10T    R08T :  R12T :  R20T    R36T    R68T    R132 |  R99T | X87-Unit  Memory          #
;# TmpJmag |  TEMP    J10T    J08T :  J12T :  J20T    J36T    J68T    J132 |  J99T | X87-Unit  Memory          #
;# - - - - + - - - - - - - - - - - + - - - + - - - - - - - - - - - - - - - + - - - + - - - - - - - - - - - - - #
;# Scaling |  BISZ    WISZ    SISZ :  DISZ :  QISZ    GISZ    PISZ    XISZ |  LISZ | X87-Unit  Register Size   #
;# Scaling |  BUSZ    WUSZ    SUSZ :  DUSZ :  QUSZ    GUSZ    PUSZ    XUSZ |  LUSZ | X87-Unit  Register Size   #
;# Scaling |  BRSZ    WRSZ    SRSZ :  DRSZ :  QRSZ    GRSZ    PRSZ    XRSZ |  LRSZ | X87-Unit  Register Size   #
;# Scaling |  BFSZ    WFSZ    SFSZ :  DFSZ :  QFSZ    GFSZ    PFSZ    XFSZ |  LFSZ | X87-Unit  Register Size   #
;# -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# Short   |  BI      WI      SI   :  DI   :  QI      GI      PI      XI   |  LI   | X87-Unit  Register Size   #
;# Short   |  BU      WU      SU   :  DU   :  QU      GU      PU      XU   |  LU   | X87-Unit  Register Size   #
;# Short   |  BR      WR      SR   :  DR   :  QR      GR      PR      XR   |  LR   | X87-Unit  Register Size   #
;# Short   |  BF      WF      SF   :  DF   :  QF      GF      PF      XF   |  LF   | X87-Unit  Register Size   #
;###############################################################################################################
;% NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;define   st0        st(0) ;     st(0) :     st(0) |     st(0) :     st(0) :     st(0) :     st(0) :     st(0) *
;define   st1        st(1) ;     st(1) :     st(1) |     st(1) :     st(1) :     st(1) :     st(1) :     st(1) *
;define   st2        st(2) ;     st(2) :     st(2) |     st(2) :     st(2) :     st(2) :     st(2) :     st(2) *
;define   st3        st(3) ;     st(3) :     st(3) |     st(3) :     st(3) :     st(3) :     st(3) :     st(3) *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
;define   st4        st(4) ;     st(4) :     st(4) |     st(4) :     st(4) :     st(4) :     st(4) :     st(4) *
;define   st5        st(5) ;     st(5) :     st(5) |     st(5) :     st(5) :     st(5) :     st(5) :     st(5) *
;define   st6        st(6) ;     st(6) :     st(6) |     st(6) :     st(6) :     st(6) :     st(6) :     st(6) *
;define   st7        st(7) ;     st(7) :     st(7) |     st(7) :     st(7) :     st(7) :     st(7) :     st(7) *
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;% NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
%define   I01F        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   I02F        word ;      word :      word |      word :      word :      word :      word :      word *
%define   I04F       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   I08F       qword ;     qword :     qword |     qword :     qword :     qword :     qword :     qword *
%define   I16F       qword ;     qword :     qword |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   I32F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
%define   I64F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
%define   I77F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   I99F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   BINT        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WINT        word ;      word :      word |      word :      word :      word :      word :      word *
%define   SINT       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DINT       qword ;     qword :     qword |     qword :     qword :     qword :     qword :     qword *
%define   QINT       qword ;     qword :     qword |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GINT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
%define   PINT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
%define   XINT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LINT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BISZ       00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WISZ       00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SISZ       00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DISZ       00008 ;     00008 :     00008 |     00008 :     00008 :     00008 :     00008 :     00008 *
%define   QISZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GISZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00032 :     00032 *
%define   PISZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00064 *
%define   XISZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LISZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BI         00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WI         00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SJ         00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DJ         00008 ;     00008 :     00008 |     00008 :     00008 :     00008 :     00008 :     00008 *
%define   QI         00008 ;     00008 :     00008 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GI         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00032 :     00032 *
%define   PI         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00064 *
%define   XI         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LI         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;**************************#***********#***********#***********#***********#***********#***********#************
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;**************************#***********#***********#***********#***********#***********#***********#************
%define   U01F        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   U02F        word ;      word :      word |      word :      word :      word :      word :      word *
%define   U04F       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   U08F       dword ;     dword :     dword |     dword :     qword :     qword :     qword :     qword *
%define   U16F       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   U32F       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 032 Bytes *
%define   U64F       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
%define   U77F       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   U99F       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   BUNT        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WUNT        word ;      word :      word |      word :      word :      word :      word :      word *
%define   SUNT       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DUNT       dword ;     dword :     dword |     dword :     qword :     qword :     qword :     qword *
%define   QUNT       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GUNT       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 032 Bytes *
%define   PUNT       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
%define   XUNT       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LUNT       dword ;     dword :     dword |     dword :     qword : 016 Bytes : 032 Bytes : 064 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BUSZ       00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WUSZ       00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SUSZ       00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DUSZ       00004 ;     00004 :     00004 |     00004 :     00008 :     00008 :     00008 :     00008 *
%define   QUSZ       00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GUSZ       00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00032 *
%define   PUSZ       00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00064 *
%define   XUSZ       00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00064 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LUSZ       00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00064 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BU         00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WU         00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SU         00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DU         00004 ;     00004 :     00004 |     00004 :     00008 :     00008 :     00008 :     00008 *
%define   QU         00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GU         00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00032 *
%define   PU         00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00064 *
%define   XU         00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00064 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LU         00004 ;     00004 :     00004 |     00004 :     00008 :     00016 :     00032 :     00064 *
;**************************#***********#***********#***********#***********#***********#***********#************
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;**************************#***********#***********#***********#***********#***********#***********#************
%define   R01F        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   R02F        word ;      word :      word |      word :      word :      word :      word :      word *
%define   R04F       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   R08F       qword ;     qword :     qword |     qword :     qword :     qword :     qword :     qword *
%define   R16F       qword ;     qword :     qword |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   R32F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
%define   R64F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
%define   R77F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   R99F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   J01F        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   J02F        word ;      word :      word |      word :      word :      word :      word :      word *
%define   J04F       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   J08F       qword ;     qword :     qword |     qword :     qword :     qword :     qword :     qword *
%define   J16F       qword ;     qword :     qword |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   J32F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
%define   J64F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
%define   J77F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   J99F       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   BFLT        byte ;      byte :      byte |      byte :      byte :      byte :      byte :      byte *
%define   WFLT        word ;      word :      word |      word :      word :      word :      word :      word *
%define   SFLT       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DFLT       qword ;     qword :     qword |     qword :     qword :     qword :     qword :     qword *
%define   QFLT       qword ;     qword :     qword |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GFLT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
%define   PFLT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
%define   XFLT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LFLT       qword ;     qword :     qword |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BFSZ       00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WFSZ       00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SFSZ       00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DFSZ       00008 ;     00008 :     00008 |     00008 :     00008 :     00008 :     00008 :     00008 *
%define   QFSZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GFSZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00032 :     00032 *
%define   PFSZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00064 *
%define   XFSZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LFSZ       00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F32  02 : 32F64  03 | 128F32 04 : 128F64 05 : 12F128 06 : 12F256 07 : 12F512 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BF         00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WF         00002 ;     00002 :     00002 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SF         00004 ;     00004 :     00004 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DF         00008 ;     00008 :     00008 |     00008 :     00008 :     00008 :     00008 :     00008 *
%define   QF         00008 ;     00008 :     00008 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GF         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00032 :     00032 *
%define   PF         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00064 *
%define   XF         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LF         00008 ;     00008 :     00008 |     00008 :     00016 :     00032 :     00064 :     00128 *
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;% NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
%define   SNGL       dword ;     dword :     dword |     dword :     dword :     dword :     dword :     dword *
%define   DBLE       qword ;     qword :     qword |     qword :     qword :     qword :     qword :     qword *
%define   QUAD       qword ;     qword :     qword |     qword : 016 bytes : 016 bytes : 016 bytes : 016 bytes *
;**************************#***********#***********#***********#***********#***********#***********#************
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;**************************#***********#***********#***********#***********#***********#***********#************
%define   R10T       tword ;     tword :     tword |     tword :     tword :     tword :     tword :     tword *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   R12T       tword ;     tword :     tword | 012 Bytes : 012 Bytes : 012 Bytes : 012 Bytes : 012 Bytes *
%define   R20T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 020 Bytes : 020 Bytes : 020 Bytes *
%define   R36T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 036 Bytes : 036 Bytes *
%define   R68T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 068 Bytes *
%define   R77T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 132 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   R99T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 132 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   J10T       tword ;     tword :     tword |     tword :     tword :     tword :     tword :     tword *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   J12T       tword ;     tword :     tword | 012 Bytes : 012 Bytes : 012 Bytes : 012 Bytes : 012 Bytes *
%define   J20T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 020 Bytes : 020 Bytes : 020 Bytes *
%define   J36T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 036 Bytes : 036 Bytes *
%define   J68T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 068 Bytes *
%define   J77T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 132 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   J99T       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 132 Bytes *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   TEMP       tword ;     tword :     tword |     tword :     tword :     tword :     tword :     tword *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   DTMP       tword ;     tword :     tword | 012 Bytes : 012 Bytes : 012 Bytes : 012 Bytes : 012 Bytes *
%define   QTMP       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 020 Bytes : 020 Bytes : 020 Bytes *
%define   GTMP       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 036 Bytes : 036 Bytes *
%define   PTMP       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 068 Bytes *
%define   XTMP       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 132 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LTMP       tword ;     tword :     tword | 012 Bytes : 020 Bytes : 036 Bytes : 068 Bytes : 132 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F64  02 : 32F64  03 | 128F64 04 : 12F128 05 : 12F256 06 : 12F512 07 : 1F1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   STSZ       00010 ;     00010 :     00010 |     00010 :     00010 :     00010 :     00010 :     00010 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   DTSZ       00010 ;     00010 :     00010 |     00012 :     00012 :     00012 :     00012 :     00012 *
%define   QTSZ       00010 ;     00010 :     00010 |     00012 :     00020 :     00020 :     00020 :     00020 *
%define   GTSZ       00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00036 :     00036 *
%define   PTSZ       00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00068 :     00068 *
%define   XTSZ       00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00068 :     00132 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LTSZ       00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00068 :     00132 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    X87_ARCH ; 32F32  02 : 32F64  03 | 128F32 04 : 128F64 05 : 12F128 06 : 12F256 07 : 12F512 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   TS         00010 ;     00010 :     00010 |     00010 :     00010 :     00010 :     00010 :     00010 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   TD         00010 ;     00010 :     00010 |     00012 :     00012 :     00012 :     00012 :     00012 *
%define   TQ         00010 ;     00010 :     00010 |     00012 :     00020 :     00020 :     00020 :     00020 *
%define   TG         00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00036 :     00036 *
%define   TP         00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00068 :     00068 *
%define   TX         00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00068 :     00132 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   TL         00010 ;     00010 :     00010 |     00012 :     00020 :     00036 :     00068 :     00132 *
;###############################################################################################################
;#                                                                                                             #
;# =========================================================================================================== #
;# Medias: |  0008    0016    0032    0064 |  0128 |  0256 :  0512 !  1024 | General  I32   0128  0256  0512   #
;# --------+-------------------------------+-------+-------+-------+-------+-------+-------------------------- #
;# 000 00h |  BM00    WM00    SM00    DM00 |  QM00 |  GM00 :  PM00 !  XM00 |   M00 | XMM0   XMM0  YMM0  ZMM0   #
;# 001 01h |  BM01    WM01    SM01    DM01 |  QM01 |  GM01 :  PM01 !  XM01 |   M01 | XMM1   XMM1  YMM1  ZMM1   #
;# 002 02h |  BM02    WM02    SM02    DM02 |  QM02 |  GM02 :  PM02 !  XM02 |   M02 | XMM2   XMM2  YMM2  ZMM2   #
;# 003 03h |  BM03    WM03    SM03    DM03 |  QM03 |  GM03 :  PM03 !  XM03 |   M03 | XMM3   XMM3  YMM3  ZMM3   #
;# -   -   -   -   -   -   -   -   -   -   +   -   +   -   +   -   +   -   -   -   -   -   -   -   -   -   -   #
;# 004 04h |  BM04    WM04    SM04    DM04 |  QM04 |  GM04 :  PM04 :  XM04 |   M04 | XMM4   XMM4  YMM4  ZMM4   #
;# 005 05h |  BM05    WM05    SM05    DM05 |  QM05 |  GM05 :  PM05 :  XM05 |   M05 | XMM5   XMM5  YMM5  ZMM5   #
;# 006 06h |  BM06    WM06    SM06    DM06 |  QM06 |  GM06 :  PM06 :  XM06 |   M06 | XMM6   XMM6  YMM6  ZMM6   #
;# 007 07h |  BM07    WM07    SM07    DM07 |  QM07 |  GM07 :  PM07 :  XM07 |   M07 | XMM7   XMM7  YMM7  ZMM7   #
;# - - - - - - - - - - - - - - - - - - - - +-------+ - - - + - - - + - - - + - - - + - - - - - - - - - - - - - #
;# 008 08h |  BM08    WM08    SM08    DM08 |  QM08 :  GM08 :  PM08 :  XM08 |   M08 |        XMM8  YMM8  ZMM8   #
;# 009 09h |  BM09    WM09    SM09    DM09 |  QM09 :  GM09 :  PM09 :  XM09 |   M09 |        XMM9  YMM9  ZMM9   #
;# 010 0Ah |  BM10    WM10    SM10    DM10 |  QM10 :  GM10 :  PM10 :  XM10 |   M10 |        XMM10 YMM10 ZMM10  #
;# 011 0Bh |  BM11    WM11    SM11    DM11 |  QM11 :  GM11 :  PM11 :  XM11 |   M11 |        XMM11 YMM11 ZMM11  #
;# -   -   -   -   -   -   -   -   -   -   +   -   -   -   +   -   +   -   +   -   +   -   -   -   -   -   -   #
;# 012 0Ch |  BM12    WM12    SM12    DM12 |  QM12 :  GM12 :  PM12 :  XM12 |   M12 |        XMM12 YMM12 ZMM12  #
;# 013 0Dh |  BM13    WM13    SM13    DM13 |  QM13 :  GM13 :  PM13 :  XM13 |   M13 |        XMM13 YMM13 ZMM13  #
;# 014 0Eh |  BM14    WM14    SM14    DM14 |  QM14 :  GM14 :  PM14 :  XM14 |   M14 |        XMM14 YMM14 ZMM14  #
;# 015 0Fh |  BM15    WM15    SM15    DM15 |  QM15 :  GM15 :  PM15 :  XM15 |   M15 |        XMM15 YMM15 ZMM15  #
;# - - - - - - - - - - - - - - - - - - - - +-------+-------+-------+-------+-------+-------------------------- #
;# 016 10h |  BM16    WM16    SM16    DM16 :  QM16 :  GM16    PM16    XM16 |   M16 |                           #
;# 017 11h |  BM17    WM17    SM17    DM17 :  QM17 :  GM17    PM17    XM17 |   M17 |                           #
;# 018 12h |  BM18    WM18    SM18    DM18 :  QM18 :  GM18    PM18    XM18 |   M18 |                           #
;# 019 13h |  BM19    WM19    SM19    DM19 :  QM19 :  GM19    PM19    XM19 |   M19 |                           #
;# -   -   -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# 020 14h |  BM20    WM20    SM20    DM20 :  QM20 :  GM20    PM20    XM20 |   M20 |                           #
;# 021 15h |  BM21    WM21    SM21    DM21 :  QM21 :  GM21    PM21    XM21 |   M21 |                           #
;# 022 16h |  BM22    WM22    SM22    DM22 :  QM22 :  GM22    PM22    XM22 |   M22 |                           #
;# 023 17h |  BM23    WM23    SM23    DM23 :  QM23 :  GM23    PM23    XM23 |   M23 |                           #
;# - - - - - - - - - - - - - - - - - - - - + - - - + - - - - - - - - - - - + - - - + - - - - - - - - - - - - - #
;# 024 18h |  BM24    WM24    SM24    DM24 :  QM24 :  GM24    PM24    XM24 |   M24 |                           #
;# 025 19h |  BM25    WM25    SM25    DM25 :  QM25 :  GM25    PM25    XM25 |   M25 |                           #
;# 026 1Ah |  BM26    WM26    SM26    DM26 :  QM26 :  GM26    PM26    XM26 |   M26 |                           #
;# 027 1Bh |  BM27    WM27    SM27    DM27 :  QM27 :  GM27    PM27    XM27 |   M27 |                           #
;# -   -   -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# 028 1Ch |  BM28    WM28    SM28    DM28 :  QM28 :  GM28    PM28    XM28 |   M28 |                           #
;# 029 1Dh |  BM29    WM29    SM29    DM29 :  QM29 :  GM29    PM29    XM29 |   M29 |                           #
;# 030 1Eh |  BM30    WM30    SM30    DM30 :  QM30 :  GM30    PM30    XM30 |   M30 |                           #
;# 031 1Fh |  BM31    WM31    SM31    DM31 :  QM31 :  GM31    PM31    XM31 |   M31 |                           #
;# --------+-------------------------------+-------+-----------------------+-------+-------------------------- #
;# Integer |  I01M    I02M    I04M    I08M :  I16M :  I32M    I64M    I67M |  I99M | XMM-Unit  Memory          #
;# Unsignd |  U01M    U02M    U04M    U08M :  U16M :  U32M    U64M    U67M |  U99M | XMM-Unit  Memory          #
;# -   -   -   -   -   -   -   -   -   -   +   -   +   -   -   -   -   -   +   -   +   -   -   -   -   -   -   #
;# FltReal |  R01M    R02M    R04M    R08M :  R16M :  R32M    R64M    R67M |  R99M | XMM-Unit  Memory          #
;# FltJmag |  J01M    J02M    J04M    J08M :  J16M :  J32M    J64M    J67M |  J99M | XMM-Unit  Memory          #
;# - - - - + - - - - - - - - - - - - - - - + - - - + - - - - - - - - - - - + - - - + - - - - - - - - - - - - - #
;# Scaling |  BMSZ    WMSZ    SMSZ    DMSZ :  QMSZ :  GMSZ    PMSZ    XMSZ |  LMSZ | XMM-Unit  Register Size   #
;# Short   |  BM      WM      SM      DM   :  QM   :  GM      PM      XM   |  LM   | XMM-Unit  Register Size   #
;# --------+-------------------------------+-------+-----------------------+-------+-------------------------- #
;# Memory: |  BMED    WMED    SMED    DMED :  QMED :  GMED    PMED    XMED |  MVAL | BM WM SM DM QM GM  PM XM  #
;# MedLeng |  M01V    M02V    M04V    M08V :  M16V :  M32V    M64V    M128 |  MVAL |                           #
;# =========================================================================================================== #
;#                                                                                                             #
;#                                                   +---------------------------------------+                 #
;#                          +-------------------+    |                 D000                  |                 #
;#           +---------+    |       S000        |    |       S000        |       S001        |                 #
;# +----+    |  W000   |    |  W000   :  W001   |    |  W000   :  W001   |  W002   :  W003   |                 #
;# |B000|    |B000:B001|    |B000:B001:B002:B003|    |B000:B001:B002:B003|B004:B005:B006:B007|                 #
;# +----+    +---------+    +-------------------+    +---------------------------------------+                 #
;#                                                                                                             #
;# +-------------------------------------------------------------------------------+                           #
;# |                                     Q000                                      |                           #
;# |                 D000                  |                 D001                  |                           #
;# |       S000        |       S001        |       S002        |       S003        |                           #
;# |  W000   :  W001   |  W002   :  W003   |  W004   :  W005   |  W006   :  W007   |                           #
;# |B000:B001:B002:B003|B004:B005:B006:B007|B008:B009:B010:B011|B012:B013:B014:B015|                           #
;# +-------------------------------------------------------------------------------+                           #
;#                                                                                                             #
;# +---------------------------------------------------------------------------------------------------------+ #
;# |                                                                   G000                                  | #
;# |                                     Q000                                                Q001            | #
;# |                 D000                  |                 D001                  | ...       D003          | #
;# |       S000        |       S001        |       S002        |       S003        | ... |       S007        | #
;# |  W000   :  W001   |  W002   :  W003   |  W004   :  W005   |  W006   :  W007   | ... |  W014   :  W015   | #
;# |B000:B001:B002:B003|B004:B005:B006:B007|B008:B009:B010:B011|B012:B013:B014:B015| ... |B028:B029:B030:B031| #
;# +---------------------------------------------------------------------------------------------------------+ #
;#                                                                                                             #
;# +---------------------------------------------------------------------------------------------------------+ #
;# |                                                                             P000                        | #
;# |                                                                   G000                G001              | #
;# |                                     Q000                                                Q003            | #
;# |                 D000                  |                 D001                  | ...       D007          | #
;# |       S000        |       S001        |       S002        |       S003        | ... |       S015        | #
;# |  W000   :  W001   |  W002   :  W003   |  W004   :  W005   |  W006   :  W007   | ... |  W030   :  W031   | #
;# |B000:B001:B002:B003|B004:B005:B006:B007|B008:B009:B010:B011|B012:B013:B014:B015| ... |B060:B061:B062:B063| #
;# +---------------------------------------------------------------------------------------------------------+ #
;#                                                                                                             #
;# +---------------------------------------------------------------------------------------------------------+ #
;# |                                                                         X000                            | #
;# |                                                         P000                        P001                | #
;# |                                                G000                                   G003              | #
;# |                                     Q000                                                Q007            | #
;# |                 D000                  |                 D001                  | ...       D015          | #
;# |       S000        |       S001        |       S002        |       S003        | ... |       S031        | #
;# |  W000   :  W001   |  W002   :  W003   |  W004   :  W005   |  W006   :  W007   | ... |  W062   :  W063   | #
;# |B000:B001:B002:B003|B004:B005:B006:B007|B008:B009:B010:B011|B012:B013:B014:B015| ... |B124:B125:B126:B127| #
;# +---------------------------------------------------------------------------------------------------------+ #
;#                                                                                                             #
;###############################################################################################################
%define   xm0         xmm0 ;      xmm0 :      xmm0 |      xmm0 :      xmm0 :      xmm0 :      xmm0 :      xmm0 *
%define   xm1         xmm1 ;      xmm1 :      xmm1 |      xmm1 :      xmm1 :      xmm1 :      xmm1 :      xmm1 *
%define   xm2         xmm2 ;      xmm2 :      xmm2 |      xmm2 :      xmm2 :      xmm2 :      xmm2 :      xmm2 *
%define   xm3         xmm3 ;      xmm3 :      xmm3 |      xmm3 :      xmm3 :      xmm3 :      xmm3 :      xmm3 *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
%define   xm4         xmm4 ;      xmm4 :      xmm4 |      xmm4 :      xmm4 :      xmm4 :      xmm4 :      xmm4 *
%define   xm5         xmm5 ;      xmm5 :      xmm5 |      xmm5 :      xmm5 :      xmm5 :      xmm5 :      xmm5 *
%define   xm6         xmm6 ;      xmm6 :      xmm6 |      xmm6 :      xmm6 :      xmm6 :      xmm6 :      xmm6 *
%define   xm7         xmm7 ;      xmm7 :      xmm7 |      xmm7 :      xmm7 :      xmm7 :      xmm7 :      xmm7 *
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;% NASM & YASM    XMM_ARCH ; 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 %
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;define   I01M             ;           :           |      byte :      byte :      byte :      byte :      byte *
;define   I02M             ;           :           |      word :      word :      word :      word :      word *
;define   I04M             ;           :           |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   I08M             ;           :           |     qword :     qword :     qword :     qword :     qword *
;define   I16M             ;           :           |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;define   I32M             ;           :           |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
;define   I64M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
;define   I77M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   I99M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    XMM_ARCH | 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;define   U01M             ;           :           |      byte :      byte :      byte :      byte :      byte *
;define   U02M             ;           :           |      word :      word :      word :      word :      word *
;define   U04M             ;           :           |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   U08M             ;           :           |     qword :     qword :     qword :     qword :     qword *
;define   U16M             ;           :           |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;define   U32M             ;           :           |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
;define   U64M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
;define   U77M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   U99M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    XMM_ARCH | 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;define   R01M             ;           :           |      byte :      byte :      byte :      byte :      byte *
;define   R02M             ;           :           |      word :      word :      word :      word :      word *
;define   R04M             ;           :           |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   R08M             ;           :           |     qword :     qword :     qword :     qword :     qword *
;define   R16M             ;           :           |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;define   R32M             ;           :           |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
;define   R64M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
;define   R77M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   R99M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    XMM_ARCH | 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;define   J01M             ;           :           |      byte :      byte :      byte :      byte :      byte *
;define   J02M             ;           :           |      word :      word :      word :      word :      word *
;define   J04M             ;           :           |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   J08M             ;           :           |     qword :     qword :     qword :     qword :     qword *
;define   J16M             ;           :           |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;define   J32M             ;           :           |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
;define   J64M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
;define   J77M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   J99M             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    XMM_ARCH ; 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   BMED             ;           :           |      byte :      byte :      byte :      byte :      byte *
%define   WMED             ;           :           |      word :      word :      word :      word :      word *
%define   SMED             ;           :           |     dword :     dword :     dword :     dword :     dword *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DMED             ;           :           |     qword :     qword :     qword :     qword :     qword *
%define   QMED             ;           :           |     qword : 016 Bytes : 016 Bytes : 016 Bytes : 016 Bytes *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GMED             ;           :           |     qword : 016 Bytes : 032 Bytes : 032 Bytes : 032 Bytes *
%define   PMED             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 064 Bytes *
%define   XMED             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LMED             ;           :           |     qword : 016 Bytes : 032 Bytes : 064 Bytes : 128 Bytes *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    XMM_ARCH ; 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;define   BMSZ       00016 ;     00016 :     00016 |     00001 :     00001 :     00001 :     00001 :     00001 *
;define   WMSZ       00016 ;     00016 :     00016 |     00002 :     00002 :     00002 :     00002 :     00002 *
;define   SMSZ       00016 ;     00016 :     00016 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   DMSZ       00016 ;     00016 :     00016 |     00008 :     00008 :     00008 :     00008 :     00008 *
;define   QMSZ       00016 ;     00016 :     00016 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;define   GMSZ       00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00032 :     00032 *
;define   PMSZ       00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00064 *
;define   XMSZ       00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LMSZ       00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00128 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    XMM_ARCH ; 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;define   BM         00016 ;     00016 :     00016 |     00001 :     00001 :     00001 :     00001 :     00001 *
;define   WM         00016 ;     00016 :     00016 |     00002 :     00002 :     00002 :     00002 :     00002 *
;define   SM         00016 ;     00016 :     00016 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;define   DM         00016 ;     00016 :     00016 |     00008 :     00008 :     00008 :     00008 :     00008 *
;define   QM         00016 ;     00016 :     00016 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;define   GM         00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00032 :     00032 *
;define   PM         00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00064 *
;define   XM         00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LM         00016 ;     00016 :     00016 |     00008 :     00016 :     00032 :     00064 :     00128 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;* NASM & YASM    XMM_ARCH ; 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*=========================#===========#===========#===========#===========#===========#===========#===========*
%define   BNSZ       00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WNSZ       00001 ;     00001 :     00001 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SNSZ       00001 ;     00001 :     00001 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DNSZ       00001 ;     00001 :     00001 |     00008 :     00008 :     00008 :     00008 :     00008 *
%define   QNSZ       00001 ;     00001 :     00001 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GNSZ       00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00032 :     00032 *
%define   PNSZ       00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00064 :     00064 *
%define   XNSZ       00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LNSZ       00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00064 :     00128 *
%define   LNAD       00016 ;     00016 :     00016 |     00001 :     00001 :     00001 :     00001 :     00001 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* NASM & YASM    XMM_ARCH ; 32M128 02 : 32M128 03 | 128M64 04 : 12M128 05 : 12M256 06 : 12M512 07 : 1M1024 08 *
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
%define   BN         00001 ;     00001 :     00001 |     00001 :     00001 :     00001 :     00001 :     00001 *
%define   WN         00001 ;     00001 :     00001 |     00002 :     00002 :     00002 :     00002 :     00002 *
%define   SN         00001 ;     00001 :     00001 |     00004 :     00004 :     00004 :     00004 :     00004 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   DN         00001 ;     00001 :     00001 |     00008 :     00008 :     00008 :     00008 :     00008 *
%define   QN         00001 ;     00001 :     00001 |     00008 :     00016 :     00016 :     00016 :     00016 *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
%define   GN         00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00032 :     00032 *
%define   PN         00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00064 :     00064 *
%define   XN         00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00064 :     00128 *
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
%define   LN         00001 ;     00001 :     00001 |     00008 :     00016 :     00032 :     00064 :     00128 *
%define   NA         00016 ;     00016 :     00016 |     00001 :     00001 :     00001 :     00001 :     00001 *
;##########################%###########%###########%###########%###########%###########%###########%############
;# NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 #
;##########################%###########%###########%###########%###########%###########%###########%############
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;**************************#***********#***********#***********#***********#***********#***********#************
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
;##########################%###########%###########%###########%###########%###########%###########%############
;#                                                                                                             #
;#-------------------------------------------------------------------------------------------------------------#
;# Tst1@: mov        BVAL[lsp+lcx*0010],bax                    ; store #AL =>                                  #
;# Tst11: mov        BVAL[lsp+lcx*BSIZ+BDIS 0012h],BCST 0012h  ; store #AL =>                                  #
;# Tst12: mov        WVAL[lsp+lcx*WSIZ+WDIS 1234h],WCST 1234h  ; store #AL =>                                  #
;# Tst13: mov        EVAL[lsp+lcx*ESIZ+EDIS 1234h],ECST 1234h  ; store #AL =>                                  #
;# -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     #
;# Tst14: mov        RVAL[lsp+lcx*RSIZ+RDIS 1234h],RCST 1234h  ; store #AL =>                                  #
;# Tst15: mov        QVAL[lsp+lcx*QSIZ+QDIS 1234h],QCST 1234h  ; store #AL =>                                  #
;# Tst16: mov        GVAL[lsp+lcx*GSIZ+GDIS 1234h],GCST 1234h  ; store #AL =>                                  #
;# Tst17: mov        PVAL[lsp+lcx*PSIZ+PDIS 1234h],PCST 1234h  ; store #AL =>                                  #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# Tst18: mov        LVAL[lsp+lcx*LSIZ+LDIS 1234h],LCST 1234h  ; store #AL =>                                  #
;# Tst19: mov        LVAL[lsp+lcx*LSIZ+LDIS 1234h],LCST 1234h  ; store #AL =>                                  #
;#-------------------------------------------------------------------------------------------------------------#
;# Tst2@: mov        BV[lsp+lcx*0010],bax                      ; store #AL =>                                  #
;# Tst21: mov        BV[lsp+lcx*BS+BD 00000012h],BC 00000012h  ; store #AL =>                                  #
;# Tst22: mov        WV[lsp+lcx*WS+WD 00001234h],WC 00001234h  ; store #AL =>                                  #
;# Tst23: mov        EV[lsp+lcx*EZ+ED 12345678h],EC 12345678h  ; store #AL =>                                  #
;# -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     #
;# Tst24: mov        RV[lsp+lcx*RS+RD 12345678h],RC 12345678h  ; store #AL =>                                  #
;# Tst25: mov        QV[lsp+lcx*QS+QD 12345678h],QC 12345678h  ; store #AL =>                                  #
;# Tst26: mov        GV[lsp+lcx*GS+GD 12345678h],GC 12345678h  ; store #AL =>                                  #
;# Tst27: mov        PV[lsp+lcx*PS+PD 12345678h],PC 12345678h  ; store #AL =>                                  #
;# -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  #
;# Tst28: mov        LV[lsp+lcx*LZ+LD 12345678h],LC 12345678h  ; store #AL =>                                  #
;# Tst29: mov        LV[lsp+lcx*LZ+LD 12345678h],LC 12345678h  ; store #AL =>                                  #
;###############################################################################################################
;# NASM & YASM    X86_ARCH ; 32V32  02 : 32V64  03 | 128V32 04 : 128V64 05 : 12V128 06 : 12V256 07 : 12V512 08 #
;##########################%###########%###########%###########%###########%###########%###########%############
;%%%%%%%%%%%%%%%%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%#%%%%%%%%%%%%
;**************************#***********#***********#***********#***********#***********#***********#************
;*=========================#===========#===========#===========#===========#===========#===========#===========*
;*-------------------------+-----------+-----------+-----------+-----------+-----------+-----------+-----------*
;* - - - - - - - - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - + - - - - - *
;* -  -  -  -  -  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  +  -  -  -  *
;* -   -   -   -   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   +   -   -   *
;* -     -     -     -     +     -     +     -     +     -     +     -     +     -     +     -     +     -     *
;##########################%###########%###########%###########%###########%###########%###########%############

;###############################################################################################################
;* 4567890123456 equ 12345678901234567 ; CPU: \ X16/16 | X32/32 X32/64 | 128/32 128/64 128/128 ! 128/256 128/512
;* - - - - - - - - - - - - - - - - - - + - - - + - - - + - - - - - - - + - - - - - - - - - - - + - - - - - - - +
;td              equ   dt              ; TDAT:   DT    DT    DT    DT    DT   : Tv10Data
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -+- - - - -
;bd              equ   db              ; BDAT:   DB    DB    DB    DB    DB   : ByteData
;wd              equ   dw              ; WDAT:   DW    DW    DW    DW    DW   : WordData
;ed              equ   dd              ; EDAT:   DD    DD    DD    DD    DD   : Ev04Data
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;rd              equ   dq              ; RDAT:   DQ    DQ    dq    dq    dq   : Rv08Data
;qd              equ   dt              ; QDAT:   DD    DQ    qd    qd    qd   : Qv16Data
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -  :  -     -
;gd              equ   dq              ; GDAT:   DD    DQ    qd    gd    gd   : Gv32Data
;pd              equ   dq              ; PDAT:   DD    DQ    qd    gd    pd   : Pv64Data
;*-------------------------------------------------------------+--------------------------------------+---------
;de              equ   dd              ; EDAT:   DD    DD    DD    DD    DD   : Ev04Data
;dr              equ   dq              ; RDAT:   DQ    DQ    dq    dq    dq   : Rv08Data
;dk              equ   dt              ; QDAT:   DD    DQ    qd    qd    qd   : Qv16Data
;dg              equ   dt              ; GDAT:   DD    DQ    qd    qd    qd   : Qv16Data
;dp              equ   dt              ; PDAT:   DD    DQ    qd    qd    qd   : Qv16Data
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%define  OR             |              ; TASM like OR
;###############################################################################################################

;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;***************************************************************************************************************
;*==============================================================================================================
;*--------------------------------------------------------------------------------------------------------------
;* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
;* -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -  -
;* -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -   -
;* -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -     -
;###############################################################################################################
